/* DUPLICATOR-LITE (PHP BUILD MODE) MYSQL SCRIPT CREATED ON : 2023-10-16 05:21:53 */

/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;

SET FOREIGN_KEY_CHECKS = 0;

CREATE TABLE `wp_actionscheduler_actions` (
  `action_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `hook` varchar(191) NOT NULL,
  `status` varchar(20) NOT NULL,
  `scheduled_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `scheduled_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  `args` varchar(191) DEFAULT NULL,
  `schedule` longtext DEFAULT NULL,
  `group_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `attempts` int(11) NOT NULL DEFAULT 0,
  `last_attempt_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `last_attempt_local` datetime DEFAULT '0000-00-00 00:00:00',
  `claim_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `extended_args` varchar(8000) DEFAULT NULL,
  PRIMARY KEY (`action_id`),
  KEY `hook` (`hook`),
  KEY `status` (`status`),
  KEY `scheduled_date_gmt` (`scheduled_date_gmt`),
  KEY `args` (`args`),
  KEY `group_id` (`group_id`),
  KEY `last_attempt_gmt` (`last_attempt_gmt`),
  KEY `claim_id_status_scheduled_date_gmt` (`claim_id`,`status`,`scheduled_date_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=6068 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_claims` (
  `claim_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `date_created_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`claim_id`),
  KEY `date_created_gmt` (`date_created_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=241 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_groups` (
  `group_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `slug` varchar(255) NOT NULL,
  PRIMARY KEY (`group_id`),
  KEY `slug` (`slug`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_actionscheduler_logs` (
  `log_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `action_id` bigint(20) unsigned NOT NULL,
  `message` text NOT NULL,
  `log_date_gmt` datetime DEFAULT '0000-00-00 00:00:00',
  `log_date_local` datetime DEFAULT '0000-00-00 00:00:00',
  PRIMARY KEY (`log_id`),
  KEY `action_id` (`action_id`),
  KEY `log_date_gmt` (`log_date_gmt`)
) ENGINE=InnoDB AUTO_INCREMENT=119 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_commentmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `comment_id` (`comment_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_comments` (
  `comment_ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `comment_post_ID` bigint(20) unsigned NOT NULL DEFAULT 0,
  `comment_author` tinytext NOT NULL,
  `comment_author_email` varchar(100) NOT NULL DEFAULT '',
  `comment_author_url` varchar(200) NOT NULL DEFAULT '',
  `comment_author_IP` varchar(100) NOT NULL DEFAULT '',
  `comment_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `comment_content` text NOT NULL,
  `comment_karma` int(11) NOT NULL DEFAULT 0,
  `comment_approved` varchar(20) NOT NULL DEFAULT '1',
  `comment_agent` varchar(255) NOT NULL DEFAULT '',
  `comment_type` varchar(20) NOT NULL DEFAULT 'comment',
  `comment_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  PRIMARY KEY (`comment_ID`),
  KEY `comment_post_ID` (`comment_post_ID`),
  KEY `comment_approved_date_gmt` (`comment_approved`,`comment_date_gmt`),
  KEY `comment_date_gmt` (`comment_date_gmt`),
  KEY `comment_parent` (`comment_parent`),
  KEY `comment_author_email` (`comment_author_email`(10))
) ENGINE=InnoDB AUTO_INCREMENT=9 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_duplicator_packages` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(250) NOT NULL,
  `hash` varchar(50) NOT NULL,
  `status` int(11) NOT NULL,
  `created` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `owner` varchar(60) NOT NULL,
  `package` longtext NOT NULL,
  PRIMARY KEY (`id`),
  KEY `hash` (`hash`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=latin1 COLLATE=latin1_swedish_ci;

CREATE TABLE `wp_e_events` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `event_data` text DEFAULT NULL,
  `created_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `created_at_index` (`created_at`)
) ENGINE=InnoDB AUTO_INCREMENT=3 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_notes` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `route_url` text DEFAULT NULL COMMENT 'Clean url where the note was created.',
  `route_title` varchar(255) DEFAULT NULL,
  `route_post_id` bigint(20) unsigned DEFAULT NULL COMMENT 'The post id of the route that the note was created on.',
  `post_id` bigint(20) unsigned DEFAULT NULL,
  `element_id` varchar(60) DEFAULT NULL COMMENT 'The Elementor element ID the note is attached to.',
  `parent_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `author_id` bigint(20) unsigned DEFAULT NULL,
  `author_display_name` varchar(250) DEFAULT NULL COMMENT 'Save the author name when the author was deleted.',
  `status` varchar(20) NOT NULL DEFAULT 'publish',
  `position` text DEFAULT NULL COMMENT 'A JSON string that represents the position of the note inside the element in percentages. e.g. {x:10, y:15}',
  `content` longtext DEFAULT NULL,
  `is_resolved` tinyint(1) NOT NULL DEFAULT 0,
  `is_public` tinyint(1) NOT NULL DEFAULT 1,
  `last_activity_at` datetime DEFAULT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `route_url_index` (`route_url`(191)),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `parent_id_index` (`parent_id`),
  KEY `author_id_index` (`author_id`),
  KEY `status_index` (`status`),
  KEY `is_resolved_index` (`is_resolved`),
  KEY `is_public_index` (`is_public`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `last_activity_at_index` (`last_activity_at`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_notes_users_relations` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) NOT NULL COMMENT 'The relation type between user and note (e.g mention, watch, read).',
  `note_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `type_index` (`type`),
  KEY `note_id_index` (`note_id`),
  KEY `user_id_index` (`user_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(60) DEFAULT NULL,
  `hash_id` varchar(60) NOT NULL,
  `main_meta_id` bigint(20) unsigned NOT NULL COMMENT 'Id of main field. to represent the main meta field',
  `post_id` bigint(20) unsigned NOT NULL,
  `referer` varchar(500) NOT NULL,
  `referer_title` varchar(300) DEFAULT NULL,
  `element_id` varchar(20) NOT NULL,
  `form_name` varchar(60) NOT NULL,
  `campaign_id` bigint(20) unsigned NOT NULL,
  `user_id` bigint(20) unsigned DEFAULT NULL,
  `user_ip` varchar(46) NOT NULL,
  `user_agent` text NOT NULL,
  `actions_count` int(11) DEFAULT 0,
  `actions_succeeded_count` int(11) DEFAULT 0,
  `status` varchar(20) NOT NULL,
  `is_read` tinyint(1) NOT NULL DEFAULT 0,
  `meta` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  UNIQUE KEY `hash_id_unique_index` (`hash_id`),
  KEY `main_meta_id_index` (`main_meta_id`),
  KEY `hash_id_index` (`hash_id`),
  KEY `type_index` (`type`),
  KEY `post_id_index` (`post_id`),
  KEY `element_id_index` (`element_id`),
  KEY `campaign_id_index` (`campaign_id`),
  KEY `user_id_index` (`user_id`),
  KEY `user_ip_index` (`user_ip`),
  KEY `status_index` (`status`),
  KEY `is_read_index` (`is_read`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`),
  KEY `referer_index` (`referer`(191)),
  KEY `referer_title_index` (`referer_title`(191))
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions_actions_log` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL,
  `action_name` varchar(60) NOT NULL,
  `action_label` varchar(60) DEFAULT NULL,
  `status` varchar(20) NOT NULL,
  `log` text DEFAULT NULL,
  `created_at_gmt` datetime NOT NULL,
  `updated_at_gmt` datetime NOT NULL,
  `created_at` datetime NOT NULL,
  `updated_at` datetime NOT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `action_name_index` (`action_name`),
  KEY `status_index` (`status`),
  KEY `created_at_gmt_index` (`created_at_gmt`),
  KEY `updated_at_gmt_index` (`updated_at_gmt`),
  KEY `created_at_index` (`created_at`),
  KEY `updated_at_index` (`updated_at`)
) ENGINE=InnoDB AUTO_INCREMENT=26 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_e_submissions_values` (
  `id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `submission_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `key` varchar(60) DEFAULT NULL,
  `value` longtext DEFAULT NULL,
  PRIMARY KEY (`id`),
  KEY `submission_id_index` (`submission_id`),
  KEY `key_index` (`key`)
) ENGINE=InnoDB AUTO_INCREMENT=51 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_cct_tariffs` (
  `_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `cct_status` text DEFAULT NULL,
  `cct_author_id` bigint(20) DEFAULT NULL,
  `cct_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `cct_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `tariffs_title` text DEFAULT NULL,
  `tariffs_categories` text DEFAULT NULL,
  `tariffs_price` text DEFAULT NULL,
  `tariffs_desc` longtext DEFAULT NULL,
  `tariffs_abilities` longtext DEFAULT NULL,
  `tariffs_ispopular` text DEFAULT NULL,
  PRIMARY KEY (`_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=7 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_cct_team_members` (
  `_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `cct_status` text DEFAULT NULL,
  `team_members_name` text DEFAULT NULL,
  `team_members_expertise` text DEFAULT NULL,
  `team_members_profile` text DEFAULT NULL,
  `cct_author_id` bigint(20) DEFAULT NULL,
  `cct_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `cct_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `team_members_stars` bigint(20) DEFAULT NULL,
  PRIMARY KEY (`_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_cct_testimonial` (
  `_ID` bigint(20) NOT NULL AUTO_INCREMENT,
  `cct_status` text DEFAULT NULL,
  `name_testimonial` text DEFAULT NULL,
  `content_testimonial` longtext DEFAULT NULL,
  `img_testimonial` text DEFAULT NULL,
  `stars_testimonial` bigint(20) DEFAULT NULL,
  `cct_author_id` bigint(20) DEFAULT NULL,
  `cct_created` timestamp NOT NULL DEFAULT current_timestamp(),
  `cct_modified` timestamp NOT NULL DEFAULT '0000-00-00 00:00:00',
  `company_testimonial` text DEFAULT NULL,
  PRIMARY KEY (`_ID`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_post_types` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `slug` text DEFAULT NULL,
  `status` text DEFAULT NULL,
  `labels` longtext DEFAULT NULL,
  `args` longtext DEFAULT NULL,
  `meta_fields` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=11 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_smart_filters_indexer` (
  `id` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `type` varchar(50) DEFAULT NULL,
  `item_id` int(10) unsigned DEFAULT NULL,
  `item_query` varchar(50) DEFAULT NULL,
  `item_key` varchar(50) DEFAULT NULL,
  `item_value` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_jet_taxonomies` (
  `id` bigint(20) NOT NULL AUTO_INCREMENT,
  `slug` text DEFAULT NULL,
  `object_type` text DEFAULT NULL,
  `status` text DEFAULT NULL,
  `labels` longtext DEFAULT NULL,
  `args` longtext DEFAULT NULL,
  `meta_fields` longtext DEFAULT NULL,
  PRIMARY KEY (`id`)
) ENGINE=InnoDB AUTO_INCREMENT=2 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_links` (
  `link_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `link_url` varchar(255) NOT NULL DEFAULT '',
  `link_name` varchar(255) NOT NULL DEFAULT '',
  `link_image` varchar(255) NOT NULL DEFAULT '',
  `link_target` varchar(25) NOT NULL DEFAULT '',
  `link_description` varchar(255) NOT NULL DEFAULT '',
  `link_visible` varchar(20) NOT NULL DEFAULT 'Y',
  `link_owner` bigint(20) unsigned NOT NULL DEFAULT 1,
  `link_rating` int(11) NOT NULL DEFAULT 0,
  `link_updated` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `link_rel` varchar(255) NOT NULL DEFAULT '',
  `link_notes` mediumtext NOT NULL,
  `link_rss` varchar(255) NOT NULL DEFAULT '',
  PRIMARY KEY (`link_id`),
  KEY `link_visible` (`link_visible`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_options` (
  `option_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `option_name` varchar(191) NOT NULL DEFAULT '',
  `option_value` longtext NOT NULL,
  `autoload` varchar(20) NOT NULL DEFAULT 'yes',
  PRIMARY KEY (`option_id`),
  UNIQUE KEY `option_name` (`option_name`),
  KEY `autoload` (`autoload`)
) ENGINE=InnoDB AUTO_INCREMENT=1599 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_postmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `post_id` (`post_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=57269 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_posts` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `post_author` bigint(20) unsigned NOT NULL DEFAULT 0,
  `post_date` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_date_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content` longtext NOT NULL,
  `post_title` text NOT NULL,
  `post_excerpt` text NOT NULL,
  `post_status` varchar(20) NOT NULL DEFAULT 'publish',
  `comment_status` varchar(20) NOT NULL DEFAULT 'open',
  `ping_status` varchar(20) NOT NULL DEFAULT 'open',
  `post_password` varchar(255) NOT NULL DEFAULT '',
  `post_name` varchar(200) NOT NULL DEFAULT '',
  `to_ping` text NOT NULL,
  `pinged` text NOT NULL,
  `post_modified` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_modified_gmt` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `post_content_filtered` longtext NOT NULL,
  `post_parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `guid` varchar(255) NOT NULL DEFAULT '',
  `menu_order` int(11) NOT NULL DEFAULT 0,
  `post_type` varchar(20) NOT NULL DEFAULT 'post',
  `post_mime_type` varchar(100) NOT NULL DEFAULT '',
  `comment_count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`ID`),
  KEY `post_name` (`post_name`(191)),
  KEY `type_status_date` (`post_type`,`post_status`,`post_date`,`ID`),
  KEY `post_parent` (`post_parent`),
  KEY `post_author` (`post_author`)
) ENGINE=InnoDB AUTO_INCREMENT=6057 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_relationships` (
  `object_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_taxonomy_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `term_order` int(11) NOT NULL DEFAULT 0,
  PRIMARY KEY (`object_id`,`term_taxonomy_id`),
  KEY `term_taxonomy_id` (`term_taxonomy_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_term_taxonomy` (
  `term_taxonomy_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `taxonomy` varchar(32) NOT NULL DEFAULT '',
  `description` longtext NOT NULL,
  `parent` bigint(20) unsigned NOT NULL DEFAULT 0,
  `count` bigint(20) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_taxonomy_id`),
  UNIQUE KEY `term_id_taxonomy` (`term_id`,`taxonomy`),
  KEY `taxonomy` (`taxonomy`)
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_termmeta` (
  `meta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `term_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`meta_id`),
  KEY `term_id` (`term_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_terms` (
  `term_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `name` varchar(200) NOT NULL DEFAULT '',
  `slug` varchar(200) NOT NULL DEFAULT '',
  `term_group` bigint(10) NOT NULL DEFAULT 0,
  PRIMARY KEY (`term_id`),
  KEY `slug` (`slug`(191)),
  KEY `name` (`name`(191))
) ENGINE=InnoDB AUTO_INCREMENT=22 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_usermeta` (
  `umeta_id` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_id` bigint(20) unsigned NOT NULL DEFAULT 0,
  `meta_key` varchar(255) DEFAULT NULL,
  `meta_value` longtext DEFAULT NULL,
  PRIMARY KEY (`umeta_id`),
  KEY `user_id` (`user_id`),
  KEY `meta_key` (`meta_key`(191))
) ENGINE=InnoDB AUTO_INCREMENT=127 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

CREATE TABLE `wp_users` (
  `ID` bigint(20) unsigned NOT NULL AUTO_INCREMENT,
  `user_login` varchar(60) NOT NULL DEFAULT '',
  `user_pass` varchar(255) NOT NULL DEFAULT '',
  `user_nicename` varchar(50) NOT NULL DEFAULT '',
  `user_email` varchar(100) NOT NULL DEFAULT '',
  `user_url` varchar(100) NOT NULL DEFAULT '',
  `user_registered` datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
  `user_activation_key` varchar(255) NOT NULL DEFAULT '',
  `user_status` int(11) NOT NULL DEFAULT 0,
  `display_name` varchar(250) NOT NULL DEFAULT '',
  PRIMARY KEY (`ID`),
  KEY `user_login_key` (`user_login`),
  KEY `user_nicename` (`user_nicename`),
  KEY `user_email` (`user_email`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8mb4 COLLATE=utf8mb4_unicode_520_ci;

/***** TABLE CREATION END *****/


/* INSERT TABLE DATA: wp_actionscheduler_actions */
INSERT INTO `wp_actionscheduler_actions` VALUES("6028", "rocket_preload_job_load_initial_sitemap", "complete", "2023-10-12 13:03:21", "2023-10-12 13:03:21", "[]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:03:24", "2023-10-12 16:33:24", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6029", "action_scheduler/migration_hook", "complete", "2023-10-12 13:04:23", "2023-10-12 16:34:23", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697115863;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697115863;}", "2", "1", "2023-10-12 13:04:27", "2023-10-12 16:34:27", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6030", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:03:23", "2023-10-12 13:03:23", "[\"https:\\/\\/halochin.ir\\/Technology\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:03:26", "2023-10-12 16:33:26", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6031", "rocket_preload_job_check_finished", "complete", "2023-10-12 13:04:24", "2023-10-12 16:34:24", "[1697115804]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697115864;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697115864;}", "1", "1", "2023-10-12 13:04:27", "2023-10-12 16:34:27", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6032", "action_scheduler/migration_hook", "failed", "2023-10-12 13:05:27", "2023-10-12 16:35:27", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697115927;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697115927;}", "2", "1", "2023-10-12 13:06:13", "2023-10-12 16:36:13", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6033", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:15:11", "2023-10-12 13:15:11", "[\"https:\\/\\/halochin.ir\\/Technology\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:16:08", "2023-10-12 16:46:08", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6034", "rocket_preload_job_check_finished", "complete", "2023-10-12 13:16:11", "2023-10-12 16:46:11", "[1697116511]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697116571;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697116571;}", "1", "1", "2023-10-12 13:18:30", "2023-10-12 16:48:30", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6035", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/blog\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:31", "2023-10-12 16:48:31", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6036", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:32", "2023-10-12 16:48:32", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6037", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:33", "2023-10-12 16:48:33", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6038", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/about-us\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:35", "2023-10-12 16:48:35", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6039", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:36", "2023-10-12 16:48:36", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6040", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "8ec377de010b0fbb520feb7aeb9488f0", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:37", "2023-10-12 16:48:37", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8-%d8%a7%d9%be%d9%84%db%8c%da%a9%db%8c%d8%b4%d9%86-%d8%a8%d8%b1%d8%a7%db%8c-%d8%a7%d8%b1%d8%a7%d8%a6%d9%87-%d8%ae%d8%af%d9%85%d8%a7%d8%aa-%d8%a7%db%8c%d9%86\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6041", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects-categories\\/%d8%ae%d9%84%d8%a7%d9%82%d8%a7%d9%86%d9%87\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:38", "2023-10-12 16:48:38", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6042", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "fa6f2992caec1543bdd65a63bc27b543", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:39", "2023-10-12 16:48:39", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c-%d8%a7%d8%a8%d8%b2%d8%a7%d8%b1%d8%a2%d9%84%d8%a7%d8%aa-%d8%b3%d8%a7%d8%ae%d8%aa%d9%85%d8%a7\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6043", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects-categories\\/%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:40", "2023-10-12 16:48:40", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6044", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "82c0fa758440724de078e7302f73d1ed", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:41", "2023-10-12 16:48:41", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d8%b1%da%a9%d8%aa%db%8c-%d8%8c-%d8%b5%d9%86%d8%b9%d8%aa%db%8c-%d8%a8%d8%a7-%d9%82%d8%a7%d8%a8%d9%84%db%8c%d8%aa-%d9%81%d8%b1%d9%85-%d8%a7\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6045", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects-categories\\/%d8%b4%d8%b1%da%a9%d8%aa%db%8c\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:42", "2023-10-12 16:48:42", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6046", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "a184c6f481bd3e607461ad507784ae7e", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:43", "2023-10-12 16:48:43", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%be%d9%84%d8%aa%d9%81%d8%b1%d9%85-%da%a9%d8%aa%d8%a7%d8%a8-%d9%88-%da%a9%d8%aa%d8%a7%d8%a8%d8%ae%d9%88%d8%a7%d9%86%db%8c-%d8%aa%d8%ad%d8%aa-%d9%88%d8%a8\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6047", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "b3fa55624534b3e2964f572c950243e2", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:44", "2023-10-12 16:48:44", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%85%d9%88%d8%b2%db%8c%da%a9-%d8%a8%d8%a7-%d9%82%d8%a7%d8%a8%d9%84%db%8c%d8%aa-%d9%be%d8%ae%d8%b4-%d8%a2%d9%86%d9%84%d8%a7%db%8c\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6048", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects-categories\\/%d9%85%d8%ac%d9%84%d9%87-%d8%a7%db%8c\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:45", "2023-10-12 16:48:45", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6049", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "c9c9ae71a273e91b5815b93267084ae1", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:46", "2023-10-12 16:48:46", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d9%88-%d8%a7%d9%81%d8%b2%d8%a7%db%8c%d8%b4-%d8%b3%d8%b1%d8%b9%d8%aa-%d8%b3%d8%a7%db%8c%d8%aa\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6050", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "2d3b9b4aced80fdf8bef7cf2e72d2664", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:47", "2023-10-12 16:48:47", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d9%be%d9%86%d8%ac-%d8%a7%db%8c%d8%af%d9%87-%d8%ac%d8%af%db%8c%d8%af-%d8%a8%d8%b1%d8%a7%db%8c-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-ui-ux-%d8%b3%d8%a7%db%8c%d8%aa-%d9%81\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6051", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "0b52b3645c82c4f16f4402e6e5188695", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:48", "2023-10-12 16:48:48", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/%d9%86%da%a9%d8%a7%d8%aa%db%8c-%d8%af%d8%b1-%d8%b1%d8%a7%d8%a8%d8%b7%d9%87-%d8%a8%d8%a7-%d8%a8%d8%b3%d8%aa%d9%86-%d9%82%d8%b1%d8%a7%d8%b1%d8%af%d8%a7%d8%af-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%da%af%d8%b1\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6052", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "a76c2e31b5a1fac469fdb81fab9dbe8e", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:49", "2023-10-12 16:48:49", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/%d9%85%d9%88%d8%a7%d8%b1%d8%af%db%8c-%da%a9%d9%87-%d9%82%d8%a8%d9%84-%d8%a7%d8%b2-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a8%d8%a7%db%8c%d8%af-%d8%a8%d8%af%d8%a7%d9%86%db%8c%d8%af\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6053", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "0c076fa6f9742027621b382157ed8252", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:50", "2023-10-12 16:48:50", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/%d9%84%db%8c%d9%86%da%a9-%d8%b3%d8%a7%d8%b2%db%8c-%d8%af%d8%a7%d8%ae%d9%84%db%8c-%d8%af%d8%b1-%d8%b3%d8%a6%d9%88-%d8%a8%d9%87-%da%86%d9%87-%d9%85%d8%b9%d9%86%d8%a7%d8%b3%d8%aa-%d8%9f\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6054", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "6bfbb4a76e0e01d0943e7cf8cfcdd9d3", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:51", "2023-10-12 16:48:51", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/%d8%af%d8%b1-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a8%d8%a7%db%8c%d8%af-%d8%a8%d9%87-%da%86%d9%87-%d9%86%da%a9%d8%a7%d8%aa%db%8c-%d8%aa%d9%88%d8%ac%d9%87-%da%a9%d9%86%db%8c%d9%85\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6055", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "4d01a627167d21d4bc7d6a4513481d38", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:52", "2023-10-12 16:48:52", "0", "[\"https:\\/\\/halochin.ir\\/Technology\\/4-%d8%a7%d8%b3%d8%aa%d8%b1%d8%a7%d8%aa%da%98%db%8c-%d9%84%db%8c%d9%86%da%a9-%d8%b3%d8%a7%d8%b2%db%8c-%d8%ae%d8%a7%d8%b1%d8%ac%db%8c-%da%a9%d9%87-%d8%a8%d8%a7%d8%b9%d8%ab-%d8%a8%d9%87%d8%a8%d9%88%d8%af\"]");
INSERT INTO `wp_actionscheduler_actions` VALUES("6056", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/content-marketing\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:53", "2023-10-12 16:48:53", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6057", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%b3%d8%a6%d9%88-%d9%88-%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%a7%db%8c%d8%aa\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:54", "2023-10-12 16:48:54", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6058", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:56", "2023-10-12 16:48:56", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6059", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%b1%d8%b9%d8%aa\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:56", "2023-10-12 16:48:56", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6060", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%aa%d8%a8%d9%84%db%8c%d8%ba%d8%a7%d8%aa-%da%a9%d9%84%db%8c%da%a9%db%8c\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:18:58", "2023-10-12 16:48:58", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6061", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d9%be%d8%b4%d8%aa%db%8c%d8%a8%d8%a7%d9%86%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d9%85%d8%a7\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:19:58", "2023-10-12 16:49:58", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6062", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:16:16", "2023-10-12 13:16:16", "[\"https:\\/\\/halochin.ir\\/Technology\\/{{{data.link}}}\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:19:59", "2023-10-12 16:49:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6063", "rocket_preload_job_load_initial_sitemap", "complete", "2023-10-12 13:18:28", "2023-10-12 13:18:28", "[]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:19:59", "2023-10-12 16:49:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6064", "action_scheduler/migration_hook", "complete", "2023-10-12 13:19:30", "2023-10-12 16:49:30", "[]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697116770;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697116770;}", "2", "1", "2023-10-12 13:19:59", "2023-10-12 16:49:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6065", "rocket_preload_job_check_finished", "complete", "2023-10-12 13:19:31", "2023-10-12 16:49:31", "[1697116711]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697116771;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697116771;}", "1", "1", "2023-10-12 13:19:59", "2023-10-12 16:49:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6066", "rocket_preload_job_preload_url", "complete", "2023-10-12 13:19:59", "2023-10-12 13:19:59", "[\"https:\\/\\/halochin.ir\\/Technology\"]", "O:28:\"ActionScheduler_NullSchedule\":0:{}", "1", "1", "2023-10-12 13:19:59", "2023-10-12 16:49:59", "0", NULL);
INSERT INTO `wp_actionscheduler_actions` VALUES("6067", "rocket_preload_job_check_finished", "pending", "2023-10-16 05:21:54", "2023-10-16 08:51:54", "[1697433654]", "O:30:\"ActionScheduler_SimpleSchedule\":2:{s:22:\"\0*\0scheduled_timestamp\";i:1697433714;s:41:\"\0ActionScheduler_SimpleSchedule\0timestamp\";i:1697433714;}", "1", "0", "0000-00-00 00:00:00", "0000-00-00 00:00:00", "0", NULL);

/* INSERT TABLE DATA: wp_actionscheduler_groups */
INSERT INTO `wp_actionscheduler_groups` VALUES("1", "rocket-preload");
INSERT INTO `wp_actionscheduler_groups` VALUES("2", "action-scheduler-migration");

/* INSERT TABLE DATA: wp_actionscheduler_logs */
INSERT INTO `wp_actionscheduler_logs` VALUES("1", "6028", "action created", "2023-10-12 13:03:21", "2023-10-12 16:33:21");
INSERT INTO `wp_actionscheduler_logs` VALUES("2", "6029", "action created", "2023-10-12 13:03:23", "2023-10-12 16:33:23");
INSERT INTO `wp_actionscheduler_logs` VALUES("3", "6028", "action started via WP Cron", "2023-10-12 13:03:23", "2023-10-12 16:33:23");
INSERT INTO `wp_actionscheduler_logs` VALUES("4", "6030", "action created", "2023-10-12 13:03:23", "2023-10-12 16:33:23");
INSERT INTO `wp_actionscheduler_logs` VALUES("5", "6031", "action created", "2023-10-12 13:03:24", "2023-10-12 16:33:24");
INSERT INTO `wp_actionscheduler_logs` VALUES("6", "6028", "action complete via WP Cron", "2023-10-12 13:03:24", "2023-10-12 16:33:24");
INSERT INTO `wp_actionscheduler_logs` VALUES("7", "6030", "action started via WP Cron", "2023-10-12 13:03:24", "2023-10-12 16:33:24");
INSERT INTO `wp_actionscheduler_logs` VALUES("8", "6030", "action complete via WP Cron", "2023-10-12 13:03:26", "2023-10-12 16:33:26");
INSERT INTO `wp_actionscheduler_logs` VALUES("9", "6029", "action started via WP Cron", "2023-10-12 13:04:27", "2023-10-12 16:34:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("10", "6029", "action complete via WP Cron", "2023-10-12 13:04:27", "2023-10-12 16:34:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("11", "6031", "action started via WP Cron", "2023-10-12 13:04:27", "2023-10-12 16:34:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("12", "6031", "action complete via WP Cron", "2023-10-12 13:04:27", "2023-10-12 16:34:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("13", "6032", "action created", "2023-10-12 13:04:27", "2023-10-12 16:34:27");
INSERT INTO `wp_actionscheduler_logs` VALUES("14", "6032", "action started via WP Cron", "2023-10-12 13:06:13", "2023-10-12 16:36:13");
INSERT INTO `wp_actionscheduler_logs` VALUES("15", "6032", "action failed via WP Cron: Scheduled action for action_scheduler/migration_hook will not be executed as no callbacks are registered.", "2023-10-12 13:06:13", "2023-10-12 16:36:13");
INSERT INTO `wp_actionscheduler_logs` VALUES("16", "6033", "action created", "2023-10-12 13:15:11", "2023-10-12 16:45:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("17", "6034", "action created", "2023-10-12 13:15:11", "2023-10-12 16:45:11");
INSERT INTO `wp_actionscheduler_logs` VALUES("18", "6033", "action started via WP Cron", "2023-10-12 13:16:07", "2023-10-12 16:46:07");
INSERT INTO `wp_actionscheduler_logs` VALUES("19", "6033", "action complete via WP Cron", "2023-10-12 13:16:08", "2023-10-12 16:46:08");
INSERT INTO `wp_actionscheduler_logs` VALUES("20", "6035", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("21", "6036", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("22", "6037", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("23", "6038", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("24", "6039", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("25", "6040", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("26", "6041", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("27", "6042", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("28", "6043", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("29", "6044", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("30", "6045", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("31", "6046", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("32", "6047", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("33", "6048", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("34", "6049", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("35", "6050", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("36", "6051", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("37", "6052", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("38", "6053", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("39", "6054", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("40", "6055", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("41", "6056", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("42", "6057", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("43", "6058", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("44", "6059", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("45", "6060", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("46", "6061", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("47", "6062", "action created", "2023-10-12 13:16:16", "2023-10-12 16:46:16");
INSERT INTO `wp_actionscheduler_logs` VALUES("48", "6063", "action created", "2023-10-12 13:18:28", "2023-10-12 16:48:28");
INSERT INTO `wp_actionscheduler_logs` VALUES("49", "6064", "action created", "2023-10-12 13:18:30", "2023-10-12 16:48:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("50", "6034", "action started via WP Cron", "2023-10-12 13:18:30", "2023-10-12 16:48:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("51", "6034", "action complete via WP Cron", "2023-10-12 13:18:30", "2023-10-12 16:48:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("52", "6035", "action started via WP Cron", "2023-10-12 13:18:30", "2023-10-12 16:48:30");
INSERT INTO `wp_actionscheduler_logs` VALUES("53", "6065", "action created", "2023-10-12 13:18:31", "2023-10-12 16:48:31");
INSERT INTO `wp_actionscheduler_logs` VALUES("54", "6035", "action complete via WP Cron", "2023-10-12 13:18:31", "2023-10-12 16:48:31");
INSERT INTO `wp_actionscheduler_logs` VALUES("55", "6036", "action started via WP Cron", "2023-10-12 13:18:31", "2023-10-12 16:48:31");
INSERT INTO `wp_actionscheduler_logs` VALUES("56", "6036", "action complete via WP Cron", "2023-10-12 13:18:32", "2023-10-12 16:48:32");
INSERT INTO `wp_actionscheduler_logs` VALUES("57", "6037", "action started via WP Cron", "2023-10-12 13:18:32", "2023-10-12 16:48:32");
INSERT INTO `wp_actionscheduler_logs` VALUES("58", "6037", "action complete via WP Cron", "2023-10-12 13:18:33", "2023-10-12 16:48:33");
INSERT INTO `wp_actionscheduler_logs` VALUES("59", "6038", "action started via WP Cron", "2023-10-12 13:18:33", "2023-10-12 16:48:33");
INSERT INTO `wp_actionscheduler_logs` VALUES("60", "6038", "action complete via WP Cron", "2023-10-12 13:18:35", "2023-10-12 16:48:35");
INSERT INTO `wp_actionscheduler_logs` VALUES("61", "6039", "action started via WP Cron", "2023-10-12 13:18:35", "2023-10-12 16:48:35");
INSERT INTO `wp_actionscheduler_logs` VALUES("62", "6039", "action complete via WP Cron", "2023-10-12 13:18:36", "2023-10-12 16:48:36");
INSERT INTO `wp_actionscheduler_logs` VALUES("63", "6040", "action started via WP Cron", "2023-10-12 13:18:36", "2023-10-12 16:48:36");
INSERT INTO `wp_actionscheduler_logs` VALUES("64", "6040", "action complete via WP Cron", "2023-10-12 13:18:37", "2023-10-12 16:48:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("65", "6041", "action started via WP Cron", "2023-10-12 13:18:37", "2023-10-12 16:48:37");
INSERT INTO `wp_actionscheduler_logs` VALUES("66", "6041", "action complete via WP Cron", "2023-10-12 13:18:38", "2023-10-12 16:48:38");
INSERT INTO `wp_actionscheduler_logs` VALUES("67", "6042", "action started via WP Cron", "2023-10-12 13:18:38", "2023-10-12 16:48:38");
INSERT INTO `wp_actionscheduler_logs` VALUES("68", "6042", "action complete via WP Cron", "2023-10-12 13:18:39", "2023-10-12 16:48:39");
INSERT INTO `wp_actionscheduler_logs` VALUES("69", "6043", "action started via WP Cron", "2023-10-12 13:18:39", "2023-10-12 16:48:39");
INSERT INTO `wp_actionscheduler_logs` VALUES("70", "6043", "action complete via WP Cron", "2023-10-12 13:18:40", "2023-10-12 16:48:40");
INSERT INTO `wp_actionscheduler_logs` VALUES("71", "6044", "action started via WP Cron", "2023-10-12 13:18:40", "2023-10-12 16:48:40");
INSERT INTO `wp_actionscheduler_logs` VALUES("72", "6044", "action complete via WP Cron", "2023-10-12 13:18:41", "2023-10-12 16:48:41");
INSERT INTO `wp_actionscheduler_logs` VALUES("73", "6045", "action started via WP Cron", "2023-10-12 13:18:41", "2023-10-12 16:48:41");
INSERT INTO `wp_actionscheduler_logs` VALUES("74", "6045", "action complete via WP Cron", "2023-10-12 13:18:42", "2023-10-12 16:48:42");
INSERT INTO `wp_actionscheduler_logs` VALUES("75", "6046", "action started via WP Cron", "2023-10-12 13:18:42", "2023-10-12 16:48:42");
INSERT INTO `wp_actionscheduler_logs` VALUES("76", "6046", "action complete via WP Cron", "2023-10-12 13:18:43", "2023-10-12 16:48:43");
INSERT INTO `wp_actionscheduler_logs` VALUES("77", "6047", "action started via WP Cron", "2023-10-12 13:18:43", "2023-10-12 16:48:43");
INSERT INTO `wp_actionscheduler_logs` VALUES("78", "6047", "action complete via WP Cron", "2023-10-12 13:18:44", "2023-10-12 16:48:44");
INSERT INTO `wp_actionscheduler_logs` VALUES("79", "6048", "action started via WP Cron", "2023-10-12 13:18:44", "2023-10-12 16:48:44");
INSERT INTO `wp_actionscheduler_logs` VALUES("80", "6048", "action complete via WP Cron", "2023-10-12 13:18:45", "2023-10-12 16:48:45");
INSERT INTO `wp_actionscheduler_logs` VALUES("81", "6049", "action started via WP Cron", "2023-10-12 13:18:45", "2023-10-12 16:48:45");
INSERT INTO `wp_actionscheduler_logs` VALUES("82", "6049", "action complete via WP Cron", "2023-10-12 13:18:46", "2023-10-12 16:48:46");
INSERT INTO `wp_actionscheduler_logs` VALUES("83", "6050", "action started via WP Cron", "2023-10-12 13:18:46", "2023-10-12 16:48:46");
INSERT INTO `wp_actionscheduler_logs` VALUES("84", "6050", "action complete via WP Cron", "2023-10-12 13:18:47", "2023-10-12 16:48:47");
INSERT INTO `wp_actionscheduler_logs` VALUES("85", "6051", "action started via WP Cron", "2023-10-12 13:18:47", "2023-10-12 16:48:47");
INSERT INTO `wp_actionscheduler_logs` VALUES("86", "6051", "action complete via WP Cron", "2023-10-12 13:18:48", "2023-10-12 16:48:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("87", "6052", "action started via WP Cron", "2023-10-12 13:18:48", "2023-10-12 16:48:48");
INSERT INTO `wp_actionscheduler_logs` VALUES("88", "6052", "action complete via WP Cron", "2023-10-12 13:18:49", "2023-10-12 16:48:49");
INSERT INTO `wp_actionscheduler_logs` VALUES("89", "6053", "action started via WP Cron", "2023-10-12 13:18:49", "2023-10-12 16:48:49");
INSERT INTO `wp_actionscheduler_logs` VALUES("90", "6053", "action complete via WP Cron", "2023-10-12 13:18:50", "2023-10-12 16:48:50");
INSERT INTO `wp_actionscheduler_logs` VALUES("91", "6054", "action started via WP Cron", "2023-10-12 13:18:50", "2023-10-12 16:48:50");
INSERT INTO `wp_actionscheduler_logs` VALUES("92", "6054", "action complete via WP Cron", "2023-10-12 13:18:51", "2023-10-12 16:48:51");
INSERT INTO `wp_actionscheduler_logs` VALUES("93", "6055", "action started via WP Cron", "2023-10-12 13:18:51", "2023-10-12 16:48:51");
INSERT INTO `wp_actionscheduler_logs` VALUES("94", "6055", "action complete via WP Cron", "2023-10-12 13:18:52", "2023-10-12 16:48:52");
INSERT INTO `wp_actionscheduler_logs` VALUES("95", "6056", "action started via WP Cron", "2023-10-12 13:18:52", "2023-10-12 16:48:52");
INSERT INTO `wp_actionscheduler_logs` VALUES("96", "6056", "action complete via WP Cron", "2023-10-12 13:18:53", "2023-10-12 16:48:53");
INSERT INTO `wp_actionscheduler_logs` VALUES("97", "6057", "action started via WP Cron", "2023-10-12 13:18:53", "2023-10-12 16:48:53");
INSERT INTO `wp_actionscheduler_logs` VALUES("98", "6057", "action complete via WP Cron", "2023-10-12 13:18:54", "2023-10-12 16:48:54");
INSERT INTO `wp_actionscheduler_logs` VALUES("99", "6058", "action started via WP Cron", "2023-10-12 13:18:54", "2023-10-12 16:48:54");
INSERT INTO `wp_actionscheduler_logs` VALUES("100", "6058", "action complete via WP Cron", "2023-10-12 13:18:56", "2023-10-12 16:48:56");
INSERT INTO `wp_actionscheduler_logs` VALUES("101", "6059", "action started via WP Cron", "2023-10-12 13:18:56", "2023-10-12 16:48:56");
INSERT INTO `wp_actionscheduler_logs` VALUES("102", "6059", "action complete via WP Cron", "2023-10-12 13:18:56", "2023-10-12 16:48:56");
INSERT INTO `wp_actionscheduler_logs` VALUES("103", "6060", "action started via WP Cron", "2023-10-12 13:18:56", "2023-10-12 16:48:56");
INSERT INTO `wp_actionscheduler_logs` VALUES("104", "6060", "action complete via WP Cron", "2023-10-12 13:18:58", "2023-10-12 16:48:58");
INSERT INTO `wp_actionscheduler_logs` VALUES("105", "6061", "action started via WP Cron", "2023-10-12 13:19:57", "2023-10-12 16:49:57");
INSERT INTO `wp_actionscheduler_logs` VALUES("106", "6061", "action complete via WP Cron", "2023-10-12 13:19:58", "2023-10-12 16:49:58");
INSERT INTO `wp_actionscheduler_logs` VALUES("107", "6062", "action started via WP Cron", "2023-10-12 13:19:58", "2023-10-12 16:49:58");
INSERT INTO `wp_actionscheduler_logs` VALUES("108", "6062", "action complete via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("109", "6063", "action started via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("110", "6066", "action created", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("111", "6063", "action complete via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("112", "6064", "action started via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("113", "6064", "action complete via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("114", "6065", "action started via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("115", "6065", "action complete via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("116", "6066", "action started via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("117", "6066", "action complete via WP Cron", "2023-10-12 13:19:59", "2023-10-12 16:49:59");
INSERT INTO `wp_actionscheduler_logs` VALUES("118", "6067", "action created", "2023-10-16 05:20:54", "2023-10-16 08:50:54");

/* INSERT TABLE DATA: wp_comments */
INSERT INTO `wp_comments` VALUES("2", "1583", "designer3", "designer3@abzarwp.com", "", "78.39.83.10", "2023-09-25 12:57:38", "2023-09-25 09:27:38", "عالی بود", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "0", "2");
INSERT INTO `wp_comments` VALUES("3", "1910", "designer3", "designer3@abzarwp.com", "", "78.39.83.10", "2023-09-25 15:29:20", "2023-09-25 11:59:20", "بسیار خوب", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "0", "2");
INSERT INTO `wp_comments` VALUES("4", "1908", "designer3", "designer3@abzarwp.com", "", "78.39.83.10", "2023-09-25 15:43:04", "2023-09-25 12:13:04", "مطلب خوبی بود", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "0", "2");
INSERT INTO `wp_comments` VALUES("5", "2230", "designer3", "designer3@abzarwp.com", "", "104.28.240.123", "2023-09-27 10:55:15", "2023-09-27 07:25:15", "عالی بود", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "0", "2");
INSERT INTO `wp_comments` VALUES("6", "2227", "designer3", "designer3@abzarwp.com", "", "104.28.208.123", "2023-09-27 13:10:57", "2023-09-27 09:40:57", "مطلب مفیدی بود", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "0", "2");
INSERT INTO `wp_comments` VALUES("7", "2227", "designer3", "designer3@abzarwp.com", "", "104.28.208.123", "2023-09-27 13:11:21", "2023-09-27 09:41:21", "متشکریم", "0", "1", "Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36", "comment", "6", "2");

/* INSERT TABLE DATA: wp_duplicator_packages */
INSERT INTO `wp_duplicator_packages` VALUES("2", "20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8", "7319fac73ac69ce21431_20231016052145", "22", "2023-10-16 05:21:53", "designer", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-10-16 05:21:45\";s:7:\"Version\";s:5:\"1.5.6\";s:9:\"VersionWP\";s:5:\"6.3.2\";s:9:\"VersionDB\";s:7:\"10.6.14\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";i:2;s:4:\"Name\";s:39:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"7319fac73ac69ce21431_20231016052145\";s:8:\"NameHash\";s:75:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";s:4:\"22.1\";s:6:\"WPUser\";s:8:\"designer\";s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";s:87:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_archive.zip\";s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:37:\"/home/halochin/public_html/Technology\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:1858;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:8882;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-10-16 05:21:45\";s:7:\"Version\";s:5:\"1.5.6\";s:9:\"VersionWP\";s:5:\"6.3.2\";s:9:\"VersionDB\";s:7:\"10.6.14\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"7319fac73ac69ce21431_20231016052145\";s:8:\"NameHash\";s:75:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";s:93:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_installer.php.bak\";s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:51:\"/home/halochin/public_html/Technology/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";s:88:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_database.sql\";s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";b:0;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:1;s:24:\"\0DUP_Database\0tempDbPath\";s:158:\"/home/halochin/public_html/Technology/wp-content/backups-dup-lite/tmp/20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_database.sql\";s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:46:\"/home/halochin/public_html/Technology/wp-admin\";i:1;s:49:\"/home/halochin/public_html/Technology/wp-includes\";i:2;s:58:\"/home/halochin/public_html/Technology/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:37:\"/home/halochin/public_html/Technology\";i:1;s:37:\"/home/halochin/public_html/Technology\";i:2;s:48:\"/home/halochin/public_html/Technology/wp-content\";i:3;s:56:\"/home/halochin/public_html/Technology/wp-content/uploads\";i:4;s:56:\"/home/halochin/public_html/Technology/wp-content/plugins\";i:5;s:59:\"/home/halochin/public_html/Technology/wp-content/mu-plugins\";i:6;s:55:\"/home/halochin/public_html/Technology/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:69:\"/home/halochin/public_html/Technology/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}");

/* INSERT TABLE DATA: wp_e_events */
INSERT INTO `wp_e_events` VALUES("1", "{\"event\":\"modal load\",\"version\":\"\",\"details\":\"{\\\"placement\\\":\\\"Onboarding wizard\\\",\\\"step\\\":\\\"account\\\",\\\"user_state\\\":\\\"anon\\\"}\",\"ts\":\"2023-09-12T09:51:33.427-04:30\"}", "2023-09-12 09:51:33");
INSERT INTO `wp_e_events` VALUES("2", "{\"event\":\"close modal\",\"version\":\"\",\"details\":\"{\\\"placement\\\":\\\"Onboarding wizard\\\",\\\"step\\\":\\\"account\\\"}\",\"ts\":\"2023-09-12T09:51:43.846-04:30\"}", "2023-09-12 09:51:43");

/* INSERT TABLE DATA: wp_jet_cct_tariffs */
INSERT INTO `wp_jet_cct_tariffs` VALUES("1", "publish", "4", "2023-10-09 12:13:18", "2023-10-11 16:26:42", "طرح اولیه ", "Tariffs-web", "12,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:20:\" سرعت مناسب\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:34:\" طراحی Ui , Ux اختصاصی\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:30:\" پشتیبانی ماهانه\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:31:\"خرید هاست و دامین\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:35:\" اضافه کردن محصولات\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:24:\" طراحی گرافیک\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}}", "false");
INSERT INTO `wp_jet_cct_tariffs` VALUES("2", "publish", "4", "2023-10-09 13:03:37", "2023-10-11 16:25:51", "طرح پیشرفته ", "Tariffs-web", "65,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:20:\" سرعت مناسب\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:34:\" طراحی Ui , Ux اختصاصی\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:30:\" پشتیبانی ماهانه\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:31:\"خرید هاست و دامین\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:35:\" اضافه کردن محصولات\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:24:\" طراحی گرافیک\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}}", "true");
INSERT INTO `wp_jet_cct_tariffs` VALUES("3", "publish", "4", "2023-10-09 13:06:43", "2023-10-11 16:25:04", "طرح ویژه", "Tariffs-web", "24,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:20:\" سرعت مناسب\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:34:\" طراحی Ui , Ux اختصاصی\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:30:\" پشتیبانی ماهانه\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:35:\" اضافه کردن محصولات\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:24:\" طراحی گرافیک\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:31:\"خرید هاست و دامین\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}}", "false");
INSERT INTO `wp_jet_cct_tariffs` VALUES("4", "publish", "4", "2023-10-09 13:45:29", "2023-10-11 16:24:22", "پلن اولیه", "Tariffs-seo", "10,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:29:\"بهینه سازی سایت \";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:30:\"بهبود سئوی داخلی\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:40:\"تعیین استراتژی هدفمند\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:28:\"لینک سازی خارجی\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:34:\"بهبود سئوی تکنیکال\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:22:\"محتوا نویسی \";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}}", "false");
INSERT INTO `wp_jet_cct_tariffs` VALUES("5", "publish", "4", "2023-10-09 14:41:48", "2023-10-11 16:23:30", "طرح پیشرفته ", "Tariffs-seo", "14,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:29:\"بهینه سازی سایت \";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:30:\"بهبود سئوی داخلی\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:40:\"تعیین استراتژی هدفمند\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:28:\"لینک سازی خارجی\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:34:\"بهبود سئوی تکنیکال\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:22:\"محتوا نویسی \";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}}", "true");
INSERT INTO `wp_jet_cct_tariffs` VALUES("6", "publish", "4", "2023-10-09 14:43:42", "2023-10-11 16:22:36", "طرح ویژه", "Tariffs-seo", "19,000,000", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است", "a:6:{s:6:\"item-0\";a:2:{s:15:\"tariffs-ability\";s:29:\"بهینه سازی سایت \";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-1\";a:2:{s:15:\"tariffs-ability\";s:30:\"بهبود سئوی داخلی\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-2\";a:2:{s:15:\"tariffs-ability\";s:40:\"تعیین استراتژی هدفمند\";s:12:\"tariffs-icon\";s:68:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\";}s:6:\"item-3\";a:2:{s:15:\"tariffs-ability\";s:28:\"لینک سازی خارجی\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-4\";a:2:{s:15:\"tariffs-ability\";s:34:\"بهبود سئوی تکنیکال\";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}s:6:\"item-5\";a:2:{s:15:\"tariffs-ability\";s:22:\"محتوا نویسی \";s:12:\"tariffs-icon\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\";}}", "false");

/* INSERT TABLE DATA: wp_jet_cct_team_members */
INSERT INTO `wp_jet_cct_team_members` VALUES("2", "publish", "ایمان علمیه", "برنامه نویس بک اند ", "a:2:{s:2:\"id\";i:3526;s:3:\"url\";s:73:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/img-3@2x-3.jpeg\";}", "4", "2023-09-21 11:05:06", "2023-10-01 15:33:04", "5");
INSERT INTO `wp_jet_cct_team_members` VALUES("3", "publish", "محمد عمادی ", "طراح Ui , Ux", "a:2:{s:2:\"id\";i:5629;s:3:\"url\";s:86:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/tp-best-mens-hairstyles.webp\";}", "4", "2023-09-21 11:06:27", "2023-10-11 11:22:41", "3");
INSERT INTO `wp_jet_cct_team_members` VALUES("4", "publish", "یوسف صادقی ", "برنامه نویس فرانت اند", "a:2:{s:2:\"id\";i:3524;s:3:\"url\";s:73:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/img-2@2x-3.jpeg\";}", "4", "2023-09-21 11:08:03", "2023-10-01 15:31:26", "2");
INSERT INTO `wp_jet_cct_team_members` VALUES("5", "publish", "مهدی زمانی", "برنامه نویس بک اند ", "a:2:{s:2:\"id\";i:5628;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/10/man-looking-attractive.webp\";}", "4", "2023-10-01 13:31:19", "2023-10-11 11:22:49", "4");

/* INSERT TABLE DATA: wp_jet_cct_testimonial */
INSERT INTO `wp_jet_cct_testimonial` VALUES("1", "publish", "حسین نیک پور", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز میباشد.", "a:2:{s:2:\"id\";i:463;s:3:\"url\";s:88:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar4-min-300x188-1.jpg\";}", "3", "4", "2023-09-13 15:30:33", "2023-10-02 11:11:23", "ایده پردازان");
INSERT INTO `wp_jet_cct_testimonial` VALUES("2", "publish", "رامین منصوری", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز میباشد.", "a:2:{s:2:\"id\";i:464;s:3:\"url\";s:88:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar5-min-300x300-1.jpg\";}", "2", "4", "2023-09-13 15:31:47", "2023-10-01 15:19:14", "صنایع نوین");
INSERT INTO `wp_jet_cct_testimonial` VALUES("3", "publish", "محمدعلی رضایی", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز میباشد.", "a:2:{s:2:\"id\";i:462;s:3:\"url\";s:88:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar3-min-300x300-1.jpg\";}", "4", "4", "2023-09-13 15:33:56", "2023-10-01 15:19:03", "خلاقیت کویر");
INSERT INTO `wp_jet_cct_testimonial` VALUES("4", "publish", "فاطمه اصلانی ", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز میباشد.", "a:2:{s:2:\"id\";i:461;s:3:\"url\";s:88:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar2-min-300x300-1.jpg\";}", "5", "4", "2023-09-13 15:36:02", "2023-10-01 15:18:39", "اصلانی کالا ");

/* INSERT TABLE DATA: wp_jet_post_types */
INSERT INTO `wp_jet_post_types` VALUES("1", "testimonial", "content-type", NULL, "a:20:{s:10:\"has_single\";b:0;s:12:\"create_index\";b:0;s:16:\"rest_get_enabled\";b:0;s:16:\"rest_put_enabled\";b:0;s:17:\"rest_post_enabled\";b:0;s:19:\"rest_delete_enabled\";b:0;s:16:\"hide_field_names\";b:0;s:4:\"name\";s:26:\"نظرات مشتریان \";s:4:\"slug\";s:11:\"testimonial\";s:8:\"position\";i:-1;s:4:\"icon\";s:16:\"dashicons-sticky\";s:10:\"capability\";s:14:\"manage_options\";s:17:\"related_post_type\";s:0:\"\";s:23:\"related_post_type_title\";s:0:\"\";s:25:\"related_post_type_content\";s:0:\"\";s:15:\"rest_get_access\";s:0:\"\";s:15:\"rest_put_access\";s:10:\"edit_posts\";s:16:\"rest_post_access\";s:10:\"edit_posts\";s:18:\"rest_delete_access\";s:10:\"edit_posts\";s:13:\"admin_columns\";a:11:{s:3:\"_ID\";a:4:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:1;s:6:\"is_num\";b:0;s:6:\"prefix\";s:1:\"#\";}s:18:\"cct_single_post_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"cct_author_id\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:11:\"cct_created\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:12:\"cct_modified\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:10:\"cct_status\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:16:\"name_testimonial\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:19:\"content_testimonial\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:15:\"img_testimonial\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"stars_testimonial\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:19:\"company_testimonial\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}}}", "a:5:{i:0;a:9:{s:5:\"title\";s:28:\"نام نویسنده نظر\";s:4:\"name\";s:16:\"name_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:7089;s:8:\"isNested\";b:0;s:11:\"default_val\";s:15:\"مثلا علی\";}i:1;a:8:{s:5:\"title\";s:13:\"متن نظر\";s:4:\"name\";s:19:\"content_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:8:\"textarea\";s:2:\"id\";i:6560;s:8:\"isNested\";b:0;}i:2;a:9:{s:5:\"title\";s:17:\"عکس کاربر\";s:4:\"name\";s:15:\"img_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:5:\"media\";s:2:\"id\";i:3386;s:8:\"isNested\";b:0;s:12:\"value_format\";s:4:\"both\";}i:3;a:10:{s:5:\"title\";s:30:\"ستاره امتیاز دهی\";s:4:\"name\";s:17:\"stars_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:1996;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"1\";s:9:\"max_value\";s:1:\"5\";}i:4;a:12:{s:5:\"title\";s:16:\"نام شرکت \";s:4:\"name\";s:19:\"company_testimonial\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:1:{i:0;a:3:{s:3:\"key\";s:0:\"\";s:5:\"value\";s:0:\"\";s:2:\"id\";i:7460;}}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:1531;s:8:\"isNested\";b:0;s:21:\"options_from_glossary\";s:0:\"\";s:11:\"is_multiple\";s:0:\"\";s:16:\"search_post_type\";a:1:{i:0;s:11:\"my-services\";}}}");
INSERT INTO `wp_jet_post_types` VALUES("3", "team_members", "content-type", NULL, "a:20:{s:10:\"has_single\";b:0;s:12:\"create_index\";b:0;s:16:\"rest_get_enabled\";b:0;s:16:\"rest_put_enabled\";b:0;s:17:\"rest_post_enabled\";b:0;s:19:\"rest_delete_enabled\";b:0;s:16:\"hide_field_names\";b:0;s:4:\"name\";s:18:\"اعضای تیم \";s:4:\"slug\";s:12:\"team_members\";s:8:\"position\";i:-1;s:4:\"icon\";s:21:\"dashicons-admin-users\";s:10:\"capability\";s:14:\"manage_options\";s:17:\"related_post_type\";s:0:\"\";s:23:\"related_post_type_title\";s:0:\"\";s:25:\"related_post_type_content\";s:0:\"\";s:15:\"rest_get_access\";s:0:\"\";s:15:\"rest_put_access\";s:10:\"edit_posts\";s:16:\"rest_post_access\";s:10:\"edit_posts\";s:18:\"rest_delete_access\";s:10:\"edit_posts\";s:13:\"admin_columns\";a:10:{s:3:\"_ID\";a:4:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:1;s:6:\"is_num\";b:1;s:6:\"prefix\";s:1:\"#\";}s:18:\"cct_single_post_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"cct_author_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:11:\"cct_created\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:12:\"cct_modified\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:10:\"cct_status\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"team_members_name\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:22:\"team_members_expertise\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:20:\"team_members_profile\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:18:\"team_members_stars\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}}}", "a:4:{i:0;a:9:{s:5:\"title\";s:15:\"نام عضو: \";s:4:\"name\";s:17:\"team_members_name\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:1458;s:8:\"isNested\";b:0;}i:1;a:9:{s:5:\"title\";s:7:\"سمت:\";s:4:\"name\";s:22:\"team_members_expertise\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:4188;s:8:\"isNested\";b:0;}i:2;a:10:{s:5:\"title\";s:22:\"عکس پروفایل:\";s:4:\"name\";s:20:\"team_members_profile\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:5:\"media\";s:2:\"id\";i:9987;s:8:\"isNested\";b:0;s:12:\"value_format\";s:4:\"both\";}i:3;a:11:{s:5:\"title\";s:31:\"ستاره امتیاز دهی:\";s:4:\"name\";s:18:\"team_members_stars\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:6:\"number\";s:2:\"id\";i:7826;s:8:\"isNested\";b:0;s:9:\"min_value\";s:1:\"1\";s:9:\"max_value\";s:1:\"5\";}}");
INSERT INTO `wp_jet_post_types` VALUES("4", "our-services", "publish", "a:9:{s:4:\"name\";s:15:\"خدمات ما\";s:13:\"singular_name\";s:10:\"خدمات\";s:7:\"add_new\";s:23:\"افزودن خدمات\";s:12:\"add_new_item\";s:23:\"افزودن خدمات\";s:8:\"new_item\";s:19:\"خدمات جدید\";s:9:\"edit_item\";s:23:\"ویرایش خدمات\";s:9:\"view_item\";s:23:\"مشاهده خدمات\";s:9:\"all_items\";s:17:\"همه خدمات\";s:12:\"search_items\";s:21:\"جستجو خدمات\";}", "a:22:{s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:12:\"show_in_rest\";b:1;s:9:\"query_var\";b:1;s:7:\"rewrite\";b:1;s:12:\"map_meta_cap\";b:0;s:11:\"has_archive\";b:1;s:12:\"hierarchical\";b:0;s:19:\"exclude_from_search\";b:0;s:10:\"with_front\";b:0;s:14:\"show_edit_link\";b:0;s:16:\"hide_field_names\";b:0;s:12:\"rewrite_slug\";s:12:\"our-services\";s:15:\"capability_type\";s:4:\"post\";s:13:\"menu_position\";i:-1;s:9:\"menu_icon\";s:16:\"dashicons-smiley\";s:8:\"supports\";a:4:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:9:\"thumbnail\";i:3;s:8:\"comments\";}s:13:\"admin_columns\";a:0:{}s:13:\"admin_filters\";a:0:{}}", "a:0:{}");
INSERT INTO `wp_jet_post_types` VALUES("5", "projects", "publish", "a:9:{s:4:\"name\";s:17:\"پروژه‌ها\";s:13:\"singular_name\";s:10:\"پروژه\";s:7:\"add_new\";s:23:\"افزودن پروژه\";s:12:\"add_new_item\";s:23:\"افزودن پروژه\";s:8:\"new_item\";s:19:\"پروژه جدید\";s:9:\"edit_item\";s:23:\"ویرایش پروژه\";s:9:\"view_item\";s:23:\"مشاهده پروژه\";s:9:\"all_items\";s:24:\"همه پروژه‌ها\";s:12:\"search_items\";s:21:\"جستجو پروژه\";}", "a:22:{s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:12:\"show_in_rest\";b:1;s:9:\"query_var\";b:1;s:7:\"rewrite\";b:1;s:12:\"map_meta_cap\";b:0;s:11:\"has_archive\";b:1;s:12:\"hierarchical\";b:1;s:19:\"exclude_from_search\";b:0;s:10:\"with_front\";b:0;s:14:\"show_edit_link\";b:0;s:16:\"hide_field_names\";b:0;s:12:\"rewrite_slug\";s:8:\"projects\";s:15:\"capability_type\";s:4:\"post\";s:13:\"menu_position\";i:-1;s:9:\"menu_icon\";s:16:\"dashicons-layout\";s:8:\"supports\";a:4:{i:0;s:5:\"title\";i:1;s:6:\"editor\";i:2;s:8:\"comments\";i:3;s:9:\"thumbnail\";}s:13:\"admin_columns\";a:0:{}s:13:\"admin_filters\";a:0:{}}", "a:7:{i:0;a:10:{s:5:\"title\";s:24:\"گالری تصاویر \";s:4:\"name\";s:16:\"projects-gallery\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:7:\"gallery\";s:2:\"id\";i:4853;s:8:\"isNested\";b:0;s:12:\"value_format\";s:4:\"both\";}i:1;a:9:{s:5:\"title\";s:21:\"تکنولوژی ها\";s:4:\"name\";s:19:\"projects-technology\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:1:{i:0;a:4:{s:5:\"title\";s:22:\"تکنولوژی ها \";s:4:\"name\";s:12:\"technologies\";s:4:\"type\";s:4:\"text\";s:2:\"id\";i:4459;}}s:4:\"type\";s:8:\"repeater\";s:2:\"id\";i:2349;s:8:\"isNested\";b:0;}i:2;a:9:{s:5:\"title\";s:28:\"کارفرمای پروژه \";s:4:\"name\";s:16:\"project-employer\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:6876;s:8:\"isNested\";b:0;}i:3;a:9:{s:5:\"title\";s:37:\"مدت زمان انجام پروژه\";s:4:\"name\";s:27:\"the-duration-of-the-project\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:1690;s:8:\"isNested\";b:0;}i:4;a:9:{s:5:\"title\";s:26:\"قیمت این پروژه\";s:4:\"name\";s:25:\"the-price-of-this-project\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:9033;s:8:\"isNested\";b:0;}i:5;a:9:{s:5:\"title\";s:30:\"تاریخ شروع پروژه\";s:4:\"name\";s:12:\"project-date\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:9708;s:8:\"isNested\";b:0;}i:6;a:9:{s:5:\"title\";s:34:\"لینک نمایش آنلاین :\";s:4:\"name\";s:12:\"project-link\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:9071;s:8:\"isNested\";b:0;}}");
INSERT INTO `wp_jet_post_types` VALUES("6", "tariffs", "content-type", NULL, "a:20:{s:10:\"has_single\";b:0;s:12:\"create_index\";b:0;s:16:\"rest_get_enabled\";b:0;s:16:\"rest_put_enabled\";b:0;s:17:\"rest_post_enabled\";b:0;s:19:\"rest_delete_enabled\";b:0;s:16:\"hide_field_names\";b:0;s:4:\"name\";s:15:\"تعرفه ها\";s:4:\"slug\";s:7:\"tariffs\";s:8:\"position\";i:-1;s:4:\"icon\";s:17:\"dashicons-tickets\";s:10:\"capability\";s:14:\"manage_options\";s:17:\"related_post_type\";s:0:\"\";s:23:\"related_post_type_title\";s:0:\"\";s:25:\"related_post_type_content\";s:0:\"\";s:15:\"rest_get_access\";s:0:\"\";s:15:\"rest_put_access\";s:10:\"edit_posts\";s:16:\"rest_post_access\";s:10:\"edit_posts\";s:18:\"rest_delete_access\";s:10:\"edit_posts\";s:13:\"admin_columns\";a:12:{s:3:\"_ID\";a:4:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:1;s:6:\"is_num\";b:1;s:6:\"prefix\";s:1:\"#\";}s:18:\"cct_single_post_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"cct_author_id\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:11:\"cct_created\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:12:\"cct_modified\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:10:\"cct_status\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:18:\"tariffs_categories\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"tariffs_title\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:13:\"tariffs_price\";a:3:{s:7:\"enabled\";b:1;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:12:\"tariffs_desc\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"tariffs_abilities\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}s:17:\"tariffs_ispopular\";a:3:{s:7:\"enabled\";b:0;s:11:\"is_sortable\";b:0;s:6:\"is_num\";b:0;}}}", "a:6:{i:0;a:14:{s:5:\"title\";s:19:\"دسته بندی :\";s:4:\"name\";s:18:\"tariffs_categories\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:2:{i:0;a:3:{s:3:\"key\";s:11:\"Tariffs-web\";s:5:\"value\";s:34:\"تعرفه ی طراحی سایت \";s:2:\"id\";i:7245;}i:1;a:3:{s:3:\"key\";s:11:\"Tariffs-seo\";s:5:\"value\";s:20:\"تعرفه ی سئو\";s:2:\"id\";i:6197;}}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:5:\"radio\";s:2:\"id\";i:5765;s:8:\"isNested\";b:0;s:12:\"allow_custom\";s:0:\"\";s:21:\"options_from_glossary\";s:0:\"\";s:17:\"conditional_logic\";s:0:\"\";s:10:\"conditions\";a:1:{i:0;a:5:{s:5:\"field\";s:13:\"tariffs_title\";s:8:\"operator\";s:0:\"\";s:5:\"value\";s:0:\"\";s:6:\"values\";a:0:{}s:2:\"id\";i:1668;}}s:20:\"conditional_relation\";s:3:\"AND\";}i:1;a:9:{s:5:\"title\";s:25:\"ریبون (محبوب) :\";s:4:\"name\";s:17:\"tariffs_ispopular\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:8:\"switcher\";s:2:\"id\";i:2861;s:8:\"isNested\";b:0;}i:2;a:9:{s:5:\"title\";s:20:\"عنوان طرح : \";s:4:\"name\";s:13:\"tariffs_title\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:8655;s:8:\"isNested\";b:0;}i:3;a:9:{s:5:\"title\";s:18:\"قیمت طرح : \";s:4:\"name\";s:13:\"tariffs_price\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:3:\"50%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:4:\"text\";s:2:\"id\";i:8870;s:8:\"isNested\";b:0;}i:4;a:9:{s:5:\"title\";s:23:\"توضیحات طرح :\";s:4:\"name\";s:12:\"tariffs_desc\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:0:{}s:4:\"type\";s:8:\"textarea\";s:2:\"id\";i:9677;s:8:\"isNested\";b:0;}i:5;a:13:{s:5:\"title\";s:24:\"امکانات طرح : \";s:4:\"name\";s:17:\"tariffs_abilities\";s:11:\"object_type\";s:5:\"field\";s:5:\"width\";s:4:\"100%\";s:7:\"options\";a:0:{}s:15:\"repeater-fields\";a:2:{i:0;a:4:{s:5:\"title\";s:16:\"امکانات :\";s:4:\"name\";s:15:\"tariffs-ability\";s:4:\"type\";s:4:\"text\";s:2:\"id\";i:8302;}i:1;a:5:{s:5:\"title\";s:10:\"آیکن :\";s:4:\"name\";s:12:\"tariffs-icon\";s:4:\"type\";s:5:\"media\";s:2:\"id\";i:9520;s:12:\"value_format\";s:3:\"url\";}}s:4:\"type\";s:8:\"repeater\";s:2:\"id\";i:4376;s:8:\"isNested\";b:0;s:20:\"repeater_title_field\";s:15:\"tariffs-ability\";s:17:\"conditional_logic\";s:0:\"\";s:10:\"conditions\";a:1:{i:0;a:5:{s:5:\"field\";s:18:\"tariffs_categories\";s:8:\"operator\";s:5:\"equal\";s:5:\"value\";s:11:\"Tariffs-web\";s:6:\"values\";a:0:{}s:2:\"id\";i:2844;}}s:20:\"conditional_relation\";s:3:\"AND\";}}");
INSERT INTO `wp_jet_post_types` VALUES("7", NULL, "query", "a:1:{s:4:\"name\";s:54:\"کوئری دریافت تعرفه طراحی سایت\";}", "a:9:{s:10:\"query_type\";s:19:\"custom-content-type\";s:19:\"custom-content-type\";a:3:{s:5:\"order\";a:0:{}s:4:\"args\";a:1:{i:0;a:5:{s:3:\"_id\";i:162337;s:9:\"collapsed\";b:0;s:5:\"field\";s:18:\"tariffs_categories\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:11:\"Tariffs-web\";}}s:12:\"content_type\";s:7:\"tariffs\";}s:29:\"__dynamic_custom-content-type\";a:1:{s:4:\"args\";a:1:{i:162337;a:0:{}}}s:12:\"show_preview\";b:1;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";s:0:\"\";s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_jet_post_types` VALUES("9", NULL, "query", "a:1:{s:4:\"name\";s:41:\"کوئری دریافت تعرفه سئو\";}", "a:9:{s:10:\"query_type\";s:19:\"custom-content-type\";s:19:\"custom-content-type\";a:3:{s:5:\"order\";a:0:{}s:4:\"args\";a:1:{i:0;a:5:{s:3:\"_id\";i:162337;s:9:\"collapsed\";b:0;s:5:\"field\";s:18:\"tariffs_categories\";s:8:\"operator\";s:1:\"=\";s:5:\"value\";s:11:\"Tariffs-seo\";}}s:12:\"content_type\";s:7:\"tariffs\";}s:29:\"__dynamic_custom-content-type\";a:1:{s:4:\"args\";a:1:{i:162337;a:0:{}}}s:12:\"show_preview\";b:1;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";s:0:\"\";s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");
INSERT INTO `wp_jet_post_types` VALUES("10", NULL, "query", "a:1:{s:4:\"name\";s:37:\"کوئری آرشیو پروژه ها\";}", "a:9:{s:10:\"query_type\";s:5:\"posts\";s:5:\"posts\";a:7:{s:7:\"orderby\";a:1:{i:0;a:4:{s:3:\"_id\";i:221929;s:9:\"collapsed\";b:0;s:7:\"orderby\";s:4:\"date\";s:5:\"order\";s:4:\"DESC\";}}s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:0;a:4:{s:3:\"_id\";i:950685;s:9:\"collapsed\";b:0;s:8:\"taxonomy\";s:19:\"projects-categories\";s:5:\"field\";s:7:\"term_id\";}}s:10:\"date_query\";a:0:{}s:9:\"post_type\";a:1:{i:0;s:8:\"projects\";}s:11:\"post_status\";a:1:{i:0;s:7:\"publish\";}s:14:\"posts_per_page\";s:1:\"8\";}s:15:\"__dynamic_posts\";a:3:{s:10:\"meta_query\";a:0:{}s:9:\"tax_query\";a:1:{i:950685;a:1:{s:5:\"terms\";s:42:\"%queried_term%{\"context\":\"default_object\"}\";}}s:10:\"date_query\";a:0:{}}s:12:\"show_preview\";b:0;s:12:\"preview_page\";N;s:18:\"preview_page_title\";N;s:20:\"preview_query_string\";N;s:8:\"query_id\";N;s:11:\"description\";N;}", "a:0:{}");

/* INSERT TABLE DATA: wp_jet_taxonomies */
INSERT INTO `wp_jet_taxonomies` VALUES("1", "projects-categories", "a:1:{i:0;s:8:\"projects\";}", "publish", "a:9:{s:4:\"name\";s:33:\"دسته بندی پروژه ها\";s:13:\"singular_name\";s:28:\"دسته بندی پروژه\";s:9:\"menu_name\";s:28:\"دسته بندی پروژه\";s:9:\"all_items\";s:47:\"همه دسته بندی های پروژه ها\";s:9:\"edit_item\";s:41:\"ویرایش دسته بندی پروژه\";s:9:\"view_item\";s:41:\"مشاهده دسته بندی پروژه\";s:11:\"update_item\";s:52:\"به‌روزرسانی دسته بندی پروژه\";s:12:\"add_new_item\";s:50:\"افزودن دسته بندی پروژه جدید\";s:13:\"new_item_name\";s:44:\"نام دسته بندی پروژه جدید\";}", "a:16:{s:6:\"public\";b:1;s:18:\"publicly_queryable\";b:1;s:7:\"show_ui\";b:1;s:12:\"show_in_menu\";b:1;s:17:\"show_in_nav_menus\";b:1;s:12:\"show_in_rest\";b:1;s:7:\"rewrite\";b:1;s:12:\"hierarchical\";b:0;s:10:\"with_front\";b:0;s:14:\"show_edit_link\";b:0;s:16:\"hide_field_names\";b:0;s:20:\"rewrite_hierarchical\";b:0;s:9:\"query_var\";s:0:\"\";s:12:\"rewrite_slug\";s:19:\"projects-categories\";s:15:\"capability_type\";s:0:\"\";s:11:\"description\";s:0:\"\";}", "a:0:{}");

/* INSERT TABLE DATA: wp_options */
INSERT INTO `wp_options` VALUES("1", "siteurl", "https://halochin.ir/Technology", "yes");
INSERT INTO `wp_options` VALUES("2", "home", "https://halochin.ir/Technology", "yes");
INSERT INTO `wp_options` VALUES("3", "blogname", "سایت آماده شرکت تکنولوژی", "yes");
INSERT INTO `wp_options` VALUES("4", "blogdescription", "یک سایت آماده دیگر از ابزار وردپرس", "yes");
INSERT INTO `wp_options` VALUES("5", "users_can_register", "0", "yes");
INSERT INTO `wp_options` VALUES("6", "admin_email", "designer2@abzarwp.com", "yes");
INSERT INTO `wp_options` VALUES("7", "start_of_week", "6", "yes");
INSERT INTO `wp_options` VALUES("8", "use_balanceTags", "0", "yes");
INSERT INTO `wp_options` VALUES("9", "use_smilies", "1", "yes");
INSERT INTO `wp_options` VALUES("10", "require_name_email", "1", "yes");
INSERT INTO `wp_options` VALUES("11", "comments_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("12", "posts_per_rss", "10", "yes");
INSERT INTO `wp_options` VALUES("13", "rss_use_excerpt", "0", "yes");
INSERT INTO `wp_options` VALUES("14", "mailserver_url", "mail.example.com", "yes");
INSERT INTO `wp_options` VALUES("15", "mailserver_login", "login@example.com", "yes");
INSERT INTO `wp_options` VALUES("16", "mailserver_pass", "password", "yes");
INSERT INTO `wp_options` VALUES("17", "mailserver_port", "110", "yes");
INSERT INTO `wp_options` VALUES("18", "default_category", "1", "yes");
INSERT INTO `wp_options` VALUES("19", "default_comment_status", "open", "yes");
INSERT INTO `wp_options` VALUES("20", "default_ping_status", "open", "yes");
INSERT INTO `wp_options` VALUES("21", "default_pingback_flag", "1", "yes");
INSERT INTO `wp_options` VALUES("22", "posts_per_page", "10", "yes");
INSERT INTO `wp_options` VALUES("23", "date_format", "F j, Y", "yes");
INSERT INTO `wp_options` VALUES("24", "time_format", "g:i a", "yes");
INSERT INTO `wp_options` VALUES("25", "links_updated_date_format", "F j, Y g:i a", "yes");
INSERT INTO `wp_options` VALUES("26", "comment_moderation", "0", "yes");
INSERT INTO `wp_options` VALUES("27", "moderation_notify", "1", "yes");
INSERT INTO `wp_options` VALUES("28", "permalink_structure", "/%postname%/", "yes");
INSERT INTO `wp_options` VALUES("29", "rewrite_rules", "a:156:{s:11:\"jsf/(.*)/?$\";s:25:\"index.php?jsf=$matches[1]\";s:19:\"(.?.+?)/jsf/(.*)/?$\";s:46:\"index.php?pagename=$matches[1]&jsf=$matches[2]\";s:11:\"^wp-json/?$\";s:22:\"index.php?rest_route=/\";s:14:\"^wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:21:\"^index.php/wp-json/?$\";s:22:\"index.php?rest_route=/\";s:24:\"^index.php/wp-json/(.*)?\";s:33:\"index.php?rest_route=/$matches[1]\";s:17:\"^wp-sitemap\\.xml$\";s:23:\"index.php?sitemap=index\";s:17:\"^wp-sitemap\\.xsl$\";s:36:\"index.php?sitemap-stylesheet=sitemap\";s:23:\"^wp-sitemap-index\\.xsl$\";s:34:\"index.php?sitemap-stylesheet=index\";s:48:\"^wp-sitemap-([a-z]+?)-([a-z\\d_-]+?)-(\\d+?)\\.xml$\";s:75:\"index.php?sitemap=$matches[1]&sitemap-subtype=$matches[2]&paged=$matches[3]\";s:34:\"^wp-sitemap-([a-z]+?)-(\\d+?)\\.xml$\";s:47:\"index.php?sitemap=$matches[1]&paged=$matches[2]\";s:11:\"projects/?$\";s:28:\"index.php?post_type=projects\";s:41:\"projects/feed/(feed|rdf|rss|rss2|atom)/?$\";s:45:\"index.php?post_type=projects&feed=$matches[1]\";s:36:\"projects/(feed|rdf|rss|rss2|atom)/?$\";s:45:\"index.php?post_type=projects&feed=$matches[1]\";s:28:\"projects/page/([0-9]{1,})/?$\";s:46:\"index.php?post_type=projects&paged=$matches[1]\";s:15:\"our-services/?$\";s:32:\"index.php?post_type=our-services\";s:45:\"our-services/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?post_type=our-services&feed=$matches[1]\";s:40:\"our-services/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?post_type=our-services&feed=$matches[1]\";s:32:\"our-services/page/([0-9]{1,})/?$\";s:50:\"index.php?post_type=our-services&paged=$matches[1]\";s:47:\"category/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:42:\"category/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:52:\"index.php?category_name=$matches[1]&feed=$matches[2]\";s:23:\"category/(.+?)/embed/?$\";s:46:\"index.php?category_name=$matches[1]&embed=true\";s:35:\"category/(.+?)/page/?([0-9]{1,})/?$\";s:53:\"index.php?category_name=$matches[1]&paged=$matches[2]\";s:17:\"category/(.+?)/?$\";s:35:\"index.php?category_name=$matches[1]\";s:44:\"tag/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:39:\"tag/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?tag=$matches[1]&feed=$matches[2]\";s:20:\"tag/([^/]+)/embed/?$\";s:36:\"index.php?tag=$matches[1]&embed=true\";s:32:\"tag/([^/]+)/page/?([0-9]{1,})/?$\";s:43:\"index.php?tag=$matches[1]&paged=$matches[2]\";s:14:\"tag/([^/]+)/?$\";s:25:\"index.php?tag=$matches[1]\";s:45:\"type/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:40:\"type/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?post_format=$matches[1]&feed=$matches[2]\";s:21:\"type/([^/]+)/embed/?$\";s:44:\"index.php?post_format=$matches[1]&embed=true\";s:33:\"type/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?post_format=$matches[1]&paged=$matches[2]\";s:15:\"type/([^/]+)/?$\";s:33:\"index.php?post_format=$matches[1]\";s:42:\"e-landing-page/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:52:\"e-landing-page/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:72:\"e-landing-page/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:67:\"e-landing-page/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:48:\"e-landing-page/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:31:\"e-landing-page/([^/]+)/embed/?$\";s:47:\"index.php?e-landing-page=$matches[1]&embed=true\";s:35:\"e-landing-page/([^/]+)/trackback/?$\";s:41:\"index.php?e-landing-page=$matches[1]&tb=1\";s:43:\"e-landing-page/([^/]+)/page/?([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&paged=$matches[2]\";s:50:\"e-landing-page/([^/]+)/comment-page-([0-9]{1,})/?$\";s:54:\"index.php?e-landing-page=$matches[1]&cpage=$matches[2]\";s:39:\"e-landing-page/([^/]+)(?:/([0-9]+))?/?$\";s:53:\"index.php?e-landing-page=$matches[1]&page=$matches[2]\";s:31:\"e-landing-page/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:41:\"e-landing-page/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:61:\"e-landing-page/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:56:\"e-landing-page/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:37:\"e-landing-page/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:60:\"projects-categories/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:72:\"index.php?taxonomy=projects-categories&term=$matches[1]&feed=$matches[2]\";s:55:\"projects-categories/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:72:\"index.php?taxonomy=projects-categories&term=$matches[1]&feed=$matches[2]\";s:36:\"projects-categories/([^/]+)/embed/?$\";s:66:\"index.php?taxonomy=projects-categories&term=$matches[1]&embed=true\";s:48:\"projects-categories/([^/]+)/page/?([0-9]{1,})/?$\";s:73:\"index.php?taxonomy=projects-categories&term=$matches[1]&paged=$matches[2]\";s:30:\"projects-categories/([^/]+)/?$\";s:55:\"index.php?taxonomy=projects-categories&term=$matches[1]\";s:34:\"projects/.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:44:\"projects/.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:64:\"projects/.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"projects/.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:59:\"projects/.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:40:\"projects/.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:23:\"projects/(.+?)/embed/?$\";s:41:\"index.php?projects=$matches[1]&embed=true\";s:27:\"projects/(.+?)/trackback/?$\";s:35:\"index.php?projects=$matches[1]&tb=1\";s:47:\"projects/(.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?projects=$matches[1]&feed=$matches[2]\";s:42:\"projects/(.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?projects=$matches[1]&feed=$matches[2]\";s:35:\"projects/(.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?projects=$matches[1]&paged=$matches[2]\";s:42:\"projects/(.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?projects=$matches[1]&cpage=$matches[2]\";s:31:\"projects/(.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?projects=$matches[1]&page=$matches[2]\";s:40:\"our-services/[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:50:\"our-services/[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:70:\"our-services/[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"our-services/[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:65:\"our-services/[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:46:\"our-services/[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:29:\"our-services/([^/]+)/embed/?$\";s:45:\"index.php?our-services=$matches[1]&embed=true\";s:33:\"our-services/([^/]+)/trackback/?$\";s:39:\"index.php?our-services=$matches[1]&tb=1\";s:53:\"our-services/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?our-services=$matches[1]&feed=$matches[2]\";s:48:\"our-services/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:51:\"index.php?our-services=$matches[1]&feed=$matches[2]\";s:41:\"our-services/([^/]+)/page/?([0-9]{1,})/?$\";s:52:\"index.php?our-services=$matches[1]&paged=$matches[2]\";s:48:\"our-services/([^/]+)/comment-page-([0-9]{1,})/?$\";s:52:\"index.php?our-services=$matches[1]&cpage=$matches[2]\";s:37:\"our-services/([^/]+)(?:/([0-9]+))?/?$\";s:51:\"index.php?our-services=$matches[1]&page=$matches[2]\";s:29:\"our-services/[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:39:\"our-services/[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:59:\"our-services/[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"our-services/[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:54:\"our-services/[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:35:\"our-services/[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:48:\".*wp-(atom|rdf|rss|rss2|feed|commentsrss2)\\.php$\";s:18:\"index.php?feed=old\";s:20:\".*wp-app\\.php(/.*)?$\";s:19:\"index.php?error=403\";s:18:\".*wp-register.php$\";s:23:\"index.php?register=true\";s:32:\"feed/(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:27:\"(feed|rdf|rss|rss2|atom)/?$\";s:27:\"index.php?&feed=$matches[1]\";s:8:\"embed/?$\";s:21:\"index.php?&embed=true\";s:20:\"page/?([0-9]{1,})/?$\";s:28:\"index.php?&paged=$matches[1]\";s:27:\"comment-page-([0-9]{1,})/?$\";s:40:\"index.php?&page_id=507&cpage=$matches[1]\";s:41:\"comments/feed/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:36:\"comments/(feed|rdf|rss|rss2|atom)/?$\";s:42:\"index.php?&feed=$matches[1]&withcomments=1\";s:17:\"comments/embed/?$\";s:21:\"index.php?&embed=true\";s:44:\"search/(.+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:39:\"search/(.+)/(feed|rdf|rss|rss2|atom)/?$\";s:40:\"index.php?s=$matches[1]&feed=$matches[2]\";s:20:\"search/(.+)/embed/?$\";s:34:\"index.php?s=$matches[1]&embed=true\";s:32:\"search/(.+)/page/?([0-9]{1,})/?$\";s:41:\"index.php?s=$matches[1]&paged=$matches[2]\";s:14:\"search/(.+)/?$\";s:23:\"index.php?s=$matches[1]\";s:47:\"author/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:42:\"author/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:50:\"index.php?author_name=$matches[1]&feed=$matches[2]\";s:23:\"author/([^/]+)/embed/?$\";s:44:\"index.php?author_name=$matches[1]&embed=true\";s:35:\"author/([^/]+)/page/?([0-9]{1,})/?$\";s:51:\"index.php?author_name=$matches[1]&paged=$matches[2]\";s:17:\"author/([^/]+)/?$\";s:33:\"index.php?author_name=$matches[1]\";s:69:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:64:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:80:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&feed=$matches[4]\";s:45:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/embed/?$\";s:74:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&embed=true\";s:57:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:81:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]&paged=$matches[4]\";s:39:\"([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})/?$\";s:63:\"index.php?year=$matches[1]&monthnum=$matches[2]&day=$matches[3]\";s:56:\"([0-9]{4})/([0-9]{1,2})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:51:\"([0-9]{4})/([0-9]{1,2})/(feed|rdf|rss|rss2|atom)/?$\";s:64:\"index.php?year=$matches[1]&monthnum=$matches[2]&feed=$matches[3]\";s:32:\"([0-9]{4})/([0-9]{1,2})/embed/?$\";s:58:\"index.php?year=$matches[1]&monthnum=$matches[2]&embed=true\";s:44:\"([0-9]{4})/([0-9]{1,2})/page/?([0-9]{1,})/?$\";s:65:\"index.php?year=$matches[1]&monthnum=$matches[2]&paged=$matches[3]\";s:26:\"([0-9]{4})/([0-9]{1,2})/?$\";s:47:\"index.php?year=$matches[1]&monthnum=$matches[2]\";s:43:\"([0-9]{4})/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:38:\"([0-9]{4})/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?year=$matches[1]&feed=$matches[2]\";s:19:\"([0-9]{4})/embed/?$\";s:37:\"index.php?year=$matches[1]&embed=true\";s:31:\"([0-9]{4})/page/?([0-9]{1,})/?$\";s:44:\"index.php?year=$matches[1]&paged=$matches[2]\";s:13:\"([0-9]{4})/?$\";s:26:\"index.php?year=$matches[1]\";s:27:\".?.+?/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\".?.+?/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\".?.+?/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\".?.+?/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\".?.+?/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"(.?.+?)/embed/?$\";s:41:\"index.php?pagename=$matches[1]&embed=true\";s:20:\"(.?.+?)/trackback/?$\";s:35:\"index.php?pagename=$matches[1]&tb=1\";s:40:\"(.?.+?)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:35:\"(.?.+?)/(feed|rdf|rss|rss2|atom)/?$\";s:47:\"index.php?pagename=$matches[1]&feed=$matches[2]\";s:28:\"(.?.+?)/page/?([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&paged=$matches[2]\";s:35:\"(.?.+?)/comment-page-([0-9]{1,})/?$\";s:48:\"index.php?pagename=$matches[1]&cpage=$matches[2]\";s:24:\"(.?.+?)(?:/([0-9]+))?/?$\";s:47:\"index.php?pagename=$matches[1]&page=$matches[2]\";s:27:\"[^/]+/attachment/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:37:\"[^/]+/attachment/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:57:\"[^/]+/attachment/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:52:\"[^/]+/attachment/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:33:\"[^/]+/attachment/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";s:16:\"([^/]+)/embed/?$\";s:37:\"index.php?name=$matches[1]&embed=true\";s:20:\"([^/]+)/trackback/?$\";s:31:\"index.php?name=$matches[1]&tb=1\";s:40:\"([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:35:\"([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:43:\"index.php?name=$matches[1]&feed=$matches[2]\";s:28:\"([^/]+)/page/?([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&paged=$matches[2]\";s:35:\"([^/]+)/comment-page-([0-9]{1,})/?$\";s:44:\"index.php?name=$matches[1]&cpage=$matches[2]\";s:24:\"([^/]+)(?:/([0-9]+))?/?$\";s:43:\"index.php?name=$matches[1]&page=$matches[2]\";s:16:\"[^/]+/([^/]+)/?$\";s:32:\"index.php?attachment=$matches[1]\";s:26:\"[^/]+/([^/]+)/trackback/?$\";s:37:\"index.php?attachment=$matches[1]&tb=1\";s:46:\"[^/]+/([^/]+)/feed/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/(feed|rdf|rss|rss2|atom)/?$\";s:49:\"index.php?attachment=$matches[1]&feed=$matches[2]\";s:41:\"[^/]+/([^/]+)/comment-page-([0-9]{1,})/?$\";s:50:\"index.php?attachment=$matches[1]&cpage=$matches[2]\";s:22:\"[^/]+/([^/]+)/embed/?$\";s:43:\"index.php?attachment=$matches[1]&embed=true\";}", "yes");
INSERT INTO `wp_options` VALUES("30", "hack_file", "0", "yes");
INSERT INTO `wp_options` VALUES("31", "blog_charset", "UTF-8", "yes");
INSERT INTO `wp_options` VALUES("32", "moderation_keys", "", "no");
INSERT INTO `wp_options` VALUES("33", "active_plugins", "a:10:{i:0;s:25:\"duplicator/duplicator.php\";i:1;s:31:\"elementor-pro/elementor-pro.php\";i:2;s:23:\"elementor/elementor.php\";i:3;s:37:\"flexy-breadcrumb/flexy-breadcrumb.php\";i:4;s:53:\"jet-engine-trim-callback/jet-engine-trim-callback.php\";i:5;s:25:\"jet-engine/jet-engine.php\";i:6;s:24:\"jet-plugin-pro/index.php\";i:7;s:25:\"jet-search/jet-search.php\";i:8;s:39:\"jet-smart-filters/jet-smart-filters.php\";i:9;s:21:\"jet-tabs/jet-tabs.php\";}", "yes");
INSERT INTO `wp_options` VALUES("34", "category_base", "", "yes");
INSERT INTO `wp_options` VALUES("35", "ping_sites", "http://rpc.pingomatic.com/", "yes");
INSERT INTO `wp_options` VALUES("36", "comment_max_links", "2", "yes");
INSERT INTO `wp_options` VALUES("37", "gmt_offset", "", "yes");
INSERT INTO `wp_options` VALUES("38", "default_email_category", "1", "yes");
INSERT INTO `wp_options` VALUES("39", "recently_edited", "", "no");
INSERT INTO `wp_options` VALUES("40", "template", "hello-elementor", "yes");
INSERT INTO `wp_options` VALUES("41", "stylesheet", "hello-elementor", "yes");
INSERT INTO `wp_options` VALUES("42", "comment_registration", "0", "yes");
INSERT INTO `wp_options` VALUES("43", "html_type", "text/html", "yes");
INSERT INTO `wp_options` VALUES("44", "use_trackback", "0", "yes");
INSERT INTO `wp_options` VALUES("45", "default_role", "subscriber", "yes");
INSERT INTO `wp_options` VALUES("46", "db_version", "55853", "yes");
INSERT INTO `wp_options` VALUES("47", "uploads_use_yearmonth_folders", "1", "yes");
INSERT INTO `wp_options` VALUES("48", "upload_path", "", "yes");
INSERT INTO `wp_options` VALUES("49", "blog_public", "0", "yes");
INSERT INTO `wp_options` VALUES("50", "default_link_category", "2", "yes");
INSERT INTO `wp_options` VALUES("51", "show_on_front", "page", "yes");
INSERT INTO `wp_options` VALUES("52", "tag_base", "", "yes");
INSERT INTO `wp_options` VALUES("53", "show_avatars", "1", "yes");
INSERT INTO `wp_options` VALUES("54", "avatar_rating", "G", "yes");
INSERT INTO `wp_options` VALUES("55", "upload_url_path", "", "yes");
INSERT INTO `wp_options` VALUES("56", "thumbnail_size_w", "150", "yes");
INSERT INTO `wp_options` VALUES("57", "thumbnail_size_h", "150", "yes");
INSERT INTO `wp_options` VALUES("58", "thumbnail_crop", "1", "yes");
INSERT INTO `wp_options` VALUES("59", "medium_size_w", "300", "yes");
INSERT INTO `wp_options` VALUES("60", "medium_size_h", "300", "yes");
INSERT INTO `wp_options` VALUES("61", "avatar_default", "mystery", "yes");
INSERT INTO `wp_options` VALUES("62", "large_size_w", "1024", "yes");
INSERT INTO `wp_options` VALUES("63", "large_size_h", "1024", "yes");
INSERT INTO `wp_options` VALUES("64", "image_default_link_type", "none", "yes");
INSERT INTO `wp_options` VALUES("65", "image_default_size", "", "yes");
INSERT INTO `wp_options` VALUES("66", "image_default_align", "", "yes");
INSERT INTO `wp_options` VALUES("67", "close_comments_for_old_posts", "0", "yes");
INSERT INTO `wp_options` VALUES("68", "close_comments_days_old", "14", "yes");
INSERT INTO `wp_options` VALUES("69", "thread_comments", "1", "yes");
INSERT INTO `wp_options` VALUES("70", "thread_comments_depth", "5", "yes");
INSERT INTO `wp_options` VALUES("71", "page_comments", "0", "yes");
INSERT INTO `wp_options` VALUES("72", "comments_per_page", "50", "yes");
INSERT INTO `wp_options` VALUES("73", "default_comments_page", "newest", "yes");
INSERT INTO `wp_options` VALUES("74", "comment_order", "asc", "yes");
INSERT INTO `wp_options` VALUES("75", "sticky_posts", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("76", "widget_categories", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("77", "widget_text", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("78", "widget_rss", "a:2:{i:1;a:0:{}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("79", "uninstall_plugins", "a:2:{s:23:\"elementor/elementor.php\";a:2:{i:0;s:21:\"Elementor\\Maintenance\";i:1;s:9:\"uninstall\";}s:27:\"wp-optimize/wp-optimize.php\";a:2:{i:0;s:13:\"WPO_Uninstall\";i:1;s:7:\"actions\";}}", "no");
INSERT INTO `wp_options` VALUES("80", "timezone_string", "Asia/Tehran", "yes");
INSERT INTO `wp_options` VALUES("81", "page_for_posts", "20", "yes");
INSERT INTO `wp_options` VALUES("82", "page_on_front", "507", "yes");
INSERT INTO `wp_options` VALUES("83", "default_post_format", "0", "yes");
INSERT INTO `wp_options` VALUES("84", "link_manager_enabled", "0", "yes");
INSERT INTO `wp_options` VALUES("85", "finished_splitting_shared_terms", "1", "yes");
INSERT INTO `wp_options` VALUES("86", "site_icon", "2613", "yes");
INSERT INTO `wp_options` VALUES("87", "medium_large_size_w", "768", "yes");
INSERT INTO `wp_options` VALUES("88", "medium_large_size_h", "0", "yes");
INSERT INTO `wp_options` VALUES("89", "wp_page_for_privacy_policy", "3", "yes");
INSERT INTO `wp_options` VALUES("90", "show_comments_cookies_opt_in", "1", "yes");
INSERT INTO `wp_options` VALUES("91", "admin_email_lifespan", "1710051377", "yes");
INSERT INTO `wp_options` VALUES("92", "disallowed_keys", "", "no");
INSERT INTO `wp_options` VALUES("93", "comment_previously_approved", "1", "yes");
INSERT INTO `wp_options` VALUES("94", "auto_plugin_theme_update_emails", "a:0:{}", "no");
INSERT INTO `wp_options` VALUES("95", "auto_update_core_dev", "enabled", "yes");
INSERT INTO `wp_options` VALUES("96", "auto_update_core_minor", "enabled", "yes");
INSERT INTO `wp_options` VALUES("97", "auto_update_core_major", "enabled", "yes");
INSERT INTO `wp_options` VALUES("98", "wp_force_deactivated_plugins", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("99", "initial_db_version", "55853", "yes");
INSERT INTO `wp_options` VALUES("100", "wp_user_roles", "a:5:{s:13:\"administrator\";a:2:{s:4:\"name\";s:13:\"Administrator\";s:12:\"capabilities\";a:68:{s:13:\"switch_themes\";b:1;s:11:\"edit_themes\";b:1;s:16:\"activate_plugins\";b:1;s:12:\"edit_plugins\";b:1;s:10:\"edit_users\";b:1;s:10:\"edit_files\";b:1;s:14:\"manage_options\";b:1;s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:6:\"import\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:8:\"level_10\";b:1;s:7:\"level_9\";b:1;s:7:\"level_8\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;s:12:\"delete_users\";b:1;s:12:\"create_users\";b:1;s:17:\"unfiltered_upload\";b:1;s:14:\"edit_dashboard\";b:1;s:14:\"update_plugins\";b:1;s:14:\"delete_plugins\";b:1;s:15:\"install_plugins\";b:1;s:13:\"update_themes\";b:1;s:14:\"install_themes\";b:1;s:11:\"update_core\";b:1;s:10:\"list_users\";b:1;s:12:\"remove_users\";b:1;s:13:\"promote_users\";b:1;s:18:\"edit_theme_options\";b:1;s:13:\"delete_themes\";b:1;s:6:\"export\";b:1;s:26:\"create_notes_elementor-pro\";b:1;s:24:\"edit_notes_elementor-pro\";b:1;s:26:\"delete_notes_elementor-pro\";b:1;s:24:\"read_notes_elementor-pro\";b:1;s:31:\"edit_others_notes_elementor-pro\";b:1;s:33:\"delete_others_notes_elementor-pro\";b:1;s:39:\"read_others_private_notes_elementor-pro\";b:1;}}s:6:\"editor\";a:2:{s:4:\"name\";s:6:\"Editor\";s:12:\"capabilities\";a:34:{s:17:\"moderate_comments\";b:1;s:17:\"manage_categories\";b:1;s:12:\"manage_links\";b:1;s:12:\"upload_files\";b:1;s:15:\"unfiltered_html\";b:1;s:10:\"edit_posts\";b:1;s:17:\"edit_others_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:10:\"edit_pages\";b:1;s:4:\"read\";b:1;s:7:\"level_7\";b:1;s:7:\"level_6\";b:1;s:7:\"level_5\";b:1;s:7:\"level_4\";b:1;s:7:\"level_3\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:17:\"edit_others_pages\";b:1;s:20:\"edit_published_pages\";b:1;s:13:\"publish_pages\";b:1;s:12:\"delete_pages\";b:1;s:19:\"delete_others_pages\";b:1;s:22:\"delete_published_pages\";b:1;s:12:\"delete_posts\";b:1;s:19:\"delete_others_posts\";b:1;s:22:\"delete_published_posts\";b:1;s:20:\"delete_private_posts\";b:1;s:18:\"edit_private_posts\";b:1;s:18:\"read_private_posts\";b:1;s:20:\"delete_private_pages\";b:1;s:18:\"edit_private_pages\";b:1;s:18:\"read_private_pages\";b:1;}}s:6:\"author\";a:2:{s:4:\"name\";s:6:\"Author\";s:12:\"capabilities\";a:10:{s:12:\"upload_files\";b:1;s:10:\"edit_posts\";b:1;s:20:\"edit_published_posts\";b:1;s:13:\"publish_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_2\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;s:22:\"delete_published_posts\";b:1;}}s:11:\"contributor\";a:2:{s:4:\"name\";s:11:\"Contributor\";s:12:\"capabilities\";a:5:{s:10:\"edit_posts\";b:1;s:4:\"read\";b:1;s:7:\"level_1\";b:1;s:7:\"level_0\";b:1;s:12:\"delete_posts\";b:1;}}s:10:\"subscriber\";a:2:{s:4:\"name\";s:10:\"Subscriber\";s:12:\"capabilities\";a:2:{s:4:\"read\";b:1;s:7:\"level_0\";b:1;}}}", "yes");
INSERT INTO `wp_options` VALUES("101", "fresh_site", "0", "yes");
INSERT INTO `wp_options` VALUES("102", "WPLANG", "fa_IR", "yes");
INSERT INTO `wp_options` VALUES("103", "user_count", "1", "no");
INSERT INTO `wp_options` VALUES("104", "widget_block", "a:6:{i:2;a:1:{s:7:\"content\";s:19:\"<!-- wp:search /-->\";}i:3;a:1:{s:7:\"content\";s:170:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>نوشته‌های تازه</h2><!-- /wp:heading --><!-- wp:latest-posts /--></div><!-- /wp:group -->\";}i:4;a:1:{s:7:\"content\";s:242:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>آخرین دیدگاه‌ها</h2><!-- /wp:heading --><!-- wp:latest-comments {\"displayAvatar\":false,\"displayDate\":false,\"displayExcerpt\":false} /--></div><!-- /wp:group -->\";}i:5;a:1:{s:7:\"content\";s:159:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>بایگانی‌ها</h2><!-- /wp:heading --><!-- wp:archives /--></div><!-- /wp:group -->\";}i:6;a:1:{s:7:\"content\";s:155:\"<!-- wp:group --><div class=\"wp-block-group\"><!-- wp:heading --><h2>دسته‌ها</h2><!-- /wp:heading --><!-- wp:categories /--></div><!-- /wp:group -->\";}s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("105", "sidebars_widgets", "a:2:{s:19:\"wp_inactive_widgets\";a:5:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";i:3;s:7:\"block-5\";i:4;s:7:\"block-6\";}s:13:\"array_version\";i:3;}", "yes");
INSERT INTO `wp_options` VALUES("106", "cron", "a:10:{i:1697436977;a:6:{s:32:\"recovery_mode_clean_expired_keys\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:18:\"wp_https_detection\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_version_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:17:\"wp_update_plugins\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:16:\"wp_update_themes\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}s:34:\"wp_privacy_delete_old_export_files\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"hourly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:3600;}}}i:1697436988;a:3:{s:19:\"wp_scheduled_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:25:\"delete_expired_transients\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}s:21:\"wp_update_user_counts\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:10:\"twicedaily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:43200;}}}i:1697437148;a:1:{s:30:\"wp_scheduled_auto_draft_delete\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1697437283;a:1:{s:28:\"elementor/tracker/send_event\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1697452200;a:1:{s:29:\"duplicator_email_summary_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1697461315;a:1:{s:29:\"wpo_smush_clear_backup_images\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:5:\"daily\";s:4:\"args\";a:0:{}s:8:\"interval\";i:86400;}}}i:1697523378;a:1:{s:30:\"wp_delete_temp_updater_backups\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1697601831;a:1:{s:30:\"duplicator_usage_tracking_cron\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:22:\"duplicator_weekly_cron\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}i:1697609777;a:1:{s:30:\"wp_site_health_scheduled_check\";a:1:{s:32:\"40cd750bba9870f18aada2478b24840a\";a:3:{s:8:\"schedule\";s:6:\"weekly\";s:4:\"args\";a:0:{}s:8:\"interval\";i:604800;}}}s:7:\"version\";i:2;}", "yes");
INSERT INTO `wp_options` VALUES("107", "widget_pages", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("108", "widget_calendar", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("109", "widget_archives", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("110", "widget_media_audio", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("111", "widget_media_image", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("112", "widget_media_gallery", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("113", "widget_media_video", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("114", "widget_meta", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("115", "widget_search", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("116", "widget_recent-posts", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("117", "widget_recent-comments", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("118", "widget_tag_cloud", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("119", "widget_nav_menu", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("120", "widget_custom_html", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("123", "theme_mods_twentytwentythree", "a:2:{s:18:\"custom_css_post_id\";i:-1;s:16:\"sidebars_widgets\";a:2:{s:4:\"time\";i:1694499639;s:4:\"data\";a:3:{s:19:\"wp_inactive_widgets\";a:0:{}s:9:\"sidebar-1\";a:3:{i:0;s:7:\"block-2\";i:1;s:7:\"block-3\";i:2;s:7:\"block-4\";}s:9:\"sidebar-2\";a:2:{i:0;s:7:\"block-5\";i:1;s:7:\"block-6\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("124", "recovery_keys", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("125", "https_detection_errors", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("146", "can_compress_scripts", "1", "yes");
INSERT INTO `wp_options` VALUES("152", "auto_core_update_notified", "a:4:{s:4:\"type\";s:7:\"success\";s:5:\"email\";s:21:\"designer2@abzarwp.com\";s:7:\"version\";s:5:\"6.3.2\";s:9:\"timestamp\";i:1697178251;}", "no");
INSERT INTO `wp_options` VALUES("156", "finished_updating_comment_type", "1", "yes");
INSERT INTO `wp_options` VALUES("164", "current_theme", "Hello Elementor", "yes");
INSERT INTO `wp_options` VALUES("165", "theme_mods_hello-elementor", "a:4:{i:0;b:0;s:18:\"nav_menu_locations\";a:0:{}s:18:\"custom_css_post_id\";i:-1;s:11:\"custom_logo\";i:2609;}", "yes");
INSERT INTO `wp_options` VALUES("166", "theme_switched", "", "yes");
INSERT INTO `wp_options` VALUES("167", "hello_theme_version", "2.8.1", "yes");
INSERT INTO `wp_options` VALUES("172", "elementor_active_kit", "7", "yes");
INSERT INTO `wp_options` VALUES("173", "elementor_font_display", "swap", "yes");
INSERT INTO `wp_options` VALUES("176", "recently_activated", "a:2:{s:27:\"wp-optimize/wp-optimize.php\";i:1697115711;s:33:\"classic-editor/classic-editor.php\";i:1697114687;}", "yes");
INSERT INTO `wp_options` VALUES("177", "elementor_version", "3.16.5", "yes");
INSERT INTO `wp_options` VALUES("178", "elementor_install_history", "a:3:{s:6:\"3.15.3\";i:1694500716;s:6:\"3.16.2\";i:1694605210;s:6:\"3.16.5\";i:1697030416;}", "yes");
INSERT INTO `wp_options` VALUES("179", "elementor_events_db_version", "1.0.0", "no");
INSERT INTO `wp_options` VALUES("184", "elementor_onboarded", "1", "yes");
INSERT INTO `wp_options` VALUES("185", "_elementor_installed_time", "1694499702", "yes");
INSERT INTO `wp_options` VALUES("186", "elementor_remote_info_library", "a:3:{s:10:\"types_data\";a:4:{s:5:\"block\";a:2:{s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:4:\"sets\";a:5:{i:0;s:11:\"Boxing Club\";i:1;s:19:\"Business Consultant\";i:2;s:16:\"Marketing Agency\";i:3;s:9:\"Wireframe\";i:4;s:15:\"Workshop Center\";}}s:5:\"popup\";a:1:{s:10:\"categories\";a:6:{i:0;s:10:\"bottom bar\";i:1;s:7:\"classic\";i:2;s:6:\"fly-in\";i:3;s:11:\"full screen\";i:4;s:9:\"hello bar\";i:5;s:8:\"slide-in\";}}s:2:\"lp\";a:1:{s:10:\"categories\";a:15:{i:0;s:8:\"Business\";i:1;s:16:\"Coming Soon Page\";i:2;s:9:\"eCommerce\";i:3;s:9:\"Education\";i:4;s:6:\"Events\";i:5;s:18:\"Health and Fitness\";i:6;s:3:\"NFT\";i:7;s:14:\"Online Service\";i:8;s:7:\"Product\";i:9;s:11:\"Real Estate\";i:10;s:18:\"Social Involvement\";i:11;s:14:\"Thank You Page\";i:12;s:6:\"Travel\";i:13;s:18:\"Under Construction\";i:14;s:9:\"Wireframe\";}}s:2:\"lb\";a:1:{s:10:\"categories\";a:2:{i:0;s:4:\"post\";i:1;s:7:\"product\";}}}s:10:\"categories\";a:27:{i:0;s:8:\"404 page\";i:1;s:5:\"about\";i:2;s:7:\"archive\";i:3;s:8:\"Benefits\";i:4;s:14:\"call to action\";i:5;s:7:\"clients\";i:6;s:7:\"contact\";i:7;s:4:\"Data\";i:8;s:3:\"faq\";i:9;s:8:\"features\";i:10;s:6:\"footer\";i:11;s:7:\"Gallery\";i:12;s:6:\"header\";i:13;s:4:\"hero\";i:14;s:9:\"portfolio\";i:15;s:7:\"pricing\";i:16;s:15:\"product archive\";i:17;s:5:\"Quote\";i:18;s:15:\"Service Details\";i:19;s:8:\"services\";i:20;s:11:\"single page\";i:21;s:11:\"single post\";i:22;s:14:\"single product\";i:23;s:5:\"stats\";i:24;s:9:\"subscribe\";i:25;s:4:\"team\";i:26;s:12:\"testimonials\";}s:9:\"templates\";a:823:{i:0;a:18:{s:4:\"tmpl\";i:1280;s:2:\"id\";i:22403;s:5:\"title\";s:40:\"Hello Bar | Subscribe | Aesthetic Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/aesthetic-clinic-19.jpg\";s:12:\"tmpl_created\";i:1647354307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/hello-bar-subscribe-aesthetic-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:48:\"[\"Barbershop\",\"Business\",\"Discount\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:1;a:18:{s:4:\"tmpl\";i:1281;s:2:\"id\";i:22410;s:5:\"title\";s:32:\"Fly-In | Discount | Hair Stylist\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/hair-stylist-20.jpg\";s:12:\"tmpl_created\";i:1647354614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-discount-hair-stylist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Barbershop\",\"Discount\",\"Hair\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:2;a:18:{s:4:\"tmpl\";i:1285;s:2:\"id\";i:22440;s:5:\"title\";s:32:\"Classic | Subscribe | Shoe Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/shoes-store-21.jpg\";s:12:\"tmpl_created\";i:1647418620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-subscribe-shoe-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:37:\"[\"Ecommerce\",\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:3;a:18:{s:4:\"tmpl\";i:1286;s:2:\"id\";i:22446;s:5:\"title\";s:37:\"Full Screen | Subscribe | Denim Store\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/denim-store-22.jpg\";s:12:\"tmpl_created\";i:1647419614;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/full-screen-subscribe-denim-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:4;a:18:{s:4:\"tmpl\";i:1287;s:2:\"id\";i:22452;s:5:\"title\";s:37:\"Fly-In | Subscribe | Pizza Restaurant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/pizza-restaurant-23.jpg\";s:12:\"tmpl_created\";i:1647420733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-subscribe-pizza-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:19:\"[\"Business\",\"Food\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:5;a:18:{s:4:\"tmpl\";i:1288;s:2:\"id\";i:22458;s:5:\"title\";s:38:\"Full Screen | Subscribe | Fashion Shop\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-shop-24.jpg\";s:12:\"tmpl_created\";i:1647426379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-subscribe-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Ecommerce\",\"Fashion\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:6;a:18:{s:4:\"tmpl\";i:1289;s:2:\"id\";i:22464;s:5:\"title\";s:32:\"Fly-In | Contact | Makeup Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/makeup-studio-25.jpg\";s:12:\"tmpl_created\";i:1647427026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-makeup-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:7;a:18:{s:4:\"tmpl\";i:1290;s:2:\"id\";i:22470;s:5:\"title\";s:32:\"Fly-In | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-26.jpg\";s:12:\"tmpl_created\";i:1647428250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-contact-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:8;a:18:{s:4:\"tmpl\";i:1291;s:2:\"id\";i:22480;s:5:\"title\";s:27:\"Classic | CTA | MasterClass\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/master-class-27.jpg\";s:12:\"tmpl_created\";i:1647428474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-masterclass/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"cta\",\"Magazine\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:9;a:18:{s:4:\"tmpl\";i:1292;s:2:\"id\";i:22489;s:5:\"title\";s:29:\"Classic | CTA | Music Concert\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/music-concert-29.jpg\";s:12:\"tmpl_created\";i:1647429738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-music-concert/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"cta\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:10;a:18:{s:4:\"tmpl\";i:1293;s:2:\"id\";i:22495;s:5:\"title\";s:27:\"Classic | CTA | Music Album\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/music-album-30.jpg\";s:12:\"tmpl_created\";i:1647430056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-music-album/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Ba\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:11;a:18:{s:4:\"tmpl\";i:1294;s:2:\"id\";i:22501;s:5:\"title\";s:37:\"Fly-In | CTA | Photography Exhibition\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/photography-exhibition-31.jpg\";s:12:\"tmpl_created\";i:1647430512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-photography-exhibition/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:12;a:18:{s:4:\"tmpl\";i:1295;s:2:\"id\";i:22507;s:5:\"title\";s:34:\"Classic | CTA | Clothing Shop Sale\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/clothing-shop-sale-32.jpg\";s:12:\"tmpl_created\";i:1647430774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-cta-clothing-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Ecommerce\",\"Fashion\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:13;a:18:{s:4:\"tmpl\";i:1296;s:2:\"id\";i:22486;s:5:\"title\";s:30:\"Classic | CTA | Shop Promotion\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/shop-promotion-28.jpg\";s:12:\"tmpl_created\";i:1647430951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-shop-promotion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"cta\",\"Magazine\",\"Photography\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:14;a:18:{s:4:\"tmpl\";i:1297;s:2:\"id\";i:22516;s:5:\"title\";s:32:\"Fly-In | CTA | Glasses Shop Sale\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/glasses-shop-sale-33.jpg\";s:12:\"tmpl_created\";i:1647431136;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-cta-glasses-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:30:\"[\"Business\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:15;a:18:{s:4:\"tmpl\";i:1298;s:2:\"id\";i:22522;s:5:\"title\";s:30:\"Fly-In | Discount | Skate Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/50-skate-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647434058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-skate-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:16;a:18:{s:4:\"tmpl\";i:1299;s:2:\"id\";i:22532;s:5:\"title\";s:43:\"Classic | Subscription | Basketball Academy\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/21-basketball-academy-Subscription.jpg\";s:12:\"tmpl_created\";i:1647434608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/classic-subscription-basketball-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Education\",\"Marketing\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:17;a:18:{s:4:\"tmpl\";i:1300;s:2:\"id\";i:22543;s:5:\"title\";s:38:\"Classic | Discount | Veterinary Clinic\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/veterinery-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647435581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-discount-veterinary-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Discount\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:18;a:18:{s:4:\"tmpl\";i:1301;s:2:\"id\";i:22553;s:5:\"title\";s:39:\"Classic | Contact | Business Consulting\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/27-business-consulting-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647439935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/classic-contact-business-consulting/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Business\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:19;a:18:{s:4:\"tmpl\";i:1302;s:2:\"id\";i:22562;s:5:\"title\";s:28:\"Classic | Contact | Handyman\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/handyman-small.jpg\";s:12:\"tmpl_created\";i:1647440333;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-contact-handyman/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:20;a:18:{s:4:\"tmpl\";i:1303;s:2:\"id\";i:22573;s:5:\"title\";s:40:\"Classic | Discount | Online Fashion Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/31-online-fashion-shop-Discount.jpg\";s:12:\"tmpl_created\";i:1647462549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-online-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Discount\",\"Ecommerce\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:21;a:18:{s:4:\"tmpl\";i:1304;s:2:\"id\";i:22583;s:5:\"title\";s:36:\"Fly-In | Discount | Personal Trainer\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/personal-trainer-small.jpg\";s:12:\"tmpl_created\";i:1647503781;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-personal-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:22;a:18:{s:4:\"tmpl\";i:1305;s:2:\"id\";i:22592;s:5:\"title\";s:41:\"Classic | Contact | Illustrator Portfolio\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/illustrator-protfolio-small.jpg\";s:12:\"tmpl_created\";i:1647504218;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-contact-illustrator-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:49:\"[\"Contact\",\"Creative Portfolio\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:23;a:18:{s:4:\"tmpl\";i:1306;s:2:\"id\";i:22602;s:5:\"title\";s:46:\"Bottom Bar | Discount | Handmade Ceramics Shop\";s:9:\"thumbnail\";s:91:\"https://library.elementor.com/wp-content/uploads/2022/03/handmade-ceramic-shop-36-small.jpg\";s:12:\"tmpl_created\";i:1647507007;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-ceramics-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:48:\"[\"Business\",\"cta\",\"Ecommerce\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:24;a:18:{s:4:\"tmpl\";i:1307;s:2:\"id\";i:22612;s:5:\"title\";s:51:\"Classic | Contact | Classic Car Restoration Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/restoration-car-shop-37-small.jpg\";s:12:\"tmpl_created\";i:1647507310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/classic-contact-classic-car-restoration-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:25;a:18:{s:4:\"tmpl\";i:1308;s:2:\"id\";i:22621;s:5:\"title\";s:30:\"Classic | Booking | Life Coach\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/38-life-coach-Booking.jpg\";s:12:\"tmpl_created\";i:1647508596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-booking-life-coach/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:33:\"[\"Booking\",\"Business\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:26;a:18:{s:4:\"tmpl\";i:1309;s:2:\"id\";i:22632;s:5:\"title\";s:42:\"Classic |  Subscription | Merchandise Shop\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/Merchandise-Shop-39-small.jpg\";s:12:\"tmpl_created\";i:1647509196;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-subscription-merchandise-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Ecommerce\",\"Marketing\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:27;a:18:{s:4:\"tmpl\";i:1310;s:2:\"id\";i:22643;s:5:\"title\";s:48:\"Fly-In | Contact | Non-Governmental Organization\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/NGO-41-small.jpg\";s:12:\"tmpl_created\";i:1647509528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:150:\"https://library.elementor.com/popups/fly-in-contact-non-governmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:28;a:18:{s:4:\"tmpl\";i:1311;s:2:\"id\";i:22654;s:5:\"title\";s:35:\"Hello Bar | Contact | Family Doctor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/family-doctor-44-small.jpg\";s:12:\"tmpl_created\";i:1647509732;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/hello-bar-contact-family-doctor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Contact\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:29;a:18:{s:4:\"tmpl\";i:1312;s:2:\"id\";i:22663;s:5:\"title\";s:36:\"Classic | Subscription | Sports Blog\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/45-sport-blog-Subscription.jpg\";s:12:\"tmpl_created\";i:1647509908;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-sports-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Sport\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:30;a:18:{s:4:\"tmpl\";i:1313;s:2:\"id\";i:22673;s:5:\"title\";s:30:\"Hello Bar | Booking | Event DJ\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/DJ-service-46-small.jpg\";s:12:\"tmpl_created\";i:1647510160;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/hello-bar-booking-event-dj/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:31:\"[\"Booking\",\"Events\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:31;a:18:{s:4:\"tmpl\";i:1314;s:2:\"id\";i:22684;s:5:\"title\";s:36:\"Fly-In | Discount | Cleaning Company\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/51-cleaning-company-Discount.jpg\";s:12:\"tmpl_created\";i:1647510546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-discount-cleaning-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Discount\",\"Offer\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:32;a:18:{s:4:\"tmpl\";i:1315;s:2:\"id\";i:22693;s:5:\"title\";s:28:\"Fly-In | Contact | Carpenter\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/carpenter-53-small.jpg\";s:12:\"tmpl_created\";i:1647511972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-carpenter/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:33;a:18:{s:4:\"tmpl\";i:1316;s:2:\"id\";i:22703;s:5:\"title\";s:31:\"Classic | Booking | Yoga Studio\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/55-yoga-studio-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647512209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-booking-yoga-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Booking\",\"Contact\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:34;a:18:{s:4:\"tmpl\";i:1317;s:2:\"id\";i:22714;s:5:\"title\";s:37:\"Classic | Discount | Pet Care Company\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/56-Pet-Care-Discount.jpg\";s:12:\"tmpl_created\";i:1647513031;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-pet-care-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:35;a:18:{s:4:\"tmpl\";i:1318;s:2:\"id\";i:22725;s:5:\"title\";s:38:\"Fly-In | Discount | Online Coffee Shop\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/online-coffee-shop-57-small.jpg\";s:12:\"tmpl_created\";i:1647513325;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-discount-online-coffee-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Food\",\"Offer\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:36;a:18:{s:4:\"tmpl\";i:1319;s:2:\"id\";i:22737;s:5:\"title\";s:44:\"Fly-In | CTA | Moving &#038; Storage Company\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/moving-company-59-small.jpg\";s:12:\"tmpl_created\";i:1647520956;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/fly-in-cta-moving-storage-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:37;a:18:{s:4:\"tmpl\";i:1320;s:2:\"id\";i:22749;s:5:\"title\";s:47:\"Classic | Contact | Industrial Design Portfolio\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/60-industrial-design-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647528116;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/classic-contact-industrial-design-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:40:\"[\"Contact\",\"Interior Design\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:38;a:18:{s:4:\"tmpl\";i:1321;s:2:\"id\";i:22759;s:5:\"title\";s:25:\"Classic | Contact | Drone\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/drone-61-small.jpg\";s:12:\"tmpl_created\";i:1647528899;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/classic-contact-drone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:39;a:18:{s:4:\"tmpl\";i:1322;s:2:\"id\";i:22768;s:5:\"title\";s:46:\"Full Screen | Menu | Fashion Stylist Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/62-Fashion-Stylist-Menu.jpg\";s:12:\"tmpl_created\";i:1647529434;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/full-screen-menu-fashion-stylist-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:31:\"[\"Fashion\",\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:40;a:18:{s:4:\"tmpl\";i:1323;s:2:\"id\";i:22780;s:5:\"title\";s:31:\"Fly-In | CTA | Landscape Design\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/64-Landscape-Design-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647530337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-landscape-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:41;a:18:{s:4:\"tmpl\";i:1324;s:2:\"id\";i:22790;s:5:\"title\";s:48:\"Bottom Bar  | Contact | Architecture Photography\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/architecture-photography-65-small.jpg\";s:12:\"tmpl_created\";i:1647532358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/bottom-bar-contact-architecture-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:26:\"[\"Architecture\",\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:42;a:18:{s:4:\"tmpl\";i:1325;s:2:\"id\";i:22800;s:5:\"title\";s:41:\"Fly-In  | CTA | Speech-Language Therapist\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/66-Speech-Language-Therapist-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647532720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/fly-in-cta-speech-language-therapist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:25:\"[\"cta\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:43;a:18:{s:4:\"tmpl\";i:1326;s:2:\"id\";i:22812;s:5:\"title\";s:35:\"Full Screen | Verification | Winery\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/67-Winery-Verification.jpg\";s:12:\"tmpl_created\";i:1647761384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/full-screen-verification-winery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:24:\"[\"Alert\",\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:44;a:18:{s:4:\"tmpl\";i:1327;s:2:\"id\";i:22822;s:5:\"title\";s:36:\"Fly-In | Subscription | Nutritionist\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/nutritionist-69-small.jpg\";s:12:\"tmpl_created\";i:1647762620;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-subscription-nutritionist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Food\",\"Health\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:45;a:18:{s:4:\"tmpl\";i:1328;s:2:\"id\";i:22833;s:5:\"title\";s:40:\"Classic | Subscription | App &#038; SaaS\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/app-70-small.jpg\";s:12:\"tmpl_created\";i:1647762955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscription-app-saas/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:14:\"[\"App\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:46;a:18:{s:4:\"tmpl\";i:1329;s:2:\"id\";i:22844;s:5:\"title\";s:41:\"Bottom Bar | Discount | Handmade Cupcakes\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/72-Handmade-Cupcakes-Discount.jpg\";s:12:\"tmpl_created\";i:1647763350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/bottom-bar-discount-handmade-cupcakes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:21:\"[\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:47;a:18:{s:4:\"tmpl\";i:1330;s:2:\"id\";i:22855;s:5:\"title\";s:40:\"Bottom Bar | Subscription | Fashion Blog\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fashion-blog-75-small.jpg\";s:12:\"tmpl_created\";i:1647763907;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/bottom-bar-subscription-fashion-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:30:\"[\"Blog\",\"Fashion\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:48;a:18:{s:4:\"tmpl\";i:1331;s:2:\"id\";i:22866;s:5:\"title\";s:28:\"Fly-In | CTA | Private Tutor\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-77-small.jpg\";s:12:\"tmpl_created\";i:1647764062;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-cta-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:49;a:18:{s:4:\"tmpl\";i:1332;s:2:\"id\";i:22876;s:5:\"title\";s:30:\"Classic | CTA | Tennis Academy\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/78-Tennis-Academy-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765192;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-tennis-academy/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:50;a:18:{s:4:\"tmpl\";i:1333;s:2:\"id\";i:22887;s:5:\"title\";s:31:\"Fly-In | CTA | Shared Workspace\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/shared-workspace-79-small.jpg\";s:12:\"tmpl_created\";i:1647765419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-cta-shared-workspace/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Business\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:51;a:18:{s:4:\"tmpl\";i:1334;s:2:\"id\";i:22899;s:5:\"title\";s:30:\"Bottom Bar | CTA | Art Gallery\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/80-Art-Gallery-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647765652;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/bottom-bar-cta-art-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:13:\"[\"Art\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:52;a:18:{s:4:\"tmpl\";i:1335;s:2:\"id\";i:22910;s:5:\"title\";s:44:\"Fly-In | Subscription | Hiking Tours Company\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/hiking-tours-company-81-small.jpg\";s:12:\"tmpl_created\";i:1647765835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscription-hiking-tours-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:29:\"[\"Subscribe\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:53;a:18:{s:4:\"tmpl\";i:1336;s:2:\"id\";i:22921;s:5:\"title\";s:26:\"Classic | CTA | Music Band\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/music-band-82-small.jpg\";s:12:\"tmpl_created\";i:1647769462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/classic-cta-music-band/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Marketing\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:54;a:18:{s:4:\"tmpl\";i:1337;s:2:\"id\";i:22935;s:5:\"title\";s:35:\"Classic | CTA | Computer Technician\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/comuter-technician-83-small.jpg\";s:12:\"tmpl_created\";i:1647769843;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-computer-technician/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"cta\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:55;a:18:{s:4:\"tmpl\";i:1338;s:2:\"id\";i:22945;s:5:\"title\";s:37:\"Classic | Discount | Delivery Company\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/delivery-company-88-small.jpg\";s:12:\"tmpl_created\";i:1647770834;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-discount-delivery-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Discount\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:56;a:18:{s:4:\"tmpl\";i:1339;s:2:\"id\";i:22959;s:5:\"title\";s:29:\"Classic | Discount | Eco Shop\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/echo-shop-89-small.jpg\";s:12:\"tmpl_created\";i:1647771211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-discount-eco-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:57;a:18:{s:4:\"tmpl\";i:1340;s:2:\"id\";i:22972;s:5:\"title\";s:54:\"Fly-In | Subscription | Health &#038; Mindfulness Blog\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small.jpg\";s:12:\"tmpl_created\";i:1647771461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/fly-in-subscription-health-mindfulness-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:21:\"[\"Health\",\"Magazine\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:58;a:18:{s:4:\"tmpl\";i:1341;s:2:\"id\";i:22982;s:5:\"title\";s:31:\"Full Screen | Menu | Art Museum\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/art-museum-112-small.jpg\";s:12:\"tmpl_created\";i:1647771938;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-art-museum/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:59;a:18:{s:4:\"tmpl\";i:1342;s:2:\"id\";i:22992;s:5:\"title\";s:40:\"Classic | Discount | Urban Clothing Shop\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/health-blog-91-small-1.jpg\";s:12:\"tmpl_created\";i:1647773067;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-urban-clothing-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Discount\",\"Ecommerce\",\"Fashion\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:60;a:18:{s:4:\"tmpl\";i:1343;s:2:\"id\";i:23004;s:5:\"title\";s:60:\"Full Screen | Menu | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small-1.jpg\";s:12:\"tmpl_created\";i:1647773366;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:155:\"https://library.elementor.com/popups/full-screen-menu-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:61;a:18:{s:4:\"tmpl\";i:1344;s:2:\"id\";i:23015;s:5:\"title\";s:62:\"Bottom Bar | Contact | Digital &#038; Technology Design School\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-design-tech-school-small.jpg\";s:12:\"tmpl_created\";i:1647773492;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/bottom-bar-contact-digital-technology-design-school/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:23:\"[\"Contact\",\"Portfolio\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:62;a:18:{s:4:\"tmpl\";i:1345;s:2:\"id\";i:23025;s:5:\"title\";s:32:\"Full Screen | Menu | Flower Shop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small.jpg\";s:12:\"tmpl_created\";i:1647773820;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:63;a:18:{s:4:\"tmpl\";i:1346;s:2:\"id\";i:23037;s:5:\"title\";s:36:\"Classic | Subscription | Flower Shop\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/flower-shop-small-1.jpg\";s:12:\"tmpl_created\";i:1647773949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-flower-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Discount\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:64;a:18:{s:4:\"tmpl\";i:1347;s:2:\"id\";i:23056;s:5:\"title\";s:48:\"Classic | Discount | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small-1.jpg\";s:12:\"tmpl_created\";i:1647774468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/classic-discount-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:65;a:18:{s:4:\"tmpl\";i:1348;s:2:\"id\";i:23067;s:5:\"title\";s:37:\"Fly-In | Menu | Baby Sleep Consultant\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small-1.jpg\";s:12:\"tmpl_created\";i:1647778954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/popups/baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:66;a:18:{s:4:\"tmpl\";i:1349;s:2:\"id\";i:23077;s:5:\"title\";s:46:\"Classic | Subscription | Baby Sleep Consultant\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/baby-sleep-consultant-small.jpg\";s:12:\"tmpl_created\";i:1647779074;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/classic-subscription-baby-sleep-consultant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:12:\"[\"Discount\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:67;a:18:{s:4:\"tmpl\";i:1350;s:2:\"id\";i:23090;s:5:\"title\";s:33:\"Full Screen | Menu | Luxury Hotel\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small.jpg\";s:12:\"tmpl_created\";i:1647779390;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/full-screen-menu-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:68;a:18:{s:4:\"tmpl\";i:1351;s:2:\"id\";i:23100;s:5:\"title\";s:31:\"Fly-In | Booking | Luxury Hotel\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/luxury-hotel-small-1.jpg\";s:12:\"tmpl_created\";i:1647779500;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-booking-luxury-hotel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Booking\",\"Travel\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:69;a:18:{s:4:\"tmpl\";i:1352;s:2:\"id\";i:23109;s:5:\"title\";s:38:\"Full Screen | Menu | Design Conference\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small.jpg\";s:12:\"tmpl_created\";i:1647779675;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:70;a:18:{s:4:\"tmpl\";i:1353;s:2:\"id\";i:23120;s:5:\"title\";s:41:\"Full Screen | Booking | Design Conference\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/design-conference-35-small-1.jpg\";s:12:\"tmpl_created\";i:1647779793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/popups/full-screen-booking-design-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:35:\"[\"Booking\",\"Conference\",\"Creative\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:71;a:18:{s:4:\"tmpl\";i:1354;s:2:\"id\";i:23129;s:5:\"title\";s:29:\"Slide-In | Menu | VR Headsets\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small.jpg\";s:12:\"tmpl_created\";i:1647781211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-menu-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:72;a:18:{s:4:\"tmpl\";i:1355;s:2:\"id\";i:23139;s:5:\"title\";s:31:\"Classic | Contact | VR Headsets\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/VR-headset-small-1.jpg\";s:12:\"tmpl_created\";i:1647781384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-vr-headsets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:73;a:18:{s:4:\"tmpl\";i:1356;s:2:\"id\";i:23149;s:5:\"title\";s:38:\"Slide-In | Menu | Portrait Photography\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Menu.jpg\";s:12:\"tmpl_created\";i:1647782336;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/slide-in-menu-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:74;a:18:{s:4:\"tmpl\";i:1357;s:2:\"id\";i:23159;s:5:\"title\";s:47:\"Hello Bar | Subscription | Portrait Photography\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2022/03/48-portrair-photography-Subscription.jpg\";s:12:\"tmpl_created\";i:1647782478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:149:\"https://library.elementor.com/popups/hello-bar-subscription-portrait-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Blog\",\"Photography\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:75;a:18:{s:4:\"tmpl\";i:1358;s:2:\"id\";i:23169;s:5:\"title\";s:32:\"Full Screen | Menu | English Pub\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Menu.jpg\";s:12:\"tmpl_created\";i:1647782664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/full-screen-menu-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:76;a:18:{s:4:\"tmpl\";i:1359;s:2:\"id\";i:23179;s:5:\"title\";s:32:\"Classic | Discount | English Pub\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/49-englisg-pub-Discount.jpg\";s:12:\"tmpl_created\";i:1647782796;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-english-pub/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:77;a:18:{s:4:\"tmpl\";i:1360;s:2:\"id\";i:23189;s:5:\"title\";s:27:\"Full Screen | Menu | Singer\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Menu.jpg\";s:12:\"tmpl_created\";i:1647783070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/full-screen-menu-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:29:\"[\"Fullscreen\",\"menu\",\"Music\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:78;a:18:{s:4:\"tmpl\";i:1361;s:2:\"id\";i:23200;s:5:\"title\";s:31:\"Classic | Subscription | Singer\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2022/03/58-Music-Artist-Subscription.jpg\";s:12:\"tmpl_created\";i:1647783249;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-subscription-singer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Music\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:79;a:18:{s:4:\"tmpl\";i:1362;s:2:\"id\";i:23210;s:5:\"title\";s:38:\"Full Screen | Menu | Virtual Assistant\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistnt-73-small.jpg\";s:12:\"tmpl_created\";i:1647784292;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-menu-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:80;a:18:{s:4:\"tmpl\";i:1363;s:2:\"id\";i:23223;s:5:\"title\";s:39:\"Hello Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/73-Virtual-Assistant-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647784616;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-contact-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:37:\"[\"Contact\",\"Psychologist\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:81;a:18:{s:4:\"tmpl\";i:1364;s:2:\"id\";i:23234;s:5:\"title\";s:32:\"Slide-In  | Menu | Personal Chef\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Menu.jpg\";s:12:\"tmpl_created\";i:1647798194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-menu-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:8:\"[\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:82;a:18:{s:4:\"tmpl\";i:1365;s:2:\"id\";i:23244;s:5:\"title\";s:29:\"Classic | CTA | Personal Chef\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/74-Personal-Chef-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647798297;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-personal-chef/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:24:\"[\"Booking\",\"Chef\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:83;a:18:{s:4:\"tmpl\";i:1366;s:2:\"id\";i:23254;s:5:\"title\";s:31:\"Full Screen | Menu | Food Truck\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small-1.jpg\";s:12:\"tmpl_created\";i:1647798447;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/full-screen-menu-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:84;a:18:{s:4:\"tmpl\";i:1367;s:2:\"id\";i:23265;s:5:\"title\";s:30:\"Fly-In | Discount | Food Truck\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/food-truck-76-small.jpg\";s:12:\"tmpl_created\";i:1647798657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-discount-food-truck/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Discount\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:85;a:18:{s:4:\"tmpl\";i:1369;s:2:\"id\";i:23323;s:5:\"title\";s:28:\"Classic | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-6-Small.jpg\";s:12:\"tmpl_created\";i:1647855505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:86;a:18:{s:4:\"tmpl\";i:1370;s:2:\"id\";i:23329;s:5:\"title\";s:29:\"Slide-In | CTA | Black Friday\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-5-Small.jpg\";s:12:\"tmpl_created\";i:1647855865;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/slide-in-cta-black-friday/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:87;a:18:{s:4:\"tmpl\";i:1371;s:2:\"id\";i:23335;s:5:\"title\";s:31:\"Slide-In | CTA | Black Friday 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-1-Small.jpg\";s:12:\"tmpl_created\";i:1647856357;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/slide-in-cta-black-friday-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:88;a:18:{s:4:\"tmpl\";i:1372;s:2:\"id\";i:23341;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-3-Small.jpg\";s:12:\"tmpl_created\";i:1647856493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:89;a:18:{s:4:\"tmpl\";i:1373;s:2:\"id\";i:23347;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-2-Small.jpg\";s:12:\"tmpl_created\";i:1647856891;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:90;a:18:{s:4:\"tmpl\";i:1374;s:2:\"id\";i:23354;s:5:\"title\";s:30:\"Classic | CTA | Black Friday 4\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/Black-Friday-4-Small.jpg\";s:12:\"tmpl_created\";i:1647856996;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-black-friday-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Black Friday\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:91;a:18:{s:4:\"tmpl\";i:1375;s:2:\"id\";i:23394;s:5:\"title\";s:27:\"Classic | CTA | Halloween 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-3-Small.jpg\";s:12:\"tmpl_created\";i:1647857351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/classic-cta-halloween-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:31:\"[\"cta\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:92;a:18:{s:4:\"tmpl\";i:1376;s:2:\"id\";i:23401;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-2-Small.jpg\";s:12:\"tmpl_created\";i:1647857567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:93;a:18:{s:4:\"tmpl\";i:1377;s:2:\"id\";i:23407;s:5:\"title\";s:33:\"Slide-In | Discount | Halloween 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-1-Small.jpg\";s:12:\"tmpl_created\";i:1647857814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-halloween-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:36:\"[\"Discount\",\"Ecommerce\",\"Halloween\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:94;a:18:{s:4:\"tmpl\";i:1378;s:2:\"id\";i:23416;s:5:\"title\";s:31:\"Fly-In | Discount | Halloween 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-5-Small.jpg\";s:12:\"tmpl_created\";i:1647858024;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-discount-halloween-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:44:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Offer\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:95;a:18:{s:4:\"tmpl\";i:1379;s:2:\"id\";i:23422;s:5:\"title\";s:36:\"Classic | Subscription | Halloween 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Halloween-4-Small.jpg\";s:12:\"tmpl_created\";i:1647858246;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-subscription-halloween-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:48:\"[\"Discount\",\"Ecommerce\",\"Halloween\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:96;a:18:{s:4:\"tmpl\";i:1380;s:2:\"id\";i:23471;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-2-Small.jpg\";s:12:\"tmpl_created\";i:1647859193;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:97;a:18:{s:4:\"tmpl\";i:1381;s:2:\"id\";i:23477;s:5:\"title\";s:28:\"Slide-In | CTA | Christmas 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-4-Small.jpg\";s:12:\"tmpl_created\";i:1647859838;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/slide-in-cta-christmas-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Christmas\",\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:98;a:18:{s:4:\"tmpl\";i:1382;s:2:\"id\";i:23483;s:5:\"title\";s:26:\"Fly-In | CTA | Christmas 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-1-Small.jpg\";s:12:\"tmpl_created\";i:1647860157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/popups/fly-in-cta-christmas-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:99;a:18:{s:4:\"tmpl\";i:1383;s:2:\"id\";i:23489;s:5:\"title\";s:33:\"Slide-In | Discount | Christmas 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-5-Small.jpg\";s:12:\"tmpl_created\";i:1647860302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-discount-christmas-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:31:\"[\"Christmas\",\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:100;a:18:{s:4:\"tmpl\";i:1384;s:2:\"id\";i:23496;s:5:\"title\";s:32:\"Classic | Discount | Christmas 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/Christmas-3-Small.jpg\";s:12:\"tmpl_created\";i:1647860454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-discount-christmas-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Christmas\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:101;a:18:{s:4:\"tmpl\";i:1385;s:2:\"id\";i:23523;s:5:\"title\";s:30:\"Classic | CTA | Valentines Day\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-2-Small.jpg\";s:12:\"tmpl_created\";i:1647860912;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-cta-valentines-day/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:102;a:18:{s:4:\"tmpl\";i:1386;s:2:\"id\";i:23529;s:5:\"title\";s:39:\"Hello Bar | Discount | Valentines Day 2\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-1-Small.jpg\";s:12:\"tmpl_created\";i:1647861064;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-discount-valentines-day-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:30:\"[\"Discount\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:103;a:18:{s:4:\"tmpl\";i:1387;s:2:\"id\";i:23536;s:5:\"title\";s:32:\"Classic | CTA | Valentines Day 3\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/03/Valentines-Day-3-Small.jpg\";s:12:\"tmpl_created\";i:1647861536;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-cta-valentines-day-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"cta\",\"Valentine\'s Day\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:104;a:18:{s:4:\"tmpl\";i:1388;s:2:\"id\";i:23586;s:5:\"title\";s:51:\"Fly-In | Subscribe | Health &#038; Wellness Company\";s:9:\"thumbnail\";s:103:\"https://library.elementor.com/wp-content/uploads/2022/03/35-Subscribe-Health-Wellness-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647862008;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/fly-in-subscribe-health-wellness-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:24:\"[\"Business\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:105;a:18:{s:4:\"tmpl\";i:1389;s:2:\"id\";i:23592;s:5:\"title\";s:34:\"Classic | Subscribe | Tech Company\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/36-Subscribe-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647866706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-subscribe-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Marketing\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:106;a:18:{s:4:\"tmpl\";i:1390;s:2:\"id\";i:23598;s:5:\"title\";s:36:\"Classic | Contact Us | Fight Classes\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2022/03/37-Contact-Us-Fight-Classes-Small.jpg\";s:12:\"tmpl_created\";i:1647866869;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-contact-us-fight-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:107;a:18:{s:4:\"tmpl\";i:1391;s:2:\"id\";i:23611;s:5:\"title\";s:31:\"Classic | CTA | Mochi Shop Sale\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2022/03/39-Click-Through-Mochi-Shop-Sale-Small.jpg\";s:12:\"tmpl_created\";i:1647867750;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-cta-mochi-shop-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:23:\"[\"cta\",\"Offer\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:108;a:18:{s:4:\"tmpl\";i:1392;s:2:\"id\";i:23618;s:5:\"title\";s:28:\"Classic | CTA | Fashion Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/40-Click-Through-Fashion-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647868251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-cta-fashion-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"cta\",\"Ecommerce\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:109;a:18:{s:4:\"tmpl\";i:1393;s:2:\"id\";i:23624;s:5:\"title\";s:29:\"Fly-In | Login | Tech Company\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/41-Login-Tech-Company-Small.jpg\";s:12:\"tmpl_created\";i:1647868704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/fly-in-login-tech-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:110;a:18:{s:4:\"tmpl\";i:1394;s:2:\"id\";i:23630;s:5:\"title\";s:36:\"Fly-In | Verification | Liquor Store\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/42-Verification-Liquor-Store-Small.jpg\";s:12:\"tmpl_created\";i:1647870308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/fly-in-verification-liquor-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:111;a:18:{s:4:\"tmpl\";i:1395;s:2:\"id\";i:23636;s:5:\"title\";s:39:\"Hello Bar | Subscribe | Online Magazine\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2022/03/44-Subscribe-Online-Magazine-Small.jpg\";s:12:\"tmpl_created\";i:1647870465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/hello-bar-subscribe-online-magazine/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:112;a:18:{s:4:\"tmpl\";i:1396;s:2:\"id\";i:23642;s:5:\"title\";s:27:\"Fly-In | Login | Health Spa\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/03/43-Login-Health-Spa-Small.jpg\";s:12:\"tmpl_created\";i:1647872427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/fly-in-login-health-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:20:\"[\"Login\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:113;a:18:{s:4:\"tmpl\";i:1397;s:2:\"id\";i:23648;s:5:\"title\";s:33:\"Fly-In | Verification | Wine Shop\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/03/45-Verification-Wine-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1647872627;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/fly-in-verification-wine-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:16:\"[\"Verification\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:114;a:18:{s:4:\"tmpl\";i:1421;s:2:\"id\";i:24235;s:5:\"title\";s:24:\"Ladydog Club &#8211; NFT\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/05/Ladydog_Club.jpg\";s:12:\"tmpl_created\";i:1651525072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/ladydog-club-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:115;a:18:{s:4:\"tmpl\";i:1422;s:2:\"id\";i:24166;s:5:\"title\";s:15:\"Dot &#8211; NFT\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/05/Dot-250_280.jpg\";s:12:\"tmpl_created\";i:1651525117;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/lp/dot-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:116;a:18:{s:4:\"tmpl\";i:1423;s:2:\"id\";i:24191;s:5:\"title\";s:28:\"Cosmic Neighbors &#8211; NFT\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Cosmic_Neighbors-250_280.jpg\";s:12:\"tmpl_created\";i:1651525124;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/cosmic-neighbors-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:117;a:18:{s:4:\"tmpl\";i:1424;s:2:\"id\";i:24255;s:5:\"title\";s:30:\"Happy Food Friends &#8211; NFT\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/05/Featured_Image.jpg\";s:12:\"tmpl_created\";i:1651525475;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/happy-food-friends-nft/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:3:\"NFT\";s:4:\"tags\";s:100:\"[\"Art\",\"Author\",\"Business\",\"Creative\",\"Design\",\"Gallery\",\"Landing Pages\",\"NFT\",\"Products\",\"Virtual\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:118;a:18:{s:4:\"tmpl\";i:1443;s:2:\"id\";i:24599;s:5:\"title\";s:27:\"Wireframe &#8211; Courses 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Courses-1.jpg\";s:12:\"tmpl_created\";i:1653989626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-courses-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:180:\"[\"About\",\"Academy\",\"Booking\",\"Business\",\"Course Online\",\"Features\",\"Footer\",\"Landing Pages\",\"Online Service\",\"Professional\",\"School\",\"Services\",\"Subscribe\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:119;a:18:{s:4:\"tmpl\";i:1444;s:2:\"id\";i:24614;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1-2.jpg\";s:12:\"tmpl_created\";i:1653990084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:139:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:120;a:18:{s:4:\"tmpl\";i:1445;s:2:\"id\";i:24629;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2-2.jpg\";s:12:\"tmpl_created\";i:1653990132;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:123:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:121;a:18:{s:4:\"tmpl\";i:1446;s:2:\"id\";i:24644;s:5:\"title\";s:27:\"Wireframe &#8211; Webinar 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Webinar-1.jpg\";s:12:\"tmpl_created\";i:1653990164;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/wireframe-webinar-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:177:\"[\"About\",\"Academy\",\"Booking\",\"Conference\",\"Course Online\",\"Education\",\"Features\",\"Footer\",\"Form\",\"Landing Pages\",\"Online Event\",\"Online Service\",\"Subscribe\",\"Virtual\",\"Webinar\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:122;a:18:{s:4:\"tmpl\";i:1447;s:2:\"id\";i:24655;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3-2.jpg\";s:12:\"tmpl_created\";i:1653990198;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:143:\"[\"About\",\"Agency\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Landing Pages\",\"Portfolio\",\"Professional\",\"Project\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:123;a:18:{s:4:\"tmpl\";i:1448;s:2:\"id\";i:24677;s:5:\"title\";s:28:\"Wireframe &#8211; Services 4\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-4.jpg\";s:12:\"tmpl_created\";i:1653990233;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:102:\"[\"About\",\"Business\",\"Contact\",\"Footer\",\"Form\",\"Landing Pages\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:124;a:18:{s:4:\"tmpl\";i:1449;s:2:\"id\";i:24687;s:5:\"title\";s:28:\"Wireframe &#8211; Products 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Products-1.jpg\";s:12:\"tmpl_created\";i:1653990273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-products-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:128:\"[\"About\",\"Booking\",\"Business\",\"Clients\",\"Ecommerce\",\"Features\",\"Footer\",\"Landing Pages\",\"Products\",\"Sales\",\"Shop\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:125;a:18:{s:4:\"tmpl\";i:1450;s:2:\"id\";i:24706;s:5:\"title\";s:28:\"Wireframe &#8211; Services 5\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-5.jpg\";s:12:\"tmpl_created\";i:1653990322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/wireframe-services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Wireframe\";s:4:\"tags\";s:149:\"[\"About\",\"Booking\",\"Consulting\",\"Contact\",\"Doctor\",\"Footer\",\"Form\",\"Header\",\"Landing Pages\",\"Online Service\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:126;a:18:{s:4:\"tmpl\";i:1451;s:2:\"id\";i:23604;s:5:\"title\";s:38:\"Classic | Subscribe | Nail Polish Shop\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2022/03/38-Subscribe-Nail-Polish-Shop-Small.jpg\";s:12:\"tmpl_created\";i:1660205114;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/classic-subscribe-nail-polish-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:20:\"[\"Blog\",\"Subscribe\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:127;a:18:{s:4:\"tmpl\";i:1452;s:2:\"id\";i:23047;s:5:\"title\";s:46:\"Fly-In | Contact | Health &#038; Fitness eBook\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/fitness-ebook-small.jpg\";s:12:\"tmpl_created\";i:1660205149;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/fly-in-contact-health-fitness-ebook/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Contact\",\"Ebook\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:128;a:18:{s:4:\"tmpl\";i:1199;s:2:\"id\";i:18839;s:5:\"title\";s:27:\"Hello Bar | CTA | eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/05/350x250.png\";s:12:\"tmpl_created\";i:1621870603;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/popups/hello-bar-cta-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:41:\"[\"Ecommerce\",\"Online Shop\",\"Sale\",\"Shop\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:129;a:18:{s:4:\"tmpl\";i:1247;s:2:\"id\";i:21907;s:5:\"title\";s:50:\"Fly-In | Team Details  | Electronic Music Festival\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/Kit-8-electronic-music-festival-CTA-image-1.jpg\";s:12:\"tmpl_created\";i:1646660881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/popups/fly-in-team-details-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:130;a:18:{s:4:\"tmpl\";i:1253;s:2:\"id\";i:22162;s:5:\"title\";s:46:\"Full Screen | Menu | Electronic Music Festival\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/03/8-music-festival-Team-Details.jpg\";s:12:\"tmpl_created\";i:1647272934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:154:\"https://library.elementor.com/popups/full-screen-menu-popup-electronic-music-festival/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:21:\"[\"Fullscreen\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:131;a:18:{s:4:\"tmpl\";i:1254;s:2:\"id\";i:22172;s:5:\"title\";s:45:\"Classic | Discount | Health &#038; Beauty Spa\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/health-beauty-spa-small.jpg\";s:12:\"tmpl_created\";i:1647273547;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-discount-popup-health-beauty-spa/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:36:\"[\"Hair\",\"Health\",\"Sales\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:132;a:18:{s:4:\"tmpl\";i:1255;s:2:\"id\";i:22183;s:5:\"title\";s:44:\"Hello Bar | CTA | Environmental Organization\";s:9:\"thumbnail\";s:104:\"https://library.elementor.com/wp-content/uploads/2022/03/11-Environmental-Organization-Click-Through.jpg\";s:12:\"tmpl_created\";i:1647274384;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/hello-bar-cta-popup-environmental-organization/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:133;a:18:{s:4:\"tmpl\";i:1256;s:2:\"id\";i:22195;s:5:\"title\";s:39:\"Classic | Discount | Italian Restaurant\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/restaurant-small.jpg\";s:12:\"tmpl_created\";i:1647329432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-discount-popup-italian-restaurant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:22:\"[\"Restaurant\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:134;a:18:{s:4:\"tmpl\";i:1257;s:2:\"id\";i:22210;s:5:\"title\";s:45:\"Bottom Bar | Discount | Technology Conference\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tech-conference-small.jpg\";s:12:\"tmpl_created\";i:1647330423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:153:\"https://library.elementor.com/popups/bottom-bar-discount-popup-technology-conference/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:38:\"[\"Conference\",\"Sales\",\"Save the Date\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:135;a:18:{s:4:\"tmpl\";i:1258;s:2:\"id\";i:22221;s:5:\"title\";s:32:\"Hello Bar | Menu | Tattoo Studio\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small-1.jpg\";s:12:\"tmpl_created\";i:1647330705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/hello-bar-menu-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:17:\"[\"Header\",\"menu\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:136;a:18:{s:4:\"tmpl\";i:1259;s:2:\"id\";i:22231;s:5:\"title\";s:37:\"Full Screen | Booking | Tattoo Studio\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/tattoo-studio-small.jpg\";s:12:\"tmpl_created\";i:1647331823;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-booking-popup-tattoo-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:32:\"[\"Booking\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:137;a:18:{s:4:\"tmpl\";i:1260;s:2:\"id\";i:22251;s:5:\"title\";s:34:\"Classic | Discount | Dental Clinic\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/dental-clinic-small.jpg\";s:12:\"tmpl_created\";i:1647332171;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-discount-popup-dental-clinic/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:30:\"[\"Health\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:138;a:18:{s:4:\"tmpl\";i:1261;s:2:\"id\";i:22261;s:5:\"title\";s:34:\"Slide-In | Contact | Makeup Artist\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/03/20-Makeup-Artist-Contact-Us.jpg\";s:12:\"tmpl_created\";i:1647333946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/slide-in-contact-popup-makeup-artist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:139;a:18:{s:4:\"tmpl\";i:1262;s:2:\"id\";i:22271;s:5:\"title\";s:24:\"Fly-In | CTA | Headphone\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/03/headphones-1-small.jpg\";s:12:\"tmpl_created\";i:1647334784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/fly-in-cta-popup-headphone/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:41:\"[\"cta\",\"Ecommerce\",\"Marketing\",\"Product\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:140;a:18:{s:4:\"tmpl\";i:1263;s:2:\"id\";i:22277;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/online-course-2.jpg\";s:12:\"tmpl_created\";i:1647337110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/classic-cta-popup-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:35:\"[\"Course Online\",\"cta\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:141;a:18:{s:4:\"tmpl\";i:1264;s:2:\"id\";i:22283;s:5:\"title\";s:40:\"Bottom Bar | Contact | Virtual Assistant\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/03/virtual-assistant-3.jpg\";s:12:\"tmpl_created\";i:1647337517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:148:\"https://library.elementor.com/popups/bottom-bar-contact-popup-virtual-assistant/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:10:\"bottom bar\";s:4:\"tags\";s:33:\"[\"Business\",\"Contact\",\"Services\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:142;a:18:{s:4:\"tmpl\";i:1265;s:2:\"id\";i:22289;s:5:\"title\";s:32:\"Fly-In | Contact | Private Tutor\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/private-tutor-4.jpg\";s:12:\"tmpl_created\";i:1647337676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/fly-in-contact-popup-private-tutor/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:27:\"[\"Contact\",\"Course Online\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:143;a:18:{s:4:\"tmpl\";i:1266;s:2:\"id\";i:22295;s:5:\"title\";s:31:\"Classic |  Login | Login Travel\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/login-travel-6.jpg\";s:12:\"tmpl_created\";i:1647339467;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-login-popup-login-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:9:\"[\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:144;a:18:{s:4:\"tmpl\";i:1267;s:2:\"id\";i:22301;s:5:\"title\";s:36:\"Full Screen | Login | Login Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/login-business-7.jpg\";s:12:\"tmpl_created\";i:1647339782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/full-screen-login-popup-login-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:16:\"[\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:145;a:18:{s:4:\"tmpl\";i:1268;s:2:\"id\";i:22307;s:5:\"title\";s:28:\"Classic | Login | Login Blog\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2022/03/login-blog-8.jpg\";s:12:\"tmpl_created\";i:1647339986;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/classic-login-popup-login-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Blog\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:146;a:18:{s:4:\"tmpl\";i:1269;s:2:\"id\";i:22313;s:5:\"title\";s:31:\"Classic | Login | Login Fashion\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2022/03/login-fashion-9.jpg\";s:12:\"tmpl_created\";i:1647340204;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/classic-login-popup-login-fashion/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Fashion\",\"Login\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:147;a:18:{s:4:\"tmpl\";i:1270;s:2:\"id\";i:22319;s:5:\"title\";s:40:\"Classic |  Login | Login Design Platform\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/03/login-design-platform-10.jpg\";s:12:\"tmpl_created\";i:1647340531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:147:\"https://library.elementor.com/popups/classic-login-popup-login-design-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:25:\"[\"Design\",\"Login\",\"SaaS\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:148;a:18:{s:4:\"tmpl\";i:1271;s:2:\"id\";i:22325;s:5:\"title\";s:36:\"Fly-In | Contact | Digital Marketing\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/03/digital-marketing-11.jpg\";s:12:\"tmpl_created\";i:1647340770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-contact-popup-digital-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:51:\"[\"Business\",\"Contact\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:149;a:18:{s:4:\"tmpl\";i:1272;s:2:\"id\";i:22331;s:5:\"title\";s:36:\"Fly-In | CTA | Dog Cat Food Delivery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/dog-cat-food-delivery-5.jpg\";s:12:\"tmpl_created\";i:1647341069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:144:\"https://library.elementor.com/popups/fly-in-cta-popup-dog-cat-food-delivery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:33:\"[\"cta\",\"Delivery Service\",\"Pets\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:150;a:18:{s:4:\"tmpl\";i:1273;s:2:\"id\";i:22337;s:5:\"title\";s:37:\"Full Screen | Contact | Design Studio\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/03/design-studio-12.jpg\";s:12:\"tmpl_created\";i:1647341370;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-contact-popup-design-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:39:\"[\"Business\",\"Contact\",\"Digital Agency\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:151;a:18:{s:4:\"tmpl\";i:1274;s:2:\"id\";i:22343;s:5:\"title\";s:44:\"Classic | Contact | Support Product Platform\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/03/support-13.jpg\";s:12:\"tmpl_created\";i:1647341972;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/popups/classic-contact-support-product-platform/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:21:\"[\"Contact\",\"Support\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:152;a:18:{s:4:\"tmpl\";i:1275;s:2:\"id\";i:22371;s:5:\"title\";s:38:\"Full Screen | Contact | Small Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/03/small-business-14.jpg\";s:12:\"tmpl_created\";i:1647342508;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:140:\"https://library.elementor.com/popups/full-screen-contact-small-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:40:\"[\"Business\",\"Contact\",\"Interior Design\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:153;a:18:{s:4:\"tmpl\";i:1276;s:2:\"id\";i:22377;s:5:\"title\";s:31:\"Classic | Contact | Online Shop\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2022/03/online-shop-15.jpg\";s:12:\"tmpl_created\";i:1647352786;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/classic-contact-online-shop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:154;a:18:{s:4:\"tmpl\";i:1277;s:2:\"id\";i:22383;s:5:\"title\";s:40:\"Classic | Booking | Children Optometrist\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/03/children-optometrist-16.jpg\";s:12:\"tmpl_created\";i:1647352963;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:142:\"https://library.elementor.com/popups/classic-booking-children-optometrist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:53:\"[\"Booking\",\"Business\",\"Contact\",\"Education\",\"Health\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:155;a:18:{s:4:\"tmpl\";i:1278;s:2:\"id\";i:22389;s:5:\"title\";s:28:\"Fly-In | Contact | Open Week\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2022/03/open-week17.jpg\";s:12:\"tmpl_created\";i:1647353281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/fly-in-contact-open-week/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:34:\"[\"Business\",\"Contact\",\"Marketing\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:156;a:18:{s:4:\"tmpl\";i:1279;s:2:\"id\";i:22397;s:5:\"title\";s:43:\"Full Screen | CTA | Plant Pots Online Store\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2022/03/plant-pots-online-store-18.jpg\";s:12:\"tmpl_created\";i:1647353429;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/popups/full-screen-cta-plant-pots-online-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:33:\"[\"Ecommerce\",\"Marketing\",\"Sales\"]\";s:10:\"menu_order\";i:0;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:157;a:18:{s:4:\"tmpl\";i:1054;s:2:\"id\";i:15414;s:5:\"title\";s:32:\"Classic | Contact | Dance Studio\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/PopUp.jpg\";s:12:\"tmpl_created\";i:1603180596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-dance-studio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:762;s:11:\"trend_index\";i:650;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:158;a:18:{s:4:\"tmpl\";i:1398;s:2:\"id\";i:23687;s:5:\"title\";s:32:\"Pizza Promotion &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/48-Pizza-Promotion.jpg\";s:12:\"tmpl_created\";i:1649670575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/pizza-promotion-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:92:\"[\"Business\",\"Cooking\",\"Delivery\",\"Discount\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:159;a:18:{s:4:\"tmpl\";i:1400;s:2:\"id\";i:23751;s:5:\"title\";s:33:\"Baby Sleep Webinar &#8211; Events\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/63-Baby-Sleep-Webinar.jpg\";s:12:\"tmpl_created\";i:1649676065;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/baby-sleep-webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:227:\"[\"Baby\",\"Booking\",\"Business\",\"Children\",\"Course Online\",\"Education\",\"Events\",\"Health\",\"Landing Pages\",\"Life Coach\",\"Lifestyle\",\"Online Event\",\"Online Service\",\"Parenting\",\"Professional\",\"Remote\",\"Services\",\"Training\",\"Webinar\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:160;a:18:{s:4:\"tmpl\";i:1401;s:2:\"id\";i:23776;s:5:\"title\";s:34:\"Ski Hotel Promotion &#8211; Travel\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2022/04/64-Ski-Hotel-Promotion.jpg\";s:12:\"tmpl_created\";i:1649691720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/ski-hotel-promotion-travel/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Travel\";s:4:\"tags\";s:118:\"[\"Accommodation\",\"Booking\",\"Discount. Landing Pages\",\"Lifestyle\",\"Luxury\",\"Services\",\"Spa\",\"Travel\",\"Trip\",\"Vacation\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:161;a:18:{s:4:\"tmpl\";i:1402;s:2:\"id\";i:23804;s:5:\"title\";s:30:\"Cake Delivery &#8211; Business\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2022/04/67-Cake-Delivery.jpg\";s:12:\"tmpl_created\";i:1649692909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/cake-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:101:\"[\"Bakery\",\"Business\",\"Cake\",\"Cooking\",\"Delivery\",\"Discount\",\"Food\",\"Landing Pages\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:162;a:18:{s:4:\"tmpl\";i:1403;s:2:\"id\";i:23832;s:5:\"title\";s:32:\"Furniture Store &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/87-Furniture-Store.jpg\";s:12:\"tmpl_created\";i:1649694812;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/furniture-store-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:232:\"[\"Architecture\",\"Art\",\"Business\",\"Construction\",\"Coupon\",\"Creative\",\"Decor\",\"Designer\",\"Discount\",\"Fashion\",\"Furniture Design\",\"Home\",\"House\",\"Interior Design\",\"Landing Pages\",\"Lifestyle\",\"Products\",\"Professional\",\"Services\",\"Shop\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:163;a:18:{s:4:\"tmpl\";i:1404;s:2:\"id\";i:23746;s:5:\"title\";s:22:\"Nails &#8211; Business\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2022/04/62-Nails-1.jpg\";s:12:\"tmpl_created\";i:1649704635;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/nails-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:173:\"[\"Art\",\"Beauty\",\"Business\",\"Colorful\",\"Cosmetics\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Girly\",\"Landing Pages\",\"Lifestyle\",\"Manicure\",\"Modern\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:164;a:18:{s:4:\"tmpl\";i:1405;s:2:\"id\";i:23846;s:5:\"title\";s:29:\"Music Festival &#8211; Events\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2022/04/88-Music-Festival.jpg\";s:12:\"tmpl_created\";i:1649707763;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/music-festival-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:128:\"[\"Author\",\"Booking\",\"Business\",\"Creative\",\"Discount\",\"Events\",\"Landing Pages\",\"Music\",\"Online\",\"Online Event\",\"Party\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:165;a:18:{s:4:\"tmpl\";i:1406;s:2:\"id\";i:23872;s:5:\"title\";s:40:\"Fashion Styling Course &#8211; Education\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/89-Fashion-Styling-Course.jpg\";s:12:\"tmpl_created\";i:1649708569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/fashion-styling-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:173:\"[\"Aesthetic\",\"Art\",\"Beauty\",\"Business\",\"Course Online\",\"Creative\",\"Discount\",\"Education\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Online\",\"Online Service\",\"Stylist\",\"Virtual\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:166;a:18:{s:4:\"tmpl\";i:1407;s:2:\"id\";i:23897;s:5:\"title\";s:33:\"Bags Online Shop &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2022/04/90-Bags-Online-Shop.jpg\";s:12:\"tmpl_created\";i:1649709513;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/bags-online-shop-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:170:\"[\"Art\",\"Bag\",\"Business\",\"Creative\",\"Design\",\"Discount\",\"Fashion\",\"Landing Pages\",\"Lifestyle\",\"Luxury\",\"Modern\",\"Online\",\"Online Shop\",\"Products\",\"Sales\",\"Shop\",\"Stylist\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:167;a:18:{s:4:\"tmpl\";i:1408;s:2:\"id\";i:23932;s:5:\"title\";s:32:\"Cooking Academy &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2022/04/91-Cooking-Academy.jpg\";s:12:\"tmpl_created\";i:1649710216;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/cooking-academy-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:145:\"[\"Academy\",\"Booking\",\"Business\",\"Chef\",\"Cooking\",\"Education\",\"Food\",\"Free Trial\",\"Landing Pages\",\"Professional\",\"School\",\"Teacher\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:168;a:18:{s:4:\"tmpl\";i:1409;s:2:\"id\";i:23970;s:5:\"title\";s:45:\"Ophthalmology Medical Clinic &#8211; Business\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2022/04/92-Ophthalmology-Medical-Clinic.jpg\";s:12:\"tmpl_created\";i:1649711096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/ophthalmology-medical-clinic-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:165:\"[\"About\",\"Business\",\"Care\",\"Consulting\",\"Eye\",\"Free Trial\",\"Glasses\",\"Health\",\"Landing Pages\",\"Lifestyle\",\"Medical\",\"Modern\",\"Optometrist\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:169;a:18:{s:4:\"tmpl\";i:1425;s:2:\"id\";i:24331;s:5:\"title\";s:24:\"Wireframe &#8211; Home 1\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-1.jpg\";s:12:\"tmpl_created\";i:1653988363;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:170;a:18:{s:4:\"tmpl\";i:1218;s:2:\"id\";i:20792;s:5:\"title\";s:26:\"Luxury Car &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/11/250x280-1.jpg\";s:12:\"tmpl_created\";i:1636903770;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/luxury-car-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:54:\"[\"car\",\"Ecommerce\",\"Landing Pages\",\"Luxury\",\"Product\"]\";s:10:\"menu_order\";i:1;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:171;a:18:{s:4:\"tmpl\";i:1428;s:2:\"id\";i:24398;s:5:\"title\";s:25:\"Wireframe &#8211; About 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-1.jpg\";s:12:\"tmpl_created\";i:1653988534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:83:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Professional\",\"Services\",\"Team\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:172;a:18:{s:4:\"tmpl\";i:991;s:2:\"id\";i:13413;s:5:\"title\";s:33:\"Classic | Contact | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Help.jpg\";s:12:\"tmpl_created\";i:1587474761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-contact-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:2;s:16:\"popularity_index\";i:530;s:11:\"trend_index\";i:369;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:173;a:18:{s:4:\"tmpl\";i:1053;s:2:\"id\";i:15272;s:5:\"title\";s:32:\"Classic | Contact | Psychologist\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/PopUp.png\";s:12:\"tmpl_created\";i:1600170487;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/classic-contact-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:578;s:11:\"trend_index\";i:312;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:174;a:18:{s:4:\"tmpl\";i:899;s:2:\"id\";i:11839;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Header_small.png\";s:12:\"tmpl_created\";i:1569430015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"creative portfolio\",\"header\",\"portfolio\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:189;s:11:\"trend_index\";i:20;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:175;a:18:{s:4:\"tmpl\";i:1433;s:2:\"id\";i:24477;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-2.jpg\";s:12:\"tmpl_created\";i:1653988835;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:176;a:18:{s:4:\"tmpl\";i:1205;s:2:\"id\";i:20233;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633881371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:3;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:177;a:18:{s:4:\"tmpl\";i:1214;s:2:\"id\";i:20539;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022706;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:178;a:18:{s:4:\"tmpl\";i:1224;s:2:\"id\";i:21013;s:5:\"title\";s:24:\"Restaurant &#8211; About\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/12/7-About-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638795588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:36:\"[\"About\",\"Chef\",\"Food\",\"Restaurant\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:179;a:18:{s:4:\"tmpl\";i:992;s:2:\"id\";i:13402;s:5:\"title\";s:29:\"Classic | CTA | Online Course\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/04/Popup-Course-Completed.jpg\";s:12:\"tmpl_created\";i:1587474772;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/popups/classic-cta-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:4;s:16:\"popularity_index\";i:619;s:11:\"trend_index\";i:582;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:180;a:18:{s:4:\"tmpl\";i:1206;s:2:\"id\";i:20254;s:5:\"title\";s:41:\"Digital Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Digital-Marketing-Agency-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882427;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/digital-marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:65:\"[\"Agency\",\"Business\",\"Digital Agency\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:181;a:18:{s:4:\"tmpl\";i:1235;s:2:\"id\";i:21281;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/16-Services-Law-firm.jpg\";s:12:\"tmpl_created\";i:1638819128;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/law-firm-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Consulting\",\"Law\",\"Law Firm\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:182;a:18:{s:4:\"tmpl\";i:1017;s:2:\"id\";i:14111;s:5:\"title\";s:36:\"Classic | Japanese restaurant | Sale\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1592300400;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-japanese-restaurant-sale/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:5;s:16:\"popularity_index\";i:717;s:11:\"trend_index\";i:697;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:183;a:18:{s:4:\"tmpl\";i:1213;s:2:\"id\";i:20509;s:5:\"title\";s:40:\"Dogs Adoption &#8211; Social Involvement\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/10/Dog-Adoption-250x280-1.jpg\";s:12:\"tmpl_created\";i:1634022353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/dogs-adoption-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:49:\"[\"Adoption\",\"Involvement\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:184;a:18:{s:4:\"tmpl\";i:1233;s:2:\"id\";i:21205;s:5:\"title\";s:29:\"Photographer &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/25-Projects-Photographer.jpg\";s:12:\"tmpl_created\";i:1638818372;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photographer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Black and white\",\"Photography\",\"Project\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:185;a:18:{s:4:\"tmpl\";i:993;s:2:\"id\";i:13422;s:5:\"title\";s:30:\"Classic | Menu | Online Course\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1587474782;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/classic-menu-online-course/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:6;s:16:\"popularity_index\";i:516;s:11:\"trend_index\";i:432;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:186;a:18:{s:4:\"tmpl\";i:925;s:2:\"id\";i:12540;s:5:\"title\";s:33:\"Classic | Menu | Travel and tours\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_Menu_s.png\";s:12:\"tmpl_created\";i:1575960267;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-menu-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:690;s:11:\"trend_index\";i:714;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:187;a:18:{s:4:\"tmpl\";i:1208;s:2:\"id\";i:20361;s:5:\"title\";s:51:\"Exercise &#038; Fitness Equipment &#8211; eCommerce\";s:9:\"thumbnail\";s:97:\"https://library.elementor.com/wp-content/uploads/2021/10/Exercise-Fitness-Equipment-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633883766;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/exercise-fitness-equipment-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Fitness\",\"Health\",\"Landing Pages\",\"Online Shop\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:188;a:18:{s:4:\"tmpl\";i:1239;s:2:\"id\";i:21373;s:5:\"title\";s:28:\"Photographer &#8211; Gallery\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/18-Gallery-Photographer.jpg\";s:12:\"tmpl_created\";i:1638821177;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photographer-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Gallery\",\"Photography\",\"Portfolio\",\"Project\",\"Travel\"]\";s:10:\"menu_order\";i:7;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:189;a:18:{s:4:\"tmpl\";i:1426;s:2:\"id\";i:24348;s:5:\"title\";s:24:\"Wireframe &#8211; Home 2\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-2.jpg\";s:12:\"tmpl_created\";i:1653988444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:190;a:18:{s:4:\"tmpl\";i:958;s:2:\"id\";i:13129;s:5:\"title\";s:28:\"Classic | Menu | Photography\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/PopUp_s.png\";s:12:\"tmpl_created\";i:1582092645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/popups/classic-menu-photography/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:8;s:16:\"popularity_index\";i:646;s:11:\"trend_index\";i:521;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:191;a:18:{s:4:\"tmpl\";i:1427;s:2:\"id\";i:24366;s:5:\"title\";s:24:\"Wireframe &#8211; Home 3\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Home-3.jpg\";s:12:\"tmpl_created\";i:1653988491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/wireframe-home-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:102:\"[\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Homepage\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:192;a:18:{s:4:\"tmpl\";i:1207;s:2:\"id\";i:20299;s:5:\"title\";s:51:\"Interior Design Consultation &#8211; Online Service\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/10/Interior-Design-Consultation-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633882989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/interior-design-consultation-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:65:\"[\"Consulting\",\"Interior Design\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:193;a:18:{s:4:\"tmpl\";i:952;s:2:\"id\";i:12726;s:5:\"title\";s:52:\"Classic | Newsletter | Subscribe | Magazine and Blog\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_Newsletter_s.png\";s:12:\"tmpl_created\";i:1579061019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:152:\"https://library.elementor.com/popups/classic-newsletter-subscribe-magazine-and-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:9;s:16:\"popularity_index\";i:357;s:11:\"trend_index\";i:281;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:194;a:18:{s:4:\"tmpl\";i:883;s:2:\"id\";i:11468;s:5:\"title\";s:20:\"Classic | Sale | Gym\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/PopUp_Small.png\";s:12:\"tmpl_created\";i:1567393182;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/popups/classic-sale-gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:696;s:11:\"trend_index\";i:740;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:195;a:18:{s:4:\"tmpl\";i:1216;s:2:\"id\";i:20623;s:5:\"title\";s:57:\"Luxurious Camping Accommodation For Events &#8211; Events\";s:9:\"thumbnail\";s:113:\"https://library.elementor.com/wp-content/uploads/2021/10/Luxurious-Camping-Accommodation-For-Events-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634041681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/luxurious-camping-accommodation-for-events-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:43:\"[\"Event\",\"Events\",\"Landing Pages\",\"Travel\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:196;a:18:{s:4:\"tmpl\";i:1219;s:2:\"id\";i:20886;s:5:\"title\";s:28:\"Online Training &#8211; Home\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/12/2-Home-Online-Training.jpg\";s:12:\"tmpl_created\";i:1638784769;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/online-training-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Online\",\"Sport\",\"Training\"]\";s:10:\"menu_order\";i:10;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:197;a:18:{s:4:\"tmpl\";i:1065;s:2:\"id\";i:15570;s:5:\"title\";s:33:\"Classic | Subscribe | Travel Blog\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp.jpg\";s:12:\"tmpl_created\";i:1606215555;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/classic-subscribe-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:709;s:11:\"trend_index\";i:459;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:198;a:18:{s:4:\"tmpl\";i:1431;s:2:\"id\";i:24437;s:5:\"title\";s:25:\"Wireframe &#8211; About 4\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-4.jpg\";s:12:\"tmpl_created\";i:1653988733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"About\",\"Business\",\"Contact\",\"Features\",\"Footer\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:199;a:18:{s:4:\"tmpl\";i:1210;s:2:\"id\";i:20414;s:5:\"title\";s:45:\"Online English Courses &#8211; Online Service\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Online-English-Courses-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/online-english-courses-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Course Online\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:11;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:200;a:18:{s:4:\"tmpl\";i:1132;s:2:\"id\";i:16553;s:5:\"title\";s:31:\"Fly-In | Contact | Beauty Salon\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/12/PopUp.jpg\";s:12:\"tmpl_created\";i:1608622602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fly-in-contact-beauty-salon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:691;s:11:\"trend_index\";i:428;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:201;a:18:{s:4:\"tmpl\";i:1441;s:2:\"id\";i:24574;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 5\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-5.jpg\";s:12:\"tmpl_created\";i:1653989135;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:202;a:18:{s:4:\"tmpl\";i:1217;s:2:\"id\";i:20333;s:5:\"title\";s:40:\"Plant Pots Online Shop &#8211; eCommerce\";s:9:\"thumbnail\";s:93:\"https://library.elementor.com/wp-content/uploads/2021/10/Plant-Pots-Online-Shop-250x280-2.jpg\";s:12:\"tmpl_created\";i:1634042184;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/plant-pots-online-shop-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:50:\"[\"Ecommerce\",\"Landing Pages\",\"Online Shop\",\"Shop\"]\";s:10:\"menu_order\";i:12;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:203;a:18:{s:4:\"tmpl\";i:1211;s:2:\"id\";i:20447;s:5:\"title\";s:33:\"Shared Workspace &#8211; Business\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Shared-Workspace.jpg\";s:12:\"tmpl_created\";i:1633884934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/shared-workspace-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:28:\"[\"Business\",\"Landing Pages\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:204;a:18:{s:4:\"tmpl\";i:1237;s:2:\"id\";i:21313;s:5:\"title\";s:34:\"Spa &#038; Beauty &#8211; Services\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/12/Spa-Beauty-Treatments-page-1.jpg\";s:12:\"tmpl_created\";i:1638819709;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/spa-beauty-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:55:\"[\"Beauty\",\"Hair\",\"Health\",\"Services\",\"Spa\",\"Treatment\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:205;a:18:{s:4:\"tmpl\";i:1004;s:2:\"id\";i:13538;s:5:\"title\";s:32:\"Fly-In | Newsletter | Barbershop\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/05/Pop-Up-Page-Small.jpg\";s:12:\"tmpl_created\";i:1589893364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/popups/fly-in-newsletter-barbershop/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:13;s:16:\"popularity_index\";i:710;s:11:\"trend_index\";i:667;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:206;a:18:{s:4:\"tmpl\";i:924;s:2:\"id\";i:12550;s:5:\"title\";s:32:\"Fly-in | Sale | Travel and Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/PopUp_s.png\";s:12:\"tmpl_created\";i:1575960263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/flyin-sale-travel-and-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:754;s:11:\"trend_index\";i:791;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:207;a:18:{s:4:\"tmpl\";i:1212;s:2:\"id\";i:20479;s:5:\"title\";s:49:\"Teeth Straightening &#8211; Health &#038; Fitness\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/10/250x280-Teeth-Whitening.jpg\";s:12:\"tmpl_created\";i:1633886115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/teeth-straightening-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:46:\"[\"Business\",\"Dental\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:208;a:18:{s:4:\"tmpl\";i:1234;s:2:\"id\";i:21234;s:5:\"title\";s:34:\"Insurance Company &#8211; Services\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/15-Services-Insurance-Company.jpg\";s:12:\"tmpl_created\";i:1638818688;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/insurance-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Faq\",\"Form\",\"Insurance\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:14;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:209;a:18:{s:4:\"tmpl\";i:1035;s:2:\"id\";i:15062;s:5:\"title\";s:35:\"Fly-In | Sign up | Flooring Company\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp.png\";s:12:\"tmpl_created\";i:1597739629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:137:\"https://library.elementor.com/popups/fly-in-sign-up-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:6:\"fly-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:625;s:11:\"trend_index\";i:309;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:210;a:18:{s:4:\"tmpl\";i:1209;s:2:\"id\";i:20394;s:5:\"title\";s:30:\"Time Management &#8211; Events\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/10/Time-Management-250x280-1.jpg\";s:12:\"tmpl_created\";i:1633884077;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/time-management-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:17:\"[\"Landing Pages\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:211;a:18:{s:4:\"tmpl\";i:1229;s:2:\"id\";i:21118;s:5:\"title\";s:28:\"Contact &#8211; Plants Store\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/12-Contact-Plants-Store.jpg\";s:12:\"tmpl_created\";i:1638802472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/contact-plants-store/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:40:\"[\"Contact\",\"Info\",\"Plant\",\"Testimonial\"]\";s:10:\"menu_order\";i:15;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:212;a:18:{s:4:\"tmpl\";i:893;s:2:\"id\";i:11822;s:5:\"title\";s:30:\"Full Screen | Menu | Portfolio\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/PopUp_small.png\";s:12:\"tmpl_created\";i:1569429896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/popups/full-screen-menu-portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:654;s:11:\"trend_index\";i:626;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:213;a:18:{s:4:\"tmpl\";i:1203;s:2:\"id\";i:18591;s:5:\"title\";s:28:\"Coffee Sale &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280-7.png\";s:12:\"tmpl_created\";i:1633877319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/coffee-sale-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:33:\"[\"Coffee\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:214;a:18:{s:4:\"tmpl\";i:1231;s:2:\"id\";i:21184;s:5:\"title\";s:28:\"Dental Care &#8211; Services\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/14-Services-Dental-Care.jpg\";s:12:\"tmpl_created\";i:1638807148;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dental-care-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:45:\"[\"Dental\",\"Medical\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:16;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:215;a:18:{s:4:\"tmpl\";i:1064;s:2:\"id\";i:15580;s:5:\"title\";s:31:\"Fullscreen | Menu | Travel Blog\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/PopUp-Menu.jpg\";s:12:\"tmpl_created\";i:1606215358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/fullscreen-menu-travel-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:11:\"full screen\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:673;s:11:\"trend_index\";i:348;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:216;a:18:{s:4:\"tmpl\";i:1133;s:2:\"id\";i:16645;s:5:\"title\";s:28:\"Headphones &#8211; eCommerce\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_headphones.png\";s:12:\"tmpl_created\";i:1609944115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/commerce-headphones/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:39:\"[\"Ecommerce\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:633;s:11:\"trend_index\";i:87;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:217;a:18:{s:4:\"tmpl\";i:1442;s:2:\"id\";i:24584;s:5:\"title\";s:27:\"Wireframe &#8211; Pricing 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Pricing-1.jpg\";s:12:\"tmpl_created\";i:1653989152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:146:\"[\"Booking\",\"Business\",\"Clients\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Online Service\",\"Pricing\",\"Products\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:17;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:218;a:18:{s:4:\"tmpl\";i:1138;s:2:\"id\";i:16762;s:5:\"title\";s:25:\"Conference &#8211; Events\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Conference.png\";s:12:\"tmpl_created\";i:1610455119;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/conference-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:60:\"[\"Conference\",\"Convention\",\"Event\",\"Events\",\"Landing Pages\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:705;s:11:\"trend_index\";i:216;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:219;a:18:{s:4:\"tmpl\";i:1438;s:2:\"id\";i:24539;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 2\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-2.jpg\";s:12:\"tmpl_created\";i:1653989019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"Business\",\"Contact\",\"Footer\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:220;a:18:{s:4:\"tmpl\";i:981;s:2:\"id\";i:13281;s:5:\"title\";s:37:\"Hello Bar | Contact | Interior Design\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/PopUp.png\";s:12:\"tmpl_created\";i:1586148801;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/hello-bar-contact-interior-design/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:19:\"[\"Interior Design\"]\";s:10:\"menu_order\";i:18;s:16:\"popularity_index\";i:763;s:11:\"trend_index\";i:679;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:221;a:18:{s:4:\"tmpl\";i:1052;s:2:\"id\";i:15259;s:5:\"title\";s:31:\"Hello Bar | Menu | Psychologist\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Menu-PopUp.png\";s:12:\"tmpl_created\";i:1600170209;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/popups/hello-bar-menu-psychologist/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:9:\"hello bar\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:739;s:11:\"trend_index\";i:583;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:222;a:18:{s:4:\"tmpl\";i:1434;s:2:\"id\";i:24494;s:5:\"title\";s:28:\"Wireframe &#8211; Services 1\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-1.jpg\";s:12:\"tmpl_created\";i:1653988874;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Business\",\"Faq\",\"Footer\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:223;a:18:{s:4:\"tmpl\";i:1194;s:2:\"id\";i:18701;s:5:\"title\";s:32:\"Digital Course &#8211; eCommerce\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/04/250x280.jpg\";s:12:\"tmpl_created\";i:1618995134;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/digital-course-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Ecommerce\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:19;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:224;a:18:{s:4:\"tmpl\";i:1192;s:2:\"id\";i:18612;s:5:\"title\";s:34:\"Bag Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bag-Product.jpeg\";s:12:\"tmpl_created\";i:1618395406;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bag-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:61:\"[\"Bag\",\"Ecommerce\",\"Landing Pages\",\"Product\",\"Sale\",\"Travel\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:875;s:11:\"trend_index\";i:605;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:225;a:18:{s:4:\"tmpl\";i:1227;s:2:\"id\";i:21083;s:5:\"title\";s:26:\"Conference &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/10-Contact-Conference.jpg\";s:12:\"tmpl_created\";i:1638799208;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/conference-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:44:\"[\"Conference\",\"Contact\",\"Form\",\"Info\",\"Map\"]\";s:10:\"menu_order\";i:20;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:226;a:18:{s:4:\"tmpl\";i:1193;s:2:\"id\";i:18644;s:5:\"title\";s:37:\"Camera Product Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/camera_sale_featured-img.jpg\";s:12:\"tmpl_created\";i:1618396388;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/camera-product-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Camera\",\"Ecommerce\",\"Landing Pages\",\"Photography\",\"Sale\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:873;s:11:\"trend_index\";i:535;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:227;a:18:{s:4:\"tmpl\";i:951;s:2:\"id\";i:12736;s:5:\"title\";s:41:\"Slide In | Contact Us | Magazine and Blog\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/01/PopUp_contact_s.png\";s:12:\"tmpl_created\";i:1579060978;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/popups/slide-in-contact-us/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:734;s:11:\"trend_index\";i:686;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:228;a:18:{s:4:\"tmpl\";i:1222;s:2:\"id\";i:20960;s:5:\"title\";s:26:\"Travel Agency &#8211; Home\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/12/5-Home-Travel-Agency.jpg\";s:12:\"tmpl_created\";i:1638788432;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/travel-agency-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:53:\"[\"Adventures\",\"Experience\",\"Explore\",\"Travel\",\"Trip\"]\";s:10:\"menu_order\";i:21;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:229;a:18:{s:4:\"tmpl\";i:1196;s:2:\"id\";i:18815;s:5:\"title\";s:25:\"Car Wash &#8211; Business\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Car-Wash.png\";s:12:\"tmpl_created\";i:1621336431;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/car-wash-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:45:\"[\"Business\",\"car\",\"Discount\",\"Landing Pages\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:230;a:18:{s:4:\"tmpl\";i:1242;s:2:\"id\";i:21473;s:5:\"title\";s:40:\"Architecture Photography &#8211; Gallery\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/20-Gallery-Architecture-Photography.jpg\";s:12:\"tmpl_created\";i:1638822115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/architecture-photography-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:52:\"[\"Architecture\",\"Gallery\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:231;a:18:{s:4:\"tmpl\";i:1015;s:2:\"id\";i:14067;s:5:\"title\";s:37:\"Slide In | Japanese restaurant | Menu\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2020/06/Menu-Pop-Up-Small.jpg\";s:12:\"tmpl_created\";i:1592290352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/popups/slide-in-japanese-restaurant-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:22;s:16:\"popularity_index\";i:650;s:11:\"trend_index\";i:565;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:232;a:18:{s:4:\"tmpl\";i:923;s:2:\"id\";i:12229;s:5:\"title\";s:33:\"Slide In | Law Firm | Information\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/popup.png\";s:12:\"tmpl_created\";i:1572847842;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/popups/slide-in-law-firm-information/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:547;s:11:\"trend_index\";i:413;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:233;a:18:{s:4:\"tmpl\";i:1198;s:2:\"id\";i:18824;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1621336756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:234;a:18:{s:4:\"tmpl\";i:1236;s:2:\"id\";i:21259;s:5:\"title\";s:28:\"3D Designer &#8211; Projects\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/24-Projects-3D-Designer.jpg\";s:12:\"tmpl_created\";i:1638819185;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/3d-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:69:\"[\"3D\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:23;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:235;a:18:{s:4:\"tmpl\";i:1028;s:2:\"id\";i:14827;s:5:\"title\";s:39:\"Slide-In | Contact | Luxury Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/PopUp.png\";s:12:\"tmpl_created\";i:1595323523;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/popups/slide-in-contact-luxury-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:559;s:11:\"trend_index\";i:284;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:236;a:18:{s:4:\"tmpl\";i:1197;s:2:\"id\";i:18819;s:5:\"title\";s:27:\"Dog Walker &#8211; Business\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Dog-Walker.png\";s:12:\"tmpl_created\";i:1621336601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/lp/dog-walker-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:41:\"[\"Business\",\"Dog\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:237;a:18:{s:4:\"tmpl\";i:1238;s:2:\"id\";i:21349;s:5:\"title\";s:29:\"Architecture &#8211; Projects\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/23-Projects-Architecture.jpg\";s:12:\"tmpl_created\";i:1638820870;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/architecture-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:70:\"[\"Architecture\",\"Creative\",\"Creative Portfolio\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:24;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:238;a:18:{s:4:\"tmpl\";i:1034;s:2:\"id\";i:15075;s:5:\"title\";s:34:\"Slide-In | Menu | Flooring Company\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/PopUp-1.png\";s:12:\"tmpl_created\";i:1597739605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/popups/slide-in-menu-flooring-company/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:8:\"slide-in\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:383;s:11:\"trend_index\";i:162;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:239;a:18:{s:4:\"tmpl\";i:1414;s:2:\"id\";i:24079;s:5:\"title\";s:32:\"Fashion Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Fashion-Shop.jpg\";s:12:\"tmpl_created\";i:1650988089;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/fashion-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:88:\"[\"Aesthetic\",\"Business\",\"Coming Soon\",\"Ecommerce\",\"Girly\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:240;a:18:{s:4:\"tmpl\";i:1195;s:2:\"id\";i:18761;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1621336146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:25;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:241;a:18:{s:4:\"tmpl\";i:1153;s:2:\"id\";i:17060;s:5:\"title\";s:36:\"Private Tutor &#8211; Online Service\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Tutor-2.png\";s:12:\"tmpl_created\";i:1610631042;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/private-tutor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:64:\"[\"Education\",\"Landing Pages\",\"Online Service\",\"Teacher\",\"Tutor\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:780;s:11:\"trend_index\";i:628;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:242;a:18:{s:4:\"tmpl\";i:1430;s:2:\"id\";i:24434;s:5:\"title\";s:25:\"Wireframe &#8211; About 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-3.jpg\";s:12:\"tmpl_created\";i:1653988697;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:26;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:243;a:18:{s:4:\"tmpl\";i:1158;s:2:\"id\";i:17232;s:5:\"title\";s:33:\"Life Coach &#8211; Online Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Life-Coach.png\";s:12:\"tmpl_created\";i:1610902793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/life-coach-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:38:\"[\"Coach\",\"Landing Pages\",\"Life Coach\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:787;s:11:\"trend_index\";i:751;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:244;a:18:{s:4:\"tmpl\";i:1436;s:2:\"id\";i:24515;s:5:\"title\";s:28:\"Wireframe &#8211; Services 3\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-3.jpg\";s:12:\"tmpl_created\";i:1653988946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:66:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\"]\";s:10:\"menu_order\";i:27;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:245;a:18:{s:4:\"tmpl\";i:875;s:2:\"id\";i:11241;s:5:\"title\";s:36:\"Classic | Digital Agency | Marketing\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/PopUp_small.jpg\";s:12:\"tmpl_created\";i:1564643043;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/popups/classic-digital-agency-marketing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"popup\";s:7:\"subtype\";s:7:\"classic\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:362;s:11:\"trend_index\";i:315;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:246;a:18:{s:4:\"tmpl\";i:1146;s:2:\"id\";i:16932;s:5:\"title\";s:35:\"Finance Consulting &#8211; Business\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Finance-Consulting.png\";s:12:\"tmpl_created\";i:1610532170;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/lp/finance-consulting-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:80:\"[\"Advisor\",\"Business\",\"Consulting\",\"Finance\",\"Investment\",\"Landing Pages\",\"Tax\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:790;s:11:\"trend_index\";i:630;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:247;a:18:{s:4:\"tmpl\";i:1429;s:2:\"id\";i:24421;s:5:\"title\";s:25:\"Wireframe &#8211; About 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-About-2.jpg\";s:12:\"tmpl_created\";i:1653988579;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/wireframe-about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"About\",\"Business\",\"Contact\",\"Faq\",\"Features\",\"Footer\",\"Header\",\"Professional\",\"Team\"]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:248;a:18:{s:4:\"tmpl\";i:674;s:2:\"id\";i:8505;s:5:\"title\";s:11:\"404 page 01\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/001.jpg\";s:12:\"tmpl_created\";i:1526415501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:28;s:16:\"popularity_index\";i:533;s:11:\"trend_index\";i:222;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:249;a:18:{s:4:\"tmpl\";i:1136;s:2:\"id\";i:16721;s:5:\"title\";s:35:\"Dental &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Dental.jpg\";s:12:\"tmpl_created\";i:1610448567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/dental-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:44:\"[\"Dental\",\"Doctor\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:801;s:11:\"trend_index\";i:655;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:250;a:18:{s:4:\"tmpl\";i:1417;s:2:\"id\";i:24116;s:5:\"title\";s:32:\"Tech Company &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Tech-Company.jpg\";s:12:\"tmpl_created\";i:1650989265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/tech-company-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:87:\"[\"Business\",\"Coding\",\"Coming Soon\",\"Computer\",\"Developer\",\"IT\",\"Services\",\"Technology\"]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:251;a:18:{s:4:\"tmpl\";i:675;s:2:\"id\";i:8511;s:5:\"title\";s:11:\"404 page 02\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/002.jpg\";s:12:\"tmpl_created\";i:1526415528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:29;s:16:\"popularity_index\";i:347;s:11:\"trend_index\";i:155;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:252;a:18:{s:4:\"tmpl\";i:1161;s:2:\"id\";i:17269;s:5:\"title\";s:34:\"Electronics Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Electronic-Products.png\";s:12:\"tmpl_created\";i:1610903298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/electronics-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:800;s:11:\"trend_index\";i:556;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:253;a:18:{s:4:\"tmpl\";i:1220;s:2:\"id\";i:20908;s:5:\"title\";s:42:\"Packing &#038; Moving Company &#8211; Home\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/12/3-Home-Packing-Moving-Company.jpg\";s:12:\"tmpl_created\";i:1638786127;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/packing-moving-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Movers\",\"Moving\",\"Storge\"]\";s:10:\"menu_order\";i:30;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:254;a:18:{s:4:\"tmpl\";i:1152;s:2:\"id\";i:17032;s:5:\"title\";s:42:\"Donate Computer &#8211; Social Involvement\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2021/01/Donation-2.png\";s:12:\"tmpl_created\";i:1610630585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/donate-computer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:67:\"[\"Computer\",\"Donate\",\"Donation\",\"Kids\",\"Landing Pages\",\"Nonprofit\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:718;s:11:\"trend_index\";i:278;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:255;a:18:{s:4:\"tmpl\";i:672;s:2:\"id\";i:8512;s:5:\"title\";s:11:\"404 page 03\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/003.jpg\";s:12:\"tmpl_created\";i:1526415449;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:450;s:11:\"trend_index\";i:375;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:256;a:18:{s:4:\"tmpl\";i:1245;s:2:\"id\";i:21546;s:5:\"title\";s:28:\"Interior Design &#8211; Home\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/12/1-Home-Interior-Design-1.jpg\";s:12:\"tmpl_created\";i:1639046269;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/interior-design-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Design\",\"Form\",\"Furniture Design\",\"Interior Design\",\"Testimonial\"]\";s:10:\"menu_order\";i:31;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:257;a:18:{s:4:\"tmpl\";i:1135;s:2:\"id\";i:16684;s:5:\"title\";s:34:\"SaaS HR Management &#8211; Product\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2021/01/lp_hr.png\";s:12:\"tmpl_created\";i:1609945486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/saas-hr-management-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:39:\"[\"HR\",\"Landing Pages\",\"Product\",\"SaaS\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:708;s:11:\"trend_index\";i:292;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:258;a:18:{s:4:\"tmpl\";i:671;s:2:\"id\";i:8513;s:5:\"title\";s:11:\"404 page 04\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/004.jpg\";s:12:\"tmpl_created\";i:1526415417;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:420;s:11:\"trend_index\";i:176;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:259;a:18:{s:4:\"tmpl\";i:1249;s:2:\"id\";i:22137;s:5:\"title\";s:31:\"Design Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/10/Design-Blog-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647177194;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/design-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:47:\"[\"Blog\",\"Coming Soon\",\"Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:32;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:260;a:18:{s:4:\"tmpl\";i:1134;s:2:\"id\";i:16660;s:5:\"title\";s:37:\"Medical center &#8211; Online service\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-medical-cosultation-250_280.png\";s:12:\"tmpl_created\";i:1609945122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/medical-center-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:44:\"[\"Landing Pages\",\"Medical\",\"Online Service\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:750;s:11:\"trend_index\";i:332;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:261;a:18:{s:4:\"tmpl\";i:1226;s:2:\"id\";i:21069;s:5:\"title\";s:21:\"Hotel &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/12/9-Contact-Hotel.jpg\";s:12:\"tmpl_created\";i:1638798545;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/hotel-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:36:\"[\"Contact\",\"from\",\"Info\",\"Vacation\"]\";s:10:\"menu_order\";i:33;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:262;a:18:{s:4:\"tmpl\";i:1150;s:2:\"id\";i:17001;s:5:\"title\";s:36:\"Parental Counseling &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/Parenting-Coach-2.png\";s:12:\"tmpl_created\";i:1610534999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/parental-counseling-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:99:\"[\"Advisor\",\"Business\",\"Coach\",\"Counseling\",\"Landing Pages\",\"Online Service\",\"Parental\",\"Parenting\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:817;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:263;a:18:{s:4:\"tmpl\";i:1432;s:2:\"id\";i:24461;s:5:\"title\";s:27:\"Wireframe &#8211; Gallery 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Gallery-1.jpg\";s:12:\"tmpl_created\";i:1653988784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-gallery-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:82:\"[\"Business\",\"Contact\",\"Design\",\"Footer\",\"Gallery\",\"Header\",\"Portfolio\",\"Services\"]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:264;a:18:{s:4:\"tmpl\";i:676;s:2:\"id\";i:8514;s:5:\"title\";s:11:\"404 Page 05\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/005.jpg\";s:12:\"tmpl_created\";i:1526415558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:34;s:16:\"popularity_index\";i:419;s:11:\"trend_index\";i:220;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:265;a:18:{s:4:\"tmpl\";i:1137;s:2:\"id\";i:16742;s:5:\"title\";s:31:\"Online Course &#8211; Education\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Course.png\";s:12:\"tmpl_created\";i:1610454122;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/online-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:55:\"[\"Academy\",\"Course Online\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:777;s:11:\"trend_index\";i:776;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:266;a:18:{s:4:\"tmpl\";i:668;s:2:\"id\";i:8523;s:5:\"title\";s:11:\"404 page 06\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/006.jpg\";s:12:\"tmpl_created\";i:1526415291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:298;s:11:\"trend_index\";i:268;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:267;a:18:{s:4:\"tmpl\";i:1440;s:2:\"id\";i:24563;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 4\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-4.jpg\";s:12:\"tmpl_created\";i:1653989095;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:84:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Gallery\",\"Header\",\"Professional\",\"Subscribe\"]\";s:10:\"menu_order\";i:35;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:268;a:18:{s:4:\"tmpl\";i:1162;s:2:\"id\";i:17284;s:5:\"title\";s:38:\"Dietitian &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/01/Dietitian.png\";s:12:\"tmpl_created\";i:1610903484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/dietitian-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:39:\"[\"Fitness\",\"Health\",\"landscape design\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:814;s:11:\"trend_index\";i:800;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:269;a:18:{s:4:\"tmpl\";i:1439;s:2:\"id\";i:24553;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 3\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-3.jpg\";s:12:\"tmpl_created\";i:1653989057;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Professional\",\"Testimonial\"]\";s:10:\"menu_order\";i:36;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:270;a:18:{s:4:\"tmpl\";i:1144;s:2:\"id\";i:16897;s:5:\"title\";s:30:\"Personal Chef &#8211; Business\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2021/01/Personal-Chef.png\";s:12:\"tmpl_created\";i:1610466247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/personal-chef-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:53:\"[\"Business\",\"Chef\",\"Food\",\"Landing Pages\",\"Services\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:795;s:11:\"trend_index\";i:617;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:271;a:18:{s:4:\"tmpl\";i:1435;s:2:\"id\";i:24504;s:5:\"title\";s:28:\"Wireframe &#8211; Services 2\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Services-2.jpg\";s:12:\"tmpl_created\";i:1653988910;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/wireframe-services-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:80:\"[\"Business\",\"Contact\",\"Footer\",\"Header\",\"Professional\",\"Services\",\"Testimonial\"]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:272;a:18:{s:4:\"tmpl\";i:669;s:2:\"id\";i:8524;s:5:\"title\";s:11:\"404 page 07\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/007.jpg\";s:12:\"tmpl_created\";i:1526415337;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:37;s:16:\"popularity_index\";i:303;s:11:\"trend_index\";i:171;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:273;a:18:{s:4:\"tmpl\";i:1147;s:2:\"id\";i:16946;s:5:\"title\";s:52:\"Online Full-Stack Developer Course &#8211; Education\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/01/Online-Full-Stack-Developer-Course.png\";s:12:\"tmpl_created\";i:1610532778;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/online-full-stack-developer-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:76:\"[\"Academy\",\"Coding\",\"Course Online\",\"Developer\",\"Education\",\"Landing Pages\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:805;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:274;a:18:{s:4:\"tmpl\";i:1437;s:2:\"id\";i:24528;s:5:\"title\";s:27:\"Wireframe &#8211; Contact 1\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2022/05/Wireframe-—-Contact-1.jpg\";s:12:\"tmpl_created\";i:1653988981;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/wireframe-contact-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:76:\"[\"Business\",\"Contact\",\"Footer\",\"Form\",\"Google Maps\",\"Header\",\"Professional\"]\";s:10:\"menu_order\";i:38;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:275;a:18:{s:4:\"tmpl\";i:1143;s:2:\"id\";i:16868;s:5:\"title\";s:40:\"Virtual Assistant &#8211; Online Service\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/01/Virtual-Assistant-250x280-1.png\";s:12:\"tmpl_created\";i:1610465656;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/virtual-assistant-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:46:\"[\"Assistant\",\"Landing Pages\",\"Online Service\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:793;s:11:\"trend_index\";i:757;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:276;a:18:{s:4:\"tmpl\";i:673;s:2:\"id\";i:8526;s:5:\"title\";s:11:\"404 page 09\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/009.jpg\";s:12:\"tmpl_created\";i:1526415474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:477;s:11:\"trend_index\";i:285;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:277;a:18:{s:4:\"tmpl\";i:1228;s:2:\"id\";i:21104;s:5:\"title\";s:26:\"Restaurant &#8211; Contact\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/11-Contact-Restaurant.jpg\";s:12:\"tmpl_created\";i:1638800146;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/restaurant-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:60:\"[\"Contact\",\"Food\",\"Form\",\"Google Maps\",\"Info\",\"Testimonial\"]\";s:10:\"menu_order\";i:39;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:278;a:18:{s:4:\"tmpl\";i:1140;s:2:\"id\";i:16812;s:5:\"title\";s:40:\"Construction Project &#8211; Real Estate\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Construction-Project.png\";s:12:\"tmpl_created\";i:1610463582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/construction-project-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:59:\"[\"Construction\",\"Landing Pages\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:796;s:11:\"trend_index\";i:724;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:279;a:18:{s:4:\"tmpl\";i:1244;s:2:\"id\";i:21393;s:5:\"title\";s:34:\"Interior Designer &#8211; Projects\";s:9:\"thumbnail\";s:99:\"https://library.elementor.com/wp-content/uploads/2021/12/big-22-Projects-Interior-Designer-New.jpeg\";s:12:\"tmpl_created\";i:1638823945;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/interior-designer-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:93:\"[\"Creative\",\"Creative Portfolio\",\"Design\",\"Designer\",\"Interior Design\",\"Portfolio\",\"Project\"]\";s:10:\"menu_order\";i:40;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:280;a:18:{s:4:\"tmpl\";i:1148;s:2:\"id\";i:16960;s:5:\"title\";s:44:\"Dog &amp; Cat Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2021/01/Dog-Food.png\";s:12:\"tmpl_created\";i:1610533581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/dog-cat-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:71:\"[\"Business\",\"Cat\",\"Delivery\",\"Dog\",\"Food\",\"Landing Pages\",\"Pet\",\"Pets\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:782;s:11:\"trend_index\";i:510;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:281;a:18:{s:4:\"tmpl\";i:670;s:2:\"id\";i:8525;s:5:\"title\";s:11:\"404 page 08\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2018/05/008.jpg\";s:12:\"tmpl_created\";i:1526415374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/404-page-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:510;s:11:\"trend_index\";i:575;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:282;a:18:{s:4:\"tmpl\";i:1251;s:2:\"id\";i:22143;s:5:\"title\";s:33:\"Fashion Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/05/Library-Pic-Fashion-Store.png\";s:12:\"tmpl_created\";i:1647177389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/fashion-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Coming Soon\",\"Fashion\",\"Landing Pages\",\"Shop\",\"store\"]\";s:10:\"menu_order\";i:41;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:283;a:18:{s:4:\"tmpl\";i:1155;s:2:\"id\";i:17095;s:5:\"title\";s:36:\"Mobile Pet Grooming &#8211; Business\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Mobile-Pet-Grooming.png\";s:12:\"tmpl_created\";i:1610632115;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/mobile-pet-grooming-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:38:\"[\"Dog\",\"Groom\",\"Landing Pages\",\"Pets\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:786;s:11:\"trend_index\";i:731;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:284;a:18:{s:4:\"tmpl\";i:1241;s:2:\"id\";i:21451;s:5:\"title\";s:26:\"Exhibition &#8211; Gallery\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/12/21-Gallery-Exhibition.jpg\";s:12:\"tmpl_created\";i:1638821855;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/exhibition-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:74:\"[\"Art\",\"Creative\",\"Creative Portfolio\",\"Exhibition\",\"Gallery\",\"Portfolio\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:285;a:18:{s:4:\"tmpl\";i:502;s:2:\"id\";i:5438;s:5:\"title\";s:7:\"About 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_4.png\";s:12:\"tmpl_created\";i:1520443512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:42;s:16:\"popularity_index\";i:147;s:11:\"trend_index\";i:9;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:286;a:18:{s:4:\"tmpl\";i:1159;s:2:\"id\";i:17245;s:5:\"title\";s:34:\"Marketing Course &#8211; Education\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2021/01/PPC.png\";s:12:\"tmpl_created\";i:1610902958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/marketing-course-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"Education\";s:4:\"tags\";s:45:\"[\"Course Online\",\"Landing Pages\",\"Marketing\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:770;s:11:\"trend_index\";i:430;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:287;a:18:{s:4:\"tmpl\";i:1240;s:2:\"id\";i:21430;s:5:\"title\";s:30:\"Travel Blogger &#8211; Gallery\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/12/19-Gallery-Travel-Blogger.jpg\";s:12:\"tmpl_created\";i:1638821592;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/travel-blogger-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:43:\"[\"Gallery\",\"Photography\",\"Slider\",\"Travel\"]\";s:10:\"menu_order\";i:43;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:288;a:18:{s:4:\"tmpl\";i:1149;s:2:\"id\";i:16983;s:5:\"title\";s:41:\"Pilates Instructor &#8211; Online Service\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2021/01/Pilates-Instructor.png\";s:12:\"tmpl_created\";i:1610534138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:135:\"https://library.elementor.com/lp/pilates-instructor-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:70:\"[\"Free Trial\",\"Instructor\",\"Landing Pages\",\"Online Service\",\"Pilates\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:778;s:11:\"trend_index\";i:412;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:289;a:18:{s:4:\"tmpl\";i:1416;s:2:\"id\";i:24104;s:5:\"title\";s:33:\"Ceramics Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Ceramics-Shop.jpg\";s:12:\"tmpl_created\";i:1650988949;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/ceramics-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:44;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:290;a:18:{s:4:\"tmpl\";i:557;s:2:\"id\";i:6135;s:5:\"title\";s:8:\"About 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_2.png\";s:12:\"tmpl_created\";i:1520443663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:77;s:11:\"trend_index\";i:47;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:291;a:18:{s:4:\"tmpl\";i:1412;s:2:\"id\";i:24033;s:5:\"title\";s:37:\"Dance Studio &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Dance-Studio.jpg\";s:12:\"tmpl_created\";i:1649881344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/dance-studio-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:113:\"[\"Academy\",\"Business\",\"Dance Studio\",\"Form\",\"Pilates\",\"School\",\"Sport\",\"Teacher\",\"Training\",\"Under Construction\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:292;a:18:{s:4:\"tmpl\";i:1190;s:2:\"id\";i:18568;s:5:\"title\";s:32:\"Flower Delivery &#8211; Business\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/04/Flower-Delivery.png\";s:12:\"tmpl_created\";i:1617546716;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/flower-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:37:\"[\"Delivery\",\"Flower\",\"Landing Pages\"]\";s:10:\"menu_order\";i:45;s:16:\"popularity_index\";i:874;s:11:\"trend_index\";i:763;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:293;a:18:{s:4:\"tmpl\";i:1145;s:2:\"id\";i:16917;s:5:\"title\";s:22:\"Webinar &#8211; Events\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/01/Webinar-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610466822;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/lp/webinar-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:36:\"[\"Events\",\"Landing Pages\",\"Webinar\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:821;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:294;a:18:{s:4:\"tmpl\";i:1413;s:2:\"id\";i:24049;s:5:\"title\";s:33:\"ECO Shop &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-ECO-Shop.jpg\";s:12:\"tmpl_created\";i:1649882053;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/eco-shop-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:110:\"[\"Aesthetic\",\"Business\",\"Creative\",\"Decor\",\"Health\",\"Help\",\"Lifestyle\",\"Products\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:295;a:18:{s:4:\"tmpl\";i:497;s:2:\"id\";i:5397;s:5:\"title\";s:8:\"About 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1.png\";s:12:\"tmpl_created\";i:1520443503;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:46;s:16:\"popularity_index\";i:148;s:11:\"trend_index\";i:43;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:296;a:18:{s:4:\"tmpl\";i:1154;s:2:\"id\";i:17079;s:5:\"title\";s:42:\"Calls Volunteer &#8211; Social Involvement\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Calls-Volunteer.png\";s:12:\"tmpl_created\";i:1610631774;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/calls-volunteer-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Social Involvement\";s:4:\"tags\";s:68:\"[\"Care\",\"Covid-19\",\"Help\",\"Involvement\",\"Landing Pages\",\"Volunteer\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:854;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:297;a:18:{s:4:\"tmpl\";i:1419;s:2:\"id\";i:24136;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Food-Blog.jpg\";s:12:\"tmpl_created\";i:1650990034;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:62:\"[\"Blog\",\"Business\",\"Coming Soon\",\"Cooking\",\"Education\",\"Food\"]\";s:10:\"menu_order\";i:47;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:298;a:18:{s:4:\"tmpl\";i:1142;s:2:\"id\";i:16836;s:5:\"title\";s:33:\"Marketing Agency &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/01/Marketing-Agency-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610464490;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/marketing-agency-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:74:\"[\"Agency\",\"Business\",\"Landing Pages\",\"Marketing\",\"Marketing Landing Page\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:816;s:11:\"trend_index\";i:787;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:299;a:18:{s:4:\"tmpl\";i:1411;s:2:\"id\";i:24020;s:5:\"title\";s:35:\"Mobile App &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Mobile-App.jpg\";s:12:\"tmpl_created\";i:1649880955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/mobile-app-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:77:\"[\"App\",\"Business\",\"Coding\",\"Computer\",\"Launch\",\"Mobile\",\"Under Construction\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:300;a:18:{s:4:\"tmpl\";i:498;s:2:\"id\";i:5405;s:5:\"title\";s:8:\"About 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1.png\";s:12:\"tmpl_created\";i:1520443505;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:48;s:16:\"popularity_index\";i:216;s:11:\"trend_index\";i:50;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:301;a:18:{s:4:\"tmpl\";i:1139;s:2:\"id\";i:16785;s:5:\"title\";s:42:\"Gym Promotion &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2021/01/Gym-LP.jpg\";s:12:\"tmpl_created\";i:1610455496;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/gym-promotion-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:42:\"[\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:820;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:302;a:18:{s:4:\"tmpl\";i:1420;s:2:\"id\";i:24152;s:5:\"title\";s:32:\"Perfume Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Perfume-Shop.jpg\";s:12:\"tmpl_created\";i:1650990353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/perfume-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:68:\"[\"Business\",\"Coming Soon\",\"Cosmetics\",\"Lifestyle\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:49;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:303;a:18:{s:4:\"tmpl\";i:1185;s:2:\"id\";i:18492;s:5:\"title\";s:34:\"Bicycle Pre-Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:90:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Bike-Landing-Page.png\";s:12:\"tmpl_created\";i:1617535552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/lp/bicycle-pre-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:34:\"[\"Bicycle\",\"Landing Pages\",\"Sale\"]\";s:10:\"menu_order\";i:50;s:16:\"popularity_index\";i:871;s:11:\"trend_index\";i:826;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:304;a:18:{s:4:\"tmpl\";i:1418;s:2:\"id\";i:24126;s:5:\"title\";s:28:\"Skincare &#8211; Coming Soon\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Skincare.jpg\";s:12:\"tmpl_created\";i:1650989585;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/skincare-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:128:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Coming Soon\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Services\",\"Skincare\",\"Treatment\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:305;a:18:{s:4:\"tmpl\";i:1181;s:2:\"id\";i:18349;s:5:\"title\";s:39:\"Virtual try-on glasses &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-8.png\";s:12:\"tmpl_created\";i:1614772569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/virtual-try-on-glasses-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:64:\"[\"Fashion\",\"Glasses\",\"Landing Pages\",\"Online Service\",\"Virtual\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:848;s:11:\"trend_index\";i:803;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:306;a:18:{s:4:\"tmpl\";i:500;s:2:\"id\";i:5421;s:5:\"title\";s:8:\"About 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_3.png\";s:12:\"tmpl_created\";i:1520443509;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:51;s:16:\"popularity_index\";i:215;s:11:\"trend_index\";i:77;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:307;a:18:{s:4:\"tmpl\";i:513;s:2:\"id\";i:5533;s:5:\"title\";s:8:\"About 15\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_10.png\";s:12:\"tmpl_created\";i:1520443534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:21;s:11:\"trend_index\";i:57;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:308;a:18:{s:4:\"tmpl\";i:1410;s:2:\"id\";i:24004;s:5:\"title\";s:33:\"Skincare &#8211; Maintenance Mode\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2022/04/Maintenance-Mode-Skincare.jpg\";s:12:\"tmpl_created\";i:1649880534;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/skincare-maintenance-mode/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:144:\"[\"Aesthetic\",\"Beauty\",\"Beauty Salon\",\"Business\",\"Cosmetics\",\"Girly\",\"Lifestyle\",\"Makeup\",\"Services\",\"Skincare\",\"Treatment\",\"Under Construction\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:309;a:18:{s:4:\"tmpl\";i:1172;s:2:\"id\";i:17458;s:5:\"title\";s:31:\"Moving Company &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Moving-Company.png\";s:12:\"tmpl_created\";i:1612727025;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/moving-company-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"Landing Pages\",\"Movers\",\"Moving\"]\";s:10:\"menu_order\";i:52;s:16:\"popularity_index\";i:826;s:11:\"trend_index\";i:767;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:310;a:18:{s:4:\"tmpl\";i:1415;s:2:\"id\";i:24092;s:5:\"title\";s:29:\"Vase Shop &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2022/04/Coming-Soon-Vase-Shop.jpg\";s:12:\"tmpl_created\";i:1650988613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/vase-shop-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:115:\"[\"Art\",\"Business\",\"Coming Soon\",\"Creative\",\"Decor\",\"Design\",\"Furniture Design\",\"Interior Design\",\"Products\",\"Shop\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:311;a:18:{s:4:\"tmpl\";i:1186;s:2:\"id\";i:18517;s:5:\"title\";s:29:\"Food Blog &#8211; Coming Soon\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Food-Blog.png\";s:12:\"tmpl_created\";i:1617539897;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/food-blog-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:45:\"[\"Blog\",\"Coming Soon\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:53;s:16:\"popularity_index\";i:844;s:11:\"trend_index\";i:672;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:312;a:18:{s:4:\"tmpl\";i:1167;s:2:\"id\";i:17379;s:5:\"title\";s:33:\"IT Service &#8211; Online Service\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-IT-Service.png\";s:12:\"tmpl_created\";i:1612713022;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/it-service-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:41:\"[\"IT\",\"Landing Pages\",\"Remote\",\"Support\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:806;s:11:\"trend_index\";i:634;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:313;a:18:{s:4:\"tmpl\";i:1248;s:2:\"id\";i:22134;s:5:\"title\";s:32:\"Art Magazine &#8211; Coming Soon\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/10/Art-Magazine-Coming-Soon-250x280-1.jpg\";s:12:\"tmpl_created\";i:1647176713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/art-magazine-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Art\",\"Coming Soon\",\"Landing Pages\",\"Magazine\"]\";s:10:\"menu_order\";i:54;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:314;a:18:{s:4:\"tmpl\";i:512;s:2:\"id\";i:5525;s:5:\"title\";s:8:\"About 14\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_10.png\";s:12:\"tmpl_created\";i:1520443532;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:9;s:11:\"trend_index\";i:29;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:315;a:18:{s:4:\"tmpl\";i:1189;s:2:\"id\";i:18560;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1617542761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:146:\"https://library.elementor.com/lp/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:843;s:11:\"trend_index\";i:561;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:316;a:18:{s:4:\"tmpl\";i:1225;s:2:\"id\";i:21041;s:5:\"title\";s:41:\"Business Consulting Company &#8211; About\";s:9:\"thumbnail\";s:96:\"https://library.elementor.com/wp-content/uploads/2021/12/8-About-Business-Consulting-Company.jpg\";s:12:\"tmpl_created\";i:1638797560;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/business-consulting-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"Coach\",\"Collaboration\",\"Consulting\",\"Life Coach\"]\";s:10:\"menu_order\";i:55;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:317;a:18:{s:4:\"tmpl\";i:1187;s:2:\"id\";i:18528;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1617541784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/lp/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:872;s:11:\"trend_index\";i:819;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:318;a:18:{s:4:\"tmpl\";i:1243;s:2:\"id\";i:21135;s:5:\"title\";s:28:\"Construction &#8211; Service\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/12/13-Service-Construction.jpg\";s:12:\"tmpl_created\";i:1638823202;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/construction-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:48:\"[\"Architecture\",\"Construction\",\"Faq\",\"Services\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:319;a:18:{s:4:\"tmpl\";i:501;s:2:\"id\";i:5429;s:5:\"title\";s:8:\"About 16\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_4.png\";s:12:\"tmpl_created\";i:1520443510;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:56;s:16:\"popularity_index\";i:59;s:11:\"trend_index\";i:8;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:320;a:18:{s:4:\"tmpl\";i:1174;s:2:\"id\";i:17504;s:5:\"title\";s:29:\"Hair Stylist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-3.png\";s:12:\"tmpl_created\";i:1612883014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/lp/hair-stylist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:59:\"[\"Business\",\"Hair\",\"hairdresser\",\"Landing Pages\",\"Stylist\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:840;s:11:\"trend_index\";i:806;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:321;a:18:{s:4:\"tmpl\";i:1223;s:2:\"id\";i:20981;s:5:\"title\";s:37:\"Creative Digital Agency &#8211; About\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2021/12/6-About-Creative-Digital-Agency.jpg\";s:12:\"tmpl_created\";i:1638789303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/creative-digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:51:\"[\"About\",\"Advisor\",\"Creative\",\"Creative Portfolio\"]\";s:10:\"menu_order\";i:57;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:322;a:18:{s:4:\"tmpl\";i:1184;s:2:\"id\";i:18449;s:5:\"title\";s:45:\"Aesthetic Clinic &#8211; Health &amp; Fitness\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/03/Aesthetic-Clinic.png\";s:12:\"tmpl_created\";i:1616682181;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/aesthetic-clinic-health-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Health and Fitness\";s:4:\"tags\";s:57:\"[\"Aesthetic\",\"Beauty\",\"Fitness\",\"Health\",\"Landing Pages\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:859;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:323;a:18:{s:4:\"tmpl\";i:1221;s:2:\"id\";i:20926;s:5:\"title\";s:33:\"Doctors Online Consultation -Home\";s:9:\"thumbnail\";s:95:\"https://library.elementor.com/wp-content/uploads/2021/12/4-Home-Doctors-Online-Consultation.jpg\";s:12:\"tmpl_created\";i:1638787371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/doctors-online-consultation-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:35:\"[\"App\",\"Health\",\"Medical\",\"Online\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:324;a:18:{s:4:\"tmpl\";i:505;s:2:\"id\";i:5464;s:5:\"title\";s:8:\"About 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_6.png\";s:12:\"tmpl_created\";i:1520443518;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:58;s:16:\"popularity_index\";i:220;s:11:\"trend_index\";i:142;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:325;a:18:{s:4:\"tmpl\";i:1165;s:2:\"id\";i:17353;s:5:\"title\";s:44:\"Online Cooking Course &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-2.png\";s:12:\"tmpl_created\";i:1612705144;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:138:\"https://library.elementor.com/lp/online-cooking-course-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:50:\"[\"Cooking\",\"Course Online\",\"Food\",\"Landing Pages\"]\";s:10:\"menu_order\";i:59;s:16:\"popularity_index\";i:845;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:326;a:18:{s:4:\"tmpl\";i:1188;s:2:\"id\";i:18550;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1617542506;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/lp/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:832;s:11:\"trend_index\";i:600;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:327;a:18:{s:4:\"tmpl\";i:1250;s:2:\"id\";i:22140;s:5:\"title\";s:33:\"Design School &#8211; Coming Soon\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/05/250x280-1.png\";s:12:\"tmpl_created\";i:1647177317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/design-school-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:49:\"[\"Coming Soon\",\"Design\",\"Landing Pages\",\"School\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:328;a:18:{s:4:\"tmpl\";i:510;s:2:\"id\";i:5504;s:5:\"title\";s:8:\"About 18\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_9.png\";s:12:\"tmpl_created\";i:1520443528;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:60;s:16:\"popularity_index\";i:104;s:11:\"trend_index\";i:46;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:329;a:18:{s:4:\"tmpl\";i:1191;s:2:\"id\";i:18539;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1617610273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:18:\"Under Construction\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:61;s:16:\"popularity_index\";i:876;s:11:\"trend_index\";i:652;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:330;a:18:{s:4:\"tmpl\";i:1175;s:2:\"id\";i:18270;s:5:\"title\";s:24:\"Open week &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280.png\";s:12:\"tmpl_created\";i:1614767186;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/lp/open-week-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:6:\"Events\";s:4:\"tags\";s:59:\"[\"Education\",\"Event\",\"Events\",\"Landing Pages\",\"University\"]\";s:10:\"menu_order\";i:62;s:16:\"popularity_index\";i:831;s:11:\"trend_index\";i:673;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:331;a:18:{s:4:\"tmpl\";i:1177;s:2:\"id\";i:18300;s:5:\"title\";s:30:\"Makeup Artist &#8211; Business\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-2.png\";s:12:\"tmpl_created\";i:1614768608;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/makeup-artist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Beauty\",\"Business\",\"Course Online\",\"Landing Pages\",\"Makeup\",\"Online Service\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:861;s:11:\"trend_index\";i:783;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:332;a:18:{s:4:\"tmpl\";i:511;s:2:\"id\";i:5515;s:5:\"title\";s:8:\"About 19\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_9.png\";s:12:\"tmpl_created\";i:1520443530;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:63;s:16:\"popularity_index\";i:268;s:11:\"trend_index\";i:161;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:333;a:18:{s:4:\"tmpl\";i:1179;s:2:\"id\";i:18329;s:5:\"title\";s:63:\"Online Real Estate Investment Conference &#8211; Online Service\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/03/250x280-5.png\";s:12:\"tmpl_created\";i:1614770404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:157:\"https://library.elementor.com/lp/online-real-estate-investment-conference-online-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Online Service\";s:4:\"tags\";s:76:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Online Event\",\"Real estate\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:866;s:11:\"trend_index\";i:779;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:334;a:18:{s:4:\"tmpl\";i:506;s:2:\"id\";i:5472;s:5:\"title\";s:7:\"About 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_7.png\";s:12:\"tmpl_created\";i:1520443520;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:64;s:16:\"popularity_index\";i:210;s:11:\"trend_index\";i:116;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:335;a:18:{s:4:\"tmpl\";i:1183;s:2:\"id\";i:18391;s:5:\"title\";s:45:\"Children&#8217;s Optometrist &#8211; Business\";s:9:\"thumbnail\";s:94:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Childrens-Optometrist.png\";s:12:\"tmpl_created\";i:1614773564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/childrens-optometrist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:85:\"[\"Business\",\"Children\",\"Eye\",\"Glasses\",\"Health\",\"Kids\",\"Landing Pages\",\"Optometrist\"]\";s:10:\"menu_order\";i:65;s:16:\"popularity_index\";i:877;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:336;a:18:{s:4:\"tmpl\";i:1182;s:2:\"id\";i:18366;s:5:\"title\";s:30:\"Car Insurance &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Car-Insurance.png\";s:12:\"tmpl_created\";i:1614773263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/car-insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:46:\"[\"Business\",\"car\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:869;s:11:\"trend_index\";i:797;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:337;a:18:{s:4:\"tmpl\";i:1201;s:2:\"id\";i:19144;s:5:\"title\";s:25:\"Birthday Party Invitation\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/06/250x280.png\";s:12:\"tmpl_created\";i:1623848691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/birthday-party-invitation/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:67:\"[\"Birthday\",\"Event\",\"Landing Pages\",\"Party\",\"RSVD\",\"Save the Date\"]\";s:10:\"menu_order\";i:66;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:338;a:18:{s:4:\"tmpl\";i:1124;s:2:\"id\";i:16473;s:5:\"title\";s:26:\"Beauty Salon &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/about-1.jpg\";s:12:\"tmpl_created\";i:1608622373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/beauty-salon-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:615;s:11:\"trend_index\";i:184;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:339;a:18:{s:4:\"tmpl\";i:1176;s:2:\"id\";i:18291;s:5:\"title\";s:47:\"Grill Restaurant Food Delivery &#8211; Business\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Food-Delivery-LP.png\";s:12:\"tmpl_created\";i:1614767830;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:141:\"https://library.elementor.com/lp/grill-restaurant-food-delivery-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:79:\"[\"Delivery\",\"Delivery Service\",\"Fast Food\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:819;s:11:\"trend_index\";i:685;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:340;a:18:{s:4:\"tmpl\";i:504;s:2:\"id\";i:5455;s:5:\"title\";s:8:\"About 20\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_6.png\";s:12:\"tmpl_created\";i:1520443516;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:67;s:16:\"popularity_index\";i:134;s:11:\"trend_index\";i:70;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:341;a:18:{s:4:\"tmpl\";i:1125;s:2:\"id\";i:16488;s:5:\"title\";s:28:\"Beauty Salon &#8211; Contact\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/12/contact.jpg\";s:12:\"tmpl_created\";i:1608622374;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:548;s:11:\"trend_index\";i:101;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:342;a:18:{s:4:\"tmpl\";i:1180;s:2:\"id\";i:18340;s:5:\"title\";s:30:\"Restaurant &#8211; Coming Soon\";s:9:\"thumbnail\";s:98:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Restuarant-Coming-Soon-LP.png\";s:12:\"tmpl_created\";i:1614772183;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/lp/restaurant-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:16:\"Coming Soon Page\";s:4:\"tags\";s:51:\"[\"Coming Soon\",\"Food\",\"Landing Pages\",\"Restaurant\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:810;s:11:\"trend_index\";i:809;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:343;a:18:{s:4:\"tmpl\";i:499;s:2:\"id\";i:5413;s:5:\"title\";s:8:\"About 21\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2.png\";s:12:\"tmpl_created\";i:1520443507;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/about-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:68;s:16:\"popularity_index\";i:83;s:11:\"trend_index\";i:52;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:344;a:18:{s:4:\"tmpl\";i:1126;s:2:\"id\";i:16496;s:5:\"title\";s:28:\"Beauty Salon &#8211; Gallery\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/12/gallery-1.jpg\";s:12:\"tmpl_created\";i:1608622379;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/beauty-salon-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:491;s:11:\"trend_index\";i:90;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:345;a:18:{s:4:\"tmpl\";i:1173;s:2:\"id\";i:17480;s:5:\"title\";s:42:\"At-home Massage Therapist &#8211; Business\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/02/At-Home-Massage-Therapist.jpg\";s:12:\"tmpl_created\";i:1612879264;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/lp/at-home-massage-therapist-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:60:\"[\"Business\",\"Health\",\"Landing Pages\",\"Services\",\"Therapist\"]\";s:10:\"menu_order\";i:69;s:16:\"popularity_index\";i:856;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:346;a:18:{s:4:\"tmpl\";i:1127;s:2:\"id\";i:16457;s:5:\"title\";s:25:\"Beauty Salon &#8211; Home\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/home-1.jpg\";s:12:\"tmpl_created\";i:1608622383;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/beauty-salon-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:408;s:11:\"trend_index\";i:56;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:347;a:18:{s:4:\"tmpl\";i:1178;s:2:\"id\";i:18317;s:5:\"title\";s:26:\"Insurance &#8211; Business\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2021/03/Library-Pic-Life-Insirance.png\";s:12:\"tmpl_created\";i:1614769488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/lp/insurance-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:8:\"Business\";s:4:\"tags\";s:61:\"[\"Business\",\"Family\",\"Financial\",\"Insurance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:70;s:16:\"popularity_index\";i:870;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:348;a:18:{s:4:\"tmpl\";i:1128;s:2:\"id\";i:16518;s:5:\"title\";s:29:\"Beauty Salon &#8211; Services\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/12/services-1.jpg\";s:12:\"tmpl_created\";i:1608622386;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/beauty-salon-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:23:\"[\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:664;s:11:\"trend_index\";i:261;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:349;a:18:{s:4:\"tmpl\";i:1168;s:2:\"id\";i:17401;s:5:\"title\";s:40:\"Conference Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280.png\";s:12:\"tmpl_created\";i:1612724753;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/lp/conference-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:59:\"[\"Conference\",\"Event\",\"Events\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:799;s:11:\"trend_index\";i:540;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:350;a:18:{s:4:\"tmpl\";i:503;s:2:\"id\";i:5447;s:5:\"title\";s:7:\"About 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_5.png\";s:12:\"tmpl_created\";i:1520443514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:71;s:16:\"popularity_index\";i:48;s:11:\"trend_index\";i:12;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:351;a:18:{s:4:\"tmpl\";i:1073;s:2:\"id\";i:15486;s:5:\"title\";s:25:\"Travel Blog &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/11/About.jpg\";s:12:\"tmpl_created\";i:1606215720;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/travel-blog-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:608;s:11:\"trend_index\";i:343;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:352;a:18:{s:4:\"tmpl\";i:1166;s:2:\"id\";i:17368;s:5:\"title\";s:38:\"Real Estate Agency &#8211; Real-Estate\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Real-Estate.png\";s:12:\"tmpl_created\";i:1612711814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/lp/real-estate-agency-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:73:\"[\"Landing Pages\",\"listing\",\"Real estate\",\"Realestate\",\"realtor\",\"realty\"]\";s:10:\"menu_order\";i:72;s:16:\"popularity_index\";i:858;s:11:\"trend_index\";i:777;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:353;a:18:{s:4:\"tmpl\";i:1074;s:2:\"id\";i:15478;s:5:\"title\";s:27:\"Travel Blog &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/11/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1606215735;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-blog-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:687;s:11:\"trend_index\";i:564;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:354;a:18:{s:4:\"tmpl\";i:1170;s:2:\"id\";i:17423;s:5:\"title\";s:57:\"Volunteer Calls Thank You Page &#8211; Social Involvement\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2021/02/Volunteer-Calls-TYP.jpg\";s:12:\"tmpl_created\";i:1612726058;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:151:\"https://library.elementor.com/lp/volunteer-calls-thank-you-page-social-involvement/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:62:\"[\"Care\",\"Involvement\",\"Landing Pages\",\"Thank You\",\"Volunteer\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:857;s:11:\"trend_index\";i:818;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:355;a:18:{s:4:\"tmpl\";i:507;s:2:\"id\";i:5480;s:5:\"title\";s:7:\"About 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_7-1.png\";s:12:\"tmpl_created\";i:1520443522;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-4-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:73;s:16:\"popularity_index\";i:428;s:11:\"trend_index\";i:303;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:356;a:18:{s:4:\"tmpl\";i:1075;s:2:\"id\";i:15467;s:5:\"title\";s:24:\"Travel Blog &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/11/Home.jpg\";s:12:\"tmpl_created\";i:1606215756;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-blog-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:567;s:11:\"trend_index\";i:224;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:357;a:18:{s:4:\"tmpl\";i:1169;s:2:\"id\";i:17409;s:5:\"title\";s:37:\"Webinar Thank You Page &#8211; Events\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/02/Library-Pic-Webinar-TYP.png\";s:12:\"tmpl_created\";i:1612725644;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/lp/webinar-thank-you-page-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:56:\"[\"Event\",\"Events\",\"Landing Pages\",\"Thank You\",\"Webinar\"]\";s:10:\"menu_order\";i:74;s:16:\"popularity_index\";i:868;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:358;a:18:{s:4:\"tmpl\";i:1056;s:2:\"id\";i:15317;s:5:\"title\";s:25:\"Dance Studio &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/10/Home.jpg\";s:12:\"tmpl_created\";i:1603181291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/dance-studio-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:596;s:11:\"trend_index\";i:301;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:359;a:18:{s:4:\"tmpl\";i:545;s:2:\"id\";i:6027;s:5:\"title\";s:7:\"About 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_1-1.png\";s:12:\"tmpl_created\";i:1520443639;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-5-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:40;s:11:\"trend_index\";i:40;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:360;a:18:{s:4:\"tmpl\";i:1160;s:2:\"id\";i:17258;s:5:\"title\";s:32:\"Beauty Product &#8211; eCommerce\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2021/01/Beauty-Product.png\";s:12:\"tmpl_created\";i:1610903153;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/lp/beauty-product-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:38:\"[\"Beauty\",\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:75;s:16:\"popularity_index\";i:797;s:11:\"trend_index\";i:703;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:361;a:18:{s:4:\"tmpl\";i:1057;s:2:\"id\";i:15334;s:5:\"title\";s:26:\"Dance Studio &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/10/About.jpg\";s:12:\"tmpl_created\";i:1603181364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/dance-studio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:626;s:11:\"trend_index\";i:373;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:362;a:18:{s:4:\"tmpl\";i:546;s:2:\"id\";i:6036;s:5:\"title\";s:7:\"About 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_1-1.png\";s:12:\"tmpl_created\";i:1520443641;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/about-6-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:90;s:11:\"trend_index\";i:123;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:363;a:18:{s:4:\"tmpl\";i:1171;s:2:\"id\";i:17435;s:5:\"title\";s:39:\"Gym &#8211; App Service &#8211; Product\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2021/02/250x280-4.png\";s:12:\"tmpl_created\";i:1612726462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/lp/gym-app-service-product/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:7:\"Product\";s:4:\"tags\";s:58:\"[\"App\",\"Fitness\",\"Gym\",\"Health\",\"Landing Pages\",\"Product\"]\";s:10:\"menu_order\";i:76;s:16:\"popularity_index\";i:767;s:11:\"trend_index\";i:577;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:364;a:18:{s:4:\"tmpl\";i:1058;s:2:\"id\";i:15349;s:5:\"title\";s:28:\"Dance Studio &#8211; Classes\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes.jpg\";s:12:\"tmpl_created\";i:1603181425;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:629;s:11:\"trend_index\";i:458;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:365;a:18:{s:4:\"tmpl\";i:1156;s:2:\"id\";i:17111;s:5:\"title\";s:33:\"Sunglasses Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2021/01/Sunglasses-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610632408;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/sunglasses-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:59:\"[\"Ecommerce\",\"Fashion\",\"Landing Pages\",\"Sale\",\"Sunglasses\"]\";s:10:\"menu_order\";i:77;s:16:\"popularity_index\";i:812;s:11:\"trend_index\";i:732;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:366;a:18:{s:4:\"tmpl\";i:1055;s:2:\"id\";i:15366;s:5:\"title\";s:29:\"Dance Studio &#8211; Schedule\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/10/Classes-Schedule.jpg\";s:12:\"tmpl_created\";i:1603181056;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/dance-studio-schedule/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:698;s:11:\"trend_index\";i:602;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:367;a:18:{s:4:\"tmpl\";i:1157;s:2:\"id\";i:17223;s:5:\"title\";s:25:\"Fashion &#8211; eCommerce\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2021/01/Commerce-Fashion.png\";s:12:\"tmpl_created\";i:1610902553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/lp/fashion-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:29:\"[\"Ecommerce\",\"Landing Pages\"]\";s:10:\"menu_order\";i:78;s:16:\"popularity_index\";i:808;s:11:\"trend_index\";i:745;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:368;a:18:{s:4:\"tmpl\";i:1059;s:2:\"id\";i:15373;s:5:\"title\";s:28:\"Dance Studio &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/10/Pricing.jpg\";s:12:\"tmpl_created\";i:1603181678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:731;s:11:\"trend_index\";i:661;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:369;a:18:{s:4:\"tmpl\";i:1151;s:2:\"id\";i:17017;s:5:\"title\";s:28:\"Shoes Sale &#8211; eCommerce\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2021/01/Shoes-LP-Library-Pic.jpg\";s:12:\"tmpl_created\";i:1610535361;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/lp/shoes-sale-ecommerce/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:9:\"eCommerce\";s:4:\"tags\";s:55:\"[\"Discount\",\"Ecommerce\",\"Landing Pages\",\"Sale\",\"Shoes\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:803;s:11:\"trend_index\";i:642;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:370;a:18:{s:4:\"tmpl\";i:508;s:2:\"id\";i:5488;s:5:\"title\";s:7:\"About 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_8.png\";s:12:\"tmpl_created\";i:1520443524;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:79;s:16:\"popularity_index\";i:307;s:11:\"trend_index\";i:169;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:371;a:18:{s:4:\"tmpl\";i:1060;s:2:\"id\";i:15384;s:5:\"title\";s:28:\"Dance Studio &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/10/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1603181738;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/dance-studio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:16:\"[\"Dance Studio\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:741;s:11:\"trend_index\";i:721;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:372;a:18:{s:4:\"tmpl\";i:556;s:2:\"id\";i:6122;s:5:\"title\";s:7:\"About 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_white_2-1.png\";s:12:\"tmpl_created\";i:1520443661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:38;s:11:\"trend_index\";i:26;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:373;a:18:{s:4:\"tmpl\";i:1163;s:2:\"id\";i:17301;s:5:\"title\";s:53:\"Personal Chef &#8211; Thank You Page &#8211; Business\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2021/01/TYP-Personal-Chef.jpg\";s:12:\"tmpl_created\";i:1610903622;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:139:\"https://library.elementor.com/lp/personal-chef-thank-you-page-business/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:43:\"[\"Chef\",\"Food\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:80;s:16:\"popularity_index\";i:823;s:11:\"trend_index\";i:754;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:374;a:18:{s:4:\"tmpl\";i:1042;s:2:\"id\";i:15158;s:5:\"title\";s:26:\"Psychologist &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/09/About.jpg\";s:12:\"tmpl_created\";i:1600157561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/psychologist-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:618;s:11:\"trend_index\";i:426;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:375;a:18:{s:4:\"tmpl\";i:1164;s:2:\"id\";i:17313;s:5:\"title\";s:60:\"Development Course  &#8211; Thank You Page &#8211; Education\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2021/01/Dev-Course-TYP-.png\";s:12:\"tmpl_created\";i:1610903776;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/lp/development-course-thank-you-page-education/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:14:\"Thank You Page\";s:4:\"tags\";s:57:\"[\"Course Online\",\"Education\",\"Landing Pages\",\"Thank You\"]\";s:10:\"menu_order\";i:81;s:16:\"popularity_index\";i:834;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:376;a:18:{s:4:\"tmpl\";i:1045;s:2:\"id\";i:15197;s:5:\"title\";s:28:\"Psychologist &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/09/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1600160499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:666;s:11:\"trend_index\";i:558;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:377;a:18:{s:4:\"tmpl\";i:509;s:2:\"id\";i:5496;s:5:\"title\";s:7:\"About 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/about_black_8-1.png\";s:12:\"tmpl_created\";i:1520443526;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/about-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"about\";s:4:\"tags\";s:9:\"[\"About\"]\";s:10:\"menu_order\";i:82;s:16:\"popularity_index\";i:523;s:11:\"trend_index\";i:453;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:378;a:18:{s:4:\"tmpl\";i:1041;s:2:\"id\";i:15142;s:5:\"title\";s:25:\"Psychologist &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Home.jpg\";s:12:\"tmpl_created\";i:1600156308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/psychologist-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:83;s:16:\"popularity_index\";i:464;s:11:\"trend_index\";i:297;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:379;a:18:{s:4:\"tmpl\";i:1044;s:2:\"id\";i:15188;s:5:\"title\";s:28:\"Psychologist &#8211; Pricing\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/09/Pricing.jpg\";s:12:\"tmpl_created\";i:1600159731;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/psychologist-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:732;s:11:\"trend_index\";i:537;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:380;a:18:{s:4:\"tmpl\";i:684;s:2:\"id\";i:8961;s:5:\"title\";s:9:\"archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.1.jpg\";s:12:\"tmpl_created\";i:1528639909;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:84;s:16:\"popularity_index\";i:79;s:11:\"trend_index\";i:15;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:381;a:18:{s:4:\"tmpl\";i:1043;s:2:\"id\";i:15167;s:5:\"title\";s:29:\"Psychologist &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/09/Services.jpg\";s:12:\"tmpl_created\";i:1600158206;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/psychologist-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:85;s:16:\"popularity_index\";i:606;s:11:\"trend_index\";i:379;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:382;a:18:{s:4:\"tmpl\";i:1036;s:2:\"id\";i:14932;s:5:\"title\";s:30:\"Flooring Company &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/08/About.png\";s:12:\"tmpl_created\";i:1597740110;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/flooring-company-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:488;s:11:\"trend_index\";i:319;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:383;a:18:{s:4:\"tmpl\";i:685;s:2:\"id\";i:8969;s:5:\"title\";s:9:\"archive 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.2.jpg\";s:12:\"tmpl_created\";i:1528700014;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:86;s:16:\"popularity_index\";i:250;s:11:\"trend_index\";i:124;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:384;a:18:{s:4:\"tmpl\";i:1037;s:2:\"id\";i:14998;s:5:\"title\";s:32:\"Flooring Company &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/08/Contact-Us.png\";s:12:\"tmpl_created\";i:1597740222;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:87;s:16:\"popularity_index\";i:553;s:11:\"trend_index\";i:380;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:385;a:18:{s:4:\"tmpl\";i:1038;s:2:\"id\";i:14965;s:5:\"title\";s:32:\"Flooring Company &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/08/Gallery.png\";s:12:\"tmpl_created\";i:1597740353;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/flooring-company-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:371;s:11:\"trend_index\";i:291;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:386;a:18:{s:4:\"tmpl\";i:686;s:2:\"id\";i:8973;s:5:\"title\";s:9:\"archive 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.3.jpg\";s:12:\"tmpl_created\";i:1528700205;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:88;s:16:\"popularity_index\";i:176;s:11:\"trend_index\";i:54;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:387;a:18:{s:4:\"tmpl\";i:1282;s:2:\"id\";i:22417;s:5:\"title\";s:52:\"Finance Learning Platform &#8211; Under Construction\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Finance-Platform.png\";s:12:\"tmpl_created\";i:1647354987;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/finance-learning-platform-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Finance\",\"Landing Pages\"]\";s:10:\"menu_order\";i:89;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:388;a:18:{s:4:\"tmpl\";i:1040;s:2:\"id\";i:14947;s:5:\"title\";s:33:\"Flooring company &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/08/Services.png\";s:12:\"tmpl_created\";i:1597740551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/flooring-company-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:90;s:16:\"popularity_index\";i:538;s:11:\"trend_index\";i:392;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:389;a:18:{s:4:\"tmpl\";i:1039;s:2:\"id\";i:14901;s:5:\"title\";s:29:\"Flooring Company &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Home.png\";s:12:\"tmpl_created\";i:1597740474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/flooring-company-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:387;s:11:\"trend_index\";i:185;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:390;a:18:{s:4:\"tmpl\";i:687;s:2:\"id\";i:8977;s:5:\"title\";s:9:\"archive 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.4.jpg\";s:12:\"tmpl_created\";i:1528700326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:91;s:16:\"popularity_index\";i:354;s:11:\"trend_index\";i:396;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:391;a:18:{s:4:\"tmpl\";i:1252;s:2:\"id\";i:22146;s:5:\"title\";s:36:\"Home Decor Store &#8211; Coming Soon\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Home-Decore.png\";s:12:\"tmpl_created\";i:1647177514;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/home-decor-store-coming-soon/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:57:\"[\"Coming Soon\",\"Decor\",\"Interior Design\",\"Landing Pages\"]\";s:10:\"menu_order\";i:92;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:392;a:18:{s:4:\"tmpl\";i:688;s:2:\"id\";i:8981;s:5:\"title\";s:9:\"archive 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.5.jpg\";s:12:\"tmpl_created\";i:1528700484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:333;s:11:\"trend_index\";i:195;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:393;a:18:{s:4:\"tmpl\";i:1021;s:2:\"id\";i:14737;s:5:\"title\";s:32:\"Luxury Real Estate &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/07/About.png\";s:12:\"tmpl_created\";i:1595313527;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/luxury-real-estate-about-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:93;s:16:\"popularity_index\";i:150;s:11:\"trend_index\";i:447;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:394;a:18:{s:4:\"tmpl\";i:689;s:2:\"id\";i:8985;s:5:\"title\";s:9:\"archive 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.6.jpg\";s:12:\"tmpl_created\";i:1528700612;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:204;s:11:\"trend_index\";i:95;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:395;a:18:{s:4:\"tmpl\";i:1020;s:2:\"id\";i:14756;s:5:\"title\";s:34:\"Luxury Real Estate &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Contact-Us.png\";s:12:\"tmpl_created\";i:1595313519;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/luxury-real-estate-contact-us-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:94;s:16:\"popularity_index\";i:610;s:11:\"trend_index\";i:569;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:396;a:18:{s:4:\"tmpl\";i:1019;s:2:\"id\";i:14716;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Home.png\";s:12:\"tmpl_created\";i:1595313512;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:95;s:16:\"popularity_index\";i:394;s:11:\"trend_index\";i:165;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:397;a:18:{s:4:\"tmpl\";i:690;s:2:\"id\";i:8989;s:5:\"title\";s:9:\"archive 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.7.jpg\";s:12:\"tmpl_created\";i:1528701063;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:208;s:11:\"trend_index\";i:111;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:398;a:18:{s:4:\"tmpl\";i:1018;s:2:\"id\";i:14763;s:5:\"title\";s:31:\"Luxury Real Estate &#8211; News\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/07/news-Archive.png\";s:12:\"tmpl_created\";i:1595313273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/luxury-real-estate-news-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:96;s:16:\"popularity_index\";i:404;s:11:\"trend_index\";i:167;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:399;a:18:{s:4:\"tmpl\";i:1283;s:2:\"id\";i:22423;s:5:\"title\";s:39:\"Online Store &#8211; Under Construction\";s:9:\"thumbnail\";s:85:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Online-Store.png\";s:12:\"tmpl_created\";i:1647355154;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/online-store-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:59:\"[\"Landing Pages\",\"Online Shop\",\"Shop\",\"Under Construction\"]\";s:10:\"menu_order\";i:97;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:400;a:18:{s:4:\"tmpl\";i:691;s:2:\"id\";i:8996;s:5:\"title\";s:9:\"archive 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.8.jpg\";s:12:\"tmpl_created\";i:1528701290;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:227;s:11:\"trend_index\";i:153;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:401;a:18:{s:4:\"tmpl\";i:1010;s:2:\"id\";i:13960;s:5:\"title\";s:32:\"Japanese restaurant &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/06/Home-Page.jpg\";s:12:\"tmpl_created\";i:1592289775;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/japanese-restaurant-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:98;s:16:\"popularity_index\";i:537;s:11:\"trend_index\";i:287;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:402;a:18:{s:4:\"tmpl\";i:1284;s:2:\"id\";i:22428;s:5:\"title\";s:40:\"Travel Agency &#8211; Under Construction\";s:9:\"thumbnail\";s:88:\"https://library.elementor.com/wp-content/uploads/2021/04/Library-Pic-Travel-Agency-1.png\";s:12:\"tmpl_created\";i:1647355339;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/travel-agency-under-construction/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:56:\"[\"Agency\",\"Landing Pages\",\"Travel\",\"Under Construction\"]\";s:10:\"menu_order\";i:99;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:403;a:18:{s:4:\"tmpl\";i:692;s:2:\"id\";i:9001;s:5:\"title\";s:9:\"archive 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/06/Archive_350.9.jpg\";s:12:\"tmpl_created\";i:1528701433;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/archive-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:265;s:11:\"trend_index\";i:208;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:404;a:18:{s:4:\"tmpl\";i:1007;s:2:\"id\";i:13993;s:5:\"title\";s:45:\"Japanese restaurant &#8211; Chef&#8217;s Menu\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/06/Chef_s-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/japanese-restaurant-chefs-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:100;s:16:\"popularity_index\";i:651;s:11:\"trend_index\";i:675;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:405;a:18:{s:4:\"tmpl\";i:1006;s:2:\"id\";i:14012;s:5:\"title\";s:36:\"Japanese restaurant &#8211; Bar Menu\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/06/Bar-Menu-Page.jpg\";s:12:\"tmpl_created\";i:1592289665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/japanese-restaurant-bar-menu/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:101;s:16:\"popularity_index\";i:735;s:11:\"trend_index\";i:829;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:406;a:18:{s:4:\"tmpl\";i:1005;s:2:\"id\";i:13917;s:5:\"title\";s:33:\"Japanese restaurant &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/06/About-Page.jpg\";s:12:\"tmpl_created\";i:1592289629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/japanese-restaurant-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:102;s:16:\"popularity_index\";i:640;s:11:\"trend_index\";i:389;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:407;a:18:{s:4:\"tmpl\";i:997;s:2:\"id\";i:13528;s:5:\"title\";s:22:\"Barbershop &#8211; 404\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/05/404-Page.jpg\";s:12:\"tmpl_created\";i:1589893152;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/barbershop-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:768;s:11:\"trend_index\";i:681;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:408;a:18:{s:4:\"tmpl\";i:1009;s:2:\"id\";i:13937;s:5:\"title\";s:35:\"Japanese restaurant &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1592289748;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/japanese-restaurant-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:103;s:16:\"popularity_index\";i:648;s:11:\"trend_index\";i:551;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:409;a:18:{s:4:\"tmpl\";i:1008;s:2:\"id\";i:14030;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Events\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/06/Events-Page.jpg\";s:12:\"tmpl_created\";i:1592289713;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/japanese-restaurant-events/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:104;s:16:\"popularity_index\";i:723;s:11:\"trend_index\";i:711;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:410;a:18:{s:4:\"tmpl\";i:998;s:2:\"id\";i:13518;s:5:\"title\";s:26:\"Barbershop &#8211; Archive\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Blog-Page.jpg\";s:12:\"tmpl_created\";i:1589893157;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/barbershop-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:737;s:11:\"trend_index\";i:523;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:411;a:18:{s:4:\"tmpl\";i:1016;s:2:\"id\";i:13984;s:5:\"title\";s:40:\"Japanese restaurant &#8211; Reservations\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/reservations.jpg\";s:12:\"tmpl_created\";i:1592294757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/japanese-restaurant-reservations/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:32:\"[\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:105;s:16:\"popularity_index\";i:715;s:11:\"trend_index\";i:727;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:412;a:18:{s:4:\"tmpl\";i:999;s:2:\"id\";i:13479;s:5:\"title\";s:23:\"Barbershop &#8211; Home\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/05/Home-Page.jpg\";s:12:\"tmpl_created\";i:1589893275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/barbershop-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:106;s:16:\"popularity_index\";i:683;s:11:\"trend_index\";i:832;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:413;a:18:{s:4:\"tmpl\";i:996;s:2:\"id\";i:13604;s:5:\"title\";s:25:\"Barbershop &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1589893147;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Footer\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:555;s:11:\"trend_index\";i:267;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:414;a:18:{s:4:\"tmpl\";i:1000;s:2:\"id\";i:13503;s:5:\"title\";s:24:\"Barbershop &#8211; About\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/05/About-Page.jpg\";s:12:\"tmpl_created\";i:1589893289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/barbershop-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:107;s:16:\"popularity_index\";i:744;s:11:\"trend_index\";i:739;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:415;a:18:{s:4:\"tmpl\";i:995;s:2:\"id\";i:13612;s:5:\"title\";s:25:\"Barbershop &#8211; Header\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/06/barber-shop-header.jpg\";s:12:\"tmpl_created\";i:1589893142;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/barbershop-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Barber Shop\",\"Barbershop\",\"Header\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:343;s:11:\"trend_index\";i:137;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:416;a:18:{s:4:\"tmpl\";i:1001;s:2:\"id\";i:13548;s:5:\"title\";s:27:\"Barbershop &#8211; Services\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/05/Services-Page.jpg\";s:12:\"tmpl_created\";i:1589893298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/barbershop-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:108;s:16:\"popularity_index\";i:761;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:417;a:18:{s:4:\"tmpl\";i:1002;s:2:\"id\";i:13560;s:5:\"title\";s:26:\"Barbershop &#8211; Gallery\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/05/Gallery-Page.jpg\";s:12:\"tmpl_created\";i:1589893307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:109;s:16:\"popularity_index\";i:756;s:11:\"trend_index\";i:822;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:418;a:18:{s:4:\"tmpl\";i:1003;s:2:\"id\";i:13587;s:5:\"title\";s:26:\"Barbershop &#8211; Contact\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/05/Contact-Us-Page.jpg\";s:12:\"tmpl_created\";i:1589893315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/barbershop-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:110;s:16:\"popularity_index\";i:753;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:419;a:18:{s:4:\"tmpl\";i:982;s:2:\"id\";i:13307;s:5:\"title\";s:26:\"Online Course &#8211; Home\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.jpg\";s:12:\"tmpl_created\";i:1587474541;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/online-course-home/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:230;s:11:\"trend_index\";i:125;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:420;a:18:{s:4:\"tmpl\";i:994;s:2:\"id\";i:13621;s:5:\"title\";s:30:\"Barbershop &#8211; Single Post\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/05/Single-Page.jpg\";s:12:\"tmpl_created\";i:1589893137;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/barbershop-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Barber Shop\",\"Barbershop\"]\";s:10:\"menu_order\";i:111;s:16:\"popularity_index\";i:736;s:11:\"trend_index\";i:580;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:421;a:18:{s:4:\"tmpl\";i:1131;s:2:\"id\";i:16527;s:5:\"title\";s:24:\"Beauty Salon &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/12/404.jpg\";s:12:\"tmpl_created\";i:1608622517;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/beauty-salon-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:29:\"[\"404\",\"Beauty Salon\",\"Hair\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:742;s:11:\"trend_index\";i:563;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:422;a:18:{s:4:\"tmpl\";i:983;s:2:\"id\";i:13328;s:5:\"title\";s:27:\"Online Course &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.jpg\";s:12:\"tmpl_created\";i:1587474558;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/online-course-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:112;s:16:\"popularity_index\";i:508;s:11:\"trend_index\";i:429;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:423;a:18:{s:4:\"tmpl\";i:984;s:2:\"id\";i:13338;s:5:\"title\";s:33:\"Online Course &#8211; Course Page\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Course-Page.png\";s:12:\"tmpl_created\";i:1587474574;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/online-course-course-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:113;s:16:\"popularity_index\";i:337;s:11:\"trend_index\";i:310;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:424;a:18:{s:4:\"tmpl\";i:985;s:2:\"id\";i:13352;s:5:\"title\";s:29:\"Online Course &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.jpg\";s:12:\"tmpl_created\";i:1587474591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/online-course-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:114;s:16:\"popularity_index\";i:565;s:11:\"trend_index\";i:533;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:425;a:18:{s:4:\"tmpl\";i:1130;s:2:\"id\";i:16535;s:5:\"title\";s:27:\"Beauty Salon &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Footer.jpg\";s:12:\"tmpl_created\";i:1608622498;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Footer\",\"Hair\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:524;s:11:\"trend_index\";i:126;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:426;a:18:{s:4:\"tmpl\";i:971;s:2:\"id\";i:13187;s:5:\"title\";s:33:\"Interior Design &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Home.png\";s:12:\"tmpl_created\";i:1586148661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/interior-design-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:115;s:16:\"popularity_index\";i:331;s:11:\"trend_index\";i:264;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:427;a:18:{s:4:\"tmpl\";i:1453;s:2:\"id\";i:16346;s:5:\"title\";s:33:\"Your New Home &#8211; Real Estate\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2017/03/lp3-l.png\";s:12:\"tmpl_created\";i:1660205402;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/lp/your-new-home-real-estate/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:2:\"lp\";s:7:\"subtype\";s:11:\"Real Estate\";s:4:\"tags\";s:31:\"[\"Landing Pages\",\"Real estate\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:-1;s:11:\"trend_index\";i:-1;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:428;a:18:{s:4:\"tmpl\";i:972;s:2:\"id\";i:13199;s:5:\"title\";s:29:\"Interior Design &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/04/About.png\";s:12:\"tmpl_created\";i:1586148666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/interior-design-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:116;s:16:\"popularity_index\";i:316;s:11:\"trend_index\";i:334;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:429;a:18:{s:4:\"tmpl\";i:1129;s:2:\"id\";i:16545;s:5:\"title\";s:27:\"Beauty Salon &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/12/Header.jpg\";s:12:\"tmpl_created\";i:1608622495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/beauty-salon-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:32:\"[\"Beauty Salon\",\"Hair\",\"Header\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:356;s:11:\"trend_index\";i:49;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:430;a:18:{s:4:\"tmpl\";i:973;s:2:\"id\";i:13214;s:5:\"title\";s:32:\"Interior Design &#8211; Projects\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/portfolio_s.jpg\";s:12:\"tmpl_created\";i:1586148672;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/interior-design-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:117;s:16:\"popularity_index\";i:367;s:11:\"trend_index\";i:323;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:431;a:18:{s:4:\"tmpl\";i:641;s:2:\"id\";i:7686;s:5:\"title\";s:12:\"Blog Posts 1\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2018/03/blog_posts.png\";s:12:\"tmpl_created\";i:1521558047;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/blog-posts-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:26:\"[\"Archive\",\"Blog\",\"posts\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:131;s:11:\"trend_index\";i:152;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:432;a:18:{s:4:\"tmpl\";i:974;s:2:\"id\";i:13229;s:5:\"title\";s:31:\"Interior Design &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/04/Contact-Us.png\";s:12:\"tmpl_created\";i:1586148677;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/interior-design-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:118;s:16:\"popularity_index\";i:395;s:11:\"trend_index\";i:337;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:433;a:18:{s:4:\"tmpl\";i:959;s:2:\"id\";i:12948;s:5:\"title\";s:29:\"Photography &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Home_s.png\";s:12:\"tmpl_created\";i:1582093442;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/photography-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:119;s:16:\"popularity_index\";i:241;s:11:\"trend_index\";i:201;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:434;a:18:{s:4:\"tmpl\";i:960;s:2:\"id\";i:12798;s:5:\"title\";s:25:\"Photography &#8211; About\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/About_s.png\";s:12:\"tmpl_created\";i:1582093446;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/photography-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:499;s:11:\"trend_index\";i:374;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:435;a:18:{s:4:\"tmpl\";i:484;s:2:\"id\";i:5283;s:5:\"title\";s:9:\"Clients 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_2.png\";s:12:\"tmpl_created\";i:1520443478;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:120;s:16:\"popularity_index\";i:294;s:11:\"trend_index\";i:202;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:436;a:18:{s:4:\"tmpl\";i:961;s:2:\"id\";i:12868;s:5:\"title\";s:27:\"Photography &#8211; Contact\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Contact_s.png\";s:12:\"tmpl_created\";i:1582093450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/photography-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:121;s:16:\"popularity_index\";i:531;s:11:\"trend_index\";i:350;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:437;a:18:{s:4:\"tmpl\";i:962;s:2:\"id\";i:13056;s:5:\"title\";s:28:\"Photography &#8211; Wildlife\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/02/Wildlife_s.png\";s:12:\"tmpl_created\";i:1582093454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/photography-wildlife/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:579;s:11:\"trend_index\";i:656;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:438;a:18:{s:4:\"tmpl\";i:487;s:2:\"id\";i:5306;s:5:\"title\";s:10:\"Clients 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_3.png\";s:12:\"tmpl_created\";i:1520443484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:122;s:16:\"popularity_index\";i:657;s:11:\"trend_index\";i:581;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:439;a:18:{s:4:\"tmpl\";i:963;s:2:\"id\";i:12922;s:5:\"title\";s:37:\"Photography &#8211; Glowing Jellyfish\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Jellyfish_S.png\";s:12:\"tmpl_created\";i:1582093457;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/photography-glowing-jellyfish/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:123;s:16:\"popularity_index\";i:628;s:11:\"trend_index\";i:532;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:440;a:18:{s:4:\"tmpl\";i:964;s:2:\"id\";i:12875;s:5:\"title\";s:36:\"Photography &#8211; Fluttering Birds\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Birds_s.png\";s:12:\"tmpl_created\";i:1582093461;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-fluttering-birds/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:124;s:16:\"popularity_index\";i:693;s:11:\"trend_index\";i:766;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:441;a:18:{s:4:\"tmpl\";i:965;s:2:\"id\";i:12962;s:5:\"title\";s:26:\"Photography &#8211; Nature\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Nature_s.png\";s:12:\"tmpl_created\";i:1582093465;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/photography-nature/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:592;s:11:\"trend_index\";i:778;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:442;a:18:{s:4:\"tmpl\";i:491;s:2:\"id\";i:5341;s:5:\"title\";s:10:\"Clients 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_4.png\";s:12:\"tmpl_created\";i:1520443491;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:125;s:16:\"popularity_index\";i:603;s:11:\"trend_index\";i:633;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:443;a:18:{s:4:\"tmpl\";i:966;s:2:\"id\";i:12833;s:5:\"title\";s:38:\"Photography &#8211; Blossoming Flowers\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Flowers_s.png\";s:12:\"tmpl_created\";i:1582093469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/photography-blossoming-flowers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:597;s:11:\"trend_index\";i:750;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:444;a:18:{s:4:\"tmpl\";i:488;s:2:\"id\";i:5315;s:5:\"title\";s:10:\"Clients 12\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4-1.png\";s:12:\"tmpl_created\";i:1520443486;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:126;s:16:\"popularity_index\";i:485;s:11:\"trend_index\";i:263;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:445;a:18:{s:4:\"tmpl\";i:967;s:2:\"id\";i:12898;s:5:\"title\";s:36:\"Photography &#8211; Forest Mushrooms\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/02/Mushrooms_s.png\";s:12:\"tmpl_created\";i:1582093473;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/photography-forest-mushrooms/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:127;s:16:\"popularity_index\";i:667;s:11:\"trend_index\";i:649;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:446;a:18:{s:4:\"tmpl\";i:968;s:2:\"id\";i:12994;s:5:\"title\";s:24:\"Photography &#8211; Pets\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Pets_s.png\";s:12:\"tmpl_created\";i:1582093477;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/photography-pets/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:128;s:16:\"popularity_index\";i:612;s:11:\"trend_index\";i:508;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:447;a:18:{s:4:\"tmpl\";i:969;s:2:\"id\";i:12805;s:5:\"title\";s:37:\"Photography &#8211; B&amp;W Portraits\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/02/Black_s.png\";s:12:\"tmpl_created\";i:1582093481;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/photography-bw-portraits/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:695;s:11:\"trend_index\";i:735;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:448;a:18:{s:4:\"tmpl\";i:490;s:2:\"id\";i:5333;s:5:\"title\";s:10:\"Clients 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_6.png\";s:12:\"tmpl_created\";i:1520443489;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:129;s:16:\"popularity_index\";i:234;s:11:\"trend_index\";i:128;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:449;a:18:{s:4:\"tmpl\";i:970;s:2:\"id\";i:13031;s:5:\"title\";s:33:\"Photography &#8211; Vivid Parrots\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/02/Parrots_s.png\";s:12:\"tmpl_created\";i:1582093484;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/photography-vivid-parrots/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:660;s:11:\"trend_index\";i:643;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:450;a:18:{s:4:\"tmpl\";i:496;s:2:\"id\";i:5389;s:5:\"title\";s:10:\"Clients 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_9.png\";s:12:\"tmpl_created\";i:1520443501;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:130;s:16:\"popularity_index\";i:407;s:11:\"trend_index\";i:307;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:451;a:18:{s:4:\"tmpl\";i:940;s:2:\"id\";i:12621;s:5:\"title\";s:26:\"Magazine &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/01/Home_s.png\";s:12:\"tmpl_created\";i:1579060604;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/magazine-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:131;s:16:\"popularity_index\";i:167;s:11:\"trend_index\";i:121;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:452;a:18:{s:4:\"tmpl\";i:936;s:2:\"id\";i:12352;s:5:\"title\";s:24:\"Travel &#8211; Home Page\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/12/Home_s.png\";s:12:\"tmpl_created\";i:1575960464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/travel-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:291;s:11:\"trend_index\";i:194;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:453;a:18:{s:4:\"tmpl\";i:486;s:2:\"id\";i:5298;s:5:\"title\";s:10:\"Clients 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_3.png\";s:12:\"tmpl_created\";i:1520443482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:132;s:16:\"popularity_index\";i:465;s:11:\"trend_index\";i:520;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:454;a:18:{s:4:\"tmpl\";i:932;s:2:\"id\";i:12400;s:5:\"title\";s:20:\"Travel &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/12/About.png\";s:12:\"tmpl_created\";i:1575960441;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:133;s:16:\"popularity_index\";i:444;s:11:\"trend_index\";i:445;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:455;a:18:{s:4:\"tmpl\";i:938;s:2:\"id\";i:12479;s:5:\"title\";s:20:\"Travel &#8211; Tours\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Tours_s.png\";s:12:\"tmpl_created\";i:1575960474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/travel-tours/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:539;s:11:\"trend_index\";i:726;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:456;a:18:{s:4:\"tmpl\";i:495;s:2:\"id\";i:5381;s:5:\"title\";s:10:\"Clients 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_9.png\";s:12:\"tmpl_created\";i:1520443499;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/clients-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:134;s:16:\"popularity_index\";i:198;s:11:\"trend_index\";i:168;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:457;a:18:{s:4:\"tmpl\";i:937;s:2:\"id\";i:12466;s:5:\"title\";s:27:\"Travel &#8211; Testimonials\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/12/Testimonials.png\";s:12:\"tmpl_created\";i:1575960469;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-testimonials/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:135;s:16:\"popularity_index\";i:527;s:11:\"trend_index\";i:481;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:458;a:18:{s:4:\"tmpl\";i:935;s:2:\"id\";i:12443;s:5:\"title\";s:22:\"Travel &#8211; Gallery\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/12/Gallery.png\";s:12:\"tmpl_created\";i:1575960459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/travel-gallery/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:136;s:16:\"popularity_index\";i:467;s:11:\"trend_index\";i:501;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:459;a:18:{s:4:\"tmpl\";i:934;s:2:\"id\";i:12431;s:5:\"title\";s:18:\"Travel &#8211; FAQ\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/FAQ.png\";s:12:\"tmpl_created\";i:1575960453;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/travel-faq/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:501;s:11:\"trend_index\";i:387;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:460;a:18:{s:4:\"tmpl\";i:493;s:2:\"id\";i:5357;s:5:\"title\";s:9:\"Clients 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_7.png\";s:12:\"tmpl_created\";i:1520443495;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:137;s:16:\"popularity_index\";i:341;s:11:\"trend_index\";i:232;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:461;a:18:{s:4:\"tmpl\";i:933;s:2:\"id\";i:12421;s:5:\"title\";s:27:\"Travel &#8211; Contact Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/12/Contsct-Us.png\";s:12:\"tmpl_created\";i:1575960445;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/travel-contact-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:138;s:16:\"popularity_index\";i:571;s:11:\"trend_index\";i:536;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:462;a:18:{s:4:\"tmpl\";i:892;s:2:\"id\";i:11763;s:5:\"title\";s:27:\"Portfolio &#8211; Home Page\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Homepage_small.png\";s:12:\"tmpl_created\";i:1569428959;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/portfolio-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:280;s:11:\"trend_index\";i:241;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:463;a:18:{s:4:\"tmpl\";i:485;s:2:\"id\";i:5290;s:5:\"title\";s:9:\"Clients 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_2.png\";s:12:\"tmpl_created\";i:1520443480;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/clients-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:139;s:16:\"popularity_index\";i:545;s:11:\"trend_index\";i:502;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:464;a:18:{s:4:\"tmpl\";i:891;s:2:\"id\";i:11781;s:5:\"title\";s:23:\"Portfolio &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/09/About_small.png\";s:12:\"tmpl_created\";i:1569428955;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/portfolio-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:349;s:11:\"trend_index\";i:290;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:465;a:18:{s:4:\"tmpl\";i:482;s:2:\"id\";i:5266;s:5:\"title\";s:9:\"Clients 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_white_1.png\";s:12:\"tmpl_created\";i:1520443474;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:140;s:16:\"popularity_index\";i:95;s:11:\"trend_index\";i:134;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:466;a:18:{s:4:\"tmpl\";i:890;s:2:\"id\";i:11793;s:5:\"title\";s:26:\"Portfolio &#8211; Projects\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Projects_small.png\";s:12:\"tmpl_created\";i:1569428951;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/portfolio-projects/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:141;s:16:\"popularity_index\";i:448;s:11:\"trend_index\";i:467;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:467;a:18:{s:4:\"tmpl\";i:889;s:2:\"id\";i:11800;s:5:\"title\";s:25:\"Portfolio &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/09/Contact_small.png\";s:12:\"tmpl_created\";i:1569428946;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/portfolio-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:142;s:16:\"popularity_index\";i:494;s:11:\"trend_index\";i:449;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:468;a:18:{s:4:\"tmpl\";i:866;s:2:\"id\";i:11163;s:5:\"title\";s:32:\"Digital Agency &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/07/Home_small.png\";s:12:\"tmpl_created\";i:1564641877;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/digital-agency-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:57;s:11:\"trend_index\";i:32;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:469;a:18:{s:4:\"tmpl\";i:483;s:2:\"id\";i:5275;s:5:\"title\";s:9:\"Clients 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/clients_black_1.png\";s:12:\"tmpl_created\";i:1520443476;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:143;s:16:\"popularity_index\";i:334;s:11:\"trend_index\";i:321;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:470;a:18:{s:4:\"tmpl\";i:492;s:2:\"id\";i:5349;s:5:\"title\";s:9:\"Clients 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_7.png\";s:12:\"tmpl_created\";i:1520443493;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:144;s:16:\"popularity_index\";i:233;s:11:\"trend_index\";i:92;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:471;a:18:{s:4:\"tmpl\";i:916;s:2:\"id\";i:12143;s:5:\"title\";s:22:\"Law Firm &#8211; About\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2019/11/about.png\";s:12:\"tmpl_created\";i:1572847069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/law-firm-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:350;s:11:\"trend_index\";i:344;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:472;a:18:{s:4:\"tmpl\";i:489;s:2:\"id\";i:5324;s:5:\"title\";s:9:\"Clients 8\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5-1.png\";s:12:\"tmpl_created\";i:1520443488;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:146;s:16:\"popularity_index\";i:526;s:11:\"trend_index\";i:381;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:473;a:18:{s:4:\"tmpl\";i:920;s:2:\"id\";i:12091;s:5:\"title\";s:21:\"Law Firm &#8211; Team\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/team.png\";s:12:\"tmpl_created\";i:1572847113;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/law-firm-team/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:147;s:16:\"popularity_index\";i:318;s:11:\"trend_index\";i:314;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:474;a:18:{s:4:\"tmpl\";i:869;s:2:\"id\";i:11129;s:5:\"title\";s:28:\"Digital Agency &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/About_small.png\";s:12:\"tmpl_created\";i:1564641889;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/digital-agency-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:148;s:16:\"popularity_index\";i:182;s:11:\"trend_index\";i:166;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:475;a:18:{s:4:\"tmpl\";i:880;s:2:\"id\";i:11572;s:5:\"title\";s:19:\"Gym &#8211; Trainer\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Trainer_Small.png\";s:12:\"tmpl_created\";i:1567392934;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-trainer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:521;s:11:\"trend_index\";i:590;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:476;a:18:{s:4:\"tmpl\";i:494;s:2:\"id\";i:5368;s:5:\"title\";s:9:\"Clients 9\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_8.png\";s:12:\"tmpl_created\";i:1520443497;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/clients-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"clients\";s:4:\"tags\";s:11:\"[\"Clients\"]\";s:10:\"menu_order\";i:149;s:16:\"popularity_index\";i:253;s:11:\"trend_index\";i:273;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:477;a:18:{s:4:\"tmpl\";i:917;s:2:\"id\";i:12133;s:5:\"title\";s:24:\"Law Firm &#8211; Careers\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2019/11/careers.png\";s:12:\"tmpl_created\";i:1572847078;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-careers/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:583;s:11:\"trend_index\";i:640;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:478;a:18:{s:4:\"tmpl\";i:425;s:2:\"id\";i:4436;s:5:\"title\";s:11:\"Contact  16\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_2.png\";s:12:\"tmpl_created\";i:1520443293;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:151;s:16:\"popularity_index\";i:161;s:11:\"trend_index\";i:68;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:479;a:18:{s:4:\"tmpl\";i:915;s:2:\"id\";i:12155;s:5:\"title\";s:26:\"Law Firm &#8211; Home Page\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2019/11/home.png\";s:12:\"tmpl_created\";i:1572847054;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/law-firm-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:193;s:11:\"trend_index\";i:110;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:480;a:18:{s:4:\"tmpl\";i:423;s:2:\"id\";i:4420;s:5:\"title\";s:9:\"Contact 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_black_1.png\";s:12:\"tmpl_created\";i:1520443289;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-1-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:152;s:16:\"popularity_index\";i:196;s:11:\"trend_index\";i:127;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:481;a:18:{s:4:\"tmpl\";i:921;s:2:\"id\";i:12080;s:5:\"title\";s:24:\"Law Firm &#8211; Partner\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/11/partner-1.png\";s:12:\"tmpl_created\";i:1572847120;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-partner/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:153;s:16:\"popularity_index\";i:556;s:11:\"trend_index\";i:471;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:482;a:18:{s:4:\"tmpl\";i:534;s:2:\"id\";i:5836;s:5:\"title\";s:10:\"Contact 10\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:114;s:11:\"trend_index\";i:76;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:483;a:18:{s:4:\"tmpl\";i:865;s:2:\"id\";i:11074;s:5:\"title\";s:31:\"Digital Agency &#8211; Services\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/07/Services_small.png\";s:12:\"tmpl_created\";i:1564641872;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/digital-agency-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:154;s:16:\"popularity_index\";i:163;s:11:\"trend_index\";i:170;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:484;a:18:{s:4:\"tmpl\";i:879;s:2:\"id\";i:11506;s:5:\"title\";s:19:\"Gym &#8211; Classes\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Classes_Small.png\";s:12:\"tmpl_created\";i:1567392930;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-classes/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:155;s:16:\"popularity_index\";i:514;s:11:\"trend_index\";i:554;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:485;a:18:{s:4:\"tmpl\";i:535;s:2:\"id\";i:5844;s:5:\"title\";s:10:\"Contact 11\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_2.png\";s:12:\"tmpl_created\";i:1520443599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:156;s:16:\"popularity_index\";i:289;s:11:\"trend_index\";i:313;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:486;a:18:{s:4:\"tmpl\";i:922;s:2:\"id\";i:12044;s:5:\"title\";s:24:\"Law Firm &#8211; Contact\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/contsct_us.png\";s:12:\"tmpl_created\";i:1572847130;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:437;s:11:\"trend_index\";i:304;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:487;a:18:{s:4:\"tmpl\";i:430;s:2:\"id\";i:4476;s:5:\"title\";s:10:\"Contact 15\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_4.png\";s:12:\"tmpl_created\";i:1520443303;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:157;s:16:\"popularity_index\";i:229;s:11:\"trend_index\";i:187;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:488;a:18:{s:4:\"tmpl\";i:918;s:2:\"id\";i:12124;s:5:\"title\";s:25:\"Law Firm &#8211; Services\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/11/services.png\";s:12:\"tmpl_created\";i:1572847096;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/law-firm-services/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:158;s:16:\"popularity_index\";i:433;s:11:\"trend_index\";i:296;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:489;a:18:{s:4:\"tmpl\";i:864;s:2:\"id\";i:11056;s:5:\"title\";s:35:\"Digital Agency &#8211; Social Media\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2019/07/Social-Media_small.png\";s:12:\"tmpl_created\";i:1564641867;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/digital-agency-social-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:297;s:11:\"trend_index\";i:361;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:490;a:18:{s:4:\"tmpl\";i:476;s:2:\"id\";i:5214;s:5:\"title\";s:10:\"Contact 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_2.png\";s:12:\"tmpl_created\";i:1520443462;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/contact-16-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:159;s:16:\"popularity_index\";i:194;s:11:\"trend_index\";i:106;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:491;a:18:{s:4:\"tmpl\";i:878;s:2:\"id\";i:11536;s:5:\"title\";s:19:\"Gym &#8211; Fitness\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Fitness_Small.png\";s:12:\"tmpl_created\";i:1567392927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-fitness/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:160;s:16:\"popularity_index\";i:621;s:11:\"trend_index\";i:674;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:492;a:18:{s:4:\"tmpl\";i:882;s:2:\"id\";i:11545;s:5:\"title\";s:21:\"Gym &#8211; Home Page\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Home_Small.png\";s:12:\"tmpl_created\";i:1567392943;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/gym-home-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:161;s:16:\"popularity_index\";i:310;s:11:\"trend_index\";i:229;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:493;a:18:{s:4:\"tmpl\";i:919;s:2:\"id\";i:12116;s:5:\"title\";s:24:\"Law Firm &#8211; Service\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/11/family_law.png\";s:12:\"tmpl_created\";i:1572847105;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/law-firm-service/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:489;s:11:\"trend_index\";i:339;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:494;a:18:{s:4:\"tmpl\";i:478;s:2:\"id\";i:5230;s:5:\"title\";s:10:\"Contact 17\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_3.png\";s:12:\"tmpl_created\";i:1520443466;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:162;s:16:\"popularity_index\";i:339;s:11:\"trend_index\";i:335;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:495;a:18:{s:4:\"tmpl\";i:868;s:2:\"id\";i:11094;s:5:\"title\";s:30:\"Digital Agency &#8211; Clients\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/07/Clients_small.png\";s:12:\"tmpl_created\";i:1564641885;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/digital-agency-clients/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:424;s:11:\"trend_index\";i:424;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:496;a:18:{s:4:\"tmpl\";i:481;s:2:\"id\";i:5257;s:5:\"title\";s:10:\"Contact 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_5.png\";s:12:\"tmpl_created\";i:1520443472;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/contact-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:163;s:16:\"popularity_index\";i:438;s:11:\"trend_index\";i:490;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:497;a:18:{s:4:\"tmpl\";i:881;s:2:\"id\";i:11478;s:5:\"title\";s:17:\"Gym &#8211; About\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/08/About_Small.png\";s:12:\"tmpl_created\";i:1567392939;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:108:\"https://library.elementor.com/gym-about/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:164;s:16:\"popularity_index\";i:481;s:11:\"trend_index\";i:579;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:498;a:18:{s:4:\"tmpl\";i:532;s:2:\"id\";i:5820;s:5:\"title\";s:9:\"Contact 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:183;s:11:\"trend_index\";i:357;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:499;a:18:{s:4:\"tmpl\";i:877;s:2:\"id\";i:11563;s:5:\"title\";s:19:\"Gym &#8211; Pricing\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Pricing_Small.png\";s:12:\"tmpl_created\";i:1567392923;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-pricing/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:166;s:16:\"popularity_index\";i:577;s:11:\"trend_index\";i:736;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:500;a:18:{s:4:\"tmpl\";i:422;s:2:\"id\";i:4411;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_1.png\";s:12:\"tmpl_created\";i:1520443287;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:167;s:16:\"popularity_index\";i:113;s:11:\"trend_index\";i:217;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:501;a:18:{s:4:\"tmpl\";i:867;s:2:\"id\";i:11034;s:5:\"title\";s:30:\"Digital Agency &#8211; Contact\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2019/07/Contsct-Us_small.png\";s:12:\"tmpl_created\";i:1564641881;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/contact-digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:168;s:16:\"popularity_index\";i:191;s:11:\"trend_index\";i:156;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:502;a:18:{s:4:\"tmpl\";i:533;s:2:\"id\";i:5828;s:5:\"title\";s:9:\"Contact 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443595;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:170;s:16:\"popularity_index\";i:312;s:11:\"trend_index\";i:495;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:503;a:18:{s:4:\"tmpl\";i:876;s:2:\"id\";i:11528;s:5:\"title\";s:19:\"Gym &#8211; Contact\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/08/Contact_Small.png\";s:12:\"tmpl_created\";i:1567392917;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/gym-contact/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:4:\"page\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:505;s:11:\"trend_index\";i:624;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:504;a:18:{s:4:\"tmpl\";i:424;s:2:\"id\";i:4428;s:5:\"title\";s:9:\"Contact 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_2.png\";s:12:\"tmpl_created\";i:1520443291;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:171;s:16:\"popularity_index\";i:118;s:11:\"trend_index\";i:131;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:505;a:18:{s:4:\"tmpl\";i:426;s:2:\"id\";i:4444;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_1.png\";s:12:\"tmpl_created\";i:1520443295;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:174;s:16:\"popularity_index\";i:84;s:11:\"trend_index\";i:93;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:506;a:18:{s:4:\"tmpl\";i:432;s:2:\"id\";i:4492;s:5:\"title\";s:9:\"Contact 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/02/map_white_3.png\";s:12:\"tmpl_created\";i:1520443307;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/contact-5-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:176;s:16:\"popularity_index\";i:37;s:11:\"trend_index\";i:31;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:507;a:18:{s:4:\"tmpl\";i:427;s:2:\"id\";i:4452;s:5:\"title\";s:9:\"Contact 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_1.png\";s:12:\"tmpl_created\";i:1520443296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:178;s:16:\"popularity_index\";i:139;s:11:\"trend_index\";i:150;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:508;a:18:{s:4:\"tmpl\";i:429;s:2:\"id\";i:4468;s:5:\"title\";s:9:\"Contact 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_3.png\";s:12:\"tmpl_created\";i:1520443301;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:179;s:16:\"popularity_index\";i:127;s:11:\"trend_index\";i:72;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:509;a:18:{s:4:\"tmpl\";i:431;s:2:\"id\";i:4484;s:5:\"title\";s:9:\"Contact 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_black_3.png\";s:12:\"tmpl_created\";i:1520443305;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:18:\"[\"Contact\",\"Form\"]\";s:10:\"menu_order\";i:182;s:16:\"popularity_index\";i:328;s:11:\"trend_index\";i:260;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:510;a:18:{s:4:\"tmpl\";i:428;s:2:\"id\";i:4460;s:5:\"title\";s:9:\"Contact 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/contact_white_2.png\";s:12:\"tmpl_created\";i:1520443298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/contact-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"contact\";s:4:\"tags\";s:11:\"[\"Contact\"]\";s:10:\"menu_order\";i:184;s:16:\"popularity_index\";i:99;s:11:\"trend_index\";i:80;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:511;a:18:{s:4:\"tmpl\";i:613;s:2:\"id\";i:5558;s:5:\"title\";s:5:\"CTA 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_2.png\";s:12:\"tmpl_created\";i:1520520684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:185;s:16:\"popularity_index\";i:129;s:11:\"trend_index\";i:69;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:512;a:18:{s:4:\"tmpl\";i:634;s:2:\"id\";i:5939;s:5:\"title\";s:6:\"CTA 10\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_13-1.png\";s:12:\"tmpl_created\";i:1520520760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:187;s:16:\"popularity_index\";i:190;s:11:\"trend_index\";i:118;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:513;a:18:{s:4:\"tmpl\";i:633;s:2:\"id\";i:5930;s:5:\"title\";s:6:\"CTA 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_15.png\";s:12:\"tmpl_created\";i:1520520758;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:190;s:16:\"popularity_index\";i:76;s:11:\"trend_index\";i:84;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:514;a:18:{s:4:\"tmpl\";i:632;s:2:\"id\";i:5921;s:5:\"title\";s:6:\"CTA 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_14.png\";s:12:\"tmpl_created\";i:1520520757;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:192;s:16:\"popularity_index\";i:278;s:11:\"trend_index\";i:234;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:515;a:18:{s:4:\"tmpl\";i:618;s:2:\"id\";i:5607;s:5:\"title\";s:6:\"CTA 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_5.png\";s:12:\"tmpl_created\";i:1520520695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:194;s:16:\"popularity_index\";i:42;s:11:\"trend_index\";i:11;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:516;a:18:{s:4:\"tmpl\";i:574;s:2:\"id\";i:6017;s:5:\"title\";s:6:\"CTA 14\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_14.png\";s:12:\"tmpl_created\";i:1520520331;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:196;s:16:\"popularity_index\";i:152;s:11:\"trend_index\";i:122;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:517;a:18:{s:4:\"tmpl\";i:628;s:2:\"id\";i:5885;s:5:\"title\";s:6:\"CTA 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_11.png\";s:12:\"tmpl_created\";i:1520520751;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:197;s:16:\"popularity_index\";i:274;s:11:\"trend_index\";i:256;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:518;a:18:{s:4:\"tmpl\";i:627;s:2:\"id\";i:5877;s:5:\"title\";s:6:\"CTA 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_10.png\";s:12:\"tmpl_created\";i:1520520749;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:200;s:16:\"popularity_index\";i:564;s:11:\"trend_index\";i:677;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:519;a:18:{s:4:\"tmpl\";i:625;s:2:\"id\";i:5860;s:5:\"title\";s:6:\"CTA 17\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_9.png\";s:12:\"tmpl_created\";i:1520520746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:201;s:16:\"popularity_index\";i:120;s:11:\"trend_index\";i:63;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:520;a:18:{s:4:\"tmpl\";i:626;s:2:\"id\";i:5869;s:5:\"title\";s:6:\"CTA 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_10.png\";s:12:\"tmpl_created\";i:1520520747;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:204;s:16:\"popularity_index\";i:345;s:11:\"trend_index\";i:486;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:521;a:18:{s:4:\"tmpl\";i:611;s:2:\"id\";i:5542;s:5:\"title\";s:6:\"CTA 19\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_1.png\";s:12:\"tmpl_created\";i:1520520681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:205;s:16:\"popularity_index\";i:169;s:11:\"trend_index\";i:270;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:522;a:18:{s:4:\"tmpl\";i:614;s:2:\"id\";i:5567;s:5:\"title\";s:5:\"CTA 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_2.png\";s:12:\"tmpl_created\";i:1520520685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:207;s:16:\"popularity_index\";i:143;s:11:\"trend_index\";i:225;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:523;a:18:{s:4:\"tmpl\";i:629;s:2:\"id\";i:5893;s:5:\"title\";s:6:\"CTA 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_12.png\";s:12:\"tmpl_created\";i:1520520752;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:210;s:16:\"popularity_index\";i:259;s:11:\"trend_index\";i:457;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:524;a:18:{s:4:\"tmpl\";i:619;s:2:\"id\";i:5634;s:5:\"title\";s:6:\"CTA 24\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_6.png\";s:12:\"tmpl_created\";i:1520520699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:212;s:16:\"popularity_index\";i:188;s:11:\"trend_index\";i:255;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:525;a:18:{s:4:\"tmpl\";i:620;s:2:\"id\";i:5642;s:5:\"title\";s:6:\"CTA 25\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_6.png\";s:12:\"tmpl_created\";i:1520520701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:214;s:16:\"popularity_index\";i:226;s:11:\"trend_index\";i:262;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:526;a:18:{s:4:\"tmpl\";i:615;s:2:\"id\";i:5583;s:5:\"title\";s:6:\"CTA 26\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_3.png\";s:12:\"tmpl_created\";i:1520520689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:216;s:16:\"popularity_index\";i:117;s:11:\"trend_index\";i:117;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:527;a:18:{s:4:\"tmpl\";i:630;s:2:\"id\";i:5904;s:5:\"title\";s:6:\"CTA 27\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_13.png\";s:12:\"tmpl_created\";i:1520520754;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:217;s:16:\"popularity_index\";i:528;s:11:\"trend_index\";i:517;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:528;a:18:{s:4:\"tmpl\";i:631;s:2:\"id\";i:5912;s:5:\"title\";s:6:\"CTA 28\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_11.png\";s:12:\"tmpl_created\";i:1520520755;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:219;s:16:\"popularity_index\";i:665;s:11:\"trend_index\";i:702;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:529;a:18:{s:4:\"tmpl\";i:473;s:2:\"id\";i:5189;s:5:\"title\";s:6:\"CTA 29\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_1.png\";s:12:\"tmpl_created\";i:1520443456;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:221;s:16:\"popularity_index\";i:472;s:11:\"trend_index\";i:631;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:530;a:18:{s:4:\"tmpl\";i:623;s:2:\"id\";i:5667;s:5:\"title\";s:5:\"CTA 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_8.png\";s:12:\"tmpl_created\";i:1520520705;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:222;s:16:\"popularity_index\";i:171;s:11:\"trend_index\";i:250;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:531;a:18:{s:4:\"tmpl\";i:474;s:2:\"id\";i:5198;s:5:\"title\";s:6:\"CTA 30\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_1.png\";s:12:\"tmpl_created\";i:1520443458;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:225;s:16:\"popularity_index\";i:572;s:11:\"trend_index\";i:511;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:532;a:18:{s:4:\"tmpl\";i:475;s:2:\"id\";i:5206;s:5:\"title\";s:6:\"CTA 31\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_2.png\";s:12:\"tmpl_created\";i:1520443459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:226;s:16:\"popularity_index\";i:593;s:11:\"trend_index\";i:611;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:533;a:18:{s:4:\"tmpl\";i:480;s:2:\"id\";i:5249;s:5:\"title\";s:6:\"CTA 32\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_black_4.png\";s:12:\"tmpl_created\";i:1520443470;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-32/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:228;s:16:\"popularity_index\";i:512;s:11:\"trend_index\";i:409;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:534;a:18:{s:4:\"tmpl\";i:612;s:2:\"id\";i:5550;s:5:\"title\";s:6:\"CTA 33\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_1.png\";s:12:\"tmpl_created\";i:1520520682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-33/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:231;s:16:\"popularity_index\";i:260;s:11:\"trend_index\";i:562;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:535;a:18:{s:4:\"tmpl\";i:536;s:2:\"id\";i:5852;s:5:\"title\";s:6:\"CTA 34\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2018/03/form_1.png\";s:12:\"tmpl_created\";i:1520443600;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/cta-34/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:8:\"[\"Form\"]\";s:10:\"menu_order\";i:232;s:16:\"popularity_index\";i:563;s:11:\"trend_index\";i:828;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:536;a:18:{s:4:\"tmpl\";i:624;s:2:\"id\";i:5675;s:5:\"title\";s:5:\"CTA 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_8.png\";s:12:\"tmpl_created\";i:1520520707;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:235;s:16:\"popularity_index\";i:391;s:11:\"trend_index\";i:484;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:537;a:18:{s:4:\"tmpl\";i:616;s:2:\"id\";i:5591;s:5:\"title\";s:5:\"CTA 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_4.png\";s:12:\"tmpl_created\";i:1520520691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:237;s:16:\"popularity_index\";i:133;s:11:\"trend_index\";i:130;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:538;a:18:{s:4:\"tmpl\";i:617;s:2:\"id\";i:5599;s:5:\"title\";s:5:\"CTA 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_4.png\";s:12:\"tmpl_created\";i:1520520693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:239;s:16:\"popularity_index\";i:252;s:11:\"trend_index\";i:362;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:539;a:18:{s:4:\"tmpl\";i:514;s:2:\"id\";i:5575;s:5:\"title\";s:5:\"CTA 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_3.png\";s:12:\"tmpl_created\";i:1520443543;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:240;s:16:\"popularity_index\";i:13;s:11:\"trend_index\";i:586;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:540;a:18:{s:4:\"tmpl\";i:622;s:2:\"id\";i:5658;s:5:\"title\";s:5:\"CTA 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_black_7.png\";s:12:\"tmpl_created\";i:1520520704;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:243;s:16:\"popularity_index\";i:187;s:11:\"trend_index\";i:235;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:541;a:18:{s:4:\"tmpl\";i:621;s:2:\"id\";i:5650;s:5:\"title\";s:5:\"CTA 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_7.png\";s:12:\"tmpl_created\";i:1520520702;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/cta-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"call to action\";s:4:\"tags\";s:7:\"[\"cta\"]\";s:10:\"menu_order\";i:244;s:16:\"popularity_index\";i:94;s:11:\"trend_index\";i:148;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:542;a:18:{s:4:\"tmpl\";i:1061;s:2:\"id\";i:15407;s:5:\"title\";s:24:\"Dance Studio &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/10/404.jpg\";s:12:\"tmpl_created\";i:1603181958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/dance-studio-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:22:\"[\"404\",\"Dance Studio\"]\";s:10:\"menu_order\";i:246;s:16:\"popularity_index\";i:783;s:11:\"trend_index\";i:710;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:543;a:18:{s:4:\"tmpl\";i:1062;s:2:\"id\";i:15400;s:5:\"title\";s:27:\"Dance Studio &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Footer.jpg\";s:12:\"tmpl_created\";i:1603181989;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Footer\"]\";s:10:\"menu_order\";i:247;s:16:\"popularity_index\";i:586;s:11:\"trend_index\";i:243;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:544;a:18:{s:4:\"tmpl\";i:1063;s:2:\"id\";i:15391;s:5:\"title\";s:27:\"Dance Studio &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/10/Header.jpg\";s:12:\"tmpl_created\";i:1603182011;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/dance-studio-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:25:\"[\"Dance Studio\",\"Header\"]\";s:10:\"menu_order\";i:248;s:16:\"popularity_index\";i:352;s:11:\"trend_index\";i:67;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:545;a:18:{s:4:\"tmpl\";i:874;s:2:\"id\";i:11192;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/07/Footer_small.jpg\";s:12:\"tmpl_created\";i:1564642399;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Footer\",\"Marketing\"]\";s:10:\"menu_order\";i:250;s:16:\"popularity_index\";i:172;s:11:\"trend_index\";i:105;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:546;a:18:{s:4:\"tmpl\";i:873;s:2:\"id\";i:11198;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-digital-marketing-agency.png\";s:12:\"tmpl_created\";i:1564642395;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Digital Agency\",\"Header\",\"Marketing\"]\";s:10:\"menu_order\";i:251;s:16:\"popularity_index\";i:34;s:11:\"trend_index\";i:10;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:547;a:18:{s:4:\"tmpl\";i:872;s:2:\"id\";i:11204;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/07/404_small.jpg\";s:12:\"tmpl_created\";i:1564642389;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:36:\"[\"404\",\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:253;s:16:\"popularity_index\";i:301;s:11:\"trend_index\";i:239;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:548;a:18:{s:4:\"tmpl\";i:871;s:2:\"id\";i:11220;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/08/Archive_small1.png\";s:12:\"tmpl_created\";i:1564642385;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/digital-agency-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:255;s:16:\"popularity_index\";i:116;s:11:\"trend_index\";i:73;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:549;a:18:{s:4:\"tmpl\";i:870;s:2:\"id\";i:11231;s:5:\"title\";s:14:\"Digital Agency\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2019/07/Post_small1.png\";s:12:\"tmpl_created\";i:1564642380;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/digital-agency/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Digital Agency\",\"Marketing\"]\";s:10:\"menu_order\";i:257;s:16:\"popularity_index\";i:145;s:11:\"trend_index\";i:71;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:550;a:18:{s:4:\"tmpl\";i:520;s:2:\"id\";i:5711;s:5:\"title\";s:5:\"FAQ 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_2.png\";s:12:\"tmpl_created\";i:1520443571;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:260;s:16:\"popularity_index\";i:200;s:11:\"trend_index\";i:231;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:551;a:18:{s:4:\"tmpl\";i:523;s:2:\"id\";i:5737;s:5:\"title\";s:6:\"FAQ 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_4.png\";s:12:\"tmpl_created\";i:1520443576;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:261;s:16:\"popularity_index\";i:155;s:11:\"trend_index\";i:112;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:552;a:18:{s:4:\"tmpl\";i:524;s:2:\"id\";i:5746;s:5:\"title\";s:6:\"FAQ 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_4.png\";s:12:\"tmpl_created\";i:1520443578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:264;s:16:\"popularity_index\";i:212;s:11:\"trend_index\";i:305;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:553;a:18:{s:4:\"tmpl\";i:519;s:2:\"id\";i:5703;s:5:\"title\";s:6:\"FAQ 13\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_2.png\";s:12:\"tmpl_created\";i:1520443569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/faq-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:265;s:16:\"popularity_index\";i:29;s:11:\"trend_index\";i:38;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:554;a:18:{s:4:\"tmpl\";i:521;s:2:\"id\";i:5719;s:5:\"title\";s:5:\"FAQ 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_3.png\";s:12:\"tmpl_created\";i:1520443573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:267;s:16:\"popularity_index\";i:125;s:11:\"trend_index\";i:251;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:555;a:18:{s:4:\"tmpl\";i:522;s:2:\"id\";i:5729;s:5:\"title\";s:5:\"FAQ 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_3.png\";s:12:\"tmpl_created\";i:1520443575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:269;s:16:\"popularity_index\";i:319;s:11:\"trend_index\";i:327;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:556;a:18:{s:4:\"tmpl\";i:525;s:2:\"id\";i:5755;s:5:\"title\";s:5:\"FAQ 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_5.png\";s:12:\"tmpl_created\";i:1520443580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:271;s:16:\"popularity_index\";i:112;s:11:\"trend_index\";i:180;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:557;a:18:{s:4:\"tmpl\";i:526;s:2:\"id\";i:5764;s:5:\"title\";s:5:\"FAQ 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_5.png\";s:12:\"tmpl_created\";i:1520443582;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:273;s:16:\"popularity_index\";i:338;s:11:\"trend_index\";i:474;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:558;a:18:{s:4:\"tmpl\";i:517;s:2:\"id\";i:5684;s:5:\"title\";s:5:\"FAQ 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_white_1.png\";s:12:\"tmpl_created\";i:1520443565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:274;s:16:\"popularity_index\";i:74;s:11:\"trend_index\";i:193;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:559;a:18:{s:4:\"tmpl\";i:518;s:2:\"id\";i:5693;s:5:\"title\";s:5:\"FAQ 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/faq_black_1.png\";s:12:\"tmpl_created\";i:1520443567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/faq-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:3:\"faq\";s:4:\"tags\";s:7:\"[\"Faq\"]\";s:10:\"menu_order\";i:276;s:16:\"popularity_index\";i:224;s:11:\"trend_index\";i:515;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:560;a:18:{s:4:\"tmpl\";i:548;s:2:\"id\";i:6053;s:5:\"title\";s:10:\"Features 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_5.png\";s:12:\"tmpl_created\";i:1520443645;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:277;s:16:\"popularity_index\";i:179;s:11:\"trend_index\";i:463;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:561;a:18:{s:4:\"tmpl\";i:542;s:2:\"id\";i:5991;s:5:\"title\";s:11:\"Features 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_4.png\";s:12:\"tmpl_created\";i:1520443632;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:279;s:16:\"popularity_index\";i:135;s:11:\"trend_index\";i:265;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:562;a:18:{s:4:\"tmpl\";i:547;s:2:\"id\";i:6044;s:5:\"title\";s:11:\"Features 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_5.png\";s:12:\"tmpl_created\";i:1520443643;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:280;s:16:\"popularity_index\";i:70;s:11:\"trend_index\";i:163;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:563;a:18:{s:4:\"tmpl\";i:566;s:2:\"id\";i:6212;s:5:\"title\";s:11:\"Features 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_7.png\";s:12:\"tmpl_created\";i:1520443684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/features-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:281;s:16:\"popularity_index\";i:81;s:11:\"trend_index\";i:98;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:564;a:18:{s:4:\"tmpl\";i:567;s:2:\"id\";i:6220;s:5:\"title\";s:10:\"Features 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_8.png\";s:12:\"tmpl_created\";i:1520443685;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:282;s:16:\"popularity_index\";i:88;s:11:\"trend_index\";i:189;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:565;a:18:{s:4:\"tmpl\";i:541;s:2:\"id\";i:5983;s:5:\"title\";s:10:\"Features 3\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_3.png\";s:12:\"tmpl_created\";i:1520443630;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:283;s:16:\"popularity_index\";i:231;s:11:\"trend_index\";i:351;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:566;a:18:{s:4:\"tmpl\";i:540;s:2:\"id\";i:5974;s:5:\"title\";s:10:\"Features 4\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_3.png\";s:12:\"tmpl_created\";i:1520443629;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:286;s:16:\"popularity_index\";i:69;s:11:\"trend_index\";i:181;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:567;a:18:{s:4:\"tmpl\";i:516;s:2:\"id\";i:5624;s:5:\"title\";s:10:\"Features 5\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_black_1.png\";s:12:\"tmpl_created\";i:1520443553;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:287;s:16:\"popularity_index\";i:93;s:11:\"trend_index\";i:352;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:568;a:18:{s:4:\"tmpl\";i:515;s:2:\"id\";i:5615;s:5:\"title\";s:10:\"Features 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/cta_white_5.png\";s:12:\"tmpl_created\";i:1520443551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:290;s:16:\"popularity_index\";i:41;s:11:\"trend_index\";i:119;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:569;a:18:{s:4:\"tmpl\";i:539;s:2:\"id\";i:5963;s:5:\"title\";s:10:\"Features 7\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_2.png\";s:12:\"tmpl_created\";i:1520443626;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:291;s:16:\"popularity_index\";i:67;s:11:\"trend_index\";i:133;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:570;a:18:{s:4:\"tmpl\";i:565;s:2:\"id\";i:6204;s:5:\"title\";s:10:\"Features 8\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_6.png\";s:12:\"tmpl_created\";i:1520443681;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:292;s:16:\"popularity_index\";i:217;s:11:\"trend_index\";i:223;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:571;a:18:{s:4:\"tmpl\";i:564;s:2:\"id\";i:6196;s:5:\"title\";s:10:\"Features 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/features_white_6.png\";s:12:\"tmpl_created\";i:1520443680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/features-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"features\";s:4:\"tags\";s:12:\"[\"Features\"]\";s:10:\"menu_order\";i:294;s:16:\"popularity_index\";i:106;s:11:\"trend_index\";i:113;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:572;a:18:{s:4:\"tmpl\";i:1033;s:2:\"id\";i:15033;s:5:\"title\";s:28:\"Flooring Company &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/08/404.png\";s:12:\"tmpl_created\";i:1597739459;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/flooring-company-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:45:\"[\"404\",\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:296;s:16:\"popularity_index\";i:655;s:11:\"trend_index\";i:671;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:573;a:18:{s:4:\"tmpl\";i:1032;s:2:\"id\";i:15042;s:5:\"title\";s:32:\"Flooring Company &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/08/Blog.png\";s:12:\"tmpl_created\";i:1597739084;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/flooring-company-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:297;s:16:\"popularity_index\";i:320;s:11:\"trend_index\";i:275;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:574;a:18:{s:4:\"tmpl\";i:1031;s:2:\"id\";i:15017;s:5:\"title\";s:31:\"Flooring Company &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Footer.png\";s:12:\"tmpl_created\";i:1597738933;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Footer\"]\";s:10:\"menu_order\";i:299;s:16:\"popularity_index\";i:323;s:11:\"trend_index\";i:192;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:575;a:18:{s:4:\"tmpl\";i:1030;s:2:\"id\";i:15007;s:5:\"title\";s:31:\"Flooring Company &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Header.png\";s:12:\"tmpl_created\";i:1597738896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/flooring-company-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:48:\"[\"Flooring company\",\"Flooring website\",\"Header\"]\";s:10:\"menu_order\";i:302;s:16:\"popularity_index\";i:459;s:11:\"trend_index\";i:333;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:576;a:18:{s:4:\"tmpl\";i:1029;s:2:\"id\";i:15052;s:5:\"title\";s:36:\"Flooring Company &#8211; Single post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/08/Single.png\";s:12:\"tmpl_created\";i:1597738858;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/flooring-company-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:39:\"[\"Flooring company\",\"Flooring website\"]\";s:10:\"menu_order\";i:303;s:16:\"popularity_index\";i:392;s:11:\"trend_index\";i:226;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:577;a:18:{s:4:\"tmpl\";i:651;s:2:\"id\";i:7837;s:5:\"title\";s:9:\"footer 01\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.14.jpg\";s:12:\"tmpl_created\";i:1524582852;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:305;s:16:\"popularity_index\";i:495;s:11:\"trend_index\";i:539;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:578;a:18:{s:4:\"tmpl\";i:647;s:2:\"id\";i:7937;s:5:\"title\";s:10:\"footer 010\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.5.jpg\";s:12:\"tmpl_created\";i:1524582665;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-010/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:308;s:16:\"popularity_index\";i:185;s:11:\"trend_index\";i:115;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:579;a:18:{s:4:\"tmpl\";i:646;s:2:\"id\";i:7950;s:5:\"title\";s:10:\"footer 011\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.4.jpg\";s:12:\"tmpl_created\";i:1524582631;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-011/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:310;s:16:\"popularity_index\";i:244;s:11:\"trend_index\";i:203;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:580;a:18:{s:4:\"tmpl\";i:645;s:2:\"id\";i:7959;s:5:\"title\";s:10:\"footer 012\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.3.jpg\";s:12:\"tmpl_created\";i:1524582605;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-012/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:311;s:16:\"popularity_index\";i:177;s:11:\"trend_index\";i:140;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:581;a:18:{s:4:\"tmpl\";i:644;s:2:\"id\";i:7982;s:5:\"title\";s:10:\"footer 013\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.2.jpg\";s:12:\"tmpl_created\";i:1524582468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-013/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:314;s:16:\"popularity_index\";i:209;s:11:\"trend_index\";i:212;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:582;a:18:{s:4:\"tmpl\";i:643;s:2:\"id\";i:7997;s:5:\"title\";s:10:\"footer 014\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.1.jpg\";s:12:\"tmpl_created\";i:1524582343;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/footer-014/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:316;s:16:\"popularity_index\";i:64;s:11:\"trend_index\";i:41;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:583;a:18:{s:4:\"tmpl\";i:693;s:2:\"id\";i:9119;s:5:\"title\";s:10:\"footer 015\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/Footer_GetStarted_350.png\";s:12:\"tmpl_created\";i:1532428138;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:110:\"https://library.elementor.com/blocks/demo/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:317;s:16:\"popularity_index\";i:240;s:11:\"trend_index\";i:154;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:584;a:18:{s:4:\"tmpl\";i:652;s:2:\"id\";i:7852;s:5:\"title\";s:9:\"footer 02\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.13.jpg\";s:12:\"tmpl_created\";i:1524582875;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:320;s:16:\"popularity_index\";i:199;s:11:\"trend_index\";i:96;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:585;a:18:{s:4:\"tmpl\";i:653;s:2:\"id\";i:7862;s:5:\"title\";s:9:\"footer 03\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.12.jpg\";s:12:\"tmpl_created\";i:1524582903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:321;s:16:\"popularity_index\";i:137;s:11:\"trend_index\";i:91;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:586;a:18:{s:4:\"tmpl\";i:654;s:2:\"id\";i:7871;s:5:\"title\";s:9:\"footer 04\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.11.jpg\";s:12:\"tmpl_created\";i:1524582927;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:323;s:16:\"popularity_index\";i:97;s:11:\"trend_index\";i:55;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:587;a:18:{s:4:\"tmpl\";i:655;s:2:\"id\";i:7884;s:5:\"title\";s:9:\"footer 05\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.10.jpg\";s:12:\"tmpl_created\";i:1524582944;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-05/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:325;s:16:\"popularity_index\";i:92;s:11:\"trend_index\";i:109;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:588;a:18:{s:4:\"tmpl\";i:656;s:2:\"id\";i:7892;s:5:\"title\";s:9:\"footer 06\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.9.jpg\";s:12:\"tmpl_created\";i:1524583015;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-06/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:326;s:16:\"popularity_index\";i:132;s:11:\"trend_index\";i:146;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:589;a:18:{s:4:\"tmpl\";i:650;s:2:\"id\";i:7904;s:5:\"title\";s:9:\"footer 07\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.8.jpg\";s:12:\"tmpl_created\";i:1524582814;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-07/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:328;s:16:\"popularity_index\";i:203;s:11:\"trend_index\";i:186;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:590;a:18:{s:4:\"tmpl\";i:649;s:2:\"id\";i:7917;s:5:\"title\";s:9:\"footer 08\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.7.jpg\";s:12:\"tmpl_created\";i:1524582788;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-08/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:329;s:16:\"popularity_index\";i:89;s:11:\"trend_index\";i:144;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:591;a:18:{s:4:\"tmpl\";i:648;s:2:\"id\";i:7927;s:5:\"title\";s:9:\"footer 09\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/footer350.6.jpg\";s:12:\"tmpl_created\";i:1524582691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/footer-09/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:331;s:16:\"popularity_index\";i:178;s:11:\"trend_index\";i:100;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:592;a:18:{s:4:\"tmpl\";i:642;s:2:\"id\";i:4676;s:5:\"title\";s:8:\"Footer 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_7.png\";s:12:\"tmpl_created\";i:1522014215;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer_7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:338;s:16:\"popularity_index\";i:237;s:11:\"trend_index\";i:346;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:593;a:18:{s:4:\"tmpl\";i:637;s:2:\"id\";i:7627;s:5:\"title\";s:8:\"Footer 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_1.png\";s:12:\"tmpl_created\";i:1521547332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:340;s:16:\"popularity_index\";i:100;s:11:\"trend_index\";i:83;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:594;a:18:{s:4:\"tmpl\";i:638;s:2:\"id\";i:7638;s:5:\"title\";s:8:\"Footer 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/footer_hero_2.png\";s:12:\"tmpl_created\";i:1521547502;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/footer-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:10:\"[\"Footer\"]\";s:10:\"menu_order\";i:342;s:16:\"popularity_index\";i:124;s:11:\"trend_index\";i:147;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:595;a:18:{s:4:\"tmpl\";i:888;s:2:\"id\";i:11424;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/08/404_Small.png\";s:12:\"tmpl_created\";i:1567393309;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:13:\"[\"404\",\"Gym\"]\";s:10:\"menu_order\";i:344;s:16:\"popularity_index\";i:679;s:11:\"trend_index\";i:769;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:596;a:18:{s:4:\"tmpl\";i:887;s:2:\"id\";i:11435;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Archiv_Small.png\";s:12:\"tmpl_created\";i:1567393296;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:346;s:16:\"popularity_index\";i:441;s:11:\"trend_index\";i:507;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:597;a:18:{s:4:\"tmpl\";i:886;s:2:\"id\";i:11445;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/08/Post_Small.png\";s:12:\"tmpl_created\";i:1567393229;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:7:\"[\"Gym\"]\";s:10:\"menu_order\";i:349;s:16:\"popularity_index\";i:452;s:11:\"trend_index\";i:479;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:598;a:18:{s:4:\"tmpl\";i:885;s:2:\"id\";i:11453;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/08/Footer_Small.png\";s:12:\"tmpl_created\";i:1567393224;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:111:\"https://library.elementor.com/blocks/gym-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:16:\"[\"Footer\",\"Gym\"]\";s:10:\"menu_order\";i:351;s:16:\"popularity_index\";i:270;s:11:\"trend_index\";i:331;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:599;a:18:{s:4:\"tmpl\";i:884;s:2:\"id\";i:11461;s:5:\"title\";s:3:\"GYM\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-gym-and-fitness.png\";s:12:\"tmpl_created\";i:1567393219;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:109:\"https://library.elementor.com/blocks/gym/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:16:\"[\"Gym\",\"Header\"]\";s:10:\"menu_order\";i:352;s:16:\"popularity_index\";i:201;s:11:\"trend_index\";i:135;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:600;a:18:{s:4:\"tmpl\";i:635;s:2:\"id\";i:7596;s:5:\"title\";s:8:\"Header 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.12.jpg\";s:12:\"tmpl_created\";i:1521546999;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:354;s:16:\"popularity_index\";i:33;s:11:\"trend_index\";i:17;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:601;a:18:{s:4:\"tmpl\";i:663;s:2:\"id\";i:7801;s:5:\"title\";s:9:\"header 10\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.9.jpg\";s:12:\"tmpl_created\";i:1524583659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:356;s:16:\"popularity_index\";i:51;s:11:\"trend_index\";i:14;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:602;a:18:{s:4:\"tmpl\";i:658;s:2:\"id\";i:7812;s:5:\"title\";s:9:\"header 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.10.jpg\";s:12:\"tmpl_created\";i:1524583298;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:358;s:16:\"popularity_index\";i:96;s:11:\"trend_index\";i:103;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:603;a:18:{s:4:\"tmpl\";i:657;s:2:\"id\";i:7825;s:5:\"title\";s:9:\"header 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.11.jpg\";s:12:\"tmpl_created\";i:1524583273;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:360;s:16:\"popularity_index\";i:63;s:11:\"trend_index\";i:75;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:604;a:18:{s:4:\"tmpl\";i:694;s:2:\"id\";i:9127;s:5:\"title\";s:9:\"header 13\";s:9:\"thumbnail\";s:86:\"https://library.elementor.com/wp-content/uploads/2018/07/Header_get_started_1200V3.png\";s:12:\"tmpl_created\";i:1532428699;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/header-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:362;s:16:\"popularity_index\";i:61;s:11:\"trend_index\";i:58;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:605;a:18:{s:4:\"tmpl\";i:636;s:2:\"id\";i:7615;s:5:\"title\";s:8:\"Header 2\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.1.jpg\";s:12:\"tmpl_created\";i:1521547237;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:10:\"[\"Header\"]\";s:10:\"menu_order\";i:365;s:16:\"popularity_index\";i:30;s:11:\"trend_index\";i:33;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:606;a:18:{s:4:\"tmpl\";i:665;s:2:\"id\";i:7713;s:5:\"title\";s:8:\"header 3\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.2.jpg\";s:12:\"tmpl_created\";i:1524584780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:367;s:16:\"popularity_index\";i:43;s:11:\"trend_index\";i:28;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:607;a:18:{s:4:\"tmpl\";i:659;s:2:\"id\";i:7724;s:5:\"title\";s:8:\"header 4\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.3.jpg\";s:12:\"tmpl_created\";i:1524583367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:369;s:16:\"popularity_index\";i:24;s:11:\"trend_index\";i:13;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:608;a:18:{s:4:\"tmpl\";i:660;s:2:\"id\";i:7734;s:5:\"title\";s:8:\"header 5\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.4.jpg\";s:12:\"tmpl_created\";i:1524583436;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:371;s:16:\"popularity_index\";i:36;s:11:\"trend_index\";i:18;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:609;a:18:{s:4:\"tmpl\";i:666;s:2:\"id\";i:7744;s:5:\"title\";s:8:\"Header 6\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.5.jpg\";s:12:\"tmpl_created\";i:1524584784;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:372;s:16:\"popularity_index\";i:65;s:11:\"trend_index\";i:94;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:610;a:18:{s:4:\"tmpl\";i:664;s:2:\"id\";i:7754;s:5:\"title\";s:8:\"header 7\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.6.jpg\";s:12:\"tmpl_created\";i:1524583712;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:375;s:16:\"popularity_index\";i:111;s:11:\"trend_index\";i:143;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:611;a:18:{s:4:\"tmpl\";i:661;s:2:\"id\";i:7771;s:5:\"title\";s:8:\"header 8\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.7.jpg\";s:12:\"tmpl_created\";i:1524583540;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:376;s:16:\"popularity_index\";i:91;s:11:\"trend_index\";i:60;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:612;a:18:{s:4:\"tmpl\";i:662;s:2:\"id\";i:7787;s:5:\"title\";s:8:\"header 9\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/header350.8.jpg\";s:12:\"tmpl_created\";i:1524583598;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/header-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:379;s:16:\"popularity_index\";i:102;s:11:\"trend_index\";i:78;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:613;a:18:{s:4:\"tmpl\";i:572;s:2:\"id\";i:6266;s:5:\"title\";s:6:\"Hero 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_4.png\";s:12:\"tmpl_created\";i:1520443695;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:380;s:16:\"popularity_index\";i:52;s:11:\"trend_index\";i:35;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:614;a:18:{s:4:\"tmpl\";i:528;s:2:\"id\";i:5783;s:5:\"title\";s:7:\"Hero 10\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_2.png\";s:12:\"tmpl_created\";i:1520443586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:383;s:16:\"popularity_index\";i:365;s:11:\"trend_index\";i:567;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:615;a:18:{s:4:\"tmpl\";i:527;s:2:\"id\";i:5773;s:5:\"title\";s:7:\"Hero 11\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_1.png\";s:12:\"tmpl_created\";i:1520443584;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:384;s:16:\"popularity_index\";i:39;s:11:\"trend_index\";i:179;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:616;a:18:{s:4:\"tmpl\";i:479;s:2:\"id\";i:5238;s:5:\"title\";s:7:\"Hero 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/form_white_4.png\";s:12:\"tmpl_created\";i:1520443468;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/hero-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:386;s:16:\"popularity_index\";i:611;s:11:\"trend_index\";i:555;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:617;a:18:{s:4:\"tmpl\";i:573;s:2:\"id\";i:6274;s:5:\"title\";s:6:\"Hero 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_5.png\";s:12:\"tmpl_created\";i:1520443698;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:389;s:16:\"popularity_index\";i:87;s:11:\"trend_index\";i:88;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:618;a:18:{s:4:\"tmpl\";i:569;s:2:\"id\";i:6239;s:5:\"title\";s:6:\"Hero 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_1.png\";s:12:\"tmpl_created\";i:1520443689;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:391;s:16:\"popularity_index\";i:23;s:11:\"trend_index\";i:34;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:619;a:18:{s:4:\"tmpl\";i:571;s:2:\"id\";i:6258;s:5:\"title\";s:6:\"Hero 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_3.png\";s:12:\"tmpl_created\";i:1520443693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:393;s:16:\"popularity_index\";i:479;s:11:\"trend_index\";i:470;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:620;a:18:{s:4:\"tmpl\";i:570;s:2:\"id\";i:6249;s:5:\"title\";s:6:\"Hero 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_black_2.png\";s:12:\"tmpl_created\";i:1520443691;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:395;s:16:\"popularity_index\";i:56;s:11:\"trend_index\";i:85;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:621;a:18:{s:4:\"tmpl\";i:568;s:2:\"id\";i:6230;s:5:\"title\";s:6:\"Hero 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/heroo_white_1.png\";s:12:\"tmpl_created\";i:1520443687;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:396;s:16:\"popularity_index\";i:406;s:11:\"trend_index\";i:542;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:622;a:18:{s:4:\"tmpl\";i:530;s:2:\"id\";i:5801;s:5:\"title\";s:6:\"Hero 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_4.png\";s:12:\"tmpl_created\";i:1520443589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:8:\"[\"hero\"]\";s:10:\"menu_order\";i:398;s:16:\"popularity_index\";i:15;s:11:\"trend_index\";i:37;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:623;a:18:{s:4:\"tmpl\";i:531;s:2:\"id\";i:5811;s:5:\"title\";s:6:\"Hero 8\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_5.png\";s:12:\"tmpl_created\";i:1520443591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:400;s:16:\"popularity_index\";i:105;s:11:\"trend_index\";i:86;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:624;a:18:{s:4:\"tmpl\";i:529;s:2:\"id\";i:5792;s:5:\"title\";s:6:\"Hero 9\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/03/header_3.png\";s:12:\"tmpl_created\";i:1520443588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/hero-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"hero\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:403;s:16:\"popularity_index\";i:225;s:11:\"trend_index\";i:244;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:625;a:18:{s:4:\"tmpl\";i:978;s:2:\"id\";i:13251;s:5:\"title\";s:27:\"Interior Design &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.png\";s:12:\"tmpl_created\";i:1586148737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/interior-design-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:405;s:16:\"popularity_index\";i:730;s:11:\"trend_index\";i:795;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:626;a:18:{s:4:\"tmpl\";i:979;s:2:\"id\";i:13244;s:5:\"title\";s:30:\"Interior Design &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.png\";s:12:\"tmpl_created\";i:1586148742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:39:\"[\"Business\",\"Footer\",\"Interior Design\"]\";s:10:\"menu_order\";i:406;s:16:\"popularity_index\";i:322;s:11:\"trend_index\";i:178;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:627;a:18:{s:4:\"tmpl\";i:980;s:2:\"id\";i:13236;s:5:\"title\";s:30:\"Interior Design &#8211; Header\";s:9:\"thumbnail\";s:83:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-interior-design.png\";s:12:\"tmpl_created\";i:1586148746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/interior-design-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:39:\"[\"Business\",\"Header\",\"Interior Design\"]\";s:10:\"menu_order\";i:408;s:16:\"popularity_index\";i:146;s:11:\"trend_index\";i:64;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:628;a:18:{s:4:\"tmpl\";i:977;s:2:\"id\";i:13259;s:5:\"title\";s:36:\"Interior Design &#8211; News Archive\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Archiv-Blog.png\";s:12:\"tmpl_created\";i:1586148733;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/interior-design-news-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:410;s:16:\"popularity_index\";i:436;s:11:\"trend_index\";i:132;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:629;a:18:{s:4:\"tmpl\";i:976;s:2:\"id\";i:13267;s:5:\"title\";s:35:\"Interior Design &#8211; Single News\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/04/Post.png\";s:12:\"tmpl_created\";i:1586148728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/interior-design-single-news/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:413;s:16:\"popularity_index\";i:402;s:11:\"trend_index\";i:108;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:630;a:18:{s:4:\"tmpl\";i:975;s:2:\"id\";i:13274;s:5:\"title\";s:38:\"Interior Design &#8211; Single Project\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/04/Single-Project-.png\";s:12:\"tmpl_created\";i:1586148723;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/interior-design-single-project/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:30:\"[\"Business\",\"Interior Design\"]\";s:10:\"menu_order\";i:414;s:16:\"popularity_index\";i:601;s:11:\"trend_index\";i:324;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:631;a:18:{s:4:\"tmpl\";i:1011;s:2:\"id\";i:14058;s:5:\"title\";s:36:\"Japanese restaurant &#8211; 404 page\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/06/404-Page.jpg\";s:12:\"tmpl_created\";i:1592290211;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:134:\"https://library.elementor.com/blocks/japanese-restaurant-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:38:\"[\"404\",\"Food\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:416;s:16:\"popularity_index\";i:724;s:11:\"trend_index\";i:647;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:632;a:18:{s:4:\"tmpl\";i:1012;s:2:\"id\";i:14050;s:5:\"title\";s:34:\"Japanese restaurant &#8211; Footer\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/06/Footer-Small.jpg\";s:12:\"tmpl_created\";i:1592290247;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:41:\"[\"Food\",\"Footer\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:419;s:16:\"popularity_index\";i:317;s:11:\"trend_index\";i:238;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:633;a:18:{s:4:\"tmpl\";i:1013;s:2:\"id\";i:14042;s:5:\"title\";s:34:\"Japanese Restaurant &#8211; Header\";s:9:\"thumbnail\";s:87:\"https://library.elementor.com/wp-content/uploads/2020/06/japanese-restaurant-header.jpg\";s:12:\"tmpl_created\";i:1592290277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/japanese-restaurant-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:41:\"[\"Food\",\"Header\",\"Japanese\",\"Restaurant\"]\";s:10:\"menu_order\";i:421;s:16:\"popularity_index\";i:411;s:11:\"trend_index\";i:274;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:634;a:18:{s:4:\"tmpl\";i:914;s:2:\"id\";i:12164;s:5:\"title\";s:20:\"Law Firm &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/11/404.png\";s:12:\"tmpl_created\";i:1572846979;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/law-firm-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:422;s:16:\"popularity_index\";i:704;s:11:\"trend_index\";i:716;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:635;a:18:{s:4:\"tmpl\";i:913;s:2:\"id\";i:12170;s:5:\"title\";s:23:\"Law Firm &#8211; Archiv\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/archiv.png\";s:12:\"tmpl_created\";i:1572846967;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:424;s:16:\"popularity_index\";i:431;s:11:\"trend_index\";i:294;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:636;a:18:{s:4:\"tmpl\";i:912;s:2:\"id\";i:12179;s:5:\"title\";s:23:\"Law Firm &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/footer.png\";s:12:\"tmpl_created\";i:1572846958;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:425;s:16:\"popularity_index\";i:388;s:11:\"trend_index\";i:240;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:637;a:18:{s:4:\"tmpl\";i:911;s:2:\"id\";i:12194;s:5:\"title\";s:23:\"Law Firm &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-law-firm.png\";s:12:\"tmpl_created\";i:1572846935;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/law-firm-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:427;s:16:\"popularity_index\";i:80;s:11:\"trend_index\";i:39;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:638;a:18:{s:4:\"tmpl\";i:910;s:2:\"id\";i:12203;s:5:\"title\";s:30:\"Law Firm &#8211; Search Archiv\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/11/search_result.png\";s:12:\"tmpl_created\";i:1572846925;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/law-firm-search-archiv/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:430;s:16:\"popularity_index\";i:493;s:11:\"trend_index\";i:433;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:639;a:18:{s:4:\"tmpl\";i:909;s:2:\"id\";i:12212;s:5:\"title\";s:28:\"Law Firm &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2019/11/single.png\";s:12:\"tmpl_created\";i:1572846914;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/law-firm-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Law\",\"Law Firm\"]\";s:10:\"menu_order\";i:432;s:16:\"popularity_index\";i:326;s:11:\"trend_index\";i:214;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:640;a:18:{s:4:\"tmpl\";i:1022;s:2:\"id\";i:14772;s:5:\"title\";s:35:\"Luxury Real Estate &#8211; 404 page\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/07/404.png\";s:12:\"tmpl_created\";i:1595315728;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:133:\"https://library.elementor.com/blocks/luxury-real-estate-404-page/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:34:\"[\"404\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:433;s:16:\"popularity_index\";i:759;s:11:\"trend_index\";i:720;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:641;a:18:{s:4:\"tmpl\";i:1023;s:2:\"id\";i:14779;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Footer.png\";s:12:\"tmpl_created\";i:1595315743;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:37:\"[\"Footer\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:434;s:16:\"popularity_index\";i:536;s:11:\"trend_index\";i:505;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:642;a:18:{s:4:\"tmpl\";i:1024;s:2:\"id\";i:14790;s:5:\"title\";s:33:\"Luxury Real Estate &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/07/Header.png\";s:12:\"tmpl_created\";i:1595315760;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/luxury-real-estate-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:37:\"[\"Header\",\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:436;s:16:\"popularity_index\";i:101;s:11:\"trend_index\";i:157;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:643;a:18:{s:4:\"tmpl\";i:1026;s:2:\"id\";i:14809;s:5:\"title\";s:45:\"Luxury Real Estate &#8211; Properties Archive\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2020/07/Properties.png\";s:12:\"tmpl_created\";i:1595315826;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:143:\"https://library.elementor.com/blocks/luxury-real-estate-properties-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:438;s:16:\"popularity_index\";i:414;s:11:\"trend_index\";i:420;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:644;a:18:{s:4:\"tmpl\";i:1027;s:2:\"id\";i:14816;s:5:\"title\";s:47:\"Luxury Real Estate &#8211; Property single post\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2020/07/Single-Property-.png\";s:12:\"tmpl_created\";i:1595315847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:145:\"https://library.elementor.com/blocks/luxury-real-estate-property-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:441;s:16:\"popularity_index\";i:541;s:11:\"trend_index\";i:665;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:645;a:18:{s:4:\"tmpl\";i:1025;s:2:\"id\";i:14799;s:5:\"title\";s:38:\"Luxury Real Estate &#8211; single post\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/07/Post.png\";s:12:\"tmpl_created\";i:1595315792;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:136:\"https://library.elementor.com/blocks/luxury-real-estate-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:28:\"[\"Real estate\",\"Realestate\"]\";s:10:\"menu_order\";i:442;s:16:\"popularity_index\";i:369;s:11:\"trend_index\";i:441;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:646;a:18:{s:4:\"tmpl\";i:950;s:2:\"id\";i:12635;s:5:\"title\";s:20:\"Magazine &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/01/404_s.png\";s:12:\"tmpl_created\";i:1579060746;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/magazine-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:25:\"[\"404\",\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:445;s:16:\"popularity_index\";i:645;s:11:\"trend_index\";i:734;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:647;a:18:{s:4:\"tmpl\";i:949;s:2:\"id\";i:12643;s:5:\"title\";s:24:\"Magazine &#8211; Archiv1\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv1_s.png\";s:12:\"tmpl_created\";i:1579060737;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:447;s:16:\"popularity_index\";i:346;s:11:\"trend_index\";i:272;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:648;a:18:{s:4:\"tmpl\";i:946;s:2:\"id\";i:12669;s:5:\"title\";s:23:\"Magazine &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Footer_s.png\";s:12:\"tmpl_created\";i:1579060715;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:28:\"[\"Blog\",\"Footer\",\"Magazine\"]\";s:10:\"menu_order\";i:448;s:16:\"popularity_index\";i:442;s:11:\"trend_index\";i:349;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:649;a:18:{s:4:\"tmpl\";i:945;s:2:\"id\";i:12678;s:5:\"title\";s:23:\"Magazine &#8211; Header\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-magazine.png\";s:12:\"tmpl_created\";i:1579060701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:28:\"[\"Blog\",\"Header\",\"Magazine\"]\";s:10:\"menu_order\";i:450;s:16:\"popularity_index\";i:295;s:11:\"trend_index\";i:197;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:650;a:18:{s:4:\"tmpl\";i:947;s:2:\"id\";i:12661;s:5:\"title\";s:23:\"Magazine &#8211; Search\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/01/Search_s.png\";s:12:\"tmpl_created\";i:1579060722;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/magazine-search/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:452;s:16:\"popularity_index\";i:396;s:11:\"trend_index\";i:509;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:651;a:18:{s:4:\"tmpl\";i:944;s:2:\"id\";i:12688;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 1\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post2_s.png\";s:12:\"tmpl_created\";i:1579060692;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:453;s:16:\"popularity_index\";i:342;s:11:\"trend_index\";i:175;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:652;a:18:{s:4:\"tmpl\";i:943;s:2:\"id\";i:12699;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 2\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post3_s.png\";s:12:\"tmpl_created\";i:1579060680;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:454;s:16:\"popularity_index\";i:348;s:11:\"trend_index\";i:129;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:653;a:18:{s:4:\"tmpl\";i:942;s:2:\"id\";i:12707;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post1_s.png\";s:12:\"tmpl_created\";i:1579060669;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:128:\"https://library.elementor.com/blocks/magazine-single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:457;s:16:\"popularity_index\";i:476;s:11:\"trend_index\";i:246;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:654;a:18:{s:4:\"tmpl\";i:941;s:2:\"id\";i:12716;s:5:\"title\";s:30:\"Magazine &#8211; Single Post 3\";s:9:\"thumbnail\";s:68:\"https://library.elementor.com/wp-content/uploads/2020/01/Post4_s.png\";s:12:\"tmpl_created\";i:1579060659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/magazine-single-post-3-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:459;s:16:\"popularity_index\";i:513;s:11:\"trend_index\";i:489;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:655;a:18:{s:4:\"tmpl\";i:948;s:2:\"id\";i:12652;s:5:\"title\";s:17:\"Magazine- Archiv2\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2020/01/Archiv2_s.png\";s:12:\"tmpl_created\";i:1579060730;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/magazine-archiv2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:19:\"[\"Blog\",\"Magazine\"]\";s:10:\"menu_order\";i:461;s:16:\"popularity_index\";i:525;s:11:\"trend_index\";i:585;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:656;a:18:{s:4:\"tmpl\";i:990;s:2:\"id\";i:13361;s:5:\"title\";s:25:\"Online Course &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/04/404.jpg\";s:12:\"tmpl_created\";i:1587474710;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/online-course-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:35:\"[\"404\",\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:462;s:16:\"popularity_index\";i:682;s:11:\"trend_index\";i:498;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:657;a:18:{s:4:\"tmpl\";i:987;s:2:\"id\";i:13387;s:5:\"title\";s:32:\"Online Course &#8211; End Lesson\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-End-.jpg\";s:12:\"tmpl_created\";i:1587474682;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/online-course-end-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:464;s:16:\"popularity_index\";i:653;s:11:\"trend_index\";i:408;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:658;a:18:{s:4:\"tmpl\";i:989;s:2:\"id\";i:13369;s:5:\"title\";s:28:\"Online Course &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/04/Footer.jpg\";s:12:\"tmpl_created\";i:1587474701;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Footer\"]\";s:10:\"menu_order\";i:466;s:16:\"popularity_index\";i:389;s:11:\"trend_index\";i:308;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:659;a:18:{s:4:\"tmpl\";i:988;s:2:\"id\";i:13378;s:5:\"title\";s:28:\"Online Course &#8211; Header\";s:9:\"thumbnail\";s:92:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-education-online-courses.jpg\";s:12:\"tmpl_created\";i:1587474693;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/online-course-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:38:\"[\"Course Online\",\"Education\",\"Header\"]\";s:10:\"menu_order\";i:469;s:16:\"popularity_index\";i:492;s:11:\"trend_index\";i:519;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:660;a:18:{s:4:\"tmpl\";i:986;s:2:\"id\";i:13395;s:5:\"title\";s:34:\"Online Course &#8211; Start Lesson\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/04/Lesson-Start.jpg\";s:12:\"tmpl_created\";i:1587474673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/online-course-start-lesson/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:29:\"[\"Course Online\",\"Education\"]\";s:10:\"menu_order\";i:471;s:16:\"popularity_index\";i:672;s:11:\"trend_index\";i:578;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:661;a:18:{s:4:\"tmpl\";i:953;s:2:\"id\";i:13089;s:5:\"title\";s:23:\"Photography &#8211; 404\";s:9:\"thumbnail\";s:66:\"https://library.elementor.com/wp-content/uploads/2020/02/404_s.png\";s:12:\"tmpl_created\";i:1582091623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/photography-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:33:\"[\"404\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:473;s:16:\"popularity_index\";i:702;s:11:\"trend_index\";i:706;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:662;a:18:{s:4:\"tmpl\";i:954;s:2:\"id\";i:13096;s:5:\"title\";s:32:\"Photography &#8211; Archiv Media\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Archiv_s.png\";s:12:\"tmpl_created\";i:1582091742;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:130:\"https://library.elementor.com/blocks/photography-archiv-media/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:475;s:16:\"popularity_index\";i:631;s:11:\"trend_index\";i:405;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:663;a:18:{s:4:\"tmpl\";i:955;s:2:\"id\";i:13103;s:5:\"title\";s:26:\"Photography &#8211; Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2020/02/Footer_s.png\";s:12:\"tmpl_created\";i:1582091903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:36:\"[\"Footer\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:477;s:16:\"popularity_index\";i:422;s:11:\"trend_index\";i:230;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:664;a:18:{s:4:\"tmpl\";i:957;s:2:\"id\";i:13112;s:5:\"title\";s:26:\"Photography &#8211; Header\";s:9:\"thumbnail\";s:89:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-photography-portfolio.png\";s:12:\"tmpl_created\";i:1582092483;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/photography-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:36:\"[\"Header\",\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:478;s:16:\"popularity_index\";i:325;s:11:\"trend_index\";i:205;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:665;a:18:{s:4:\"tmpl\";i:956;s:2:\"id\";i:13120;s:5:\"title\";s:31:\"Photography &#8211; Single Post\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/02/Post_s.png\";s:12:\"tmpl_created\";i:1582092351;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/photography-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:27:\"[\"Photography\",\"Portfolio\"]\";s:10:\"menu_order\";i:480;s:16:\"popularity_index\";i:671;s:11:\"trend_index\";i:645;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:666;a:18:{s:4:\"tmpl\";i:901;s:2:\"id\";i:11807;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:70:\"https://library.elementor.com/wp-content/uploads/2019/09/404_small.png\";s:12:\"tmpl_created\";i:1569430070;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:483;s:16:\"popularity_index\";i:480;s:11:\"trend_index\";i:497;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:667;a:18:{s:4:\"tmpl\";i:900;s:2:\"id\";i:11832;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Footer_small.png\";s:12:\"tmpl_created\";i:1569430019;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Footer\",\"Portfolio\"]\";s:10:\"menu_order\";i:484;s:16:\"popularity_index\";i:246;s:11:\"trend_index\";i:102;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:668;a:18:{s:4:\"tmpl\";i:898;s:2:\"id\";i:11847;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2019/09/Archiv_small.png\";s:12:\"tmpl_created\";i:1569430010;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:487;s:16:\"popularity_index\";i:336;s:11:\"trend_index\";i:455;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:669;a:18:{s:4:\"tmpl\";i:897;s:2:\"id\";i:11854;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:71:\"https://library.elementor.com/wp-content/uploads/2019/09/Post_small.png\";s:12:\"tmpl_created\";i:1569429983;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/portfolio/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:489;s:16:\"popularity_index\";i:482;s:11:\"trend_index\";i:609;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:670;a:18:{s:4:\"tmpl\";i:904;s:2:\"id\";i:11890;s:5:\"title\";s:9:\"Portfolio\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-design-portfolio.png\";s:12:\"tmpl_created\";i:1571907344;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Creative Portfolio\",\"Header\",\"Portfolio\"]\";s:10:\"menu_order\";i:491;s:16:\"popularity_index\";i:306;s:11:\"trend_index\";i:364;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:671;a:18:{s:4:\"tmpl\";i:896;s:2:\"id\";i:11861;s:5:\"title\";s:27:\"Portfolio &#8211; Project 1\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project1_small.png\";s:12:\"tmpl_created\";i:1569429975;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:493;s:16:\"popularity_index\";i:643;s:11:\"trend_index\";i:764;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:672;a:18:{s:4:\"tmpl\";i:895;s:2:\"id\";i:11870;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569429964;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:495;s:16:\"popularity_index\";i:662;s:11:\"trend_index\";i:816;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:673;a:18:{s:4:\"tmpl\";i:903;s:2:\"id\";i:11897;s:5:\"title\";s:27:\"Portfolio &#8211; Project 2\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project2_small.png\";s:12:\"tmpl_created\";i:1569494236;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/portfolio-project-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:496;s:16:\"popularity_index\";i:733;s:11:\"trend_index\";i:744;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:674;a:18:{s:4:\"tmpl\";i:894;s:2:\"id\";i:11877;s:5:\"title\";s:27:\"Portfolio &#8211; Project 3\";s:9:\"thumbnail\";s:75:\"https://library.elementor.com/wp-content/uploads/2019/09/Project3_small.png\";s:12:\"tmpl_created\";i:1569429954;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/portfolio-project-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Creative Portfolio\",\"Portfolio\"]\";s:10:\"menu_order\";i:498;s:16:\"popularity_index\";i:692;s:11:\"trend_index\";i:0;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:675;a:18:{s:4:\"tmpl\";i:597;s:2:\"id\";i:5019;s:5:\"title\";s:11:\"Portfolio 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_1.png\";s:12:\"tmpl_created\";i:1520520580;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:500;s:16:\"popularity_index\";i:170;s:11:\"trend_index\";i:236;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:676;a:18:{s:4:\"tmpl\";i:609;s:2:\"id\";i:5141;s:5:\"title\";s:12:\"Portfolio 10\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_10.png\";s:12:\"tmpl_created\";i:1520520601;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:503;s:16:\"popularity_index\";i:416;s:11:\"trend_index\";i:478;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:677;a:18:{s:4:\"tmpl\";i:598;s:2:\"id\";i:5027;s:5:\"title\";s:12:\"Portfolio 11\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_2.png\";s:12:\"tmpl_created\";i:1520520581;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:504;s:16:\"popularity_index\";i:304;s:11:\"trend_index\";i:421;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:678;a:18:{s:4:\"tmpl\";i:599;s:2:\"id\";i:5037;s:5:\"title\";s:12:\"Portfolio 12\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_3.png\";s:12:\"tmpl_created\";i:1520520583;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:507;s:16:\"popularity_index\";i:279;s:11:\"trend_index\";i:399;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:679;a:18:{s:4:\"tmpl\";i:600;s:2:\"id\";i:5057;s:5:\"title\";s:12:\"Portfolio 13\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_4.png\";s:12:\"tmpl_created\";i:1520520586;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:509;s:16:\"popularity_index\";i:239;s:11:\"trend_index\";i:288;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:680;a:18:{s:4:\"tmpl\";i:601;s:2:\"id\";i:5071;s:5:\"title\";s:12:\"Portfolio 14\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_5.png\";s:12:\"tmpl_created\";i:1520520588;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:511;s:16:\"popularity_index\";i:276;s:11:\"trend_index\";i:329;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:681;a:18:{s:4:\"tmpl\";i:603;s:2:\"id\";i:5090;s:5:\"title\";s:12:\"Portfolio 15\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_6.png\";s:12:\"tmpl_created\";i:1520520591;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:513;s:16:\"popularity_index\";i:186;s:11:\"trend_index\";i:283;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:682;a:18:{s:4:\"tmpl\";i:604;s:2:\"id\";i:5098;s:5:\"title\";s:12:\"Portfolio 16\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_7.png\";s:12:\"tmpl_created\";i:1520520593;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:515;s:16:\"popularity_index\";i:156;s:11:\"trend_index\";i:211;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:683;a:18:{s:4:\"tmpl\";i:606;s:2:\"id\";i:5115;s:5:\"title\";s:12:\"Portfolio 17\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_8.png\";s:12:\"tmpl_created\";i:1520520596;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:517;s:16:\"popularity_index\";i:19;s:11:\"trend_index\";i:22;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:684;a:18:{s:4:\"tmpl\";i:608;s:2:\"id\";i:5133;s:5:\"title\";s:12:\"Portfolio 18\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_9.png\";s:12:\"tmpl_created\";i:1520520599;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:118:\"https://library.elementor.com/blocks/portfolio-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:519;s:16:\"popularity_index\";i:180;s:11:\"trend_index\";i:280;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:685;a:18:{s:4:\"tmpl\";i:610;s:2:\"id\";i:5149;s:5:\"title\";s:11:\"Portfolio 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_10.png\";s:12:\"tmpl_created\";i:1520520602;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:521;s:16:\"popularity_index\";i:413;s:11:\"trend_index\";i:635;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:686;a:18:{s:4:\"tmpl\";i:468;s:2:\"id\";i:5045;s:5:\"title\";s:11:\"Portfolio 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_2.png\";s:12:\"tmpl_created\";i:1520443423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:523;s:16:\"popularity_index\";i:636;s:11:\"trend_index\";i:608;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:687;a:18:{s:4:\"tmpl\";i:602;s:2:\"id\";i:5082;s:5:\"title\";s:11:\"Portfolio 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_4.png\";s:12:\"tmpl_created\";i:1520520589;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:524;s:16:\"popularity_index\";i:558;s:11:\"trend_index\";i:654;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:688;a:18:{s:4:\"tmpl\";i:605;s:2:\"id\";i:5107;s:5:\"title\";s:11:\"Portfolio 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_7.png\";s:12:\"tmpl_created\";i:1520520594;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:527;s:16:\"popularity_index\";i:380;s:11:\"trend_index\";i:347;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:689;a:18:{s:4:\"tmpl\";i:607;s:2:\"id\";i:5125;s:5:\"title\";s:11:\"Portfolio 6\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_black_8.png\";s:12:\"tmpl_created\";i:1520520597;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:529;s:16:\"popularity_index\";i:236;s:11:\"trend_index\";i:386;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:690;a:18:{s:4:\"tmpl\";i:596;s:2:\"id\";i:5007;s:5:\"title\";s:11:\"Portfolio 7\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/portfolio_white_1.png\";s:12:\"tmpl_created\";i:1520520578;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/portfolio-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"portfolio\";s:4:\"tags\";s:13:\"[\"Portfolio\"]\";s:10:\"menu_order\";i:530;s:16:\"popularity_index\";i:44;s:11:\"trend_index\";i:183;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:691;a:18:{s:4:\"tmpl\";i:434;s:2:\"id\";i:4509;s:5:\"title\";s:9:\"Pricing 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_1.png\";s:12:\"tmpl_created\";i:1520443310;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:532;s:16:\"popularity_index\";i:703;s:11:\"trend_index\";i:641;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:692;a:18:{s:4:\"tmpl\";i:439;s:2:\"id\";i:4553;s:5:\"title\";s:10:\"Pricing 10\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_4.png\";s:12:\"tmpl_created\";i:1520443319;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:534;s:16:\"popularity_index\";i:511;s:11:\"trend_index\";i:506;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:693;a:18:{s:4:\"tmpl\";i:441;s:2:\"id\";i:4572;s:5:\"title\";s:10:\"Pricing 11\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_5.png\";s:12:\"tmpl_created\";i:1520443324;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:537;s:16:\"popularity_index\";i:308;s:11:\"trend_index\";i:248;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:694;a:18:{s:4:\"tmpl\";i:442;s:2:\"id\";i:4580;s:5:\"title\";s:10:\"Pricing 12\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_6.png\";s:12:\"tmpl_created\";i:1520443326;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:539;s:16:\"popularity_index\";i:576;s:11:\"trend_index\";i:526;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:695;a:18:{s:4:\"tmpl\";i:444;s:2:\"id\";i:4597;s:5:\"title\";s:10:\"Pricing 13\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_7.png\";s:12:\"tmpl_created\";i:1520443330;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:540;s:16:\"popularity_index\";i:613;s:11:\"trend_index\";i:450;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:696;a:18:{s:4:\"tmpl\";i:446;s:2:\"id\";i:4613;s:5:\"title\";s:10:\"Pricing 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_8.png\";s:12:\"tmpl_created\";i:1520443334;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/pricing-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:543;s:16:\"popularity_index\";i:581;s:11:\"trend_index\";i:568;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:697;a:18:{s:4:\"tmpl\";i:436;s:2:\"id\";i:4529;s:5:\"title\";s:9:\"Pricing 2\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_2.png\";s:12:\"tmpl_created\";i:1520443314;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:545;s:16:\"popularity_index\";i:609;s:11:\"trend_index\";i:613;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:698;a:18:{s:4:\"tmpl\";i:438;s:2:\"id\";i:4545;s:5:\"title\";s:9:\"Pricing 3\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_3.png\";s:12:\"tmpl_created\";i:1520443317;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:547;s:16:\"popularity_index\";i:707;s:11:\"trend_index\";i:825;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:699;a:18:{s:4:\"tmpl\";i:440;s:2:\"id\";i:4562;s:5:\"title\";s:9:\"Pricing 4\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_4.png\";s:12:\"tmpl_created\";i:1520443322;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:549;s:16:\"popularity_index\";i:697;s:11:\"trend_index\";i:821;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:700;a:18:{s:4:\"tmpl\";i:443;s:2:\"id\";i:4589;s:5:\"title\";s:9:\"Pricing 5\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_6.png\";s:12:\"tmpl_created\";i:1520443327;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:551;s:16:\"popularity_index\";i:716;s:11:\"trend_index\";i:639;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:701;a:18:{s:4:\"tmpl\";i:445;s:2:\"id\";i:4605;s:5:\"title\";s:9:\"Pricing 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_black_7.png\";s:12:\"tmpl_created\";i:1520443332;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:553;s:16:\"popularity_index\";i:738;s:11:\"trend_index\";i:773;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:702;a:18:{s:4:\"tmpl\";i:433;s:2:\"id\";i:4500;s:5:\"title\";s:9:\"Pricing 7\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_1.png\";s:12:\"tmpl_created\";i:1520443308;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:554;s:16:\"popularity_index\";i:500;s:11:\"trend_index\";i:451;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:703;a:18:{s:4:\"tmpl\";i:435;s:2:\"id\";i:4521;s:5:\"title\";s:9:\"Pricing 8\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_2.png\";s:12:\"tmpl_created\";i:1520443312;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:557;s:16:\"popularity_index\";i:311;s:11:\"trend_index\";i:372;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:704;a:18:{s:4:\"tmpl\";i:437;s:2:\"id\";i:4537;s:5:\"title\";s:9:\"Pricing 9\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/02/price_white_3.png\";s:12:\"tmpl_created\";i:1520443315;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/pricing-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"pricing\";s:4:\"tags\";s:11:\"[\"Pricing\"]\";s:10:\"menu_order\";i:559;s:16:\"popularity_index\";i:589;s:11:\"trend_index\";i:841;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:705;a:18:{s:4:\"tmpl\";i:701;s:2:\"id\";i:9239;s:5:\"title\";s:17:\"product archive 1\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-1.png\";s:12:\"tmpl_created\";i:1532953482;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:561;s:16:\"popularity_index\";i:60;s:11:\"trend_index\";i:25;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:706;a:18:{s:4:\"tmpl\";i:702;s:2:\"id\";i:9247;s:5:\"title\";s:17:\"product archive 2\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-2.png\";s:12:\"tmpl_created\";i:1532953793;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:562;s:16:\"popularity_index\";i:71;s:11:\"trend_index\";i:30;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:707;a:18:{s:4:\"tmpl\";i:703;s:2:\"id\";i:9254;s:5:\"title\";s:17:\"product archive 3\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/product-archive-350-3.png\";s:12:\"tmpl_created\";i:1532954032;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/product-archive-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:15:\"product archive\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:563;s:16:\"popularity_index\";i:73;s:11:\"trend_index\";i:44;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:708;a:18:{s:4:\"tmpl\";i:1046;s:2:\"id\";i:15204;s:5:\"title\";s:24:\"Psychologist &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/09/404.jpg\";s:12:\"tmpl_created\";i:1600161419;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/psychologist-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:40:\"[\"404\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:564;s:16:\"popularity_index\";i:574;s:11:\"trend_index\";i:493;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:709;a:18:{s:4:\"tmpl\";i:1047;s:2:\"id\";i:15212;s:5:\"title\";s:28:\"Psychologist &#8211; Archive\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2020/09/Blog.jpg\";s:12:\"tmpl_created\";i:1600162340;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:126:\"https://library.elementor.com/blocks/psychologist-archive/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:565;s:16:\"popularity_index\";i:379;s:11:\"trend_index\";i:358;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:710;a:18:{s:4:\"tmpl\";i:1048;s:2:\"id\";i:15219;s:5:\"title\";s:27:\"Psychologist &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Footer.jpg\";s:12:\"tmpl_created\";i:1600163069;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:43:\"[\"Footer\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:566;s:16:\"popularity_index\";i:599;s:11:\"trend_index\";i:500;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:711;a:18:{s:4:\"tmpl\";i:1049;s:2:\"id\";i:15230;s:5:\"title\";s:27:\"Psychologist &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/09/Header.png\";s:12:\"tmpl_created\";i:1600163444;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/psychologist-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:43:\"[\"Header\",\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:567;s:16:\"popularity_index\";i:429;s:11:\"trend_index\";i:423;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:712;a:18:{s:4:\"tmpl\";i:1050;s:2:\"id\";i:15240;s:5:\"title\";s:34:\"Psychologist &#8211; single post 1\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Post.png\";s:12:\"tmpl_created\";i:1600164087;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:568;s:16:\"popularity_index\";i:562;s:11:\"trend_index\";i:570;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:713;a:18:{s:4:\"tmpl\";i:1051;s:2:\"id\";i:15251;s:5:\"title\";s:34:\"Psychologist &#8211; single post 2\";s:9:\"thumbnail\";s:80:\"https://library.elementor.com/wp-content/uploads/2020/09/Single-Service-Page.png\";s:12:\"tmpl_created\";i:1600165179;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:132:\"https://library.elementor.com/blocks/psychologist-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:34:\"[\"Psychologist\",\"Psychotherapist\"]\";s:10:\"menu_order\";i:569;s:16:\"popularity_index\";i:507;s:11:\"trend_index\";i:368;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:714;a:18:{s:4:\"tmpl\";i:412;s:2:\"id\";i:4313;s:5:\"title\";s:11:\"Services 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_8.png\";s:12:\"tmpl_created\";i:1520443268;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:570;s:16:\"popularity_index\";i:115;s:11:\"trend_index\";i:53;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:715;a:18:{s:4:\"tmpl\";i:413;s:2:\"id\";i:4324;s:5:\"title\";s:11:\"Services 14\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_9.png\";s:12:\"tmpl_created\";i:1520443270;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:571;s:16:\"popularity_index\";i:277;s:11:\"trend_index\";i:138;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:716;a:18:{s:4:\"tmpl\";i:418;s:2:\"id\";i:4368;s:5:\"title\";s:11:\"Services 16\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_13.png\";s:12:\"tmpl_created\";i:1520443279;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:572;s:16:\"popularity_index\";i:62;s:11:\"trend_index\";i:59;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:717;a:18:{s:4:\"tmpl\";i:420;s:2:\"id\";i:4391;s:5:\"title\";s:11:\"Services 17\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_14.png\";s:12:\"tmpl_created\";i:1520443283;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:573;s:16:\"popularity_index\";i:153;s:11:\"trend_index\";i:120;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:718;a:18:{s:4:\"tmpl\";i:403;s:2:\"id\";i:4235;s:5:\"title\";s:11:\"Services 18\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_2.png\";s:12:\"tmpl_created\";i:1520443251;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:574;s:16:\"popularity_index\";i:273;s:11:\"trend_index\";i:172;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:719;a:18:{s:4:\"tmpl\";i:417;s:2:\"id\";i:4357;s:5:\"title\";s:11:\"Services 20\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_12.png\";s:12:\"tmpl_created\";i:1520443277;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:575;s:16:\"popularity_index\";i:45;s:11:\"trend_index\";i:45;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:720;a:18:{s:4:\"tmpl\";i:415;s:2:\"id\";i:4341;s:5:\"title\";s:11:\"Services 21\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_11.png\";s:12:\"tmpl_created\";i:1520443274;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:576;s:16:\"popularity_index\";i:142;s:11:\"trend_index\";i:114;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:721;a:18:{s:4:\"tmpl\";i:414;s:2:\"id\";i:4332;s:5:\"title\";s:11:\"Services 22\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_10.png\";s:12:\"tmpl_created\";i:1520443272;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:577;s:16:\"popularity_index\";i:138;s:11:\"trend_index\";i:149;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:722;a:18:{s:4:\"tmpl\";i:401;s:2:\"id\";i:4212;s:5:\"title\";s:11:\"Services 23\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_1.png\";s:12:\"tmpl_created\";i:1520443248;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:578;s:16:\"popularity_index\";i:136;s:11:\"trend_index\";i:302;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:723;a:18:{s:4:\"tmpl\";i:408;s:2:\"id\";i:4276;s:5:\"title\";s:11:\"Services 24\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_4.png\";s:12:\"tmpl_created\";i:1520443261;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:579;s:16:\"popularity_index\";i:353;s:11:\"trend_index\";i:514;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:724;a:18:{s:4:\"tmpl\";i:406;s:2:\"id\";i:4260;s:5:\"title\";s:11:\"Services 25\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_3.png\";s:12:\"tmpl_created\";i:1520443257;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-25/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:580;s:16:\"popularity_index\";i:184;s:11:\"trend_index\";i:209;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:725;a:18:{s:4:\"tmpl\";i:404;s:2:\"id\";i:4244;s:5:\"title\";s:11:\"Services 26\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_2.png\";s:12:\"tmpl_created\";i:1520443253;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:581;s:16:\"popularity_index\";i:544;s:11:\"trend_index\";i:596;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:726;a:18:{s:4:\"tmpl\";i:421;s:2:\"id\";i:4400;s:5:\"title\";s:11:\"Services 27\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_13.png\";s:12:\"tmpl_created\";i:1520443285;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:582;s:16:\"popularity_index\";i:286;s:11:\"trend_index\";i:438;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:727;a:18:{s:4:\"tmpl\";i:419;s:2:\"id\";i:4376;s:5:\"title\";s:11:\"Services 28\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_12.png\";s:12:\"tmpl_created\";i:1520443281;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-28/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:583;s:16:\"popularity_index\";i:151;s:11:\"trend_index\";i:249;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:728;a:18:{s:4:\"tmpl\";i:416;s:2:\"id\";i:4349;s:5:\"title\";s:11:\"Services 29\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_11.png\";s:12:\"tmpl_created\";i:1520443275;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:584;s:16:\"popularity_index\";i:330;s:11:\"trend_index\";i:483;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:729;a:18:{s:4:\"tmpl\";i:402;s:2:\"id\";i:4227;s:5:\"title\";s:11:\"Services 30\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_black_1.png\";s:12:\"tmpl_created\";i:1520443250;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-30/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:585;s:16:\"popularity_index\";i:351;s:11:\"trend_index\";i:553;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:730;a:18:{s:4:\"tmpl\";i:560;s:2:\"id\";i:6162;s:5:\"title\";s:11:\"Services 31\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_1.png\";s:12:\"tmpl_created\";i:1520443668;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/services-31/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:586;s:16:\"popularity_index\";i:372;s:11:\"trend_index\";i:550;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:731;a:18:{s:4:\"tmpl\";i:411;s:2:\"id\";i:4302;s:5:\"title\";s:10:\"Services 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_7.png\";s:12:\"tmpl_created\";i:1520443266;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:587;s:16:\"popularity_index\";i:58;s:11:\"trend_index\";i:97;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:732;a:18:{s:4:\"tmpl\";i:410;s:2:\"id\";i:4293;s:5:\"title\";s:10:\"Services 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_6.png\";s:12:\"tmpl_created\";i:1520443265;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:588;s:16:\"popularity_index\";i:288;s:11:\"trend_index\";i:269;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:733;a:18:{s:4:\"tmpl\";i:409;s:2:\"id\";i:4284;s:5:\"title\";s:10:\"Services 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_5.png\";s:12:\"tmpl_created\";i:1520443263;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:589;s:16:\"popularity_index\";i:27;s:11:\"trend_index\";i:21;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:734;a:18:{s:4:\"tmpl\";i:407;s:2:\"id\";i:4268;s:5:\"title\";s:10:\"Services 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_4.png\";s:12:\"tmpl_created\";i:1520443259;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:590;s:16:\"popularity_index\";i:173;s:11:\"trend_index\";i:213;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:735;a:18:{s:4:\"tmpl\";i:405;s:2:\"id\";i:4252;s:5:\"title\";s:10:\"Services 9\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/02/Service_white_3.png\";s:12:\"tmpl_created\";i:1520443255;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/services-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"services\";s:4:\"tags\";s:12:\"[\"Services\"]\";s:10:\"menu_order\";i:591;s:16:\"popularity_index\";i:46;s:11:\"trend_index\";i:99;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:736;a:18:{s:4:\"tmpl\";i:677;s:2:\"id\";i:8676;s:5:\"title\";s:13:\"single page 1\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.6.jpg\";s:12:\"tmpl_created\";i:1527682423;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:592;s:16:\"popularity_index\";i:285;s:11:\"trend_index\";i:145;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:737;a:18:{s:4:\"tmpl\";i:678;s:2:\"id\";i:8678;s:5:\"title\";s:13:\"single page 2\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.2.jpg\";s:12:\"tmpl_created\";i:1527682780;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:593;s:16:\"popularity_index\";i:140;s:11:\"trend_index\";i:82;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:738;a:18:{s:4:\"tmpl\";i:679;s:2:\"id\";i:8679;s:5:\"title\";s:13:\"single page 3\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.3.jpg\";s:12:\"tmpl_created\";i:1527682847;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:594;s:16:\"popularity_index\";i:122;s:11:\"trend_index\";i:23;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:739;a:18:{s:4:\"tmpl\";i:680;s:2:\"id\";i:8680;s:5:\"title\";s:13:\"single page 4\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.1.jpg\";s:12:\"tmpl_created\";i:1527682896;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:595;s:16:\"popularity_index\";i:373;s:11:\"trend_index\";i:190;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:740;a:18:{s:4:\"tmpl\";i:681;s:2:\"id\";i:8681;s:5:\"title\";s:13:\"single page 5\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.5.jpg\";s:12:\"tmpl_created\";i:1527682969;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:596;s:16:\"popularity_index\";i:287;s:11:\"trend_index\";i:218;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:741;a:18:{s:4:\"tmpl\";i:682;s:2:\"id\";i:8682;s:5:\"title\";s:13:\"single page 6\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.4.jpg\";s:12:\"tmpl_created\";i:1527683026;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:597;s:16:\"popularity_index\";i:412;s:11:\"trend_index\";i:227;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:742;a:18:{s:4:\"tmpl\";i:683;s:2:\"id\";i:8703;s:5:\"title\";s:13:\"single page 7\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2018/05/S_P350.7.jpg\";s:12:\"tmpl_created\";i:1527683072;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-page-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single page\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:598;s:16:\"popularity_index\";i:401;s:11:\"trend_index\";i:316;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:743;a:18:{s:4:\"tmpl\";i:640;s:2:\"id\";i:7650;s:5:\"title\";s:13:\"Single Post 1\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_1_v2.jpg\";s:12:\"tmpl_created\";i:1521557736;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:599;s:16:\"popularity_index\";i:119;s:11:\"trend_index\";i:266;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:744;a:18:{s:4:\"tmpl\";i:639;s:2:\"id\";i:7663;s:5:\"title\";s:13:\"Single Post 2\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/single_post_2_v2.jpg\";s:12:\"tmpl_created\";i:1521547761;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:24:\"[\"Blog\",\"Post\",\"Single\"]\";s:10:\"menu_order\";i:600;s:16:\"popularity_index\";i:50;s:11:\"trend_index\";i:139;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:745;a:18:{s:4:\"tmpl\";i:705;s:2:\"id\";i:9296;s:5:\"title\";s:13:\"Single Post 3\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3002.jpg\";s:12:\"tmpl_created\";i:1537440673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:601;s:16:\"popularity_index\";i:213;s:11:\"trend_index\";i:204;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:746;a:18:{s:4:\"tmpl\";i:704;s:2:\"id\";i:9301;s:5:\"title\";s:13:\"Single Post 4\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3003.jpg\";s:12:\"tmpl_created\";i:1537440661;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:602;s:16:\"popularity_index\";i:248;s:11:\"trend_index\";i:336;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:747;a:18:{s:4:\"tmpl\";i:706;s:2:\"id\";i:9313;s:5:\"title\";s:13:\"Single Post 5\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3001.jpg\";s:12:\"tmpl_created\";i:1537440798;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:603;s:16:\"popularity_index\";i:197;s:11:\"trend_index\";i:177;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:748;a:18:{s:4:\"tmpl\";i:707;s:2:\"id\";i:9343;s:5:\"title\";s:13:\"Single Post 6\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3004.jpg\";s:12:\"tmpl_created\";i:1537443531;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:604;s:16:\"popularity_index\";i:228;s:11:\"trend_index\";i:279;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:749;a:18:{s:4:\"tmpl\";i:708;s:2:\"id\";i:9349;s:5:\"title\";s:13:\"Single Post 7\";s:9:\"thumbnail\";s:65:\"https://library.elementor.com/wp-content/uploads/2018/09/3005.jpg\";s:12:\"tmpl_created\";i:1537443903;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/single-post-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:605;s:16:\"popularity_index\";i:158;s:11:\"trend_index\";i:253;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:750;a:18:{s:4:\"tmpl\";i:697;s:2:\"id\";i:9174;s:5:\"title\";s:17:\"single product 01\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product01_350.png\";s:12:\"tmpl_created\";i:1532950125;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-01/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:606;s:16:\"popularity_index\";i:31;s:11:\"trend_index\";i:6;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:751;a:18:{s:4:\"tmpl\";i:698;s:2:\"id\";i:9178;s:5:\"title\";s:17:\"single product 02\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product02_350new.png\";s:12:\"tmpl_created\";i:1532951997;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-02/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:607;s:16:\"popularity_index\";i:66;s:11:\"trend_index\";i:42;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:752;a:18:{s:4:\"tmpl\";i:699;s:2:\"id\";i:9180;s:5:\"title\";s:17:\"single product 03\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product03_350.png\";s:12:\"tmpl_created\";i:1532952302;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-03/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:608;s:16:\"popularity_index\";i:108;s:11:\"trend_index\";i:66;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:753;a:18:{s:4:\"tmpl\";i:700;s:2:\"id\";i:9182;s:5:\"title\";s:17:\"single product 04\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/07/single_product040_350.png\";s:12:\"tmpl_created\";i:1532952606;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:123:\"https://library.elementor.com/blocks/single-product-04/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:14:\"single product\";s:4:\"tags\";s:2:\"[]\";s:10:\"menu_order\";i:609;s:16:\"popularity_index\";i:123;s:11:\"trend_index\";i:81;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:754;a:18:{s:4:\"tmpl\";i:555;s:2:\"id\";i:6114;s:5:\"title\";s:7:\"Stats 1\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_6.png\";s:12:\"tmpl_created\";i:1520443659;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:610;s:16:\"popularity_index\";i:434;s:11:\"trend_index\";i:692;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:755;a:18:{s:4:\"tmpl\";i:562;s:2:\"id\";i:6178;s:5:\"title\";s:8:\"Stats 10\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_2.png\";s:12:\"tmpl_created\";i:1520443676;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:611;s:16:\"popularity_index\";i:435;s:11:\"trend_index\";i:755;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:756;a:18:{s:4:\"tmpl\";i:561;s:2:\"id\";i:6170;s:5:\"title\";s:8:\"Stats 11\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_2.png\";s:12:\"tmpl_created\";i:1520443670;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:612;s:16:\"popularity_index\";i:366;s:11:\"trend_index\";i:552;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:757;a:18:{s:4:\"tmpl\";i:563;s:2:\"id\";i:6186;s:5:\"title\";s:8:\"Stats 12\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_white_3.png\";s:12:\"tmpl_created\";i:1520443678;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:613;s:16:\"popularity_index\";i:569;s:11:\"trend_index\";i:811;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:758;a:18:{s:4:\"tmpl\";i:550;s:2:\"id\";i:6071;s:5:\"title\";s:8:\"Stats 13\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_3.png\";s:12:\"tmpl_created\";i:1520443649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:114:\"https://library.elementor.com/blocks/stats-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:614;s:16:\"popularity_index\";i:168;s:11:\"trend_index\";i:328;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:759;a:18:{s:4:\"tmpl\";i:554;s:2:\"id\";i:6106;s:5:\"title\";s:7:\"Stats 2\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_6.png\";s:12:\"tmpl_created\";i:1520443657;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:615;s:16:\"popularity_index\";i:361;s:11:\"trend_index\";i:784;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:760;a:18:{s:4:\"tmpl\";i:551;s:2:\"id\";i:6079;s:5:\"title\";s:7:\"Stats 3\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_4.png\";s:12:\"tmpl_created\";i:1520443651;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:616;s:16:\"popularity_index\";i:284;s:11:\"trend_index\";i:385;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:761;a:18:{s:4:\"tmpl\";i:552;s:2:\"id\";i:6089;s:5:\"title\";s:7:\"Stats 4\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_5.png\";s:12:\"tmpl_created\";i:1520443653;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:617;s:16:\"popularity_index\";i:205;s:11:\"trend_index\";i:452;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:762;a:18:{s:4:\"tmpl\";i:549;s:2:\"id\";i:6063;s:5:\"title\";s:7:\"Stats 5\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_2.png\";s:12:\"tmpl_created\";i:1520443647;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:618;s:16:\"popularity_index\";i:181;s:11:\"trend_index\";i:419;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:763;a:18:{s:4:\"tmpl\";i:553;s:2:\"id\";i:6097;s:5:\"title\";s:7:\"Stats 6\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_2.png\";s:12:\"tmpl_created\";i:1520443655;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:11:\"[\"numbers\"]\";s:10:\"menu_order\";i:619;s:16:\"popularity_index\";i:264;s:11:\"trend_index\";i:492;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:764;a:18:{s:4:\"tmpl\";i:538;s:2:\"id\";i:5956;s:5:\"title\";s:7:\"Stats 7\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_black_1.png\";s:12:\"tmpl_created\";i:1520443623;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:620;s:16:\"popularity_index\";i:532;s:11:\"trend_index\";i:541;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:765;a:18:{s:4:\"tmpl\";i:537;s:2:\"id\";i:5947;s:5:\"title\";s:7:\"Stats 8\";s:9:\"thumbnail\";s:76:\"https://library.elementor.com/wp-content/uploads/2018/03/numbers_white_1.png\";s:12:\"tmpl_created\";i:1520443621;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-8/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:621;s:16:\"popularity_index\";i:368;s:11:\"trend_index\";i:531;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:766;a:18:{s:4:\"tmpl\";i:559;s:2:\"id\";i:6152;s:5:\"title\";s:7:\"Stats 9\";s:9:\"thumbnail\";s:77:\"https://library.elementor.com/wp-content/uploads/2018/03/progress_black_1.png\";s:12:\"tmpl_created\";i:1520443666;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/stats-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:5:\"stats\";s:4:\"tags\";s:9:\"[\"Stats\"]\";s:10:\"menu_order\";i:622;s:16:\"popularity_index\";i:272;s:11:\"trend_index\";i:557;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:767;a:18:{s:4:\"tmpl\";i:469;s:2:\"id\";i:5157;s:5:\"title\";s:11:\"Subscribe 1\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_1.png\";s:12:\"tmpl_created\";i:1520443448;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:623;s:16:\"popularity_index\";i:340;s:11:\"trend_index\";i:293;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:768;a:18:{s:4:\"tmpl\";i:472;s:2:\"id\";i:5181;s:5:\"title\";s:11:\"Subscribe 2\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_2.png\";s:12:\"tmpl_created\";i:1520443454;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/subscribe-2-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:624;s:16:\"popularity_index\";i:451;s:11:\"trend_index\";i:340;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:769;a:18:{s:4:\"tmpl\";i:470;s:2:\"id\";i:5165;s:5:\"title\";s:11:\"Subscribe 3\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_1.png\";s:12:\"tmpl_created\";i:1520443450;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-3/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:625;s:16:\"popularity_index\";i:520;s:11:\"trend_index\";i:620;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:770;a:18:{s:4:\"tmpl\";i:477;s:2:\"id\";i:5222;s:5:\"title\";s:11:\"Subscribe 4\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_black_3.png\";s:12:\"tmpl_created\";i:1520443464;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:626;s:16:\"popularity_index\";i:397;s:11:\"trend_index\";i:427;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:771;a:18:{s:4:\"tmpl\";i:471;s:2:\"id\";i:5173;s:5:\"title\";s:11:\"Subscribe 5\";s:9:\"thumbnail\";s:78:\"https://library.elementor.com/wp-content/uploads/2018/03/subscribe_white_2.png\";s:12:\"tmpl_created\";i:1520443452;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:117:\"https://library.elementor.com/blocks/subscribe-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:9:\"subscribe\";s:4:\"tags\";s:20:\"[\"Form\",\"Subscribe\"]\";s:10:\"menu_order\";i:627;s:16:\"popularity_index\";i:261;s:11:\"trend_index\";i:237;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:772;a:18:{s:4:\"tmpl\";i:465;s:2:\"id\";i:4801;s:5:\"title\";s:7:\"Team 11\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_8.png\";s:12:\"tmpl_created\";i:1520443369;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:628;s:16:\"popularity_index\";i:332;s:11:\"trend_index\";i:188;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:773;a:18:{s:4:\"tmpl\";i:462;s:2:\"id\";i:4770;s:5:\"title\";s:7:\"Team 12\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_6.png\";s:12:\"tmpl_created\";i:1520443364;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:115:\"https://library.elementor.com/blocks/team-12-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:629;s:16:\"popularity_index\";i:432;s:11:\"trend_index\";i:488;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:774;a:18:{s:4:\"tmpl\";i:458;s:2:\"id\";i:4727;s:5:\"title\";s:7:\"Team 13\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_2.png\";s:12:\"tmpl_created\";i:1520443356;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:630;s:16:\"popularity_index\";i:375;s:11:\"trend_index\";i:345;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:775;a:18:{s:4:\"tmpl\";i:543;s:2:\"id\";i:5999;s:5:\"title\";s:7:\"Team 14\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_10.png\";s:12:\"tmpl_created\";i:1520443634;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:631;s:16:\"popularity_index\";i:110;s:11:\"trend_index\";i:318;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:776;a:18:{s:4:\"tmpl\";i:455;s:2:\"id\";i:4698;s:5:\"title\";s:7:\"Team 15\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_1.png\";s:12:\"tmpl_created\";i:1520443350;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:632;s:16:\"popularity_index\";i:449;s:11:\"trend_index\";i:410;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:777;a:18:{s:4:\"tmpl\";i:463;s:2:\"id\";i:4781;s:5:\"title\";s:7:\"Team 16\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_7.png\";s:12:\"tmpl_created\";i:1520443365;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:633;s:16:\"popularity_index\";i:267;s:11:\"trend_index\";i:330;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:778;a:18:{s:4:\"tmpl\";i:558;s:2:\"id\";i:6144;s:5:\"title\";s:7:\"Team 17\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_11.png\";s:12:\"tmpl_created\";i:1520443664;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:634;s:16:\"popularity_index\";i:166;s:11:\"trend_index\";i:365;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:779;a:18:{s:4:\"tmpl\";i:464;s:2:\"id\";i:4793;s:5:\"title\";s:7:\"Team 18\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_8.png\";s:12:\"tmpl_created\";i:1520443367;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:635;s:16:\"popularity_index\";i:207;s:11:\"trend_index\";i:173;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:780;a:18:{s:4:\"tmpl\";i:466;s:2:\"id\";i:4809;s:5:\"title\";s:7:\"Team 19\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_9.png\";s:12:\"tmpl_created\";i:1520443371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:636;s:16:\"popularity_index\";i:300;s:11:\"trend_index\";i:465;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:781;a:18:{s:4:\"tmpl\";i:459;s:2:\"id\";i:4736;s:5:\"title\";s:7:\"Team 20\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_4.png\";s:12:\"tmpl_created\";i:1520443358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:637;s:16:\"popularity_index\";i:144;s:11:\"trend_index\";i:159;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:782;a:18:{s:4:\"tmpl\";i:467;s:2:\"id\";i:4818;s:5:\"title\";s:7:\"Team 21\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_9.png\";s:12:\"tmpl_created\";i:1520443373;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:638;s:16:\"popularity_index\";i:515;s:11:\"trend_index\";i:606;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:783;a:18:{s:4:\"tmpl\";i:461;s:2:\"id\";i:4759;s:5:\"title\";s:7:\"Team 22\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_5.png\";s:12:\"tmpl_created\";i:1520443362;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:639;s:16:\"popularity_index\";i:299;s:11:\"trend_index\";i:376;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:784;a:18:{s:4:\"tmpl\";i:460;s:2:\"id\";i:4746;s:5:\"title\";s:7:\"Team 23\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_black_4.png\";s:12:\"tmpl_created\";i:1520443360;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:113:\"https://library.elementor.com/blocks/team-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:640;s:16:\"popularity_index\";i:282;s:11:\"trend_index\";i:378;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:785;a:18:{s:4:\"tmpl\";i:457;s:2:\"id\";i:4718;s:5:\"title\";s:6:\"Team 4\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_3.png\";s:12:\"tmpl_created\";i:1520443354;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-4/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:641;s:16:\"popularity_index\";i:192;s:11:\"trend_index\";i:359;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:786;a:18:{s:4:\"tmpl\";i:456;s:2:\"id\";i:4706;s:5:\"title\";s:6:\"Team 5\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_2.png\";s:12:\"tmpl_created\";i:1520443352;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-5/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:642;s:16:\"popularity_index\";i:149;s:11:\"trend_index\";i:299;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:787;a:18:{s:4:\"tmpl\";i:544;s:2:\"id\";i:6008;s:5:\"title\";s:6:\"Team 6\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_10.png\";s:12:\"tmpl_created\";i:1520443636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-6/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:643;s:16:\"popularity_index\";i:75;s:11:\"trend_index\";i:277;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:788;a:18:{s:4:\"tmpl\";i:454;s:2:\"id\";i:4690;s:5:\"title\";s:6:\"Team 7\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2018/03/team_white_1.png\";s:12:\"tmpl_created\";i:1520443348;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:112:\"https://library.elementor.com/blocks/team-7/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:4:\"team\";s:4:\"tags\";s:8:\"[\"Team\"]\";s:10:\"menu_order\";i:644;s:16:\"popularity_index\";i:243;s:11:\"trend_index\";i:402;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:789;a:18:{s:4:\"tmpl\";i:586;s:2:\"id\";i:4921;s:5:\"title\";s:14:\"Testimonial 10\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_5.png\";s:12:\"tmpl_created\";i:1520520562;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-10/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:645;s:16:\"popularity_index\";i:219;s:11:\"trend_index\";i:198;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:790;a:18:{s:4:\"tmpl\";i:582;s:2:\"id\";i:4889;s:5:\"title\";s:14:\"Testimonial 11\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-2.jpg\";s:12:\"tmpl_created\";i:1520520556;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-11/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:646;s:16:\"popularity_index\";i:557;s:11:\"trend_index\";i:522;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:791;a:18:{s:4:\"tmpl\";i:580;s:2:\"id\";i:4871;s:5:\"title\";s:14:\"Testimonial 12\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_3.png\";s:12:\"tmpl_created\";i:1520520552;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-12/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:647;s:16:\"popularity_index\";i:262;s:11:\"trend_index\";i:391;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:792;a:18:{s:4:\"tmpl\";i:578;s:2:\"id\";i:4854;s:5:\"title\";s:14:\"Testimonial 13\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_2.png\";s:12:\"tmpl_created\";i:1520520549;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-13/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:648;s:16:\"popularity_index\";i:637;s:11:\"trend_index\";i:741;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:793;a:18:{s:4:\"tmpl\";i:595;s:2:\"id\";i:4995;s:5:\"title\";s:14:\"Testimonial 14\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_12.png\";s:12:\"tmpl_created\";i:1520520577;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-14/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:649;s:16:\"popularity_index\";i:400;s:11:\"trend_index\";i:411;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:794;a:18:{s:4:\"tmpl\";i:593;s:2:\"id\";i:4979;s:5:\"title\";s:14:\"Testimonial 15\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_10.png\";s:12:\"tmpl_created\";i:1520520573;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-15/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:650;s:16:\"popularity_index\";i:568;s:11:\"trend_index\";i:544;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:795;a:18:{s:4:\"tmpl\";i:576;s:2:\"id\";i:4835;s:5:\"title\";s:14:\"Testimonial 16\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_1.png\";s:12:\"tmpl_created\";i:1520520546;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-16/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:651;s:16:\"popularity_index\";i:399;s:11:\"trend_index\";i:401;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:796;a:18:{s:4:\"tmpl\";i:594;s:2:\"id\";i:4987;s:5:\"title\";s:14:\"Testimonial 17\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_12-1.png\";s:12:\"tmpl_created\";i:1520520575;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-17/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:652;s:16:\"popularity_index\";i:159;s:11:\"trend_index\";i:199;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:797;a:18:{s:4:\"tmpl\";i:577;s:2:\"id\";i:4843;s:5:\"title\";s:14:\"Testimonial 18\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_2.png\";s:12:\"tmpl_created\";i:1520520548;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-18/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:653;s:16:\"popularity_index\";i:457;s:11:\"trend_index\";i:780;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:798;a:18:{s:4:\"tmpl\";i:579;s:2:\"id\";i:4863;s:5:\"title\";s:14:\"Testimonial 19\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_3.png\";s:12:\"tmpl_created\";i:1520520551;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-19/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:654;s:16:\"popularity_index\";i:245;s:11:\"trend_index\";i:599;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:799;a:18:{s:4:\"tmpl\";i:581;s:2:\"id\";i:4880;s:5:\"title\";s:14:\"Testimonial 20\";s:9:\"thumbnail\";s:72:\"https://library.elementor.com/wp-content/uploads/2018/03/customers-1.jpg\";s:12:\"tmpl_created\";i:1520520554;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-20/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:655;s:16:\"popularity_index\";i:446;s:11:\"trend_index\";i:653;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:800;a:18:{s:4:\"tmpl\";i:583;s:2:\"id\";i:4897;s:5:\"title\";s:14:\"Testimonial 21\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_5.png\";s:12:\"tmpl_created\";i:1520520557;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-21/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:656;s:16:\"popularity_index\";i:78;s:11:\"trend_index\";i:289;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:801;a:18:{s:4:\"tmpl\";i:584;s:2:\"id\";i:4905;s:5:\"title\";s:14:\"Testimonial 22\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_6.png\";s:12:\"tmpl_created\";i:1520520559;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-22/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:657;s:16:\"popularity_index\";i:121;s:11:\"trend_index\";i:221;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:802;a:18:{s:4:\"tmpl\";i:585;s:2:\"id\";i:4913;s:5:\"title\";s:14:\"Testimonial 23\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_7.png\";s:12:\"tmpl_created\";i:1520520561;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-23/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:658;s:16:\"popularity_index\";i:247;s:11:\"trend_index\";i:566;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:803;a:18:{s:4:\"tmpl\";i:575;s:2:\"id\";i:4826;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_1.png\";s:12:\"tmpl_created\";i:1520520544;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-24-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:659;s:16:\"popularity_index\";i:256;s:11:\"trend_index\";i:395;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:804;a:18:{s:4:\"tmpl\";i:587;s:2:\"id\";i:4929;s:5:\"title\";s:14:\"Testimonial 24\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_8.png\";s:12:\"tmpl_created\";i:1520520564;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-24/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:660;s:16:\"popularity_index\";i:49;s:11:\"trend_index\";i:206;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:805;a:18:{s:4:\"tmpl\";i:591;s:2:\"id\";i:4963;s:5:\"title\";s:14:\"Testimonial 25\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_10.png\";s:12:\"tmpl_created\";i:1520520570;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:122:\"https://library.elementor.com/blocks/testimonial-25-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:661;s:16:\"popularity_index\";i:417;s:11:\"trend_index\";i:546;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:806;a:18:{s:4:\"tmpl\";i:592;s:2:\"id\";i:4971;s:5:\"title\";s:14:\"Testimonial 26\";s:9:\"thumbnail\";s:82:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_11.png\";s:12:\"tmpl_created\";i:1520520572;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-26/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:662;s:16:\"popularity_index\";i:649;s:11:\"trend_index\";i:718;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:807;a:18:{s:4:\"tmpl\";i:589;s:2:\"id\";i:4947;s:5:\"title\";s:14:\"Testimonial 27\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_white_9.png\";s:12:\"tmpl_created\";i:1520520567;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-27/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:663;s:16:\"popularity_index\";i:221;s:11:\"trend_index\";i:496;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:808;a:18:{s:4:\"tmpl\";i:590;s:2:\"id\";i:4955;s:5:\"title\";s:14:\"Testimonial 29\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_9.png\";s:12:\"tmpl_created\";i:1520520569;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:120:\"https://library.elementor.com/blocks/testimonial-29/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:664;s:16:\"popularity_index\";i:378;s:11:\"trend_index\";i:695;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:809;a:18:{s:4:\"tmpl\";i:588;s:2:\"id\";i:4939;s:5:\"title\";s:13:\"Testimonial 9\";s:9:\"thumbnail\";s:81:\"https://library.elementor.com/wp-content/uploads/2018/03/testimonials_black_8.png\";s:12:\"tmpl_created\";i:1520520565;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/testimonial-9/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:12:\"testimonials\";s:4:\"tags\";s:15:\"[\"Testimonial\"]\";s:10:\"menu_order\";i:665;s:16:\"popularity_index\";i:103;s:11:\"trend_index\";i:341;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"0\";s:12:\"access_level\";i:0;}i:810;a:18:{s:4:\"tmpl\";i:928;s:2:\"id\";i:12509;s:5:\"title\";s:18:\"Travel &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2019/12/404.png\";s:12:\"tmpl_created\";i:1575960378;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:116:\"https://library.elementor.com/blocks/travel-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:24:\"[\"404\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:666;s:16:\"popularity_index\";i:747;s:11:\"trend_index\";i:712;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:811;a:18:{s:4:\"tmpl\";i:929;s:2:\"id\";i:12516;s:5:\"title\";s:27:\"Travel &#8211; Archive Blog\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Archiv_s.png\";s:12:\"tmpl_created\";i:1575960387;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:125:\"https://library.elementor.com/blocks/travel-archive-blog/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:667;s:16:\"popularity_index\";i:496;s:11:\"trend_index\";i:487;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:812;a:18:{s:4:\"tmpl\";i:927;s:2:\"id\";i:12500;s:5:\"title\";s:21:\"Travel &#8211; Header\";s:9:\"thumbnail\";s:84:\"https://library.elementor.com/wp-content/uploads/2020/06/Header-travel-and-tours.png\";s:12:\"tmpl_created\";i:1575960371;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:27:\"[\"Header\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:668;s:16:\"popularity_index\";i:443;s:11:\"trend_index\";i:434;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:813;a:18:{s:4:\"tmpl\";i:930;s:2:\"id\";i:12524;s:5:\"title\";s:26:\"Travel &#8211; Single Post\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Post_s.png\";s:12:\"tmpl_created\";i:1575960397;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-single-post/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:669;s:16:\"popularity_index\";i:591;s:11:\"trend_index\";i:663;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:814;a:18:{s:4:\"tmpl\";i:931;s:2:\"id\";i:12531;s:5:\"title\";s:31:\"Travel &#8211; Single Post Tour\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2019/12/Single_Tour_s.png\";s:12:\"tmpl_created\";i:1575960404;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:129:\"https://library.elementor.com/blocks/travel-single-post-tour/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:18:\"[\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:670;s:16:\"popularity_index\";i:630;s:11:\"trend_index\";i:548;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:815;a:18:{s:4:\"tmpl\";i:926;s:2:\"id\";i:12492;s:5:\"title\";s:14:\"Travel -Footer\";s:9:\"thumbnail\";s:69:\"https://library.elementor.com/wp-content/uploads/2019/12/Footer_s.png\";s:12:\"tmpl_created\";i:1575960358;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:119:\"https://library.elementor.com/blocks/travel-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:27:\"[\"Footer\",\"Tours\",\"Travel\"]\";s:10:\"menu_order\";i:671;s:16:\"popularity_index\";i:453;s:11:\"trend_index\";i:322;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:816;a:18:{s:4:\"tmpl\";i:1068;s:2:\"id\";i:15498;s:5:\"title\";s:23:\"Travel Blog &#8211; 404\";s:9:\"thumbnail\";s:64:\"https://library.elementor.com/wp-content/uploads/2020/11/404.jpg\";s:12:\"tmpl_created\";i:1606215636;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:121:\"https://library.elementor.com/blocks/travel-blog-404/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:8:\"404 page\";s:4:\"tags\";s:23:\"[\"404\",\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:672;s:16:\"popularity_index\";i:749;s:11:\"trend_index\";i:759;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:817;a:18:{s:4:\"tmpl\";i:1069;s:2:\"id\";i:15508;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 1\";s:9:\"thumbnail\";s:74:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-1-350.jpg\";s:12:\"tmpl_created\";i:1606215649;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:673;s:16:\"popularity_index\";i:659;s:11:\"trend_index\";i:468;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:818;a:18:{s:4:\"tmpl\";i:1070;s:2:\"id\";i:15518;s:5:\"title\";s:29:\"Travel Blog &#8211; Archive 2\";s:9:\"thumbnail\";s:79:\"https://library.elementor.com/wp-content/uploads/2020/11/Archive-2-350-Copy.jpg\";s:12:\"tmpl_created\";i:1606215663;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:127:\"https://library.elementor.com/blocks/travel-blog-archive-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:7:\"archive\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:674;s:16:\"popularity_index\";i:688;s:11:\"trend_index\";i:431;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:819;a:18:{s:4:\"tmpl\";i:1071;s:2:\"id\";i:15528;s:5:\"title\";s:26:\"Travel Blog &#8211; Footer\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Footer.jpg\";s:12:\"tmpl_created\";i:1606215673;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-footer/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"footer\";s:4:\"tags\";s:26:\"[\"Blog\",\"Footer\",\"Travel\"]\";s:10:\"menu_order\";i:675;s:16:\"popularity_index\";i:656;s:11:\"trend_index\";i:377;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:820;a:18:{s:4:\"tmpl\";i:1067;s:2:\"id\";i:15536;s:5:\"title\";s:26:\"Travel Blog &#8211; Header\";s:9:\"thumbnail\";s:67:\"https://library.elementor.com/wp-content/uploads/2020/11/Header.jpg\";s:12:\"tmpl_created\";i:1606215625;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:124:\"https://library.elementor.com/blocks/travel-blog-header/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:6:\"header\";s:4:\"tags\";s:26:\"[\"Blog\",\"Header\",\"Travel\"]\";s:10:\"menu_order\";i:676;s:16:\"popularity_index\";i:584;s:11:\"trend_index\";i:228;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"0\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:821;a:18:{s:4:\"tmpl\";i:1072;s:2:\"id\";i:15545;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 1\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-1-350.jpg\";s:12:\"tmpl_created\";i:1606215684;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-1/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:677;s:16:\"popularity_index\";i:669;s:11:\"trend_index\";i:482;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}i:822;a:18:{s:4:\"tmpl\";i:1066;s:2:\"id\";i:15556;s:5:\"title\";s:33:\"Travel Blog &#8211; Single Post 2\";s:9:\"thumbnail\";s:73:\"https://library.elementor.com/wp-content/uploads/2020/11/Single-2-350.jpg\";s:12:\"tmpl_created\";i:1606215613;s:6:\"author\";s:9:\"Elementor\";s:3:\"url\";s:131:\"https://library.elementor.com/blocks/travel-blog-single-post-2/?utm_source=template-library&utm_medium=wp-dash&utm_campaign=preview\";s:4:\"type\";s:5:\"block\";s:7:\"subtype\";s:11:\"single post\";s:4:\"tags\";s:17:\"[\"Blog\",\"Travel\"]\";s:10:\"menu_order\";i:678;s:16:\"popularity_index\";i:652;s:11:\"trend_index\";i:454;s:18:\"editor_layout_type\";s:0:\"\";s:15:\"minimum_version\";s:5:\"0.0.0\";s:17:\"has_page_settings\";s:1:\"1\";s:6:\"is_pro\";s:1:\"1\";s:12:\"access_level\";i:1;}}}", "no");
INSERT INTO `wp_options` VALUES("187", "elementor_remote_info_feed_data", "a:3:{i:0;a:5:{s:5:\"title\";s:73:\"Elementor 3.16 - Faster Performance, Flexible Design, and more Accessible\";s:7:\"excerpt\";s:210:\"Elementor 3.16 activates Flexbox Containers by default for new websites, improves site loading speed with performance enhancements, increases accessibility for visitors who use assistive technologies, and more.\";s:7:\"created\";i:1695134049;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:152:\"https://elementor.com/blog/316-faster-performance-flexible-design-accessibility/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:1;a:5:{s:5:\"title\";s:82:\"Elementor 3.15 is Here - Check out The Taxonomy Filter, Nested Accordion, and More\";s:7:\"excerpt\";s:241:\"This release includes the first phase of the much-awaited Taxonomy Filter, the new and improved Accordion widget with nested items, enhanced styling capabilities for Carousel widgets, fun new Elementor AI Image tools, and the new Apps Page. \";s:7:\"created\";i:1691513693;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:157:\"https://elementor.com/blog/introducing-315-taxonomy-filter-nested-accordion-and-more/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}i:2;a:5:{s:5:\"title\";s:97:\"Introducing Elementor 3.14 - Gain More Design Flexibility with Nested Carousels and Loop Grid Ads\";s:7:\"excerpt\";s:239:\"This version includes a new Carousel widget, extends the Loop Grid with the ability to place static content within the Loop, a Global Styles Preview, and a multitude of highly requested styling capabilities, and new Elementor AI features. \";s:7:\"created\";i:1688394655;s:5:\"badge\";s:3:\"NEW\";s:3:\"url\";s:154:\"https://elementor.com/blog/introducing-314-nested-carousel-loop-grid-ads-and-more/?utm_source=wp-overview-widget&utm_medium=wp-dash&utm_campaign=news-feed\";}}", "no");
INSERT INTO `wp_options` VALUES("198", "jet_is_modify_tm_license_data", "true", "yes");
INSERT INTO `wp_options` VALUES("205", "elementor_pro_version", "3.15.1", "yes");
INSERT INTO `wp_options` VALUES("206", "widget_elementor-library", "a:1:{s:12:\"_multiwidget\";i:1;}", "yes");
INSERT INTO `wp_options` VALUES("207", "_elementor_pro_installed_time", "1694500716", "yes");
INSERT INTO `wp_options` VALUES("208", "elementor_submissions_db_version", "5", "yes");
INSERT INTO `wp_options` VALUES("209", "elementor_notes_db_version", "5", "yes");
INSERT INTO `wp_options` VALUES("211", "_elementor_pro_api_requests_lock", "a:1:{s:11:\"get_version\";i:1697433568;}", "yes");
INSERT INTO `wp_options` VALUES("212", "elementor_pro_remote_info_api_data_3.15.1", "a:2:{s:7:\"timeout\";i:1697489369;s:5:\"value\";s:203615:\"{\"stable_version\":\"3.16.2\",\"last_updated\":\"2022-05-10 14:03:37\",\"sections\":\"a:2:{s:11:\\\"description\\\";s:161:\\\"Elementor Pro adds new features to the Elementor Page Builder plugin. Control your conversions, your user engagement, your entire website, from one page builder.\\\";s:9:\\\"changelog\\\";s:189209:\\\"<h2>Elementor Pro - by Elementor.com<\\/h2>\\n<h4>3.16.2 - 2023-09-20<\\/h4>\\n<ul>\\n<li>Fix: Fit to Content dropdown position calculation is incorrect in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23808\\\">#23808<\\/a>)<\\/li>\\n<li>Fix: Reverted hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23804\\\">#23804<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.16.1 - 2023-09-14<\\/h4>\\n<ul>\\n<li>Fix: Dynamic tag for ACF image field is not working as expected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23757\\\">#23757<\\/a>)<\\/li>\\n<li>Fix: Sticky functionality affects padding values in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23758\\\">#23758<\\/a>)<\\/li>\\n<li>Fix: HTML list issues for padding and margin in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.16.0 - 2023-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Implemented accessibility improvements in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23607\\\">#23607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22554\\\">#22554<\\/a>)<\\/li>\\n<li>Fix: \'Fallback: Recent Posts\' option malfunctions in the Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21436\\\">#21436<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23259\\\">#23259<\\/a>)<\\/li>\\n<li>Tweak: Hide navigation arrows when there is only one slide in the Loop or Nested carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22056\\\">#22056<\\/a>)<\\/li>\\n<li>Tweak: Used appropriate image <code>alt<\\/code> in Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17680\\\">#17680<\\/a>)<\\/li>\\n<li>Tweak: Optimized Scroll Snap functionality when using Container widget<\\/li>\\n<li>Tweak: Enhanced Elementor Role Manager functionality when using Containers<\\/li>\\n<li>Tweak: Added Notes feature to the Editor Top Bar<\\/li>\\n<li>Tweak: Replace CSS <code>float<\\/code> with other layouts in the Editor<\\/li>\\n<li>Tweak: Upgraded HTML Structure for the Menu widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Carousel and Menu widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to a link in Posts widget<\\/li>\\n<li>Tweak: Loop Builder feature merged to version<\\/li>\\n<li>Fix: Addressed inconsistency in hover effect durations between icon, dropdown indicator colors, and text colors in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22376\\\">#22376<\\/a>)<\\/li>\\n<li>Fix: Slides break if the parent container is set to HTML A tag in Loop Carousel and Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22678\\\">#22678<\\/a>)<\\/li>\\n<li>Fix: The icon size setting is not affecting uploaded SVG icons in the Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22372\\\">#22372<\\/a>)<\\/li>\\n<li>Fix: Taxonomy filter does not work with slug in foreign characters (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/23315\\\">#23315<\\/a>)<\\/li>\\n<li>Fix: Improved code security enforcement in Dynamic Tags<\\/li>\\n<li>Fix: Sticky container incorrectly adjusts its width when transitioning from a smaller breakpoint to a larger one within the Editor<\\/li>\\n<\\/ul>\\n<h4>3.15.1 - 2023-08-09<\\/h4>\\n<ul>\\n<li>Fix: Improved code security enforcement in Table of Contents widget<\\/li>\\n<\\/ul>\\n<h4>3.15.0 - 2023-07-31<\\/h4>\\n<ul>\\n<li>New: Introducing Taxonomy Filter widget - Empower visitors to seamlessly filter listings in Loop Grids based on taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3140\\\">#3140<\\/a>)<\\/li>\\n<li>Tweak: Added an &quot;Offset Sides&quot; functionality in Carousel and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21114\\\">#21114<\\/a>)<\\/li>\\n<li>Tweak: Modified the size of the Publish button in the Editor Top Bar feature (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22472\\\">#22472<\\/a>)<\\/li>\\n<li>Tweak: Improved Ajax permissions functionality for better security enforcement<\\/li>\\n<li>Tweak: Added option for pagination custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added option for navigation custom position in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added additional styling options for navigation in Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Added labels to shortcode column in WordPress admin<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in Menu widget<\\/li>\\n<li>Tweak: Unified the appearance of <code>stretch<\\/code> and <code>center<\\/code> buttons in My Account widget<\\/li>\\n<li>Tweak: Improved panel UI in Video Playlist widget<\\/li>\\n<li>Tweak: Implemented CSS logical properties in Elementor Editor<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Price List widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Slides widget<\\/li>\\n<li>Tweak: Added &quot;Title HTML Tag&quot; and &quot;Description HTML Tag&quot; in Flip Box widget<\\/li>\\n<li>Tweak: Added &quot;Description HTML Tag&quot; in Call To Action widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Share Buttons widget<\\/li>\\n<li>Security Fix: Improved code security enforcement in Form widget<\\/li>\\n<li>Fix: WooCommerce Status page failed to recognize Elementor WooCommerce widgets<\\/li>\\n<li>Fix: Pagination does not work inside single templates when using Posts and Loop Grid widgets<\\/li>\\n<li>Fix: Incorrect saving of WooCommerce page settings in Elementor site settings under certain scenarios<\\/li>\\n<\\/ul>\\n<h4>3.14.1 - 2023-06-26<\\/h4>\\n<ul>\\n<li>Tweak: Improved navigation on touch devices in Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22827\\\">#22827<\\/a>)<\\/li>\\n<li>Fix: Missing navigation arrows on lightbox in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22870\\\">#22870<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.14.0 - 2023-06-19<\\/h4>\\n<ul>\\n<li>New: Introducing Carousel widget - Infinite design possibilities, and nesting capabilities (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2587\\\">#2587<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>Tweak: Added Static Item Position functionality to Alternate template in Loop Grid widget<\\/li>\\n<li>Tweak: Added visual indication of Page Parts<\\/li>\\n<li>Tweak: Added dividers option between menu items in Menu widget<\\/li>\\n<li>Tweak: Changed the HTML structure of Pagination and Navigation in Loop Carousel and Nested Carousel widgets<\\/li>\\n<li>Tweak: Added shop page in WooCommerce Pages section in Site Settings<\\/li>\\n<li>Tweak: Added Text Shadow, Box Shadow and Padding control to button in Call to Action widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Video Playlist widget<\\/li>\\n<li>Tweak: Added <code>alt<\\/code> attribute to images in Video Playlist widget<\\/li>\\n<li>Tweak: Replaced select control with choose control for Flip Direction control in Flip Box widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Carousel and Loop Carousel widgets<\\/li>\\n<li>Tweak: Use <code>media_types<\\/code> array in Media controls<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11193\\\">#11193<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19871\\\">#19871<\\/a>)<\\/li>\\n<li>Fix: Responsive settings for templates don\'t work as expected when Additional Custom Breakpoints feature is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16819\\\">#16819<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19394\\\">#19394<\\/a>)<\\/li>\\n<li>Fix: Inner containers are not presented as expected in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21813\\\">#21813<\\/a>)<\\/li>\\n<li>Fix: Popup width does not support percentages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22413\\\">#22413<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x throws errors when using WooCommerce Ajax response (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22199\\\">#22199<\\/a>)<\\/li>\\n<li>Fix: Mini cart template appears as empty in various scenarios in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22789\\\">#22789<\\/a>)<\\/li>\\n<li>Fix: Order by Price doesn\'t work for the Latest products or Manual Selection in Products widget<\\/li>\\n<li>Fix: Dropdown indicator icon is not vertically aligned to the text when using icon in Menu Widget<\\/li>\\n<li>Fix: Mixed content warning in the console for Video Playlist widget<\\/li>\\n<li>Fix: Preview settings are not presented as expected after first save in Loop Template<\\/li>\\n<li>Fix: Not-crawlable link error in Video Playlist widget<\\/li>\\n<li>Fix: Lightbox is still enabled after disabling it in the Site Settings in Logo widget<\\/li>\\n<li>Fix: Focus state issue on page load when using Table of Content widget<\\/li>\\n<\\/ul>\\n<h4>3.13.2 - 2023-05-22<\\/h4>\\n<ul>\\n<li>Fix: Hover settings not working as expected on Touch-Enabled devices in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22258\\\">#22258<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.1 - 2023-05-11<\\/h4>\\n<ul>\\n<li>Security Fix: Addressed security weaknesses in access management related functions<\\/li>\\n<li>Fix: Excerpt content pulled from post content is showing with HTML tags in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22367\\\">#22367<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.13.0 - 2023-05-08<\\/h4>\\n<ul>\\n<li>Tweak: Provided an option to assign excerpt automatically from post content in Post Excerpt dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20256\\\">#20256<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21715\\\">#21715<\\/a>)<\\/li>\\n<li>Tweak: Added Display Conditions functionality in Editor Top bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21675\\\">#21675<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/22050\\\">#22050<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor_page_id<\\/code> from request URLs in the WC AJAX calls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18675\\\">#18675<\\/a>)<\\/li>\\n<li>Tweak: Added icons to menu items in Mega Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/21602\\\">#21602<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility to Toggle Button in WordPress Menu widget (<a href=\\\"https:\\/\\/github.com\\/orgs\\/elementor\\/discussions\\/2348\\\">#2348<\\/a>)<\\/li>\\n<li>Tweak: Added \'Active item state\' to top-level menu items for anchor links in the Menu widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Loop Carousel widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Slides widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to navigation arrows in Media, Testimonial and Reviews Carousel widgets<\\/li>\\n<li>Tweak: Added keyboard accessibility to Table of Content widget<\\/li>\\n<li>Tweak: Added keyboard accessibility to Search Form widget<\\/li>\\n<li>Tweak: Added accessibility to images in Slides widget<\\/li>\\n<li>Tweak: Added accessibility to images in Call To Action widget<\\/li>\\n<li>Tweak: Added accessibility to images in Media Carousel widget<\\/li>\\n<li>Tweak: Added accessibility to images in Gallery widget<\\/li>\\n<li>Tweak: Added Lazy Load support for avatar image in Post Info widget<\\/li>\\n<li>Tweak: Added Lazy Load support to various Elementor Editor and Admin images<\\/li>\\n<li>Tweak: Added Lazy Load support for author image in Author Box widget<\\/li>\\n<li>Tweak: Added Lazy Load support for images in Price List widget<\\/li>\\n<li>Fix: Content width is affected by the widget\'s width when Content Width is set to Fit to Content in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21842\\\">#21842<\\/a>)<\\/li>\\n<li>Fix: Empty value on Rows field causes an error in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21451\\\">#21451<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.3 - 2023-04-23<\\/h4>\\n<ul>\\n<li>Fix: Document is not loading after assigning a CSS ID value to a menu item in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21934\\\">#21934<\\/a>)<\\/li>\\n<li>Fix: Elementor CLI causes conflicts with other CLI commands when using PHP 8+ (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21582\\\">#21582<\\/a>)<\\/li>\\n<li>Fix: Dropdown content area is not working as expected with Space Between and Margins in Menu widget<\\/li>\\n<li>Fix: Reverted the option to set a custom icon to Remove Item in Menu Cart widget<\\/li>\\n<li>Fix: Mini cart template appears as empty in various scenarios in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.12.2 - 2023-04-09<\\/h4>\\n<ul>\\n<li>Fix: Mini cart template appears as empty in various WordPress themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21836\\\">#21836<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.12.1 - 2023-04-02<\\/h4>\\n<ul>\\n<li>Fix: Default background colors are presented as transparent in Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21824\\\">#21824<\\/a>)<\\/li>\\n<li>Fix: Reverted the tweak of Form Submissions feature merged to the version (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21821\\\">#21821<\\/a>)<\\/li>\\n<li>Fix: Dropdown area is not closing when hovering outside of the content area in Menu widget<\\/li>\\n<\\/ul>\\n<h4>3.12.0 - 2023-03-29<\\/h4>\\n<ul>\\n<li>New: Introducing the Mega Menu with the new Menu widget - empowers you to achieve a much higher level of menu design, customization, and creativity<\\/li>\\n<li>New: Diversify your design with a Loop Alternate template - apply another template within your Loop Grid for design creativity<\\/li>\\n<li>New: Kickstart your workflow with predesigned Loop container-based templates<\\/li>\\n<li>Tweak: Added custom icon controls to various locations in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13678\\\">#13678<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17941\\\">#17941<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19295\\\">#19295<\\/a>)<\\/li>\\n<li>Tweak: Added a spacing control between navigation and slides in the Loop Carousel<\\/li>\\n<li>Tweak: Added responsive control to the \'Gap between slides\' control in the Loop Carousel<\\/li>\\n<li>Tweak: Added Custom CSS section in Loop Item template<\\/li>\\n<li>Tweak: Added an Article class metadata in Loop Item template<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in CTA widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added Lazy Load support for background images in Flipbox widget when using the Lazy Load Background Images experiment<\\/li>\\n<li>Tweak: Added additional size units and custom units in all elements<\\/li>\\n<li>Tweak: Changed Nav Menu widget name to WordPress Menu widget<\\/li>\\n<li>Tweak: Added &quot;Form Validation&quot; control to Form widget<\\/li>\\n<li>Tweak: Updated custom messages in the Form widget<\\/li>\\n<li>Tweak: Improved accessibility in various elements in Gallery widget<\\/li>\\n<li>Tweak: Form Submissions feature merged to version<\\/li>\\n<li>Tweak: Loop feature promoted to Stable status<\\/li>\\n<li>Tweak: Page Transitions feature promoted to Stable status<\\/li>\\n<li>Tweak: Improved accessibility in filter bar in Gallery widget<\\/li>\\n<li>Tweak: Remove unused <code>aspect-ratio-*<\\/code> CSS classes<\\/li>\\n<li>Fix: Not all active breakpoints appear under &quot;Advanced Rules&quot; in popup publish settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17020\\\">#17020<\\/a>)<\\/li>\\n<li>Fix: Dynamic background image and video is not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.11.7 - 2023-03-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in WooCommerce components<\\/li>\\n<\\/ul>\\n<h4>3.11.6 - 2023-03-14<\\/h4>\\n<ul>\\n<li>Tweak: Improved code security enforcement in Author Box and Countdown widgets<\\/li>\\n<\\/ul>\\n<h4>3.11.5 - 2023-03-12<\\/h4>\\n<ul>\\n<li>Fix: Hamburger Menu Toggle not showing if breakpoint is set to Tablet Extra in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21003\\\">#21003<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.4 - 2023-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Prevented SVG file upload for better security enforcement in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.11.3 - 2023-02-26<\\/h4>\\n<ul>\\n<li>Fix: Error message appears when submitting a form placed below Loop Grid and Loop Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21432\\\">#21432<\\/a>)<\\/li>\\n<li>Fix: PHP 8.x compatibility issues in various places<\\/li>\\n<\\/ul>\\n<h4>3.11.2 - 2023-02-22<\\/h4>\\n<ul>\\n<li>Fix: Save &amp; Back handle from the Loop Carousel becomes inaccessible in some cases ([#21316]<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21316\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21316<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.1 - 2023-02-15<\\/h4>\\n<ul>\\n<li>Fix: Featured Image dynamic tag is not working in Background images (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21313\\\">#21313<\\/a>)<\\/li>\\n<li>Fix: Time zone is not correct in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17485\\\">#17485<\\/a>)<\\/li>\\n<li>Fix: File upload field is not working in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21341\\\">#21341<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21314\\\">#21314<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.11.0 - 2023-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Carousel widget - Create powerful &amp; repeating loop templates and populate each one with dynamic content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/219\\\">#219<\\/a>)<\\/li>\\n<li>New: Added Date and Time Range option to Advanced Rules in Popup<\\/li>\\n<li>Tweak: Improved accessibility when opening and closing a popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9788\\\">#9788<\\/a>)<\\/li>\\n<li>Tweak: Improved accessibility of full-screen mode in Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19907\\\">#19907<\\/a>)<\\/li>\\n<li>Tweak: Added keyboard accessibility support to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5861\\\">#5861<\\/a>)<\\/li>\\n<li>Tweak: Add <code>aria-label<\\/code> to read more link in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13784\\\">#13784<\\/a>)<\\/li>\\n<li>Tweak: Use <code>aspect-ratio<\\/code> property instead of CSS trick in Media Carousel widget<\\/li>\\n<li>Tweak: Updated translation string in Stripe widget<\\/li>\\n<li>Fix: Masonry and Columns controls are not working as expected with responsive in Posts and Loop Grid widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20670\\\">#20670<\\/a>)<\\/li>\\n<li>Fix: Invalid attributes names in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17400\\\">#17400<\\/a>)<\\/li>\\n<li>Fix: Post Image Attachments dynamic tag is not working as expected in various widgets<\\/li>\\n<li>Fix: Form fields order is not presented correctly when exported to CSV in Form Submissions<\\/li>\\n<li>Fix: Dynamic background image and video are not working with ACF in Loop Grid widget<\\/li>\\n<\\/ul>\\n<h4>3.10.3 - 2023-01-29<\\/h4>\\n<ul>\\n<li>Tweak: Added introduction video to loop item information modal in Theme Builder<\\/li>\\n<li>Fix: PHP 8.x throws errors and notices in some cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/21087\\\">#21087<\\/a>)<\\/li>\\n<li>Fix: Infinite Scroll and Load on click pagination are not working as expected in Archive template<\\/li>\\n<li>Fix: Show row even when values do not exist in Form Submissions<\\/li>\\n<\\/ul>\\n<h4>3.10.2 - 2023-01-17<\\/h4>\\n<ul>\\n<li>Fix: Updated compatibility tag for Elementor v3.10<\\/li>\\n<\\/ul>\\n<h4>3.10.1 - 2023-01-09<\\/h4>\\n<p>Fix: Preview Could not be loaded error message appears on pages containing the Loop Grid in a header or footer templates<\\/p>\\n<h4>3.10.0 - 2023-01-09<\\/h4>\\n<ul>\\n<li>New: Added new dynamic tag for due date in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7737\\\">#7737<\\/a>)<\\/li>\\n<li>Tweak: Added <code>modified<\\/code> and <code>comment_count<\\/code> to Order By in posts query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11159\\\">#11159<\\/a>)<\\/li>\\n<li>Tweak: Replaced <code>footer<\\/code> tag in Blockquote and Comments widgets for better semantics<\\/li>\\n<li>Fix: Compatibility issue in Imagify Media Library filters due to <code>_elementor_is_screenshot<\\/code> meta filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19988\\\">#19988<\\/a>)<\\/li>\\n<li>Fix: Hotspot Widget label icon height issues when Inline Font Icons experiment is active<\\/li>\\n<li>Fix: Editing glitch when using two loop grid widgets on the same page with the same loop item template<\\/li>\\n<li>Fix: Equal height is not working when using sections in Loop Grid widget<\\/li>\\n<li>Fix: Large amount of menu items are not appearing correctly on a mobile device in Nav Menu widget<\\/li>\\n<li>Fix: Featured Image does not change dynamically when using infinite\\/click pagination in Loop Grid widget<\\/li>\\n<li>Fix: Removed action call of non-existent <code>display_empty_cart_template()<\\/code> method in Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.9.2 - 2022-12-21<\\/h4>\\n<ul>\\n<li>Fix: JS events do not trigger in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20708\\\">#20708<\\/a>)<\\/li>\\n<li>Fix: PHP Errors appear when not using the toggle menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18636\\\">#18636<\\/a>)<\\/li>\\n<li>Fix: Popups\' backgrounds disappear when using Lazy Load Background Images experiment<\\/li>\\n<\\/ul>\\n<h4>3.9.1 - 2022-12-14<\\/h4>\\n<ul>\\n<li>Fix: WooCommerce Product Gallery dynamic tag is not working in Basic Gallery, Gallery and Image Carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20678\\\">#20678<\\/a>)<\\/li>\\n<li>Fix: Hide Empty option is not working in Menu Cart widget<\\/li>\\n<li>Fix: The Stripe Button widget doesn\'t work in Templates<\\/li>\\n<\\/ul>\\n<h4>3.9.0 - 2022-12-06<\\/h4>\\n<ul>\\n<li>New: Added support for WooCommerce to Loop Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20020\\\">#20020<\\/a>)<\\/li>\\n<li>Tweak: Added more options to \'Show up to X times\' advanced rule in Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8187\\\">#8187<\\/a>)<\\/li>\\n<li>Tweak: Allow saving and reloading a page while editing in-place loop item template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19882\\\">#19882<\\/a>)<\\/li>\\n<li>Tweak: Added <code>$location param<\\/code> to <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18453\\\">#18453<\\/a>)<\\/li>\\n<li>Tweak: Removed redundant labels from group controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11666\\\">#11666<\\/a>)<\\/li>\\n<li>Tweak: Added support to use sections and columns as the layout structure of a Loop item template<\\/li>\\n<li>Tweak: Disabled movement when a repeater item is in focus in edit mode<\\/li>\\n<li>Tweak: Upgrade the autoprefixer package to better minify CSS files<\\/li>\\n<li>Tweak: Removed duplicate SQL queries on every page for better performance<\\/li>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Added more units options to Border Width control in various elements<\\/li>\\n<li>Tweak: Added <code>em<\\/code> units to Border Radius control in various elements<\\/li>\\n<li>Tweak: Added \'Equal height\' functionality to Loop Grid widget<\\/li>\\n<li>Fix: Issue with Related Products widget and WooCommerce Pixel Manager plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16934\\\">#16934<\\/a>)<\\/li>\\n<li>Fix: My Account widget gets hidden when using a single page template with post content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19627\\\">#19627<\\/a>)<\\/li>\\n<li>Fix: Cart is not updated when cache enabled in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19312\\\">#19312<\\/a>)<\\/li>\\n<li>Fix: Entrance animations are not working as expected with Infinite Loop and Load on CLick pagination in Loop Grid widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20293\\\">#20293<\\/a>)<\\/li>\\n<li>Fix: Loading page issues in Form Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19973\\\">#19973<\\/a>)<\\/li>\\n<li>Fix: Recently Edited date and time not working as expected in Elementor Overview plugin in WordPress dashboard (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17966\\\">#17966<\\/a>)<\\/li>\\n<li>Fix: Recurring license mismatch error message when using translators plugins<\\/li>\\n<li>Fix: Submenu items triggers page transition instead of opening in Nav Menu widget<\\/li>\\n<li>Fix: Query values of Posts widget are not imported correctly when importing a Kit<\\/li>\\n<li>Fix: Loop items are exceeding the widget boundaries in Loop Grid widget<\\/li>\\n<li>Fix: Order by option is not working as expected when choosing Upsells, Cross-Sells and Related Products query in Products widget<\\/li>\\n<li>Fix: Various widgets disappear in certain scenarios when choosing direction Row or Column in Container<\\/li>\\n<\\/ul>\\n<h4>3.8.2 - 2022-11-21<\\/h4>\\n<ul>\\n<li>Fix: Z-index issues when applying sticky to Container<\\/li>\\n<li>Fix: Error message appears on front with Editor and Shop Manager roles when using the Loop Builder widget<\\/li>\\n<\\/ul>\\n<h4>3.8.1 - 2022-11-07<\\/h4>\\n<ul>\\n<li>Fix: Sticky inner section is not staying in the column when applying sticky option in Sections (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20203\\\">#20203<\\/a>)<\\/li>\\n<li>Fix: Post Title widget located in a loop item template disappears when enabling the hide title option inside page settings (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20207\\\">#20207<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20255\\\">#20255<\\/a>)<\\/li>\\n<li>Fix: ACF Dynamic data not rendering correctly in various scenarios (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20235\\\">#20235<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20258\\\">#20258<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20277\\\">#20277<\\/a>)<\\/li>\\n<li>Fix: Z-index issues when applying sticky to Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/20227\\\">#20227<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.8.0 - 2022-10-30<\\/h4>\\n<ul>\\n<li>New: Introducing Loop Builder as a beta status experiment - Create powerful &amp; repeating loop templates and populate each one with dynamic content and design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4440\\\">#4440<\\/a>)<\\/li>\\n<li>Tweak: Add <code>wp_body_open()<\\/code> to header in Header template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11562\\\">#11562<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15828\\\">#15828<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13089\\\">#13089<\\/a>)<\\/li>\\n<li>Tweak: Added support border-radius option to the Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14316\\\">#14316<\\/a>)<\\/li>\\n<li>Tweak: Import\\/Export CLI and UI mechanisms were merged into a unified service<\\/li>\\n<li>Tweak: User with no permission to Notes cannot be mentioned in a note<\\/li>\\n<li>Tweak: User with no permission to view a post cannot be mentioned in a note<\\/li>\\n<li>Tweak: Notes was added to the right click context-menu<\\/li>\\n<li>Tweak: Notes panel can be resizable<\\/li>\\n<li>Tweak: Notes panel can be dragged outside of the canvas in responsive mode in the editor<\\/li>\\n<li>Tweak: Updated form validation messages translation strings in Form widget<\\/li>\\n<li>Tweak: Updated translators comments<\\/li>\\n<li>Tweak: Theme Builder logo and Title should be clickable<\\/li>\\n<li>Tweak: Reduced API requests and DB calls on non-write setup<\\/li>\\n<li>Tweak: Added media queries to the Table of Contents widget<\\/li>\\n<li>Fix: Sticky option is not working as expected in various scenarios in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19540\\\">#19540<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19618\\\">#19618<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19777\\\">#19777<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19827\\\">#19827<\\/a>)<\\/li>\\n<li>Fix: Mixed Content errors on HTTPS in Video Playlist Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18895\\\">#18895<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18945\\\">#18945<\\/a>)<\\/li>\\n<li>Fix: Note\'s timestamp is being updated according to the last activity in Notes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19123\\\">#19123<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17582\\\">#17582<\\/a>)<\\/li>\\n<li>Fix: Accessibility attribute <code>role=navigation<\\/code> is redundant in pagination in Posts widget<\\/li>\\n<li>Fix: Share buttons is accessible with keyboard but not clickable<\\/li>\\n<li>Fix: Sub-items icons style is missing in preview with Inline Font Icons experiment in Nav Menu widget<\\/li>\\n<li>Fix: Quotes are appearing as HTML when editing a note in Notes<\\/li>\\n<li>Fix: Label\'s Icon height increases when Inline Font Icons experiment is active in Hotspot Widget<\\/li>\\n<li>Fix: Sub conditions of templates are not overridden when importing a Kit<\\/li>\\n<li>Fix: X\\/Y Anchor Point controls were not visible for Scale and Rotate effects<\\/li>\\n<li>Fix: PHP warning notice appears in some situations when using motion effects<\\/li>\\n<\\/ul>\\n<h4>3.7.7 - 2022-09-20<\\/h4>\\n<ul>\\n<li>Fix: Default Flex Grow affects the layout when the container is set to direction Column in various widgets<\\/li>\\n<\\/ul>\\n<h4>3.7.6 - 2022-09-14<\\/h4>\\n<ul>\\n<li>Fix: Submissions menu item appears at the bottom of Elementor section in WordPress dashboard<\\/li>\\n<\\/ul>\\n<h4>3.7.5 - 2022-08-31<\\/h4>\\n<ul>\\n<li>Fix: Error message appears on front if WooCommerce is activated ([#19553] (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19553<\\/a>))<\\/li>\\n<\\/ul>\\n<h4>3.7.4 - 2022-08-29<\\/h4>\\n<ul>\\n<li>Tweak: PHP 5.6 Is deprecated<\\/li>\\n<li>Fix: Triangle icon is not being displayed in the Select field when Inline Font Icons Experiment is active in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18598\\\">#18598<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/19495\\\">#19495<\\/a>)<\\/li>\\n<li>Fix: The page jumps or flickers to the video playlist on page reload in Video Playlist Widget<\\/li>\\n<\\/ul>\\n<h4>3.7.3 - 2022-07-31<\\/h4>\\n<ul>\\n<li>Tweak: Improved license mechanism for correct validation<\\/li>\\n<li>Fix: Sticky option causes unexpected results when using the Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18357\\\">#18357<\\/a>)<\\/li>\\n<li>Fix: Price list, Portfolio, Flip Box and Gallery widgets disappear when the direction is set to column in Container (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18880\\\">#18880<\\/a>)<\\/li>\\n<li>Fix: Quotes characher is showing up as <code>&amp;quot;<\\/code> when editing a note in Notes<\\/li>\\n<\\/ul>\\n<h4>3.7.2 - 2022-06-15<\\/h4>\\n<ul>\\n<li>Tweak: Applied optimized file handling in various modules<\\/li>\\n<li>Fix: Related posts query options are missing in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18633\\\">#18633<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18641\\\">#18641<\\/a>)<\\/li>\\n<li>Fix: Menu Cart Icon is not being displayed on all browsers when Inline Font Icons Experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17705\\\">#17705<\\/a>)<\\/li>\\n<li>Fix: Gallery widget is not working as expected in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18408\\\">#18408<\\/a>)<\\/li>\\n<li>Fix: Flip box is not visible when the direction is set to Row in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18413\\\">#18413<\\/a>)<\\/li>\\n<li>Fix: Portfolio widget is not visible when dragged into &quot;Row&quot; direction Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17653\\\">#17653<\\/a>)<\\/li>\\n<li>Fix: Menu cart is open automatically in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18629]\\\">#18629<\\/a><\\/li>\\n<li>Fix: PHP error is being shown the license is expired in License screen<\\/li>\\n<\\/ul>\\n<h4>3.7.1 - 2022-05-16<\\/h4>\\n<ul>\\n<li>Fix: Notes icon appears as an empty square in admin top bar for users with permissions lower than Editor<\\/li>\\n<li>Fix: Notes experiment causes a PHP fatal error on some cases<\\/li>\\n<li>Fix: UI glitches in Notes feature<\\/li>\\n<\\/ul>\\n<h4>3.7.0 - 2022-05-10<\\/h4>\\n<ul>\\n<li>New: Introducing Notes - Work collaboratively directly within Elementor<\\/li>\\n<li>New: Stripe Button widget - Collect Stripe payments directly from your site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14748\\\">#14748<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Add to Cart dynamic tag - add products to cart from every widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10607\\\">#10607<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11801\\\">#11801<\\/a>)<\\/li>\\n<li>New: Added WooCommerce Product Content dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16367\\\">#16367<\\/a>)<\\/li>\\n<li>Tweak: Added Related, Upsells and Cross-Sells query sources to Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8071\\\">#8071<\\/a>)<\\/li>\\n<li>Tweak: Added custom icon control to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18007\\\">#18007<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14357\\\">#14357<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13151\\\">#13151<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11361\\\">#11361<\\/a>)<\\/li>\\n<li>Tweak: Added an option to minimize on Desktop device in Table of Contents widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9933\\\">#9933<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10729\\\">#10729<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10314\\\">#10314<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6691\\\">#6691<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11774\\\">#11774<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9051\\\">#9051<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6327\\\">#6327<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag controls to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5760\\\">#5760<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9774\\\">#9774<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom option in various Product widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10263\\\">#10263<\\/a>)<\\/li>\\n<li>Tweak: Added align button to bottom control in Posts and Archive Posts widgets<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added the ability to hide and show the coupon section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Cart widget<\\/li>\\n<li>Tweak: Added alignment option to various buttons in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added percentage unit to padding control in Additional Information customize section in WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added quick link to create new theme parts directly from the Finder<\\/li>\\n<li>Tweak: Added the option to add a custom template to Dashboard screen in My Account widget<\\/li>\\n<li>Tweak: Added spacing control to view cart button in various product widgets<\\/li>\\n<li>Tweak: Added the option to add a custom template to empty cart state in Cart widget<\\/li>\\n<li>Tweak: Adjusted the layout of the Payment Methods screen in the My Account widget<\\/li>\\n<li>Tweak: Added lazy load option to Media Carousel, Reviews and Testimonial Carousel widgets<\\/li>\\n<li>Tweak: Added Site Identity quick link to Logo widget<\\/li>\\n<li>Tweak: Added Site Identity quick link to Site Title widget<\\/li>\\n<li>Tweak: Created an attribute that allows disabling page transition for specific links<\\/li>\\n<li>Tweak: Added dynamic tag controls to Gallery widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Countdown widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Portfolio widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Price Table widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Login widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Blockquote widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Facebook Comments widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post Navigation widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Search Form widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Author Box widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Post info widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Posts widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Product Meta widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Archive Products widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Sitemap widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Reviews widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to Code Highlight widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to PayPal Button widget<\\/li>\\n<li>Tweak: Added dynamic tag controls to WooCommerce Checkout widget<\\/li>\\n<li>Tweak: Added missing PHP documentation to hooks<\\/li>\\n<li>Fix: Scrolling glitches on mobile devices when Sticky Effect is enabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17767\\\">#17767<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18330\\\">#18330<\\/a>)<\\/li>\\n<li>Fix: Only 1st honypot field is validated when using multiple honeypot fields in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18136\\\">#18136<\\/a>)<\\/li>\\n<li>Fix: Checkout button background color is not working as expected in Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18289\\\">#18289<\\/a>)<\\/li>\\n<li>Fix: Button labels are not accessible for screen readers in Share buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<li>Fix: Downloads titles controls are not working in responsive in WooCommerce Purchase Summary widget<\\/li>\\n<li>Fix: Excerpt length is not working as expected in Posts and Archive Posts widgets<\\/li>\\n<li>Fix: Titles &amp; Totals weight is not working in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Product image is not appearing on Single Product Page on template load<\\/li>\\n<li>Fix: Additional Information title not editable in some scenarios in WooCommerce Checkout widget<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in Cart widget<\\/li>\\n<li>Fix: UI Glitch in Masonry control in Portfolio widget<\\/li>\\n<li>Fix: Custom breakpoints experiment didn\'t work on Single post and page templates<\\/li>\\n<li>Fix: Testimonial carousel &amp; Reviews widgets disregards the <code>alt<\\/code> attribute<\\/li>\\n<li>Fix: Playlist widget deeplink didn\'t send user directly to the widget in the page<\\/li>\\n<li>Fix: Masonry option causes the images to disappear in the Editor in Posts widget<\\/li>\\n<li>Fix: Scrollbar appears after clicking on the dropdown toggle in Nav Menu widget<\\/li>\\n<li>Fix: Custom icons disappear on frontend if the pack name contains numbers<\\/li>\\n<li>Fix: Custom Font disappears if the name contains only numbers<\\/li>\\n<li>Fix: <code>end-section()<\\/code> is missing from Progress Tracker and Facebook Embed widgets<\\/li>\\n<li>Tweak: Added a filter for conditions cache query in Theme Builder<\\/li>\\n<li>Fix: Customizations lost on Ajax refresh in WooCommerce Cart widget<\\/li>\\n<li>Fix: Hello theme Header and Footer experiment is not working when WooCommerce plugin is active<\\/li>\\n<li>Fix: Color controls are not working as expected in Checkout widget<\\/li>\\n<li>Fix: Color controls are not working as expected in My Account widget<\\/li>\\n<li>Fix: Empty state widget preview in the editor is disappearing in various widgets<\\/li>\\n<li>Fix: Cart is not updating automatically on mobile in WooCommerce Cart widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-7-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.6.5 - 2022-04-12<\\/h4>\\n<ul>\\n<li>Fix: Compatibility issues for several widgets in iOS 14 and macOS 13 devices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18090\\\">#18090<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15910\\\">#15910<\\/a>)<\\/li>\\n<li>Fix: Button Alignment doesn\'t work in Custom Add To Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17810\\\">#17810<\\/a>)<\\/li>\\n<li>Fix: PHP warning is thrown in some cases in PayPal button widget<\\/li>\\n<li>Fix: PHP 8.1 throws errors and notices in some cases<\\/li>\\n<li>Fix: PHP notice was thrown when Kit Import process initiated without display conditions<\\/li>\\n<li>Fix: Create Account button always opens on the Sign Up screen even if the user has an account in Onboarding process<\\/li>\\n<\\/ul>\\n<h4>3.6.4 - 2022-03-15<\\/h4>\\n<ul>\\n<li>Tweak: Kit import dynamic reference support for templates and dynamic tags<\\/li>\\n<li>Tweak: Updated tested up to version tag to <code>3.6.0<\\/code><\\/li>\\n<li>Fix: Sticky caused scrolling issues after clicking an element that expands the page height (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17821\\\">#17821<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17839\\\">#17839<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18069\\\">#18069<\\/a>)<\\/li>\\n<li>Fix: When saving Global widget JS error is being thrown and editor fails to load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17954\\\">#17954<\\/a>)<\\/li>\\n<li>Fix: Motion effects are missing from Background section under Style tab in Container element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/18063\\\">#18063<\\/a>)<\\/li>\\n<li>Fix: Imported Kit doesn\'t appear in the theme builder after successful import in some cases<\\/li>\\n<li>Fix: Added future Pro support to fix the Cart icon that shifted aside in Menu cart widget<\\/li>\\n<\\/ul>\\n<h4>3.6.3 - 2022-02-28<\\/h4>\\n<ul>\\n<li>Fix: Custom Code display conditions modal is not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17865\\\">#17865<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17942\\\">#17942<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17994\\\">#17994<\\/a>)<\\/li>\\n<li>Fix: Share buttons are not accessible for keyboard navigation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8615\\\">#8615<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.6.2 - 2022-02-14<\\/h4>\\n<ul>\\n<li>Fix: Auto updates mechanism is not working as expected (this version might be also installed automatically)<\\/li>\\n<\\/ul>\\n<h4>3.6.1 - 2022-02-09<\\/h4>\\n<ul>\\n<li>Tweak: Allow connecting via generic source for future feature support<\\/li>\\n<li>Fix: Custom Code doesn\'t work when WooCommerce is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17675\\\">#17675<\\/a>)<\\/li>\\n<li>Fix: Content animation didn\'t work when Improved asset loading experiment is active Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17055\\\">#17055<\\/a>)<\\/li>\\n<li>Fix: PHP warning appears some times when trying to force-check for available updates<\\/li>\\n<li>Fix: Page transitions are being triggered when not needed<\\/li>\\n<li>Fix: Text alignment on Tablet responsive device affects base device in Testimonial Carousel widget<\\/li>\\n<li>Fix: Harden Submissions feature to prevent potential security issues<\\/li>\\n<li>Fix: Page Transitions Icon option Preloader doesn\'t work on frontend<\\/li>\\n<\\/ul>\\n<h4>3.6.0 - 2022-01-31<\\/h4>\\n<ul>\\n<li>New: WooCommerce Purchase Summary widget - Fully customize the content and style of your order summary page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5756\\\">#5756<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15862\\\">#15862<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices styling on Site Settings - Customize the appearance of WooCommerce notices (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14570\\\">#14570<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15896\\\">#15896<\\/a>)<\\/li>\\n<li>New: WooCommerce Notices widget - Set the position of WooCommerce notices on your shop pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8124\\\">#8124<\\/a>)<\\/li>\\n<li>Experiment: Page Transitions - Customize the page loading experience, and increase brand recognition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10576\\\">#10576<\\/a>)<\\/li>\\n<li>Tweak: Added WooCommerce &amp; Theme Elements widgets to Improved CSS Loading experiment to save up 126KB per page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17412\\\">#17412<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17337\\\">#17337<\\/a>)<\\/li>\\n<li>Tweak: Added new layout options in WooCommerce Add To Cart and WooCommerce Custom Add To Cart widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5437\\\">#5437<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10617\\\">#10617<\\/a>)<\\/li>\\n<li>Tweak: Added Stroke functionality for typography control in various widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11158\\\">#11158<\\/a>)<\\/li>\\n<li>Tweak: Removed <code>elementor-section-wrap<\\/code> by adding it to the Optimized DOM Output experiment (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16950\\\">#16950<\\/a>)<\\/li>\\n<li>Tweak: Added style controls for variations in WooCommerce Menu Cart widget<\\/li>\\n<li>Tweak: Added color control to navigation dots in Media Carousel, Reviews, and Slides widgets<\\/li>\\n<li>Tweak: Disabled Vimeo autoplay on edit mode when getting video data in Video Playlist widget<\\/li>\\n<li>Tweak: Added notice about Facebook\'s new EU consent policy in Facebook Button, Facebook Comments, Facebook Embed, and Facebook Page widgets<\\/li>\\n<li>Tweak: Refactor string translation calls to use native WP translation methods<\\/li>\\n<li>Tweak: Convert <code>home_url<\\/code> license API call to <code>get_site_url<\\/code> for better compatibility<\\/li>\\n<li>Tweak: Promoted Default to New Theme Builder and Scroll Snap experiments to Stable status in Experiments screen<\\/li>\\n<li>Tweak: Scroll Snap experiment set to active by default for all websites in Experiments screen<\\/li>\\n<li>Tweak: Scrolling Effects in Header and Section backgrounds are not working as expected when effects are relative to the entire page<\\/li>\\n<li>Tweak: Added &quot;Auto Updates&quot; capability to Pro versions<\\/li>\\n<li>Tweak: Removed sequenced animation hover effect option from Classic skin in Call to Action widget<\\/li>\\n<li>Tweak: Added &quot;Excerpt Length&quot; control in Post Excerpt widget<\\/li>\\n<li>Tweak: Deleted deprecated methods from Query Control module<\\/li>\\n<li>Tweak: Adjusted Inline-CSS Experiment to work with Additional Custom Breakpoints experiment<\\/li>\\n<li>Fix: Automatically open cart functionality didn\'t work in product page in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5921\\\">#5921<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16276\\\">#16276<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16879\\\">#16879<\\/a>)<\\/li>\\n<li>Fix: Buttons are not visible when there are too many products in the cart in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17283\\\">#17283<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>,<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13005\\\">#13005<\\/a>)<\\/li>\\n<li>Fix: Mini cart modal z-index is too low in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16333\\\">#16333<\\/a>)<\\/li>\\n<li>Fix: Side cart buttons are not visible at first glance on mobile in WooCommerce Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16221\\\">#16221<\\/a>)<\\/li>\\n<li>Fix: Read More field recognizes inline HTML elements as plain text in Posts and Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16985\\\">#16985<\\/a>)<\\/li>\\n<li>Fix: Load More functionality caused JS error console in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17036\\\">#17036<\\/a>)<\\/li>\\n<li>Fix: Autoplay is not working as expected when the lazy load is active in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15304\\\">#15304<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16274\\\">#16274<\\/a>)<\\/li>\\n<li>Fix: Right navigation area wasn\'t 100% clickable in Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14252\\\">#14252<\\/a>)<\\/li>\\n<li>Fix: Posts duplicate when there are two Posts widgets inside a page using pagination functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/17056\\\">#17056<\\/a>)<\\/li>\\n<li>Fix: Global widget changes are not reflected on frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16820\\\">#16820<\\/a>)<\\/li>\\n<li>Fix: JS Error console message when using the Load More functionality and Post Per Page option in Posts widget<\\/li>\\n<li>Fix: Heading styling is not being loaded when Inline CSS experiment is active in Post and Page Title widgets<\\/li>\\n<li>Fix: Sticky offset not working as expected when changing device mode on the browser<\\/li>\\n<li>Fix: Scroll Snap functionality wasn\'t applied on Templates and Archives<\\/li>\\n<li>Fix: Toggle icon color didn\'t work on hover state when Inline Font Icons experiment is activated in Nav Menu widget<\\/li>\\n<li>Fix: Variations style controls are not working as expected in WooCommerce Add to Cart widget<\\/li>\\n<li>Fix: Display conditions module is not working as expected when using the new Theme Builder UI<\\/li>\\n<li>Fix: Edit header handles <code>z-index<\\/code> issues in Header document<\\/li>\\n<li>Fix: Panel icons UI glitch in Call To Action widget<\\/li>\\n<li>Fix: WordPress 5.9 <code>WP_User_query<\\/code> <code>who<\\/code> argument deprecation adjustments<\\/li>\\n<\\/ul>\\n<h4>3.5.2 - 2021-11-28<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted license mechanism to support trial period<\\/li>\\n<li>Fix: Updates made to Global Widgets do not reflect accordingly to linked widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815\\\">#16815<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle button doesn\'t change to \\u201cclose\\u201d when menu is collapsed in Nav Menu widget when Inline Font Awesome experiment is active<\\/li>\\n<li>Fix: Global Widget cannot be unlinked<\\/li>\\n<\\/ul>\\n<h4>3.5.1 - 2021-11-10<\\/h4>\\n<ul>\\n<li>Fix: Inline HTML elements appear as plain text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16816\\\">#16816<\\/a>)<\\/li>\\n<li>Fix: Dropdown items inherited values from Main Menu space between control in Nav Menu widget (<a href=\\\"(https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16815)\\\">#16815<\\/a><\\/li>\\n<li>Fix: Order Summary titles style controls not applying on various devices in Cart widget<\\/li>\\n<li>Fix: Panel &quot;Need Help&quot; link is not correct in WooCommerce section in Site Settings<\\/li>\\n<\\/ul>\\n<h4>3.5.0 - 2021-11-01<\\/h4>\\n<ul>\\n<li>New: WooCommerce Checkout widget - Fully customize the content and style of your checkout page (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15990\\\">#15990<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce Cart widget - Style your cart page the way you want with design flexibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15282\\\">#15282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13218\\\">#13218<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: WooCommerce My Account widget - Create a custom design for your my account pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11014\\\">#11014<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5383\\\">#5383<\\/a>)<\\/li>\\n<li>New: Progress Tracker widget - Motivate your customers to keep reading your site content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16576\\\">#16576<\\/a>)<\\/li>\\n<li>New: Meet WooCommerce Site Settings - Set your store pages within Elementor<\\/li>\\n<li>Experiment: Scroll Snap - Set the scene of every scroll (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10752\\\">#10752<\\/a>)<\\/li>\\n<li>Tweak: Changed infrastructure to prevent rendering bugs in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16354\\\">#16354<\\/a>)<\\/li>\\n<li>Tweak: Added the option to open submission in a new tab in Form Submissions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14967\\\">#14967<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive controls in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1851\\\">#1851<\\/a>)<\\/li>\\n<li>Tweak: Split Title and Price styling controls in Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7688\\\">#7688<\\/a>)<\\/li>\\n<li>Tweak: Added various responsive capabilities to controls in Posts Archive widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Changed admin notice content when Pro installed without Core installed<\\/li>\\n<li>Tweak: Cleanup in <code>wp_options<\\/code> table<\\/li>\\n<li>Tweak: Changed Connect logic in Elementor top bar to simplify the connect process<\\/li>\\n<li>Tweak: Marked new Theme Builder as an Experiment and set to default for new sites<\\/li>\\n<li>Tweak: Enforced better security policies in various widgets and modules<\\/li>\\n<li>Tweak: Added load more button functionality to the Posts Archive widget<\\/li>\\n<li>Tweak: Renamed Elementor\'s responsive SCSS variables<\\/li>\\n<li>Tweak: Added dividers to horizontal layout in Nav Menu widget<\\/li>\\n<li>Tweak: Removed Google+ social network from Share Buttons widget<\\/li>\\n<li>Tweak: Convert usage of old Responsive class to use the new Breakpoints Manager<\\/li>\\n<li>Fix: jQuery in Heading doesn\'t work for not logged in users in Custom Code (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14515\\\">#14515<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14266\\\">#14266<\\/a>)<\\/li>\\n<li>Fix: Menu animation causing page horizontal scroll in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15184\\\">#15184<\\/a>)<\\/li>\\n<li>Fix: Wrong function call in Table of Content &amp; Post Excerpt widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16547\\\">#16547<\\/a>)<\\/li>\\n<li>Fix: Slides to Scroll control can\'t be set to Default if Widescreen mode has a value in Testimonial Carousel widget<\\/li>\\n<li>Fix: Sticky offset not working properly when changing device mode<\\/li>\\n<li>Fix: UTF character issues when exporting CSV file in Form Submissions<\\/li>\\n<li>Fix: Load More functionality doesn\'t work when the Posts widget placed inside an Archive template<\\/li>\\n<li>Fix: UI glitches and editing issues in Video Playlist widget<\\/li>\\n<\\/ul>\\n<h4>3.4.2 - 2021-10-12<\\/h4>\\n<ul>\\n<li>Fix: Icons color style conflicts when Font-Awesome Inline experiment is active in Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16435\\\">#16435<\\/a>)<\\/li>\\n<li>Fix: Mini Cart hides page content when closed in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16305\\\">#16305<\\/a>)<\\/li>\\n<li>Fix: UI glitches in the Editor edit mode when inserting Post Content widget and Font-Awesome Inline experiment is active in Single Post template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16358\\\">#16358<\\/a>)<\\/li>\\n<li>Fix: Slides per view controls disappeared from multiple breakpoints in Testimonial Carousel<\\/li>\\n<li>Fix: Product variations UI glitch in Menu Cart widget<\\/li>\\n<li>Fix: Buttons UI glitch on Safari browser in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.1 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Fix: Sticky functionality is not working if the Additional Custom Breakpoints experiment is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16186\\\">#16186<\\/a>)<\\/li>\\n<li>Fix: Slideshow skin UI glitch in Media Carousel widget<\\/li>\\n<li>Fix: Product price typography weight control is not working as expected in Menu Cart widget<\\/li>\\n<\\/ul>\\n<h4>3.4.0 - 2021-09-01<\\/h4>\\n<ul>\\n<li>Tweak: Added new Mini Cart layout type in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11312\\\">#11312<\\/a>)<\\/li>\\n<li>Tweak: Added styling options for Cart, Products, and Cart buttons in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14952\\\">#14952<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to open cart automatically when an item is added in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14119\\\">#14119<\\/a>)<\\/li>\\n<li>Tweak: Added the ability to remove an item from cart without reloading the page with an AJAX request (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9531\\\">#9531<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10875\\\">#10875<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11309\\\">#11309<\\/a>)<\\/li>\\n<li>Tweak: Added Load More AJAX functionality to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1284\\\">#1284<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14557\\\">#14557<\\/a>)<\\/li>\\n<li>Tweak: Added Vimeo support to the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15319\\\">#15319<\\/a>)<\\/li>\\n<li>Tweak: Improved asset loading performance by serving lighter JS files (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>)<\\/li>\\n<li>Tweak: Added query string to the URL only after the first video is played in Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15348\\\">#15348<\\/a>)<\\/li>\\n<li>Tweak: Added various layout options with more responsive controls and cart structure options in Menu Cart widget<\\/li>\\n<li>Tweak: Added the option to open the menu cart by click or hover in Menu Cart widget<\\/li>\\n<li>Tweak: Added the ability to choose a specific product to draw data from in WooCommerce Dynamic tags<\\/li>\\n<li>Tweak: Removed auto-scroll to the widget location when arriving from external URL in Video Playlist widget<\\/li>\\n<li>Tweak: Removed the Video Playlist widget from the Experiments list<\\/li>\\n<li>Tweak: Added descriptive error messages for MailChimp action after submit and on form submit in Forms widget<\\/li>\\n<li>Tweak: Added tooltip trigger None and Hover for link in Hotspot widget<\\/li>\\n<li>Tweak: Added responsive controls to Offset and Effects Offset in Sticky options<\\/li>\\n<li>Tweak: Added responsive control to Alignment in Testimonial Carousel widget<\\/li>\\n<li>Tweak: Adjusted Motion Effects module to support future feature<\\/li>\\n<li>Tweak: Added future compatibility to support better loading of <code>eicons<\\/code> font<\\/li>\\n<li>Tweak: Changed Rename Part title and button color in Theme Builder<\\/li>\\n<li>Fix: Products don\'t appear on the cart while editing in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15451\\\">#15451<\\/a>)<\\/li>\\n<li>Fix: Videos always start muted in the Video Playlist widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15292\\\">#15292<\\/a>)<\\/li>\\n<li>Fix: Unnecessary spacing if submenu indicator is set to None in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15365\\\">#15365<\\/a>)<\\/li>\\n<li>Fix: MailChimp double opt-in feature doesn\'t work in Forms widget<\\/li>\\n<li>Fix: Fetching MailChimp groups field blocks the loading of the rest of the fields in the Form widget<\\/li>\\n<li>Fix: Missing field IDs causes forms not to be sent in Forms widget<\\/li>\\n<li>Fix: Full Content Skin is not working properly when inserted twice on the same page in Posts widget<\\/li>\\n<li>Fix: Avoid Duplicates option doesn\'t exclude manual selections in Posts widget<\\/li>\\n<li>Fix: Submenu indicator alignment issue in Nav menu widget<\\/li>\\n<li>Fix: Query control deprecated message appears when debug mode is defined<\\/li>\\n<li>Fix: Tweet Button icon incorrect color and size when the icon is rendered as SVG in Blockquote widget<\\/li>\\n<li>Fix: Video icon size is not changing on Active state in Video Playlist widget<\\/li>\\n<li>Fix: Header icon color is not working in Table Of Content widget<\\/li>\\n<li>Fix: Icons style glitches when Font Awesome Inline experiment is active in Video Playlist widget<\\/li>\\n<li>Fix: Bullet markers are not visible on preview mode when Font Awesome Inline experiment is active in Table of Content widget<\\/li>\\n<li>Fix: UI Glitch when Font-Awesome Inline experiment is active in Price Table widget<\\/li>\\n<li>Fix: Submenu Indicator appears larger when Font Awesome Inline experiment is active in Nav Menu widget<\\/li>\\n<li>Fix: Part name is deleted when clicking on the &quot;Change&quot; Button without changing the name in Theme Builder<\\/li>\\n<li>Fix: Redundant pagination queries in the Editor<\\/li>\\n<li>Deprecated: Remove all usages of <code>ElementorUtils::get_create_new_post_url()<\\/code><\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-4-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.3.8 - 2021-08-23<\\/h4>\\n<ul>\\n<li>Fix: Products grid width issue when adjusting columns and rows in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16001\\\">#16001<\\/a>)<\\/li>\\n<li>Fix: Font Awesome Inline experiment causes icons glitch in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/16045\\\">#16045<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA v3 <code>z-index<\\/code> is lower than the Section\'s background color<\\/li>\\n<li>Fix: Style missing when Font Awesome inline experiment is active in Post Info widget<\\/li>\\n<li>Fix: Font Awesome icons were not loaded in Post Info widget<\\/li>\\n<li>Fix: Zero character can\'t be used as a placeholder in Number field in Form widget<\\/li>\\n<li>Fix: Carousels are not working properly in the Editor when Additional Custom Breakpoints experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.7 - 2021-08-15<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Additional Custom Breakpoints in Nav Menu widget<\\/li>\\n<li>Tweak: Added support for Additional Custom breakpoints in Motion Effects<\\/li>\\n<li>Fix: Columns didn\'t respond to changes in Gallery widget if Additional Custom Breakpoints Experiment is active<\\/li>\\n<\\/ul>\\n<h4>3.3.6 - 2021-08-10<\\/h4>\\n<ul>\\n<li>Tweak: Added support for future feature in Nav Menu widget<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Related widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Upsells widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<li>Fix: WooCommerce responsive grid styles are not being reflected in Product Categories widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15857\\\">#15857<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.5 - 2021-08-01<\\/h4>\\n<ul>\\n<li>Fix: Responsive layout glitches in Products and Products Archive widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15773\\\">#15773<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA V3 integration conflict with required fields validation in Forms widget<\\/li>\\n<\\/ul>\\n<h4>3.3.4 - 2021-07-21<\\/h4>\\n<ul>\\n<li>Fix: Grid layout glitch in WooCommerce Products Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15718\\\">#15718<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.3.3 - 2021-07-20<\\/h4>\\n<ul>\\n<li>Tweak: Added a descriptive message in Collect Submissions action after submit<\\/li>\\n<li>Tweak: Added future compatibility for Additional Custom Breakpoints for Pro widgets<\\/li>\\n<li>Fix: Some widget style breaks when Improved CSS Loading Experiment is active in certain cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15632\\\">#15632<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15683\\\">#15683<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15660\\\">#15660<\\/a>)<\\/li>\\n<li>Fix: Translation update keep appearing as available after install (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14297\\\">#14297<\\/a>)<\\/li>\\n<li>Fix: Wrong default icon color when using Font Awesome icons as inline SVG in Call to Action widget<\\/li>\\n<\\/ul>\\n<h4>3.3.2 - 2021-07-13<\\/h4>\\n<ul>\\n<li>Tweak: Updated plugin description<\\/li>\\n<li>Fix: MailChimp tags in form widget replaced existing tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Fix: Clicking videos from the items list in edit mode doesn\\u2019t initiate videos properly<\\/li>\\n<li>Fix: User unauthorized message when activated but not connected in Kit Library<\\/li>\\n<li>Fix: Carousel widgets did not support additional custom breakpoint responsive values<\\/li>\\n<li>Fix: Tab border is overridden by the Section background color in Video Playlist widget<\\/li>\\n<li>Fix: Widgets style breaks when Improved CSS Load experiment is active in a Single Page template and Post Content widget<\\/li>\\n<\\/ul>\\n<h4>3.3.1 - 2021-06-20<\\/h4>\\n<ul>\\n<li>Tweak: Added support for more Theme Builder display conditions in Export \\/ Import experiment<\\/li>\\n<li>Tweak: Adjusted License page heading structure for future feature<\\/li>\\n<li>Tweak: Adjusted Font Awesome icon for allowing support for future feature<\\/li>\\n<li>Fix: <code>frontend.min.js<\\/code> file size increased in Elementor Pro 3.3.0 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/15278\\\">#15278<\\/a>)<\\/li>\\n<li>Fix: Prevent conditions from being reset when object cache is enabled in site (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13299\\\">#13299<\\/a>)<\\/li>\\n<li>Fix: Custom Code publish modal responsiveness issues (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14519\\\">#14519<\\/a>)<\\/li>\\n<li>Fix: Populating fields with options programmatically doesn\'t appear in Submissions screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10671\\\">#10671<\\/a>)<\\/li>\\n<li>Fix: Large images are not shown on the Image Carousel widget when set via Toolset dynamic tag<\\/li>\\n<li>Fix: Enable inline editing to the inner content tabs in Video Playlist widget<\\/li>\\n<li>Fix: Clicking on the video list doesn\'t play videos properly in Video Playlist widget<\\/li>\\n<li>Fix: Hide Play Icon control when Image overlay is toggled off in Video Playlist widget<\\/li>\\n<li>Fix: Removed extra space below the player when viewing from mobile view in Video Playlist widget<\\/li>\\n<li>Fix: Import button is not working properly in Theme Builder interface<\\/li>\\n<li>Fix: Preview Dynamic Content as control is not updating preview and throws an error in Popup Builder<\\/li>\\n<\\/ul>\\n<h4>3.3.0 - 2021-06-08<\\/h4>\\n<ul>\\n<li>New: Video Playlist widget - Add Engaging Video Content to Your Website (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11859\\\">#11859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7803\\\">#7803<\\/a>)<\\/li>\\n<li>New: Hotspot widget - Create Interactive Images With Contextually Relevant Information (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7282\\\">#7282<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2768\\\">#2768<\\/a>)<\\/li>\\n<li>Tweak: Accessibility improvements for sub-menus in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13859\\\">#13859<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13810\\\">#13810<\\/a>)<\\/li>\\n<li>Tweak: MailChimp action after submit can now add new tags to existing subscribers in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11111\\\">#11111<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/forms\\/record\\/actions_before<\\/code> to filter the record before it sent to Actions After Submit in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14261\\\">#14261<\\/a>)<\\/li>\\n<li>Tweak: Yoast SEO breadcrumbs widget can be used in Elementor without the need of enabling them in Yoast setting<\\/li>\\n<li>Tweak: Added future support for widgets CSS conditional loading (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10329\\\">#10329<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/14229\\\">#14229<\\/a>)<\\/li>\\n<li>Tweak: Added future support for Sticky JS library conditional loading<\\/li>\\n<li>Tweak: Added future support for Import \\/ Export experiment<\\/li>\\n<li>Tweak: Preparations and fixes for Import Export Experiment in Pro version<\\/li>\\n<li>Tweak: Added gradient button capabilities to Login widget buttons<\\/li>\\n<li>Tweak: Added gradient button capabilities to Slides widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Price Table widget button<\\/li>\\n<li>Tweak: Added gradient button capabilities to Flip Box widget button<\\/li>\\n<li>Tweak: Added Code Highlight widget Developers Documentation<\\/li>\\n<li>Tweak: Adjusted Submissions page for future updates<\\/li>\\n<li>Tweak: Added <code>em<\\/code> and <code>%<\\/code> units for padding control in Carousel widgets<\\/li>\\n<li>Tweak: Shorten currency name to currency symbol in PayPal button widget<\\/li>\\n<li>Fix: Custom Fonts URLs should be replaced when replace URL is triggered (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7376\\\">#7376<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10382\\\">#10382<\\/a>)<\\/li>\\n<li>Fix: The currency symbol size changed in the Price Table widget if enabling sale (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13519\\\">#13519<\\/a>)<\\/li>\\n<li>Fix: Nav Menu widget is not loading Font Awesome submenu icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9907\\\">#9907<\\/a>)<\\/li>\\n<li>Fix: Hamburger toggle is not working in Nav menu widget<\\/li>\\n<li>Fix: Activation bug for IDN domains<\\/li>\\n<li>Fix: Conditions modal responsive glitches in Custom Code<\\/li>\\n<li>Fix: Duplicated strings in Custom Code module<\\/li>\\n<li>Fix: Enable resize option for code input field in Custom Code<\\/li>\\n<li>Fix: \\u201cSave &amp; Close \\u201cbutton in Custom Code\'s Conditions modal was not visible on small screen sizes<\\/li>\\n<li>Fix: Removing a column from a section in the navigator resulted in an empty section<\\/li>\\n<li>Fix: Recommend option is cut If the layout is not &quot;Standard&quot; in the Facebook Button widget<\\/li>\\n<li>Fix: Video item does not play without adding an image in Media Carousel widget<\\/li>\\n<li>Fix: <code>search-plus<\\/code> icon missing from panel in Media Carousel widget<\\/li>\\n<li>Fix: UI hover state glitch in Media Carousel widget<\\/li>\\n<li>Fix: PHP notice was thrown when trying to import a kit without overrideConditions parameter in Kit Import flow<\\/li>\\n<li>Fix: Templates conditions not imported if there are no conflicts in Import Export Experiment<\\/li>\\n<li>Fix: Non english values are not encoded properly on Submissions export<\\/li>\\n<li>Fix: Theme Builder import is not working properly<\\/li>\\n<li>Fix: UI glitch when no global widgets were found in Editor Panel<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-3-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.2.2 - 2021-05-05<\\/h4>\\n<ul>\\n<li>Tweak: Added support for Expert tier templates in Templates Library<\\/li>\\n<li>Tweak: Updated compatibility tag to support Elementor v3.2.x<\\/li>\\n<li>Tweak: Added compatibility for future Library improvements<\\/li>\\n<li>Fix: Toolset image dynamic field is not working with Gallery widget<\\/li>\\n<\\/ul>\\n<h4>3.2.1 - 2021-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added strings context in PayPal button and Price Table widgets<\\/li>\\n<li>Tweak: Added support for future Import \\/ Export Kit feature<\\/li>\\n<li>Fix: Submissions with over than 191 characters weren\'t indexed properly<\\/li>\\n<\\/ul>\\n<h4>3.2.0 - 2021-03-14<\\/h4>\\n<ul>\\n<li>New: PayPal Button widget - Collect PayPal payments directly from your site<\\/li>\\n<li>Experiment: Submissions - Save all of your form submissions in one place (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1686\\\">#1686<\\/a>)<\\/li>\\n<li>Tweak: Added Stay In Column option to Inner Section element (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7956\\\">#7956<\\/a>)<\\/li>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Tweak: Changed descriptive text in Create Custom Code screen<\\/li>\\n<li>Tweak: Added support for dynamic capabilities in Code Highlight widget<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>share-link<\\/code> library<\\/li>\\n<li>Tweak: Added support for future load on demand for <code>dialog<\\/code> library in Popup<\\/li>\\n<li>Tweak: Allow overwriting the assets URL when using a mirror domain<\\/li>\\n<li>Fix: Animation was triggered multiple times when accessing the viewport in certain cases in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13951\\\">#13951<\\/a>)<\\/li>\\n<li>Fix: Location is not being updated after a Custom Code snippet is published (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13971\\\">#13971<\\/a>)<\\/li>\\n<li>Fix: Custom Fonts CSS files were not updated after regenerating CSS files<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: Empty order buttons are displayed in Custom Fonts screen<\\/li>\\n<li>Fix: Typo in \'Reply To\' Email action after submit placeholder in Forms widget<\\/li>\\n<li>Fix: Unnecessary Save Draft button in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Custom Code<\\/li>\\n<li>Fix: Sanitized options in the editor to enforce better security policies<\\/li>\\n<li>Deprecated: See all deprecations to this version in our (<a href=\\\"https:\\/\\/developers.elementor.com\\/v3-2-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.1.1 - 2021-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Adjusted \'Max Height\' control range in Table of Contents widget<\\/li>\\n<li>Fix: Popup event handler is undefined (<a href=\\\"#11475\\\"><a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11475<\\/a><\\/a>, <a href=\\\"#10690\\\"><a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690\\\">https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10690<\\/a><\\/a>)<\\/li>\\n<li>Fix: Conditions modal is not responsive in Custom Code<\\/li>\\n<li>Fix: RTL glitches in Code Highlight widget<\\/li>\\n<li>Fix: Minor UI glitches in Code Highlight widget<\\/li>\\n<li>Fix: Users can\'t get Pro Developer Edition version updates<\\/li>\\n<\\/ul>\\n<h4>3.1.0 - 2021-02-13<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Code - Add custom code snippets to your site, including <code>head<\\/code>, <code>body<\\/code> start and <code>body<\\/code> end<\\/li>\\n<li>New: Meet Code Highlight widget - showcase any syntax with highlighted UI (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5815\\\">#5815<\\/a>)<\\/li>\\n<li>Experiment: Improved Pro widgets performance by loading JS and Swiper assets conditionally in frontend (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8572\\\">#8572<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/experiment-optimized-asset-loading\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Compatibility Tag support in Elementor Pro (<a href=\\\"https:\\/\\/developers.elementor.com\\/compatibility-tag\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Rotating Text animation in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4625\\\">#4625<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added an option to set Selected color for Typing effect in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5403\\\">#5403<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7826\\\">#7826<\\/a>)<\\/li>\\n<li>Tweak: Added animation Loop option for Animated Headline (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9749\\\">#9749<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2457\\\">#2457<\\/a>)<\\/li>\\n<li>Tweak: Added timing options for Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4392\\\">#4392<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8569\\\">#8569<\\/a>)<\\/li>\\n<li>Tweak: Added Word Wrap control to Code Highlight widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13577\\\">#13577<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.15.1<\\/li>\\n<li>Tweak: Improved method of loading field mapping repeater in Form widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/how-to-add-a-repeater-control-to-elementor-add-on\\/\\\">Developer Documentation<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Show on Browsers&quot; Popup Advanced Rule<\\/li>\\n<li>Tweak: Added real-time JS handling to prevent redundant renders in Slides widget and all Carousel widgets<\\/li>\\n<li>Tweak: Import scroll utility from core and remove it from Pro<\\/li>\\n<li>Tweak: Added alignment options for Post Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9757\\\">#9757<\\/a>)<\\/li>\\n<li>Tweak: Changed alignment control to work with selectors in Share Buttons<\\/li>\\n<li>Tweak: Upgraded to Webpack 5, Grunt-Webpack 4 and TerserPlugin instead of UglifyJsPlugin<\\/li>\\n<li>Fix: Steps Divider is not vertically aligned in Multi Step Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12569\\\">#12569<\\/a>)<\\/li>\\n<li>Fix: Slides are playing in an infinite loop mode even when the option is disabled in Slides Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Redundant spacing is added to Share Buttons widget<\\/li>\\n<li>Fix: Step buttons text is not updated without a page reload in Forms widget<\\/li>\\n<li>Fix: Overflow issue in certain animations in Animated Headline widget<\\/li>\\n<li>Fix: When dragging a new Testimonial Carousel there is a console error thrown<\\/li>\\n<li>Fix: Step Buttons are cut in mobile view in Multi Step Form<\\/li>\\n<li>Fix: Submit and Step buttons size differences when using Twenty Twenty theme<\\/li>\\n<li>Fix: Duplicate button Text Color control in Slides widget<\\/li>\\n<li>Fix: JS error is thrown when editing and saving global widgets<\\/li>\\n<li>Fix: <code>get_version<\\/code> API function may fail with Redis \\/ DB cache<\\/li>\\n<li>Fix: Multiple license check requests are created in certain cases<\\/li>\\n<li>Deprecated: Deprecate methods prefixed with an underscore and replace them with unprefixed methods<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-1-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>3.0.10 - 2021-01-20<\\/h4>\\n<ul>\\n<li>Tweak: Added Editing Handles string translation compatibility with Elementor v3.1.0<\\/li>\\n<\\/ul>\\n<h4>3.0.9 - 2020-12-29<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility to support Elementor 3.1.0<\\/li>\\n<li>Fix: Wrong phrasing of Import template success message in Theme Builder<\\/li>\\n<li>Fix: Border color glitch in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.8 - 2020-11-26<\\/h4>\\n<ul>\\n<li>Fix: Navigation arrows UI glitch in Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/13172\\\">#13172<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>3.0.7 - 2020-11-25<\\/h4>\\n<ul>\\n<li>Fix: Console Error when dragging  Testimonials Carousel widget<\\/li>\\n<li>Fix: Arrows of Testimonial and Reviews Carousel widgets navigate to the wrong direction in RTL websites<\\/li>\\n<li>Fix: Removed the conditional loading of Webpack<\\/li>\\n<li>Fix: Fatal error is thrown after deleting an associated custom taxonomy when Posts widget with Cards skin has a badge<\\/li>\\n<li>Fix: Upload JSON files only when the user allowed to prevent security issues<\\/li>\\n<li>Fix: Gallery not displayed in Theme Builder templates preview<\\/li>\\n<\\/ul>\\n<h4>3.0.6 - 2020-11-04<\\/h4>\\n<ul>\\n<li>Tweak: Updated the embedded post in Facebook Embed widget<\\/li>\\n<li>Fix: Minor UI glitches in Theme Builder\'s conditions screen footer<\\/li>\\n<li>Fix: Template type changes into Single Page after conditions change in Theme Builder<\\/li>\\n<li>Fix: Redundant Custom Caption option in Site Logo widget<\\/li>\\n<li>Fix: Removed unused code in Drip integration<\\/li>\\n<li>Fix: Removed Weibo and WeChat social networks due to website and links inactivity from Share Buttons widget<\\/li>\\n<li>Fix: Removed redundant code from Portfolio and Post Navigation widgets<\\/li>\\n<\\/ul>\\n<h4>3.0.5 - 2020-09-23<\\/h4>\\n<ul>\\n<li>Fix: If the default page layout is set to &quot;Canvas&quot; Headers and Footers cannot be edited<\\/li>\\n<li>Fix: Product Image Dynamic Tag throws an error when no image is set<\\/li>\\n<li>Fix: Missing Single document placeholder in Theme Builder<\\/li>\\n<li>Fix: Document editing handles inherit the <code>font-family<\\/code> from 3rd party source<\\/li>\\n<li>Fix: Can\'t add linebreaks to Textarea input when used as Multi Step Form<\\/li>\\n<li>Fix: Incorrect width in Facebook Page widget<\\/li>\\n<li>Fix: Added compatibility to allow the use of \'get_create_url\' in Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.4 - 2020-09-09<\\/h4>\\n<ul>\\n<li>Fix: Autogenerated screenshots appear in WP Media Library modal (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12304\\\">#12304<\\/a>)<\\/li>\\n<li>Fix: Make sure Elementor Posts widget Pagination doesn\'t interfere with 3rd party plugins (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Shrinking conditions indicator in Theme Builder<\\/li>\\n<li>Fix: Column can\'t be dragged and dropped if it populates a Global widget<\\/li>\\n<li>Fix: Styles are missing from Single templates in some edge cases<\\/li>\\n<\\/ul>\\n<h4>3.0.3 - 2020-09-02<\\/h4>\\n<ul>\\n<li>Fix: Pagination doesn\'t work in WordPress 5.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12126\\\">#12126<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12127\\\">#12127<\\/a>)<\\/li>\\n<li>Fix: Change delete template action to &quot;Move to Trash&quot; in the new Theme Builder view<\\/li>\\n<\\/ul>\\n<h4>3.0.2 - 2020-08-31<\\/h4>\\n<ul>\\n<li>Tweak: Replaced WordPress &quot;Learn More&quot; links with dynamic links for better control over time (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12312\\\">#12312<\\/a>)<\\/li>\\n<li>Tweak: UI tweaks to the Conditions screen In the new Theme Builder<\\/li>\\n<li>Fix: Motion Effects not working when assigned to a column and throws JS error when DOM optimization is disabled (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12299\\\">#12299<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12275\\\">#12275<\\/a>)<\\/li>\\n<li>Fix: Multiple Galleries display all the images in the Lightbox slideshow (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11809\\\">#11809<\\/a>)<\\/li>\\n<li>Fix: Old Theme Builder is being opened when accessing through the Finder<\\/li>\\n<li>Fix: Mixed templates import glitch in Theme Builder<\\/li>\\n<li>Fix: Card icon sizes in Theme Builder<\\/li>\\n<li>Fix: Preview button leads to <code>render_mode<\\/code> instead of preview when importing a template from the new Theme Builder<\\/li>\\n<\\/ul>\\n<h4>3.0.1 - 2020-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Keep previous Theme Builder when accessing from the WP Dashboard for legacy support<\\/li>\\n<li>Tweak: Updated video tutorials in Theme Builder<\\/li>\\n<li>Tweak: Don\'t show auto-screenshots in the Media Library (Props <a href=\\\"https:\\/\\/github.com\\/black-eye\\\">@black-eye<\\/a>)<\\/li>\\n<li>Fix: Repeater items throws <code>childView<\\/code> is undefined message in Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12239\\\">#12239<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12221\\\">#12221<\\/a>)<\\/li>\\n<li>Fix: Misspelling of the word &quot;occurred&quot; in Form widget default error message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12137\\\">#12137<\\/a>)<\\/li>\\n<li>Fix: Facebook comments not showing up (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/12157\\\">#12157<\\/a>)<\\/li>\\n<li>Fix: Check for conflicts in Theme Builder doesn\'t work properly<\\/li>\\n<li>Fix: Minor UI fixes in Theme Builder<\\/li>\\n<li>Fix: Dark mode glitches in Theme Builder<\\/li>\\n<li>Fix: Global Site Part toaster appears when you publish a Popup<\\/li>\\n<li>Fix: Site Parts aren\'t in the correct order in Theme Builder<\\/li>\\n<li>Fix: Date field caused forms to get corrupted in Forms widget<\\/li>\\n<li>Fix: Theme Builder application page is forbidden<\\/li>\\n<\\/ul>\\n<h4>3.0.0 - 2020-08-23<\\/h4>\\n<ul>\\n<li>New: Introducing the new and improved Theme Builder<\\/li>\\n<li>Tweak: Removed <code>.elementor-inner<\\/code> and <code>.elementor-column-wrap<\\/code> from DOM output to improve performance (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7351\\\">#7351<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7817\\\">#7817<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/dom-improvements-ahead-html-wrappers-removal-from-v3-0\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added contextual anchors ID support to Table of Contents widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10052\\\">#10052<\\/a>)<\\/li>\\n<li>Tweak: Added WeChat and Weibo social networks to Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11554\\\">#11554<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Redirect after Login\\/Logout in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11343\\\">#11343<\\/a>)<\\/li>\\n<li>Tweak: Added Blend Mode and CSS Filters controls to adjust the Background Overlay in Flipbox widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11653\\\">#11653<\\/a>)<\\/li>\\n<li>Tweak: Added responsive capabilities to Toggle Button styling in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8269\\\">#8269<\\/a>)<\\/li>\\n<li>Tweak: Added responsive Text Alignment control in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11968\\\">#11968<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic content to Ribbon element in Call to Action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10364\\\">#10364<\\/a>)<\\/li>\\n<li>Tweak: Converted uses of Color and Typography Schemes to Global Colors and Fonts<\\/li>\\n<li>Tweak: Separated Title and Description control fields labels in Call to Action widget<\\/li>\\n<li>Tweak: Removed unnecessary style in WC Product with variations<\\/li>\\n<li>Tweak: Converted Portfolio, Posts and Share Buttons widgets to use CSS Variable-based Elementor Grid (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-dropping-support-ie\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Date Modified option to Posts widget metadata<\\/li>\\n<li>Fix: PHP 7.4 compatibility to Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11355\\\">#11355<\\/a>)<\\/li>\\n<li>Fix: Divider alignment issue in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11628\\\">#11628<\\/a>)<\\/li>\\n<li>Fix: Color doesn\\u2019t change in Products Archive Description widget<\\/li>\\n<li>Fix: WC Product variations layout breaks when using Variation Swatches plugin<\\/li>\\n<li>Fix: WC Product variations layout issue<\\/li>\\n<li>Fix: WC Product variations mobile zoom-in glitch<\\/li>\\n<li>Fix: Can\'t edit a Popup after accessing Theme Style<\\/li>\\n<li>Fix: Twitter icon missing in Blockquote widget<\\/li>\\n<li>Fix: Removed redundant default text color from Share Buttons minimal skin<\\/li>\\n<li>Fix: UI glitch in Display Conditions modal<\\/li>\\n<li>Fix: Insert template button UI glitch in Templates Library<\\/li>\\n<li>Fix: Added sanitization to post titles in WordPress dashboard for better security<\\/li>\\n<li>Fix: Show when arriving from search engines rule doesn\'t work in Popup<\\/li>\\n<li>Fix: Child categories are shown with a different parent category in Query control<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v3-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.10.3 - 2020-06-29<\\/h4>\\n<ul>\\n<li>Fix: Form not being submitted when using &quot;Progress Bar&quot; and &quot;None&quot; view types in Multi Step Form (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11596\\\">#11596<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11610\\\">#11610<\\/a>)<\\/li>\\n<li>Fix: Missing &quot;for&quot; attribute in Password field label in Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8646\\\">#8646<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.2 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Fix: Run step events only when in Multi Step Form mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11644\\\">#11644<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.10.1 - 2020-06-16<\\/h4>\\n<ul>\\n<li>Tweak: Improved License validation mechanism to avoid limitations<\\/li>\\n<li>Tweak: Changed control labels and ordering in Price Table, Lottie and Form widgets<\\/li>\\n<li>Fix: Popup close button vertical position glitch (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10921\\\">#10921<\\/a>)<\\/li>\\n<li>Fix: Radio field placement glitch when in Multi Step mode in Form widget<\\/li>\\n<li>Fix: Clicking <code>Enter<\\/code> key submits the form in Multi Step Form<\\/li>\\n<li>Fix: Hardened sanitization in Custom Attributes to avoid security issues<\\/li>\\n<\\/ul>\\n<h4>2.10.0 - 2020-06-07<\\/h4>\\n<ul>\\n<li>New: Introducing Multi-Step Forms - Breakdown long forms into simple steps (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5975\\\">#5975<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3911\\\">#3911<\\/a>)<\\/li>\\n<li>New: Introducing Lottie widget - easily add Lottie animations to your site, no coding needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11026\\\">#11026<\\/a>)<\\/li>\\n<li>Tweak: Added spacing option to Posts widget pagination (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5682\\\">#5682<\\/a>)<\\/li>\\n<li>Tweak: Changed texts and logic for administrator plugin renewal notices<\\/li>\\n<li>Tweak: Added new Scroll Util for improved scrolling handling<\\/li>\\n<li>Tweak: Improved Motion Effects animation performance<\\/li>\\n<\\/ul>\\n<h4>2.9.5 - 2020-05-24<\\/h4>\\n<ul>\\n<li>Fix: Added sanitization to Custom Attributes control to avoid security issue<\\/li>\\n<\\/ul>\\n<h4>2.9.4 - 2020-05-07<\\/h4>\\n<ul>\\n<li>Fix: Hardened user role that is allowed to upload icon sets and unzip only allowed files in Custom Icons to prevent security vulnerability<\\/li>\\n<\\/ul>\\n<h4>2.9.3 - 2020-04-19<\\/h4>\\n<ul>\\n<li>Fix: Form shortcode IDs are not wrapped in double-quotes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11023\\\">#11023<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10932\\\">#10932<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10967\\\">#10967<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11000\\\">#11000<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/11049\\\">#11049<\\/a>)<\\/li>\\n<li>Fix: Escaped Form records metadata to prevent security vulnerability<\\/li>\\n<li>Fix: Closing &quot;Save Changes&quot; document confirmation modal causes Panel infinite loading<\\/li>\\n<li>Fix: Ken Burns effect not working when there is only one slide in Slides widget<\\/li>\\n<li>Fix: Document handles UI glitch<\\/li>\\n<\\/ul>\\n<h4>2.9.2 - 2020-03-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility with WordPress v5.4 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10745\\\">#10745<\\/a>)<\\/li>\\n<li>Fix: Image ratio number is displayed under the Archive Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10874\\\">#10874<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color setting overrides the Table of Content list style<\\/li>\\n<li>Fix: PHP notice when using dynamic user info <code>id<\\/code><\\/li>\\n<li>Fix: Navigation arrows direction is crossed on first drag in Slides Widget<\\/li>\\n<li>Fix: &quot;No headings were found on this page&quot; message was not displayed in the frontend in Table of Contents widget<\\/li>\\n<li>Fix: Container includes Popup tags by default in Table of Contents widget<\\/li>\\n<li>Fix: Twitter icon display issue when Font Awesome 4 support is disabled in Blockquote widget<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<\\/ul>\\n<h4>2.9.1 - 2020-03-16<\\/h4>\\n<ul>\\n<li>Fix: Can\'t access Elementor Editor when there is Page Title widget in the page<\\/li>\\n<li>Fix: Applying styling to Post Content widget affects the Page and Post editing handles<\\/li>\\n<\\/ul>\\n<h4>2.9.0 - 2020-03-15<\\/h4>\\n<ul>\\n<li>New: Introducing Full Site Editing: Design header, footer, and content all in one place! (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4985\\\">#4985<\\/a>)<\\/li>\\n<li>New: Added Global Custom CSS for Your Entire Site in Theme Style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3345\\\">#3345<\\/a>)<\\/li>\\n<li>New: Added Dynamic Colors tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6485\\\">#6485<\\/a>)<\\/li>\\n<li>Tweak: Added option to set the Site Part HTML Wrapper Tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9293\\\">#9293<\\/a>)<\\/li>\\n<li>Tweak: Added Link Attributes support to Pro widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5716\\\">#5716<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3642\\\">#3642<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9225\\\">#9225<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9079\\\">#9079<\\/a>)<\\/li>\\n<li>Tweak: Added Theme Style support in Theme Builder parts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10564\\\">#10564<\\/a>)<\\/li>\\n<li>Tweak: Avoid creating empty Custom Font<\\/li>\\n<li>Tweak: Added <code>aria-expanded<\\/code> attribute to Menu Cart widget<\\/li>\\n<li>Tweak: Moved Link Actions module to Core plugin<\\/li>\\n<li>Tweak: Changed the name of \\u201cTypeKit Web Fonts by Adobe\\u201d to \\u201cAdobe Fonts\\u201d<\\/li>\\n<li>Tweak: Removed redundant display conditions from Blockquote, Flipbox, Price Table, and Search Form widgets<\\/li>\\n<li>Tweak: Pro widgets are not draggable unless Elementor license has been activated<\\/li>\\n<li>Tweak: Remove redundant <code>label_block<\\/code> parameters from several controls<\\/li>\\n<li>Tweak: Converted controls selectors to CSS variables in Gallery widget<\\/li>\\n<li>Tweak: Replaced Stumbleupon with Mix in Reviews widget recommended icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added Mix to the Share Buttons network list (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10099\\\">#10099<\\/a>)<\\/li>\\n<li>Tweak: Added &quot;Open in new tab&quot; option to Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7924\\\">#7924<\\/a>)<\\/li>\\n<li>Tweak: Upgraded Font Awesome Pro library to v5.12.0<\\/li>\\n<li>Tweak: Added new Lightbox compatibility for Gallery and Media Carousel widgets<\\/li>\\n<li>Tweak: Expose external API for Swiper instances<\\/li>\\n<li>Tweak: Added compatibility to JS API in Theme Builder, Popups, Form widget and Global widget<\\/li>\\n<li>Tweak: Replaced nerd icons with new Elementor emojis<\\/li>\\n<li>Tweak: Added specific <code>color<\\/code> attribute to header title in Table of Contents widget<\\/li>\\n<li>Fix: Line break issues in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/10585\\\">#10585<\\/a>)<\\/li>\\n<li>Fix: Theme Style Link color overrides the Table of Content list style<\\/li>\\n<li>Fix: Active state glitches when using Table of contents widget with Sticky mode<\\/li>\\n<li>Fix: &quot;Graphic Element&quot; section appears as empty in case of unmarked Graphic Element in Call to Action widget<\\/li>\\n<li>Fix: Page Title widget render glitches in the Editor<\\/li>\\n<li>Fix: Image ratio parameter visible in some edge cases in Posts widget<\\/li>\\n<li>Fix: Image missing when sharing to Pinterest using Share Buttons widget<\\/li>\\n<li>Fix: Theme Style Link color setting override the list style in Table of Contents widget<\\/li>\\n<li>Deprecated: See all deprecations to this version in our <a href=\\\"https:\\/\\/developers.elementor.com\\/v2-9-0-planned-deprecations\\/\\\">Developers Deprecations Post<\\/a><\\/li>\\n<\\/ul>\\n<h4>2.8.5 - 2020-03-08<\\/h4>\\n<ul>\\n<li>Tweak: Added new Swiper parameter to all Pro carousels to allow 3rd party integration<\\/li>\\n<li>Fix: Missing closing bracket in Animated Headline widget<\\/li>\\n<li>Fix: Share buttons widgets show Font Awesome 4 icons on first drag in Editor<\\/li>\\n<\\/ul>\\n<h4>2.8.4 - 2020-02-16<\\/h4>\\n<ul>\\n<li>Tweak: Added Lightbox Title &amp; Description support to Gallery widget<\\/li>\\n<li>Tweak: Added RTL support for Slides widget<\\/li>\\n<li>Tweak: Display Lightbox images in Full size in Gallery widget<\\/li>\\n<li>Fix: Template with Slides widget not working properly when placed inside Tabs, Accordion and Toggle widget<\\/li>\\n<li>Fix: Dropdown menu lost styling after Elementor Pro v2.8 upgrade in Nav Menu widget<\\/li>\\n<li>Fix: Indent doesn\'t work on RTL websites in Table of Contents widget<\\/li>\\n<li>Fix: Query Control throws <code>Undefined index: q<\\/code> error<\\/li>\\n<li>Fix: Typography control not affecting dropdown menu in Nav Menu widget<\\/li>\\n<li>Fix: Discord forms integration fails to send submissions in some server configurations<\\/li>\\n<li>Fix: Rotating headlines don\'t align center in Animated Headline widget<\\/li>\\n<li>Fix: Custom secondary color displayed when not needed in Share buttons widget<\\/li>\\n<li>Fix: Motion Effects of certain objects are not functioning properly on Safari browser<\\/li>\\n<li>Fix: Missing eye icon in Single template footer preview button<\\/li>\\n<\\/ul>\\n<h4>2.8.3 - 2020-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Updated Table of Contents widget panel location<\\/li>\\n<li>Fix: ACF URL Dynamic field throws <code>undefined index<\\/code> PHP notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9929\\\">#9929<\\/a>)<\\/li>\\n<li>Fix: Gallery lightbox pagination shows images from all tabs<\\/li>\\n<li>Fix: &quot;Reply To&quot; option not working in Form widget &quot;Email 2&quot; Action<\\/li>\\n<li>Fix: ACF Dynamic tag not working in Form widget Redirect action<\\/li>\\n<li>Fix: Underline option not working in Table of Contents widget Normal state<\\/li>\\n<li>Fix: Query Control <code>Undefined index: autocomplete<\\/code> notice in some cases<\\/li>\\n<li>Fix: Missing display condition to Read More Spacing control in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.8.2 - 2019-12-19<\\/h4>\\n<ul>\\n<li>Tweak: Improved scroll-spy and collapsing functionality in Table of Contents widget<\\/li>\\n<li>Fix: &quot;No products were found&quot; message not being displayed in an empty Products Archive<\\/li>\\n<li>Fix: Redundant <code>&lt;br&gt;<\\/code> tags in Single theme template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9927\\\">#9927<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9928\\\">#9928<\\/a>)<\\/li>\\n<li>Fix: Draft Popup shows up in Dynamic tag dropdown<\\/li>\\n<\\/ul>\\n<h4>2.8.1 - 2019-12-18<\\/h4>\\n<ul>\\n<li>Fix: Share Buttons widget not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9920\\\">#9920<\\/a>)<\\/li>\\n<li>Fix: Redundant <code>&lt;p&gt;<\\/code> tags added to Single Template posts<\\/li>\\n<\\/ul>\\n<h4>2.8.0 - 2019-12-18<\\/h4>\\n<ul>\\n<li>New: Table of Contents Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5171\\\">#5171<\\/a>)<\\/li>\\n<li>New: Added Font Awesome Pro Duotone font family support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added Lazy Load option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9763\\\">#9763<\\/a>)<\\/li>\\n<li>Tweak: Added Random order option to Gallery widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9269\\\">#9269<\\/a>)<\\/li>\\n<li>Tweak: Updated Font Awesome Pro to v5.11.2 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9578\\\">#9578<\\/a>)<\\/li>\\n<li>Tweak: Added preselect support for multiple default select values in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9324\\\">#9324<\\/a>)<\\/li>\\n<li>Tweak: Avoid duplicate queries for Custom Icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9579\\\">#9579<\\/a>)<\\/li>\\n<li>Tweak: Major performance improvements to Gallery widget<\\/li>\\n<li>Tweak: Avoid non-existing images in Gallery widget<\\/li>\\n<li>Tweak: Added <code>tabindex<\\/code>, <code>aria-expanded<\\/code>, <code>aria-hidden<\\/code> and <code>role=\\\"navigation\\\"<\\/code> accessibility attributes to Nav Menu widget<\\/li>\\n<li>Tweak: Changed button HTML tag from <code>button<\\/code> to <code>span<\\/code> in Call to Action and Flip Box widgets for better W3C compliance and accessibility<\\/li>\\n<li>Tweak: Removed Google+ from default networks in Share Buttons widget<\\/li>\\n<li>Tweak: Added compatibility for Library Connect<\\/li>\\n<li>Tweak: Added i18n to Toolset date dynamic tag<\\/li>\\n<li>Tweak: Added external link support to Gallery widget<\\/li>\\n<li>Tweak: Changed the link external attributes implementation to use <code>add_link_attributes()<\\/code> in Gallery widget<\\/li>\\n<li>Tweak: Updated references to the new Schemes system location<\\/li>\\n<li>Tweak: Avoid running Gallery handler when the gallery is empty<\\/li>\\n<li>Tweak: UI Tweaks in Editor Panel<\\/li>\\n<li>Tweak: Added responsive capabilities to Pointer Width control in Nav Menu widget<\\/li>\\n<li>Tweak: Added mobile support for responsive controls in Nav Menu widget<\\/li>\\n<li>Tweak: Refactor <code>register_controls()<\\/code> method in Posts widget skin trait<\\/li>\\n<li>Fix: ACF URL &quot;undefined Index&quot; notice (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7646\\\">#7646<\\/a>)<\\/li>\\n<li>Fix: WooCommerce Mini-Cart widget causes fatal error in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9304\\\">#9304<\\/a>)<\\/li>\\n<li>Fix: <code>PHP Notice: Undefined index<\\/code> display for Author query (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9864\\\">#9864<\\/a>)<\\/li>\\n<li>Fix: Added compatibility for Button widget placed inside Swiper carousel (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/broken-buttons-since-elementor-2-8\\/\\\">Topic<\\/a>)<\\/li>\\n<li>Fix: Avoid empty spaces in Post info widget<\\/li>\\n<li>Tweak: Always show &quot;Custom label&quot; control in Login widget<\\/li>\\n<li>Fix: Nav Menu item typography selector in Nav Menu widget<\\/li>\\n<li>Fix: Facebook Like Button widget causes flickering<\\/li>\\n<li>Fix: WooCommerce mini-cart behaviour when using <code>plain<\\/code> permalinks format<\\/li>\\n<li>Fix: Avoid running Popup triggers when set without conditions<\\/li>\\n<li>Fix: Removed &quot;Date&quot; query from Products widget<\\/li>\\n<li>Fix: Slides widget when used as a Shortcode and is hidden<\\/li>\\n<li>Fix: Custom URL being accessed on swipe in Media Carousel<\\/li>\\n<li>Fix: Media Carousel widget Cube effect glitch<\\/li>\\n<li>Fix: Lightbox shows images from multiple Gallery widgets in the same page<\\/li>\\n<li>Fix: Image <code>alt<\\/code> Text not displayed on overlay in Gallery widget<\\/li>\\n<li>Fix: Gallery widget not visible in Posts widget Full Content skin<\\/li>\\n<li>Fix: WooCommerce mini-cart remove unnecessary hooks registration when WooCommerce integration set to <code>Disable<\\/code><\\/li>\\n<li>Fix: Slides widget button wrapping breaks in mobile view<\\/li>\\n<li>Fix: Dynamic capabilities with the Reviews widget<\\/li>\\n<li>Fix: Disabling autoplay doesn\'t work in Slides widget<\\/li>\\n<li>Fix: Posts widget Full Content skin not working on Single template<\\/li>\\n<li>Fix: Autocomplete not working for &quot;By Author&quot; condition in Display Conditions screen<\\/li>\\n<li>Fix: Posts widget alignment issue<\\/li>\\n<li>Fix: Product Variations Clear button not working in edge cases<\\/li>\\n<li>Fix: Styling issues in Form widget submit button<\\/li>\\n<\\/ul>\\n<h4>2.7.3 - 2019-10-28<\\/h4>\\n<ul>\\n<li>Tweak: Added RTL support to Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9213\\\">#9213<\\/a>)<\\/li>\\n<li>Tweak: Added Custom Icons compatibility for WordPress 5.3<\\/li>\\n<li>Fix: Missing template function declaration causes fatal error in WC mini-cart widget<\\/li>\\n<li>Fix: Pause on hover doesn\'t work in Carousel widgets<\\/li>\\n<li>Fix: Link-actions conflict with <code>?action=<\\/code> parameter in the URL<\\/li>\\n<li>Fix: Lightbox navigation not working in Gallery widget Single mode<\\/li>\\n<li>Fix: Ken burns effect not working on the 1st slide if Infinite Loop option is turned off in Carousel widgets<\\/li>\\n<li>Fix: Popup Advanced Rules detects internal links as external if current URL starts with <code>www<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.7.2 - 2019-10-06<\\/h4>\\n<ul>\\n<li>Fix: Slide Overlay not working when applying Ken burns effect in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9209\\\">#9209<\\/a>)<\\/li>\\n<li>Fix: Content width glitch in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Horizontal Alignment not working when applying custom style per slide in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Missing semicolon in Custom Fonts <code>font-display<\\/code> CSS<\\/li>\\n<\\/ul>\\n<h4>2.7.1 - 2019-09-26<\\/h4>\\n<ul>\\n<li>Fix: Background Overlay layer is over the slide content in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9180\\\">#9180<\\/a>)<\\/li>\\n<li>Fix: Duplicate images under &quot;All&quot; filter in Multiple Gallery<\\/li>\\n<\\/ul>\\n<h4>2.7.0 - 2019-09-24<\\/h4>\\n<ul>\\n<li>New: Enhanced Galleries widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1898\\\">#1898<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3103\\\">#3103<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4279\\\">#4279<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7631\\\">#7631<\\/a>)<\\/li>\\n<li>New: Dynamic Number (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5952\\\">#5952<\\/a>)<\\/li>\\n<li>New: Full content skin for Posts and Archive-posts widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4617\\\">#4617<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic number capability to Price List, Price Table, Counter, Star Rating, Progress Bar widgets<\\/li>\\n<li>Tweak: Added tags support to forms Mailchimp action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5418\\\">#5418<\\/a>)<\\/li>\\n<li>Tweak: User Profile Picture Dynamic Tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7947\\\">#7947<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8740\\\">#8740<\\/a>)<\\/li>\\n<li>Tweak: Added <code>font-display<\\/code> support to custom fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5993\\\">#5993<\\/a>, <a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-custom-fonts-font-display-support\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added Text Shadow control to Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8800\\\">#8800<\\/a>)<\\/li>\\n<li>Tweak: Added Re-subscribe support to MailerLite (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8799\\\">#8799<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Facebook Embed widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/9030\\\">#9030<\\/a>)<\\/li>\\n<li>Tweak: Use <code>swiper.js<\\/code> instead of <code>slick.js<\\/code> in Slides widget (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-2-7-moving-sliders-from-slick-to-swiper\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/before_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/search_form\\/after_input<\\/code> action hook to Search Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5598\\\">#5598<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic support for Custom field key (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7789\\\">#7789<\\/a>)<\\/li>\\n<li>Tweak: Increased expired license notice bar frequency<\\/li>\\n<li>Tweak: Changed the icon name of Slides widget<\\/li>\\n<li>Tweak: Added designated Finder\'s Icons for Custom icons &amp; Custom fonts<\\/li>\\n<li>Tweak: Use Ken Burns Effect as an external module<\\/li>\\n<li>Tweak: Remove Fontello conflicting CSS on import to Custom Icons sets<\\/li>\\n<li>Tweak: Editor Panel UI tweaks<\\/li>\\n<li>Tweak: Added DOM events on Popup show\\/hide (<a href=\\\"https:\\/\\/developers.elementor.com\\/elementor-pro-2-7-popup-events\\/\\\">Developers Blog Post<\\/a>)<\\/li>\\n<li>Tweak: Added option to change the variations field width in Add to Cart widget<\\/li>\\n<li>Tweak: Use select control instead of select2 in Menu Cart widget<\\/li>\\n<li>Tweak: Added conditions to the tabs instead of to each control in Share Buttons widget<\\/li>\\n<li>Tweak: Added Typography controls to HTML field in Forms widget<\\/li>\\n<li>Tweak: Allow edit selected Font file in Custom Font<\\/li>\\n<li>Tweak: Changed reCAPTCHA v3 error message<\\/li>\\n<li>Tweak: Remove the &quot;Save as Global&quot; option on Global widget context menu<\\/li>\\n<li>Fix: Corrected selector for <code>removeControlSpinner()<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8790\\\">#8790<\\/a>)<\\/li>\\n<li>Fix: Slides widget navigation icons misplacement (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8533\\\">#8533<\\/a>)<\\/li>\\n<li>Fix: Horizontal Scrollbar when Slider widget is set to Full Width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8527\\\">#8527<\\/a>)<\\/li>\\n<li>Fix: Inconsistent behavior when &quot;Infinite Loop&quot; enabled with &quot;Autoplay&quot; in Slides widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6726\\\">#6726<\\/a>)<\\/li>\\n<li>Fix: Ken Burns effect on Chrome transition glitches (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1671\\\">#1671<\\/a>)<\\/li>\\n<li>Fix: Nothing found message shows up inside the columns set in Posts Archive widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7347\\\">#7347<\\/a>)<\\/li>\\n<li>Fix: Responsive UI glitch in Popup Conditions modal tabs<\\/li>\\n<li>Fix: Removed unnecessary divider in Call to Action widget<\\/li>\\n<li>Fix: Custom Add To Cart * button style (size, position and background color) when <code>quantity<\\/code> is enabled.<\\/li>\\n<li>Fix: Add support for Document\\/PageBase in Theme Builder (Core &gt;=2.7.0)<\\/li>\\n<li>Fix: Ampersand character breaks email link in Share Buttons widget<\\/li>\\n<li>Fix: Correct custom font attachment <code>mime-type<\\/code> to show uploaded Custom Fonts<\\/li>\\n<li>Fix: Mini-Cart not refreshing in Menu Cart widget<\\/li>\\n<li>Fix: Cart drawer not working when WC Subscriptions plugin is activated<\\/li>\\n<li>Fix:  Querying CPT with custom taxonomies does not show the taxonomies before saving<\\/li>\\n<li>Fix: Double rendering on change caused console error in Theme Builder\'s conditions screen<\\/li>\\n<li>Fix: Translations and Strings in Share Buttons widget<\\/li>\\n<li>Fix: Avoid using offset if the source is Manual selection in Query Control<\\/li>\\n<li>Fix: Form being submitted although reCAPTCHA v3 validation failed in Forms widget<\\/li>\\n<\\/ul>\\n<h4>2.6.5 - 2019-08-26<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Button style not working when <code>quantity<\\/code> is enabled in Custom Add To Cart widget<\\/li>\\n<li>Fix: Updated minified JS file fixed WhatsApp base URL in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>2.6.4 - 2019-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.7<\\/li>\\n<li>Fix: Changed WhatsApp base URL in Share Buttons widget for cross-device compatibility<\\/li>\\n<li>Fix: Random slides order after several clicks on pagination in Testimonial Carousel widget<\\/li>\\n<\\/ul>\\n<h4>2.6.3 - 2019-08-18<\\/h4>\\n<ul>\\n<li>Fix: Core version rollback to <code>&gt;2.6.0<\\/code> causes a fatal error<\\/li>\\n<li>Fix: Duplicate images when slideshow skin is selected in Media Carousel lightbox<\\/li>\\n<li>Fix: Default bottom margin added to reCAPTCHA V3 badge<\\/li>\\n<li>Fix: Input glitch in reCAPTCHA V3 threshold settings<\\/li>\\n<\\/ul>\\n<h4>2.6.2 - 2019-07-30<\\/h4>\\n<ul>\\n<li>Tweak: Better accessibility support in Search Form widget<\\/li>\\n<li>Fix: UI glitched in Popup publish screen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8616\\\">#8616<\\/a>)<\\/li>\\n<li>Fix: &quot;Child of Term&quot; and &quot;Any child of term&quot; conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8695\\\">#8695<\\/a>)<\\/li>\\n<li>Fix: Restored <code>library_widget_templates<\\/code> action hook for 3rd party compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8687\\\">#8687<\\/a>)<\\/li>\\n<li>Fix: Twitter Icon missing in Blockquote widget<\\/li>\\n<li>Fix: Form reCAPTCHA v3 badge position not working<\\/li>\\n<li>Fix: Renewal notice bar appears in wrong situations<\\/li>\\n<li>Fix: Draft Icon Set loads empty Icon Library<\\/li>\\n<\\/ul>\\n<h4>2.6.1 - 2019-07-24<\\/h4>\\n<ul>\\n<li>Fix: Query Control autocomplete not retrieving results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8672\\\">#8672<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8661\\\">#8661<\\/a>)<\\/li>\\n<li>Fix: Price Table features section not working (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8660\\\">#8660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.6.0 - 2019-07-23<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Icon sets - including Fontello, IcoMoon and Fontastic support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/110\\\">#110<\\/a>)<\\/li>\\n<li>New: Added Font Awesome 5 Pro integration including 5,300+ icons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4430\\\">#4430<\\/a>)<\\/li>\\n<li>New: Added reCAPTCHA v3 integration to Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8213\\\">#8213<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6039\\\">#6039<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7165\\\">#7165<\\/a>)<\\/li>\\n<li>Tweak: Added Exit Animation for Popups (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7063\\\">#7063<\\/a>)<\\/li>\\n<li>Tweak: Added ACF Dynamic tag support for archive pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5147\\\">#5147<\\/a>)<\\/li>\\n<li>Tweak: Added Navigator Indicators for Custom CSS &amp; Motion Effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2180\\\">#2180<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities for Form Redirect action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7552\\\">#7552<\\/a>)<\\/li>\\n<li>Tweak: Added Logged In Message styling options for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7928\\\">#7928<\\/a>)<\\/li>\\n<li>Tweak: Added <code>none<\\/code> breakpoint option to Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7916\\\">#7916<\\/a>)<\\/li>\\n<li>Tweak: Added option to place Post Terms dynamic tag without links (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8366\\\">#8366<\\/a>)<\\/li>\\n<li>Tweak: Added <code>elementor\\/query\\/query_results<\\/code> hook to Query Control to allow full control over results (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7912\\\">#7912<\\/a>)<\\/li>\\n<li>Tweak: Allow choosing Heading HTML tag in Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8090\\\">#8090<\\/a>)<\\/li>\\n<li>Tweak: Show popup on dynamic click even when <code>Avoid Multiple Popups<\\/code> option is selected (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8189\\\">#8189<\\/a>)<\\/li>\\n<li>Tweak: Added condition option to all of archive child pages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8256\\\">#8256<\\/a>)<\\/li>\\n<li>Tweak: Added <code>Effects Relative To<\\/code> control to Scrolling Effects<\\/li>\\n<li>Tweak: Allow shortcodes in HTML Form field<\\/li>\\n<li>Tweak: Removed donReach integration from Share Buttons widget due to service inconsistent stability<\\/li>\\n<li>Tweak: Changed MailChimp <code>List<\\/code> label to <code>Audience<\\/code><\\/li>\\n<li>Tweak: Improved Entrance and Exit animation behavior in Popup<\\/li>\\n<li>Tweak: Added <code>Deprecated Notice<\\/code> control to <code>Archive Products<\\/code> and <code>Woo Products<\\/code> widgets<\\/li>\\n<li>Tweak: Added default dynamic title for archives in Theme Builder<\\/li>\\n<li>Tweak: Added condition to show <code>Centered Slides<\\/code> control in Media Carousel widget<\\/li>\\n<li>Tweak: Added notice bar in the Editor when the license is expired or not activated<\\/li>\\n<li>Tweak: Replaced <code>select<\\/code> control with <code>choose<\\/code> control in Price List widget<\\/li>\\n<li>Tweak: Removed Font Awesome 4 dependencies from the Editor<\\/li>\\n<li>Tweak: Minor styling tweaks in the Popup publish modal<\\/li>\\n<li>Tweak: Hide ordering form in Products widget on front page<\\/li>\\n<li>Tweak: Removed page title markup when \'Hide Title\' is active<\\/li>\\n<li>Tweak: Added style controls for HTML field in Form widget<\\/li>\\n<li>Fix: Form widget Date picker makes the Popup builder disappear (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7240\\\">#7240<\\/a>)<\\/li>\\n<li>Fix: Sticky element stop point stops working on viewport resize (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7884\\\">#7884<\\/a>)<\\/li>\\n<li>Fix: Copy-Paste style not pasting the Pointer option in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8497\\\">#8497<\\/a>)<\\/li>\\n<li>Fix: Missing Print icon in Share Buttons (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8506\\\">#8506<\\/a>)<\\/li>\\n<li>Fix: UI style glitch in Blockquote widget when viewing from iPad<\\/li>\\n<li>Deprecated: <code>DB::save_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<li>Deprecated: <code>DB::get_plain_editor()<\\/code> - Remove usage of this method (<a href=\\\"https:\\/\\/developers.elementor.com\\/v2-6-0-planned-deprecations\\/\\\">Deprecation Post<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.14 - 2019-07-14<\\/h4>\\n<ul>\\n<li>Fix: Better WC Related Product grid support to various themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8555\\\">#8555<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.13 - 2019-07-11<\\/h4>\\n<ul>\\n<li>Fix: Better WC grid support to various themes<\\/li>\\n<\\/ul>\\n<h4>2.5.12 - 2019-07-10<\\/h4>\\n<ul>\\n<li>Fix: Grid for WooCommerce Archive Product widget<\\/li>\\n<li>Fix: Remove redundant <code>whitespace<\\/code> CSS property causes style glitch in iPad<\\/li>\\n<li>Tweak: Added more compatibility for Elementor v2.6<\\/li>\\n<\\/ul>\\n<h4>2.5.11 - 2019-07-02<\\/h4>\\n<ul>\\n<li>Fix: Close icon missing from Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8460\\\">#8460<\\/a>)<\\/li>\\n<li>Fix: Elementor Pro v2.5.10 shows PHP notice regarding notice bar (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8461\\\">#8461<\\/a>)<\\/li>\\n<li>Fix: Fatal error when deleting used Pods fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8396\\\">#8396<\\/a>)<\\/li>\\n<li>Fix: Missing dropdown icon in conditions screen<\\/li>\\n<\\/ul>\\n<h4>2.5.10 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.6<\\/li>\\n<li>Tweak: Error caused by empty Rows &amp; Columns values in Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8261\\\">#8261<\\/a>)<\\/li>\\n<li>Fix: Do not unset <code>product<\\/code> CPT if it\'s not from WooCommerce (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8160\\\">#8160<\\/a>)<\\/li>\\n<li>Fix: Column Spacing not working in WooCommerce Archive Products widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8285\\\">#8285<\\/a>)<\\/li>\\n<li>Fix: Title styling not working in Products Categories widget<\\/li>\\n<li>Fix: Empty value in Dynamic Pods Gallery dropdown using Safari browser<\\/li>\\n<li>Fix: WooCommerce archives included in &quot;All Archives&quot; condition<\\/li>\\n<\\/ul>\\n<h4>2.5.9 - 2019-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>auto-confirm<\\/code> control from MailPoet to support new version of MailPoet<\\/li>\\n<li>Fix: Multiple Custom Fonts not rendered in the editor<\\/li>\\n<li>Fix: Products <code>sale<\\/code> query - handle exclude by manual selection.<\\/li>\\n<li>Fix: Product Categories grid row &amp; column style<\\/li>\\n<li>Fix: Form integration AJAX cache override<\\/li>\\n<li>Fix: Removed redundant CSS on Canvas &amp; Header-Footer page templates<\\/li>\\n<\\/ul>\\n<h4>2.5.8 - 2019-05-06<\\/h4>\\n<ul>\\n<li>Fix: Popup entrance animation not working in frontend<\\/li>\\n<li>Fix: Popup Exit Intent trigger activated multiple times<\\/li>\\n<\\/ul>\\n<h4>2.5.7 - 2019-05-05<\\/h4>\\n<ul>\\n<li>Fix: Embedded video keeps playing after a Popup is closed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7875\\\">#7875<\\/a>)<\\/li>\\n<li>Fix: Maximum call stack size exceeded error in Safari (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7824\\\">#7824<\\/a>)<\\/li>\\n<li>Fix: Entrance animations not appearing on Popup reopen (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7395\\\">#7395<\\/a>)<\\/li>\\n<li>Fix: WC variations select style glitch in several themes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/8008\\\">#8008<\\/a>)<\\/li>\\n<li>Fix: Theme Builder taxonomy conditions not retrieving proper results in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.5.6 - 2019-04-29<\\/h4>\\n<ul>\\n<li>Tweak: Removed <code>Shortcode<\\/code> dynamic from Image, Gallery and Media control<\\/li>\\n<li>Fix: Popup not inheriting entrance animation in responsive mode (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7809\\\">#7809<\\/a>)<\\/li>\\n<li>Fix: Terms autocomplete retrieves wrong results in Query Control<\\/li>\\n<li>Fix: Query Control Related by author glitches in edge cases<\\/li>\\n<li>Fix: Query Control using terms for Products widget<\\/li>\\n<li>Fix: Posts cards style glitch in small screens<\\/li>\\n<li>Fix: Display conditions delete icon missing in small screens<\\/li>\\n<li>Fix: Avoid rendering Menu Cart widget in WordPress native editor<\\/li>\\n<\\/ul>\\n<h4>2.5.5 - 2019-04-08<\\/h4>\\n<ul>\\n<li>Tweak: Allow text selection inside a Popup<\\/li>\\n<li>Fix: Added backwards compatibility for <code>tax_query<\\/code> in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7751\\\">#7751<\\/a>)<\\/li>\\n<li>Fix: Missing arguments for <code>widget_title<\\/code> filter (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7745\\\">#7745<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.4 - 2019-04-03<\\/h4>\\n<ul>\\n<li>Fix: Move Query from using <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<li>Fix: Offset manipulation hook removal in Query control<\\/li>\\n<li>Fix: Missing form field <code>ID<\\/code> in some edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7711\\\">#7711<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7660\\\">#7660<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.3 - 2019-03-31<\\/h4>\\n<ul>\\n<li>Tweak: Updated Google Calendar dynamic tag URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7673\\\">#7673<\\/a>)<\\/li>\\n<li>Fix: Missing form field names (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7651\\\">#7651<\\/a>)<\\/li>\\n<li>Fix: PHP 5.4 backward compatibility in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7633\\\">#7633<\\/a>)<\\/li>\\n<li>Fix: <code>products_deprecated<\\/code> Query Control module compatibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7654\\\">#7654<\\/a>)<\\/li>\\n<li>Fix: Changed query method from <code>term_id<\\/code> to <code>term_taxonomy_id<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7653\\\">#7653<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.5.2 - 2019-03-27<\\/h4>\\n<ul>\\n<li>Fix: Overwrite parent widget type in Global Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7632\\\">#7632<\\/a>)<\\/li>\\n<li>Fix: Avoid Duplicates option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7635\\\">#7635<\\/a>)<\\/li>\\n<li>Fix: Manual Selection option not working in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7634\\\">#7634<\\/a>)<\\/li>\\n<li>Fix: Incorrect condition caused handlers issues inside popup<\\/li>\\n<\\/ul>\\n<h4>2.5.1 - 2019-03-26<\\/h4>\\n<ul>\\n<li>Fix: Query Control invalid call to deprecated action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7619\\\">#7619<\\/a>)<\\/li>\\n<li>Tweak: Renamed action hook from <code>elementor_pro\\/{$widget_name}\\/query\\/{$query_id}<\\/code> to <code>elementor\\/query\\/{$query_id}<\\/code><\\/li>\\n<li>Tweak: Renamed filter hook from <code>elementor_pro\\/query_control\\/get_query_args\\/current_query<\\/code> to <code>elementor\\/query\\/get_query_args\\/current_query<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.5.0 - 2019-03-26<\\/h4>\\n<ul>\\n<li>New: Introducing Motion Effects including Scrolling &amp; Mouse effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/72\\\">#72<\\/a>)<\\/li>\\n<li>New: Introducing Related Posts for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7306\\\">#7306<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7490\\\">#7490<\\/a>)<\\/li>\\n<li>New: Introducing Date query for Query Control<\\/li>\\n<li>New: Introducing Sticky Posts support for Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2501\\\">#2501<\\/a>)<\\/li>\\n<li>Tweak: Added option to open a Popup by a custom selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6871\\\">#6871<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6876\\\">#6876<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Option to count when Popup is closed in &quot;Show up to X times&quot; Advanced Rule<\\/li>\\n<li>Tweak: Added full border radius control options inside Popup<\\/li>\\n<li>Tweak: Changed exit intent icon in Popups<\\/li>\\n<li>Tweak: Show only one popup in its own preview<\\/li>\\n<li>Tweak: Added responsive support to Popup entrance animation control<\\/li>\\n<li>Tweak: Conditions - Singular <code>All Pages<\\/code> string changed to <code>Pages<\\/code><\\/li>\\n<li>Tweak: Added form field shortcode support for Drip tags (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7000\\\">#7000<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Price List widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7258\\\">#7258<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic capabilities to Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6779\\\">#6779<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities to Flip Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6986\\\">#6986<\\/a>)<\\/li>\\n<li>Tweak: Decrease <code>z-index<\\/code> for Nav Menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6869\\\">#6869<\\/a>)<\\/li>\\n<li>Tweak: Changed &quot;Scrolling Effects&quot; section label to &quot;Motion Effects&quot;<\\/li>\\n<li>Tweak: Use filter <code>get_meta_viewport<\\/code> for header templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7043\\\">#7043<\\/a>)<\\/li>\\n<li>Tweak: use filterable <code>Util::get_public_post_types()<\\/code> in Theme Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7172\\\">#7172<\\/a>)<\\/li>\\n<li>Tweak: Added Cloudflare rocket-loader support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7443\\\">#7443<\\/a>)<\\/li>\\n<li>Tweak: Added responsive support to WC Products Columns &amp; Rows Gap controls (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6913\\\">#6913<\\/a>)<\\/li>\\n<li>Tweak: WC Menu cart &quot;View Cart&quot; &amp; &quot;Checkout&quot; buttons styling<\\/li>\\n<li>Fix: Custom ID reset to default when dragging repeater<\\/li>\\n<li>Fix: Conflict between archive-products widget and WC customizer<\\/li>\\n<li>Fix: Add to Cart widget <code>spacing<\\/code> and <code>space-between<\\/code><\\/li>\\n<li>Fix: Library view when creating a new Header or Footer<\\/li>\\n<li>Fix: Post types labels missing on Add New Template modal<\\/li>\\n<\\/ul>\\n<h4>2.4.8 - 2019-03-11<\\/h4>\\n<ul>\\n<li>Fix: Missing query section in Products widget<\\/li>\\n<li>Fix: Missing Taxonomy controls in Products widget in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.7 - 2019-03-06<\\/h4>\\n<ul>\\n<li>Fix: Compatibility Global Widget with Elementor v2.5.0+<\\/li>\\n<\\/ul>\\n<h4>2.4.6 - 2019-03-04<\\/h4>\\n<ul>\\n<li>Fix: Pods gallery dynamic when empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7127\\\">#7127<\\/a>)<\\/li>\\n<li>Fix: Duplicate call for conditions screen issue<\\/li>\\n<li>Fix: Compatibility with Elementor v2.5.0<\\/li>\\n<\\/ul>\\n<h4>2.4.5 - 2019-02-18<\\/h4>\\n<ul>\\n<li>Fix: Image size issue in Testimonial Carousel (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7058\\\">#7058<\\/a>)<\\/li>\\n<li>Fix: MailChimp groups not saved in a form integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7083\\\">#7083<\\/a>)<\\/li>\\n<li>Fix: Show popup preview only on it\'s own preview<\\/li>\\n<li>Fix: Elementor dashboard templates URL corrupted links in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.4.4 - 2019-02-11<\\/h4>\\n<ul>\\n<li>Tweak: Added ACF Date Time Picker field support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6690\\\">#6690<\\/a>)<\\/li>\\n<li>Tweak: Changed the term of <code>All Posts<\\/code> condition to <code>Posts<\\/code><\\/li>\\n<li>Fix: Added <code>&lt;IfModule&gt;<\\/code> to avoid 500 error when <code>mod-headers<\\/code> is missing (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/7034\\\">#7034<\\/a>)<\\/li>\\n<li>Fix: Include post CSS deletion in Global Widget update (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6856\\\">#6856<\\/a>)<\\/li>\\n<li>Fix: <code>Textarea<\\/code> default value in Forms Widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6934\\\">#6934<\\/a>)<\\/li>\\n<li>Fix: MailPoet latest version caused fatal error (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6996\\\">#6996<\\/a>)<\\/li>\\n<li>Fix: Fatal Error caused by calling MailPoet deleted method<\\/li>\\n<li>Notice: MailPoet <code>Auto Confirm<\\/code> option will now default to &quot;On&quot;<\\/li>\\n<\\/ul>\\n<h4>2.4.3 - 2019-01-30<\\/h4>\\n<ul>\\n<li>Fix: Custom Add to Cart widget responsive alignment settings<\\/li>\\n<li>Fix: Links in Post Info widget<\\/li>\\n<li>Fix: WooCommerce <code>View Cart<\\/code> string translate<\\/li>\\n<li>Fix: Wrapper classes for header\\/footer templates (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6884\\\">#6884<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.4.2 - 2019-01-25<\\/h4>\\n<ul>\\n<li>Tweak: Added pixel units to Close Button position control in Popups<\\/li>\\n<li>Fix: Exclude error in WC Products widget<\\/li>\\n<\\/ul>\\n<h4>2.4.1 - 2019-01-24<\\/h4>\\n<ul>\\n<li>Tweak: Added CSS classes control to Popup (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6826\\\">#6826<\\/a>)<\\/li>\\n<li>Tweak: Added responsive image size to Testimonial Carousel widget<\\/li>\\n<li>Fix: PHP warning when Toolset Date dynamic is empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6842\\\">#6842<\\/a>)<\\/li>\\n<li>Fix: Support of exclude-ids in WC Products widget<\\/li>\\n<li>Fix: Popup close button not clickable<\\/li>\\n<li>Fix: Alignment justify issue of Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6749\\\">#6749<\\/a>)<\\/li>\\n<li>Fix: Bad anchors breaks the page JS<\\/li>\\n<li>Fix: Popup overlay shown when turned off<\\/li>\\n<\\/ul>\\n<h4>2.4.0 - 2019-01-21<\\/h4>\\n<ul>\\n<li>New: Introducing Popup Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/628\\\">#628<\\/a>)<\\/li>\\n<li>New: Added <code>Popup<\\/code> Dynamic Tag<\\/li>\\n<li>New: Added <code>Popup<\\/code> forms action after submit<\\/li>\\n<li>New: Added User Info dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6322\\\">#6322<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic capabilities for &quot;Nothing Found&quot; message<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/theme_builder\\/archive\\/escape_nothing_found_message<\\/code> Filter to avoid HTML escaping in &quot;Nothing Found&quot; message (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6053\\\">#6053<\\/a>)<\\/li>\\n<li>Tweak: Added <code>add_doc_to_location<\\/code> method to Allow insertion of a document to a location<\\/li>\\n<li>Fix: <code>z-index<\\/code> issue with CTA widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6486\\\">#6486<\\/a>)<\\/li>\\n<li>Fix: Hide the Post Content widget and show it only in a Single document<\\/li>\\n<li>Fix: <code>selector<\\/code> replacement in Custom CSS<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> on the real content only<\\/li>\\n<li>Fix: CSS for WC products selector (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6559\\\">#6559<\\/a>)<\\/li>\\n<li>Fix: Odnoklassniki share URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6638\\\">#6638<\\/a>)<\\/li>\\n<li>Fix: Custom link new tab in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5766\\\">#5766<\\/a>)<\\/li>\\n<li>Fix: <code>nofollow<\\/code> link in Flip Box &amp; CTA widgets<\\/li>\\n<li>Fix: Post Terms in Post Info widget<\\/li>\\n<li>Fix: Added screen reader to some icons &amp; buttons for better accessibility (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5386\\\">#5386<\\/a>)<\\/li>\\n<li>Fix: Accessibility labels in Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6630\\\">#6630<\\/a>)<\\/li>\\n<li>Fix: Link to cart page not working when WooCommerce Subscriptions is active<\\/li>\\n<li>Fix: MailChimp Selected list not showing on reloading in Form widget<\\/li>\\n<li>Fix: Sub-menu arrow position in Nav Menu widget<\\/li>\\n<li>Fix: Conflict with WP Security Audit Log plugin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6648\\\">#6648<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.3.1 - 2018-12-19<\\/h4>\\n<ul>\\n<li>Fix: Template widget search functionality (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6473\\\">#6473<\\/a>)<\\/li>\\n<li>Fix: Apply <code>the_content<\\/code> filter to post content in theme builder<\\/li>\\n<\\/ul>\\n<h4>2.3.0 - 2018-12-17<\\/h4>\\n<ul>\\n<li>New: Introducing Discord Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4218\\\">#4218<\\/a>)<\\/li>\\n<li>New: Introducing Slack Integration for Forms<\\/li>\\n<li>New: Introducing MailerLite Integration for Forms (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4462\\\">#4462<\\/a>)<\\/li>\\n<li>New: Activate Elementor Pro plugin by connecting to Elementor account<\\/li>\\n<li>Tweak: Added <code>elementor_pro\\/utils\\/get_public_post_types<\\/code> filter hook (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5900\\\">#5900<\\/a>)<\\/li>\\n<li>Tweak: Added <code>loop_start<\\/code> &amp; <code>the_content<\\/code> hooks for Post Content (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6173\\\">#6173<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from Page Settings<\\/li>\\n<li>Tweak: Always add the Custom CSS control to the Advanced tab<\\/li>\\n<li>Fix: In sub Term condition false positive in edge cases<\\/li>\\n<li>Fix: ToolSet Dynamic Image fallback<\\/li>\\n<li>Fix: Style glitch with the dropdown color in Nav Menu widget<\\/li>\\n<li>Fix: Style glitch in the Conditions screen in Safari browser<\\/li>\\n<li>Fix: Ribbon in the CTA widget obscures drop down menu (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6080\\\">#6080<\\/a>)<\\/li>\\n<li>Fix: The color of label won\'t change color in Widget login<\\/li>\\n<\\/ul>\\n<h4>2.2.5 - 2018-12-11<\\/h4>\\n<ul>\\n<li>New: Add Style Tab &amp; Custom CSS for Header &amp; Footer Templates.<\\/li>\\n<li>Tweak: Added a better identifier for subpages (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6362\\\">#6362<\\/a>)<\\/li>\\n<li>Tweak: Removed Custom Attributes from page settings<\\/li>\\n<li>Fix: Yahoo event URL date issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Allow timezone settings in Google event URL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6354\\\">#6354<\\/a>)<\\/li>\\n<li>Fix: Avoid <code>z-index<\\/code> changes by <code>nanocss<\\/code> in build process<\\/li>\\n<li>Fix: Added missing WC upsells products CSS<\\/li>\\n<li>Fix: Nav Menu dropdown losing color on hover<\\/li>\\n<li>Fix: WC Product Add-ons CSS compatibility<\\/li>\\n<\\/ul>\\n<h4>2.2.4 - 2018-12-04<\\/h4>\\n<ul>\\n<li>Fix: Global widget not saving changes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6340\\\">#6340<\\/a>)<\\/li>\\n<li>Fix: Dynamic tags support in Blockquote widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6334\\\">#6334<\\/a>)<\\/li>\\n<li>Fix: Forms Redirect URL action when using form field values with spaces<\\/li>\\n<\\/ul>\\n<h4>2.2.3 - 2018-11-29<\\/h4>\\n<ul>\\n<li>Fix: Missing &quot;Edit Template&quot; in Template widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Follow menu anchors with UTF8 characters in Nav Menu<\\/li>\\n<li>Fix: Show only supported templates in Template widget<\\/li>\\n<li>Fix: Revert conflicting fix for a default order for WC archive<\\/li>\\n<\\/ul>\\n<h4>2.2.2 - 2018-11-28<\\/h4>\\n<ul>\\n<li>Fix: Lightbox dynamic tag crashes the editor<\\/li>\\n<\\/ul>\\n<h4>2.2.1 - 2018-11-28<\\/h4>\\n<ul>\\n<li>New: Added <code>ACF File<\\/code> Dynamic tag to support text controls.<\\/li>\\n<li>Tweak: Added option to hide item count bubble when cart is empty in Menu Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6223\\\">#6223<\\/a>)<\\/li>\\n<li>Tweak: Added Actions group for Lightbox and Contact URL tags<\\/li>\\n<li>Tweak: Added filter <code>elementor_pro\\/dynamic_tags\\/shortcode\\/should_escape<\\/code> to avoid escaping in Shortcode dynamic tag<\\/li>\\n<li>Tweak: MailPoet3 integration allow Subscriber to to subscribe to multiple lists<\\/li>\\n<li>Tweak: Added front-end max file size validation for upload fields<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> per Post-Type condition for theme builder<\\/li>\\n<li>Fix: Template widget panel not showing the selected template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6271\\\">#6271<\\/a>)<\\/li>\\n<li>Fix: Conflict between ACF with Safari browser on Select option in Dynamic tag<\\/li>\\n<li>Fix: Add post classes only for the Single template<\\/li>\\n<li>Fix: Set document type as not editable for unsupported document like Global widget<\\/li>\\n<li>Fix: Avoid duplicate query for current WC product query<\\/li>\\n<li>Fix: Product Archive showing oldest products instead of latest<\\/li>\\n<li>Fix: CSS reset in Posts widget using cards skin<\\/li>\\n<\\/ul>\\n<h4>2.2.0 - 2018-11-19<\\/h4>\\n<ul>\\n<li>New: Introducing Custom Attributes (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/290\\\">#290<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3990\\\">#3990<\\/a>)<\\/li>\\n<li>New: Added evergreen option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4459\\\">#4459<\\/a>)<\\/li>\\n<li>New: Added expire actions option for Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5242\\\">#5242<\\/a>)<\\/li>\\n<li>New: Introducing Reviews widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3854\\\">#3854<\\/a>)<\\/li>\\n<li>New: Introducing Sitemap widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5594\\\">#5594<\\/a>)<\\/li>\\n<li>New: Added Request Parameter dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4934\\\">#4934<\\/a>)<\\/li>\\n<li>New: Added Shortcode dynamic tag<\\/li>\\n<li>New: Added Image and Video Lightbox dynamic tag<\\/li>\\n<li>New: Added Contact URL dynamic tag<\\/li>\\n<li>New: Added Featured Image Data dynamic tag<\\/li>\\n<li>New: Added default value to each field in the Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4268\\\">#4268<\\/a>)<\\/li>\\n<li>New: Added &quot;Any Child Of&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5321\\\">#5321<\\/a>)<\\/li>\\n<li>New: Added &quot;In Child&quot; condition to template conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5587\\\">#5587<\\/a>)<\\/li>\\n<li>Tweak: Added Form Redirect URL with form values (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2564\\\">#2564<\\/a>)<\\/li>\\n<li>Tweak: Added default post classes to template wrapper (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5959\\\">#5959<\\/a>)<\\/li>\\n<li>Tweak: Better labels for terms in Query control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6092\\\">#6092<\\/a>)<\\/li>\\n<li>Tweak: Renamed &quot;Child Of&quot; templates condition to &quot;Direct Child Of&quot;<\\/li>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/condition_sub_id<\\/code> filter hook to allow template condition translations<\\/li>\\n<li>Tweak: Load the Template Library widget via Ajax for better performance<\\/li>\\n<li>Tweak: Added 404 page title for Page Title dynamic tag<\\/li>\\n<li>Fix: Menu Cart Toggle has # URL link (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6141\\\">#6141<\\/a>)<\\/li>\\n<li>Fix: Alignment issue in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5790\\\">#5790<\\/a>)<\\/li>\\n<li>Fix: Avoid potential security risk in forms<\\/li>\\n<li>Fix: Template By Author condition conflicts with 404 page<\\/li>\\n<li>Fix: Restored WC Product Content widget in Single Product template<\\/li>\\n<li>Fix: Theme Builder Preview URLs for date archives and 404 pages<\\/li>\\n<li>Fix: Highlight active menu anchor items only when scrolled into view<\\/li>\\n<li>Fix: Carousel Pagination Progress style to support new Swiper version<\\/li>\\n<\\/ul>\\n<h4>2.1.13 - 2018-11-12<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for new brand Finder in v2.3.0<\\/li>\\n<li>Fix: Settings conflict when there are multiple carousels in the page<\\/li>\\n<\\/ul>\\n<h4>2.1.12 - 2018-11-05<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.3<\\/li>\\n<li>Tweak: Better performance for Template Library widget<\\/li>\\n<li>Fix: Fatal error if a taxonomy used in a dynamic field is removed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6029\\\">#6029<\\/a>)<\\/li>\\n<li>Fix: Date Time dynamic tag now respect site language (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6001\\\">#6001<\\/a>)<\\/li>\\n<li>Fix: Custom CSS printed twice in the front-end<\\/li>\\n<li>Fix: ACF Image field PHP warning (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/6051\\\">#6051<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.1.11 - 2018-10-22<\\/h4>\\n<ul>\\n<li>New: Added ACF local fields compatibility<\\/li>\\n<li>Tweak: Re-brand TypeKit by Adobe Fonts integration<\\/li>\\n<li>Fix: Exclude <code>is_embed<\\/code> from Singular condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5915\\\">#5915<\\/a>)<\\/li>\\n<li>Fix: Avoid conflict with Ad Blockers and Share Buttons<\\/li>\\n<li>Fix: Current date time dynamic tag now shows local time<\\/li>\\n<li>Fix: Avoid conflict with 3rd party plugins that filter the permalink<\\/li>\\n<li>Fix: Avoid PHP warning when no groups are selected for MailChimp integration<\\/li>\\n<li>Fix: Avoid PHP warning if checkbox field is empty for ACF<\\/li>\\n<li>Fix: Respect password protected for a WC single product template<\\/li>\\n<li>Fix: Respect <code>order<\\/code> settings for WC archive also without pagination<\\/li>\\n<\\/ul>\\n<h4>2.1.10 - 2018-10-09<\\/h4>\\n<ul>\\n<li>Tweak: Added responsive alignment control for Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5821\\\">#5821<\\/a>)<\\/li>\\n<li>Tweak: Added link control to Animated Headline widget<\\/li>\\n<li>Fix: Mobile nav menu jump on RTL (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5711\\\">#5711<\\/a>)<\\/li>\\n<li>Fix: Responsive alignment control in Add to Cart widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5830\\\">#5830<\\/a>)<\\/li>\\n<li>Fix: Added IE compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Post Content widget is now shown only on <code>Single<\\/code> templates<\\/li>\\n<li>Fix: Query Control Pagination with offset<\\/li>\\n<\\/ul>\\n<h4>2.1.9 - 2018-09-17<\\/h4>\\n<ul>\\n<li>Tweak: Added Centered Slides option for Slideshow carousel<\\/li>\\n<li>Fix: Allow only public CPT for Manual Selection in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5091\\\">#5091<\\/a>)<\\/li>\\n<li>Fix: ACF Gallery option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: Page scrolling on resize when sticky is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5740\\\">#5740<\\/a>)<\\/li>\\n<li>Fix: Edit custom name for Global Widget in the Navigator (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5689\\\">#5689<\\/a>)<\\/li>\\n<li>Fix: Coverflow transition effect in Carousel<\\/li>\\n<li>Fix: Weird mobile behavior with Cube effect in Carousel<\\/li>\\n<li>Fix: Show the first thumbnail in the Slideshow carousel correctly<\\/li>\\n<\\/ul>\\n<h4>2.1.8 - 2018-09-12<\\/h4>\\n<ul>\\n<li>Tweak: Added styling options for WC Additional Information widget<\\/li>\\n<li>Tweak: Added styling options for \'View Cart\' link in Products widget<\\/li>\\n<li>Fix: 3rd party plugin support for WC single product template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5338\\\">#5338<\\/a>)<\\/li>\\n<li>Fix: Layout of Related Product widget with WC native style<\\/li>\\n<\\/ul>\\n<h4>2.1.7 - 2018-09-03<\\/h4>\\n<ul>\\n<li>New: WC Archive Description widget<\\/li>\\n<li>Tweak: Added blend mode to Slides widget background overlay (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5555\\\">#5555<\\/a>)<\\/li>\\n<li>Tweak: Added \'Current Subcategories\' option to Product Categories widget<\\/li>\\n<li>Fix: Added default vertical alignment in Author Box widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5589\\\">#5589<\\/a>)<\\/li>\\n<li>Tweak: Added more blend mode options for CTA widget<\\/li>\\n<li>Tweak: Improved plugin updater method based on WordPress version<\\/li>\\n<li>Fix: Improved IE compatibility for Posts and Portfolio widgets<\\/li>\\n<li>Fix: Added default gap for products pagination<\\/li>\\n<li>Fix: Post thumbnail flickering in Safari browser<\\/li>\\n<li>Fix: Close mobile nav menu on click only in full-width mode<\\/li>\\n<li>Fix: Added trailing slash to pagination links in Posts widget<\\/li>\\n<\\/ul>\\n<h4>2.1.6 - 2018-08-28<\\/h4>\\n<ul>\\n<li>New: WC Product Category Image widget and Dynamic tag (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5117\\\">#5117<\\/a>)<\\/li>\\n<li>Tweak: Allow HTML in Excerpt widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5491\\\">#5491<\\/a>)<\\/li>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Tweak: Deprecated Follow option in the Facebook Button widget<\\/li>\\n<li>Fix: Posts widget grid in Safari &amp; IE11 (Depended on Elementor v2.2)<\\/li>\\n<li>Fix: Posts widget CSS when using cards skin in masonry mode<\\/li>\\n<li>Fix: ACF Image &amp; ACF URL option support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5344\\\">#5344<\\/a>)<\\/li>\\n<li>Fix: WC product gallery links in RTL<\\/li>\\n<li>Fix: Dynamic tags in Call To Action widget<\\/li>\\n<\\/ul>\\n<h4>2.1.5 - 2018-08-21<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the upcoming release of Elementor v2.2<\\/li>\\n<li>Fix: Posts Widget layout theme compatibility<\\/li>\\n<li>Fix: Added compatibility for WooCommerce native style<\\/li>\\n<\\/ul>\\n<h4>2.1.4 - 2018-08-19<\\/h4>\\n<ul>\\n<li>Fix: Layout issue compatibility with themes caused by v2.1 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5442\\\">#5442<\\/a>)<\\/li>\\n<li>Fix: Dynamic setting in Pricing Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5460\\\">#5460<\\/a>)<\\/li>\\n<li>Fix: Hide Target URL control if is not necessary in Blockquote widget<\\/li>\\n<li>Fix: Selector specificity for WooCommerce Products widget<\\/li>\\n<li>Fix: WooCommerce conflicts in the editor in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.3 - 2018-08-15<\\/h4>\\n<ul>\\n<li>Fix: Thumbnails in the Posts widget jumping (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5350\\\">#5350<\\/a>)<\\/li>\\n<li>Fix: Responsive grid in the Share Buttons widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5375\\\">#5375<\\/a>)<\\/li>\\n<li>Fix: Added missing <code>setup_postdata<\\/code> for Product Data Tabs widget<\\/li>\\n<li>Fix: Rollback to older version of Flip Box widget to resolve 3D depth issue (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5399\\\">#5399<\\/a>)<\\/li>\\n<li>Fix: Allowed types in the Upload File field are now case-insensitive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5254\\\">#5254<\\/a>)<\\/li>\\n<li>Fix: Carousel behavior when using a single slide<\\/li>\\n<\\/ul>\\n<h4>2.1.2 - 2018-08-12<\\/h4>\\n<ul>\\n<li>Fix: Error when ACF Pro is not installed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5367\\\">#5367<\\/a>)<\\/li>\\n<li>Fix: Edge cases in Inspector where document is a boolean<\\/li>\\n<li>Fix: Edge cases for incorrect file fields in PODS<\\/li>\\n<\\/ul>\\n<h4>2.1.1 - 2018-08-09<\\/h4>\\n<ul>\\n<li>Fix: Highlighted text in Animated Headline widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5345\\\">#5345<\\/a>)<\\/li>\\n<li>Fix: Flip Box effect issues<\\/li>\\n<li>Fix: ACF Options page fields support (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5329\\\">#5329<\\/a>)<\\/li>\\n<li>Fix: Import Pro templates in edge cases<\\/li>\\n<\\/ul>\\n<h4>2.1.0 - 2018-08-07<\\/h4>\\n<ul>\\n<li>New: Introducing WooCommerce Builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1690\\\">#1690<\\/a>)<\\/li>\\n<li>New: Introducing 12 new dynamic tags &amp; widgets for WooCommerce: Gallery, Image, Price, Rating, Description, Breadcrumbs, Data Tabs, Stock, Related, Upsell, Title &amp; Archive<\\/li>\\n<li>New: Introducing Cart Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4220\\\">#4220<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4600\\\">#4600<\\/a>)<\\/li>\\n<li>New: Added integration with Toolset (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Added integration with Pods (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4129\\\">#4129<\\/a>)<\\/li>\\n<li>New: Added stick to bottom in scrolling effects (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4799\\\">#4799<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect to Widgets under advanced tab<\\/li>\\n<li>New: Introducing Internal URL Dynamic Tag<\\/li>\\n<li>Tweak: Added a Last Updated Date in the Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4597\\\">#4597<\\/a>)<\\/li>\\n<li>Tweak: Added Redirect after Logout option for Login widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4447\\\">#4447<\\/a>)<\\/li>\\n<li>Tweak: Avoid repeating posts when using more than one in the Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1878\\\">#1878<\\/a>)<\\/li>\\n<li>Tweak: Add Custom Query hook for Query control (<a href=\\\"https:\\/\\/developers.elementor.com\\/custom-query-filter\\/\\\">More Info<\\/a>) (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1748\\\">#1748<\\/a>)<\\/li>\\n<li>Tweak: Added form-message style (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for button on the Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4242\\\">#4242<\\/a>)<\\/li>\\n<li>Tweak: Added dynamic tag for Call to action widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4767\\\">#4767<\\/a>)<\\/li>\\n<li>Tweak: Added Dynamic Tags support for Google Map field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4602\\\">#4602<\\/a>)<\\/li>\\n<li>Tweak: Added an support for <code>label|value<\\/code> in options field (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4594\\\">#4594<\\/a>)<\\/li>\\n<li>Tweak: Added <code>by-author<\\/code> condition for theme builder (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4681\\\">#4681<\\/a>)<\\/li>\\n<li>Tweak: Added Activate\\/Deactivate license key via WP-CLI command (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4149\\\">#4149<\\/a>)<\\/li>\\n<li>Tweak: Added <code>is_scroll<\\/code> trigger to scrolling effect (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4340\\\">#4340<\\/a>)<\\/li>\\n<li>Tweak: Added In Same Term support for Post Navigation widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4177\\\">#4177<\\/a>)<\\/li>\\n<li>Tweak: Added responsive control for Slides To Scroll control in all carousel widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3697\\\">#3697<\\/a>)<\\/li>\\n<li>Tweak: Added style options for Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1335\\\">#1335<\\/a>)<\\/li>\\n<li>Tweak: Added button CSS ID for Forms widget<\\/li>\\n<li>Tweak: Added pixel units to Post-Info divider height control<\\/li>\\n<li>Tweak: Rewrite sticky library to handle with stretch section, auto scroller &amp; more bugs<\\/li>\\n<li>Tweak: Re-organize the panel categories per document type<\\/li>\\n<li>Tweak: Added ACF support for <code>options-page<\\/code> fields<\\/li>\\n<li>Tweak: Added dynamic tag for Animated headlines<\\/li>\\n<li>Tweak: Added dynamic tag for BlockQuote widget<\\/li>\\n<li>Fix: Elementor Full Width template in GeneratePress theme (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4817\\\">#4817<\\/a>)<\\/li>\\n<li>Fix: Checkbox fields can accidentally be set to required (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4324\\\">#4324<\\/a>)<\\/li>\\n<li>Fix: Initial slide in Carousel widget<\\/li>\\n<li>Fix: Stay on current slide while editing in Carousel widget<\\/li>\\n<li>Fix: Default slides per device in Carousel widget<\\/li>\\n<li>Deprecated: Woo Products, Woo Elements &amp; Single elements widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.18 - 2018-07-27<\\/h4>\\n<ul>\\n<li>Fix: Global widget error on saving page<\\/li>\\n<\\/ul>\\n<h4>2.0.17 - 2018-07-26<\\/h4>\\n<ul>\\n<li>Fix: Sub menu indicator direction in Nav Menu widget<\\/li>\\n<li>Fix: Change the title and icon for Global Widget when is moving<\\/li>\\n<li>Fix: CSS wrapper selector for Page Document<\\/li>\\n<\\/ul>\\n<h4>2.0.16 - 2018-07-16<\\/h4>\\n<ul>\\n<li>Tweak: CSS Filter Control module is now included in Elementor<\\/li>\\n<li>Fix: Border gap in Portfolio widget when item gap set as <code>0<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/5077\\\">#5077<\\/a>)<\\/li>\\n<li>Fix: Restore current query after get Global Widget data<\\/li>\\n<li>Fix: Add action item in History on unlink Global widget<\\/li>\\n<\\/ul>\\n<h4>2.0.15 - 2018-07-10<\\/h4>\\n<ul>\\n<li>Fix: Dropdown menu items collapsing when activated (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4996\\\">#4996<\\/a>)<\\/li>\\n<li>Fix: GMT offset in Countdown widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4997\\\">#4997<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>2.0.14 - 2018-07-08<\\/h4>\\n<ul>\\n<li>Tweak: Added set method to form record for developers (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4983\\\">#4983<\\/a>)<\\/li>\\n<li>Fix: Autoplay option for Carousels<\\/li>\\n<li>Fix: Close mobile menu on item click in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.13 - 2018-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for Elementor v2.1<\\/li>\\n<\\/ul>\\n<h4>2.0.12 - 2018-07-02<\\/h4>\\n<ul>\\n<li>Fix: Global widget PHP notices<\\/li>\\n<li>Fix: Slides widget active slide lost focus when clicking Editor tabs<\\/li>\\n<li>Fix: Form select field send all selected values on multiple selection<\\/li>\\n<li>Fix: Validate time field only if it\'s not empty<\\/li>\\n<li>Fix: ConvertKit API not saving name field<\\/li>\\n<\\/ul>\\n<h4>2.0.11 - 2018-06-12<\\/h4>\\n<ul>\\n<li>Fix: Theme Builder <code>author<\\/code> archive condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4593\\\">#4593<\\/a>)<\\/li>\\n<li>Fix: Respect password protected posts in Post Content widget<\\/li>\\n<li>Fix: Custom Fonts redirect to post edit screen in edge cases.<\\/li>\\n<\\/ul>\\n<h4>2.0.10 - 2018-06-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>elementor\\/theme\\/get_location_templates\\/template_id<\\/code> filter hook for multi-language plugins<\\/li>\\n<li>Fix: Dynamic Post Terms missing taxonomies if the taxonomy is registered to more then one post types (#4386)<\\/li>\\n<li>Fix: Fields shortcode missing after removing a field in Form widget<\\/li>\\n<li>Deprecated: <code>get_theme_templates_by_location<\\/code> is replaced by <code>get_location_templates<\\/code><\\/li>\\n<\\/ul>\\n<h4>2.0.9 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Fix: Compatibility for PHP version 5.4<\\/li>\\n<\\/ul>\\n<h4>2.0.8 - 2018-05-28<\\/h4>\\n<ul>\\n<li>Tweak: Added Active state for Nav Menu dropdown<\\/li>\\n<li>Tweak: Added style for &quot;Nothing Found&quot; Message for Archive Posts widget<\\/li>\\n<li>Tweak: Removed caption control in Site Logo widget<\\/li>\\n<li>Tweak: Added option to position currency symbol before\\/after In Price Table widget<\\/li>\\n<li>Fix: Query control manual selection does not show more than 10 items (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4479\\\">#4479<\\/a>)<\\/li>\\n<li>Fix: Styling glitch with terms list in Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4342\\\">#4342<\\/a>)<\\/li>\\n<li>Fix: Sub terms missing in Query control in edge cases (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4527\\\">#4527<\\/a>)<\\/li>\\n<li>Fix: Avoid rendering a template if it\'s not published<\\/li>\\n<li>Fix: 404 Page style not working<\\/li>\\n<li>Fix: Price Table button with hover animation not working in editor<\\/li>\\n<li>Fix: Styling conflict in Call to Action widget<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Adding parent wrapper class to Site Title widget<\\/li>\\n<\\/ul>\\n<h4>2.0.7 - 2018-05-16<\\/h4>\\n<ul>\\n<li>Fix: Content not found on section when single is set to &quot;All Singular&quot;<\\/li>\\n<li>Fix: Open 404 template library for 404 page<\\/li>\\n<li>Tweak: Added CSS prefix for dev files<\\/li>\\n<li>Tweak: Removed product post type from display conditions<\\/li>\\n<\\/ul>\\n<h4>2.0.6 - 2018-05-15<\\/h4>\\n<ul>\\n<li>Tweak: Set type on create new single template<\\/li>\\n<li>Tweak: Always show the conditions dialog in the Draft status<\\/li>\\n<li>Tweak: Added document type <code>widget<\\/code><\\/li>\\n<li>Tweak: Added Post Custom Field tag to URL category<\\/li>\\n<li>Fix: When ACF Field Groups are Empty (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4428\\\">#4428<\\/a>)<\\/li>\\n<li>Fix: Links inside carousel in edge cases<\\/li>\\n<li>Fix: Responsive issue in My Templates area<\\/li>\\n<li>Fix: Image alignment for post content with text alignment<\\/li>\\n<li>Fix: Post Content widget when preview post is missing<\\/li>\\n<li>Fix: Global Widget tab translation<\\/li>\\n<li>Fix: Style settings for Post \\/ Archive Title widgets<\\/li>\\n<\\/ul>\\n<h4>2.0.5 - 2018-05-08<\\/h4>\\n<ul>\\n<li>Fix: Creating a CPT with name like document-type breaks the editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4203\\\">#4203<\\/a>)<\\/li>\\n<li>Fix: Added support for new version of reCAPTCHA<\\/li>\\n<li>Fix: Added fallback for controls after <code>post_status<\\/code><\\/li>\\n<li>Fix: Required field in forms widget<\\/li>\\n<li>Fix: Media Carousel in the Coverflow skin<\\/li>\\n<li>Fix: 404 Page show wrong template in edge cases<\\/li>\\n<li>Fix: Save the default menu in the Nav Menu widget<\\/li>\\n<\\/ul>\\n<h4>2.0.4 - 2018-05-02<\\/h4>\\n<ul>\\n<li>Tweak: Added parent\'s class for extended widgets<\\/li>\\n<li>Tweak: Set entire-site as default to avoid conflict with save without conditions<\\/li>\\n<li>Tweak: Initialize global model when it\'s needed<\\/li>\\n<li>Tweak: Removed some duplicate strings<\\/li>\\n<li>Tweak: Query control now includes empty terms<\\/li>\\n<li>Tweak: Design polish for conditions dialog<\\/li>\\n<li>Tweak: Decreasing <code>minimumInputLength<\\/code> to 1 of select2<\\/li>\\n<li>Fix: Editor not loading for single templates in edge cases<\\/li>\\n<li>Fix: Select2 in Safari takes it\'s time to get the original select width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4310\\\">#4310<\\/a>)<\\/li>\\n<li>Fix: Slides per view not working for some effects<\\/li>\\n<li>Fix: New slides not showing in the editor<\\/li>\\n<li>Fix: Editor for section without a defined location, defaults to content area<\\/li>\\n<\\/ul>\\n<h4>2.0.3 - 2018-04-24<\\/h4>\\n<ul>\\n<li>Tweak: Optimize CSS for Post Info widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4214\\\">#4214<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4216\\\">#4216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4225\\\">#4225<\\/a>)<\\/li>\\n<li>Fix: Double render on frontend view in core locations<\\/li>\\n<li>Fix: Masonry not working in edge cases<\\/li>\\n<li>Fix: Added default setting for Author Info tag<\\/li>\\n<\\/ul>\\n<h4>2.0.2 - 2018-04-18<\\/h4>\\n<ul>\\n<li>Fix: Regenerate conditions to include all templates<\\/li>\\n<\\/ul>\\n<h4>2.0.1 - 2018-04-17<\\/h4>\\n<ul>\\n<li>Tweak: Added div wrapper for Nothing Found massage (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4136\\\">#4136<\\/a>)<\\/li>\\n<li>Tweak: Show empty categories in Query Control &amp; Display Conditions (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/4127\\\">#4127<\\/a>)<\\/li>\\n<li>Tweak: Added Divider control for Post Info widget<\\/li>\\n<li>Fix: Update admin links in Yoast Breadcrumbs widget<\\/li>\\n<li>Fix: Sticky element conflict with clearfix CSS<\\/li>\\n<li>Fix: Compatibility for PHP version 5.4.32 &amp; 5.5.16 and below<\\/li>\\n<li>Fix: Avoid running <code>wp_head<\\/code> hooks twice<\\/li>\\n<\\/ul>\\n<h4>2.0.0 - 2018-04-16<\\/h4>\\n<ul>\\n<li>New: Introducing Theme Builder - <a href=\\\"https:\\/\\/elementor.com\\/introducing-theme-builder\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/417\\\">#417<\\/a>)<\\/li>\\n<li>New: Introducing Locations API to inject custom location templates<\\/li>\\n<li>New: Introducing Display Conditions for all dynamic templates<\\/li>\\n<li>New: Introducing Dynamic Tag feature - a new way to add dynamic content to your design<\\/li>\\n<li>New: Introducing Role manager to allow &quot;Content Only mode&quot; (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/483\\\">#483<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/653\\\">#653<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/885\\\">#885<\\/a>)<\\/li>\\n<li>New: Introducing 9 new dynamic widgets: Archive Posts, Archive Title, Post Content, Post Info, Post Title, Post Excerpt, Featured Image, Site Logo &amp; Site Name (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Introducing Developers area with guides and API documentation - <a href=\\\"https:\\/\\/elementor.com\\/introducing-elementor-developer-api\\/\\\">Release Post<\\/a> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/451\\\">#451<\\/a>)<\\/li>\\n<li>New: Introducing <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor-hello-theme\\\">Elementor Hello Theme<\\/a> - A demonstration theme for developers<\\/li>\\n<li>New: Added new type of templates: Header, Footer, Single and Archive (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2761\\\">#2761<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2623\\\">#2623<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2109\\\">#2109<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2061\\\">#2061<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2439\\\">#2439<\\/a>)<\\/li>\\n<li>New: Design 404 page with Single template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1558\\\">#1558<\\/a>)<\\/li>\\n<li>New: Design Search Results with Archive template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3196\\\">#3196<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2590\\\">#2590<\\/a>)<\\/li>\\n<li>New: Added Scrolling Effect for sections including <em>Sticky Element<\\/em> per device (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2412\\\">#2412<\\/a>)<\\/li>\\n<li>New: Integration with Custom Fields (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2054\\\">#2054<\\/a>)<\\/li>\\n<li>New: Partial support for Toolset integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2949\\\">#2949<\\/a>)<\\/li>\\n<li>New: Partial support for Pods integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2169\\\">#2169<\\/a>)<\\/li>\\n<li>New: Partial support for ACF integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2041\\\">#2041<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2059\\\">#2059<\\/a>)<\\/li>\\n<li>Tweak: Add custom fields support for ActiveCampaign (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3531\\\">#3531<\\/a>)<\\/li>\\n<li>Tweak: Allow brackets in Forms Tel field<\\/li>\\n<li>Tweak: Added currency format control for Price Table widget<\\/li>\\n<li>Tweak: Reduced API request for some servers<\\/li>\\n<li>Fix: Dropdown <code>border-radius<\\/code> in Nav Menu widget<\\/li>\\n<li>Fix: Price List widget layout breaks in edge cases<\\/li>\\n<li>Note: This version requires Elementor v2.0.6<\\/li>\\n<\\/ul>\\n<h4>1.15.6 - 2018-03-28<\\/h4>\\n<ul>\\n<li>Fix: Removed duplicate Custom CSS section (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3938\\\">#3938<\\/a>)<\\/li>\\n<li>Fix: <code>box-shadow<\\/code> issue with cards skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3940\\\">#3940<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.5 - 2018-03-27<\\/h4>\\n<ul>\\n<li>Fix: Added global widget compatibility for Elementor v2.0<\\/li>\\n<li>Fix: Reduced API request for some servers<\\/li>\\n<\\/ul>\\n<h4>1.15.4 - 2018-03-26<\\/h4>\\n<ul>\\n<li>Tweak: Allow brackets in phone field<\\/li>\\n<li>Tweak: Added compatibility with Yoast 7.0.+<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Support for multiple carousel setting in editor<\\/li>\\n<li>Fix: <code>on_export<\\/code> issue in forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3890\\\">#3890<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.15.3 - 2018-03-07<\\/h4>\\n<ul>\\n<li>Tweak: Added unique class to field group div (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3595\\\">#3595<\\/a>)<\\/li>\\n<li>Fix: Screen Options missing when Pro is active (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3622\\\">#3622<\\/a>)<\\/li>\\n<li>Fix: Allow label styling even when <code>show labels<\\/code> is set hide (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3544\\\">#3544<\\/a>)<\\/li>\\n<li>Fix: Typography control not working in edge cases<\\/li>\\n<li>Fix: Safari compatibility for Search widget<\\/li>\\n<\\/ul>\\n<h4>1.15.2 - 2018-02-27<\\/h4>\\n<ul>\\n<li>Fix: Only add support mine-type if needed (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3543\\\">#3543<\\/a>)<\\/li>\\n<li>Fix: Better support for Old Typekit kits<\\/li>\\n<\\/ul>\\n<h4>1.15.1 - 2018-02-21<\\/h4>\\n<ul>\\n<li>Tweak: Custom font title placeholder is not <code>enter font family<\\/code><\\/li>\\n<li>Tweak: Custom font title set as required<\\/li>\\n<li>Fix: Custom font, <code>font-face<\\/code> enqueued only once if used in global (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3513\\\">#3513<\\/a>)<\\/li>\\n<li>Fix: Added workaround for upload validation which relies on a PHP extension (fileinfo) with inconsistent reporting behavior.<\\/li>\\n<\\/ul>\\n<h4>1.15.0 - 2018-02-19<\\/h4>\\n<ul>\\n<li>New: Added custom fonts manager for self hosted fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/852\\\">#852<\\/a>)<\\/li>\\n<li>New: Integration with Adobe TypeKit fonts (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/631\\\">#631<\\/a>)<\\/li>\\n<li>Tweak: Clear menu from Nav Menu widget on template export<\\/li>\\n<li>Tweak: Allow zero for GetResponse integration as <code>day of cycle<\\/code><\\/li>\\n<\\/ul>\\n<h4>1.14.2 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Fix: Global widget content that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.14.1 - 2018-02-13<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>none<\\/code> option to content animation in CTA widget<\\/li>\\n<li>Tweak: Added <code>form_id<\\/code> to ActiveCampaign integration (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/3422\\\">#3422<\\/a>)<\\/li>\\n<li>Fix: Page crashed when Global widget not found.<\\/li>\\n<\\/ul>\\n<h4>1.14.0 - 2018-02-12<\\/h4>\\n<ul>\\n<li>New: Added Call to Action widget<\\/li>\\n<li>Tweak: MailPoet pull field mapping from MailPoet instead of hardcoded<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v2.0<\\/li>\\n<li>Fix: Allow zero (0) to be accepted as a field value<\\/li>\\n<li>Fix: Login form when custom login URL is set<\\/li>\\n<li>Fix: Added Day of cycle control to GetResponse integration<\\/li>\\n<\\/ul>\\n<h4>1.13.2 - 2018-01-23<\\/h4>\\n<ul>\\n<li>Tweak: Added placeholder to Password field<\\/li>\\n<li>Tweak: Removed <code>subscriber_already_exists_message<\\/code> control to prevent potential data leakage<\\/li>\\n<li>Fix: MailPoet Subscriber Already Exists error validation against translated string directly from MailPoet<\\/li>\\n<li>Fix: Changed <code>imagesLoaded()<\\/code> to Vanilla JS to avoid compatibility issues with some themes<\\/li>\\n<li>Fix: Only validate Tel field if not empty<\\/li>\\n<li>Fix: Stop slider while editing<\\/li>\\n<\\/ul>\\n<h4>1.13.1 - 2018-01-16<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with old PHP versions<\\/li>\\n<\\/ul>\\n<h4>1.13.0 - 2018-01-16<\\/h4>\\n<ul>\\n<li>New: Added File Upload field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1482\\\">#1482<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Acceptance field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1693\\\">#1693<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2974\\\">#2974<\\/a>)<\\/li>\\n<li>New: Added Date field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1868\\\">#1868<\\/a>)<\\/li>\\n<li>New: Added Time field for Forms widget<\\/li>\\n<li>New: Added Password field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2164\\\">#2164<\\/a>)<\\/li>\\n<li>New: Added HTML field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1500\\\">#1500<\\/a>)<\\/li>\\n<li>Tweak: Added characters validation for Tel field<\\/li>\\n<li>Tweak: Added min &amp; max validation for Number field<\\/li>\\n<li>Tweak: Added multiple selection for Select field<\\/li>\\n<li>Tweak: Added donReach integration for Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.12.3 - 2018-01-09<\\/h4>\\n<ul>\\n<li>Fix: Render element plain content instead of parsed content when not needed in global widget<\\/li>\\n<li>Fix: Apply <code>url-encoding<\\/code> to &quot;Tweet&quot; button text in Blockquote widget to prevent unexpected corruption of the tweet text<\\/li>\\n<li>Fix: Removed My Account link from dashboard widget<\\/li>\\n<\\/ul>\\n<h4>1.12.2 - 2018-01-03<\\/h4>\\n<ul>\\n<li>Tweak: Added animation none for Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2964\\\">#2964<\\/a>)<\\/li>\\n<li>Fix: Active license button style<\\/li>\\n<\\/ul>\\n<h4>1.12.1 - 2018-01-02<\\/h4>\\n<ul>\\n<li>Tweak: Removed theme-element widgets from plain content<\\/li>\\n<li>Tweak: Set all theme-element widgets to extend same widget Base<\\/li>\\n<li>Tweak: Removed credit URL in forms meta data<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.9<\\/li>\\n<li>Fix: Validate Get response Error as real error<\\/li>\\n<li>Fix: Removed responsive height control from Facebook Page widget<\\/li>\\n<\\/ul>\\n<h4>1.12.0 - 2017-12-20<\\/h4>\\n<ul>\\n<li>New: Added Drip integration to Forms<\\/li>\\n<li>New: Added ActiveCampaign integration to Forms<\\/li>\\n<li>New: Added ConverKit integration to Forms<\\/li>\\n<li>New: Added GetResponse integration to Forms<\\/li>\\n<li>New: Added form <code>id<\\/code>, <code>name<\\/code> attributes to handle integration with auto collectors like HubSpot<\\/li>\\n<li>New: Added Global API key for MailChimp to improve the workflow<\\/li>\\n<li>Tweak: Better error handling and message display for Forms<\\/li>\\n<li>Fix: PHP notice Undefined variable <code>$cc_header<\\/code> (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2934\\\">#2934<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.11.0 - 2017-12-11<\\/h4>\\n<ul>\\n<li>New: Added a native Comments widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/543\\\">#543<\\/a>)<\\/li>\\n<li>New: Added an Author Box widget<\\/li>\\n<li>New: Added a Post Navigation widget<\\/li>\\n<li>New: Added a Yoast Breadcrumbs widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2749\\\">#2749<\\/a>)<\\/li>\\n<li>Tweak: Added a close button to search widget under Full Screen skin (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2762\\\">#2762<\\/a>)<\\/li>\\n<li>Fix: Allow currency symbol to appear even if price isn\'t numeric<\\/li>\\n<li>Fix: Edge cases when the nav menu is empty in a stretched section<\\/li>\\n<li>Fix: Added fallback when you remove the <code>space-between<\\/code> on Swiper carousel<\\/li>\\n<\\/ul>\\n<h4>1.10.2 - 2017-12-03<\\/h4>\\n<ul>\\n<li>Fix: Missing save widget icon (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2878\\\">#2878<\\/a>)<\\/li>\\n<li>Fix: Global widgets not saving edits (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2874\\\">#2874<\\/a>)<\\/li>\\n<li>Fix: Removed <code>white-space: nowrap;<\\/code> property from vertical menu in Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2815\\\">#2815<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.10.1 - 2017-11-30<\\/h4>\\n<ul>\\n<li>Tweak: Added default value for search form<\\/li>\\n<li>Tweak: Order template list A-Z in the library widget<\\/li>\\n<li>Tweak: get_users\\/authors query is now done using AJAX only, for better performance in Query Control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2865\\\">#2865<\\/a>)<\\/li>\\n<li>Fix: When adding <code>.00<\\/code> it is not displayed on the front<\\/li>\\n<li>Fix: Make sure space between is numeric for carousel control<\\/li>\\n<li>Fix: Added space for radio &amp; checkbox fields in form widget<\\/li>\\n<\\/ul>\\n<h4>1.10.0 - 2017-11-15<\\/h4>\\n<ul>\\n<li>New: Added native Search form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2576\\\">#2576<\\/a>)<\\/li>\\n<li>Tweak: Added Slides To Scroll &amp; Loop controls to Media Carousel and Testimonials widgets<\\/li>\\n<li>Tweak: Added Inline editing to Blockquote widget<\\/li>\\n<li>Fix: Animated Headline color bug (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2516\\\">#2516<\\/a>)<\\/li>\\n<li>Fix: Animated Headline with Rotating skin<\\/li>\\n<li>Fix: RTL fix for Animated Headline widget in \'typing\' and \'clip\' animations<\\/li>\\n<li>Fix: Empty menu cause jQuery to crash in Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2662\\\">#2662<\\/a>)<\\/li>\\n<li>Fix: Custom CSS gone after reloading the editor<\\/li>\\n<\\/ul>\\n<h4>1.9.5 - 2017-10-27<\\/h4>\\n<ul>\\n<li>Fix: Broken Global widget with JS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2639\\\">#2639<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.9.4 - 2017-10-24<\\/h4>\\n<ul>\\n<li>Tweak: Improved UI for notices and license page<\\/li>\\n<li>Fix: Update system conflict with other EDD plugins<\\/li>\\n<li>Fix: WooCommerce frontend hooks on Elementor editor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2577\\\">#2577<\\/a>)<\\/li>\\n<li>Fix: Removed default border left in Nav Menu dropdown CSS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2496\\\">#2496<\\/a>)<\\/li>\\n<li>Fix: Increased submenu max-width (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2558\\\">#2558<\\/a>)<\\/li>\\n<li>Fix: Save global templates without their defaults<\\/li>\\n<li>Fix: Horizontal scrolling issue with posts grid<\\/li>\\n<\\/ul>\\n<h4>1.9.3 - 2017-10-03<\\/h4>\\n<ul>\\n<li>Fix: Condition slide style that got affected by previous update<\\/li>\\n<\\/ul>\\n<h4>1.9.2 - 2017-10-02<\\/h4>\\n<ul>\\n<li>New: Added integration with MailPoet 3 for Forms actions<\\/li>\\n<li>Fix: Removed height control from Testimonial carousel in mobile editing mode<\\/li>\\n<li>Fix: Removed bottom padding when there\'s no pagination in Testimonial carousel<\\/li>\\n<li>Fix: Added condition for slides style section in skin bubble mode<\\/li>\\n<li>Fix: Slides per view control for mobile editing in Testimonial carousel<\\/li>\\n<li>Fix: Navigation Arrows icons matched with common Elementor Navigation Arrows<\\/li>\\n<\\/ul>\\n<h4>1.9.1 - 2017-09-28<\\/h4>\\n<ul>\\n<li>Fix: Slides per view for slideshow carousel<\\/li>\\n<li>Fix: Final polish for the new Testimonial Carousel widget<\\/li>\\n<li>Fix: Don\'t play video if slide type is not video<\\/li>\\n<li>Fix: Removed slides style section condition (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2497\\\">#2497<\\/a>)<\\/li>\\n<li>Fix: Set cursor as pointer for slideshow thumbnails<\\/li>\\n<\\/ul>\\n<h4>1.9.0 - 2017-09-26<\\/h4>\\n<ul>\\n<li>New: Added Media Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/216\\\">#216<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/347\\\">#347<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2209\\\">#2209<\\/a>)<\\/li>\\n<li>New: Added Testimonial Carousel widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/715\\\">#715<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.3 - 2017-09-24<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility for WordPress 4.8.2 &amp; 4.7.6<\\/li>\\n<li>Fix: Remove slashes from Form sent data<\\/li>\\n<\\/ul>\\n<h4>1.8.2 - 2017-09-19<\\/h4>\\n<ul>\\n<li>Tweak: Added target URL for the tweet message in Blockquote widget<\\/li>\\n<li>Tweak: Render the slide height before the slider is finished loading<\\/li>\\n<li>Fix: Space between words for Animated Headline widget<\\/li>\\n<li>Fix: RTL compatibility for Animated Headline widget<\\/li>\\n<li>Fix: Italic font style for Animated Headline widget<\\/li>\\n<li>Fix: Excluded Menu widget from the WP Editor text rendering<\\/li>\\n<\\/ul>\\n<h4>1.8.1 - 2017-09-18<\\/h4>\\n<ul>\\n<li>Fix: WCAG Compatible &quot;required&quot; field attribute for W3C validation (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2391\\\">#2391<\\/a>)<\\/li>\\n<li>Fix: Print the main menu only when is necessary in Menu widget<\\/li>\\n<li>Fix: Use CSS media query instead of JS to hide items in Menu widget to avoid flickering on page load (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2381\\\">#2381<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.8.0 - 2017-09-12<\\/h4>\\n<ul>\\n<li>New: Added Nav Menu widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1406\\\">#1406<\\/a>)<\\/li>\\n<li>Fix: Field ID for checkbox control in Form widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2279\\\">#2279<\\/a>)<\\/li>\\n<li>Fix: Style for Blockquote widget included<\\/li>\\n<\\/ul>\\n<h4>1.7.2 - 2017-09-07<\\/h4>\\n<ul>\\n<li>Tweak: Loading Facebook SDK via JS for better compatibility with caching plugins<\\/li>\\n<li>Fix: Responsive Embed Facebook post widget for Safari iOS (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2340\\\">#2340<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.7.1 - 2017-09-05<\\/h4>\\n<ul>\\n<li>Fix: Facebook SDK version<\\/li>\\n<\\/ul>\\n<h4>1.7.0 - 2017-09-05<\\/h4>\\n<ul>\\n<li>New: Added Facebook Button widget for Like, Recommend, Share and Follow<\\/li>\\n<li>New: Added Facebook Embed widget for Post, Video and Comment<\\/li>\\n<li>New: Added Facebook Comments widget<\\/li>\\n<li>New: Added Facebook Page widget (Previously known as Like Box)<\\/li>\\n<li>New: Added Blockquote widget with Tweet button<\\/li>\\n<li>Tweak: Added Facebook SDK integration for all Facebook widgets<\\/li>\\n<li>Fix: Animated headline rotating with long words<\\/li>\\n<\\/ul>\\n<h4>1.6.1 - 2017-08-28<\\/h4>\\n<ul>\\n<li>Fix: Animated Headline marker gets in front of neighboring spans even when &quot;Bring to Front&quot; is not set<\\/li>\\n<li>Fix: Stroke animation in Animated Headline for MS Edge browser<\\/li>\\n<li>Fix: Animated headline with more than 1-word per rotation<\\/li>\\n<li>Fix: Animated Headline in two lines<\\/li>\\n<li>Fix: Some errors in Global widget<\\/li>\\n<\\/ul>\\n<h4>1.6.0 - 2017-08-22<\\/h4>\\n<ul>\\n<li>New: Added Animated Headline widget<\\/li>\\n<li>New: Added Hidden field for Forms widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2038\\\">#2038<\\/a>)<\\/li>\\n<li>Tweak: Added notice to update Elementor to v1.6.5 or higher<\\/li>\\n<li>Fix: CSS Animations names no longer minified, in order to prevent unexpected conflicts<\\/li>\\n<\\/ul>\\n<h4>1.5.9 - 2017-08-16<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.7<\\/li>\\n<li>Fix: Portfolio compatibility for GeneratePress theme<\\/li>\\n<li>Fix: Portfolio filter compatibility for RTL<\\/li>\\n<li>Fix: Pagination apply for all posts widget in the page<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.8 - 2017-07-25<\\/h4>\\n<ul>\\n<li>Tweak: Added compatibility for the future release of Elementor v1.6<\\/li>\\n<li>Fix: Improved backward compatibility for query control rename<\\/li>\\n<\\/ul>\\n<h4>1.5.7 - 2017-07-24<\\/h4>\\n<ul>\\n<li>Tweak: Moved JS render of reCAPTCHA to a separate file<\\/li>\\n<li>Tweak: Display the label in the reCAPTCHA field for better experience<\\/li>\\n<li>Tweak: Rename <code>panel-posts-control<\\/code> to <code>query-control<\\/code> and added fallback support<\\/li>\\n<li>Tweak: Added compatibility for the future release of Elementor with history feature<\\/li>\\n<li>Fix: reCAPTCHA preview on the editor<\\/li>\\n<li>Fix: Manual selection (query control) has stopped working after saving (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/2000\\\">#2000<\\/a>)<\\/li>\\n<li>Fix: Added condition for icon size control in Share Buttons widget<\\/li>\\n<\\/ul>\\n<h4>1.5.6 - 2017-07-12<\\/h4>\\n<ul>\\n<li>Fix: Query Control correction for taxonomies (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1963\\\">#1963<\\/a>)<\\/li>\\n<li>Fix: Custom CSS override scheme color in the editor<\\/li>\\n<li>Fix: Added order by Menu Order for Query Control in WC widget<\\/li>\\n<li>Fix: Glitch with Flip Box background overlay<\\/li>\\n<\\/ul>\\n<h4>1.5.5 - 2017-07-03<\\/h4>\\n<ul>\\n<li>Tweak: Moved reCAPTCHA render to handler &amp; load only if a form is exist<\\/li>\\n<li>Fix: MailChimp integration: Default number of items returned by API increased to 999<\\/li>\\n<li>Fix: MailChimp integration: Refresh the groups list if API is changed<\\/li>\\n<li>Fix: Sorted items in filter bar by A-Z<\\/li>\\n<li>Fix: Editor glitch with Elementor v1.5 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1927\\\">#1927<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.5.4 - 2017-06-22<\\/h4>\\n<ul>\\n<li>Tweak: Improved compatibility for Elementor v1.5<\\/li>\\n<li>Fix: URL default for Add To Cart widget<\\/li>\\n<li>Fix: Allowed <code>date<\\/code> and <code>birthday<\\/code> fields as text for MailChimp integration<\\/li>\\n<\\/ul>\\n<h4>1.5.3 - 2017-06-19<\\/h4>\\n<ul>\\n<li>Tweak: Make flip-box height responsive control<\\/li>\\n<li>Fix: Facebook share count now gets retrieved by Elementor (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1829\\\">#1829<\\/a>)<\\/li>\\n<li>Fix: Global form widget with MailChimp integration not saving<\\/li>\\n<\\/ul>\\n<h4>1.5.2 - 2017-06-13<\\/h4>\\n<ul>\\n<li>Fix: Custom CSS panel location compatibility for the old versions<\\/li>\\n<\\/ul>\\n<h4>1.5.1 - 2017-06-12<\\/h4>\\n<ul>\\n<li>Fix: MailChimp update existing user registration<\\/li>\\n<li>Fix: Global widget with JS in the editor mode<\\/li>\\n<li>Fix: Label section condition in Login widget<\\/li>\\n<li>Fix: Changes to unlinked global widget do not appear in the editor<\\/li>\\n<\\/ul>\\n<h4>1.5.0 - 2017-05-23<\\/h4>\\n<ul>\\n<li>New: Added Cards, a new skin for Posts widget<\\/li>\\n<li>New: Added Exclude option to post query control group<\\/li>\\n<li>Tweak: Added <code>post_class()<\\/code> for each post in the loop<\\/li>\\n<li>Tweak: Added <code>.elementor-posts-masonry<\\/code> class when Masonry layout is enabled<\\/li>\\n<li>Tweak: Added compatibility for the next release of Elementor v1.5.0<\\/li>\\n<li>Tweak: CSS <code>autoprefixer<\\/code> now supports last 5 versions of browsers<\\/li>\\n<li>Tweak: Added <code>imageLoaded<\\/code> library for Posts &amp; Portfolio widgets<\\/li>\\n<\\/ul>\\n<h4>1.4.4 - 2017-05-18<\\/h4>\\n<ul>\\n<li>Fix: Force Mailchimp API to return all lists and not just 10 (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1683\\\">#1683<\\/a>)<\\/li>\\n<li>Fix: Added <code>.elementor-form<\\/code> class to Login form to fix style glitch<\\/li>\\n<\\/ul>\\n<h4>1.4.3 - 2017-05-14<\\/h4>\\n<ul>\\n<li>Tweak: Added Redirect After Login option to Login widget<\\/li>\\n<li>Tweak: Stay in the current page after logout in Login widget<\\/li>\\n<li>Tweak: Preparation for Elementor settings tabs in future version<\\/li>\\n<li>Fix: Pinterest in Share Buttons widget now sharing the URL alone<\\/li>\\n<li>Fix: Bug with <code>active<\\/code> class in portfolio filter item<\\/li>\\n<li>Fix: Higher specific list-style-type <code>none<\\/code> for filter items to override some theme style<\\/li>\\n<\\/ul>\\n<h4>1.4.2 - 2017-05-06<\\/h4>\\n<ul>\\n<li>Fix: Temporary patch for form field shortcode in some servers<\\/li>\\n<\\/ul>\\n<h4>1.4.1 - 2017-05-03<\\/h4>\\n<ul>\\n<li>Fix: Bug with custom success message in form widget<\\/li>\\n<li>Fix: Bug with meta data in email action<\\/li>\\n<\\/ul>\\n<h4>1.4.0 - 2017-05-03<\\/h4>\\n<ul>\\n<li>New: Forms: integration with MailChimp<\\/li>\\n<li>New: Forms: integration with MailPoet<\\/li>\\n<li>New: Forms: Added Email 2 action for email confirmation<\\/li>\\n<li>New: Forms: Added shortcodes for fields<\\/li>\\n<li>New: Forms: Added custom ID for fields<\\/li>\\n<li>New: Forms: Added option to edit email HTML template (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1180\\\">#1180<\\/a>)<\\/li>\\n<li>New: Added Login widget<\\/li>\\n<li>Tweak: Move <code>send_html<\\/code> control to <code>email_content_type<\\/code><\\/li>\\n<li>Fix: Email still sent even if validation failed in form widget<\\/li>\\n<\\/ul>\\n<h4>1.3.2 - 2017-05-01<\\/h4>\\n<ul>\\n<li>New: Added action <code>elementor_pro\\/init<\\/code> for better integration with Elementor Pro<\\/li>\\n<li>Fix: Posts without featured image in Posts widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1234\\\">#1234<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1382\\\">#1382<\\/a>)<\\/li>\\n<li>Fix: reCAPTCHA &amp; Honeypot fields with new method<\\/li>\\n<li>Fix: Added border width control in Share Buttons to avoid a glitch on Chrome browser<\\/li>\\n<li>Fix: Border radius glitch on hover in Share Buttons<\\/li>\\n<\\/ul>\\n<h4>1.3.1 - 2017-04-25<\\/h4>\\n<ul>\\n<li>Fix: Conflict update with revision history module<\\/li>\\n<\\/ul>\\n<h4>1.3.0 - 2017-04-25<\\/h4>\\n<ul>\\n<li>New: Added Share Buttons widget (<a href=\\\"https:\\/\\/wordpress.org\\/support\\/topic\\/social-sharing-buttons-is-it-possible\\/\\\">Topic<\\/a>)<\\/li>\\n<li>New: Added Custom CSS for Page Settings<\\/li>\\n<li>New: Added Masonry layout for Portfolio widget<\\/li>\\n<li>New: Added Cc &amp; Bcc options to email action (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1181\\\">#1181<\\/a>)<\\/li>\\n<li>New: Introduced <code>ElementorProModulesFormsClassesAction_Base<\\/code> class for better 3rd party integration for forms<\\/li>\\n<li>Tweak: Debugger module now also shows errors from Pro<\\/li>\\n<li>Tweak: Added options for Elementor Library<\\/li>\\n<li>Tweak: New base posts module for optimized performance<\\/li>\\n<li>Tweak: Adjusting Posts \\/ Portfolio to the new structure<\\/li>\\n<li>Fix: Export for posts \\/ portfolio<\\/li>\\n<li>Fix: Duplicate repeater field with switcher control (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1442\\\">#1442<\\/a>)<\\/li>\\n<li>Fix: Post per Page in the query control<\\/li>\\n<li>Fix: Metadata does not come through on form emails (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1566\\\">#1566<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.2.6 - 2017-04-19<\\/h4>\\n<ul>\\n<li>Fix: Added compatibility with WooCommerce 3.0 - Products &amp; Add to Cart widgets<\\/li>\\n<\\/ul>\\n<h4>1.2.5 - 2017-04-18<\\/h4>\\n<ul>\\n<li>Fix: Offset query for posts widgets (Posts, Portfolio and Products)<\\/li>\\n<\\/ul>\\n<h4>1.2.4 - 2017-03-21<\\/h4>\\n<ul>\\n<li>Tweak: Added Indian Rupee sign to Price Table widget<\\/li>\\n<li>Fix: Portfolio grid for IE11<\\/li>\\n<li>Fix: Link target blank in Price List widget<\\/li>\\n<li>Fix: Active item for filter bar in Portfolio widget<\\/li>\\n<\\/ul>\\n<h4>1.2.3 - 2017-03-06<\\/h4>\\n<ul>\\n<li>Tweak: Fully compatible with Elementor v1.3.0<\\/li>\\n<li>Tweak: Added trigger for after form submission in Forms widget<\\/li>\\n<li>Tweak: Changed handle name in reCAPTCHA field to avoid conflict with other contact forms<\\/li>\\n<li>Fix: Portfolio filter syntax in Non-Latin languages<\\/li>\\n<li>Fix: Added <code>no-repeat<\\/code> property for slide with <code>background-size:contain<\\/code><\\/li>\\n<li>Fix: Condition control &amp; Import value in Posts widgets<\\/li>\\n<li>Fix: Offset and Pagination in WordPress (<a href=\\\"https:\\/\\/codex.wordpress.org\\/Making_Custom_Queries_using_Offset_and_Pagination\\\">More Info<\\/a>)<\\/li>\\n<li>Fix: Submit handler bubbling for custom events in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.2.2 - 2017-02-23<\\/h4>\\n<ul>\\n<li>Tweak: Change name from Side A\\/B to Front and Back in Flip Box widget<\\/li>\\n<li>Fix: Error when saving third party widgets in the global widget<\\/li>\\n<li>Fix: Image position &quot;none&quot; remains visible in editor preview (Posts)<\\/li>\\n<li>Fix: Hide the pagination when there are no links<\\/li>\\n<\\/ul>\\n<h4>1.2.1 - 2017-02-21<\\/h4>\\n<ul>\\n<li>Fix: Firefox Flip Box 3D compatibility<\\/li>\\n<\\/ul>\\n<h4>1.2.0 - 2017-02-21<\\/h4>\\n<ul>\\n<li>New: Added Flip Box widget<\\/li>\\n<li>New: Added Ken Burns effect for slides<\\/li>\\n<li>New: Added Masonry layout for Posts widget<\\/li>\\n<li>New: Added Pagination option for Posts widget<\\/li>\\n<li>Tweak: Added background size contain to slides<\\/li>\\n<li>Tweak: Improve Query control by preload items<\\/li>\\n<li>Fix: Text color for Checkbox and Radio fields<\\/li>\\n<\\/ul>\\n<h4>1.1.2 - 2017-02-05<\\/h4>\\n<ul>\\n<li>Tweak: Added <code>aria-required<\\/code> for better accessibility in forms widget<\\/li>\\n<li>Fix: Conflict Call to <code>undefined<\\/code> method in Posts &amp; Portfolio widgets (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1271\\\">#1271<\\/a>, <a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1266\\\">#1266<\\/a>)<\\/li>\\n<li>Fix: Submit button HTML after error sending<\\/li>\\n<li>Fix: Success message for <code>skip_email<\\/code> function<\\/li>\\n<li>Notice: Elementor 1.2.0 or later now required<\\/li>\\n<\\/ul>\\n<h4>1.1.1 - 2017-01-24<\\/h4>\\n<ul>\\n<li>Fix: Can\'t save global widgets when <code>WP_DEBUG<\\/code> is <code>true<\\/code><\\/li>\\n<li>Fix: Undefined variable in WC widgets<\\/li>\\n<li>Fix: Removed duplicate strings<\\/li>\\n<\\/ul>\\n<h4>1.1.0 - 2017-01-24<\\/h4>\\n<ul>\\n<li>New: Price Table widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/102\\\">#102<\\/a>)<\\/li>\\n<li>New: WooCommerce Add to Cart widget<\\/li>\\n<li>New: WooCommerce Categories widget<\\/li>\\n<li>New: WooCommerce Elements widget<\\/li>\\n<li>New: Honeypot field for Forms widgets<\\/li>\\n<li>Tweak: Added inline options for taxonomies &amp; authors if is less than 15 items<\\/li>\\n<li>Tweak: Added Required Mark for fields in Forms widget<\\/li>\\n<li>Fix: CSS selectors priority in Slides widget<\\/li>\\n<li>Fix: CSS bug in Price List widget<\\/li>\\n<li>Fix: Update all Post CSS files that includes specific Global Widget<\\/li>\\n<\\/ul>\\n<h4>1.0.9 - 2017-01-18<\\/h4>\\n<ul>\\n<li>Fix: Auto complete bug in query controls<\\/li>\\n<li>Fix: Render template with escaping slashes<\\/li>\\n<li>Fix: Reply-to field in Forms widget<\\/li>\\n<\\/ul>\\n<h4>1.0.8 - 2017-01-11<\\/h4>\\n<ul>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Removed go pro link from plugins page in admin<\\/li>\\n<\\/ul>\\n<h4>1.0.7 - 2017-01-05<\\/h4>\\n<ul>\\n<li>Tweak: Added filter by featured \\/ sale for WC Products widget<\\/li>\\n<li>Tweak: Added author control in Portfolio widget<\\/li>\\n<li>Tweak: Code adjustments for Elementor API<\\/li>\\n<li>Fix: Added support for empty image ratio<\\/li>\\n<li>Fix: Avoid nesting a sidebar within a template that will appear in the sidebar itself<\\/li>\\n<\\/ul>\\n<h4>1.0.6 - 2017-01-01<\\/h4>\\n<ul>\\n<li>Tweak: Added Auto-updates for local translation files<\\/li>\\n<li>Fix: Custom CSS for Global widgets<\\/li>\\n<li>Fix: Remove <code>nonce<\\/code> field (Fix some cache plugins)<\\/li>\\n<\\/ul>\\n<h4>1.0.5 - 2016-12-27<\\/h4>\\n<ul>\\n<li>Fix: Slide element bug fix - \'Link apply on\' logic<\\/li>\\n<li>Fix: Removed unique wrapper for Custom CSS in order to allow media queries (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1086\\\">#1086<\\/a>)<\\/li>\\n<\\/ul>\\n<h4>1.0.4 - 2016-12-21<\\/h4>\\n<ul>\\n<li>Tweak: Mobile Editing for fields in the form widget<\\/li>\\n<li>Tweak: Mobile Editing for posts<\\/li>\\n<li>Tweak: Allow send form as HTML<\\/li>\\n<li>Tweak: Improved auto upgrades for Multisite installation<\\/li>\\n<li>Tweak: Improve editor rendering experience for Portfolio widget<\\/li>\\n<li>Fix: Posts widget check if image exist<\\/li>\\n<li>Fix: Changed the clone method for global widget (<a href=\\\"https:\\/\\/github.com\\/elementor\\/elementor\\/issues\\/1042\\\">#1042<\\/a>)<\\/li>\\n<li>Fix: Bug slides in RTL (removed direction control)<\\/li>\\n<li>Fix: Slides with no height jumps when changing slides<\\/li>\\n<\\/ul>\\n<h4>1.0.3 - 2016-12-13<\\/h4>\\n<ul>\\n<li>Fix: Added escape placeholder for HTML Entities in form widget<\\/li>\\n<li>Fix: Countdown widget RTL bug<\\/li>\\n<li>Fix: Remove redundant #elementor selector for control style<\\/li>\\n<li>Fix: Added prefixing with \'0\' for one digit number in Countdown widget<\\/li>\\n<\\/ul>\\n<h4>1.0.2 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: Page layout collapses when inserting reCAPTCHA field in Form<\\/li>\\n<\\/ul>\\n<h4>1.0.1 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Fix: WordPress widgets disappear from Editor when Elementor Pro active<\\/li>\\n<\\/ul>\\n<h4>1.0.0 - 2016-12-12<\\/h4>\\n<ul>\\n<li>Initial release<\\/li>\\n<\\/ul>\\\";}\",\"new_version\":\"3.16.2\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.3.2\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNjk3NDMzMDg5LCJleHAiOjE2OTc1MTk0ODl9.Wy1cvPpahZqZdpkpyLCkv8OfFPqNBCq1CEMliYNcDz0\\/package_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/package_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJkb3dubG9hZF9iZXRhIjpmYWxzZSwiZmlsZV9rZXkiOiIxIiwiaWF0IjoxNjk3NDMzMDg5LCJleHAiOjE2OTc1MTk0ODl9.Wy1cvPpahZqZdpkpyLCkv8OfFPqNBCq1CEMliYNcDz0\\/package_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"},\"canary_deployment\":{\"plugin_info\":{\"new_version\":\"3.7.0\",\"name\":\"Elementor Pro\",\"slug\":\"elementor-pro\",\"url\":\"https:\\/\\/elementor.com\\/pro\\/changelog\\/\",\"homepage\":\"https:\\/\\/elementor.com\\/pro\\/\",\"requires\":\"5.0\",\"tested\":\"6.3.2\",\"elementor_requires\":\"3.0.1\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ2ZXJzaW9uIjoiMy43LjAiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJpYXQiOjE2OTc0MzMwODksImV4cCI6MTY5NzUxOTQ4OX0.E41_3YWkG4jPPb1v3pIlyhsLt_aOTL20rd4PZaFFnxs\\/previous_download\",\"download_link\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/previous_download\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ2ZXJzaW9uIjoiMy43LjAiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJpYXQiOjE2OTc0MzMwODksImV4cCI6MTY5NzUxOTQ4OX0.E41_3YWkG4jPPb1v3pIlyhsLt_aOTL20rd4PZaFFnxs\\/previous_download\",\"banners\":{\"2x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-1544x500.png?rev=1475479\",\"1x\":\"https:\\/\\/ps.w.org\\/elementor\\/assets\\/banner-772x250.png?rev=1475479\"},\"icons\":{\"svg\":\"https:\\/\\/storage.googleapis.com\\/web-public-files\\/Web%20Assets\\/icons\\/icon.svg\"}},\"conditions\":[[{\"type\":\"language\",\"languages\":[\"he_IL\",\"nl_NL\",\"en_GB\",\"en_NZ\",\"en_ZA\",\"en_AU\",\"en_CA\",\"sv_SE\",\"da_DK\",\"fr_FR\",\"nl_NL\",\"nb_NO\",\"de_AT\",\"fi\",\"it_IT\",\"nn_NO\",\"de_CH\",\"en_GB\",\"is_IS\",\"ga\",\"fr_BE\",\"nl_BE\",\"ast\",\"lb_LU\",\"es_ES\",\"pt_PT\",\"mlt\"],\"operator\":\"in\"}]]},\"translations\":[{\"language\":\"fa_IR\",\"updated\":\"2020-08-24 12:19:10+0000\",\"package\":\"https:\\/\\/plugin-downloads.elementor.com\\/v2\\/translation\\/eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJsaWNlbnNlIjoiYncyOWdnanRlYnRqdjJpOHF2cWI0NWEyeG40eDk3YmkiLCJ1cmwiOiJodHRwOi8vbXl0ZXN0ZGVzaWduLnh5ei9lbGVtZW50b3IiLCJsYW5ndWFnZSI6ImZhX0lSIiwiaWF0IjoxNjk3NDMzMDg5fQ.AYm-w-IC3yt9LasPE1TcgLqtbO6O4uzxVPbxHCPd530\\/translation\"}],\"cloud\":false}\";}", "no");
INSERT INTO `wp_options` VALUES("216", "elementor_custom_icon_sets_config", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("219", "elementor_pro_theme_builder_conditions", "a:5:{s:7:\"archive\";a:5:{i:5914;a:1:{i:0;s:35:\"include/archive/projects-categories\";}i:4325;a:1:{i:0;s:24:\"include/archive/category\";}i:2571;a:1:{i:0;s:32:\"include/archive/projects_archive\";}i:2187;a:1:{i:0;s:36:\"include/archive/our-services_archive\";}i:1523;a:1:{i:0;s:28:\"include/archive/post_archive\";}}s:5:\"popup\";a:1:{i:4423;a:1:{i:0;s:15:\"include/general\";}}s:6:\"single\";a:4:{i:4350;a:1:{i:0;s:29:\"include/singular/our-services\";}i:2523;a:1:{i:0;s:29:\"include/singular/our-services\";}i:2407;a:1:{i:0;s:25:\"include/singular/projects\";}i:1600;a:1:{i:0;s:21:\"include/singular/post\";}}s:6:\"footer\";a:1:{i:1013;a:1:{i:0;s:15:\"include/general\";}}s:6:\"header\";a:1:{i:509;a:1:{i:0;s:15:\"include/general\";}}}", "yes");
INSERT INTO `wp_options` VALUES("227", "_elementor_settings_update_time", "1694507975", "yes");
INSERT INTO `wp_options` VALUES("228", "elementor_cpt_support", "a:2:{i:0;s:4:\"post\";i:1;s:4:\"page\";}", "yes");
INSERT INTO `wp_options` VALUES("229", "elementor_disable_color_schemes", "", "yes");
INSERT INTO `wp_options` VALUES("230", "elementor_disable_typography_schemes", "", "yes");
INSERT INTO `wp_options` VALUES("231", "elementor_google_maps_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("232", "elementor_pro_recaptcha_site_key", "", "yes");
INSERT INTO `wp_options` VALUES("233", "elementor_pro_recaptcha_secret_key", "", "yes");
INSERT INTO `wp_options` VALUES("234", "elementor_pro_recaptcha_v3_site_key", "", "yes");
INSERT INTO `wp_options` VALUES("235", "elementor_pro_recaptcha_v3_secret_key", "", "yes");
INSERT INTO `wp_options` VALUES("236", "elementor_pro_recaptcha_v3_threshold", "0.5", "yes");
INSERT INTO `wp_options` VALUES("237", "elementor_pro_facebook_app_id", "", "yes");
INSERT INTO `wp_options` VALUES("238", "elementor_pro_mailchimp_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("239", "elementor_validate_api_data", "", "yes");
INSERT INTO `wp_options` VALUES("240", "elementor_pro_drip_api_token", "", "yes");
INSERT INTO `wp_options` VALUES("241", "elementor_pro_activecampaign_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("242", "elementor_pro_activecampaign_api_url", "", "yes");
INSERT INTO `wp_options` VALUES("243", "elementor_pro_getresponse_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("244", "elementor_pro_convertkit_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("245", "elementor_pro_mailerlite_api_key", "", "yes");
INSERT INTO `wp_options` VALUES("246", "elementor_typekit-kit-id", "", "yes");
INSERT INTO `wp_options` VALUES("248", "elementor_pro_stripe_test_secret_key", "", "yes");
INSERT INTO `wp_options` VALUES("249", "elementor_validate_stripe_api_test_secret_key_button", "", "yes");
INSERT INTO `wp_options` VALUES("250", "elementor_pro_stripe_live_secret_key", "", "yes");
INSERT INTO `wp_options` VALUES("251", "elementor_validate_stripe_api_live_secret_key_button", "", "yes");
INSERT INTO `wp_options` VALUES("252", "elementor_stripe_legal_disclaimer", "", "yes");
INSERT INTO `wp_options` VALUES("253", "elementor_css_print_method", "external", "yes");
INSERT INTO `wp_options` VALUES("254", "elementor_editor_break_lines", "", "yes");
INSERT INTO `wp_options` VALUES("255", "elementor_unfiltered_files_upload", "1", "yes");
INSERT INTO `wp_options` VALUES("256", "elementor_google_font", "1", "yes");
INSERT INTO `wp_options` VALUES("257", "elementor_load_fa4_shim", "", "yes");
INSERT INTO `wp_options` VALUES("258", "elementor_meta_generator_tag", "", "yes");
INSERT INTO `wp_options` VALUES("259", "elementor_experiment-e_font_icon_svg", "default", "yes");
INSERT INTO `wp_options` VALUES("260", "elementor_experiment-container", "active", "yes");
INSERT INTO `wp_options` VALUES("261", "elementor_experiment-container_grid", "default", "yes");
INSERT INTO `wp_options` VALUES("262", "elementor_experiment-editor_v2", "default", "yes");
INSERT INTO `wp_options` VALUES("263", "elementor_experiment-landing-pages", "default", "yes");
INSERT INTO `wp_options` VALUES("264", "elementor_experiment-nested-elements", "active", "yes");
INSERT INTO `wp_options` VALUES("265", "elementor_experiment-e_lazyload", "default", "yes");
INSERT INTO `wp_options` VALUES("266", "elementor_experiment-e_global_styleguide", "default", "yes");
INSERT INTO `wp_options` VALUES("267", "elementor_experiment-mega-menu", "active", "yes");
INSERT INTO `wp_options` VALUES("268", "elementor_experiment-taxonomy-filter", "default", "yes");
INSERT INTO `wp_options` VALUES("269", "elementor_experiment-e_dom_optimization", "default", "yes");
INSERT INTO `wp_options` VALUES("270", "elementor_experiment-e_optimized_assets_loading", "default", "yes");
INSERT INTO `wp_options` VALUES("271", "elementor_experiment-e_optimized_css_loading", "default", "yes");
INSERT INTO `wp_options` VALUES("272", "elementor_experiment-additional_custom_breakpoints", "inactive", "yes");
INSERT INTO `wp_options` VALUES("273", "elementor_experiment-e_swiper_latest", "default", "yes");
INSERT INTO `wp_options` VALUES("274", "elementor_experiment-theme_builder_v2", "default", "yes");
INSERT INTO `wp_options` VALUES("275", "elementor_experiment-hello-theme-header-footer", "default", "yes");
INSERT INTO `wp_options` VALUES("276", "elementor_experiment-page-transitions", "default", "yes");
INSERT INTO `wp_options` VALUES("277", "elementor_experiment-notes", "default", "yes");
INSERT INTO `wp_options` VALUES("278", "elementor_experiment-loop", "default", "yes");
INSERT INTO `wp_options` VALUES("279", "elementor_experiment-form-submissions", "default", "yes");
INSERT INTO `wp_options` VALUES("280", "elementor_experiment-e_scroll_snap", "default", "yes");
INSERT INTO `wp_options` VALUES("283", "elementor_fonts_manager_font_types", "a:1:{s:4:\"Dana\";s:6:\"custom\";}", "yes");
INSERT INTO `wp_options` VALUES("284", "elementor_fonts_manager_fonts", "a:1:{s:4:\"Dana\";a:2:{s:9:\"font_face\";s:2834:\"@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n\";s:7:\"post_id\";i:37;}}", "yes");
INSERT INTO `wp_options` VALUES("298", "elementor_font_awesome_pro_kit_id", "", "yes");
INSERT INTO `wp_options` VALUES("299", "elementor_log", "a:42:{s:32:\"0a997826a2fbc91e2cea3d61324d249d\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19552\";s:7:\"\0*\0file\";s:99:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/pickr/pickr.min.js?ver=1.5.0\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2023-09-21 10:52:21\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:63:\"Cannot read properties of null (reading &#039;changestop&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:68;s:14:\"\0*\0times_dates\";a:42:{i:0;s:19:\"2023-09-21 10:55:30\";i:1;s:19:\"2023-09-21 10:55:32\";i:2;s:19:\"2023-09-21 10:56:31\";i:3;s:19:\"2023-09-21 10:56:48\";i:4;s:19:\"2023-09-21 10:58:16\";i:5;s:19:\"2023-09-21 10:58:17\";i:6;s:19:\"2023-09-21 11:00:39\";i:7;s:19:\"2023-09-21 11:01:04\";i:8;s:19:\"2023-09-21 11:01:05\";i:9;s:19:\"2023-09-21 11:01:11\";i:10;s:19:\"2023-09-21 11:01:12\";i:11;s:19:\"2023-09-21 11:01:21\";i:12;s:19:\"2023-09-21 11:01:21\";i:13;s:19:\"2023-09-21 11:01:22\";i:14;s:19:\"2023-09-21 11:01:32\";i:15;s:19:\"2023-09-21 11:02:02\";i:16;s:19:\"2023-09-21 11:02:02\";i:17;s:19:\"2023-09-21 11:02:07\";i:18;s:19:\"2023-09-21 11:02:08\";i:19;s:19:\"2023-09-21 11:02:08\";i:20;s:19:\"2023-09-21 11:02:12\";i:21;s:19:\"2023-09-21 11:02:29\";i:22;s:19:\"2023-09-21 11:02:29\";i:23;s:19:\"2023-09-21 11:02:32\";i:24;s:19:\"2023-09-21 11:04:07\";i:25;s:19:\"2023-09-21 11:04:09\";i:26;s:19:\"2023-09-21 11:04:11\";i:27;s:19:\"2023-09-21 11:04:12\";i:28;s:19:\"2023-09-21 11:04:16\";i:29;s:19:\"2023-09-21 11:04:16\";i:30;s:19:\"2023-09-21 11:04:17\";i:31;s:19:\"2023-09-21 11:04:19\";i:32;s:19:\"2023-09-21 11:05:29\";i:33;s:19:\"2023-09-21 11:05:31\";i:34;s:19:\"2023-09-21 11:05:51\";i:35;s:19:\"2023-09-21 11:05:52\";i:36;s:19:\"2023-09-21 11:05:53\";i:37;s:19:\"2023-09-21 11:06:31\";i:38;s:19:\"2023-09-21 11:06:34\";i:39;s:19:\"2023-09-21 11:06:34\";i:40;s:19:\"2023-09-21 11:06:37\";i:41;s:19:\"2023-09-21 11:20:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695293541\";s:7:\"message\";s:53:\"Cannot read properties of null (reading \'changestop\')\";s:3:\"url\";s:99:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/pickr/pickr.min.js?ver=1.5.0\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"19552\";}}s:32:\"9a265cd7ec074eda7c026c6297c590e1\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"803451\";s:7:\"\0*\0file\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-09-21 11:19:31\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:69:\"Cannot read properties of undefined (reading &#039;toLowerCase&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:4;s:14:\"\0*\0times_dates\";a:4:{i:0;s:19:\"2023-09-21 11:19:31\";i:1;s:19:\"2023-09-25 05:23:53\";i:2;s:19:\"2023-09-28 06:50:58\";i:3;s:19:\"2023-09-28 06:51:03\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695295171\";s:7:\"message\";s:59:\"Cannot read properties of undefined (reading \'toLowerCase\')\";s:3:\"url\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"803451\";}}s:32:\"862b354848f8cbd976eeac5356ce0394\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:4:\"7786\";s:7:\"\0*\0file\";s:104:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/4fdaa70e951ad90db2f2.bundle.min.js\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2023-09-25 05:35:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:60:\"Cannot read properties of null (reading &#039;dataset&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:6;s:14:\"\0*\0times_dates\";a:6:{i:0;s:19:\"2023-09-25 05:35:47\";i:1;s:19:\"2023-09-25 05:35:56\";i:2;s:19:\"2023-09-25 05:36:06\";i:3;s:19:\"2023-09-25 05:36:10\";i:4;s:19:\"2023-10-10 09:34:04\";i:5;s:19:\"2023-10-10 09:34:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695620147\";s:7:\"message\";s:50:\"Cannot read properties of null (reading \'dataset\')\";s:3:\"url\";s:104:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/4fdaa70e951ad90db2f2.bundle.min.js\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:4:\"7786\";}}s:32:\"0901b7e51b4280e3653b1f4acdad2300\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"926814\";s:7:\"\0*\0file\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-09-25 09:27:56\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:63:\"Cannot read properties of undefined (reading &#039;route&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-25 09:27:56\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695634076\";s:7:\"message\";s:53:\"Cannot read properties of undefined (reading \'route\')\";s:3:\"url\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"926814\";}}s:32:\"f3926008caad789235bd907e6c7a4743\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:123:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php\";s:7:\"\0*\0line\";i:171;s:7:\"\0*\0date\";s:19:\"2023-09-25 13:08:09\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:31:\"Undefined index: editor_post_id\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-09-25 13:08:09\";i:1;s:19:\"2023-10-04 12:53:45\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:31:\"Undefined index: editor_post_id\";s:4:\"file\";s:123:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor-pro/modules/theme-builder/classes/conditions-manager.php\";s:4:\"line\";i:171;s:5:\"trace\";b:1;}}s:32:\"d53501bd385b1cce2c35af4b88603a79\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"64105\";s:7:\"\0*\0file\";s:98:\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/js/editor.min.js?ver=3.15.1\";s:7:\"\0*\0line\";s:1:\"2\";s:7:\"\0*\0date\";s:19:\"2023-09-25 11:49:11\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:42:\"Cannot convert undefined or null to object\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-25 11:49:11\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695642551\";s:7:\"message\";s:42:\"Cannot convert undefined or null to object\";s:3:\"url\";s:98:\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/js/editor.min.js?ver=3.15.1\";s:4:\"line\";s:1:\"2\";s:6:\"column\";s:5:\"64105\";}}s:32:\"f55bb0f7e5a92734a2429fc9e389a99a\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-09-26 12:05:55\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view32480&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-26 12:05:55\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695729955\";s:7:\"message\";s:70:\"View (cid: \"view32480\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"ff8d348faa928e9942635d7368c90a55\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-09-28 09:30:33\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view93088&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-28 09:30:33\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695893433\";s:7:\"message\";s:70:\"View (cid: \"view93088\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"0a770a4b63cd7ad5c77d5fe9b4e91983\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-09-28 09:30:33\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view93052&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-28 09:30:33\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695893433\";s:7:\"message\";s:70:\"View (cid: \"view93052\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"7ab3c280c72f4adab26b02110824dd2c\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-09-28 12:30:45\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view2863&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-28 12:30:45\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695904245\";s:7:\"message\";s:69:\"View (cid: \"view2863\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"58d32311e9302b786a75e57398089110\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-09-28 12:30:45\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view2900&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-09-28 12:30:45\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1695904245\";s:7:\"message\";s:69:\"View (cid: \"view2900\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"675acde6085e1e3747b6a336d8e53e6c\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:6:\"639496\";s:7:\"\0*\0file\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:7:\"\0*\0line\";s:1:\"3\";s:7:\"\0*\0date\";s:19:\"2023-10-01 09:35:03\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:70:\"Cannot read properties of undefined (reading &#039;isDesignable&#039;)\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-10-01 09:35:03\";i:1;s:19:\"2023-10-08 11:12:14\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1696152903\";s:7:\"message\";s:60:\"Cannot read properties of undefined (reading \'isDesignable\')\";s:3:\"url\";s:94:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/js/editor.min.js?ver=3.16.2\";s:4:\"line\";s:1:\"3\";s:6:\"column\";s:6:\"639496\";}}s:32:\"278b618408f0224e793244e64ce6599a\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-01 10:53:31\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view87872&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-01 10:53:31\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1696157611\";s:7:\"message\";s:70:\"View (cid: \"view87872\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"96df2ecee80b69358017d957d27b2e46\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-02 09:29:55\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view13943&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-02 09:29:55\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1696238995\";s:7:\"message\";s:70:\"View (cid: \"view13943\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"13297aebef0a19fe74a5e4fe2e839171\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:104:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/modules/history/revisions-manager.php\";s:7:\"\0*\0line\";i:363;s:7:\"\0*\0date\";s:19:\"2023-10-05 11:11:03\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:51:\"Trying to access array offset on value of type null\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-10-05 11:11:03\";i:1;s:19:\"2023-10-08 14:10:59\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:51:\"Trying to access array offset on value of type null\";s:4:\"file\";s:104:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/modules/history/revisions-manager.php\";s:4:\"line\";i:363;s:5:\"trace\";b:1;}}s:32:\"2e56fdada89d47b38334c36b3a852fef\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-09 09:51:07\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view1337&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-09 09:51:07\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1696845067\";s:7:\"message\";s:69:\"View (cid: \"view1337\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"cb2502c4282f063d0178e578d8001d21\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view8019&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view8019\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"4d09b19321fc634e29e26a9b5c6b9454\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view8096&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view8096\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"8fa259ef09c31f06e2d6fb856c70cf87\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view8720&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view8720\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"8c3a5bd247d39fcb638686620c126197\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view8797&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view8797\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"eca46a93058125966406b7b8c924d803\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9421&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view9421\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"52438fba2e271b62e285f979ce922743\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-11 07:58:10\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9496&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 07:58:10\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697011090\";s:7:\"message\";s:69:\"View (cid: \"view9496\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"1528cb9a4321c72827f4b90459be0b3b\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:110:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/includes/template-library/sources/local.php\";s:7:\"\0*\0line\";i:780;s:7:\"\0*\0date\";s:19:\"2023-10-11 14:16:19\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:60:\"ob_end_clean(): failed to delete buffer. No buffer to delete\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 14:16:19\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:60:\"ob_end_clean(): failed to delete buffer. No buffer to delete\";s:4:\"file\";s:110:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/includes/template-library/sources/local.php\";s:4:\"line\";i:780;s:5:\"trace\";b:1;}}s:32:\"5ee173554bff5bce2b87bc788c523377\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:36:\"elementor::elementor_updater Started\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:36:\"elementor::elementor_updater Started\";s:4:\"type\";s:4:\"info\";}}s:32:\"d36ef6959ace983231e66ba4ac744c7b\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:49:\"المنتور/Upgrades - _on_each_version Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"f44c773d8382f3ad0ba5521ec66b894a\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:51:\"المنتور/Upgrades - _on_each_version Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"9bfea307266b486ad44140084e338aad\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:64:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Start \";s:4:\"type\";s:4:\"info\";}}s:32:\"2247be290e679a472d43728669ce096f\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:2:{s:7:\"message\";s:66:\"المنتور/Upgrades - _v_3_17_0_site_settings_updates Finished\";s:4:\"type\";s:4:\"info\";}}s:32:\"ec7769712c42074f839080c818540507\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:50:\"Elementor data updater process has been completed.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.16.2\";s:2:\"to\";s:6:\"3.16.5\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.16.2\";s:2:\"to\";s:6:\"3.16.5\";}s:7:\"message\";s:50:\"Elementor data updater process has been completed.\";s:4:\"type\";s:4:\"info\";}}s:32:\"0d52aae536a8cf1870b00bd8b5e7c4a5\";O:32:\"Elementor\\Core\\Logger\\Items\\Base\":7:{s:7:\"\0*\0date\";s:19:\"2023-10-11 16:50:16\";s:7:\"\0*\0type\";s:4:\"info\";s:10:\"\0*\0message\";s:47:\"Elementor data updater process has been queued.\";s:7:\"\0*\0meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.16.2\";s:2:\"to\";s:6:\"3.16.5\";}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-11 16:50:16\";}s:7:\"\0*\0args\";a:3:{s:4:\"meta\";a:3:{s:6:\"plugin\";s:14:\"المنتور\";s:4:\"from\";s:6:\"3.16.2\";s:2:\"to\";s:6:\"3.16.5\";}s:7:\"message\";s:47:\"Elementor data updater process has been queued.\";s:4:\"type\";s:4:\"info\";}}s:32:\"1a48d9e9962fdab7a00bd435a4e1ad19\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:94:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/includes/managers/image.php\";s:7:\"\0*\0line\";i:113;s:7:\"\0*\0date\";s:19:\"2023-10-12 12:03:41\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:51:\"Trying to access array offset on value of type bool\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:2;s:14:\"\0*\0times_dates\";a:2:{i:0;s:19:\"2023-10-12 12:03:41\";i:1;s:19:\"2023-10-12 13:35:13\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:51:\"Trying to access array offset on value of type bool\";s:4:\"file\";s:94:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/includes/managers/image.php\";s:4:\"line\";i:113;s:5:\"trace\";b:1;}}s:32:\"36ec3b6bc4663b70628968ec5e5185ae\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:37\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9321&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:37\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106337\";s:7:\"message\";s:69:\"View (cid: \"view9321\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"d6698e36697a48b4c771e98761b8b0e2\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:37\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9357&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:37\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106337\";s:7:\"message\";s:69:\"View (cid: \"view9357\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"01b83b84dca1fe7b19b181d99f86bbbd\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:37\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9393&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:37\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106337\";s:7:\"message\";s:69:\"View (cid: \"view9393\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"2cb42a50989897fb36d61f16973277f7\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:37\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9429&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:37\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106337\";s:7:\"message\";s:69:\"View (cid: \"view9429\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"e1153df501dee1f57f163b43a13d83e9\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:37\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:79:\"View (cid: &quot;view9465&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:37\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106337\";s:7:\"message\";s:69:\"View (cid: \"view9465\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"e406719ae85f0159e0891956c52f1f3f\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view14259&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:47\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106347\";s:7:\"message\";s:70:\"View (cid: \"view14259\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"61e95d4ad5341b0e4e8b5d997aa01f15\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view14403&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:47\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106347\";s:7:\"message\";s:70:\"View (cid: \"view14403\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"8fa188dc5e29674ca7c2a304f7b1cfee\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view14295&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:47\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106347\";s:7:\"message\";s:70:\"View (cid: \"view14295\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"e55a851b92693686b4e3a642c6a900a9\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view14331&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:47\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106347\";s:7:\"message\";s:70:\"View (cid: \"view14331\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"0c1bca9f7209a256d85117fac58f2685\";O:30:\"Elementor\\Core\\Logger\\Items\\JS\":10:{s:9:\"\0*\0column\";s:5:\"19952\";s:7:\"\0*\0file\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:7:\"\0*\0line\";s:2:\"24\";s:7:\"\0*\0date\";s:19:\"2023-10-12 10:25:47\";s:7:\"\0*\0type\";s:5:\"error\";s:10:\"\0*\0message\";s:80:\"View (cid: &quot;view14367&quot;) has already been destroyed and cannot be used.\";s:7:\"\0*\0meta\";a:0:{}s:8:\"\0*\0times\";i:1;s:14:\"\0*\0times_dates\";a:1:{i:0;s:19:\"2023-10-12 10:25:47\";}s:7:\"\0*\0args\";a:6:{s:4:\"type\";s:5:\"error\";s:9:\"timestamp\";s:10:\"1697106347\";s:7:\"message\";s:70:\"View (cid: \"view14367\") has already been destroyed and cannot be used.\";s:3:\"url\";s:119:\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/lib/backbone/backbone.marionette.min.js?ver=2.4.5.e1\";s:4:\"line\";s:2:\"24\";s:6:\"column\";s:5:\"19952\";}}s:32:\"2cc3fadf832176ee6086ee0cb2692535\";O:31:\"Elementor\\Core\\Logger\\Items\\PHP\":9:{s:7:\"\0*\0file\";s:102:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:7:\"\0*\0line\";i:175;s:7:\"\0*\0date\";s:19:\"2023-10-12 16:15:39\";s:7:\"\0*\0type\";s:6:\"notice\";s:10:\"\0*\0message\";s:21:\"Undefined index: data\";s:7:\"\0*\0meta\";a:1:{s:5:\"trace\";a:1:{i:0;a:3:{s:8:\"function\";s:8:\"shutdown\";s:5:\"class\";s:29:\"Elementor\\Core\\Logger\\Manager\";s:4:\"type\";s:2:\"->\";}}}s:8:\"\0*\0times\";i:3;s:14:\"\0*\0times_dates\";a:3:{i:0;s:19:\"2023-10-12 16:15:39\";i:1;s:19:\"2023-10-12 16:20:36\";i:2;s:19:\"2023-10-12 16:22:51\";}s:7:\"\0*\0args\";a:5:{s:4:\"type\";s:6:\"notice\";s:7:\"message\";s:21:\"Undefined index: data\";s:4:\"file\";s:102:\"/home/halochin/public_html/Technology/wp-content/plugins/elementor/core/common/modules/ajax/module.php\";s:4:\"line\";i:175;s:5:\"trace\";b:1;}}}", "no");
INSERT INTO `wp_options` VALUES("303", "site_logo", "2609", "yes");
INSERT INTO `wp_options` VALUES("333", "jet_engine_modules", "a:5:{i:0;s:20:\"custom-content-types\";i:1;s:24:\"jet-engine-trim-callback\";i:2;s:14:\"gallery-slider\";i:3;s:18:\"listing-injections\";i:4;s:18:\"dynamic-visibility\";}", "yes");
INSERT INTO `wp_options` VALUES("403", "elementor_pro_tracker_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("404", "elementor_tracker_notice", "1", "yes");
INSERT INTO `wp_options` VALUES("446", "wp_calendar_block_has_published_posts", "1", "yes");
INSERT INTO `wp_options` VALUES("511", "category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("529", "fbc_settings_options", "a:13:{s:21:\"breadcrumb_front_text\";s:17:\"صفحه اصلی\";s:20:\"breadcrumb_front_url\";s:30:\"https://halochin.ir/Technology\";s:20:\"breadcrumb_home_icon\";s:0:\"\";s:20:\"breadcrumb_separator\";s:1:\"/\";s:22:\"breadcrumb_limit_style\";s:4:\"word\";s:21:\"breadcrumb_text_limit\";s:1:\"4\";s:19:\"breadcrumb_end_text\";s:3:\"...\";s:14:\"post_hierarchy\";s:13:\"post-category\";s:21:\"breadcrumb_text_color\";s:7:\"#27272a\";s:21:\"breadcrumb_link_color\";s:7:\"#337ab7\";s:25:\"breadcrumb_separate_color\";s:7:\"#cccccc\";s:27:\"breadcrumb_background_color\";s:7:\"#edeff0\";s:20:\"breadcrumb_font_size\";s:2:\"16\";}", "yes");
INSERT INTO `wp_options` VALUES("582", "jet-tabs-db-version", "2.1.21", "yes");
INSERT INTO `wp_options` VALUES("756", "nav_menu_options", "a:2:{i:0;b:0;s:8:\"auto_add\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("765", "elementor_library_category_children", "a:0:{}", "yes");
INSERT INTO `wp_options` VALUES("876", "jet_smart_filters_version", "3.2.0", "no");
INSERT INTO `wp_options` VALUES("1026", "new_admin_email", "designer2@abzarwp.com", "yes");
INSERT INTO `wp_options` VALUES("1043", "_elementor_global_css", "a:6:{s:4:\"time\";i:1697030477;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1044", "_elementor_assets_data", "a:1:{s:3:\"css\";a:1:{s:7:\"widgets\";a:30:{s:4:\"icon\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:5:\"image\";a:2:{s:7:\"content\";s:269:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:9:\"mega-menu\";a:2:{s:7:\"content\";s:134:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-mega-menu-rtl.min.css\">\";s:7:\"version\";s:6:\"3.15.1\";}s:8:\"icon-box\";a:2:{s:7:\"content\";s:129:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">\";s:7:\"version\";s:6:\"3.16.5\";}s:6:\"button\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:7:\"heading\";a:2:{s:7:\"content\";s:673:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:16:\"jet-listing-grid\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:24:\"jet-listing-dynamic-meta\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:25:\"jet-listing-dynamic-field\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:28:\"jet-smart-filters-pagination\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:11:\"text-editor\";a:2:{s:7:\"content\";s:720:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:7:\"divider\";a:2:{s:7:\"content\";s:3594:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:5:\"forms\";a:2:{s:7:\"content\";s:6196:\"<style>/*! elementor-pro - v3.15.0 - 09-08-2023 */\n.elementor-button.elementor-hidden,.elementor-hidden{display:none}.e-form__step{width:100%}.e-form__step:not(.elementor-hidden){display:flex;flex-wrap:wrap}.e-form__buttons{flex-wrap:wrap}.e-form__buttons,.e-form__buttons__wrapper{display:flex}.e-form__indicators{display:flex;justify-content:space-between;align-items:center;flex-wrap:nowrap;font-size:13px;margin-bottom:var(--e-form-steps-indicators-spacing)}.e-form__indicators__indicator{display:flex;flex-direction:column;align-items:center;justify-content:center;flex-basis:0;padding:0 var(--e-form-steps-divider-gap)}.e-form__indicators__indicator__progress{width:100%;position:relative;background-color:var(--e-form-steps-indicator-progress-background-color);border-radius:var(--e-form-steps-indicator-progress-border-radius);overflow:hidden}.e-form__indicators__indicator__progress__meter{width:var(--e-form-steps-indicator-progress-meter-width,0);height:var(--e-form-steps-indicator-progress-height);line-height:var(--e-form-steps-indicator-progress-height);padding-right:15px;border-radius:var(--e-form-steps-indicator-progress-border-radius);background-color:var(--e-form-steps-indicator-progress-color);color:var(--e-form-steps-indicator-progress-meter-color);text-align:right;transition:width .1s linear}.e-form__indicators__indicator:first-child{padding-left:0}.e-form__indicators__indicator:last-child{padding-right:0}.e-form__indicators__indicator--state-inactive{color:var(--e-form-steps-indicator-inactive-primary-color,#c2cbd2)}.e-form__indicators__indicator--state-inactive [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-inactive-secondary-color,#fff)}.e-form__indicators__indicator--state-inactive object,.e-form__indicators__indicator--state-inactive svg{fill:var(--e-form-steps-indicator-inactive-primary-color,#c2cbd2)}.e-form__indicators__indicator--state-active{color:var(--e-form-steps-indicator-active-primary-color,#39b54a);border-color:var(--e-form-steps-indicator-active-secondary-color,#fff)}.e-form__indicators__indicator--state-active [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-active-secondary-color,#fff)}.e-form__indicators__indicator--state-active object,.e-form__indicators__indicator--state-active svg{fill:var(--e-form-steps-indicator-active-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed{color:var(--e-form-steps-indicator-completed-secondary-color,#fff)}.e-form__indicators__indicator--state-completed [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-completed-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed .e-form__indicators__indicator__label{color:var(--e-form-steps-indicator-completed-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed .e-form__indicators__indicator--shape-none{color:var(--e-form-steps-indicator-completed-primary-color,#39b54a);background-color:initial}.e-form__indicators__indicator--state-completed object,.e-form__indicators__indicator--state-completed svg{fill:var(--e-form-steps-indicator-completed-secondary-color,#fff)}.e-form__indicators__indicator__icon{width:var(--e-form-steps-indicator-padding,30px);height:var(--e-form-steps-indicator-padding,30px);font-size:var(--e-form-steps-indicator-icon-size);border-width:1px;border-style:solid;display:flex;justify-content:center;align-items:center;overflow:hidden;margin-bottom:10px}.e-form__indicators__indicator__icon img,.e-form__indicators__indicator__icon object,.e-form__indicators__indicator__icon svg{width:var(--e-form-steps-indicator-icon-size);height:auto}.e-form__indicators__indicator__icon .e-font-icon-svg{height:1em}.e-form__indicators__indicator__number{width:var(--e-form-steps-indicator-padding,30px);height:var(--e-form-steps-indicator-padding,30px);border-width:1px;border-style:solid;display:flex;justify-content:center;align-items:center;margin-bottom:10px}.e-form__indicators__indicator--shape-circle{border-radius:50%}.e-form__indicators__indicator--shape-square{border-radius:0}.e-form__indicators__indicator--shape-rounded{border-radius:5px}.e-form__indicators__indicator--shape-none{border:0}.e-form__indicators__indicator__label{text-align:center}.e-form__indicators__indicator__separator{width:100%;height:var(--e-form-steps-divider-width);background-color:#babfc5}.e-form__indicators--type-icon,.e-form__indicators--type-icon_text,.e-form__indicators--type-number,.e-form__indicators--type-number_text{align-items:flex-start}.e-form__indicators--type-icon .e-form__indicators__indicator__separator,.e-form__indicators--type-icon_text .e-form__indicators__indicator__separator,.e-form__indicators--type-number .e-form__indicators__indicator__separator,.e-form__indicators--type-number_text .e-form__indicators__indicator__separator{margin-top:calc(var(--e-form-steps-indicator-padding, 30px) / 2 - var(--e-form-steps-divider-width, 1px) / 2)}.elementor-field-type-hidden{display:none}.elementor-field-type-html{display:inline-block}.elementor-login .elementor-lost-password,.elementor-login .elementor-remember-me{font-size:.85em}.elementor-field-type-recaptcha_v3 .elementor-field-label{display:none}.elementor-field-type-recaptcha_v3 .grecaptcha-badge{z-index:1}.elementor-button .elementor-form-spinner{order:3}.elementor-form .elementor-button>span{display:flex;justify-content:center;align-items:center}.elementor-form .elementor-button .elementor-button-text{white-space:normal;flex-grow:0}.elementor-form .elementor-button svg{height:auto}.elementor-form .elementor-button .e-font-icon-svg{height:1em}.elementor-select-wrapper .select-caret-down-wrapper{position:absolute;top:50%;transform:translateY(-50%);inset-inline-end:10px;pointer-events:none;font-size:11px}.elementor-select-wrapper .select-caret-down-wrapper svg{display:unset;width:1em;aspect-ratio:unset;fill:currentColor}.elementor-select-wrapper .select-caret-down-wrapper i{font-size:19px;line-height:2}.elementor-select-wrapper.remove-before:before{content:\"\"!important}</style>\";s:7:\"version\";s:6:\"3.15.1\";}s:9:\"icon-list\";a:2:{s:7:\"content\";s:130:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">\";s:7:\"version\";s:6:\"3.16.5\";}s:13:\"share-buttons\";a:2:{s:7:\"content\";s:138:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">\";s:7:\"version\";s:6:\"3.15.1\";}s:14:\"theme-elements\";a:2:{s:7:\"content\";s:139:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-theme-elements-rtl.min.css\">\";s:7:\"version\";s:6:\"3.15.1\";}s:8:\"nav-menu\";a:2:{s:7:\"content\";s:133:\"<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-nav-menu-rtl.min.css\">\";s:7:\"version\";s:6:\"3.15.1\";}s:5:\"video\";a:2:{s:7:\"content\";s:1883:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-video .elementor-widget-container{overflow:hidden;transform:translateZ(0)}.elementor-widget-video .elementor-wrapper{aspect-ratio:var(--video-aspect-ratio)}.elementor-widget-video .elementor-wrapper iframe,.elementor-widget-video .elementor-wrapper video{height:100%;width:100%;display:flex;border:none;background-color:#000}@supports not (aspect-ratio:1/1){.elementor-widget-video .elementor-wrapper{position:relative;overflow:hidden;height:0;padding-bottom:calc(100% / var(--video-aspect-ratio))}.elementor-widget-video .elementor-wrapper iframe,.elementor-widget-video .elementor-wrapper video{position:absolute;top:0;right:0;bottom:0;left:0}}.elementor-widget-video .elementor-open-inline .elementor-custom-embed-image-overlay{position:absolute;top:0;right:0;bottom:0;left:0;background-size:cover;background-position:50%}.elementor-widget-video .elementor-custom-embed-image-overlay{cursor:pointer;text-align:center}.elementor-widget-video .elementor-custom-embed-image-overlay:hover .elementor-custom-embed-play i{opacity:1}.elementor-widget-video .elementor-custom-embed-image-overlay img{display:block;width:100%;aspect-ratio:var(--video-aspect-ratio);-o-object-fit:cover;object-fit:cover;-o-object-position:center center;object-position:center center}@supports not (aspect-ratio:1/1){.elementor-widget-video .elementor-custom-embed-image-overlay{position:relative;overflow:hidden;height:0;padding-bottom:calc(100% / var(--video-aspect-ratio))}.elementor-widget-video .elementor-custom-embed-image-overlay img{position:absolute;top:0;right:0;bottom:0;left:0}}.elementor-widget-video .e-hosted-video .elementor-video{-o-object-fit:cover;object-fit:cover}.e-con-inner>.elementor-widget-video,.e-con>.elementor-widget-video{width:var(--container-widget-width);--flex-grow:var(--container-widget-flex-grow)}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:9:\"image-box\";a:2:{s:7:\"content\";s:1425:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:left;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:right;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:14:\"image-carousel\";a:2:{s:7:\"content\";s:555:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image-carousel .swiper,.elementor-widget-image-carousel .swiper-container{position:static}.elementor-widget-image-carousel .swiper-container .swiper-slide figure,.elementor-widget-image-carousel .swiper .swiper-slide figure{line-height:inherit}.elementor-widget-image-carousel .swiper-slide{text-align:center}.elementor-image-carousel-wrapper:not(.swiper-container-initialized):not(.swiper-initialized) .swiper-slide{max-width:calc(100% / var(--e-image-carousel-slides-to-show, 3))}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:6:\"spacer\";a:2:{s:7:\"content\";s:1379:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container{height:100%;width:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty,.e-con>.elementor-widget-spacer.elementor-widget-empty{position:relative;min-height:22px;min-width:22px}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon,.e-con>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto;padding:0;width:22px;height:22px}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:28:\"jet-listing-dynamic-repeater\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:8:\"jet-tabs\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:7:\"counter\";a:2:{s:7:\"content\";s:549:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-counter .elementor-counter-number-wrapper{display:flex;font-size:69px;font-weight:600;line-height:1}.elementor-counter .elementor-counter-number-prefix,.elementor-counter .elementor-counter-number-suffix{flex-grow:1;white-space:pre-wrap}.elementor-counter .elementor-counter-number-prefix{text-align:left}.elementor-counter .elementor-counter-number-suffix{text-align:right}.elementor-counter .elementor-counter-title{text-align:center;font-size:19px;font-weight:400;line-height:2.5}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:11:\"star-rating\";a:2:{s:7:\"content\";s:2695:\"<style>/*! elementor - v3.16.0 - 09-10-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"\\e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\";s:7:\"version\";s:6:\"3.16.5\";}s:9:\"shortcode\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}s:18:\"theme-post-content\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.15.1\";}s:25:\"theme-post-featured-image\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.15.1\";}s:17:\"table-of-contents\";a:2:{s:7:\"content\";s:3908:\"<style>/*! elementor-pro - v3.15.0 - 09-08-2023 */\n.elementor-widget-table-of-contents .elementor-toc__header-title{color:var(--header-color)}.elementor-widget-table-of-contents.elementor-toc--collapsed .elementor-toc__toggle-button--collapse,.elementor-widget-table-of-contents:not(.elementor-toc--collapsed) .elementor-toc__toggle-button--expand{display:none}.elementor-widget-table-of-contents .elementor-widget-container{min-height:var(--box-min-height);border:var(--box-border-width,1px) solid var(--box-border-color,#9da5ae);border-radius:var(--box-border-radius,3px);background-color:var(--box-background-color);transition:min-height .4s;overflow:hidden}.elementor-toc__header{display:flex;align-items:center;justify-content:space-between;padding:var(--box-padding,20px);background-color:var(--header-background-color);border-bottom:var(--separator-width,1px) solid var(--box-border-color,#9da5ae)}.elementor-toc__header-title{font-size:18px;margin:0;color:var(--header-color)}.elementor-toc__toggle-button{cursor:pointer;display:inline-flex}.elementor-toc__toggle-button i{color:var(--toggle-button-color)}.elementor-toc__toggle-button svg{height:1em;width:1em;fill:var(--toggle-button-color)}.elementor-toc__spinner-container{text-align:center}.elementor-toc__spinner{font-size:2em}.elementor-toc__spinner.e-font-icon-svg{height:1em;width:1em}.elementor-toc__body{padding:var(--box-padding,20px);max-height:var(--toc-body-max-height);overflow-y:auto}.elementor-toc__body::-webkit-scrollbar{width:7px}.elementor-toc__body::-webkit-scrollbar-thumb{background-color:#babfc5;border-radius:10px}.elementor-toc__list-wrapper{list-style:none;padding:0}.elementor-toc__list-item{margin-bottom:.5em}.elementor-toc__list-item.elementor-item-active{font-weight:700}.elementor-toc__list-item .elementor-toc__list-wrapper{margin-top:.5em;margin-right:var(--nested-list-indent,1em)}.elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}.elementor-toc__list-item-text-wrapper{display:flex;align-items:center}.elementor-toc__list-item-text-wrapper:before,.elementor-toc__list-item-text-wrapper i{margin-left:8px;color:var(--marker-color)}.elementor-toc__list-item-text-wrapper svg{margin-left:8px;fill:var(--marker-color);height:var(--marker-size,.5em);width:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper i{font-size:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper:before{font-size:var(--marker-size,1em)}.elementor-toc--content-ellipsis .elementor-toc__list-item-text{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.elementor-toc__list-items--collapsible>.elementor-toc__list-wrapper>.elementor-toc__list-item>.elementor-toc__list-wrapper{display:none}.elementor-toc__heading-anchor{position:absolute}.elementor-toc__body .elementor-toc__list-item-text{color:var(--item-text-color);-webkit-text-decoration:var(--item-text-decoration);text-decoration:var(--item-text-decoration)}.elementor-toc__body .elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__body .elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}ol.elementor-toc__list-wrapper{counter-reset:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item{counter-increment:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item-text-wrapper:before{content:counters(item,\".\") \". \"}</style>\";s:7:\"version\";s:6:\"3.15.1\";}s:13:\"jet-accordion\";a:2:{s:7:\"content\";s:0:\"\";s:7:\"version\";s:6:\"3.16.5\";}}}}", "yes");
INSERT INTO `wp_options` VALUES("1116", "duplicator_version_plugin", "1.5.6", "yes");
INSERT INTO `wp_options` VALUES("1118", "duplicator_install_info", "a:2:{s:7:\"version\";s:5:\"1.5.6\";s:4:\"time\";i:1697115522;}", "no");
INSERT INTO `wp_options` VALUES("1119", "duplicator_uninstall_package", "1", "yes");
INSERT INTO `wp_options` VALUES("1120", "duplicator_uninstall_settings", "1", "yes");
INSERT INTO `wp_options` VALUES("1121", "duplicator_settings", "a:20:{s:7:\"version\";s:5:\"1.5.6\";s:18:\"uninstall_settings\";b:1;s:15:\"uninstall_files\";b:1;s:13:\"package_debug\";b:0;s:23:\"email_summary_frequency\";s:6:\"weekly\";s:9:\"amNotices\";b:1;s:17:\"package_mysqldump\";b:1;s:22:\"package_mysqldump_path\";s:0:\"\";s:24:\"package_phpdump_qrylimit\";s:3:\"100\";s:17:\"package_zip_flush\";b:0;s:19:\"installer_name_mode\";s:6:\"simple\";s:16:\"storage_position\";s:6:\"wpcont\";s:20:\"storage_htaccess_off\";b:0;s:18:\"archive_build_mode\";i:2;s:17:\"skip_archive_scan\";b:0;s:21:\"unhook_third_party_js\";b:0;s:22:\"unhook_third_party_css\";b:0;s:17:\"active_package_id\";i:2;s:14:\"usage_tracking\";b:0;i:0;b:0;}", "yes");
INSERT INTO `wp_options` VALUES("1122", "duplicator_activated", "a:1:{s:4:\"lite\";i:1697115522;}", "yes");
INSERT INTO `wp_options` VALUES("1123", "duplicator_plugin_data_stats", "{\n    \"lastSendTime\": 0,\n    \"identifier\": \"IIWM1c+N3+iOSY55DHe+hF7m4c5pvb0uRKqoIg+zaIXn\",\n    \"plugin\": \"dup-lite\",\n    \"pluginStatus\": \"active\",\n    \"buildCount\": 1,\n    \"buildLastDate\": 1697116662,\n    \"buildFailedCount\": 0,\n    \"buildFailedLastDate\": 0,\n    \"siteSizeMB\": 181.150000000000005684341886080801486968994140625,\n    \"siteNumFiles\": 10740,\n    \"siteDbSizeMB\": 10.019999999999999573674358543939888477325439453125,\n    \"siteDbNumTables\": 29\n}", "yes");
INSERT INTO `wp_options` VALUES("1125", "duplicator_notifications", "a:4:{s:6:\"update\";i:1697432339;s:4:\"feed\";a:0:{}s:6:\"events\";a:0:{}s:9:\"dismissed\";a:0:{}}", "yes");
INSERT INTO `wp_options` VALUES("1143", "action_scheduler_hybrid_store_demarkation", "6027", "yes");
INSERT INTO `wp_options` VALUES("1144", "schema-ActionScheduler_StoreSchema", "6.0.1697115801", "yes");
INSERT INTO `wp_options` VALUES("1145", "schema-ActionScheduler_LoggerSchema", "3.0.1697115801", "yes");
INSERT INTO `wp_options` VALUES("1150", "action_scheduler_lock_async-request-runner", "1697433715", "yes");
INSERT INTO `wp_options` VALUES("1227", "duplicator_package_active", "O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-10-16 05:21:45\";s:7:\"Version\";s:5:\"1.5.6\";s:9:\"VersionWP\";s:5:\"6.3.2\";s:9:\"VersionDB\";s:7:\"10.6.14\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"7319fac73ac69ce21431_20231016052145\";s:8:\"NameHash\";s:75:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";s:85:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145_scan.json\";s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";O:11:\"DUP_Archive\":26:{s:10:\"FilterDirs\";s:0:\"\";s:11:\"FilterFiles\";s:0:\"\";s:10:\"FilterExts\";s:0:\"\";s:13:\"FilterDirsAll\";a:0:{}s:14:\"FilterFilesAll\";a:0:{}s:13:\"FilterExtsAll\";a:0:{}s:8:\"FilterOn\";i:0;s:12:\"ExportOnlyDB\";i:0;s:4:\"File\";N;s:6:\"Format\";s:3:\"ZIP\";s:7:\"PackDir\";s:37:\"/home/halochin/public_html/Technology\";s:4:\"Size\";i:0;s:4:\"Dirs\";a:0:{}s:9:\"dirsCount\";i:1858;s:5:\"Files\";a:0:{}s:10:\"filesCount\";i:8882;s:10:\"FilterInfo\";O:23:\"DUP_Archive_Filter_Info\":8:{s:4:\"Dirs\";O:34:\"DUP_Archive_Filter_Scope_Directory\":6:{s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:5:\"Files\";O:29:\"DUP_Archive_Filter_Scope_File\":7:{s:4:\"Size\";a:0:{}s:7:\"Warning\";a:0:{}s:10:\"Unreadable\";a:0:{}s:10:\"AddonSites\";a:0:{}s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:4:\"Exts\";O:29:\"DUP_Archive_Filter_Scope_Base\":3:{s:4:\"Core\";a:0:{}s:6:\"Global\";a:0:{}s:8:\"Instance\";a:0:{}}s:9:\"UDirCount\";i:0;s:10:\"UFileCount\";i:0;s:9:\"UExtCount\";i:0;s:8:\"TreeSize\";a:0:{}s:11:\"TreeWarning\";a:0:{}}s:14:\"RecursiveLinks\";a:0:{}s:10:\"file_count\";i:-1;s:10:\"\0*\0Package\";O:11:\"DUP_Package\":23:{s:7:\"Created\";s:19:\"2023-10-16 05:21:45\";s:7:\"Version\";s:5:\"1.5.6\";s:9:\"VersionWP\";s:5:\"6.3.2\";s:9:\"VersionDB\";s:7:\"10.6.14\";s:10:\"VersionPHP\";s:6:\"7.4.33\";s:9:\"VersionOS\";s:5:\"Linux\";s:2:\"ID\";N;s:4:\"Name\";s:39:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8\";s:4:\"Hash\";s:35:\"7319fac73ac69ce21431_20231016052145\";s:8:\"NameHash\";s:75:\"20231012_d8b3d8a7db8cd8aad8a2d985d8a7d8_7319fac73ac69ce21431_20231016052145\";s:4:\"Type\";i:0;s:5:\"Notes\";s:0:\"\";s:8:\"ScanFile\";N;s:10:\"TimerStart\";i:-1;s:7:\"Runtime\";N;s:7:\"ExeSize\";N;s:7:\"ZipSize\";N;s:6:\"Status\";i:0;s:6:\"WPUser\";N;s:7:\"Archive\";r:21;s:9:\"Installer\";O:13:\"DUP_Installer\":15:{s:4:\"File\";N;s:4:\"Size\";i:0;s:10:\"OptsDBHost\";s:0:\"\";s:10:\"OptsDBPort\";s:0:\"\";s:10:\"OptsDBName\";s:0:\"\";s:10:\"OptsDBUser\";s:0:\"\";s:13:\"OptsDBCharset\";s:0:\"\";s:15:\"OptsDBCollation\";s:0:\"\";s:12:\"OptsSecureOn\";i:0;s:14:\"OptsSecurePass\";s:0:\"\";s:13:\"numFilesAdded\";i:0;s:12:\"numDirsAdded\";i:0;s:10:\"\0*\0Package\";r:65;s:17:\"\0*\0origFileManger\";N;s:32:\"\0DUP_Installer\0configTransformer\";O:44:\"Duplicator\\Libs\\WpConfig\\WPConfigTransformer\":3:{s:17:\"\0*\0wp_config_path\";s:51:\"/home/halochin/public_html/Technology/wp-config.php\";s:16:\"\0*\0wp_config_src\";N;s:13:\"\0*\0wp_configs\";a:0:{}}}s:8:\"Database\";O:12:\"DUP_Database\":15:{s:4:\"Type\";s:5:\"MySQL\";s:4:\"Size\";N;s:4:\"File\";N;s:4:\"Path\";N;s:12:\"FilterTables\";s:0:\"\";s:8:\"FilterOn\";i:0;s:4:\"Name\";N;s:10:\"Compatible\";s:0:\"\";s:8:\"Comments\";s:14:\"MariaDB Server\";s:19:\"sameNameTableExists\";N;s:4:\"info\";O:16:\"DUP_DatabaseInfo\":23:{s:9:\"buildMode\";s:3:\"PHP\";s:11:\"charSetList\";a:0:{}s:13:\"collationList\";a:0:{}s:10:\"engineList\";a:0:{}s:17:\"isTablesUpperCase\";b:0;s:15:\"isNameUpperCase\";b:0;s:4:\"name\";s:0:\"\";s:15:\"tablesBaseCount\";i:0;s:16:\"tablesFinalCount\";i:0;s:20:\"muFilteredTableCount\";i:0;s:14:\"tablesRowCount\";i:0;s:16:\"tablesSizeOnDisk\";i:0;s:10:\"tablesList\";a:0:{}s:19:\"lowerCaseTableNames\";i:0;s:8:\"dbEngine\";s:0:\"\";s:7:\"version\";i:0;s:14:\"versionComment\";i:0;s:9:\"viewCount\";i:0;s:9:\"procCount\";i:0;s:9:\"funcCount\";i:0;s:11:\"triggerList\";a:0:{}s:33:\"\0DUP_DatabaseInfo\0intFieldsStruct\";a:0:{}s:42:\"\0DUP_DatabaseInfo\0indexProcessedSchemaSize\";a:0:{}}s:10:\"\0*\0Package\";r:65;s:24:\"\0DUP_Database\0tempDbPath\";N;s:23:\"\0DUP_Database\0EOFMarker\";s:0:\"\";s:26:\"\0DUP_Database\0networkFlush\";b:0;}s:13:\"BuildProgress\";O:18:\"DUP_Build_Progress\":12:{s:17:\"thread_start_time\";N;s:11:\"initialized\";b:0;s:15:\"installer_built\";b:0;s:15:\"archive_started\";b:0;s:20:\"archive_has_database\";b:0;s:13:\"archive_built\";b:0;s:21:\"database_script_built\";b:0;s:6:\"failed\";b:0;s:7:\"retries\";i:0;s:14:\"build_failures\";a:0:{}s:19:\"validation_failures\";a:0:{}s:27:\"\0DUP_Build_Progress\0package\";r:65;}}s:29:\"\0DUP_Archive\0tmpFilterDirsAll\";a:0:{}s:24:\"\0DUP_Archive\0wpCorePaths\";a:3:{i:0;s:46:\"/home/halochin/public_html/Technology/wp-admin\";i:1;s:49:\"/home/halochin/public_html/Technology/wp-includes\";i:2;s:58:\"/home/halochin/public_html/Technology/wp-content/languages\";}s:29:\"\0DUP_Archive\0wpCoreExactPaths\";a:7:{i:0;s:37:\"/home/halochin/public_html/Technology\";i:1;s:37:\"/home/halochin/public_html/Technology\";i:2;s:48:\"/home/halochin/public_html/Technology/wp-content\";i:3;s:56:\"/home/halochin/public_html/Technology/wp-content/uploads\";i:4;s:56:\"/home/halochin/public_html/Technology/wp-content/plugins\";i:5;s:59:\"/home/halochin/public_html/Technology/wp-content/mu-plugins\";i:6;s:55:\"/home/halochin/public_html/Technology/wp-content/themes\";}s:31:\"\0DUP_Archive\0relativeFiltersDir\";a:2:{i:0;s:69:\"/home/halochin/public_html/Technology/wp-content/backups-dup-lite/tmp\";i:1;s:15:\"backups-dup-pro\";}s:24:\"\0DUP_Archive\0listFileObj\";N;s:23:\"\0DUP_Archive\0listDirObj\";N;}s:9:\"Installer\";r:86;s:8:\"Database\";r:105;s:13:\"BuildProgress\";r:144;}", "yes");
INSERT INTO `wp_options` VALUES("1228", "duplicator-email-summary-info", "{\"CL_-=_-=\":\"Duplicator\\\\Utils\\\\Email\\\\EmailSummary\",\"manualPackageIds\":[1],\"failedPackageIds\":[]}", "yes");
INSERT INTO `wp_options` VALUES("1572", "_transient_timeout_wp_rocket_pricing", "1697476854", "no");
INSERT INTO `wp_options` VALUES("1573", "_transient_wp_rocket_pricing", "O:8:\"stdClass\":3:{s:8:\"licenses\";O:8:\"stdClass\":3:{s:6:\"single\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":3:{s:7:\"regular\";i:59;s:4:\"sale\";d:47.2000000000000028421709430404007434844970703125;s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:39.2000000000000028421709430404007434844970703125;s:14:\"is_grandmother\";i:49;s:15:\"not_grandfather\";i:59;s:10:\"is_expired\";i:59;}}s:8:\"websites\";i:1;}s:4:\"plus\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":4:{s:7:\"regular\";i:119;s:4:\"sale\";d:95.2000000000000028421709430404007434844970703125;s:11:\"from_single\";O:8:\"stdClass\":2:{s:7:\"regular\";i:60;s:4:\"sale\";i:48;}s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:79.2000000000000028421709430404007434844970703125;s:14:\"is_grandmother\";i:99;s:15:\"not_grandfather\";i:119;s:10:\"is_expired\";i:119;}}s:8:\"websites\";i:3;}s:8:\"infinite\";O:8:\"stdClass\":2:{s:6:\"prices\";O:8:\"stdClass\":5:{s:7:\"regular\";i:299;s:4:\"sale\";d:239.19999999999998863131622783839702606201171875;s:11:\"from_single\";O:8:\"stdClass\":2:{s:7:\"regular\";i:240;s:4:\"sale\";i:192;}s:9:\"from_plus\";O:8:\"stdClass\":2:{s:7:\"regular\";i:180;s:4:\"sale\";i:144;}s:7:\"renewal\";O:8:\"stdClass\":4:{s:14:\"is_grandfather\";d:199.19999999999998863131622783839702606201171875;s:14:\"is_grandmother\";i:249;s:15:\"not_grandfather\";i:299;s:10:\"is_expired\";i:299;}}s:8:\"websites\";s:9:\"unlimited\";}}s:8:\"renewals\";O:8:\"stdClass\":4:{s:10:\"extra_days\";i:15;s:16:\"grandfather_date\";i:1640995200;s:16:\"grandmother_date\";i:1672389000;s:16:\"discount_percent\";O:8:\"stdClass\":3:{s:14:\"is_grandfather\";i:20;s:15:\"not_grandfather\";i:0;s:10:\"is_expired\";i:0;}}s:5:\"promo\";O:8:\"stdClass\":4:{s:4:\"name\";s:9:\"Halloween\";s:16:\"discount_percent\";i:20;s:10:\"start_date\";i:1698105600;s:8:\"end_date\";i:1698969599;}}", "no");
INSERT INTO `wp_options` VALUES("1580", "_site_transient_timeout_jet_dashboard_license_expire_check", "1697476856", "no");
INSERT INTO `wp_options` VALUES("1581", "_site_transient_jet_dashboard_license_expire_check", "true", "no");
INSERT INTO `wp_options` VALUES("1582", "_site_transient_update_core", "O:8:\"stdClass\":4:{s:7:\"updates\";a:1:{i:0;O:8:\"stdClass\":10:{s:8:\"response\";s:6:\"latest\";s:8:\"download\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.3.2.zip\";s:6:\"locale\";s:5:\"fa_IR\";s:8:\"packages\";O:8:\"stdClass\":5:{s:4:\"full\";s:65:\"https://downloads.wordpress.org/release/fa_IR/wordpress-6.3.2.zip\";s:10:\"no_content\";s:0:\"\";s:11:\"new_bundled\";s:0:\"\";s:7:\"partial\";s:0:\"\";s:8:\"rollback\";s:0:\"\";}s:7:\"current\";s:5:\"6.3.2\";s:7:\"version\";s:5:\"6.3.2\";s:11:\"php_version\";s:5:\"7.0.0\";s:13:\"mysql_version\";s:3:\"5.0\";s:11:\"new_bundled\";s:3:\"6.1\";s:15:\"partial_version\";s:0:\"\";}}s:12:\"last_checked\";i:1697433656;s:15:\"version_checked\";s:5:\"6.3.2\";s:12:\"translations\";a:1:{i:0;a:7:{s:4:\"type\";s:4:\"core\";s:4:\"slug\";s:7:\"default\";s:8:\"language\";s:5:\"fa_IR\";s:7:\"version\";s:5:\"6.3.2\";s:7:\"updated\";s:19:\"2023-10-15 18:07:30\";s:7:\"package\";s:64:\"https://downloads.wordpress.org/translation/core/6.3.2/fa_IR.zip\";s:10:\"autoupdate\";b:1;}}}", "no");
INSERT INTO `wp_options` VALUES("1585", "_site_transient_update_plugins", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1697433667;s:8:\"response\";a:0:{}s:12:\"translations\";a:0:{}s:9:\"no_update\";a:3:{s:25:\"duplicator/duplicator.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:24:\"w.org/plugins/duplicator\";s:4:\"slug\";s:10:\"duplicator\";s:6:\"plugin\";s:25:\"duplicator/duplicator.php\";s:11:\"new_version\";s:5:\"1.5.6\";s:3:\"url\";s:41:\"https://wordpress.org/plugins/duplicator/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/duplicator.1.5.6.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:63:\"https://ps.w.org/duplicator/assets/icon-256x256.png?rev=2906985\";s:2:\"1x\";s:63:\"https://ps.w.org/duplicator/assets/icon-128x128.png?rev=2906985\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:66:\"https://ps.w.org/duplicator/assets/banner-1544x500.png?rev=2906985\";s:2:\"1x\";s:65:\"https://ps.w.org/duplicator/assets/banner-772x250.png?rev=2906985\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.0\";}s:23:\"elementor/elementor.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:6:\"3.16.5\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:7:\"package\";s:59:\"https://downloads.wordpress.org/plugin/elementor.3.16.5.zip\";s:5:\"icons\";a:2:{s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=2597493\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=2597493\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=2597493\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"6.0\";}s:37:\"flexy-breadcrumb/flexy-breadcrumb.php\";O:8:\"stdClass\":10:{s:2:\"id\";s:30:\"w.org/plugins/flexy-breadcrumb\";s:4:\"slug\";s:16:\"flexy-breadcrumb\";s:6:\"plugin\";s:37:\"flexy-breadcrumb/flexy-breadcrumb.php\";s:11:\"new_version\";s:5:\"1.2.1\";s:3:\"url\";s:47:\"https://wordpress.org/plugins/flexy-breadcrumb/\";s:7:\"package\";s:65:\"https://downloads.wordpress.org/plugin/flexy-breadcrumb.1.2.1.zip\";s:5:\"icons\";a:2:{s:2:\"2x\";s:69:\"https://ps.w.org/flexy-breadcrumb/assets/icon-256x256.png?rev=1839281\";s:2:\"1x\";s:69:\"https://ps.w.org/flexy-breadcrumb/assets/icon-128x128.png?rev=1839281\";}s:7:\"banners\";a:1:{s:2:\"1x\";s:71:\"https://ps.w.org/flexy-breadcrumb/assets/banner-772x250.jpg?rev=2132060\";}s:11:\"banners_rtl\";a:0:{}s:8:\"requires\";s:3:\"4.6\";}}s:7:\"checked\";a:11:{s:25:\"duplicator/duplicator.php\";s:5:\"1.5.6\";s:23:\"elementor/elementor.php\";s:6:\"3.16.5\";s:31:\"elementor-pro/elementor-pro.php\";s:6:\"3.15.1\";s:37:\"flexy-breadcrumb/flexy-breadcrumb.php\";s:5:\"1.2.1\";s:25:\"jet-engine/jet-engine.php\";s:7:\"3.2.3.1\";s:53:\"jet-engine-trim-callback/jet-engine-trim-callback.php\";s:5:\"1.0.2\";s:24:\"jet-plugin-pro/index.php\";s:5:\"1.5.1\";s:25:\"jet-search/jet-search.php\";s:5:\"3.0.3\";s:39:\"jet-smart-filters/jet-smart-filters.php\";s:5:\"3.2.0\";s:21:\"jet-tabs/jet-tabs.php\";s:6:\"2.1.21\";s:23:\"wp-rocket/wp-rocket.php\";s:8:\"3.14.4.2\";}}", "no");
INSERT INTO `wp_options` VALUES("1586", "_site_transient_timeout_theme_roots", "1697435457", "no");
INSERT INTO `wp_options` VALUES("1587", "_site_transient_theme_roots", "a:1:{s:15:\"hello-elementor\";s:7:\"/themes\";}", "no");
INSERT INTO `wp_options` VALUES("1588", "_site_transient_update_themes", "O:8:\"stdClass\":5:{s:12:\"last_checked\";i:1697433658;s:7:\"checked\";a:1:{s:15:\"hello-elementor\";s:5:\"2.8.1\";}s:8:\"response\";a:0:{}s:9:\"no_update\";a:1:{s:15:\"hello-elementor\";a:6:{s:5:\"theme\";s:15:\"hello-elementor\";s:11:\"new_version\";s:5:\"2.8.1\";s:3:\"url\";s:45:\"https://wordpress.org/themes/hello-elementor/\";s:7:\"package\";s:63:\"https://downloads.wordpress.org/theme/hello-elementor.2.8.1.zip\";s:8:\"requires\";s:3:\"5.9\";s:12:\"requires_php\";s:3:\"7.0\";}}s:12:\"translations\";a:0:{}}", "no");
INSERT INTO `wp_options` VALUES("1589", "_transient_timeout_rocket_mod_pagespeed_enabled", "1697520058", "no");
INSERT INTO `wp_options` VALUES("1590", "_transient_rocket_mod_pagespeed_enabled", "0", "no");
INSERT INTO `wp_options` VALUES("1593", "_transient_timeout_elementor_remote_info_api_data_3.16.5", "1697476858", "no");
INSERT INTO `wp_options` VALUES("1594", "_transient_elementor_remote_info_api_data_3.16.5", "a:4:{s:9:\"timestamp\";s:10:\"1697430304\";s:14:\"upgrade_notice\";a:3:{s:7:\"version\";s:5:\"2.0.0\";s:7:\"message\";s:0:\"\";s:11:\"update_link\";s:0:\"\";}s:11:\"pro_widgets\";a:75:{i:0;a:4:{s:4:\"name\";s:5:\"posts\";s:5:\"title\";s:5:\"Posts\";s:4:\"icon\";s:15:\"eicon-post-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:1;a:4:{s:4:\"name\";s:9:\"portfolio\";s:5:\"title\";s:9:\"Portfolio\";s:4:\"icon\";s:18:\"eicon-gallery-grid\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:2;a:4:{s:4:\"name\";s:9:\"mega-menu\";s:5:\"title\";s:4:\"Menu\";s:4:\"icon\";s:15:\"eicon-mega-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:3;a:4:{s:4:\"name\";s:4:\"form\";s:5:\"title\";s:4:\"Form\";s:4:\"icon\";s:21:\"eicon-form-horizontal\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:4;a:4:{s:4:\"name\";s:9:\"loop-grid\";s:5:\"title\";s:9:\"Loop Grid\";s:4:\"icon\";s:18:\"eicon-loop-builder\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:5;a:4:{s:4:\"name\";s:13:\"loop-carousel\";s:5:\"title\";s:13:\"Loop Carousel\";s:4:\"icon\";s:19:\"eicon-carousel-loop\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:6;a:4:{s:4:\"name\";s:7:\"gallery\";s:5:\"title\";s:7:\"Gallery\";s:4:\"icon\";s:23:\"eicon-gallery-justified\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:7;a:4:{s:4:\"name\";s:17:\"animated-headline\";s:5:\"title\";s:17:\"Animated Headline\";s:4:\"icon\";s:23:\"eicon-animated-headline\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:8;a:4:{s:4:\"name\";s:10:\"price-list\";s:5:\"title\";s:10:\"Price List\";s:4:\"icon\";s:16:\"eicon-price-list\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:9;a:4:{s:4:\"name\";s:11:\"price-table\";s:5:\"title\";s:11:\"Price Table\";s:4:\"icon\";s:17:\"eicon-price-table\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:10;a:4:{s:4:\"name\";s:8:\"flip-box\";s:5:\"title\";s:8:\"Flip Box\";s:4:\"icon\";s:14:\"eicon-flip-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:11;a:4:{s:4:\"name\";s:14:\"call-to-action\";s:5:\"title\";s:14:\"Call to Action\";s:4:\"icon\";s:20:\"eicon-image-rollover\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:12;a:4:{s:4:\"name\";s:14:\"media-carousel\";s:5:\"title\";s:14:\"Media Carousel\";s:4:\"icon\";s:20:\"eicon-media-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:13;a:4:{s:4:\"name\";s:15:\"nested-carousel\";s:5:\"title\";s:8:\"Carousel\";s:4:\"icon\";s:21:\"eicon-nested-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:14;a:4:{s:4:\"name\";s:9:\"countdown\";s:5:\"title\";s:9:\"Countdown\";s:4:\"icon\";s:15:\"eicon-countdown\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:15;a:4:{s:4:\"name\";s:13:\"share-buttons\";s:5:\"title\";s:13:\"Share Buttons\";s:4:\"icon\";s:11:\"eicon-share\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:16;a:4:{s:4:\"name\";s:10:\"blockquote\";s:5:\"title\";s:10:\"Blockquote\";s:4:\"icon\";s:16:\"eicon-blockquote\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:17;a:4:{s:4:\"name\";s:6:\"lottie\";s:5:\"title\";s:6:\"Lottie\";s:4:\"icon\";s:12:\"eicon-lottie\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:18;a:4:{s:4:\"name\";s:7:\"hotspot\";s:5:\"title\";s:7:\"Hotspot\";s:4:\"icon\";s:19:\"eicon-image-hotspot\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:19;a:4:{s:4:\"name\";s:13:\"paypal-button\";s:5:\"title\";s:13:\"PayPal Button\";s:4:\"icon\";s:19:\"eicon-paypal-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:20;a:4:{s:4:\"name\";s:14:\"code-highlight\";s:5:\"title\";s:14:\"Code Highlight\";s:4:\"icon\";s:20:\"eicon-code-highlight\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:21;a:4:{s:4:\"name\";s:14:\"video-playlist\";s:5:\"title\";s:14:\"Video Playlist\";s:4:\"icon\";s:20:\"eicon-video-playlist\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:22;a:4:{s:4:\"name\";s:8:\"template\";s:5:\"title\";s:8:\"Template\";s:4:\"icon\";s:19:\"eicon-document-file\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:23;a:4:{s:4:\"name\";s:13:\"stripe-button\";s:5:\"title\";s:13:\"Stripe Button\";s:4:\"icon\";s:19:\"eicon-stripe-button\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:24;a:4:{s:4:\"name\";s:16:\"progress-tracker\";s:5:\"title\";s:16:\"Progress Tracker\";s:4:\"icon\";s:22:\"eicon-progress-tracker\";s:10:\"categories\";s:40:\"[\"pro-elements\",\"theme-elements-single\"]\";}i:25;a:4:{s:4:\"name\";s:8:\"nav-menu\";s:5:\"title\";s:8:\"Nav Menu\";s:4:\"icon\";s:14:\"eicon-nav-menu\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:26;a:4:{s:4:\"name\";s:17:\"table-of-contents\";s:5:\"title\";s:17:\"Table of Contents\";s:4:\"icon\";s:23:\"eicon-table-of-contents\";s:10:\"categories\";s:33:\"[\"pro-elements\",\"theme-elements\"]\";}i:27;a:4:{s:4:\"name\";s:5:\"login\";s:5:\"title\";s:5:\"Login\";s:4:\"icon\";s:15:\"eicon-lock-user\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:28;a:4:{s:4:\"name\";s:6:\"slides\";s:5:\"title\";s:6:\"Slides\";s:4:\"icon\";s:12:\"eicon-slides\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:29;a:4:{s:4:\"name\";s:20:\"testimonial-carousel\";s:5:\"title\";s:20:\"Testimonial Carousel\";s:4:\"icon\";s:26:\"eicon-testimonial-carousel\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:30;a:4:{s:4:\"name\";s:7:\"reviews\";s:5:\"title\";s:7:\"Reviews\";s:4:\"icon\";s:12:\"eicon-review\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:31;a:4:{s:4:\"name\";s:15:\"facebook-button\";s:5:\"title\";s:15:\"Facebook Button\";s:4:\"icon\";s:23:\"eicon-facebook-like-box\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:32;a:4:{s:4:\"name\";s:17:\"facebook-comments\";s:5:\"title\";s:17:\"Facebook Comments\";s:4:\"icon\";s:23:\"eicon-facebook-comments\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:33;a:4:{s:4:\"name\";s:14:\"facebook-embed\";s:5:\"title\";s:14:\"Facebook Embed\";s:4:\"icon\";s:14:\"eicon-fb-embed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:34;a:4:{s:4:\"name\";s:13:\"facebook-page\";s:5:\"title\";s:13:\"Facebook Page\";s:4:\"icon\";s:13:\"eicon-fb-feed\";s:10:\"categories\";s:16:\"[\"pro-elements\"]\";}i:35;a:4:{s:4:\"name\";s:15:\"theme-site-logo\";s:5:\"title\";s:9:\"Site Logo\";s:4:\"icon\";s:15:\"eicon-site-logo\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:36;a:4:{s:4:\"name\";s:16:\"theme-site-title\";s:5:\"title\";s:10:\"Site Title\";s:4:\"icon\";s:16:\"eicon-site-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:37;a:4:{s:4:\"name\";s:16:\"theme-page-title\";s:5:\"title\";s:10:\"Page Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:38;a:4:{s:4:\"name\";s:16:\"theme-post-title\";s:5:\"title\";s:10:\"Post Title\";s:4:\"icon\";s:16:\"eicon-post-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:39;a:4:{s:4:\"name\";s:18:\"theme-post-excerpt\";s:5:\"title\";s:12:\"Post Excerpt\";s:4:\"icon\";s:18:\"eicon-post-excerpt\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:40;a:4:{s:4:\"name\";s:25:\"theme-post-featured-image\";s:5:\"title\";s:14:\"Featured Image\";s:4:\"icon\";s:20:\"eicon-featured-image\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:41;a:4:{s:4:\"name\";s:19:\"theme-archive-title\";s:5:\"title\";s:13:\"Archive Title\";s:4:\"icon\";s:19:\"eicon-archive-title\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:42;a:4:{s:4:\"name\";s:13:\"archive-posts\";s:5:\"title\";s:13:\"Archive Posts\";s:4:\"icon\";s:19:\"eicon-archive-posts\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:43;a:4:{s:4:\"name\";s:11:\"search-form\";s:5:\"title\";s:11:\"Search Form\";s:4:\"icon\";s:17:\"eicon-site-search\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:44;a:4:{s:4:\"name\";s:10:\"author-box\";s:5:\"title\";s:10:\"Author Box\";s:4:\"icon\";s:12:\"eicon-person\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:45;a:4:{s:4:\"name\";s:13:\"post-comments\";s:5:\"title\";s:13:\"Post Comments\";s:4:\"icon\";s:14:\"eicon-comments\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:46;a:4:{s:4:\"name\";s:15:\"post-navigation\";s:5:\"title\";s:15:\"Post Navigation\";s:4:\"icon\";s:21:\"eicon-post-navigation\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:47;a:4:{s:4:\"name\";s:9:\"post-info\";s:5:\"title\";s:9:\"Post Info\";s:4:\"icon\";s:15:\"eicon-post-info\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:48;a:4:{s:4:\"name\";s:7:\"sitemap\";s:5:\"title\";s:7:\"Sitemap\";s:4:\"icon\";s:13:\"eicon-sitemap\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:49;a:4:{s:4:\"name\";s:11:\"breadcrumbs\";s:5:\"title\";s:11:\"Breadcrumbs\";s:4:\"icon\";s:11:\"eicon-yoast\";s:10:\"categories\";s:18:\"[\"theme-elements\"]\";}i:50;a:4:{s:4:\"name\";s:21:\"woocommerce-menu-cart\";s:5:\"title\";s:9:\"Menu Cart\";s:4:\"icon\";s:10:\"eicon-cart\";s:10:\"categories\";s:41:\"[\"theme-elements\",\"woocommerce-elements\"]\";}i:51;a:4:{s:4:\"name\";s:19:\"wc-archive-products\";s:5:\"title\";s:16:\"Archive Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:52;a:4:{s:4:\"name\";s:31:\"woocommerce-archive-description\";s:5:\"title\";s:19:\"Archive Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:53;a:4:{s:4:\"name\";s:20:\"woocommerce-products\";s:5:\"title\";s:8:\"Products\";s:4:\"icon\";s:14:\"eicon-products\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:54;a:4:{s:4:\"name\";s:22:\"woocommerce-breadcrumb\";s:5:\"title\";s:23:\"WooCommerce Breadcrumbs\";s:4:\"icon\";s:25:\"eicon-product-breadcrumbs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:55;a:4:{s:4:\"name\";s:14:\"wc-add-to-cart\";s:5:\"title\";s:18:\"Custom Add To Cart\";s:4:\"icon\";s:17:\"eicon-woocommerce\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:56;a:4:{s:4:\"name\";s:11:\"wc-elements\";s:5:\"title\";s:17:\"WooCommerce Pages\";s:4:\"icon\";s:19:\"eicon-product-pages\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:57;a:4:{s:4:\"name\";s:13:\"wc-categories\";s:5:\"title\";s:18:\"Product Categories\";s:4:\"icon\";s:24:\"eicon-product-categories\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:58;a:4:{s:4:\"name\";s:25:\"woocommerce-product-title\";s:5:\"title\";s:13:\"Product Title\";s:4:\"icon\";s:19:\"eicon-product-title\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:59;a:4:{s:4:\"name\";s:26:\"woocommerce-product-images\";s:5:\"title\";s:14:\"Product Images\";s:4:\"icon\";s:20:\"eicon-product-images\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:60;a:4:{s:4:\"name\";s:25:\"woocommerce-product-price\";s:5:\"title\";s:13:\"Product Price\";s:4:\"icon\";s:19:\"eicon-product-price\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:61;a:4:{s:4:\"name\";s:31:\"woocommerce-product-add-to-cart\";s:5:\"title\";s:11:\"Add To Cart\";s:4:\"icon\";s:25:\"eicon-product-add-to-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:62;a:4:{s:4:\"name\";s:26:\"woocommerce-product-rating\";s:5:\"title\";s:14:\"Product Rating\";s:4:\"icon\";s:20:\"eicon-product-rating\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:63;a:4:{s:4:\"name\";s:25:\"woocommerce-product-stock\";s:5:\"title\";s:13:\"Product Stock\";s:4:\"icon\";s:19:\"eicon-product-stock\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:64;a:4:{s:4:\"name\";s:24:\"woocommerce-product-meta\";s:5:\"title\";s:12:\"Product Meta\";s:4:\"icon\";s:18:\"eicon-product-meta\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:65;a:4:{s:4:\"name\";s:37:\"woocommerce-product-short-description\";s:5:\"title\";s:17:\"Short Description\";s:4:\"icon\";s:25:\"eicon-product-description\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:66;a:4:{s:4:\"name\";s:29:\"woocommerce-product-data-tabs\";s:5:\"title\";s:17:\"Product Data Tabs\";s:4:\"icon\";s:18:\"eicon-product-tabs\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:67;a:4:{s:4:\"name\";s:42:\"woocommerce-product-additional-information\";s:5:\"title\";s:22:\"Additional Information\";s:4:\"icon\";s:19:\" eicon-product-info\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:68;a:4:{s:4:\"name\";s:27:\"woocommerce-product-related\";s:5:\"title\";s:15:\"Product Related\";s:4:\"icon\";s:21:\"eicon-product-related\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:69;a:4:{s:4:\"name\";s:26:\"woocommerce-product-upsell\";s:5:\"title\";s:7:\"Upsells\";s:4:\"icon\";s:20:\"eicon-product-upsell\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:70;a:4:{s:4:\"name\";s:25:\"woocommerce-checkout-page\";s:5:\"title\";s:8:\"Checkout\";s:4:\"icon\";s:14:\"eicon-checkout\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:71;a:4:{s:4:\"name\";s:16:\"woocommerce-cart\";s:5:\"title\";s:4:\"Cart\";s:4:\"icon\";s:14:\"eicon-woo-cart\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:72;a:4:{s:4:\"name\";s:22:\"woocommerce-my-account\";s:5:\"title\";s:10:\"My Account\";s:4:\"icon\";s:16:\"eicon-my-account\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:73;a:4:{s:4:\"name\";s:28:\"woocommerce-purchase-summary\";s:5:\"title\";s:16:\"Purchase Summary\";s:4:\"icon\";s:22:\"eicon-purchase-summary\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}i:74;a:4:{s:4:\"name\";s:19:\"woocommerce-notices\";s:5:\"title\";s:19:\"WooCommerce Notices\";s:4:\"icon\";s:25:\"eicon-woocommerce-notices\";s:10:\"categories\";s:24:\"[\"woocommerce-elements\"]\";}}s:17:\"canary_deployment\";a:2:{s:11:\"plugin_info\";a:11:{s:2:\"id\";s:23:\"w.org/plugins/elementor\";s:4:\"slug\";s:9:\"elementor\";s:6:\"plugin\";s:23:\"elementor/elementor.php\";s:11:\"new_version\";s:5:\"3.6.0\";s:7:\"package\";s:58:\"https://downloads.wordpress.org/plugin/elementor.3.6.0.zip\";s:3:\"url\";s:40:\"https://wordpress.org/plugins/elementor/\";s:5:\"icons\";a:3:{s:2:\"2x\";s:62:\"https://ps.w.org/elementor/assets/icon-256x256.png?rev=1427768\";s:2:\"1x\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";s:3:\"svg\";s:54:\"https://ps.w.org/elementor/assets/icon.svg?rev=1426809\";}s:7:\"banners\";a:2:{s:2:\"2x\";s:65:\"https://ps.w.org/elementor/assets/banner-1544x500.png?rev=1475479\";s:2:\"1x\";s:64:\"https://ps.w.org/elementor/assets/banner-772x250.png?rev=1475479\";}s:11:\"banners_rtl\";a:0:{}s:6:\"tested\";s:5:\"6.3.2\";s:12:\"requires_php\";s:3:\"5.6\";}s:10:\"conditions\";a:0:{}}}", "no");

/* INSERT TABLE DATA: wp_postmeta */
INSERT INTO `wp_postmeta` VALUES("1", "2", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("3", "7", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("4", "7", "_elementor_template_type", "kit");
INSERT INTO `wp_postmeta` VALUES("63", "20", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("64", "20", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("65", "20", "_edit_lock", "1695290023:2");
INSERT INTO `wp_postmeta` VALUES("72", "26", "_edit_lock", "1697105597:4");
INSERT INTO `wp_postmeta` VALUES("73", "26", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("74", "26", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("75", "28", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("76", "28", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("77", "28", "_edit_lock", "1697105291:4");
INSERT INTO `wp_postmeta` VALUES("102", "7", "_edit_lock", "1697025299:2");
INSERT INTO `wp_postmeta` VALUES("106", "7", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("107", "7", "_elementor_page_settings", "a:72:{s:13:\"system_colors\";a:4:{i:0;a:3:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:5:\"color\";s:7:\"#5E71FF\";}i:1;a:3:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"رنگ دوم\";s:5:\"color\";s:7:\"#1469EB\";}i:2;a:3:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:5:\"color\";s:7:\"#716F87\";}i:3;a:3:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"شدت\";s:5:\"color\";s:7:\"#23203F\";}}s:13:\"custom_colors\";a:5:{i:0;a:3:{s:3:\"_id\";s:7:\"5b191c6\";s:5:\"title\";s:5:\"white\";s:5:\"color\";s:7:\"#FFFFFF\";}i:1;a:3:{s:3:\"_id\";s:7:\"46455ee\";s:5:\"title\";s:20:\"آیتم جدید #2\";s:5:\"color\";s:7:\"#5E71FF\";}i:2;a:3:{s:3:\"_id\";s:7:\"af9acf8\";s:5:\"title\";s:20:\"آیتم جدید #3\";s:5:\"color\";s:7:\"#1E1E1E\";}i:3;a:3:{s:3:\"_id\";s:7:\"8276d6d\";s:5:\"title\";s:20:\"آیتم جدید #4\";s:5:\"color\";s:7:\"#FECBF8\";}i:4;a:3:{s:3:\"_id\";s:7:\"0c51d16\";s:5:\"title\";s:15:\"بوردر ها\";s:5:\"color\";s:9:\"#B5B1B12E\";}}s:17:\"system_typography\";a:4:{i:0;a:5:{s:3:\"_id\";s:7:\"primary\";s:5:\"title\";s:10:\"اولیه\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:4:\"Dana\";s:22:\"typography_font_weight\";s:3:\"600\";}i:1;a:5:{s:3:\"_id\";s:9:\"secondary\";s:5:\"title\";s:13:\"رنگ دوم\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:4:\"Dana\";s:22:\"typography_font_weight\";s:3:\"400\";}i:2;a:5:{s:3:\"_id\";s:4:\"text\";s:5:\"title\";s:6:\"متن\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:4:\"Dana\";s:22:\"typography_font_weight\";s:3:\"400\";}i:3;a:5:{s:3:\"_id\";s:6:\"accent\";s:5:\"title\";s:6:\"شدت\";s:21:\"typography_typography\";s:6:\"custom\";s:22:\"typography_font_family\";s:4:\"Dana\";s:22:\"typography_font_weight\";s:3:\"500\";}}s:17:\"custom_typography\";a:0:{}s:21:\"default_generic_fonts\";s:10:\"Sans-serif\";s:9:\"site_name\";s:45:\"سایت آماده شرکت تکنولوژی\";s:15:\"container_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:1300;s:5:\"sizes\";a:0:{}}s:21:\"space_between_widgets\";a:6:{s:6:\"column\";s:3:\"1.4\";s:3:\"row\";s:3:\"1.4\";s:8:\"isLinked\";b:1;s:4:\"unit\";s:3:\"rem\";s:4:\"size\";d:1.399999999999999911182158029987476766109466552734375;s:5:\"sizes\";a:0:{}}s:19:\"page_title_selector\";s:14:\"h1.entry-title\";s:27:\"hello_footer_copyright_text\";s:41:\"کلیه‌ی حقوق محفوظ است.\";s:11:\"viewport_md\";i:768;s:11:\"viewport_lg\";i:1025;s:32:\"colors_enable_styleguide_preview\";s:3:\"yes\";s:17:\"container_padding\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:5:\"0.625\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:5:\"0.625\";s:8:\"isLinked\";b:0;}s:24:\"container_padding_tablet\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:0;}s:24:\"container_padding_mobile\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"1\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"1\";s:8:\"isLinked\";b:0;}s:15:\"activeItemIndex\";i:5;s:36:\"typography_enable_styleguide_preview\";s:3:\"yes\";s:26:\"body_typography_typography\";s:6:\"custom\";s:27:\"body_typography_font_family\";s:4:\"Dana\";s:25:\"body_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:14;s:5:\"sizes\";a:0:{}}s:32:\"body_typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:11;s:5:\"sizes\";a:0:{}}s:27:\"body_typography_font_weight\";s:3:\"400\";s:17:\"paragraph_spacing\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:0;s:5:\"sizes\";a:0:{}}s:33:\"link_normal_typography_typography\";s:6:\"custom\";s:34:\"link_normal_typography_font_family\";s:4:\"Dana\";s:24:\"h1_typography_typography\";s:6:\"custom\";s:25:\"h1_typography_font_family\";s:4:\"Dana\";s:23:\"h1_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:30;s:5:\"sizes\";a:0:{}}s:24:\"h2_typography_typography\";s:6:\"custom\";s:25:\"h2_typography_font_family\";s:4:\"Dana\";s:23:\"h2_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:28;s:5:\"sizes\";a:0:{}}s:24:\"h3_typography_typography\";s:6:\"custom\";s:25:\"h3_typography_font_family\";s:4:\"Dana\";s:23:\"h3_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:26;s:5:\"sizes\";a:0:{}}s:24:\"h4_typography_typography\";s:6:\"custom\";s:25:\"h4_typography_font_family\";s:4:\"Dana\";s:23:\"h4_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:24;s:5:\"sizes\";a:0:{}}s:24:\"h5_typography_typography\";s:6:\"custom\";s:25:\"h5_typography_font_family\";s:4:\"Dana\";s:23:\"h5_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:22;s:5:\"sizes\";a:0:{}}s:24:\"h6_typography_typography\";s:6:\"custom\";s:25:\"h6_typography_font_family\";s:4:\"Dana\";s:23:\"h6_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:28:\"button_typography_typography\";s:6:\"custom\";s:29:\"button_typography_font_family\";s:4:\"Dana\";s:20:\"button_border_radius\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:3:\"100\";s:5:\"right\";s:3:\"100\";s:6:\"bottom\";s:3:\"100\";s:4:\"left\";s:3:\"100\";s:8:\"isLinked\";b:1;}s:14:\"button_padding\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:1:\"0\";s:5:\"right\";s:1:\"0\";s:6:\"bottom\";s:1:\"0\";s:4:\"left\";s:1:\"0\";s:8:\"isLinked\";b:0;}s:11:\"__globals__\";a:12:{s:10:\"body_color\";s:22:\"globals/colors?id=text\";s:8:\"h1_color\";s:24:\"globals/colors?id=accent\";s:8:\"h2_color\";s:24:\"globals/colors?id=accent\";s:8:\"h3_color\";s:24:\"globals/colors?id=accent\";s:8:\"h4_color\";s:24:\"globals/colors?id=accent\";s:8:\"h5_color\";s:24:\"globals/colors?id=accent\";s:8:\"h6_color\";s:24:\"globals/colors?id=accent\";s:17:\"button_text_color\";s:25:\"globals/colors?id=5b191c6\";s:23:\"button_background_color\";s:25:\"globals/colors?id=primary\";s:23:\"button_hover_text_color\";s:25:\"globals/colors?id=5b191c6\";s:29:\"button_hover_background_color\";s:24:\"globals/colors?id=accent\";s:25:\"button_background_color_b\";s:25:\"globals/colors?id=primary\";}s:27:\"button_typography_font_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:13;s:5:\"sizes\";a:0:{}}s:10:\"body_color\";s:7:\"#716F87\";s:8:\"h1_color\";s:7:\"#23203F\";s:8:\"h2_color\";s:7:\"#23203F\";s:8:\"h3_color\";s:7:\"#23203F\";s:8:\"h4_color\";s:7:\"#23203F\";s:8:\"h5_color\";s:7:\"#23203F\";s:8:\"h6_color\";s:7:\"#23203F\";s:17:\"button_text_color\";s:7:\"#FFFFFF\";s:28:\"button_background_color_stop\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:-35;s:5:\"sizes\";a:0:{}}s:32:\"button_background_gradient_angle\";a:3:{s:4:\"unit\";s:3:\"deg\";s:4:\"size\";i:-90;s:5:\"sizes\";a:0:{}}s:23:\"button_hover_text_color\";s:7:\"#FFFFFF\";s:29:\"button_hover_background_color\";s:7:\"#23203F\";s:10:\"custom_css\";s:32:\"body{\n    overflow-x: hidden;\n}\n\";s:32:\"body_typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:11.5;s:5:\"sizes\";a:0:{}}s:34:\"button_typography_font_size_tablet\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:12;s:5:\"sizes\";a:0:{}}s:34:\"button_typography_font_size_mobile\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:12;s:5:\"sizes\";a:0:{}}s:26:\"body_background_background\";s:7:\"classic\";s:21:\"body_background_color\";s:9:\"#F5F5FF3B\";s:29:\"button_typography_font_weight\";s:3:\"300\";s:34:\"body_typography_line_height_tablet\";a:3:{s:4:\"unit\";s:3:\"rem\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:34:\"body_typography_line_height_mobile\";a:3:{s:4:\"unit\";s:3:\"rem\";s:4:\"size\";s:0:\"\";s:5:\"sizes\";a:0:{}}s:16:\"site_description\";s:62:\"یک سایت آماده دیگر از ابزار وردپرس\";}");
INSERT INTO `wp_postmeta` VALUES("108", "7", "_elementor_data", "[]");
INSERT INTO `wp_postmeta` VALUES("115", "7", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("116", "7", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("117", "7", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("137", "37", "_edit_lock", "1694502511:2");
INSERT INTO `wp_postmeta` VALUES("138", "37", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("139", "38", "_wp_attached_file", "2023/09/DanaFaNum-Thin.woff");
INSERT INTO `wp_postmeta` VALUES("140", "38", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:50896;}");
INSERT INTO `wp_postmeta` VALUES("141", "39", "_wp_attached_file", "2023/09/DanaFaNum-Thin.woff2");
INSERT INTO `wp_postmeta` VALUES("142", "39", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:40220;}");
INSERT INTO `wp_postmeta` VALUES("143", "40", "_wp_attached_file", "2023/09/DanaFaNum-Light.woff");
INSERT INTO `wp_postmeta` VALUES("144", "40", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:51888;}");
INSERT INTO `wp_postmeta` VALUES("145", "41", "_wp_attached_file", "2023/09/DanaFaNum-Light.woff2");
INSERT INTO `wp_postmeta` VALUES("146", "41", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:41052;}");
INSERT INTO `wp_postmeta` VALUES("147", "42", "_wp_attached_file", "2023/09/DanaFaNum-Regular.woff");
INSERT INTO `wp_postmeta` VALUES("148", "42", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:52156;}");
INSERT INTO `wp_postmeta` VALUES("149", "43", "_wp_attached_file", "2023/09/DanaFaNum-Regular.woff2");
INSERT INTO `wp_postmeta` VALUES("150", "43", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:41148;}");
INSERT INTO `wp_postmeta` VALUES("151", "44", "_wp_attached_file", "2023/09/DanaFaNum-Medium.woff");
INSERT INTO `wp_postmeta` VALUES("152", "44", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:51920;}");
INSERT INTO `wp_postmeta` VALUES("153", "45", "_wp_attached_file", "2023/09/DanaFaNum-Medium.woff2");
INSERT INTO `wp_postmeta` VALUES("154", "45", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:40980;}");
INSERT INTO `wp_postmeta` VALUES("155", "46", "_wp_attached_file", "2023/09/DanaFaNum-DemiBold.woff");
INSERT INTO `wp_postmeta` VALUES("156", "46", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:52640;}");
INSERT INTO `wp_postmeta` VALUES("157", "47", "_wp_attached_file", "2023/09/DanaFaNum-DemiBold.woff2");
INSERT INTO `wp_postmeta` VALUES("158", "47", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:41500;}");
INSERT INTO `wp_postmeta` VALUES("159", "48", "_wp_attached_file", "2023/09/DanaFaNum-Bold.woff");
INSERT INTO `wp_postmeta` VALUES("160", "48", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:52840;}");
INSERT INTO `wp_postmeta` VALUES("161", "49", "_wp_attached_file", "2023/09/DanaFaNum-Bold.woff2");
INSERT INTO `wp_postmeta` VALUES("162", "49", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:41908;}");
INSERT INTO `wp_postmeta` VALUES("163", "50", "_wp_attached_file", "2023/09/DanaFaNum-ExtraBold.woff");
INSERT INTO `wp_postmeta` VALUES("164", "50", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:52852;}");
INSERT INTO `wp_postmeta` VALUES("165", "51", "_wp_attached_file", "2023/09/DanaFaNum-ExtraBold.woff2");
INSERT INTO `wp_postmeta` VALUES("166", "51", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:41776;}");
INSERT INTO `wp_postmeta` VALUES("167", "52", "_wp_attached_file", "2023/09/DanaFaNum-Black.woff");
INSERT INTO `wp_postmeta` VALUES("168", "52", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:50024;}");
INSERT INTO `wp_postmeta` VALUES("169", "53", "_wp_attached_file", "2023/09/DanaFaNum-Black.woff2");
INSERT INTO `wp_postmeta` VALUES("170", "53", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:39544;}");
INSERT INTO `wp_postmeta` VALUES("171", "54", "_wp_attached_file", "2023/09/DanaFaNum-ExtraBlack.woff");
INSERT INTO `wp_postmeta` VALUES("172", "54", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:54252;}");
INSERT INTO `wp_postmeta` VALUES("173", "55", "_wp_attached_file", "2023/09/DanaFaNum-ExtraBlack.woff2");
INSERT INTO `wp_postmeta` VALUES("174", "55", "_wp_attachment_metadata", "a:1:{s:8:\"filesize\";i:43212;}");
INSERT INTO `wp_postmeta` VALUES("175", "37", "elementor_font_files", "a:9:{i:0;a:7:{s:11:\"font_weight\";s:3:\"100\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"38\";s:3:\"url\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"39\";s:3:\"url\";s:78:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:1;a:7:{s:11:\"font_weight\";s:3:\"200\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"40\";s:3:\"url\";s:78:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"41\";s:3:\"url\";s:79:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:2;a:7:{s:11:\"font_weight\";s:3:\"300\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"42\";s:3:\"url\";s:80:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"43\";s:3:\"url\";s:81:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:3;a:7:{s:11:\"font_weight\";s:3:\"400\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"44\";s:3:\"url\";s:79:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"45\";s:3:\"url\";s:80:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:4;a:7:{s:11:\"font_weight\";s:3:\"500\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"46\";s:3:\"url\";s:81:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"47\";s:3:\"url\";s:82:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:5;a:7:{s:11:\"font_weight\";s:3:\"600\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"48\";s:3:\"url\";s:77:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"49\";s:3:\"url\";s:78:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:6;a:7:{s:11:\"font_weight\";s:3:\"700\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"50\";s:3:\"url\";s:82:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"51\";s:3:\"url\";s:83:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:7;a:7:{s:11:\"font_weight\";s:3:\"800\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"52\";s:3:\"url\";s:78:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"53\";s:3:\"url\";s:79:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}i:8;a:7:{s:11:\"font_weight\";s:3:\"900\";s:10:\"font_style\";s:6:\"normal\";s:4:\"woff\";a:2:{s:2:\"id\";s:2:\"54\";s:3:\"url\";s:83:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\";}s:5:\"woff2\";a:2:{s:2:\"id\";s:2:\"55\";s:3:\"url\";s:84:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\";}s:3:\"ttf\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"svg\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}s:3:\"eot\";a:2:{s:2:\"id\";s:0:\"\";s:3:\"url\";s:0:\"\";}}}");
INSERT INTO `wp_postmeta` VALUES("176", "37", "elementor_font_face", "@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n");
INSERT INTO `wp_postmeta` VALUES("1114", "157", "_wp_attached_file", "2023/09/category-icon.svg");
INSERT INTO `wp_postmeta` VALUES("1115", "157", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1026;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("1117", "158", "_wp_attached_file", "2023/09/download.svg");
INSERT INTO `wp_postmeta` VALUES("1118", "158", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1294;s:5:\"width\";i:2191;s:6:\"height\";i:596;}");
INSERT INTO `wp_postmeta` VALUES("3254", "400", "_wp_attached_file", "2023/09/download-1.svg");
INSERT INTO `wp_postmeta` VALUES("3255", "400", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1294;s:5:\"width\";i:2191;s:6:\"height\";i:596;}");
INSERT INTO `wp_postmeta` VALUES("3789", "461", "_wp_attached_file", "2023/09/user-avatar2-min-300x300-1.jpg");
INSERT INTO `wp_postmeta` VALUES("3790", "461", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:300;s:6:\"height\";i:300;s:4:\"file\";s:38:\"2023/09/user-avatar2-min-300x300-1.jpg\";s:8:\"filesize\";i:15755;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"user-avatar2-min-300x300-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5714;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3791", "462", "_wp_attached_file", "2023/09/user-avatar3-min-300x300-1.jpg");
INSERT INTO `wp_postmeta` VALUES("3792", "462", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:300;s:6:\"height\";i:300;s:4:\"file\";s:38:\"2023/09/user-avatar3-min-300x300-1.jpg\";s:8:\"filesize\";i:14647;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"user-avatar3-min-300x300-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4956;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3793", "463", "_wp_attached_file", "2023/09/user-avatar4-min-300x188-1.jpg");
INSERT INTO `wp_postmeta` VALUES("3794", "463", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:300;s:6:\"height\";i:188;s:4:\"file\";s:38:\"2023/09/user-avatar4-min-300x188-1.jpg\";s:8:\"filesize\";i:8333;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"user-avatar4-min-300x188-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4936;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("3795", "464", "_wp_attached_file", "2023/09/user-avatar5-min-300x300-1.jpg");
INSERT INTO `wp_postmeta` VALUES("3796", "464", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:300;s:6:\"height\";i:300;s:4:\"file\";s:38:\"2023/09/user-avatar5-min-300x300-1.jpg\";s:8:\"filesize\";i:13711;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:38:\"user-avatar5-min-300x300-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4965;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4182", "507", "_edit_lock", "1697432864:5");
INSERT INTO `wp_postmeta` VALUES("4183", "507", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("4184", "507", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4185", "509", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("4186", "509", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("4187", "509", "_elementor_template_type", "header");
INSERT INTO `wp_postmeta` VALUES("4188", "509", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("4189", "509", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("4190", "509", "_edit_lock", "1697114873:4");
INSERT INTO `wp_postmeta` VALUES("4196", "509", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("4197", "509", "_elementor_data", "[{\"id\":\"f63d27f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.625\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.625\",\"left\":\"1\",\"isLinked\":false},\"background_background\":\"classic\",\"z_index\":22,\"flex_wrap_mobile\":\"nowrap\",\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":0},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":30,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.050980392156862744)\"},\"__globals__\":{\"background_color\":\"\"},\"css_classes\":\"main-header\",\"jedv_conditions\":[{\"_id\":\"c1c6705\"}],\"sticky_on\":[\"desktop\"],\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true}},\"elements\":[{\"id\":\"cb062f3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#B5B1B12E\",\"border_radius\":{\"unit\":\"px\",\"top\":\"13\",\"right\":\"13\",\"bottom\":\"13\",\"left\":\"13\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"1\",\"bottom\":\"0.625\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"css_classes\":\"hedaer-body\",\"jedv_conditions\":[{\"_id\":\"6989f33\"}],\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"flex_direction_mobile\":\"row\",\"flex_align_items_mobile\":\"center\",\"flex_gap_mobile\":{\"column\":\"0.625\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"3374568\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-21-2.svg\",\"id\":3274},\"library\":\"svg\"},\"align_mobile\":\"right\",\"size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.7\",\"left\":\"0\",\"isLinked\":false},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":30,\"sizes\":[]},\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"_flex_size_mobile\":\"shrink\",\"_flex_grow_mobile\":2,\"_flex_shrink_mobile\":3,\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"f3e9722\\\" name=\\\"popup\\\" settings=\\\"%7B%22popup%22%3A%223307%22%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"e81793f\"}]},\"elements\":[],\"widgetType\":\"icon\"},{\"id\":\"9d1007c\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"shrink\",\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[],\"column\":\"1.5\",\"row\":\"1.4\",\"isLinked\":false},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[],\"column\":\"1\",\"row\":\"1.4\",\"isLinked\":false},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"width_mobile\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"_flex_size_mobile\":\"shrink\",\"flex_align_items_mobile\":\"flex-start\",\"jedv_conditions\":[{\"_id\":\"afd9eb0\"}]},\"elements\":[{\"id\":\"9454408\",\"elType\":\"widget\",\"settings\":{\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"object-fit\":\"contain\",\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":18},\"_flex_size\":\"none\",\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"1cee230\\\" name=\\\"site-url\\\" settings=\\\"%7B%7D\\\"]\",\"image\":\"[elementor-tag id=\\\"4602f80\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group_2-1-1.png\",\"id\":516,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":147.09399999999999408828443847596645355224609375},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_mobile\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"3ce79d8\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"4b6ab88\",\"elType\":\"widget\",\"widgetType\":\"mega-menu\",\"settings\":{\"menu_items\":[{\"item_title\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc\",\"_id\":\"046dbab\",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"item_title\":\"\\u0648\\u0628\\u0644\\u0627\\u06af \",\"_id\":\"c80eef4\",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/blog\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"item_title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \",\"_id\":\"8c84c88\",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"item_title\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627 \",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/projects\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"2daf363\"},{\"item_title\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647 \\u0645\\u0627\",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/about-us\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"8d7dc01\"},{\"item_title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"item_link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"_id\":\"9600d9a\"}],\"menu_item_title_space_between\":{\"unit\":\"px\",\"size\":37,\"sizes\":[]},\"menu_item_title_typography_typography\":\"custom\",\"menu_item_title_typography_font_family\":\"Dana\",\"menu_item_title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"menu_item_title_typography_font_weight\":\"400\",\"menu_item_title_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"menu_item_title_text_color_normal\":\"globals\\/colors?id=text\",\"menu_item_title_text_color_hover\":\"globals\\/colors?id=accent\",\"menu_item_title_text_color_active\":\"globals\\/colors?id=accent\"},\"menu_item_title_text_color_hover\":\"#23203F\",\"menu_item_title_text_color_active\":\"#23203F\",\"menu_item_title_box_border_border\":\"none\",\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.25\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1.5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1.5\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_border_color\":\"#D2D2D2\",\"breakpoint_selector\":\"mobile\",\"menu_item_title_space_between_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"menu_item_title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"hide_mobile\":\"hidden-mobile\",\"jedv_conditions\":[{\"_id\":\"e43a91b\"}]},\"elements\":[{\"id\":\"0b537da\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #1\",\"jedv_conditions\":[{\"_id\":\"bb5026d\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true},{\"id\":\"e5b4574\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #2\",\"jedv_conditions\":[{\"_id\":\"8ffec01\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true},{\"id\":\"46aca55\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #3\",\"jedv_conditions\":[{\"_id\":\"339af00\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true},{\"id\":\"bbf2dc3\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #3\",\"jedv_conditions\":[{\"_id\":\"af914c2\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true},{\"id\":\"7e8f630\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #3\",\"jedv_conditions\":[{\"_id\":\"f72634d\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true},{\"id\":\"71a0cf6\",\"elType\":\"container\",\"settings\":{\"_title\":\"\\u0622\\u06cc\\u062a\\u0645 #3\",\"jedv_conditions\":[{\"_id\":\"cf78932\"}]},\"elements\":[],\"isInner\":true,\"isLocked\":true}]}],\"isInner\":true},{\"id\":\"9a73d48\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":18,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"flex-end\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}]},\"elements\":[{\"id\":\"c178a0e\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-3.svg\",\"id\":4994},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633 :\",\"description_text\":\"1234567 - 035\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_typography_font_weight\":\"600\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"custom_css\":\"selector svg {\\n    transform: rotate(260deg);\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\"},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"90c73f9\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0644\\u06cc\\u0633\\u062a \\u062a\\u0639\\u0631\\u0641\\u0647 \\u0647\\u0627\\u06cc \\u0645\\u0627\",\"align\":\"left\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_color_stop\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"background_color_b\":\"#FF4B3D\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true},\"text_padding\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"1\",\"bottom\":\"0.6\",\"left\":\"1\",\"isLinked\":false},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"16\",\"bottom\":\"9\",\"left\":\"16\",\"isLinked\":false},\"hide_mobile\":\"hidden-mobile\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/#Tariffs\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"button_css_id\":\"\\u062a\\u0639\\u0631\\u0641\\u0647 \\u0647\\u0627 \",\"_flex_align_self\":\"center\",\"__dynamic__\":[],\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"500\",\"background_color\":\"#5E71FF\",\"jedv_conditions\":[{\"_id\":\"ce48b4e\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"d721b10\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-17-5.svg\",\"id\":2925},\"library\":\"svg\"},\"size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.6\",\"right\":\"0.6\",\"bottom\":\"0.15\",\"left\":\"0.6\",\"isLinked\":false},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":45,\"sizes\":[]},\"_background_background\":\"classic\",\"_border_radius_mobile\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"hide_desktop\":\"hidden-desktop\",\"hide_tablet\":\"hidden-tablet\",\"__globals__\":{\"_background_color\":\"globals\\/colors?id=46455ee\"},\"jedv_conditions\":[{\"_id\":\"44f9df3\"}],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"icon\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("4205", "509", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wp_postmeta` VALUES("4206", "509", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("4208", "507", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("4209", "507", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("4210", "507", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("4211", "507", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("4222", "507", "_elementor_page_settings", "a:2:{s:10:\"hide_title\";s:3:\"yes\";s:10:\"custom_css\";s:56:\"body {\n    overflow-x: hidden;\n    position: relative;\n}\";}");
INSERT INTO `wp_postmeta` VALUES("4223", "507", "_elementor_data", "[{\"id\":\"96fb13a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_gap_tablet\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_align_items\":\"center\",\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"6000374\"}]},\"elements\":[{\"id\":\"74f18c3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"width_tablet\":{\"unit\":\"%\",\"size\":55,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_size_tablet\":\"none\",\"jedv_conditions\":[{\"_id\":\"e0e9863\"}]},\"elements\":[{\"id\":\"005cf93\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/Ellipse-23.png\",\"id\":4771,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"px\",\"size\":115,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":85,\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":70,\"sizes\":[]},\"object-fit\":\"fill\",\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":4.5999999999999996447286321199499070644378662109375,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":5.0999999999999996447286321199499070644378662109375,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":6.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":-4,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":-3.5,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-3,\"sizes\":[]},\"_z_index\":-1,\"_transform_rotate_popover\":\"transform\",\"_transform_rotateZ_effect\":{\"unit\":\"px\",\"size\":-180,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":51,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":47,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"261dd74\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"2e33988\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0627 \\u0631\\u0648\\u06cc\\u0627\\u0647\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646 <br\\/> \\u0631\\u0627 \\u062e\\u0644\\u0642 \\u0648 \\u0628\\u0647 <span style=\\\"color:var(--e-global-color-46455ee)\\\">\\u0648\\u0627\\u0642\\u0639\\u0640\\u06cc\\u062a<\\/span> \\u062a\\u0628\\u062f\\u06cc\\u0644 \\u0645\\u06cc\\u06a9\\u0646\\u06cc\\u0645\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":3.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"57c6201\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"fe854db\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":95,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f\\u060c \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647 \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647\\u060c \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f\\u060c \\u062a\\u0627 \\u0628\\u0627 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc \\u0639\\u0644\\u06cc \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u062e\\u0644\\u0627\\u0642\\u06cc\\u060c \\u0648 \\u0641\\u0631\\u0647\\u0646\\u06af \\u067e\\u06cc\\u0634\\u0631\\u0648 \\u062f\\u0631 \\u0632\\u0628\\u0627\\u0646 \\u0641\\u0627\\u0631\\u0633\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0631\\u062f\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646 \\u0627\\u0645\\u06cc\\u062f \\u062f\\u0627\\u0634\\u062a \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0648 \\u062f\\u0634\\u0648\\u0627\\u0631\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u062f\\u0631 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0631\\u0627\\u0647\\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u0645\\u0646\\u0627\\u0633\\u0628 \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"fb60771\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1c55bf3\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b9c5a21\"}]},\"elements\":[{\"id\":\"8852cc8\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0628\\u06cc\\u0634\\u062a\\u0631 \\u0628\\u062e\\u0648\\u0627\\u0646\\u06cc\\u062f\",\"align\":\"right\",\"__globals__\":{\"background_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"gradient\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"30\",\"bottom\":\"13\",\"left\":\"30\",\"isLinked\":false},\"background_color\":\"#5E71FF\",\"_element_width\":\"auto\",\"_flex_align_self\":\"center\",\"_flex_size\":\"shrink\",\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"hover_animation\":\"grow\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/about-us\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"_id\":\"f3ef90b\"}]},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"6f0d0a7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Play.png\",\"id\":726,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0648\\u06cc\\u062f\\u06cc\\u0648 \\u0645\\u0639\\u0631\\u0641\\u06cc\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"title_size\":\"span\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"image_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"image_size\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-image-box-content{\\n    display: flex;\\n    padding-right: 0.4rem;\\n}\\n\\nselector span {\\n    border-bottom: #5E71FF solid 2px;\\n    padding-bottom: 0.15rem;\\n    margin-top: -0.5rem;\\n    display: inline-block;\\n    border-radius: 1px;\\n}\\n\\n\\nselector .elementor-image-box-wrapper {\\n    display: flex;\\n    align-items: center;\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"f76ffb0\\\" name=\\\"popup\\\" settings=\\\"%7B%22popup%22%3A%224423%22%7D\\\"]\"},\"image_size_tablet\":{\"unit\":\"%\",\"size\":28,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"text_align_mobile\":\"right\",\"jedv_conditions\":[{\"_id\":\"41d68c9\"}]},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"83f57cc\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c49a742\"}]},\"elements\":[{\"id\":\"2e93f34\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/workspace2.png\",\"id\":523,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":550,\"sizes\":[]},\"object-fit\":\"contain\",\"height_tablet\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"aa56e9e\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"483c6eb\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":27,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF82\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":20,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.1607843137254902)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0.625\",\"bottom\":\"1\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":6,\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y_end\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"z_index\":3,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateX_effect\":\"yes\",\"motion_fx_translateX_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"motion_fx_translateX_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":30,\"end\":71}},\"width_tablet\":{\"unit\":\"%\",\"size\":42,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":40,\"sizes\":[]},\"flex_direction_tablet\":\"column\",\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"00121e2\"}]},\"elements\":[{\"id\":\"e5af2d2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0627\\u0632\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0634\\u0645\\u0627\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"3d08cae\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"1462c7d\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-21.png\",\"id\":634,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"height\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]},\"object-fit\":\"contain\",\"height_tablet\":{\"unit\":\"px\",\"size\":45,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c1067aa\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"1940831\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0647 \\u0645\\u0631\\u0632 \\u0627\\u0646\\u0641\\u062c\\u0627\\u0631 \\u062e\\u0648\\u0627\\u0647\\u062f \\u0631\\u0633\\u06cc\\u062f\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d7888e5\"}]},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"a823bca\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_gap\":{\"column\":\"0\",\"row\":\"2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"e8c4c9e\"}]},\"elements\":[{\"id\":\"773103a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0634\\u0631\\u06a9\\u062a \\u0647\\u0627\\u06cc\\u06cc \\u06a9\\u0647 \\u0628\\u0647 \\u0645\\u0627 \\u0627\\u0639\\u062a\\u0645\\u0627\\u062f \\u06a9\\u0631\\u062f\\u0646\\u062f!\",\"header_size\":\"h3\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"5d1a69f\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"147a732\",\"elType\":\"widget\",\"settings\":{\"carousel\":[{\"id\":668,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/clienty-4.png\"},{\"id\":666,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/clienty-2.png\"},{\"id\":665,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/client-5.png\"},{\"id\":664,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/client-1.png\"},{\"id\":667,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/clienty-3.png\"}],\"slides_to_show\":\"5\",\"slides_to_show_tablet\":\"4\",\"slides_to_scroll\":\"1\",\"image_stretch\":\"yes\",\"navigation\":\"arrows\",\"jedv_conditions\":[{\"_id\":\"2c2c3c7\"}],\"custom_css\":\"selector .swiper-wrapper{\\n    align-items: center;\\n}\\n\\nselector .elementor-swiper-button i {\\n    color: var(--e-global-color-46455ee);\\n    font-size: 18px;\\n}\\n\\nselector .swiper-slide-image{\\n        transition: 0.5s;\\n    opacity: 0.4;\\n    max-width: 112px;\\n    cursor: pointer;\\n}\\n\\n\\nselector .swiper-slide-image:hover{\\n        transition: 0.5s;\\n    opacity: 1;\\n}\\n\\n@media (min-width:576px) and (max-width:830px){\\n    selector .swiper-slide-image{\\n         max-width: 80px;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n     selector .swiper-slide-image{\\n         max-width: 70px;\\n    }\\n}\",\"slides_to_show_mobile\":\"2\"},\"elements\":[],\"widgetType\":\"image-carousel\"}],\"isInner\":false},{\"id\":\"3839c19\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"2.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"5.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"flex_align_items\":\"center\",\"jedv_conditions\":[{\"_id\":\"5c62261\"}]},\"elements\":[{\"id\":\"8d33cc2\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_tablet\":{\"unit\":\"%\",\"size\":55,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"3718a80\"}]},\"elements\":[{\"id\":\"7b61d1f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"flex-start\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7a8f81a\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0658b93\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0645\\u0627 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0645\\u06cc\\u062f\\u0647\\u06cc\\u0645\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_word_spacing_mobile\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f9b49ed\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4a421b7\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647 \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b433f86\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"e82e88c\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0647\\u0645\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \",\"align\":\"right\",\"__globals__\":{\"background_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"gradient\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"13\",\"right\":\"30\",\"bottom\":\"11\",\"left\":\"30\",\"isLinked\":false},\"background_color\":\"#5E71FF\",\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"hover_animation\":\"grow\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"_id\":\"85ed139\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"f036228\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_wrap\":\"wrap\",\"flex_align_content\":\"space-evenly\",\"flex_gap_tablet\":{\"column\":\"0.725\",\"row\":\"0.725\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_justify_content_mobile\":\"space-between\",\"jedv_conditions\":[{\"_id\":\"9509270\"}]},\"elements\":[{\"id\":\"2eff4a7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/55.-Briefcase.png\",\"id\":713,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0628\\u0647\\u06cc\\u0646\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u0633\\u0631\\u0639\\u062a\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"text_align\":\"justify\",\"image_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.350000000000000088817841970012523233890533447265625,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.6\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.425\",\"bottom\":\"0.425\",\"left\":\"0.425\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0.4\",\"bottom\":\"0.4\",\"left\":\"0.4\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"custom_css\":\"selector .elementor-image-box-img {\\n    position: relative;\\n}\\n\\nselector .elementor-image-box-img:before {\\n    content: \\\"\\\";\\n    width: 45px;\\n    height: 45px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 15%;\\n    right: 5%;\\n    opacity: .35;\\n    filter: blur(30px);\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-image-box-wrapper {\\n            flex-direction: column;\\n            align-items:center;\\n            gap:0;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-image-box-img:before {\\n        width:35px;\\n        height:35px;\\n    }\\n}\\n\\nselector .elementor-widget-container{\\n    transition: 0.6s;\\n}\\n selector .elementor-widget-container:not(:last-child):hover {\\n    transition: 0.6s;\\n}\\n{\\n    scale: 1.02;\\n    transition: 0.6s;\\n}\\n\\n\\nselector .elementor-widget-container:hover .elementor-image-box-title {\\n    color: #fff;\\n    transition:0.6s;\\n}\\n\\nselector .elementor-widget-container:hover .elementor-image-box-description {\\n    color: #FFFFFFB3 ;\\n    transition: 0.6s;\\n}\\n\\n\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\",\"description_color\":\"globals\\/colors?id=text\",\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_background_hover_color\":\"globals\\/colors?id=46455ee\"},\"image_size\":{\"unit\":\"%\",\"size\":23,\"sizes\":[]},\"position\":\"right\",\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":47.5,\"sizes\":[]},\"text_align_tablet\":\"center\",\"image_space_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"image_space_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":18.5,\"sizes\":[]},\"_background_background\":\"classic\",\"title_size\":\"div\",\"_background_hover_background\":\"classic\",\"_background_hover_transition\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375,\"sizes\":[]},\"title_bottom_space_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"779d858\"}]},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"36d336d\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/30.-Palette.png\",\"id\":712,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0634\\u0645\\u0627\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"text_align\":\"justify\",\"image_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.350000000000000088817841970012523233890533447265625,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.6\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.425\",\"bottom\":\"0.425\",\"left\":\"0.425\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0.4\",\"bottom\":\"0.4\",\"left\":\"0.4\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"custom_css\":\"selector .elementor-image-box-img {\\n    position: relative;\\n}\\n\\nselector .elementor-image-box-img:before {\\n    content: \\\"\\\";\\n    width: 45px;\\n    height: 45px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 15%;\\n    right: 5%;\\n    opacity: .35;\\n    filter: blur(30px);\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-image-box-wrapper {\\n            flex-direction: column;\\n            align-items:center;\\n            gap:0;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-image-box-img:before {\\n        width:35px;\\n        height:35px;\\n    }\\n}\\n\\n\\n\\nselector .elementor-widget-container{\\n    transition: 0.6s;\\n}\\n selector .elementor-widget-container:not(:last-child):hover {\\n    transition: 0.6s;\\n}\\n{\\n    scale: 1.02;\\n    transition: 0.6s;\\n}\\n\\n\\nselector .elementor-widget-container:hover .elementor-image-box-title {\\n    color: #fff;\\n    transition:0.6s;\\n}\\n\\nselector .elementor-widget-container:hover .elementor-image-box-description {\\n    color: #FFFFFFB3 ;\\n    transition: 0.6s;\\n}\\n\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\",\"description_color\":\"globals\\/colors?id=text\",\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_background_hover_color\":\"globals\\/colors?id=46455ee\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-1.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_size\":{\"unit\":\"%\",\"size\":23,\"sizes\":[]},\"position\":\"right\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":47.5,\"sizes\":[]},\"text_align_tablet\":\"center\",\"image_space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":18.5,\"sizes\":[]},\"_background_background\":\"classic\",\"title_size\":\"div\",\"_background_hover_background\":\"classic\",\"_background_hover_transition\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375,\"sizes\":[]},\"title_bottom_space_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"dd72773\"}]},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"1f8caec\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/28.-Upload.png\",\"id\":711,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0627\\u0641\\u0632\\u0627\\u06cc\\u0634 \\u0631\\u062a\\u0628\\u0647 \\u0633\\u0627\\u06cc\\u062a\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"text_align\":\"justify\",\"image_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.350000000000000088817841970012523233890533447265625,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.6\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.425\",\"bottom\":\"0.425\",\"left\":\"0.425\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0.4\",\"bottom\":\"0.4\",\"left\":\"0.4\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"custom_css\":\"selector .elementor-image-box-img {\\n    position: relative;\\n}\\n\\nselector .elementor-image-box-img:before {\\n    content: \\\"\\\";\\n    width: 45px;\\n    height: 45px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 15%;\\n    right: 5%;\\n    opacity: .35;\\n    filter: blur(30px);\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-image-box-wrapper {\\n            flex-direction: column;\\n            align-items:center;\\n            gap:0;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-image-box-img:before {\\n        width:35px;\\n        height:35px;\\n    }\\n}\\n\\n\\n\\nselector .elementor-widget-container{\\n    transition: 0.6s;\\n}\\n selector .elementor-widget-container:not(:last-child):hover {\\n    transition: 0.6s;\\n}\\n{\\n    scale: 1.02;\\n    transition: 0.6s;\\n}\\n\\n\\nselector .elementor-widget-container:hover .elementor-image-box-title {\\n    color: #fff;\\n    transition:0.6s;\\n}\\n\\nselector .elementor-widget-container:hover .elementor-image-box-description {\\n    color: #FFFFFFB3 ;\\n    transition: 0.6s;\\n}\\n\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\",\"description_color\":\"globals\\/colors?id=text\",\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_background_hover_color\":\"globals\\/colors?id=46455ee\"},\"image_size\":{\"unit\":\"%\",\"size\":23,\"sizes\":[]},\"position\":\"right\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":47.5,\"sizes\":[]},\"text_align_tablet\":\"center\",\"image_space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":18.5,\"sizes\":[]},\"_background_background\":\"classic\",\"title_size\":\"div\",\"_background_hover_background\":\"classic\",\"_background_hover_transition\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375,\"sizes\":[]},\"title_bottom_space_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d61448f\"}]},\"elements\":[],\"widgetType\":\"image-box\"},{\"id\":\"b82fe75\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/13.-Target.png\",\"id\":710,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u062a\\u0628\\u0644\\u06cc\\u063a\\u0627\\u062a \\u0647\\u062f\\u0641\\u0645\\u0646\\u062f \",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a.\",\"text_align\":\"justify\",\"image_space\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.350000000000000088817841970012523233890533447265625,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.6\",\"left\":\"1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.425\",\"bottom\":\"0.425\",\"left\":\"0.425\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0.4\",\"bottom\":\"0.4\",\"left\":\"0.4\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"custom_css\":\"selector .elementor-image-box-img {\\n    position: relative;\\n}\\n\\nselector .elementor-image-box-img:before {\\n    content: \\\"\\\";\\n    width: 45px;\\n    height: 45px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 15%;\\n    right: 5%;\\n    opacity: .35;\\n    filter: blur(30px);\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-image-box-wrapper {\\n            flex-direction: column;\\n            align-items:center;\\n            gap:0;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-image-box-img:before {\\n        width:35px;\\n        height:35px;\\n    }\\n}\\n\\n\\nselector .elementor-widget-container{\\n    transition: 0.6s;\\n}\\n selector .elementor-widget-container:not(:last-child):hover {\\n    transition: 0.6s;\\n}\\n{\\n    scale: 1.02;\\n    transition: 0.6s;\\n}\\n\\n\\nselector .elementor-widget-container:hover .elementor-image-box-title {\\n    color: #fff;\\n    transition:0.6s;\\n}\\n\\nselector .elementor-widget-container:hover .elementor-image-box-description {\\n    color: #FFFFFFB3 ;\\n    transition: 0.6s;\\n}\\n\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\",\"description_color\":\"globals\\/colors?id=text\",\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_background_hover_color\":\"globals\\/colors?id=46455ee\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-1.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"image_size\":{\"unit\":\"%\",\"size\":23,\"sizes\":[]},\"position\":\"right\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":47.5,\"sizes\":[]},\"text_align_tablet\":\"center\",\"image_space_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"image_size_tablet\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"image_size_mobile\":{\"unit\":\"%\",\"size\":18.5,\"sizes\":[]},\"_background_background\":\"classic\",\"title_size\":\"div\",\"_background_hover_background\":\"classic\",\"title_bottom_space_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c350779\"}]},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"fdaad71\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_align_items\":\"center\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/Group-29-1.svg\",\"id\":4601,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"margin\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"background_position\":\"initial\",\"background_xpos\":{\"unit\":\"%\",\"size\":12,\"sizes\":[]},\"background_xpos_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_xpos_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_ypos\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_ypos_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_ypos_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_repeat\":\"no-repeat\",\"background_size\":\"auto\",\"jedv_conditions\":[{\"_id\":\"1244651\"}]},\"elements\":[{\"id\":\"4c9ed76\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"background_background\":\"gradient\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Path-46-e1632381561683.png\",\"id\":760,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"initial\",\"background_xpos\":{\"unit\":\"%\",\"size\":-10,\"sizes\":[]},\"background_xpos_tablet\":{\"unit\":\"em\",\"size\":-24.5,\"sizes\":[]},\"background_xpos_mobile\":{\"unit\":\"em\",\"size\":-32.2000000000000028421709430404007434844970703125,\"sizes\":[]},\"background_ypos\":{\"unit\":\"%\",\"size\":-93,\"sizes\":[]},\"background_ypos_tablet\":{\"unit\":\"%\",\"size\":-83,\"sizes\":[]},\"background_ypos_mobile\":{\"unit\":\"%\",\"size\":-110,\"sizes\":[]},\"background_repeat\":\"no-repeat\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"2\",\"bottom\":\"2\",\"left\":\"2\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=46455ee\"},\"custom_css\":\"selector {\\n    position: relative;\\n\\n}\\n\\nselector:before{\\n    content: \\\"\\\";\\n    position: absolute;\\n    background: #EFF3F5;\\n    height: 90px;\\n    border-radius: 25px;\\n    top: -6px;\\n    transform: rotate(-0.8deg);\\n    z-index:-1;\\n}\\n\\n\",\"background_color_stop\":{\"unit\":\"%\",\"size\":-25,\"sizes\":[]},\"background_color_b\":\"#7659F3\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":75,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8b501fd\"}]},\"elements\":[{\"id\":\"48b5624\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"008ec39\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a76f836\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u0645\\u0627 \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"title_color\":\"#FFFFFF\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7623545\"}],\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3e1af22\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"columns\":\"4\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"dots\":\"true\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"prev_top_position\":{\"unit\":\"%\",\"size\":18,\"sizes\":[]},\"prev_top_position_tablet\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"prev_top_position_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"prev_left_position\":{\"unit\":\"%\",\"size\":-3.5,\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":-1,\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"next_top_position\":{\"unit\":\"%\",\"size\":18,\"sizes\":[]},\"next_top_position_tablet\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"next_top_position_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"next_right_position\":{\"unit\":\"%\",\"size\":-3.5,\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"%\",\"size\":-1,\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"-9\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"1\",\"bottom\":\"-11\",\"left\":\"1\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"-10.5\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100},\"_flex_size\":\"none\",\"custom_css\":\"selector .slick-arrow{\\n    border-radius: 50px;\\n    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.1607843137254902);\\n}\\nselector .jet-slick-dots{\\n        justify-content: start;\\n    top: -10%;\\n    right: 1.2%;\\n    position: absolute;\\n    align-items: end;\\n}\\n\\nselector .jet-listing-grid__slider .jet-slick-dots li{\\n    width: 8px;\\n    height: 9px;\\n    border-radius: 25px;\\n    background: #fff\\n}\\n\\nselector .jet-listing-grid__slider .jet-slick-dots li.slick-active {\\n        background: var(--e-global-color-8276d6d);\\n}\\n\\nselector .slick-active{\\n    height: 14px !important;\\n}\\n\\nselector .slick-track {\\n    padding: 1rem 0;\\n    margin-top: -1rem\\n}\\n\\nselector .elementor-1623 .elementor-element.elementor-element-78d0560 {\\n    box-shadow: 0px 0px 21px 0px rgba(0, 0, 0, 0.07) !important;\\n}\\n\\nselector .elementor-widget-image{\\n    max-height: 215px;\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .jet-listing-grid__slider .jet-slick-dots li {\\n        width:7px;\\n        height:7px;\\n    }\\n    \\n    selector .slick-active{\\n    height: 10px !important;\\n}\\n\\nselector .jet-slick-dots {\\n    justify-content:center;\\n    top:-8.5%;\\n    right:0;\\n}\\n}\\n\\n\",\"__globals__\":{\"arrow_bg_color\":\"globals\\/colors?id=8276d6d\",\"arrow_color\":\"globals\\/colors?id=46455ee\"},\"arrows_box_size\":{\"unit\":\"px\",\"size\":40,\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"columns_tablet\":\"2\",\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"columns_mobile\":\"1\",\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"14d99cc\"}],\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"d7ca761\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_align_items\":\"center\",\"flex_gap_tablet\":{\"column\":\"1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"13\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"12\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"2f8b557\"}]},\"elements\":[{\"id\":\"ce39e2c\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"flex_gap\":{\"column\":\"1.2\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"1\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"width_tablet\":{\"unit\":\"%\",\"size\":55,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_size_tablet\":\"none\",\"flex_wrap\":\"wrap\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Path-46-e1632381561683.png\",\"id\":760,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"initial\",\"background_xpos\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"background_xpos_tablet\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"background_xpos_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_ypos\":{\"unit\":\"%\",\"size\":68,\"sizes\":[]},\"background_ypos_tablet\":{\"unit\":\"%\",\"size\":70,\"sizes\":[]},\"background_ypos_mobile\":{\"unit\":\"%\",\"size\":69,\"sizes\":[]},\"background_repeat\":\"no-repeat\",\"background_size\":\"initial\",\"background_bg_width\":{\"unit\":\"%\",\"size\":60,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"initial\",\"background_overlay_xpos\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"background_overlay_xpos_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_overlay_xpos_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_overlay_ypos\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"background_overlay_ypos_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_overlay_ypos_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"background_overlay_repeat\":\"no-repeat\",\"background_overlay_size\":\"initial\",\"background_overlay_bg_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"background_bg_width_mobile\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"022381d\"}],\"flex_justify_content_mobile\":\"center\"},\"elements\":[{\"id\":\"9eabb06\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0634\\u0645\\u0627\\u0647\\u0645 \\u0628\\u0647 \\u0641\\u06a9\\u0631 \\u062f\\u0627\\u0634\\u062a\\u0646 \\u06cc\\u06a9 \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a \\u0647\\u0633\\u062a\\u06cc\\u0646 \\u061f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"3d397dc\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"align_mobile\":\"right\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b7bc96c\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f\\u060c \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647 \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647\\u060c \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.5\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a67414a\"}],\"align_mobile\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"e43a443\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":48},\"boxed_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"boxed_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"boxed_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.8\",\"row\":\"0\"},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.4\",\"row\":\"0\"},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"row\":\"0.2\",\"column\":\"0.3\"},\"margin\":{\"unit\":\"rem\",\"top\":\"-0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.825\",\"bottom\":\"0.625\",\"left\":\"0.825\",\"isLinked\":false},\"_flex_align_self\":\"flex-start\",\"_element_width\":\"initial\",\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":45,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.050980392156862744)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.125\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"739031b\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"9d4620a\",\"elType\":\"widget\",\"settings\":{\"title\":\"01\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"rem\",\"top\":\"0.525\",\"right\":\"0.35\",\"bottom\":\"0.2\",\"left\":\"0.35\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":32},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"%\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-container{\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n}\\n\\n\\nselector span {\\n    position: relative;\\n}\\n\\nselector span:before {\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 20px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 25%;\\n    right: -5%;\\n    opacity: .35;\\n    filter: blur(18px);\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\",\"_border_color\":\"\",\"_border_hover_color\":\"\"},\"header_size\":\"span\",\"title_color\":\"#23203F\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_flex_size\":\"none\",\"_border_color\":\"#5E71FF\",\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_hover_border\":\"solid\",\"_border_hover_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_hover_color\":\"#7659F3\",\"align_mobile\":\"center\",\"_flex_align_self_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.45\",\"right\":\"0\",\"bottom\":\"0.15\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"5325799\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"d21a355\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"title_text\":\"\\u0635\\u0631\\u0641\\u0647 \\u062c\\u0648\\u06cc\\u06cc \\u062f\\u0631 \\u0648\\u0641\\u062a \",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.\",\"text_align\":\"right\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"text_align_mobile\":\"right\",\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":82,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ff45b01\"}],\"title_bottom_space_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"5892a1d\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":48},\"boxed_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"boxed_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"boxed_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.8\",\"row\":\"0\"},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.4\",\"row\":\"0\"},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"row\":\"0.2\",\"column\":\"0.3\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.825\",\"bottom\":\"0.625\",\"left\":\"0.825\",\"isLinked\":false},\"_flex_align_self\":\"flex-start\",\"_element_width\":\"initial\",\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":45,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.050980392156862744)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.125\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_justify_content_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"8e2a99e\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"360a1eb\",\"elType\":\"widget\",\"settings\":{\"title\":\"02\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"rem\",\"top\":\"0.525\",\"right\":\"0.35\",\"bottom\":\"0.2\",\"left\":\"0.35\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":32},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"%\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-container{\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n}\\n\\n\\nselector span {\\n    position: relative;\\n}\\n\\nselector span:before {\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 20px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 25%;\\n    right: -5%;\\n    opacity: .35;\\n    filter: blur(18px);\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\",\"_border_color\":\"\",\"_border_hover_color\":\"\"},\"header_size\":\"span\",\"title_color\":\"#23203F\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_flex_size\":\"none\",\"_border_color\":\"#5E71FF\",\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_hover_border\":\"solid\",\"_border_hover_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_hover_color\":\"#7659F3\",\"align_mobile\":\"center\",\"_flex_align_self_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.45\",\"right\":\"0\",\"bottom\":\"0.15\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1644bf3\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a3bf0fd\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"title_text\":\"\\u06a9\\u06cc\\u0641\\u06cc\\u062a \\u0628\\u0627\\u0644\\u0627\\u06cc \\u062e\\u0631\\u0648\\u062c\\u06cc\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.\",\"text_align\":\"right\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"text_align_mobile\":\"right\",\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":82,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"6ba3641\"}],\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"856a2fd\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":48},\"boxed_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"boxed_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"boxed_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.8\",\"row\":\"0\"},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.4\",\"row\":\"0\"},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"row\":\"0.2\",\"column\":\"0.3\"},\"margin\":{\"unit\":\"rem\",\"top\":\"-0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.825\",\"bottom\":\"0.625\",\"left\":\"0.825\",\"isLinked\":false},\"_flex_align_self\":\"flex-start\",\"_element_width\":\"initial\",\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":45,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.050980392156862744)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.125\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_justify_content_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"670934d\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"f3416d7\",\"elType\":\"widget\",\"settings\":{\"title\":\"03\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"rem\",\"top\":\"0.525\",\"right\":\"0.35\",\"bottom\":\"0.2\",\"left\":\"0.35\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":32},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"%\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-container{\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n}\\n\\n\\nselector span {\\n    position: relative;\\n}\\n\\nselector span:before {\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 20px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 25%;\\n    right: -5%;\\n    opacity: .35;\\n    filter: blur(18px);\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\",\"_border_color\":\"\",\"_border_hover_color\":\"\"},\"header_size\":\"span\",\"title_color\":\"#23203F\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_flex_size\":\"none\",\"_border_color\":\"#5E71FF\",\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_hover_border\":\"solid\",\"_border_hover_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_hover_color\":\"#7659F3\",\"_flex_align_self_mobile\":\"center\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.45\",\"right\":\"0\",\"bottom\":\"0.15\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7075f76\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"997a07d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"title_text\":\"\\u0622\\u0645\\u0648\\u0632\\u0634 \\u0645\\u062f\\u06cc\\u0631\\u06cc\\u062a \\u0633\\u0627\\u06cc\\u062a\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.\",\"text_align\":\"right\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"text_align_mobile\":\"right\",\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":82,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7f87f55\"}],\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"e858011\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":48},\"boxed_width\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"boxed_width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"boxed_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.8\",\"row\":\"0\"},\"flex_gap_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"column\":\"0.4\",\"row\":\"0\"},\"flex_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[],\"row\":\"0.2\",\"column\":\"0.3\"},\"margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.825\",\"bottom\":\"0.625\",\"left\":\"0.825\",\"isLinked\":false},\"_flex_align_self\":\"flex-start\",\"_element_width\":\"initial\",\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":45,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.050980392156862744)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.125\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0.625\",\"bottom\":\"0.225\",\"left\":\"0.625\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_mobile\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_justify_content_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"6580d3c\"}],\"width_tablet\":{\"unit\":\"%\",\"size\":47,\"sizes\":[]},\"flex_wrap_mobile\":\"nowrap\"},\"elements\":[{\"id\":\"df6c88f\",\"elType\":\"widget\",\"settings\":{\"title\":\"04\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding\":{\"unit\":\"rem\",\"top\":\"0.525\",\"right\":\"0.35\",\"bottom\":\"0.2\",\"left\":\"0.35\",\"isLinked\":false},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"px\",\"size\":32},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"%\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-container{\\n    display: flex;\\n    align-items: center;\\n    justify-content: center;\\n}\\n\\n\\nselector span {\\n    position: relative;\\n}\\n\\nselector span:before {\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 20px;\\n    background: #9940d4;\\n    border-radius: 100%;\\n    display: inline-block;\\n    position: absolute;\\n    top: 25%;\\n    right: -5%;\\n    opacity: .35;\\n    filter: blur(18px);\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\",\"_border_color\":\"\",\"_border_hover_color\":\"\"},\"header_size\":\"span\",\"title_color\":\"#23203F\",\"_element_custom_width_tablet\":{\"unit\":\"px\",\"size\":24,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"_flex_size\":\"none\",\"_border_color\":\"#5E71FF\",\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_hover_border\":\"solid\",\"_border_hover_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_hover_color\":\"#7659F3\",\"_flex_align_self_mobile\":\"center\",\"align_mobile\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.45\",\"right\":\"0\",\"bottom\":\"0.15\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bca6f34\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0f255a7\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"\",\"library\":\"\"},\"title_text\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0686\\u0646\\u062f \\u0645\\u0627\\u0647\\u0647\",\"description_text\":\"\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.\",\"text_align\":\"right\",\"title_bottom_space\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"description_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"description_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"text_align_mobile\":\"right\",\"title_bottom_space_tablet\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":82,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"3ff5e3c\"}],\"description_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"}],\"isInner\":true},{\"id\":\"414e9d4\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0631\\u06cc\\u0627\\u0641\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0648 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634\",\"align\":\"right\",\"__globals__\":{\"background_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"gradient\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"30\",\"bottom\":\"13\",\"left\":\"30\",\"isLinked\":false},\"background_color\":\"#5E71FF\",\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"grow\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"hover_animation\":\"grow\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"jedv_conditions\":[{\"_id\":\"8b0bc5a\"}],\"_flex_size_mobile\":\"grow\"},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"0853702\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"contain\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"jedv_conditions\":[{\"_id\":\"c9f2abc\"}]},\"elements\":[{\"id\":\"e5ece97\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Rectangle-28.png\",\"id\":855,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":33,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":-7,\"sizes\":[]},\"_offset_x_tablet\":{\"size\":8,\"unit\":\"%\"},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":-25,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_tablet\":{\"size\":-19,\"unit\":\"%\"},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-7,\"sizes\":[]},\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"motion_fx_translateY_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":25,\"end\":76}},\"_z_index\":4,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":34,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":28,\"sizes\":[]},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"2d0f734\"}],\"align\":\"center\"},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"fb857f7\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Rectangle-29.png\",\"id\":856,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"_offset_x_end_tablet\":{\"size\":11,\"unit\":\"%\"},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y\":{\"unit\":\"%\",\"size\":-23,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":1,\"sizes\":[]},\"_offset_y_end_tablet\":{\"size\":-7,\"unit\":\"%\"},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"motion_fx_translateY_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":25,\"end\":78}},\"_z_index\":4,\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":23,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":18,\"sizes\":[]},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"a3791b1\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"5753edf\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-28.png\",\"id\":846,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"_z_index\":3,\"width\":{\"unit\":\"%\",\"size\":75,\"sizes\":[]},\"align\":\"left\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"object-fit_tablet\":\"contain\",\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"2202915\"}],\"height_mobile\":{\"unit\":\"px\",\"size\":270,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"1a03518\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":40,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF70\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":20,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.1607843137254902)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1.2\",\"right\":\"1.4\",\"bottom\":\"1\",\"left\":\"1.4\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0.8\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"position\":\"absolute\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":-2,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y_end\":{\"unit\":\"%\",\"size\":-4,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":-8,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":-5,\"sizes\":[]},\"z_index\":3,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateX_effect\":\"yes\",\"motion_fx_translateX_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"motion_fx_translateX_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":30,\"end\":71}},\"_offset_x\":{\"unit\":\"%\",\"size\":18,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":52,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":45,\"sizes\":[]},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"7182891\"}]},\"elements\":[{\"id\":\"17fb24a\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06cc\\u0645 \\u062e\\u0644\\u0627\\u0642 \\u0645\\u0627 \",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"\"},\"title_color\":\"#301B81\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4d2d259\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"476d469\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-969.png\",\"id\":854,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"height\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"object-fit\":\"contain\",\"_margin\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"-10\",\"left\":\"0\",\"isLinked\":false},\"width\":{\"unit\":\"%\",\"size\":99,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":41,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b62ce7b\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"0f1ba98\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":415,\"sizes\":[]},\"_position\":\"absolute\",\"_background_background\":\"gradient\",\"_background_gradient_angle\":{\"unit\":\"deg\",\"size\":138,\"sizes\":[]},\"_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    clip-path: circle();\\n}\",\"__globals__\":{\"_background_color\":\"globals\\/colors?id=8276d6d\",\"_background_color_b\":\"globals\\/colors?id=46455ee\"},\"_offset_x\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":-8,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"space_mobile\":{\"unit\":\"px\",\"size\":265,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"5e03953\"}]},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"e247e97\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"rem\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector {\\n        background-image: linear-gradient(90deg, #5e71ff 0%, #9940d4 100%);\\n}\",\"overflow\":\"hidden\",\"_element_id\":\"Tariffs\",\"jedv_conditions\":[{\"_id\":\"dd3006e\"}]},\"elements\":[{\"id\":\"16b4fb4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-35747-2.svg\",\"id\":2344,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_wrap_tablet\":\"wrap\",\"jedv_conditions\":[{\"_id\":\"205ad25\"}],\"shape_divider_top\":\"curve\",\"shape_divider_top_color\":\"#FCFCFF\",\"shape_divider_top_width\":{\"unit\":\"%\",\"size\":130,\"sizes\":[]},\"shape_divider_top_width_tablet\":{\"unit\":\"%\",\"size\":140,\"sizes\":[]},\"shape_divider_top_width_mobile\":{\"unit\":\"%\",\"size\":150,\"sizes\":[]},\"shape_divider_top_height\":{\"unit\":\"px\",\"size\":265,\"sizes\":[]}},\"elements\":[{\"id\":\"3d1dd80\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8f10012\"}]},\"elements\":[{\"id\":\"e4df88e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0639\\u0631\\u0641\\u0647 \\u0647\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d9f749b\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e94aad3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0639\\u0631\\u0641\\u0647\\u200c\\u06cc \\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0627 \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"align_tablet\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9927f6d\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0d5832b\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"item_label\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a\",\"_id\":\"bc63dc0\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-18-1.svg\",\"id\":2389},\"library\":\"svg\"},\"item_template_id\":\"2366\"},{\"item_label\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0633\\u0626\\u0648\",\"_id\":\"99d9c85\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-18-2.svg\",\"id\":2393},\"library\":\"svg\"},\"item_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-18-2.svg\",\"id\":2393,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"item_template_id\":\"2377\"}],\"tabs_controls_container_aligment\":\"center\",\"tabs_control_wrapper_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"tabs_control_wrapper_border_radius\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"tabs_control_label_typography_typography\":\"custom\",\"tabs_control_label_typography_font_family\":\"Dana\",\"tabs_control_label_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"tabs_control_label_typography_font_weight\":\"400\",\"tabs_control_background_background\":\"classic\",\"tabs_control_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"25\",\"bottom\":\"5\",\"left\":\"25\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"custom_css\":\"selector .elementor-menu-anchor.active-tab{\\n    background: #fff !important;\\n    border-radius: 100px !important;\\n    transition: 0.6s;\\n        box-shadow: 0px 0px 13px #dddddda1;\\n}\\n\\nselector .elementor-menu-anchor{\\n      transition: 0.6s;\\n}\\n\\nselector .jet-tabs__control-wrapper{\\n    background-color: #EFF3F5;\\n    padding: 0.4rem !important;\\n    gap: 0.425rem;\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .jet-tabs__control-wrapper {\\n        flex-wrap:nowrap;\\n    }\\n    selector .jet-tabs__control-inner{\\n        padding:0.4rem 0.8rem 0.2rem 0.8rem !important;\\n    }\\n}\",\"tabs_controls_item_aligment_left_right_icon\":\"\",\"tabs_controls_item_aligment_top_icon\":\"\",\"tabs_control_icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"tabs_control_image_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_control_icon_position\":\"right\",\"tabs_control_icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"tabs_content_background_background\":\"classic\",\"tabs_content_background_color\":\"#C9000000\",\"tabs_content_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"8004f18\"}],\"tabs_control_label_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"tabs_content_padding_mobile\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"16\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"tabs_content_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"jet-tabs\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"cee85c9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column-reverse\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"0673d0d\"}]},\"elements\":[{\"id\":\"2f60285\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1067\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"inject_alternative_items\":\"yes\",\"injection_items\":[{\"_id\":\"f035d97\",\"item\":\"1044\",\"item_num\":0,\"item_colspan\":\"1\"}],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"slides_to_scroll\":\"2\",\"arrows\":\"\",\"autoplay\":\"\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .jet-listing-grid__item .e-con-boxed  {\\n    box-shadow: none;\\n}\\n\\n\",\"hide_desktop\":\"hidden-desktop\",\"_title\":\"mobile-grid\",\"columns_mobile\":\"1\",\"posts_num\":3,\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"bc844ac\"}],\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"cc63005\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1067\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"inject_alternative_items\":\"yes\",\"injection_items\":[{\"_id\":\"f035d97\",\"item\":\"1044\",\"item_num\":0,\"item_colspan\":\"2\"}],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"slides_to_scroll\":\"2\",\"arrows\":\"\",\"autoplay\":\"\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .jet-listing-grid__item .e-con-boxed  {\\n    box-shadow: none;\\n}\\n\\n\",\"hide_mobile\":\"hidden-mobile\",\"_title\":\"slider-grid\",\"jedv_conditions\":[{\"_id\":\"0b7c062\"}],\"columns_tablet\":\"3\",\"columns_mobile\":\"1\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"5484af6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0645\\u0642\\u0627\\u0644\\u0627\\u062a \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"0c9a217\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"c37a90b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0642\\u0627\\u0644\\u0627\\u062a \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"67b0c2c\"}]},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("4231", "507", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:3:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";i:2;s:12:\"e-animations\";}}");
INSERT INTO `wp_postmeta` VALUES("4323", "523", "_wp_attached_file", "2023/09/workspace2.png");
INSERT INTO `wp_postmeta` VALUES("4324", "523", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:957;s:6:\"height\";i:957;s:4:\"file\";s:22:\"2023/09/workspace2.png\";s:8:\"filesize\";i:152533;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"workspace2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:70514;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"workspace2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22772;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"workspace2-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:430256;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4350", "527", "_wp_attached_file", "2023/09/Ellipse-72.png");
INSERT INTO `wp_postmeta` VALUES("4351", "527", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1307;s:6:\"height\";i:1307;s:4:\"file\";s:22:\"2023/09/Ellipse-72.png\";s:8:\"filesize\";i:70991;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"Ellipse-72-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:14659;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"Ellipse-72-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:287103;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"Ellipse-72-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5660;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:22:\"Ellipse-72-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:132492;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4460", "540", "_wp_attached_file", "2023/09/Path-56.png");
INSERT INTO `wp_postmeta` VALUES("4461", "540", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:782;s:6:\"height\";i:1323;s:4:\"file\";s:19:\"2023/09/Path-56.png\";s:8:\"filesize\";i:3292;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"Path-56-177x300.png\";s:5:\"width\";i:177;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3249;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"Path-56-605x1024.png\";s:5:\"width\";i:605;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13680;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"Path-56-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1666;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"Path-56-768x1299.png\";s:5:\"width\";i:768;s:6:\"height\";i:1299;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17972;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("4490", "544", "_wp_attached_file", "2023/09/Path-29.svg");
INSERT INTO `wp_postmeta` VALUES("4491", "544", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:391;s:5:\"width\";i:1361;s:6:\"height\";i:947;}");
INSERT INTO `wp_postmeta` VALUES("4977", "598", "_wp_attached_file", "2023/09/Group-971-e1636894866692.png");
INSERT INTO `wp_postmeta` VALUES("4978", "598", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1003;s:6:\"height\";i:974;s:4:\"file\";s:36:\"2023/09/Group-971-e1636894866692.png\";s:8:\"filesize\";i:27071;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"Group-971-e1636894866692-300x291.png\";s:5:\"width\";i:300;s:6:\"height\";i:291;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10409;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"Group-971-e1636894866692-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3421;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"Group-971-e1636894866692-768x746.png\";s:5:\"width\";i:768;s:6:\"height\";i:746;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:84920;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5277", "634", "_wp_attached_file", "2023/09/Group-21.png");
INSERT INTO `wp_postmeta` VALUES("5278", "634", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:163;s:6:\"height\";i:162;s:4:\"file\";s:20:\"2023/09/Group-21.png\";s:8:\"filesize\";i:2857;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"Group-21-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11380;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5359", "644", "_wp_attached_file", "2023/09/Group-970.png");
INSERT INTO `wp_postmeta` VALUES("5360", "644", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1377;s:6:\"height\";i:1159;s:4:\"file\";s:21:\"2023/09/Group-970.png\";s:8:\"filesize\";i:80439;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"Group-970-300x253.png\";s:5:\"width\";i:300;s:6:\"height\";i:253;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:12572;}s:5:\"large\";a:5:{s:4:\"file\";s:22:\"Group-970-1024x862.png\";s:5:\"width\";i:1024;s:6:\"height\";i:862;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:251851;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"Group-970-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5997;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"Group-970-768x646.png\";s:5:\"width\";i:768;s:6:\"height\";i:646;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:112962;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5445", "654", "_wp_attached_file", "2023/09/Rectangle-45.png");
INSERT INTO `wp_postmeta` VALUES("5446", "654", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:210;s:6:\"height\";i:210;s:4:\"file\";s:24:\"2023/09/Rectangle-45.png\";s:8:\"filesize\";i:10822;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Rectangle-45-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21224;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5531", "664", "_wp_attached_file", "2023/09/client-1.png");
INSERT INTO `wp_postmeta` VALUES("5532", "664", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:113;s:6:\"height\";i:57;s:4:\"file\";s:20:\"2023/09/client-1.png\";s:8:\"filesize\";i:847;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5533", "665", "_wp_attached_file", "2023/09/client-5.png");
INSERT INTO `wp_postmeta` VALUES("5534", "665", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:140;s:6:\"height\";i:56;s:4:\"file\";s:20:\"2023/09/client-5.png\";s:8:\"filesize\";i:1256;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5535", "666", "_wp_attached_file", "2023/09/clienty-2.png");
INSERT INTO `wp_postmeta` VALUES("5536", "666", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:144;s:6:\"height\";i:41;s:4:\"file\";s:21:\"2023/09/clienty-2.png\";s:8:\"filesize\";i:1172;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5537", "667", "_wp_attached_file", "2023/09/clienty-3.png");
INSERT INTO `wp_postmeta` VALUES("5538", "667", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:90;s:6:\"height\";i:54;s:4:\"file\";s:21:\"2023/09/clienty-3.png\";s:8:\"filesize\";i:861;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5539", "668", "_wp_attached_file", "2023/09/clienty-4.png");
INSERT INTO `wp_postmeta` VALUES("5540", "668", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:116;s:6:\"height\";i:70;s:4:\"file\";s:21:\"2023/09/clienty-4.png\";s:8:\"filesize\";i:1358;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5916", "710", "_wp_attached_file", "2023/09/13.-Target.png");
INSERT INTO `wp_postmeta` VALUES("5917", "710", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:172;s:6:\"height\";i:173;s:4:\"file\";s:22:\"2023/09/13.-Target.png\";s:8:\"filesize\";i:5769;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"13.-Target-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16263;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5918", "711", "_wp_attached_file", "2023/09/28.-Upload.png");
INSERT INTO `wp_postmeta` VALUES("5919", "711", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:148;s:6:\"height\";i:148;s:4:\"file\";s:22:\"2023/09/28.-Upload.png\";s:8:\"filesize\";i:2751;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5920", "712", "_wp_attached_file", "2023/09/30.-Palette.png");
INSERT INTO `wp_postmeta` VALUES("5921", "712", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:136;s:6:\"height\";i:136;s:4:\"file\";s:23:\"2023/09/30.-Palette.png\";s:8:\"filesize\";i:3073;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("5922", "713", "_wp_attached_file", "2023/09/55.-Briefcase.png");
INSERT INTO `wp_postmeta` VALUES("5923", "713", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:151;s:6:\"height\";i:151;s:4:\"file\";s:25:\"2023/09/55.-Briefcase.png\";s:8:\"filesize\";i:3712;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6032", "726", "_wp_attached_file", "2023/09/Play.png");
INSERT INTO `wp_postmeta` VALUES("6033", "726", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:55;s:6:\"height\";i:56;s:4:\"file\";s:16:\"2023/09/Play.png\";s:8:\"filesize\";i:1274;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6331", "760", "_wp_attached_file", "2023/09/Path-46-e1632381561683.png");
INSERT INTO `wp_postmeta` VALUES("6332", "760", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:660;s:6:\"height\";i:214;s:4:\"file\";s:34:\"2023/09/Path-46-e1632381561683.png\";s:8:\"filesize\";i:1458;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"Path-46-e1632381561683-300x97.png\";s:5:\"width\";i:300;s:6:\"height\";i:97;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3051;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:34:\"Path-46-e1632381561683-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1378;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6389", "767", "_edit_lock", "1697108173:2");
INSERT INTO `wp_postmeta` VALUES("6390", "767", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("6391", "768", "_wp_attached_file", "2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg");
INSERT INTO `wp_postmeta` VALUES("6392", "768", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:762;s:4:\"file\";s:93:\"2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";s:8:\"filesize\";i:39610;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:93:\"5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1-300x266.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:266;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7966;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:93:\"5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3393;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:93:\"5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1-768x680.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:680;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:30530;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6393", "769", "_wp_attached_file", "2023/09/Mask-Group-30-860x762-1.jpg");
INSERT INTO `wp_postmeta` VALUES("6394", "769", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:762;s:4:\"file\";s:35:\"2023/09/Mask-Group-30-860x762-1.jpg\";s:8:\"filesize\";i:41548;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-30-860x762-1-300x266.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:266;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9148;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-30-860x762-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3855;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-30-860x762-1-768x680.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:680;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:32680;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6395", "770", "_wp_attached_file", "2023/09/Mask-Group-35-860x762-1.jpg");
INSERT INTO `wp_postmeta` VALUES("6396", "770", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:762;s:4:\"file\";s:35:\"2023/09/Mask-Group-35-860x762-1.jpg\";s:8:\"filesize\";i:57527;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-35-860x762-1-300x266.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:266;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12843;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-35-860x762-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5151;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-35-860x762-1-768x680.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:680;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:46294;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6397", "771", "_wp_attached_file", "2023/09/Mask-Group-36-860x762-1.jpg");
INSERT INTO `wp_postmeta` VALUES("6398", "771", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:762;s:4:\"file\";s:35:\"2023/09/Mask-Group-36-860x762-1.jpg\";s:8:\"filesize\";i:55093;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-36-860x762-1-300x266.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:266;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12347;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-36-860x762-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5076;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-36-860x762-1-768x680.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:680;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:44052;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("6399", "767", "_thumbnail_id", "769");
INSERT INTO `wp_postmeta` VALUES("6802", "815", "_edit_lock", "1697106566:4");
INSERT INTO `wp_postmeta` VALUES("6803", "815", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("6804", "815", "_thumbnail_id", "770");
INSERT INTO `wp_postmeta` VALUES("6805", "816", "_edit_lock", "1697108180:2");
INSERT INTO `wp_postmeta` VALUES("6806", "816", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("6807", "816", "_thumbnail_id", "771");
INSERT INTO `wp_postmeta` VALUES("6917", "829", "_edit_lock", "1697108193:2");
INSERT INTO `wp_postmeta` VALUES("6918", "829", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("6919", "829", "_thumbnail_id", "768");
INSERT INTO `wp_postmeta` VALUES("7066", "846", "_wp_attached_file", "2023/09/Group-28.png");
INSERT INTO `wp_postmeta` VALUES("7067", "846", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1038;s:6:\"height\";i:909;s:4:\"file\";s:20:\"2023/09/Group-28.png\";s:8:\"filesize\";i:87703;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"Group-28-300x263.png\";s:5:\"width\";i:300;s:6:\"height\";i:263;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39454;}s:5:\"large\";a:5:{s:4:\"file\";s:21:\"Group-28-1024x897.png\";s:5:\"width\";i:1024;s:6:\"height\";i:897;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:359664;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"Group-28-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:16212;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"Group-28-768x673.png\";s:5:\"width\";i:768;s:6:\"height\";i:673;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:214377;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7068", "847", "_wp_attached_file", "2023/09/Ellipse-2-1.png");
INSERT INTO `wp_postmeta` VALUES("7069", "847", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:736;s:6:\"height\";i:736;s:4:\"file\";s:23:\"2023/09/Ellipse-2-1.png\";s:8:\"filesize\";i:51103;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"Ellipse-2-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32951;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"Ellipse-2-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9193;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7125", "854", "_wp_attached_file", "2023/09/Group-969.png");
INSERT INTO `wp_postmeta` VALUES("7126", "854", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:307;s:6:\"height\";i:93;s:4:\"file\";s:21:\"2023/09/Group-969.png\";s:8:\"filesize\";i:17219;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"Group-969-300x91.png\";s:5:\"width\";i:300;s:6:\"height\";i:91;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:50818;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"Group-969-150x93.png\";s:5:\"width\";i:150;s:6:\"height\";i:93;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21519;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7127", "855", "_wp_attached_file", "2023/09/Rectangle-28.png");
INSERT INTO `wp_postmeta` VALUES("7128", "855", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:445;s:6:\"height\";i:445;s:4:\"file\";s:24:\"2023/09/Rectangle-28.png\";s:8:\"filesize\";i:14818;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:24:\"Rectangle-28-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32301;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Rectangle-28-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10450;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7129", "856", "_wp_attached_file", "2023/09/Rectangle-29.png");
INSERT INTO `wp_postmeta` VALUES("7130", "856", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:157;s:6:\"height\";i:157;s:4:\"file\";s:24:\"2023/09/Rectangle-29.png\";s:8:\"filesize\";i:3065;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Rectangle-29-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10579;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7216", "867", "_wp_attached_file", "2023/09/Group-972-e1636894613216.png");
INSERT INTO `wp_postmeta` VALUES("7217", "867", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:986;s:6:\"height\";i:951;s:4:\"file\";s:36:\"2023/09/Group-972-e1636894613216.png\";s:8:\"filesize\";i:61841;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"Group-972-e1636894613216-300x289.png\";s:5:\"width\";i:300;s:6:\"height\";i:289;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:54623;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"Group-972-e1636894613216-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17688;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"Group-972-e1636894613216-768x741.png\";s:5:\"width\";i:768;s:6:\"height\";i:741;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:357795;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7246", "871", "_wp_attached_file", "2023/09/Ellipse-49-e1636894783299.png");
INSERT INTO `wp_postmeta` VALUES("7247", "871", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:833;s:6:\"height\";i:738;s:4:\"file\";s:37:\"2023/09/Ellipse-49-e1636894783299.png\";s:8:\"filesize\";i:29850;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:37:\"Ellipse-49-e1636894783299-300x266.png\";s:5:\"width\";i:300;s:6:\"height\";i:266;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:28429;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:37:\"Ellipse-49-e1636894783299-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10810;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:37:\"Ellipse-49-e1636894783299-768x680.png\";s:5:\"width\";i:768;s:6:\"height\";i:680;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:202457;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7357", "885", "_wp_attached_file", "2023/09/Ellipse-2.png");
INSERT INTO `wp_postmeta` VALUES("7358", "885", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1100;s:6:\"height\";i:1100;s:4:\"file\";s:21:\"2023/09/Ellipse-2.png\";s:8:\"filesize\";i:83443;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"Ellipse-2-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:44583;}s:5:\"large\";a:5:{s:4:\"file\";s:23:\"Ellipse-2-1024x1024.png\";s:5:\"width\";i:1024;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:623540;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:21:\"Ellipse-2-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13414;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:21:\"Ellipse-2-768x768.png\";s:5:\"width\";i:768;s:6:\"height\";i:768;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:312432;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7560", "911", "_wp_attached_file", "2023/09/Mask-Group-7.png");
INSERT INTO `wp_postmeta` VALUES("7561", "911", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:295;s:6:\"height\";i:273;s:4:\"file\";s:24:\"2023/09/Mask-Group-7.png\";s:8:\"filesize\";i:3871;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Mask-Group-7-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7023;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7597", "916", "_wp_attached_file", "2023/09/Mask-Group-5.png");
INSERT INTO `wp_postmeta` VALUES("7598", "916", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:245;s:6:\"height\";i:210;s:4:\"file\";s:24:\"2023/09/Mask-Group-5.png\";s:8:\"filesize\";i:6684;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Mask-Group-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:15181;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7599", "917", "_wp_attached_file", "2023/09/Mask-Group-6.png");
INSERT INTO `wp_postmeta` VALUES("7600", "917", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:104;s:6:\"height\";i:103;s:4:\"file\";s:24:\"2023/09/Mask-Group-6.png\";s:8:\"filesize\";i:1661;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7748", "934", "_listing_data", "a:3:{s:6:\"source\";s:19:\"custom_content_type\";s:9:\"post_type\";s:11:\"testimonial\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("7749", "934", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("7750", "934", "_elementor_page_settings", "a:5:{s:14:\"listing_source\";s:19:\"custom_content_type\";s:17:\"listing_post_type\";s:11:\"testimonial\";s:11:\"listing_tax\";s:8:\"category\";s:8:\"cct_type\";s:11:\"testimonial\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:447;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("7751", "934", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("7752", "934", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("7753", "934", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("7754", "934", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("7755", "934", "_edit_lock", "1696936409:2");
INSERT INTO `wp_postmeta` VALUES("7761", "934", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("7762", "934", "_elementor_data", "[{\"id\":\"f38a29d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"min_height\":{\"unit\":\"px\",\"size\":80,\"sizes\":[]},\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"initial\",\"background_repeat\":\"no-repeat\",\"background_size\":\"auto\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":15,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.06)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"2.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 12%;\\n    height: 18%;\\n    background: var(--e-global-color-46455ee);\\n    bottom: 0%;\\n    left: 0%;\\n     border-radius: 5px 60px 8px 48px;\\n     opacity: 0.05;\\n}\\n\\n\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"}},\"elements\":[{\"id\":\"c696778\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"width\":{\"unit\":\"%\",\"size\":98,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":75,\"sizes\":[]},\"object-fit\":\"contain\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"-2.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_z_index\":2,\"custom_css\":\"selector img {\\n    clip-path: circle();\\n}\",\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"2823854\\\" name=\\\"jet-cct-image\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__img_testimonial%22%7D\\\"]\"},\"height_tablet\":{\"unit\":\"px\",\"size\":60,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f0726f5\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"b3226f0\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__name_testimonial%22%7D\\\"]\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2f3a386\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"300\",\"_margin\":{\"unit\":\"rem\",\"top\":\"-1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"b3226f0\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__company_testimonial%22%7D\\\"]\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3675f46\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.899999999999999911182158029987476766109466552734375,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.825\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"6789814\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22testimonial__content_testimonial%22%7D\\\"]\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11.5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"70f253b\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"icon_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"icon_space\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"stars_color\":\"globals\\/colors?id=46455ee\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"star-rating\"},{\"id\":\"146e686\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/comment-icon-1.svg\",\"id\":3676,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":6.5,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":4,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-1,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("7770", "934", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8482", "1013", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("8483", "1013", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8484", "1013", "_elementor_template_type", "footer");
INSERT INTO `wp_postmeta` VALUES("8485", "1013", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("8486", "1013", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("8487", "1013", "_edit_lock", "1697114866:4");
INSERT INTO `wp_postmeta` VALUES("8493", "1013", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("8494", "1013", "_elementor_data", "[{\"id\":\"2898631\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"overflow\":\"hidden\",\"background_background\":\"classic\",\"padding\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"\",\"shape_divider_top_color\":\"\"},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-2.svg\",\"id\":5007,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"top center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-35747-2-1.svg\",\"id\":4598,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"background_repeat_mobile\":\"no-repeat\",\"background_size_mobile\":\"cover\",\"background_bg_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"acfc68f\"}],\"shape_divider_top\":\"curve\",\"shape_divider_top_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"shape_divider_top_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"shape_divider_top_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"shape_divider_top_height\":{\"unit\":\"px\",\"size\":50,\"sizes\":[]},\"shape_divider_top_height_tablet\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"shape_divider_top_negative\":\"yes\",\"shape_divider_top_color\":\"#FCFCFF\"},\"elements\":[{\"id\":\"926d5b9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"\",\"background_color_b\":\"\"},\"flex_justify_content\":\"flex-start\",\"flex_gap\":{\"column\":\"3\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":3},\"flex_gap_tablet\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_color_b\":\"#7659F3\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":90,\"sizes\":[]},\"background_color_stop\":{\"unit\":\"%\",\"size\":-45,\"sizes\":[]},\"background_overlay_background\":\"classic\",\"background_overlay_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_overlay_position\":\"center center\",\"background_overlay_repeat\":\"repeat\",\"background_overlay_size\":\"cover\",\"background_overlay_size_tablet\":\"contain\",\"background_overlay_opacity\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4058e6b\"}]},\"elements\":[{\"id\":\"734ef64\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"rem\",\"top\":\"0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_size\":\"none\",\"z_index\":2,\"width_tablet\":{\"unit\":\"%\",\"size\":40,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1de8376\"}]},\"elements\":[{\"id\":\"88ce8d4\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/footer-logo.svg\",\"id\":2672,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":42,\"sizes\":[]},\"object-fit\":\"contain\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"-0.7\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"-0.2\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"height_tablet\":{\"unit\":\"px\",\"size\":34,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"feb804a\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"fb34b24\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632 \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7570633\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1a2d9ae\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u062f\\u0631 \\u062e\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"1da3912\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5b1f642\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text\":\"\",\"color\":\"#FFFFFF14\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"400\",\"text_align\":\"right\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d9a0796\"}]},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"fc0bd1c\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u0641\\u0648\\u062a\\u0631\",\"form_fields\":[{\"custom_id\":\"name\",\"field_type\":\"email\",\"placeholder\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644 \\u0634\\u0645\\u0627:\",\"width\":\"75\",\"dynamic\":{\"active\":true},\"_id\":\"f75b169\",\"width_tablet\":\"60\",\"width_mobile\":\"60\"},{\"_id\":\"370e224\",\"field_type\":\"honeypot\",\"custom_id\":\"field_370e224\"}],\"button_width\":\"25\",\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \",\"email_to\":\"designer2@abzarwp.com\",\"email_subject\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content\":\"[all-fields]\",\"email_from\":\"email@halochin.ir\",\"email_from_name\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_to_2\":\"designer2@abzarwp.com\",\"email_subject_2\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content_2\":\"[all-fields]\",\"email_from_2\":\"email@halochin.ir\",\"email_from_name_2\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_reply_to_2\":\"designer2@abzarwp.com\",\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"success_message\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u0634\\u0645\\u0627 \\u062f\\u0631 \\u062e\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0628\\u0627 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u062f (:\",\"error_message\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0645\\u0627 \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u06cc\\u06a9 \\u062e\\u0637\\u0627 \\u0646\\u0627\\u0645\\u0648\\u0641\\u0642 \\u0628\\u0648\\u062f ):\",\"server_message\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0645\\u0627 \\u0628\\u0647 \\u062f\\u0644\\u06cc\\u0644 \\u06cc\\u06a9 \\u062e\\u0637\\u0627\\u06cc \\u0633\\u0631\\u0648\\u0631 \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0646\\u0634\\u062f ):\",\"invalid_message\":\"\\u0627\\u0631\\u0633\\u0627\\u0644 \\u0634\\u0645\\u0627 \\u0646\\u0627\\u0645\\u0648\\u0641\\u0642 \\u0628\\u0648\\u062f \\u0632\\u06cc\\u0631\\u0627 \\u0641\\u0631\\u0645 \\u0646\\u0627\\u0645\\u0639\\u062a\\u0628\\u0631 \\u0627\\u0633\\u062a ):\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"field_text_color\":\"#FFFFFF\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_background_color\":\"#FFFFFF00\",\"field_border_color\":\"#FFFFFF14\",\"field_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"field_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"button_typography_typography\":\"custom\",\"button_typography_font_family\":\"Dana\",\"button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typography_font_weight\":\"300\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"button_background_color\":\"#FFFFFF42\",\"button_border_color\":\"#FFFFFF24\",\"previous_button_background_color\":\"#FFFFFF1A\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"_element_width\":\"inherit\",\"custom_css\":\"\\nselector .elementor-form {\\n    border: 1px solid #ffffff54;\\n    border-radius: 16px;\\n}\\n\\nselector input {\\n    outline: none !important;\\n    padding-bottom: 0.25rem;\\n}\\n\\n  selector .elementor-button , selector .elementor-field {\\n        min-height: 38px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n\\n\\n\\nselector .elementor-message {\\n        position: absolute;\\n    top: 33px;\\n    font-size: 11px;\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-button , selector .elementor-field {\\n        min-height: 0px;\\n        max-height:30px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n}\",\"__globals__\":{\"field_text_color\":\"\"},\"button_width_tablet\":\"40\",\"button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"button_width_mobile\":\"40\",\"custom_messages\":\"yes\",\"success_message_color\":\"#49EB44\",\"error_message_color\":\"#F74D4D\",\"inline_message_color\":\"#F74D4D\",\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"7664976\"}]},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":true},{\"id\":\"75407a6\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":12,\"sizes\":[]},\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"z_index\":2,\"width_tablet\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":48,\"sizes\":[]},\"_flex_order_mobile\":\"custom\",\"jedv_conditions\":[{\"_id\":\"ca03e66\"}]},\"elements\":[{\"id\":\"7650230\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0627\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a3438d4\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"0ac06f0\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text\":\"\",\"color\":\"#FFFFFF14\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"400\",\"text_align\":\"right\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"934c8bb\"}]},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"1993b78\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0628\\u0627\\u0632\\u0627\\u0631\\u06cc\\u0627\\u0628\\u06cc \\u0645\\u062d\\u062a\\u0648\\u0627\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"eaad859\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/content-marketing\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0633\\u0626\\u0648 \\u0648 \\u0628\\u0647\\u06cc\\u0646\\u0647 \\u0633\\u0627\\u0632\\u06cc \",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"747a998\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%b3%d8%a6%d9%88-%d9%88-%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%a7%db%8c%d8%aa\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"a88f802\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0628\\u0647\\u06cc\\u0646\\u0647 \\u0633\\u0627\\u0632\\u06cc \\u0633\\u0631\\u0639\\u062a\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"0e06c64\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%b1%d8%b9%d8%aa\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u0628\\u0644\\u06cc\\u063a\\u0627\\u062a \\u06a9\\u0644\\u06cc\\u06a9\\u06cc\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"5b8ce99\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d8%aa%d8%a8%d9%84%db%8c%d8%ba%d8%a7%d8%aa-%da%a9%d9%84%db%8c%da%a9%db%8c\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u0634\\u062a\\u06cc\\u0628\\u0627\\u0646\\u06cc \\u0648\\u0628\\u0633\\u0627\\u06cc\\u062a\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"a30c4bb\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/%d9%be%d8%b4%d8%aa%db%8c%d8%a8%d8%a7%d9%86%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d9%85%d8%a7\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"rem\",\"size\":0.95999999999999996447286321199499070644378662109375,\"sizes\":[]},\"space_between_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"rem\",\"size\":0.90000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_indent\":{\"unit\":\"rem\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"Dana\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":13.5,\"sizes\":[]},\"icon_typography_font_weight\":\"300\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"custom_css\":\"selector .elementor-icon-list-item {\\n    width: fit-content;\\n}\",\"jedv_conditions\":[{\"_id\":\"6ada00b\"}]},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"ba9554a\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":12,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"flex-start\",\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"rem\",\"top\":\"0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_size\":\"none\",\"z_index\":2,\"width_tablet\":{\"unit\":\"%\",\"size\":13,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"_flex_order_custom_mobile\":0,\"jedv_conditions\":[{\"_id\":\"ecf299a\"}]},\"elements\":[{\"id\":\"747233b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0641\\u06cc\\u062f\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"0990f0c\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"76c03e9\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text\":\"\",\"color\":\"#FFFFFF14\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"400\",\"text_align\":\"right\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d77b1f8\"}]},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"8ff6b7f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"text\":\"\\u0635\\u0641\\u062d\\u0647 \\u0627\\u0635\\u0644\\u06cc \",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"a88f802\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0645\\u0642\\u0627\\u0644\\u0627\\u062a \",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"eaad859\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/blog\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0627\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"5b8ce99\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\\u06cc \\u0645\\u0627\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"747a998\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/projects\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062f\\u0631\\u0628\\u0627\\u0631\\u0647\\u200c\\u06cc \\u0645\\u0627\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"0e06c64\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/about-us\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},{\"text\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Ellipse-16.svg\",\"id\":2684},\"library\":\"svg\"},\"_id\":\"a30c4bb\",\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}}],\"space_between\":{\"unit\":\"rem\",\"size\":0.95999999999999996447286321199499070644378662109375,\"sizes\":[]},\"space_between_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"space_between_mobile\":{\"unit\":\"rem\",\"size\":0.90000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"text_indent\":{\"unit\":\"rem\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"Dana\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":13.5,\"sizes\":[]},\"icon_typography_font_weight\":\"300\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"custom_css\":\"selector .elementor-icon-list-item {\\n    width: fit-content;\\n}\",\"jedv_conditions\":[{\"_id\":\"ed53d46\"}],\"icon_size_tablet\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-list\"}],\"isInner\":true},{\"id\":\"896c9bd\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"z_index\":2,\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0.5\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"3fbde36\"}]},\"elements\":[{\"id\":\"be43a5f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0644\\u06cc\\u0646\\u06a9 \\u0647\\u0627\\u06cc \\u0645\\u0641\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"f38da6a\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6496e31\",\"elType\":\"widget\",\"settings\":{\"align\":\"right\",\"text\":\"\",\"color\":\"#FFFFFF14\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"typography_font_weight\":\"400\",\"text_align\":\"right\",\"__globals__\":{\"text_color\":\"globals\\/colors?id=5b191c6\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"cf4f67e\"}]},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"70092bd\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_justify_content_tablet\":\"flex-start\",\"flex_gap_tablet\":{\"column\":\"0.5\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_justify_content_mobile\":\"flex-start\",\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_gap\":{\"column\":\"0.8\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_wrap\":\"wrap\",\"jedv_conditions\":[{\"_id\":\"26f5f38\"}]},\"elements\":[{\"id\":\"cdcb899\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-30.png\",\"id\":2714,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"height\":{\"unit\":\"px\",\"size\":72,\"sizes\":[]},\"object-fit\":\"contain\",\"height_tablet\":{\"unit\":\"px\",\"size\":57,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"02cede7\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f798cd3\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-30.png\",\"id\":2714,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"align\":\"right\",\"height\":{\"unit\":\"px\",\"size\":72,\"sizes\":[]},\"object-fit\":\"contain\",\"height_tablet\":{\"unit\":\"px\",\"size\":57,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e34faa5\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"082a2f7\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-map-marker-alt\",\"library\":\"fa-solid\"},\"title_text\":\"\",\"description_text\":\"<strong style=\\\" \\\">\\u0622\\u062f\\u0631\\u0633:<\\/strong> \\u06cc\\u0632\\u062f \\u060c \\u062e\\u06cc\\u0627\\u0628\\u0627\\u0646 \\u062e\\u0648\\u0628\\u0627\\u0646 \\u060c \\u06a9\\u0648\\u0686\\u0647 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0633\\u0627\\u06cc\\u062a \\u060c \\u067e 22\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-icon-box-title {\\n    display: none;\\n}\\nselector .elementor-icon-box-icon {\\n    margin-top: -0.4rem\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0rem\\n}\\n}\",\"__globals__\":{\"description_color\":\"globals\\/colors?id=5b191c6\",\"primary_color\":\"globals\\/colors?id=8276d6d\"},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.899999999999999911182158029987476766109466552734375,\"sizes\":[]},\"position_mobile\":\"right\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a9b206d\"}]},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"f1a5502\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":\"fas fa-phone\",\"library\":\"fa-solid\"},\"title_text\":\"\",\"description_text\":\"<strong style=\\\"  \\\">\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633:<\\/strong> 1234567 - 035\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"description_typography_font_weight\":\"300\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-icon-box-title {\\n    display: none;\\n}\\n\\nselector .elementor-icon-box-icon {\\n    margin-top: -0.4rem\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0rem\\n}\\n}\",\"__globals__\":{\"description_color\":\"globals\\/colors?id=5b191c6\",\"primary_color\":\"globals\\/colors?id=8276d6d\"},\"description_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"description_typography_line_height_tablet\":{\"unit\":\"em\",\"size\":1.899999999999999911182158029987476766109466552734375,\"sizes\":[]},\"position_mobile\":\"right\",\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"20934f5\"}]},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"518d718\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"twitter\",\"_id\":\"e5e1423\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"right\",\"column_gap\":{\"unit\":\"rem\",\"size\":0.625,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":4,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#FFFFFF1A\",\"_element_width\":\"inherit\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=5b191c6\",\"secondary_color_hover\":\"globals\\/colors?id=8276d6d\",\"primary_color\":\"\"},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_gap_mobile\":{\"unit\":\"rem\",\"size\":0.5,\"sizes\":[]},\"row_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"column_gap_tablet\":{\"unit\":\"rem\",\"size\":0.25,\"sizes\":[]},\"secondary_color_hover\":\"#5E71FF\",\"_flex_align_self\":\"flex-start\",\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"alignment_mobile\":\"right\",\"button_size_tablet\":{\"unit\":\"px\",\"size\":0.625,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"9f513b7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0645\\u0627\\u0645\\u06cc \\u062d\\u0642\\u0648\\u0642 \\u0628\\u0631\\u0627\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u062d\\u0641\\u0648\\u0638 \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.\",\"header_size\":\"p\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.9\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"align\":\"center\",\"_padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":98,\"sizes\":[]},\"_flex_align_self\":\"center\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_border_color\":\"#FFFFFF14\",\"jedv_conditions\":[{\"_id\":\"941a01d\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8502", "1013", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8503", "1013", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("8613", "1029", "_wp_attached_file", "2023/09/Ellipse-68.png");
INSERT INTO `wp_postmeta` VALUES("8614", "1029", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:574;s:6:\"height\";i:574;s:4:\"file\";s:22:\"2023/09/Ellipse-68.png\";s:8:\"filesize\";i:3368;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:22:\"Ellipse-68-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6957;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"Ellipse-68-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3201;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8615", "1030", "_wp_attached_file", "2023/09/57.-Location-Pin.png");
INSERT INTO `wp_postmeta` VALUES("8616", "1030", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:186;s:6:\"height\";i:186;s:4:\"file\";s:28:\"2023/09/57.-Location-Pin.png\";s:8:\"filesize\";i:3375;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:28:\"57.-Location-Pin-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:11654;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8617", "1031", "_wp_attached_file", "2023/09/Rectangle-5.png");
INSERT INTO `wp_postmeta` VALUES("8618", "1031", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:257;s:6:\"height\";i:257;s:4:\"file\";s:23:\"2023/09/Rectangle-5.png\";s:8:\"filesize\";i:7189;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"Rectangle-5-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:10824;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8619", "1032", "_wp_attached_file", "2023/09/4.-Phone.png");
INSERT INTO `wp_postmeta` VALUES("8620", "1032", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:146;s:6:\"height\";i:146;s:4:\"file\";s:20:\"2023/09/4.-Phone.png\";s:8:\"filesize\";i:3227;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8621", "1033", "_wp_attached_file", "2023/09/Rectangle-22-1-e1632989849434.png");
INSERT INTO `wp_postmeta` VALUES("8622", "1033", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:264;s:6:\"height\";i:190;s:4:\"file\";s:41:\"2023/09/Rectangle-22-1-e1632989849434.png\";s:8:\"filesize\";i:8692;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:41:\"Rectangle-22-1-e1632989849434-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:19564;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8722", "1044", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("8723", "1044", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("8724", "1044", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:270;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8725", "1044", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8726", "1044", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("8727", "1044", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("8728", "1044", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("8729", "1044", "_edit_lock", "1697114485:4");
INSERT INTO `wp_postmeta` VALUES("8735", "1044", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("8736", "1044", "_elementor_data", "[{\"id\":\"2a52e25\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.2\",\"right\":\"1.2\",\"bottom\":\"1.2\",\"left\":\"1.2\",\"isLinked\":true},\"__dynamic__\":{\"background_image\":\"[elementor-tag id=\\\"d6666ff\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"},\"min_height\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]},\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"flex-start\",\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-20,\"vertical\":20,\"blur\":50,\"spread\":0,\"color\":\"rgba(8, 20, 32, 0.14901960784313725)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.825\",\"right\":\"0.825\",\"bottom\":\"0.825\",\"left\":\"0.825\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"__globals__\":{\"background_overlay_color\":\"\"},\"min_height_tablet\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"px\",\"size\":185,\"sizes\":[]},\"custom_css\":\"selector:before{\\n    transition: 0.6s;\\n     content: \\\"\\\";\\n    position: absolute;\\n    top: -5%;\\n    right: 0;\\n    width: 100%;\\n    height: 110%;\\n    border-radius: 10px;\\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\\n    opacity: 0.65;\\n    border-radius: 20px;\\n}\\n\\nselector:hover:before{\\n    transition: 0.6s;\\n    top: 0;\\n    height: 100%;\\n    opacity: 0.85\\n}\",\"jedv_conditions\":[{\"_id\":\"7deeaed\"}],\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"ebab569\",\"elType\":\"widget\",\"settings\":{\"meta_items\":[{\"icon\":\"\",\"_id\":\"00ffc41\"}],\"date_format\":\"j F Y\",\"zero_comments_format\":\"0\",\"one_comment_format\":\"1\",\"more_comments_format\":\"%\",\"item_typography_typography\":\"custom\",\"item_typography_font_family\":\"Dana\",\"item_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__globals__\":{\"item_color\":\"globals\\/colors?id=text\",\"item_val_color\":\"globals\\/colors?id=5b191c6\"},\"item_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"5c3865c\"}],\"date_link\":\"no-link\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-meta\"},{\"id\":\"e412a53\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"right\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d58f6a2\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"102af80\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"header_size\":\"span\",\"custom_css\":\"selector span {\\n    display: -webkit-box;\\n    -webkit-line-clamp: 2;\\n    -webkit-box-orient: vertical;\\n    overflow: hidden;\\n}\",\"jedv_conditions\":[{\"_id\":\"7c1fd72\"}],\"text_stroke_text_stroke\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"text_shadow_text_shadow_type\":\"yes\",\"text_shadow_text_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":6,\"color\":\"rgba(0, 0, 0, 0.29)\"},\"__globals__\":{\"text_stroke_stroke_color\":\"globals\\/colors?id=accent\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"5c3bd15\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"post_content\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"jet_engine_trim_string_callback\",\"jet_trim_cb_type\":\"words\",\"jet_trim_cb_length\":\"27\",\"field_color\":\"#FFFFFF\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"field_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"field_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"content_alignment\":\"right\",\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"7d2096b\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"d3d4ea8\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0628\\u06cc\\u0634\\u062a\\u0640\\u0631\",\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1,\"sizes\":[]},\"background_background\":\"gradient\",\"background_color\":\"#5E71FF\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"9\",\"right\":\"9\",\"bottom\":\"9\",\"left\":\"9\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"14\",\"bottom\":\"4\",\"left\":\"14\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=5b191c6\"},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"10\",\"bottom\":\"2\",\"left\":\"10\",\"isLinked\":false},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"aa47587\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"6be810d\"}]},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8744", "1044", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("8753", "1048", "_wp_attached_file", "2023/09/753-1970x1103-1.jpg");
INSERT INTO `wp_postmeta` VALUES("8754", "1048", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1970;s:6:\"height\";i:1103;s:4:\"file\";s:27:\"2023/09/753-1970x1103-1.jpg\";s:8:\"filesize\";i:219661;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"753-1970x1103-1-300x168.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:168;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:11605;}s:5:\"large\";a:5:{s:4:\"file\";s:28:\"753-1970x1103-1-1024x573.jpg\";s:5:\"width\";i:1024;s:6:\"height\";i:573;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:75658;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"753-1970x1103-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6336;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:27:\"753-1970x1103-1-768x430.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:430;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:48374;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:28:\"753-1970x1103-1-1536x860.jpg\";s:5:\"width\";i:1536;s:6:\"height\";i:860;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:140784;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8755", "1049", "_edit_lock", "1696508461:2");
INSERT INTO `wp_postmeta` VALUES("8756", "1049", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("8766", "1049", "_thumbnail_id", "1048");
INSERT INTO `wp_postmeta` VALUES("8767", "1049", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("8912", "1067", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("8913", "1067", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("8914", "1067", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:394;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("8915", "1067", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("8916", "1067", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("8917", "1067", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("8918", "1067", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("8919", "1067", "_edit_lock", "1697114468:4");
INSERT INTO `wp_postmeta` VALUES("8934", "1067", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("8935", "1067", "_elementor_data", "[{\"id\":\"e71d1d2\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0.425\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_hover_background\":\"classic\",\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__dynamic__\":[],\"__globals__\":{\"background_overlay_hover_color\":\"\",\"background_color\":\"\",\"background_hover_color\":\"\"},\"min_height\":{\"unit\":\"px\",\"size\":220,\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"flex_direction\":\"column\",\"flex_justify_content\":\"center\",\"custom_css\":\"selector .elementor-button-wrapper:before {\\ncontent: \\\"\\\";\\n    position: absolute;\\n    background: linear-gradient(45deg, #636cfb, #9048db);\\n    width: 98%;\\n    height: 2px;\\n    right: -100%;\\n    bottom: -0%;\\n    transition: 0.6s;\\n    border-radius: 2px;\\n} \\n\\nselector .elementor-button-wrapper {\\n    position: relative;\\n    overflow: hidden;\\n}\\n\\nselector:hover .elementor-button-wrapper:before {\\n    right: 0;\\n    transition: 0.6s;\\n} {\\n    \\n}\",\"jedv_conditions\":[{\"_id\":\"5249f9e\"}]},\"elements\":[{\"id\":\"f43fffd\",\"elType\":\"widget\",\"settings\":{\"meta_items\":[{\"icon\":\"\",\"_id\":\"00ffc41\"}],\"date_format\":\"j F Y\",\"zero_comments_format\":\"0\",\"one_comment_format\":\"1\",\"more_comments_format\":\"%\",\"item_typography_typography\":\"custom\",\"item_typography_font_family\":\"Dana\",\"item_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__globals__\":{\"item_color\":\"globals\\/colors?id=text\",\"item_val_color\":\"globals\\/colors?id=text\"},\"meta_alignment_mobile\":\"right\",\"date_link\":\"no-link\",\"jedv_conditions\":[{\"_id\":\"525dbed\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-meta\"},{\"id\":\"6dce57f\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d58f6a2\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"102af80\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"header_size\":\"span\",\"align_mobile\":\"right\",\"typography_font_size_mobile\":{\"unit\":\"em\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"5c468c6\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"59bf15d\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"post_content\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"jet_engine_trim_string_callback\",\"jet_trim_cb_type\":\"words\",\"jet_trim_cb_length\":\"30\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"field_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"field_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"content_alignment\":\"right\",\"custom_css\":\"selector .jet-listing-dynamic-field__content {\\n    text-align: justify !important; \\n}\\n\",\"__globals__\":{\"field_color\":\"globals\\/colors?id=text\"},\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"content_alignment_mobile\":\"right\",\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_flex_align_self_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"cb91798\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"6b4d4b9\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0628\\u06cc\\u0634\\u062a\\u0640\\u0631\",\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"background_color\":\"#5E71FF00\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=46455ee\"},\"align_mobile\":\"center\",\"_flex_align_self_mobile\":\"flex-start\",\"text_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"text_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"75f650d\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"6f7d2ff\"}]},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("8937", "1067", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("9402", "1115", "_edit_lock", "1695295105:2");
INSERT INTO `wp_postmeta` VALUES("9409", "1115", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9410", "1116", "_wp_attached_file", "2023/09/business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9411", "1116", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1970;s:6:\"height\";i:2216;s:4:\"file\";s:77:\"2023/09/business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1.jpg\";s:8:\"filesize\";i:306563;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:77:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-267x300.jpg\";s:5:\"width\";i:267;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12853;}s:5:\"large\";a:5:{s:4:\"file\";s:78:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-910x1024.jpg\";s:5:\"width\";i:910;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:82105;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:77:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5505;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:77:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-768x864.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:61659;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:79:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-1365x1536.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:161722;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:79:\"business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1-1821x2048.jpg\";s:5:\"width\";i:1821;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:252980;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9412", "1117", "_wp_attached_file", "2023/09/happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1.jpg");
INSERT INTO `wp_postmeta` VALUES("9413", "1117", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1970;s:6:\"height\";i:2216;s:4:\"file\";s:76:\"2023/09/happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1.jpg\";s:8:\"filesize\";i:296916;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:76:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-267x300.jpg\";s:5:\"width\";i:267;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:16232;}s:5:\"large\";a:5:{s:4:\"file\";s:77:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-910x1024.jpg\";s:5:\"width\";i:910;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:94521;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:76:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6462;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:76:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-768x864.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:864;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:73785;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:78:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-1365x1536.jpg\";s:5:\"width\";i:1365;s:6:\"height\";i:1536;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:169173;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:78:\"happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1-1821x2048.jpg\";s:5:\"width\";i:1821;s:6:\"height\";i:2048;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:254373;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("9414", "1115", "_thumbnail_id", "1117");
INSERT INTO `wp_postmeta` VALUES("9415", "1115", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("9418", "1119", "_edit_lock", "1695295562:2");
INSERT INTO `wp_postmeta` VALUES("9419", "1119", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("9420", "1119", "_thumbnail_id", "1116");
INSERT INTO `wp_postmeta` VALUES("9421", "1119", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("10237", "1206", "_wp_attached_file", "2023/09/Mask-Group-37-860x684-1.jpg");
INSERT INTO `wp_postmeta` VALUES("10238", "1206", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:684;s:4:\"file\";s:35:\"2023/09/Mask-Group-37-860x684-1.jpg\";s:8:\"filesize\";i:53003;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-37-860x684-1-300x239.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:239;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:10670;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-37-860x684-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5085;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-37-860x684-1-768x611.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:611;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:41615;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10275", "1211", "_edit_lock", "1697108197:2");
INSERT INTO `wp_postmeta` VALUES("10276", "1211", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("10277", "1211", "_thumbnail_id", "1206");
INSERT INTO `wp_postmeta` VALUES("10611", "1248", "_wp_attached_file", "2023/09/Path-52-e1633770877284.png");
INSERT INTO `wp_postmeta` VALUES("10612", "1248", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:85;s:6:\"height\";i:474;s:4:\"file\";s:34:\"2023/09/Path-52-e1633770877284.png\";s:8:\"filesize\";i:1067;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:33:\"Path-52-e1633770877284-54x300.png\";s:5:\"width\";i:54;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2660;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:33:\"Path-52-e1633770877284-85x150.png\";s:5:\"width\";i:85;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1193;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10849", "1272", "_wp_attached_file", "2023/09/instagram.svg");
INSERT INTO `wp_postmeta` VALUES("10850", "1272", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1292;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("10862", "1274", "_wp_attached_file", "2023/09/telegram-icon.svg");
INSERT INTO `wp_postmeta` VALUES("10863", "1274", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1053;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("10865", "1275", "_wp_attached_file", "2023/09/svgexport-10-1.svg");
INSERT INTO `wp_postmeta` VALUES("10866", "1275", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1361;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("10881", "26", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("10882", "26", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("10883", "26", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("10884", "26", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("10895", "26", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_postmeta` VALUES("10896", "26", "_elementor_data", "[{\"id\":\"21a57b4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_align_items\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9726593\"}]},\"elements\":[{\"id\":\"abadb38\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"width_tablet\":{\"unit\":\"%\",\"size\":55,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"ff80d95\"}],\"_flex_size_tablet\":\"none\"},\"elements\":[{\"id\":\"c8471ef\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u06cc\\u06a9 \\u062a\\u062c\\u0631\\u0628\\u0647 \\u0627\\u0633\\u062a\\u062b\\u0646\\u0627\\u06cc\\u06cc  <br\\/> \\u0648 <span style=\\\"color:var(--e-global-color-46455ee)\\\">\\u0645\\u0646\\u062d\\u0635\\u0631 \\u0628\\u0647 \\u0641\\u0631\\u062f<\\/span> \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0645\\u0627 \\u0639\\u0632\\u06cc\\u0632\\u0627\\u0646\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":32,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":3.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4c1baaa\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4d50cf3\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":97,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f\\u060c \\u06a9\\u062a\\u0627\\u0628\\u0647\\u0627\\u06cc \\u0632\\u06cc\\u0627\\u062f\\u06cc \\u062f\\u0631 \\u0634\\u0635\\u062a \\u0648 \\u0633\\u0647 \\u062f\\u0631\\u0635\\u062f \\u06af\\u0630\\u0634\\u062a\\u0647 \\u062d\\u0627\\u0644 \\u0648 \\u0622\\u06cc\\u0646\\u062f\\u0647\\u060c \\u0634\\u0646\\u0627\\u062e\\u062a \\u0641\\u0631\\u0627\\u0648\\u0627\\u0646 \\u062c\\u0627\\u0645\\u0639\\u0647 \\u0648 \\u0645\\u062a\\u062e\\u0635\\u0635\\u0627\\u0646 \\u0631\\u0627 \\u0645\\u06cc \\u0637\\u0644\\u0628\\u062f\\u060c \\u062a\\u0627 \\u0628\\u0627 \\u0646\\u0631\\u0645 \\u0627\\u0641\\u0632\\u0627\\u0631\\u0647\\u0627 \\u0634\\u0646\\u0627\\u062e\\u062a \\u0628\\u06cc\\u0634\\u062a\\u0631\\u06cc \\u0631\\u0627 \\u0628\\u0631\\u0627\\u06cc \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u0631\\u0627\\u06cc\\u0627\\u0646\\u0647 \\u0627\\u06cc \\u0639\\u0644\\u06cc \\u0627\\u0644\\u062e\\u0635\\u0648\\u0635 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u062e\\u0644\\u0627\\u0642\\u06cc\\u060c \\u0648 \\u0641\\u0631\\u0647\\u0646\\u06af \\u067e\\u06cc\\u0634\\u0631\\u0648 \\u062f\\u0631 \\u0632\\u0628\\u0627\\u0646 \\u0641\\u0627\\u0631\\u0633\\u06cc \\u0627\\u06cc\\u062c\\u0627\\u062f \\u06a9\\u0631\\u062f\\u060c \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0635\\u0648\\u0631\\u062a \\u0645\\u06cc \\u062a\\u0648\\u0627\\u0646 \\u0627\\u0645\\u06cc\\u062f \\u062f\\u0627\\u0634\\u062a \\u06a9\\u0647 \\u062a\\u0645\\u0627\\u0645 \\u0648 \\u062f\\u0634\\u0648\\u0627\\u0631\\u06cc \\u0645\\u0648\\u062c\\u0648\\u062f \\u0627\\u0633\\u062a.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1958a7d\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"cf19529\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"flex-start\",\"flex_align_items\":\"center\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"fec3034\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"4a7c0d9\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062e\\u062f\\u0645\\u0627\\u062a \",\"align\":\"right\",\"__globals__\":{\"background_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_background\":\"gradient\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"14\",\"right\":\"30\",\"bottom\":\"13\",\"left\":\"30\",\"isLinked\":false},\"background_color\":\"#5E71FF\",\"_element_width\":\"auto\",\"_flex_align_self\":\"center\",\"_flex_size\":\"shrink\",\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/our-services\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"hover_animation\":\"grow\",\"jedv_conditions\":[{\"_id\":\"f1a4f14\"}]},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"77b525e\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Play.png\",\"id\":726,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"title_text\":\"\\u0648\\u06cc\\u062f\\u06cc\\u0648 \\u0645\\u0639\\u0631\\u0641\\u06cc\",\"description_text\":\"\",\"link\":{\"url\":\"#\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"title_size\":\"span\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"image_space\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"image_size\":{\"unit\":\"%\",\"size\":44,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-8\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-image-box-content{\\n    display: flex;\\n    padding-right: 0.4rem;\\n}\\n\\nselector span {\\n    border-bottom: #5E71FF solid 2px;\\n    padding-bottom: 0.15rem;\\n    margin-top: -0.5rem;\\n    display: inline-block;\\n    border-radius: 1px;\\n}\\n\\n\\nselector .elementor-image-box-wrapper {\\n    display: flex;\\n    align-items: center;\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"da2a77a\\\" name=\\\"popup\\\" settings=\\\"%7B%22popup%22%3A%224423%22%7D\\\"]\"},\"text_align_mobile\":\"right\",\"image_size_tablet\":{\"unit\":\"%\",\"size\":28,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"ab1e2a8\"}]},\"elements\":[],\"widgetType\":\"image-box\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"199794d\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_tablet\":{\"unit\":\"%\",\"size\":45,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8260c29\"}]},\"elements\":[{\"id\":\"20eb327\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/newworkhome.png\",\"id\":1381,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"motion_fx_translateY_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":0,\"end\":76}},\"motion_fx_devices\":[\"desktop\"],\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":390,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"object-fit\":\"contain\",\"jedv_conditions\":[{\"_id\":\"40730e8\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"4b75df0\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Mask-Group-8.png\",\"id\":1286,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":41,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":15,\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y_end\":{\"unit\":\"%\",\"size\":-8,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":-17,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":-14,\"sizes\":[]},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateX_effect\":\"yes\",\"motion_fx_translateX_direction\":\"negative\",\"motion_fx_translateX_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":28,\"sizes\":[]},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"8d40286\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3225d7b\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Mask-Group-10.png\",\"id\":1287,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":46,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":8,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":-6,\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":2,\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":2,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":-29,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-19,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_transform_rotate_popover\":\"transform\",\"_transform_rotateZ_effect\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"motion_fx_devices\":[\"desktop\"],\"height_tablet\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"object-fit_tablet\":\"contain\",\"jedv_conditions\":[{\"_id\":\"f667667\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"b430525\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Rectangle-45.png\",\"id\":654,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":30,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x\":{\"unit\":\"%\",\"size\":-6,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":5,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":7,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":-11,\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_rotateZ_effect\":\"yes\",\"motion_fx_rotateZ_direction\":\"negative\",\"motion_fx_rotateZ_speed\":{\"unit\":\"px\",\"size\":-1,\"sizes\":[]},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"motion_fx_devices\":[\"desktop\"],\"jedv_conditions\":[{\"_id\":\"47c6b67\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"09f9a12\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":390,\"sizes\":[]},\"_position\":\"absolute\",\"_background_background\":\"gradient\",\"_background_gradient_angle\":{\"unit\":\"deg\",\"size\":138,\"sizes\":[]},\"_border_radius\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_tablet\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_radius_mobile\":{\"unit\":\"%\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    clip-path: circle();\\n}\",\"__globals__\":{\"_background_color\":\"globals\\/colors?id=8276d6d\",\"_background_color_b\":\"globals\\/colors?id=46455ee\"},\"_offset_x\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":-9,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"space_tablet\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8d6a0e7\"}]},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"b9e6401\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row-reverse\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"flex_align_items\":\"center\",\"flex_gap_tablet\":{\"column\":\"1.4\",\"row\":\"2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"6.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction_tablet\":\"row-reverse\",\"flex_justify_content_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"3f6f1c7\"}],\"flex_direction_mobile\":\"column-reverse\"},\"elements\":[{\"id\":\"bda68d0\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"min_height\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":0},\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":10,\"blur\":30,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.06)\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e146f1c\"}]},\"elements\":[{\"id\":\"e9d4b68\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"border_color\":\"#B5B1B12E\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.3\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":false},\"content_width\":\"full\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bb39c02\"}]},\"elements\":[{\"id\":\"6d506a1\",\"elType\":\"widget\",\"settings\":{\"ending_number\":733,\"title\":\"\\u067e\\u0631\\u0648\\u0698\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u062f\\u0647 \",\"typography_number_typography\":\"custom\",\"typography_number_font_family\":\"Dana\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":33,\"sizes\":[]},\"typography_number_font_weight\":\"600\",\"typography_title_typography\":\"custom\",\"typography_title_font_family\":\"Dana\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_title_font_weight\":\"600\",\"typography_title_line_height\":{\"unit\":\"em\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"custom_css\":\"selector .elementor-counter-number , selector .elementor-counter-number-suffix {\\n    -webkit-text-fill-color: transparent!important;\\n        -webkit-background-clip: text!important;\\n            background-color: transparent;\\n    background-image: linear-gradient(180deg, #4452F2 0%, #F2DFDF 100%);\\n}\",\"__globals__\":{\"number_color\":\"\",\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_title_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_title_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_number_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"suffix\":\"+\",\"jedv_conditions\":[{\"_id\":\"31495e4\"}],\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"6d00fd5\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_flex_align_self_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"9d92727\"}]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"6e5ec1c\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"border_color\":\"#B5B1B12E\",\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.3\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":true},\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"17e905b\"}]},\"elements\":[{\"id\":\"10c2af0\",\"elType\":\"widget\",\"settings\":{\"ending_number\":568,\"title\":\"\\u06a9\\u0627\\u0631\\u0641\\u0631\\u0645\\u0627\\u0647\\u0627\\u06cc \\u0631\\u0627\\u0636\\u06cc \",\"typography_number_typography\":\"custom\",\"typography_number_font_family\":\"Dana\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":33,\"sizes\":[]},\"typography_number_font_weight\":\"600\",\"typography_title_typography\":\"custom\",\"typography_title_font_family\":\"Dana\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_title_font_weight\":\"600\",\"typography_title_line_height\":{\"unit\":\"em\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"custom_css\":\"selector .elementor-counter-number , selector .elementor-counter-number-suffix {\\n    -webkit-text-fill-color: transparent!important;\\n        -webkit-background-clip: text!important;\\n            background-color: transparent;\\n    background-image: linear-gradient(180deg, #4452F2 0%, #F2DFDF 100%);\\n}\",\"__globals__\":{\"number_color\":\"\",\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_title_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_title_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_number_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"suffix\":\"+\",\"jedv_conditions\":[{\"_id\":\"e6a2cd8\"}],\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"972ada0\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_flex_align_self_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"295e3ae\"}]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true},{\"id\":\"f7ee770\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.3\",\"left\":\"1.5\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":true},\"border_border\":\"solid\",\"border_width_mobile\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#B5B1B12E\",\"border_width_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ff358da\"}]},\"elements\":[{\"id\":\"034f67d\",\"elType\":\"widget\",\"settings\":{\"ending_number\":137,\"title\":\"\\u0646\\u0638\\u0631\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646  \",\"typography_number_typography\":\"custom\",\"typography_number_font_family\":\"Dana\",\"typography_number_font_size\":{\"unit\":\"px\",\"size\":33,\"sizes\":[]},\"typography_number_font_weight\":\"600\",\"typography_title_typography\":\"custom\",\"typography_title_font_family\":\"Dana\",\"typography_title_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_title_font_weight\":\"600\",\"typography_title_line_height\":{\"unit\":\"em\",\"size\":2.20000000000000017763568394002504646778106689453125,\"sizes\":[]},\"custom_css\":\"selector .elementor-counter-number , selector .elementor-counter-number-suffix {\\n    -webkit-text-fill-color: transparent!important;\\n        -webkit-background-clip: text!important;\\n            background-color: transparent;\\n    background-image: linear-gradient(180deg, #4452F2 0%, #F2DFDF 100%);\\n}\",\"__globals__\":{\"number_color\":\"\",\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_number_font_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"typography_title_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_title_font_size_mobile\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_number_font_size_mobile\":{\"unit\":\"px\",\"size\":28,\"sizes\":[]},\"suffix\":\"+\",\"jedv_conditions\":[{\"_id\":\"d0df0dd\"}]},\"elements\":[],\"widgetType\":\"counter\"},{\"id\":\"3b7b7ce\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"editor\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"_flex_align_self_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"ff76027\"}]},\"elements\":[],\"widgetType\":\"text-editor\"}],\"isInner\":true}],\"isInner\":true},{\"id\":\"96e07f2\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_tablet\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_flex_order_mobile\":\"start\",\"jedv_conditions\":[{\"_id\":\"18af59c\"}]},\"elements\":[{\"id\":\"f3ee2d4\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1434\",\"columns\":\"2\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_z_index\":3,\"columns_tablet\":\"1\",\"carousel_enabled\":\"yes\",\"columns_mobile\":\"2\",\"arrows_box_size\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"arrows_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"prev_top_position\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"prev_top_position_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"prev_top_position_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"prev_left_position\":{\"unit\":\"%\",\"size\":-55,\"sizes\":[]},\"prev_left_position_tablet\":{\"unit\":\"%\",\"size\":-108,\"sizes\":[]},\"prev_left_position_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"next_top_position\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"next_top_position_tablet\":{\"unit\":\"%\",\"size\":85,\"sizes\":[]},\"next_top_position_mobile\":{\"unit\":\"%\",\"size\":50,\"sizes\":[]},\"next_right_position\":{\"unit\":\"%\",\"size\":145,\"sizes\":[]},\"next_right_position_tablet\":{\"unit\":\"%\",\"size\":183,\"sizes\":[]},\"next_right_position_mobile\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"custom_css\":\"selector .slick-track{\\n    padding: 0.625rem 0\\n}\\n\\nselector .slick-arrow{\\n    border-radius: 50%;\\n}\",\"__globals__\":{\"arrow_bg_color\":\"globals\\/colors?id=46455ee\",\"arrow_color\":\"globals\\/colors?id=8276d6d\"},\"arrows_box_size_mobile\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"arrows_size_mobile\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"injection_items\":[],\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":26,\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1d859e0\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"63e31f0\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_background\":\"classic\",\"background_color_b\":\"\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_repeat\":\"repeat-x\",\"background_size\":\"contain\",\"__globals__\":{\"background_color\":\"\",\"background_color_b\":\"\"},\"jedv_conditions\":[{\"_id\":\"a7fc3a2\"}]},\"elements\":[{\"id\":\"1316f8d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631\\u0627\\u062a \\u0634\\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1cb0707\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"548ca85\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0638\\u0631\\u0627\\u062a \\u0645\\u0634\\u062a\\u0631\\u06cc\\u0627\\u0646 \\u0645\\u0627 \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"0835365\"}],\"align_tablet\":\"center\",\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6ff77aa\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"934\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .slick-track{\\n    padding: 1rem 0;\\n}\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"bef41f5\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":false},{\"id\":\"09bfe8c\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column-reverse\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"0673d0d\"}]},\"elements\":[{\"id\":\"88e576e\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1067\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"inject_alternative_items\":\"yes\",\"injection_items\":[{\"_id\":\"f035d97\",\"item\":\"1044\",\"item_num\":0,\"item_colspan\":\"1\"}],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"slides_to_scroll\":\"2\",\"arrows\":\"\",\"autoplay\":\"\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .jet-listing-grid__item .e-con-boxed  {\\n    box-shadow: none;\\n}\\n\\n\",\"hide_desktop\":\"hidden-desktop\",\"_title\":\"mobile-grid\",\"columns_mobile\":\"1\",\"posts_num\":3,\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"bc844ac\"}],\"hide_tablet\":\"hidden-tablet\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"3b210f7\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1067\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"inject_alternative_items\":\"yes\",\"injection_items\":[{\"_id\":\"f035d97\",\"item\":\"1044\",\"item_num\":0,\"item_colspan\":\"2\"}],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"slides_to_scroll\":\"2\",\"arrows\":\"\",\"autoplay\":\"\",\"horizontal_gap\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .jet-listing-grid__item .e-con-boxed  {\\n    box-shadow: none;\\n}\\n\\n\",\"hide_mobile\":\"hidden-mobile\",\"_title\":\"slider-grid\",\"jedv_conditions\":[{\"_id\":\"0b7c062\"}],\"columns_tablet\":\"3\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"ebdcc6b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0645\\u0642\\u0627\\u0644\\u0627\\u062a \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"0c9a217\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"align_tablet\":\"center\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"ed502e7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0642\\u0627\\u0644\\u0627\\u062a \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"67b0c2c\"}]},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("10904", "26", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:1:{i:0;s:12:\"e-animations\";}}");
INSERT INTO `wp_postmeta` VALUES("10964", "1286", "_wp_attached_file", "2023/09/Mask-Group-8.png");
INSERT INTO `wp_postmeta` VALUES("10965", "1286", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:250;s:6:\"height\";i:239;s:4:\"file\";s:24:\"2023/09/Mask-Group-8.png\";s:8:\"filesize\";i:15592;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:24:\"Mask-Group-8-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:22951;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("10966", "1287", "_wp_attached_file", "2023/09/Mask-Group-10.png");
INSERT INTO `wp_postmeta` VALUES("10967", "1287", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:225;s:6:\"height\";i:264;s:4:\"file\";s:25:\"2023/09/Mask-Group-10.png\";s:8:\"filesize\";i:10393;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"Mask-Group-10-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17607;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("11325", "28", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("11326", "28", "_elementor_template_type", "wp-page");
INSERT INTO `wp_postmeta` VALUES("11327", "28", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("11328", "28", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("11351", "28", "_elementor_page_settings", "a:1:{s:10:\"hide_title\";s:3:\"yes\";}");
INSERT INTO `wp_postmeta` VALUES("11352", "28", "_elementor_data", "[{\"id\":\"de45b27\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_align_items\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"c9f1509\"}]},\"elements\":[{\"id\":\"e45912c\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"d48441b\"}]},\"elements\":[{\"id\":\"2c58c94\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"flex-start\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"72becf4\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"88f03ab\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u06cc\\u0627 \\u0633\\u0648\\u0627\\u0644 \\u06cc\\u0627 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a\\u06cc \\u0627\\u0632 \\u0645\\u0627 \\u062f\\u0627\\u0631\\u06cc\\u062f \\u061f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"bd59a98\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"03c7be2\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":90,\"sizes\":[]},\"editor\":\"<p>\\u0627\\u0632 \\u0637\\u0631\\u06cc\\u0642 \\u0641\\u0631\\u0645 \\u0627\\u0631\\u062a\\u0628\\u0627\\u0637\\u06cc \\u0632\\u06cc\\u0631 \\u0645\\u06cc\\u062a\\u0648\\u0627\\u0646\\u06cc\\u062f \\u0633\\u0648\\u0627\\u0644\\u0627\\u062a \\u060c \\u0646\\u0638\\u0631\\u0627\\u062a \\u0648 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0647\\u0627\\u06cc \\u062e\\u0648\\u062f\\u062a\\u0648\\u0646 \\u0631\\u0648 \\u0628\\u0627 \\u0645\\u0627 \\u0628\\u0647 \\u0627\\u0634\\u062a\\u0631\\u0627\\u06a9 \\u0628\\u06af\\u0630\\u0627\\u0631\\u06cc\\u062f \\u0648 \\u06a9\\u0627\\u0631\\u0634\\u0646\\u0627\\u0633\\u0627\\u0646 \\u0645\\u0627 \\u062f\\u0631 \\u0627\\u0633\\u0631\\u0639 \\u0648\\u0642\\u062a \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u067e\\u0627\\u0633\\u062e \\u062e\\u0648\\u0627\\u0647\\u0646\\u062f \\u062f\\u0627\\u062f :)<\\/p>\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4972f30\"}]},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"1b6e83f\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"form_fields\":[{\"custom_id\":\"name\",\"placeholder\":\"\\u0646\\u0627\\u0645 \\u0648 \\u0646\\u0627\\u0645 \\u062e\\u0627\\u0646\\u0648\\u0627\\u062f\\u06af\\u06cc:\",\"width\":\"50\",\"dynamic\":{\"active\":true},\"_id\":\"2045497\",\"width_mobile\":\"50\"},{\"custom_id\":\"email\",\"field_type\":\"email\",\"required\":\"true\",\"placeholder\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644 :\",\"width\":\"50\",\"_id\":\"6648eeb\",\"width_mobile\":\"50\"},{\"custom_id\":\"field_e9eb707\",\"placeholder\":\"\\u0634\\u0645\\u0627\\u0631\\u0647 \\u062a\\u0645\\u0627\\u0633:\",\"width\":\"50\",\"dynamic\":{\"active\":true},\"width_mobile\":\"50\",\"field_type\":\"tel\",\"_id\":\"e9eb707\"},{\"custom_id\":\"field_da271b5\",\"placeholder\":\"\\u0645\\u0648\\u0636\\u0648\\u0639:\",\"width\":\"50\",\"dynamic\":{\"active\":true},\"width_mobile\":\"50\",\"_id\":\"da271b5\"},{\"custom_id\":\"message\",\"field_type\":\"textarea\",\"placeholder\":\"\\u067e\\u06cc\\u063a\\u0627\\u0645 \\u0634\\u0645\\u0627 :)\",\"_id\":\"c97c4fb\"},{\"_id\":\"48a2293\",\"field_type\":\"honeypot\",\"custom_id\":\"field_48a2293\"}],\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644\",\"email_to\":\"designer2@abzarwp.com\",\"email_subject\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content\":\"[all-fields]\",\"email_from\":\"email@halochin.ir\",\"email_from_name\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_to_2\":\"designer2@abzarwp.com\",\"email_subject_2\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content_2\":\"[all-fields]\",\"email_from_2\":\"email@halochin.ir\",\"email_from_name_2\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_reply_to_2\":\"designer2@abzarwp.com\",\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"success_message\":\"\\u067e\\u06cc\\u063a\\u0627\\u0645 \\u0634\\u0645\\u0627 \\u0628\\u0627 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0631\\u0633\\u0627\\u0644 \\u06af\\u0631\\u062f\\u06cc\\u062f :)\",\"error_message\":\"\\u0645\\u062a\\u0627\\u0633\\u0641\\u0627\\u0646\\u0647 \\u06cc\\u06a9 \\u062e\\u0637\\u0627\\u06cc \\u0646\\u0627\\u0634\\u0646\\u0627\\u062e\\u062a\\u0647 \\u0631\\u062e \\u062f\\u0627\\u062f (:\",\"server_message\":\"\\u062e\\u0637\\u0627\\u06cc \\u0633\\u0631\\u0648\\u0631 \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a (:\",\"invalid_message\":\"\\u0645\\u0642\\u0627\\u062f\\u06cc\\u0631 \\u0648\\u0627\\u0631\\u062f \\u0634\\u062f\\u0647 \\u0645\\u0639\\u062a\\u0628\\u0631 \\u0646\\u0645\\u06cc\\u0628\\u0627\\u0634\\u0646\\u062f (:\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"field_background_color\":\"#F2F2F2\",\"field_border_color\":\"#F2F2F2\",\"field_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector input:not([type=submit]) {\\n    min-height: 38px;\\n    padding: 0.625rem 1rem;\\n}\\n\\nselector textarea {\\n    min-height: 150px;\\n    padding: 0.625rem 1rem;\\n}\\n\\nselector input::placeholder , textarea::placeholder {\\n    font-size: 14px;\\n    font-weight: 300;\\n}\\n\\n@media screen and (max-width:830px){\\n    selector input:not([type=submit]) {\\n    min-height: 5px;\\n    padding: 0.35rem 0.8rem;\\n}\\n\\nselector textarea {\\n    min-height: 115px;\\n    padding: 0.425rem 1rem;\\n}\\n\\nselector .elementor-button {\\n    min-height:32px;\\n}\\n\\nselector input::placeholder , textarea::placeholder {\\n    font-size: 12px;\\n    font-weight: 300;\\n}\\n}\",\"button_width\":\"30\",\"button_align\":\"end\",\"custom_messages\":\"yes\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_text_padding\":{\"unit\":\"px\",\"top\":\"2\",\"right\":\"35\",\"bottom\":\"0\",\"left\":\"35\",\"isLinked\":false},\"__globals__\":{\"button_background_color\":\"globals\\/colors?id=46455ee\"},\"success_message_color\":\"#0EAA57\",\"error_message_color\":\"#E63030\",\"inline_message_color\":\"#E63030\",\"jedv_conditions\":[{\"_id\":\"4161dd6\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":true},{\"id\":\"5992e44\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .elementor-widget-spacer {\\n    clip-path: circle();\\n}\",\"background_background\":\"classic\",\"background_image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/Ellipse-2-1.png\",\"id\":4052,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"contain\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"background_size_tablet\":\"contain\",\"background_bg_width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"background_bg_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"206d5a3\"}]},\"elements\":[{\"id\":\"5dd7435\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Mask-Group-13.png\",\"id\":1326,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"_z_index\":2,\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"motion_fx_translateY_affectedRange\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":{\"start\":0,\"end\":76}},\"height_tablet\":{\"unit\":\"%\",\"size\":250,\"sizes\":[]},\"height_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"object-fit\":\"contain\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":420,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"2\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1c16cd1\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"3696144\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Mask-Group-6.png\",\"id\":917,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":-1,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":45,\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_translateY_effect\":\"yes\",\"motion_fx_translateY_speed\":{\"unit\":\"px\",\"size\":2,\"sizes\":[]},\"_transform_rotate_popover\":\"transform\",\"_transform_rotateZ_effect\":{\"unit\":\"px\",\"size\":22,\"sizes\":[]},\"_offset_orientation_h\":\"end\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"_element_width_tablet\":\"initial\",\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"hide_tablet\":\"hidden-tablet\",\"hide_mobile\":\"hidden-mobile\",\"jedv_conditions\":[{\"_id\":\"9cb178a\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"03052af\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Rectangle-45.png\",\"id\":654,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":35,\"sizes\":[]},\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":2,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":-5,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":10,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":14,\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_z_index\":2,\"motion_fx_motion_fx_scrolling\":\"yes\",\"motion_fx_rotateZ_effect\":\"yes\",\"motion_fx_rotateZ_direction\":\"negative\",\"motion_fx_rotateZ_speed\":{\"unit\":\"px\",\"size\":-1,\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"width_tablet\":{\"unit\":\"%\",\"size\":21,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a6d9224\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"b6c889f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"flex_align_items\":\"center\",\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"317204e\"}]},\"elements\":[{\"id\":\"a0119da\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_order_mobile\":\"end\",\"jedv_conditions\":[{\"_id\":\"001fb1c\"}]},\"elements\":[{\"id\":\"6323a9f\",\"elType\":\"widget\",\"settings\":{\"image\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/map-min.png\",\"id\":3704,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":270,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"25\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":true},\"height_tablet\":{\"unit\":\"px\",\"size\":265,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":200,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector img {\\n    transition: 0.6s;\\n    cursor: pointer;\\n}\\n\\nselector img:hover {\\n    transition: 0.6s;\\n    scale: 1.02\\n}\",\"jedv_conditions\":[{\"_id\":\"2fc8378\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"82aaa72\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"cd71e28\"}]},\"elements\":[{\"id\":\"36eb021\",\"elType\":\"widget\",\"settings\":{\"toggles\":[{\"item_label\":\"\\u062d\\u062f\\u0627\\u06a9\\u062b\\u0631 \\u0632\\u0645\\u0627\\u0646 \\u062a\\u062d\\u0648\\u06cc\\u0644 \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0686\\u0642\\u062f\\u0631 \\u0627\\u0633\\u062a \\u061f\",\"_id\":\"12ba949\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/plus-icon.svg\",\"id\":3739},\"library\":\"svg\"},\"selected_item_active_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/min-icon.svg\",\"id\":3740},\"library\":\"svg\"},\"content_type\":\"editor\",\"item_editor_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\",\"item_active\":\"yes\"},{\"item_label\":\"\\u0646\\u062d\\u0648\\u0647 \\u0642\\u06cc\\u0645\\u062a \\u06af\\u0630\\u0627\\u0631\\u06cc \\u0631\\u0648\\u06cc \\u067e\\u0631\\u0648\\u0698\\u0647 \\u0628\\u0647 \\u0686\\u0647 \\u0634\\u06a9\\u0644 \\u0627\\u0633\\u062a \\u061f\",\"_id\":\"3ae3563\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/plus-icon.svg\",\"id\":3739},\"library\":\"svg\"},\"selected_item_active_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/min-icon.svg\",\"id\":3740},\"library\":\"svg\"},\"content_type\":\"editor\",\"item_editor_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\"},{\"item_label\":\"\\u0622\\u06cc\\u0627 \\u062a\\u0636\\u0645\\u06cc\\u0646 \\u06a9\\u06cc\\u0641\\u06cc\\u062a \\u06a9\\u0627\\u0631 \\u0631\\u0627 \\u0645\\u06cc\\u062f\\u0647\\u06cc\\u062f \\u061f\",\"_id\":\"e7a7659\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/plus-icon.svg\",\"id\":3739},\"library\":\"svg\"},\"selected_item_active_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/min-icon.svg\",\"id\":3740},\"library\":\"svg\"},\"content_type\":\"editor\",\"item_editor_content\":\"<p>\\u0644\\u0648\\u0631\\u0645 \\u0627\\u06cc\\u067e\\u0633\\u0648\\u0645 \\u0645\\u062a\\u0646 \\u0633\\u0627\\u062e\\u062a\\u06af\\u06cc \\u0628\\u0627 \\u062a\\u0648\\u0644\\u06cc\\u062f \\u0633\\u0627\\u062f\\u06af\\u06cc \\u0646\\u0627\\u0645\\u0641\\u0647\\u0648\\u0645 \\u0627\\u0632 \\u0635\\u0646\\u0639\\u062a \\u0686\\u0627\\u067e\\u060c \\u0648 \\u0628\\u0627 \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0627\\u0632 \\u0637\\u0631\\u0627\\u062d\\u0627\\u0646 \\u06af\\u0631\\u0627\\u0641\\u06cc\\u06a9 \\u0627\\u0633\\u062a\\u060c \\u0686\\u0627\\u067e\\u06af\\u0631\\u0647\\u0627 \\u0648 \\u0645\\u062a\\u0648\\u0646 \\u0628\\u0644\\u06a9\\u0647 \\u0631\\u0648\\u0632\\u0646\\u0627\\u0645\\u0647 \\u0648 \\u0645\\u062c\\u0644\\u0647 \\u062f\\u0631 \\u0633\\u062a\\u0648\\u0646 \\u0648 \\u0633\\u0637\\u0631\\u0622\\u0646\\u0686\\u0646\\u0627\\u0646 \\u06a9\\u0647 \\u0644\\u0627\\u0632\\u0645 \\u0627\\u0633\\u062a\\u060c \\u0648 \\u0628\\u0631\\u0627\\u06cc \\u0634\\u0631\\u0627\\u06cc\\u0637 \\u0641\\u0639\\u0644\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0645\\u0648\\u0631\\u062f \\u0646\\u06cc\\u0627\\u0632\\u060c \\u0648 \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u0647\\u0627\\u06cc \\u0645\\u062a\\u0646\\u0648\\u0639 \\u0628\\u0627 \\u0647\\u062f\\u0641 \\u0628\\u0647\\u0628\\u0648\\u062f \\u0627\\u0628\\u0632\\u0627\\u0631\\u0647\\u0627\\u06cc \\u06a9\\u0627\\u0631\\u0628\\u0631\\u062f\\u06cc \\u0645\\u06cc \\u0628\\u0627\\u0634\\u062f.<\\/p>\"}],\"collapsible\":\"yes\",\"faq_schema\":\"yes\",\"content_scrolling\":\"\",\"toggle_label_typography_typography\":\"custom\",\"toggle_label_typography_font_family\":\"Dana\",\"toggle_label_typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"toggle_label_typography_font_weight\":\"400\",\"toggle_control_border_border\":\"none\",\"tabs_content_typography_typography\":\"custom\",\"tabs_content_typography_font_family\":\"Dana\",\"tabs_content_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"tabs_content_typography_font_weight\":\"300\",\"tabs_content_typography_line_height\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"tabs_content_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"tabs_content_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"tabs_content_border_border\":\"none\",\"tabs_content_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"tabs_content_border_color\":\"#B5B1B12E\",\"custom_css\":\"selector .jet-toggle__control {\\n       justify-content: space-between !important;\\n       padding: 0.8rem 0.825rem 0.55rem 0.825rem\\n}\\n\\nselector .jet-toggle {\\n    border-color: #B5B1B12E;\\n    border-radius: 15px\\n}\\n\\nselector .jet-toggle__content-inner {\\n    padding: 0.7rem 1rem 1rem 1rem;\\n    text-align: justify;\\n        border-top: 1px dashed #B5B1B12E\\n}\\n\\nselector .jet-accordion__item {\\n    box-shadow: 0px 3px 25px 0px rgba(0, 0, 0, 0.06)\\n}\\n\\nselector .jet-accordion__inner .jet-accordion__item:not(:last-child){\\n        margin-bottom: 0.8rem;\\n} \\n\\nselector .jet-toggle__icon {\\n    background: unset;\\n}\\n\\nselector .jet-toggle__icon svg {\\n    fill: var( --e-global-color-46455ee );\\n    height: 16px;\\n    width: 16px;\\n}\\n\\nselector .jet-toggle__control:hover  .jet-toggle__label-text {\\n    transition: 0.3s\\n}\\n\\n@media (min-width:576px) and (max-width:830px){\\n    selector .jet-toggle__control {\\n        padding:0.6rem 0.625rem 0.4rem 0.625rem;\\n    }\\n    selector .jet-toggle__icon svg{\\n        width:12px;   \\n        height:12px;\\n    }\\n}\",\"__globals__\":{\"toggle_label_color\":\"globals\\/colors?id=af9acf8\",\"toggle_label_color_hover\":\"globals\\/colors?id=46455ee\",\"toggle_label_color_active\":\"globals\\/colors?id=46455ee\"},\"toggle_label_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"tabs_content_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"8a64214\"}],\"toggle_label_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"jet-accordion\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("11360", "28", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("11395", "1335", "_wp_attached_file", "2023/09/Mask-Group-13.png");
INSERT INTO `wp_postmeta` VALUES("11396", "1335", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:768;s:6:\"height\";i:642;s:4:\"file\";s:25:\"2023/09/Mask-Group-13.png\";s:8:\"filesize\";i:66728;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"Mask-Group-13-300x251.png\";s:5:\"width\";i:300;s:6:\"height\";i:251;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:44745;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"Mask-Group-13-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:21428;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("11770", "1377", "_wp_attached_file", "2023/09/WorkHome.png");
INSERT INTO `wp_postmeta` VALUES("11771", "1377", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:946;s:6:\"height\";i:737;s:4:\"file\";s:20:\"2023/09/WorkHome.png\";s:8:\"filesize\";i:330736;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"WorkHome-300x234.png\";s:5:\"width\";i:300;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:71069;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"WorkHome-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32937;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"WorkHome-768x598.png\";s:5:\"width\";i:768;s:6:\"height\";i:598;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:361235;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("11800", "1381", "_wp_attached_file", "2023/09/newworkhome.png");
INSERT INTO `wp_postmeta` VALUES("11801", "1381", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:946;s:6:\"height\";i:737;s:4:\"file\";s:23:\"2023/09/newworkhome.png\";s:8:\"filesize\";i:330736;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"newworkhome-300x234.png\";s:5:\"width\";i:300;s:6:\"height\";i:234;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:71069;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"newworkhome-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32937;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"newworkhome-768x598.png\";s:5:\"width\";i:768;s:6:\"height\";i:598;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:361235;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("12244", "1434", "_listing_data", "a:3:{s:6:\"source\";s:19:\"custom_content_type\";s:9:\"post_type\";s:12:\"team_members\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("12245", "1434", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("12246", "1434", "_elementor_page_settings", "a:5:{s:14:\"listing_source\";s:19:\"custom_content_type\";s:17:\"listing_post_type\";s:12:\"team_members\";s:11:\"listing_tax\";s:8:\"category\";s:8:\"cct_type\";s:12:\"team_members\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:367;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("12247", "1434", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("12248", "1434", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("12249", "1434", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("12250", "1434", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("12251", "1434", "_edit_lock", "1696936722:2");
INSERT INTO `wp_postmeta` VALUES("12284", "1434", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("12285", "1434", "_elementor_data", "[{\"id\":\"8a94ab7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bdb61a8\"}]},\"elements\":[{\"id\":\"624b43a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"min_height\":{\"unit\":\"px\",\"size\":270,\"sizes\":[]},\"background_background\":\"classic\",\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"__dynamic__\":{\"background_image\":\"[elementor-tag id=\\\"b86c40d\\\" name=\\\"jet-cct-image\\\" settings=\\\"%7B%22content_type_field%22%3A%22team_members__team_members_profile%22%7D\\\"]\"},\"background_overlay_background\":\"classic\",\"background_overlay_color\":\"#FECBF870\",\"__globals__\":{\"background_overlay_color\":\"\"},\"min_height_tablet\":{\"unit\":\"px\",\"size\":215,\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"px\",\"size\":190,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d702568\"}]},\"elements\":[],\"isInner\":true},{\"id\":\"f5de59e\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":80,\"sizes\":[]},\"flex_gap\":{\"column\":\"0\",\"row\":\"0.2\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":5,\"blur\":25,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.05)\"},\"margin\":{\"unit\":\"rem\",\"top\":\"-2.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"0.9\",\"right\":\"1.1\",\"bottom\":\"0.7\",\"left\":\"1.1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.825\",\"right\":\"0.625\",\"bottom\":\"0.625\",\"left\":\"0.625\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"z_index\":2,\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"width_mobile\":{\"unit\":\"%\",\"size\":95,\"sizes\":[]},\"_flex_align_self_mobile\":\"center\",\"jedv_conditions\":[{\"_id\":\"feff64f\"}]},\"elements\":[{\"id\":\"b2b4431\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"b1e026f\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22team_members__team_members_name%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"header_size\":\"span\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"871dcd3\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"2a1a5fd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"300\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"0852ef3\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22team_members__team_members_expertise%22%7D\\\"]\"},\"header_size\":\"span\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"02e16ca\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"809b007\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0627\\u06cc\\u0646\\u062c\\u0627 \\u06a9\\u0644\\u06cc\\u06a9 \\u06a9\\u0646\\u06cc\\u062f\",\"link\":{\"url\":\"\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"selected_icon\":{\"value\":{\"id\":3690,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/svgexport-17-9.svg\"},\"library\":\"svg\"},\"icon_indent\":{\"unit\":\"px\",\"size\":3,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"background_color\":\"#EE377200\",\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":7,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"fa21649\",\"quantity\":\"\",\"product_type\":\"\"}],\"custom_css\":\"selector .elementor-button-icon svg {\\r\\n    width: 15px;\\r\\n    height: auto;\\r\\n    margin-bottom: -3px\\r\\n}\\r\\n\\r\\n@media screen and (max-width:576px){\\r\\n    selector .elementor-button-icon svg {\\r\\n        width:12px;\\r\\n    }\\r\\n}\",\"__dynamic__\":{\"text\":\"[elementor-tag id=\\\"32276d8\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22team_members__team_members_stars%22%7D\\\"]\"},\"_offset_x\":{\"unit\":\"%\",\"size\":3,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y_end\":{\"unit\":\"%\",\"size\":30,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jet_family_widget_is_order_orientaion\":\"false\",\"jet_family_widget_order_orientaion\":\"\",\"jet_family_widget_order_orientaion_tablet\":\"\",\"jet_family_widget_order_orientaion_mobile\":\"\",\"jet_family_widget_is_flex_basis\":\"false\",\"jet_family_widget_flex_basis\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jet_family_widget_flex_basis_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"jet_family_widget_flex_basis_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"button_text_color\":\"globals\\/colors?id=af9acf8\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("12293", "1434", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("13045", "1523", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("13046", "1523", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13047", "1523", "_elementor_template_type", "archive");
INSERT INTO `wp_postmeta` VALUES("13048", "1523", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("13049", "1523", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13050", "1523", "_edit_lock", "1697115385:4");
INSERT INTO `wp_postmeta` VALUES("13056", "1523", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13057", "1523", "_elementor_data", "[{\"id\":\"af6578b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"flex-start\",\"jedv_conditions\":[{\"_id\":\"0ddd190\"}]},\"elements\":[{\"id\":\"9ad8082\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":15},\"_flex_size\":\"none\",\"_element_width\":\"initial\",\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"z_index\":2,\"custom_css\":\"selector {\\n    max-height: fit-content !important\\n}\",\"width_tablet\":{\"unit\":\"%\",\"size\":20,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"23d73fd\"}]},\"elements\":[{\"id\":\"323b65d\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1568\",\"columns\":\"1\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"vertical_gap\":{\"unit\":\"rem\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":0.40000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"1c60be6\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true},{\"id\":\"acb1cb5\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.2\",\"row\":\"1\"},\"flex_gap_tablet\":{\"column\":\"0.8\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0.6\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"-0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_title\":\"\\u06a9\\u0627\\u0646\\u062a\\u06cc\\u0646\\u0631\",\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"805ddf1\"}]},\"elements\":[{\"id\":\"4d31f37\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"dbfdcc7\"}]},\"elements\":[{\"id\":\"68ce931\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1529\",\"columns\":\"1\",\"posts_num\":1,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"2f2cec5\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"custom_css\":\"selector .jet-listing-grid__item > div {\\n    height: 100% !important\\n}\\n\\nselector .jet-listing-grid__item{\\n    height: 100%;\\n} \\n\\nselector .jet-listing-grid__items {\\n    height: 100%;\\n}\\n\\nselector .jet-listing-grid{\\n    height: 100%\\n}\\n\\nselector .elementor-element.elementor-element-2a52e25.e-flex.e-con-boxed.e-con.e-parent{\\n    height: 100%;\\n}\",\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":0.200000000000000011102230246251565404236316680908203125,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"c70345f\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true},{\"id\":\"93726d6\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"flex_wrap_mobile\":\"nowrap\",\"jedv_conditions\":[{\"_id\":\"093a965\"}]},\"elements\":[{\"id\":\"4c24eb6\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1529\",\"columns\":\"1\",\"posts_num\":1,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"c469be1\",\"type\":\"order_offset\",\"offset\":1}],\"terms_meta_query\":[],\"users_meta_query\":[],\"vertical_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"218f907\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"7aa26d4\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1529\",\"columns\":\"2\",\"posts_num\":2,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"fe181c4\",\"type\":\"order_offset\",\"offset\":2}],\"terms_meta_query\":[],\"users_meta_query\":[],\"columns_tablet\":\"1\",\"equal_columns_height\":\"yes\",\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":0.625,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"injection_items\":[],\"jedv_conditions\":[{\"_id\":\"035ccdf\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"9a06699\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"3448760\"}]},\"elements\":[{\"id\":\"188a9bd\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0642\\u0627\\u0644\\u0627\\u062a\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1861412\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3215bb6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0627\\u062e\\u0628\\u0627\\u0631 \\u0633\\u0627\\u06cc\\u062a\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"align_tablet\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"bcc8915\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"54f0152\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1549\",\"columns\":\"2\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"1f48d8f\",\"offset\":1}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns_mobile\":\"1\",\"injection_items\":[],\"_element_id\":\"blogs\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"c503d2c\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"e4de1cc\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"blogs\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false},{\"id\":\"1ba059e\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":0,\"bottom\":\"4\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":0,\"bottom\":\"4\",\"left\":0,\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"eb33191\"}],\"flex_align_items\":\"stretch\",\"flex_gap\":{\"size\":10,\"column\":\"10\",\"row\":\"10\",\"unit\":\"px\"}},\"elements\":[{\"id\":\"0a2c97c\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":4348,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/single-post-banner-1.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4b60dbb\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("13065", "1523", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("13066", "1523", "_elementor_conditions", "a:1:{i:0;s:28:\"include/archive/post_archive\";}");
INSERT INTO `wp_postmeta` VALUES("13101", "1529", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("13102", "1529", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("13103", "1529", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:411;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13104", "1529", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13105", "1529", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("13106", "1529", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("13107", "1529", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13108", "1529", "_edit_lock", "1697115331:4");
INSERT INTO `wp_postmeta` VALUES("13114", "1529", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13115", "1529", "_elementor_data", "[{\"id\":\"841b34f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"background_background\":\"classic\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1.2\",\"right\":\"1.2\",\"bottom\":\"1.2\",\"left\":\"1.2\",\"isLinked\":true},\"__dynamic__\":{\"background_image\":\"[elementor-tag id=\\\"d6666ff\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"},\"min_height\":{\"unit\":\"px\",\"size\":180,\"sizes\":[]},\"flex_justify_content\":\"flex-end\",\"flex_align_items\":\"flex-start\",\"background_position\":\"center center\",\"background_repeat\":\"no-repeat\",\"background_size\":\"cover\",\"background_overlay_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":-20,\"vertical\":20,\"blur\":50,\"spread\":0,\"color\":\"rgba(8, 20, 32, 0.14901960784313725)\"},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.625\",\"bottom\":\"0.625\",\"left\":\"0.625\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"__globals__\":{\"background_overlay_color\":\"\"},\"min_height_tablet\":{\"unit\":\"px\",\"size\":105,\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"px\",\"size\":160,\"sizes\":[]},\"custom_css\":\"selector:before{\\n    transition: 0.6s;\\n     content: \\\"\\\";\\n    position: absolute;\\n    top: -5%;\\n    right: 0;\\n    width: 100%;\\n    height: 110%;\\n    border-radius: 10px;\\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\\n    opacity: 0.65;\\n    border-radius: 20px;\\n}\\n\\nselector:hover:before{\\n    transition: 0.6s;\\n    top: 0;\\n    height: 100%;\\n    opacity: 0.85\\n}\",\"jedv_conditions\":[{\"_id\":\"83ef276\"}],\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"995aca9\",\"elType\":\"widget\",\"settings\":{\"meta_items\":[{\"icon\":\"\",\"_id\":\"00ffc41\"}],\"date_format\":\"j F Y\",\"zero_comments_format\":\"0\",\"one_comment_format\":\"1\",\"more_comments_format\":\"%\",\"item_typography_typography\":\"custom\",\"item_typography_font_family\":\"Dana\",\"item_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__globals__\":{\"item_color\":\"globals\\/colors?id=text\",\"item_val_color\":\"globals\\/colors?id=5b191c6\"},\"date_link\":\"no-link\",\"jedv_conditions\":[{\"_id\":\"d2d9a05\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-meta\"},{\"id\":\"45789cb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"right\",\"title_color\":\"#FFFFFF\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d58f6a2\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"102af80\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"header_size\":\"span\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e5dd780\"}]},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("13123", "1529", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("13218", "1541", "_wp_attached_file", "2023/09/single-post-banner-1.png");
INSERT INTO `wp_postmeta` VALUES("13219", "1541", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1184;s:6:\"height\";i:135;s:4:\"file\";s:32:\"2023/09/single-post-banner-1.png\";s:8:\"filesize\";i:29193;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-300x34.png\";s:5:\"width\";i:300;s:6:\"height\";i:34;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8477;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"single-post-banner-1-1024x117.png\";s:5:\"width\";i:1024;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:61925;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"single-post-banner-1-150x135.png\";s:5:\"width\";i:150;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8224;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-768x88.png\";s:5:\"width\";i:768;s:6:\"height\";i:88;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39666;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13296", "1549", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("13297", "1549", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("13298", "1549", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:496;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13299", "1549", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13300", "1549", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("13301", "1549", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("13302", "1549", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13303", "1549", "_edit_lock", "1697013044:1");
INSERT INTO `wp_postmeta` VALUES("13309", "1549", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13310", "1549", "_elementor_data", "[{\"id\":\"cdd4bd1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"px\",\"size\":0,\"column\":\"0\",\"row\":\"0\"},\"flex_align_items\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_direction_tablet\":\"column\",\"custom_css\":\"selector {\\n    transition: 0.6s;\\n}\\n\\nselector:hover {\\n    transition: 0.6s;\\n    transform: translateY(-15px)\\n}\",\"jedv_conditions\":[{\"_id\":\"358e843\"}]},\"elements\":[{\"id\":\"ad2eba0\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":32},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"_element_width\":\"initial\",\"width_tablet\":{\"unit\":\"%\",\"size\":100},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"z_index_tablet\":3,\"_element_width_tablet\":\"initial\",\"jedv_conditions\":[{\"_id\":\"2ff2b5a\"}]},\"elements\":[{\"id\":\"1072aa3\",\"elType\":\"widget\",\"settings\":{\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":195,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"custom_css\":\"selector a {\\n    width: 100%\\n}\\n\\nselector a {\\n    position: relative;\\n}\\n\\nselector a:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    top: 0;\\n    right: 0;\\n    width: 100%;\\n    height: 100%;\\n    border-radius: 10px;\\n    background: linear-gradient(0deg, #5e71ff, transparent);\\n    opacity: 0.5;\\n    border-radius: 20px;\\n}\",\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"be2add6\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"4906556\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"height_tablet\":{\"unit\":\"px\",\"size\":175,\"sizes\":[]},\"height_mobile\":{\"unit\":\"px\",\"size\":160,\"sizes\":[]},\"_z_index_tablet\":2,\"jedv_conditions\":[{\"_id\":\"916740e\"}]},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":true},{\"id\":\"da545d7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":68},\"min_height\":{\"unit\":\"px\",\"size\":174.3600000000000136424205265939235687255859375,\"sizes\":[]},\"min_height_tablet\":{\"unit\":\"custom\",\"size\":\"0\",\"sizes\":[]},\"min_height_mobile\":{\"unit\":\"custom\",\"size\":\"\",\"sizes\":[]},\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"25\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"25\",\"isLinked\":false},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":3,\"blur\":35,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.0784313725490196)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"unit\":\"%\",\"size\":92,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":95,\"sizes\":[]},\"border_radius_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"25\",\"left\":\"25\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"-0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"flex_justify_content\":\"space-between\",\"jedv_conditions\":[{\"_id\":\"33c6a87\"}]},\"elements\":[{\"id\":\"57556d1\",\"elType\":\"widget\",\"settings\":{\"meta_items\":[{\"icon\":\"\",\"_id\":\"00ffc41\"}],\"date_format\":\"j F Y\",\"zero_comments_format\":\"0\",\"one_comment_format\":\"1\",\"more_comments_format\":\"%\",\"item_typography_typography\":\"custom\",\"item_typography_font_family\":\"Dana\",\"item_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__globals__\":{\"item_color\":\"globals\\/colors?id=text\",\"item_val_color\":\"globals\\/colors?id=text\"},\"jedv_conditions\":[{\"_id\":\"8df1766\"}],\"date_link\":\"no-link\"},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-meta\"},{\"id\":\"fb1c204\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"right\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d58f6a2\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"102af80\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=accent\"},\"header_size\":\"span\",\"custom_css\":\"selector span {\\n    display: -webkit-box;\\n    -webkit-line-clamp: 1;\\n    -webkit-box-orient: vertical;\\n    overflow: hidden;\\n}\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"b25ca22\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"9a14910\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"post_content\",\"dynamic_excerpt_more\":\"...\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"dynamic_field_format\":\"%s\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"jet_engine_trim_string_callback\",\"jet_trim_cb_type\":\"words\",\"jet_trim_cb_length\":\"20\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"field_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"field_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"content_alignment\":\"right\",\"custom_css\":\"selector .jet-listing-dynamic-field__content {\\n    text-align: justify !important; \\n}\",\"__globals__\":{\"field_color\":\"globals\\/colors?id=text\"},\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"175cdc5\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"7487770\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0628\\u06cc\\u0634\\u062a\\u0640\\u0631\",\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"background_color\":\"#5E71FF00\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=46455ee\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"b2a68cf\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"1d2c6d7\"}]},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("13312", "1549", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("13490", "1568", "_listing_data", "a:3:{s:6:\"source\";s:5:\"terms\";s:9:\"post_type\";s:4:\"post\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("13491", "1568", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("13492", "1568", "_elementor_page_settings", "a:4:{s:14:\"listing_source\";s:5:\"terms\";s:17:\"listing_post_type\";s:4:\"post\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:300;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13493", "1568", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13494", "1568", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("13495", "1568", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("13496", "1568", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13497", "1568", "_edit_lock", "1697010459:1");
INSERT INTO `wp_postmeta` VALUES("13503", "1568", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13504", "1568", "_elementor_data", "[{\"id\":\"f68ae75\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0.4\",\"left\":\"0\",\"isLinked\":false},\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"border_color\":\"#B5B1B12E\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"ee428fd\"}]},\"elements\":[{\"id\":\"3dbcd67\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"align\":\"right\",\"title_color\":\"#716F87\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"custom_css\":\"selector span:hover {\\n    color: var(--e-global-color-af9acf8) !important;\\n    transition: 0.5s;\\n}\\n\\nselector span {\\n    transition: 0.5s;\\n    padding-right: 1rem\\n}\\n\\nselector span:before{\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 5px;\\n    height: 5px;\\n    border-radius: 100px;\\n    background-color: var(--e-global-color-46455ee);\\n    top: 50%;\\n    transform: translateY(-50%);\\n    right: -0.1%;\\n}\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"00fb982\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22category%22%2C%22term_field%22%3A%22name%22%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"eb22275\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22category%22%2C%22term_field%22%3A%22term_url%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"9eca4c4\"}]},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("13512", "1568", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("13553", "1575", "_edit_lock", "1695295601:2");
INSERT INTO `wp_postmeta` VALUES("13554", "1575", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("13555", "1576", "_wp_attached_file", "2023/09/post-1.jpg");
INSERT INTO `wp_postmeta` VALUES("13556", "1576", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:637;s:6:\"height\";i:383;s:4:\"file\";s:18:\"2023/09/post-1.jpg\";s:8:\"filesize\";i:29936;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:18:\"post-1-300x180.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9620;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"post-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5239;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13557", "1575", "_thumbnail_id", "1576");
INSERT INTO `wp_postmeta` VALUES("13558", "1575", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13576", "1579", "_edit_lock", "1695295815:2");
INSERT INTO `wp_postmeta` VALUES("13577", "1579", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("13578", "1579", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13581", "1581", "_wp_attached_file", "2023/09/p.jpg");
INSERT INTO `wp_postmeta` VALUES("13582", "1581", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:637;s:6:\"height\";i:383;s:4:\"file\";s:13:\"2023/09/p.jpg\";s:8:\"filesize\";i:45908;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:13:\"p-300x180.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:14118;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:13:\"p-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7147;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13583", "1579", "_thumbnail_id", "1581");
INSERT INTO `wp_postmeta` VALUES("13597", "1583", "_edit_lock", "1696233970:2");
INSERT INTO `wp_postmeta` VALUES("13598", "1583", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("13599", "1583", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13602", "1585", "_wp_attached_file", "2023/09/njanja-kovac-3532-62002-original-protected-1-637x383-1.jpg");
INSERT INTO `wp_postmeta` VALUES("13603", "1585", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:637;s:6:\"height\";i:383;s:4:\"file\";s:66:\"2023/09/njanja-kovac-3532-62002-original-protected-1-637x383-1.jpg\";s:8:\"filesize\";i:39310;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:66:\"njanja-kovac-3532-62002-original-protected-1-637x383-1-300x180.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:180;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12326;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:66:\"njanja-kovac-3532-62002-original-protected-1-637x383-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5939;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13604", "1583", "_thumbnail_id", "1585");
INSERT INTO `wp_postmeta` VALUES("13747", "1600", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("13748", "1600", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13749", "1600", "_elementor_template_type", "single-post");
INSERT INTO `wp_postmeta` VALUES("13750", "1600", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("13751", "1600", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13752", "1600", "_edit_lock", "1697114854:4");
INSERT INTO `wp_postmeta` VALUES("13753", "1600", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("13754", "1600", "_elementor_data", "[{\"id\":\"93e540b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-shortcode , selector .fbc-items{\\n    width: 100%;\\n}\\n\\nselector .fbc-page .fbc-wrap .fbc-items {\\n    background: #fff;\\n    border: 1px solid  #b5b1b12e;\\n    padding:  0 0.5rem;\\n    border-radius: 15px;\\n}\\n\\nselector .fbc-items li {\\n    padding: 0.5rem 0.325rem;\\n    padding-top: 0.625rem;\\n    font-family: \\\"Dana\\\";\\n    font-weight: 300;\\n    font-size: 14px\\n}\\n\\nselector .fbc-items li.active span {\\n    font-weight: 300;\\n    font-size: 14px !important\\n}\\n\\n@media screen and (max-width:830px){\\n    selector .fbc-items li {\\n\\n    font-size: 12px\\n}\\n\\nselector .fbc-items li.active span {\\n\\n    font-size: 12px !important\\n}\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .fbc-items li {\\n    padding: 0.2rem 0.3rem; \\n    }\\n    selector .fbc-page .fbc-wrap .fbc-items{\\n        padding:0.625rem;\\n    }\\n}\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"e071b42\"}]},\"elements\":[{\"id\":\"d8a1def\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[flexy_breadcrumb]\",\"jedv_conditions\":[{\"_id\":\"400fe7f\"}]},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false},{\"id\":\"3b71703\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":null,\"column\":\"\",\"row\":\"\"},\"flex_gap_tablet\":{\"column\":\"1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_mobile\":\"column-reverse\",\"jedv_conditions\":[{\"_id\":\"1d4df51\"}]},\"elements\":[{\"id\":\"dae7f98\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":75},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":true},\"_flex_size\":\"none\",\"_element_width\":\"initial\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_color\":\"#B5B1B12E\",\"border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0.625\",\"bottom\":\"0.625\",\"left\":\"0.625\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"unit\":\"%\",\"size\":65,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e8a3788\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"34f749c\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%22fallback%22%3A%7B%22url%22%3A%22%22%2C%22id%22%3A%22%22%2C%22size%22%3A%22%22%7D%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":350,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"height_mobile\":{\"unit\":\"px\",\"size\":250,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"1d5a457\"}]},\"elements\":[],\"widgetType\":\"theme-post-featured-image\"},{\"id\":\"6cea4f0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c76fc3d\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"1b9a1da\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"title_color\":\"#5E71FF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"a6fe26f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"column\":\"1\",\"row\":\"1\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b00f9d9\",\"quantity\":\"\",\"product_type\":\"\"}],\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"9bf6e8f\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"selected_icon\":{\"value\":\"far fa-calendar-alt\",\"library\":\"fa-regular\"},\"_id\":\"b527fbb\",\"custom_date_format\":\"j F Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\",\"date_format\":\"custom\"},{\"type\":\"comments\",\"selected_icon\":{\"value\":\"far fa-comment\",\"library\":\"fa-regular\"},\"_id\":\"8d70532\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"show_icon\":\"custom\"}],\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanweblight_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"f8b229b\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"space_between_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":184.667000000000001591615728102624416351318359375},\"_flex_size\":\"none\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"post-info\"},{\"id\":\"e3d053b\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"twitter\",\"_id\":\"e5e1423\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"left\",\"column_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.5500000000000000444089209850062616169452667236328125,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2.5,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height\":{\"unit\":\"em\",\"size\":3.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#02010100\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=text\",\"secondary_color_hover\":\"globals\\/colors?id=primary\"},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true},{\"id\":\"da92e1b\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#B5B1B12E\",\"gap_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b528f89\"}]},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"9d8c997\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"52acd7a\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"align_mobile\":\"right\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13.5,\"sizes\":[]},\"custom_css\":\"selector img {\\n    margin-bottom: 15px;\\n    border-radius: 6px;\\n}\\n\\nselector h2 {\\n    font-size: 22px;\\n}\\nselector h3 {\\n    font-size: 20px;\\n}\\n\\n@media screen and (max-width:830px){\\n    selector h2 {\\n    font-size: 17px;\\n}\\nselector h3 {\\n    font-size: 14px;\\n}\\n}\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-post-content\"}],\"isInner\":true},{\"id\":\"0f6f2dd\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky\":\"top\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_offset\":10,\"sticky_parent\":\"yes\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.7\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"ee4818f\"}],\"_flex_align_self\":\"flex-start\"},\"elements\":[{\"id\":\"305ae63\",\"elType\":\"container\",\"settings\":{\"overflow\":\"hidden\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1.2\",\"right\":\"1\",\"bottom\":\"0.625\",\"left\":\"1\",\"isLinked\":false},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"58fc0b4\"}],\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"0d47a2e\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u0646\\u0686\\u0647 \\u062f\\u0631 \\u0627\\u06cc\\u0646 \\u0645\\u0637\\u0644\\u0628 \\u0645\\u06cc\\u062e\\u0648\\u0627\\u0646\\u06cc\\u062f !\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"_element_width_mobile\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"7c91fec\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6a3a829\",\"elType\":\"widget\",\"settings\":{\"title\":\"\",\"html_tag\":\"div\",\"exclude_headings_by_selector\":\"h3#reply-title, h2#reply-title, #reply-title, h3.title-comments\",\"marker_view\":\"bullets\",\"icon\":{\"value\":\"\",\"library\":\"\"},\"minimize_box\":\"\",\"border_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"header_typography_typography\":\"custom\",\"header_typography_font_family\":\"iranyekanwebregular_FaNum\",\"header_typography_font_weight\":\"normal\",\"header_separator_width\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"list_typography_typography\":\"custom\",\"list_typography_font_family\":\"iranyekanwebregular_FaNum\",\"list_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"list_typography_font_weight\":\"300\",\"list_indent\":{\"unit\":\"em\",\"size\":0.40000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"item_text_underline_hover\":\"\",\"jedv_conditions\":[{\"_id\":\"136a3d7\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"item_text_color_hover\":\"globals\\/colors?id=46455ee\",\"item_text_color_active\":\"globals\\/colors?id=46455ee\",\"background_color\":\"\"},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.3\",\"bottom\":\"0\",\"left\":\"0.3\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.325\",\"bottom\":\"0\",\"left\":\"0.325\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"list_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"item_text_color_hover\":\"#5E71FF\",\"item_text_color_active\":\"#5E71FF\"},\"elements\":[],\"widgetType\":\"table-of-contents\"}],\"isInner\":true},{\"id\":\"f02e6ce\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1651\",\"columns\":\"1\",\"posts_num\":5,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"injection_items\":[],\"dots\":\"true\",\"dots_size\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"__globals__\":{\"dots_bg_color_hover\":\"globals\\/colors?id=46455ee\",\"dots_bg_color_active\":\"globals\\/colors?id=46455ee\"},\"custom_css\":\"selector .jet-slick-dots li.slick-active {\\r\\n    background: var(--e-global-color-46455ee);\\r\\n    width: 12px !important;\\r\\n    border-radius: 40px; \\r\\n    \\r\\n}\\r\\n\\r\\nselector .slick-track{\\r\\n    padding: 0;\\r\\n}\",\"jedv_conditions\":[{\"_id\":\"7ca91c4\"}],\"vertical_gap\":{\"unit\":\"px\",\"size\":30,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":false},{\"id\":\"3c784a3\",\"elType\":\"section\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"6\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":0,\"bottom\":\"0\",\"left\":0,\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.625\",\"bottom\":\"0\",\"left\":\"0.625\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"eb33191\"}]},\"elements\":[{\"id\":\"b51518a\",\"elType\":\"column\",\"settings\":{\"_column_size\":100,\"_inline_size\":null,\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"10457f3\"}],\"column_sticky_offset\":50,\"scroll_y\":-80},\"elements\":[{\"id\":\"62a08bd\",\"elType\":\"widget\",\"settings\":{\"image\":{\"id\":4348,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/single-post-banner-1.png\"},\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"4b60dbb\"}],\"scroll_y\":-80},\"elements\":[],\"widgetType\":\"image\"}],\"isInner\":false}],\"isInner\":false},{\"id\":\"f04cc6f\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"5\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"5\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"71f8b0a\"}]},\"elements\":[{\"id\":\"ebabfa8\",\"elType\":\"widget\",\"settings\":{\"_skin\":\"theme_comments\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"custom_css\":\"selector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector a {\\r\\n    color: var(--e-global-color-primary)\\r\\n}\\r\\n\\r\\nselector .comment-reply-title{\\r\\n    font-family: \\\"Dana\\\";\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\nselector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FAt;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\n\\r\\nselector label{\\r\\n    color: #F7F8FA;\\r\\n    font-size: 12px\\r\\n}\\r\\n\\r\\n\\r\\nselector p.logged-in-as {\\r\\n    font-size: 13px;\\r\\n    margin: 0 0 1.5rem 0;\\r\\n}\\r\\n\\r\\nselector .comment-body{\\r\\n    background-color: #F7F8FA;\\r\\n    border-radius: 15px;\\r\\n    border: none !important;\\r\\n    margin-bottom: 1rem;\\r\\n    padding: 2rem 5rem 2rem 2rem !important;\\r\\n}\\r\\n\\r\\nselector .avatar{\\r\\n    right: 1.5% !important; \\r\\n}\\r\\n\\r\\nselector .submit{\\r\\n        border: none;\\r\\n    color: #fff;\\r\\n    font-size: 14px;\\r\\n    border-radius: 15px;\\r\\n}\\r\\n\\r\\n\\r\\nselector .title-comments{\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent label{\\r\\n    color: unset !important;\\r\\n}\\r\\n\\r\\nselector .submit {\\r\\n    padding: 7px 12px\\r\\n}\\r\\n\\r\\nselector .logged-in-as {\\r\\n    margin: 0 !important;\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent {\\r\\n        margin: 1.4rem 0 0.625rem 0;\\r\\n}\\r\\n\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n    margin: 0.8rem 0 0.5rem 0;\\r\\n}\\r\\n\\r\\n\\r\\n@media screen and (max-width:578px){\\r\\n    selector .comment-body{\\r\\n        padding:1rem !important;\\r\\n    }\\r\\n    \\r\\n    selector .fn{\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector time{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-edit-link{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .says{\\r\\n        font-size:10px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-content p {\\r\\n        font-size:11px;\\r\\n    }\\r\\n    \\r\\n    selector .title-comments{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-reply-title{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-notes span {\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent label{\\r\\n        font-size:11.5px;\\r\\n        line-height:1.3rem;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent{\\r\\n        display:flex;\\r\\n        gap:0.4rem;\\r\\n    }\\r\\n}\",\"_padding\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"1.4\",\"bottom\":\"1.4\",\"left\":\"1.4\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_background_background\":\"classic\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_color\":\"#B5B1B12E\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=5b191c6\"},\"jedv_conditions\":[{\"_id\":\"3aa13f9\"}]},\"elements\":[],\"widgetType\":\"post-comments\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("13755", "1600", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("13764", "1600", "_elementor_conditions", "a:1:{i:0;s:21:\"include/singular/post\";}");
INSERT INTO `wp_postmeta` VALUES("13985", "1623", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:14:\"sample-project\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("13986", "1623", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("13987", "1623", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:8:\"projects\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:351;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("13988", "1623", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("13989", "1623", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("13990", "1623", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("13991", "1623", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("13992", "1623", "_edit_lock", "1697100006:2");
INSERT INTO `wp_postmeta` VALUES("14006", "1623", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("14007", "1623", "_elementor_data", "[{\"id\":\"78d0560\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":10,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.055)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector:hover {\\n    transform: translateY(-7px);\\n    transition: 0.6s;\\n}\\n\\nselector {\\n    transition: 0.6s;\\n}\",\"jedv_conditions\":[{\"_id\":\"106d09b\"}]},\"elements\":[{\"id\":\"3f9910c\",\"elType\":\"widget\",\"settings\":{\"link_to\":\"custom\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":205,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"custom_css\":\"selector a {\\n    position: relative;\\n    width: 100%;\\n}\\n\\nselector a:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    top: 0;\\n    right: 0;\\n    width: 100%;\\n    height: 100%;\\n    border-radius: 10px;\\n    background: linear-gradient(0deg, #9940d4, transparent);\\n    opacity: 0.5\\n}\",\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"a49b249\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"309f7c2\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"fa21755\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"42a9af6\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.5\",\"bottom\":\"0.15\",\"left\":\"0.5\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_position\":\"absolute\",\"_offset_x\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"b721ccc\"}],\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"6\",\"isLinked\":false},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":15,\"blur\":20,\"spread\":0,\"color\":\"rgba(153, 64.00000000000007, 212.00000000000006, 0.11)\"},\"custom_css\":\"selector span {\\n    min-width: 70px;\\n    display: inline-block;\\n    text-align: center;\\n    position: relative;\\n}\\n\\nselector span:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    background: var(--e-global-color-46455ee);\\n    border-radius: 100px;\\n    width: 4px;\\n    height: 4px;\\n    right: -2%;\\n    transform: translateY(-85%);\\n    top: 50%;\\n}\\nselector span:before {\\n    content: \\\"\\\";\\n    position: absolute;\\n    background: var(--e-global-color-46455ee);\\n    border-radius: 100px;\\n    width: 4px;\\n    height: 4px;\\n    left: -2%;\\n    transform: translateY(-85%);\\n    top: 50%;\\n}\\n\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"fbd25e1\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22projects-categories%22%2C%22term_field%22%3A%22name%22%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"0ceae7c\\\" name=\\\"jet-term-field\\\" settings=\\\"%7B%22taxonomy%22%3A%22projects-categories%22%2C%22term_field%22%3A%22term_url%22%7D\\\"]\"},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=5b191c6\",\"title_color\":\"globals\\/colors?id=46455ee\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"cf02dc3\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector span {\\n    display: -webkit-box;\\n    -webkit-line-clamp: 1;\\n    -webkit-box-orient: vertical;\\n    overflow: hidden;\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"50c2913\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"1905878\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"715b874\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"20acf5f\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u062c\\u0632\\u0626\\u06cc\\u0640\\u0627\\u062a\",\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"background_color\":\"#5E71FF00\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.1\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=text\",\"hover_color\":\"globals\\/colors?id=46455ee\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"72b09d6\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"bdcec26\"}]},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("14015", "1623", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("14215", "1649", "_edit_lock", "1695728362:2");
INSERT INTO `wp_postmeta` VALUES("14216", "1649", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("14217", "1650", "_wp_attached_file", "2023/09/media-marketing.svg");
INSERT INTO `wp_postmeta` VALUES("14218", "1650", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:983;s:5:\"width\";i:55;s:6:\"height\";i:63;}");
INSERT INTO `wp_postmeta` VALUES("14220", "1649", "services-grid-icon", "");
INSERT INTO `wp_postmeta` VALUES("14221", "1649", "_wp_old_slug", "%d8%a8%d8%a7%d8%b2%d8%a7%d8%b1%db%8c%d8%a7%d8%a8%db%8c-%d9%85%d8%ad%d8%aa%d9%88%d8%a7");
INSERT INTO `wp_postmeta` VALUES("14222", "1651", "_listing_data", "a:3:{s:6:\"source\";s:5:\"posts\";s:9:\"post_type\";s:12:\"our-services\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("14223", "1651", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("14224", "1651", "_elementor_page_settings", "a:3:{s:17:\"listing_post_type\";s:12:\"our-services\";s:11:\"listing_tax\";s:8:\"category\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:377;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("14225", "1651", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("14226", "1651", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("14227", "1651", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("14228", "1651", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("14229", "1651", "_edit_lock", "1697115373:4");
INSERT INTO `wp_postmeta` VALUES("15187", "1758", "_wp_attached_file", "2023/09/svgexport-6-3.svg");
INSERT INTO `wp_postmeta` VALUES("15188", "1758", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2836;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("15585", "1802", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("15586", "1802", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("15587", "1802", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("15588", "1802", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("15589", "1802", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("15590", "1802", "_edit_lock", "1697115162:4");
INSERT INTO `wp_postmeta` VALUES("15597", "1802", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("15598", "1802", "_elementor_data", "[{\"id\":\"f29f042\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F5F5FF3B\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"fecf847\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns\":\"4\",\"posts_num\":8,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[],\"_element_id\":\"projects\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"44be693\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"projects\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\",\"jedv_enabled\":\"\",\"jedv_type\":\"show\",\"jedv_relation\":\"AND\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("15606", "1802", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("16587", "1908", "_edit_lock", "1697108160:2");
INSERT INTO `wp_postmeta` VALUES("16596", "1908", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("16597", "1909", "_wp_attached_file", "2023/09/Mask-Group-31-860x684-1.jpg");
INSERT INTO `wp_postmeta` VALUES("16598", "1909", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:684;s:4:\"file\";s:35:\"2023/09/Mask-Group-31-860x684-1.jpg\";s:8:\"filesize\";i:62467;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-31-860x684-1-300x239.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:239;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12583;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-31-860x684-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:5690;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-31-860x684-1-768x611.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:611;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:49047;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("16599", "1908", "_thumbnail_id", "1909");
INSERT INTO `wp_postmeta` VALUES("16600", "1910", "_edit_lock", "1697108167:2");
INSERT INTO `wp_postmeta` VALUES("16601", "1910", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("16602", "1911", "_wp_attached_file", "2023/09/Mask-Group-33-860x684-1.jpg");
INSERT INTO `wp_postmeta` VALUES("16603", "1911", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:684;s:4:\"file\";s:35:\"2023/09/Mask-Group-33-860x684-1.jpg\";s:8:\"filesize\";i:45591;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-33-860x684-1-300x239.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:239;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:9980;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-33-860x684-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4524;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-33-860x684-1-768x611.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:611;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:36243;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("16604", "1910", "_thumbnail_id", "1911");
INSERT INTO `wp_postmeta` VALUES("16605", "1912", "_edit_lock", "1697108187:2");
INSERT INTO `wp_postmeta` VALUES("16606", "1912", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("16607", "1913", "_wp_attached_file", "2023/09/Mask-Group-34-860x684-1.jpg");
INSERT INTO `wp_postmeta` VALUES("16608", "1913", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:860;s:6:\"height\";i:684;s:4:\"file\";s:35:\"2023/09/Mask-Group-34-860x684-1.jpg\";s:8:\"filesize\";i:66437;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"Mask-Group-34-860x684-1-300x239.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:239;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13963;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"Mask-Group-34-860x684-1-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6325;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"Mask-Group-34-860x684-1-768x611.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:611;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:52798;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("16609", "1912", "_thumbnail_id", "1913");
INSERT INTO `wp_postmeta` VALUES("18040", "1910", "sample-gallery", "a:6:{i:0;a:2:{s:2:\"id\";i:1909;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg\";}i:1;a:2:{s:2:\"id\";i:1911;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-33-860x684-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}i:5;a:2:{s:2:\"id\";i:771;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-36-860x762-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("18644", "1908", "sample-gallery", "a:6:{i:0;a:2:{s:2:\"id\";i:1911;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-33-860x684-1.jpg\";}i:1;a:2:{s:2:\"id\";i:1909;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:4;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:5;a:2:{s:2:\"id\";i:771;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-36-860x762-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("18875", "1910", "_field_40884", "a:3:{s:6:\"item-0\";a:1:{s:37:\"مهارت-های-بکار-رفته-:\";s:4:\"html\";}s:6:\"item-1\";a:1:{s:37:\"مهارت-های-بکار-رفته-:\";s:3:\"css\";}s:6:\"item-2\";a:1:{s:37:\"مهارت-های-بکار-رفته-:\";s:9:\"bootstrap\";}}");
INSERT INTO `wp_postmeta` VALUES("18898", "1910", "_field_34352", "a:3:{s:6:\"item-0\";a:1:{s:9:\"abilities\";s:3:\"css\";}s:6:\"item-1\";a:1:{s:9:\"abilities\";s:4:\"html\";}s:6:\"item-2\";a:1:{s:9:\"abilities\";s:9:\"bootstrap\";}}");
INSERT INTO `wp_postmeta` VALUES("18965", "1910", "portfolio_abilities_", "a:5:{s:6:\"item-0\";a:1:{s:9:\"abilities\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:9:\"abilities\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:9:\"abilities\";s:9:\"Bootstrap\";}s:6:\"item-3\";a:1:{s:9:\"abilities\";s:11:\"Java Script\";}s:6:\"item-4\";a:1:{s:9:\"abilities\";s:3:\"Php\";}}");
INSERT INTO `wp_postmeta` VALUES("19288", "2178", "_wp_attached_file", "2023/09/20161019052135-Content-Marketing.jpeg");
INSERT INTO `wp_postmeta` VALUES("19289", "2178", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2000;s:6:\"height\";i:1334;s:4:\"file\";s:45:\"2023/09/20161019052135-Content-Marketing.jpeg\";s:8:\"filesize\";i:458522;s:5:\"sizes\";a:5:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"20161019052135-Content-Marketing-300x200.jpeg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:18822;}s:5:\"large\";a:5:{s:4:\"file\";s:46:\"20161019052135-Content-Marketing-1024x683.jpeg\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:141276;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"20161019052135-Content-Marketing-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8318;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"20161019052135-Content-Marketing-768x512.jpeg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:87828;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:47:\"20161019052135-Content-Marketing-1536x1025.jpeg\";s:5:\"width\";i:1536;s:6:\"height\";i:1025;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:272792;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19290", "1649", "_thumbnail_id", "2178");
INSERT INTO `wp_postmeta` VALUES("19296", "1651", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("19297", "1651", "_elementor_data", "[{\"id\":\"5b640c7\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":0},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"border_border\":\"none\",\"custom_css\":\"selector a {\\n    width: 100%;\\n}\\n\\nselector{\\n    transition: 0.6s;\\n}\\n\\nselector:hover {\\n    transform: translateY(-15px);\\n    transition: 0.6s;\\n}\",\"jedv_conditions\":[{\"_id\":\"277b6d2\"}]},\"elements\":[{\"id\":\"e894ee4\",\"elType\":\"widget\",\"settings\":{\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":210,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"0\",\"left\":\"10\",\"isLinked\":false},\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"51e27e5\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"a0f14ee\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"_background_background\":\"classic\",\"custom_css\":\"selector a{\\n    position: relative;\\n}\\n\\nselector a:before{\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 100%;\\n    height: 100%;\\n    top: 0;\\n    right: 0;\\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\\n    z-index: 0;\\n}\\n\\n\\nselector .elementor-widget-container{\\n    height: 210px;\\n}\\n\",\"link_to\":\"custom\",\"jedv_conditions\":[{\"_id\":\"3efa715\"}]},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"6b776f0\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"border_color\":\"#B5B1B12E\",\"border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":20,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.07)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0.8\",\"bottom\":\"0.8\",\"left\":\"0.8\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end\":{\"unit\":\"%\",\"size\":0,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_orientation_v\":\"end\",\"_offset_y\":{\"unit\":\"%\",\"size\":25,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end\":{\"unit\":\"%\",\"size\":6,\"sizes\":[]},\"_offset_y_end_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_end_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"z_index\":2,\"custom_css\":\"selector {\\n    width: 94%;\\n}\",\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"css_classes\":\"main-content\",\"jedv_conditions\":[{\"_id\":\"e15b4f1\"}]},\"elements\":[{\"id\":\"8b2dac2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":15.5,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector span {\\n    display: -webkit-box;\\n    -webkit-line-clamp: 1;\\n    -webkit-box-orient: vertical;\\n    overflow: hidden;\\n}\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"50c2913\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\",\"link\":\"[elementor-tag id=\\\"1905878\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"0a7bec2\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"95f9b77\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_post_object\":\"post_content\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"jet_engine_trim_string_callback\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"jet_trim_cb_type\":\"words\",\"jet_trim_cb_length\":\"15\",\"dynamic_field_format\":\"%s\",\"field_color\":\"#716F87\",\"field_typography_typography\":\"custom\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_typography_line_height\":{\"unit\":\"rem\",\"size\":1.37000000000000010658141036401502788066864013671875,\"sizes\":[]},\"field_typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"field_typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"content_alignment\":\"right\",\"__globals__\":{\"field_color\":\"\"},\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"field_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"fc7cc39\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"10a8268\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u0640\\u062a \\u067e\\u0640\\u0631\\u0648\\u0698\\u0647\",\"align\":\"right\",\"selected_icon\":{\"value\":\"fas fa-long-arrow-alt-left\",\"library\":\"fa-solid\"},\"icon_indent\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"400\",\"background_color\":\"#5E71FF00\",\"background_color_b\":\"#9e77cc\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"-0.2\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"auto\",\"_flex_align_self\":\"flex-start\",\"_flex_size\":\"shrink\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"globals\\/colors?id=46455ee\"},\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"72b09d6\\\" name=\\\"post-url\\\" settings=\\\"%7B%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"9130eac\"}]},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"01c51bc\",\"elType\":\"widget\",\"settings\":{\"space\":{\"unit\":\"px\",\"size\":100,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":94,\"sizes\":[]},\"_background_background\":\"classic\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_border_color\":\"#B5B1B12E\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"_box_shadow_box_shadow_type\":\"yes\",\"_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":20,\"spread\":0,\"color\":\"rgba(0, 0, 0, 0.06)\"},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=5b191c6\"},\"custom_css\":\"selector {\\n    opacity: 0.8\\n}\",\"_flex_align_self\":\"flex-start\",\"_css_classes\":\"bg-withe\",\"jedv_conditions\":[{\"_id\":\"57d1ac4\"}]},\"elements\":[],\"widgetType\":\"spacer\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("19305", "1651", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("19363", "2187", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("19364", "2187", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("19365", "2187", "_elementor_template_type", "archive");
INSERT INTO `wp_postmeta` VALUES("19366", "2187", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("19367", "2187", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("19368", "2187", "_edit_lock", "1697108197:4");
INSERT INTO `wp_postmeta` VALUES("19374", "2187", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("19375", "2187", "_elementor_data", "[{\"id\":\"77e7129\",\"elType\":\"container\",\"settings\":{\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ac64c83\"}]},\"elements\":[{\"id\":\"85159e2\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062e\\u062f\\u0645\\u0627\\u062a \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c89b9a9\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"52be046\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u062e\\u062f\\u0645\\u0627\\u062a\\u06cc \\u06a9\\u0647 \\u0645\\u0627 \\u0628\\u0647 \\u0634\\u0645\\u0627 \\u0627\\u0631\\u0627\\u0626\\u0647 \\u0645\\u06cc\\u062f\\u0647\\u06cc\\u0645\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"jedv_conditions\":[{\"_id\":\"f2d3026\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"typography_word_spacing_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"typography_word_spacing_mobile\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b0f2269\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1651\",\"columns\":\"4\",\"posts_num\":8,\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"injection_items\":[],\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"_element_id\":\"services\",\"jedv_conditions\":[{\"_id\":\"43bd86f\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"6107298\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"services\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("19383", "2187", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("19384", "2187", "_elementor_conditions", "a:1:{i:0;s:36:\"include/archive/our-services_archive\";}");
INSERT INTO `wp_postmeta` VALUES("19561", "2208", "_edit_lock", "1695728279:2");
INSERT INTO `wp_postmeta` VALUES("19562", "2208", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19563", "2209", "_wp_attached_file", "2023/09/PPC-marketing.webp");
INSERT INTO `wp_postmeta` VALUES("19564", "2209", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:595;s:6:\"height\";i:396;s:4:\"file\";s:26:\"2023/09/PPC-marketing.webp\";s:8:\"filesize\";i:46882;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:26:\"PPC-marketing-300x200.webp\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:15476;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:26:\"PPC-marketing-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:7266;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19565", "2208", "_thumbnail_id", "2209");
INSERT INTO `wp_postmeta` VALUES("19647", "2218", "_edit_lock", "1695728271:2");
INSERT INTO `wp_postmeta` VALUES("19648", "2218", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19649", "2219", "_wp_attached_file", "2023/09/images.jpg");
INSERT INTO `wp_postmeta` VALUES("19650", "2219", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:300;s:6:\"height\";i:168;s:4:\"file\";s:18:\"2023/09/images.jpg\";s:8:\"filesize\";i:12235;s:5:\"sizes\";a:1:{s:9:\"thumbnail\";a:5:{s:4:\"file\";s:18:\"images-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:7651;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19651", "2218", "_thumbnail_id", "2219");
INSERT INTO `wp_postmeta` VALUES("19652", "2220", "_edit_lock", "1695728263:2");
INSERT INTO `wp_postmeta` VALUES("19653", "2220", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19654", "2221", "_wp_attached_file", "2023/09/9.webp");
INSERT INTO `wp_postmeta` VALUES("19655", "2221", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1082;s:6:\"height\";i:551;s:4:\"file\";s:14:\"2023/09/9.webp\";s:8:\"filesize\";i:56376;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:14:\"9-300x153.webp\";s:5:\"width\";i:300;s:6:\"height\";i:153;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12264;}s:5:\"large\";a:5:{s:4:\"file\";s:15:\"9-1024x521.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:521;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:62892;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:14:\"9-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6776;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:14:\"9-768x391.webp\";s:5:\"width\";i:768;s:6:\"height\";i:391;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:44798;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19656", "2220", "_thumbnail_id", "2221");
INSERT INTO `wp_postmeta` VALUES("19657", "2222", "_edit_lock", "1695728256:2");
INSERT INTO `wp_postmeta` VALUES("19658", "2222", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19659", "2223", "_wp_attached_file", "2023/09/ZGM_FrontEndBackEndDev-955x500-1.webp");
INSERT INTO `wp_postmeta` VALUES("19660", "2223", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:955;s:6:\"height\";i:500;s:4:\"file\";s:45:\"2023/09/ZGM_FrontEndBackEndDev-955x500-1.webp\";s:8:\"filesize\";i:71768;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:45:\"ZGM_FrontEndBackEndDev-955x500-1-300x157.webp\";s:5:\"width\";i:300;s:6:\"height\";i:157;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:13450;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:45:\"ZGM_FrontEndBackEndDev-955x500-1-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:8136;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:45:\"ZGM_FrontEndBackEndDev-955x500-1-768x402.webp\";s:5:\"width\";i:768;s:6:\"height\";i:402;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46300;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19661", "2222", "_thumbnail_id", "2223");
INSERT INTO `wp_postmeta` VALUES("19673", "2225", "_edit_lock", "1695728248:2");
INSERT INTO `wp_postmeta` VALUES("19674", "2225", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19675", "2226", "_wp_attached_file", "2023/09/how-to-design-mobile-app-ui-like-a-professional.webp");
INSERT INTO `wp_postmeta` VALUES("19676", "2226", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:600;s:4:\"file\";s:60:\"2023/09/how-to-design-mobile-app-ui-like-a-professional.webp\";s:8:\"filesize\";i:13238;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:60:\"how-to-design-mobile-app-ui-like-a-professional-300x150.webp\";s:5:\"width\";i:300;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4610;}s:5:\"large\";a:5:{s:4:\"file\";s:61:\"how-to-design-mobile-app-ui-like-a-professional-1024x512.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:17082;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:60:\"how-to-design-mobile-app-ui-like-a-professional-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:2962;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:60:\"how-to-design-mobile-app-ui-like-a-professional-768x384.webp\";s:5:\"width\";i:768;s:6:\"height\";i:384;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:12686;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19677", "2225", "_thumbnail_id", "2226");
INSERT INTO `wp_postmeta` VALUES("19678", "2227", "_edit_lock", "1695728239:2");
INSERT INTO `wp_postmeta` VALUES("19679", "2227", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19680", "2228", "_wp_attached_file", "2023/09/download.jpg");
INSERT INTO `wp_postmeta` VALUES("19681", "2228", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:970;s:6:\"height\";i:647;s:4:\"file\";s:20:\"2023/09/download.jpg\";s:8:\"filesize\";i:93529;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:20:\"download-300x200.jpg\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:13345;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:20:\"download-150x150.jpg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:6185;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"download-768x512.jpg\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:55461;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19682", "2227", "_thumbnail_id", "2228");
INSERT INTO `wp_postmeta` VALUES("19694", "2230", "_edit_lock", "1695728227:2");
INSERT INTO `wp_postmeta` VALUES("19695", "2230", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("19696", "2231", "_wp_attached_file", "2023/09/DSCF3903-scaled-2.webp");
INSERT INTO `wp_postmeta` VALUES("19697", "2231", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:2560;s:6:\"height\";i:1707;s:4:\"file\";s:30:\"2023/09/DSCF3903-scaled-2.webp\";s:8:\"filesize\";i:212280;s:5:\"sizes\";a:6:{s:6:\"medium\";a:5:{s:4:\"file\";s:30:\"DSCF3903-scaled-2-300x200.webp\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:11958;}s:5:\"large\";a:5:{s:4:\"file\";s:31:\"DSCF3903-scaled-2-1024x683.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:70356;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:30:\"DSCF3903-scaled-2-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6836;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:30:\"DSCF3903-scaled-2-768x512.webp\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:45174;}s:9:\"1536x1536\";a:5:{s:4:\"file\";s:32:\"DSCF3903-scaled-2-1536x1024.webp\";s:5:\"width\";i:1536;s:6:\"height\";i:1024;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:127420;}s:9:\"2048x2048\";a:5:{s:4:\"file\";s:32:\"DSCF3903-scaled-2-2048x1366.webp\";s:5:\"width\";i:2048;s:6:\"height\";i:1366;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:183370;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("19698", "2230", "_thumbnail_id", "2231");
INSERT INTO `wp_postmeta` VALUES("19945", "2258", "_wp_attached_file", "2023/09/overlay.svg");
INSERT INTO `wp_postmeta` VALUES("19946", "2258", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:208;s:5:\"width\";i:1000;s:6:\"height\";i:100;}");
INSERT INTO `wp_postmeta` VALUES("20628", "2334", "_wp_attached_file", "2023/09/svgexport-21-1.svg");
INSERT INTO `wp_postmeta` VALUES("20629", "2334", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2908;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("20711", "2344", "_wp_attached_file", "2023/09/Group-35747-2.svg");
INSERT INTO `wp_postmeta` VALUES("20712", "2344", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:871;s:5:\"width\";i:1758;s:6:\"height\";i:578;}");
INSERT INTO `wp_postmeta` VALUES("20907", "2366", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("20908", "2366", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("20909", "2366", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("20910", "2366", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("20911", "2366", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("20912", "2366", "_edit_lock", "1697115143:4");
INSERT INTO `wp_postmeta` VALUES("20918", "2366", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("20919", "2366", "_elementor_data", "[{\"id\":\"7b3a54b\",\"elType\":\"container\",\"settings\":{\"boxed_width\":{\"unit\":\"px\",\"size\":1100,\"sizes\":[]},\"flex_direction\":\"row\",\"flex_gap\":{\"column\":\"2\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":2},\"flex_gap_tablet\":{\"column\":\"1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"f461061\"}]},\"elements\":[{\"id\":\"57a0ff7\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"5029\",\"columns\":\"3\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"injection_items\":[],\"posts_query\":[{\"_id\":\"3db0d42\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e1f093c\"}],\"columns_tablet\":\"3\",\"columns_mobile\":\"1\",\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"autoplay\":\"\",\"custom_query\":\"yes\",\"custom_query_id\":\"7\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}]");
INSERT INTO `wp_postmeta` VALUES("20927", "2366", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("21005", "2377", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("21006", "2377", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("21007", "2377", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("21008", "2377", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("21009", "2377", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("21010", "2377", "_edit_lock", "1697115136:4");
INSERT INTO `wp_postmeta` VALUES("21016", "2377", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("21017", "2377", "_elementor_data", "[{\"id\":\"f6070f2\",\"elType\":\"container\",\"settings\":{\"boxed_width\":{\"unit\":\"px\",\"size\":1100,\"sizes\":[]},\"flex_direction\":\"row\",\"flex_gap\":{\"column\":\"2\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":2},\"flex_gap_tablet\":{\"column\":\"1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"1\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"f461061\"}]},\"elements\":[{\"id\":\"bbc03ab\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"5029\",\"columns\":\"3\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"injection_items\":[],\"posts_query\":[{\"_id\":\"3db0d42\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e1f093c\"}],\"columns_tablet\":\"3\",\"columns_mobile\":\"1\",\"carousel_enabled\":\"yes\",\"arrows\":\"\",\"autoplay\":\"\",\"custom_query\":\"yes\",\"custom_query_id\":\"9\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}]");
INSERT INTO `wp_postmeta` VALUES("21025", "2377", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("21113", "2389", "_wp_attached_file", "2023/09/svgexport-18-1.svg");
INSERT INTO `wp_postmeta` VALUES("21114", "2389", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:6107;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("21143", "2393", "_wp_attached_file", "2023/09/svgexport-18-2.svg");
INSERT INTO `wp_postmeta` VALUES("21144", "2393", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1240;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("21274", "2407", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("21275", "2407", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("21276", "2407", "_elementor_template_type", "single-post");
INSERT INTO `wp_postmeta` VALUES("21277", "2407", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("21278", "2407", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("21279", "2407", "_edit_lock", "1697115094:4");
INSERT INTO `wp_postmeta` VALUES("21285", "2407", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("21286", "2407", "_elementor_data", "[{\"id\":\"8b739e1\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-shortcode , selector .fbc-items{\\n    width: 100%;\\n}\\n\\nselector .fbc-page .fbc-wrap .fbc-items {\\n    background: #fff;\\n    border: 1px solid  var(--e-global-color-0c51d16);\\n    padding:  0 0.5rem;\\n    border-radius: 15px;\\n}\\n\\nselector .fbc-items li {\\n    padding: 0.5rem 0.325rem;\\n    padding-top: 0.625rem;\\n    font-family: \\\"Dana\\\";\\n    font-weight: 300;\\n    font-size: 14px\\n}\\n\\nselector .fbc-items li.active span {\\n    font-weight: 300;\\n    font-size: 14px !important\\n}\\n\\n@media screen and (max-width:830px){\\n    selector .fbc-items li {\\n\\n    font-size: 12px\\n}\\n\\nselector .fbc-items li.active span {\\n\\n    font-size: 12px !important\\n}\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .fbc-items li {\\n    padding: 0.2rem 0.3rem; \\n    }\\n    selector .fbc-page .fbc-wrap .fbc-items{\\n        padding:0.625rem;\\n    }\\n}\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"1b104ad\"}]},\"elements\":[{\"id\":\"ab594de\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[flexy_breadcrumb]\",\"jedv_conditions\":[{\"_id\":\"089579c\"}]},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false},{\"id\":\"ab408b8\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"flex_gap_tablet\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"d20f641\"}]},\"elements\":[{\"id\":\"9cdacdc\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":70},\"padding\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"1.5\",\"bottom\":\"1.5\",\"left\":\"1.5\",\"isLinked\":true},\"_flex_size\":\"none\",\"_element_width\":\"initial\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.825\",\"right\":\"0.825\",\"bottom\":\"0.825\",\"left\":\"0.825\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"width_tablet\":{\"unit\":\"%\",\"size\":68,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"dedcb89\"}],\"__globals__\":{\"border_color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[{\"id\":\"dab1ebd\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%22fallback%22%3A%7B%22url%22%3A%22%22%2C%22id%22%3A%22%22%2C%22size%22%3A%22%22%7D%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":330,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"height_mobile\":{\"unit\":\"px\",\"size\":210,\"sizes\":[]},\"height_tablet\":{\"unit\":\"px\",\"size\":270,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"537e028\"}]},\"elements\":[],\"widgetType\":\"theme-post-featured-image\"},{\"id\":\"b650e01\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"column\":\"1\",\"row\":\"1\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b00f9d9\",\"quantity\":\"\",\"product_type\":\"\"}],\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"64608f6\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"selected_icon\":{\"value\":\"far fa-calendar-alt\",\"library\":\"fa-regular\"},\"_id\":\"b527fbb\",\"custom_date_format\":\"j F, Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\",\"date_format\":\"custom\"},{\"type\":\"comments\",\"selected_icon\":{\"value\":\"far fa-comment\",\"library\":\"fa-regular\"},\"_id\":\"8d70532\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"show_icon\":\"custom\"}],\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanweblight_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"f8b229b\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"space_between_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":184.667000000000001591615728102624416351318359375},\"_flex_size\":\"none\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"post-info\"},{\"id\":\"f69f9a4\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"twitter\",\"_id\":\"e5e1423\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"left\",\"column_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.5500000000000000444089209850062616169452667236328125,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2.5,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height\":{\"unit\":\"em\",\"size\":3.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#02010100\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=text\",\"secondary_color_hover\":\"globals\\/colors?id=primary\"},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]},\"column_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true},{\"id\":\"e78cf0e\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u06af\\u0627\\u0644\\u0631\\u06cc \\u062a\\u0635\\u0627\\u0648\\u06cc\\u0631 \\u067e\\u0631\\u0648\\u0698\\u0647\",\"gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"gap_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"style\":\"dashed\",\"align\":\"center\",\"look\":\"line_text\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"52df0e3\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"df547d1\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_source\":\"meta\",\"dynamic_excerpt_more\":\"...\",\"dynamic_field_post_meta\":\"projects-gallery\",\"dynamic_field_filter\":\"yes\",\"filter_callback\":\"jet_engine_img_gallery_slider\",\"date_format\":\"F j, Y\",\"num_dec_point\":\".\",\"num_thousands_sep\":\",\",\"multiselect_delimiter\":\", \",\"jet_trim_cb_length\":\"20\",\"img_slider_cols\":5,\"dynamic_field_format\":\"%s\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1.3\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.6\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0.625\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .slick-track {\\n    display: flex;\\n    gap: 1rem;\\n}\\n\\nselector .jet-listing{\\n    justify-content: center;\\n}\\n\\nselector .jet-engine-gallery-slider__item-img {\\n    width: 100%;\\n    height: 98px;\\n    width: 107px;\\n    border-radius: 6px;\\n}\\n\\nselector .slick-arrow {\\n    border-radius: 100%;\\n}\\n\\n@media (min-width:576px) and (max-width:830px){\\n    selector .jet-engine-gallery-slider__item-img {\\n        height:75px;\\n    }\\n    \\n    selector .slick-track {\\n        gap:0.625rem;\\n    }\\n}\\n\\n@media screen and (max-width:576px){\\n      selector .jet-engine-gallery-slider__item-img {\\n          height:65px;\\n      }\\n      \\n      selector .slick-track {\\n        gap:0.625rem;\\n    }\\n}\",\"img_slider_lightbox\":\"yes\",\"img_slider_cols_tablet\":5,\"arrows_box_size_tablet\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"arrows_size_tablet\":{\"unit\":\"px\",\"size\":16,\"sizes\":[]},\"__globals__\":{\"arrow_bg_color\":\"globals\\/colors?id=8276d6d\",\"arrow_color\":\"globals\\/colors?id=46455ee\"},\"img_slider_cols_mobile\":4,\"jedv_conditions\":[{\"_id\":\"c6b5eb8\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-field\"},{\"id\":\"661c9c4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c76fc3d\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"1b9a1da\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"\"},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"1.5\",\"right\":\"0\",\"bottom\":\"0.2\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"title_color\":\"#5E71FF\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"3505884\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"52acd7a\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"align_mobile\":\"right\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13.5,\"sizes\":[]},\"custom_css\":\"selector img {\\n    margin-bottom: 15px;\\n    border-radius: 6px;\\n}\\n\\nselector h2 {\\n    font-size: 22px;\\n}\\nselector h3 {\\n    font-size: 20px;\\n}\\n\\nselector P {\\n    font-size: 13.15px;\\n    font-weight: 300;\\n}\\n\\n@media screen and (max-width:830px){\\n    selector h2 {\\n    font-size: 17px;\\n}\\nselector h3 {\\n    font-size: 14px;\\n}\\n\\nselector P{\\n    font-size:12px;\\n\\n}\\n}\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-post-content\"}],\"isInner\":true},{\"id\":\"aafe9cf\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky\":\"top\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_parent\":\"yes\",\"flex_gap\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"0e1d8f9\"}],\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4e23ea4\",\"elType\":\"container\",\"settings\":{\"overflow\":\"hidden\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"58fc0b4\"}],\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"d2b74e4\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u067e\\u0631\\u0648\\u0698\\u0647 :\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"_element_width_mobile\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"7c91fec\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"4144a91\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\"},\"elements\":[{\"id\":\"a0e94a3\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/user-icon-1.svg\",\"id\":2497},\"library\":\"svg\"},\"title_text\":\"\\u06a9\\u0627\\u0631\\u0641\\u0631\\u0645\\u0627\\u06cc \\u0645\\u062d\\u062a\\u0631\\u0645:\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.3rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\"},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"d70f506\",\"elType\":\"widget\",\"settings\":{\"title\":\"1234567 - 035\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"2c2abf0\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22project-employer%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"40c7c46\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"ff256c4\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\"},\"elements\":[{\"id\":\"687714c\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-6-8.svg\",\"id\":2506},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0627\\u0631\\u06cc\\u062e \\u0634\\u0631\\u0648\\u0639:\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.3rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\"},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"63cdc5e\",\"elType\":\"widget\",\"settings\":{\"title\":\"1234567 - 035\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"2d3bca9\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22project-date%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"3f49e99\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"0e4e96e\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\"},\"elements\":[{\"id\":\"9dcdbe0\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-6-7.svg\",\"id\":2505},\"library\":\"svg\"},\"title_text\":\"\\u0642\\u06cc\\u0645\\u062a \\u067e\\u0631\\u0648\\u0698\\u0647:\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.3rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\"},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"a39ad06\",\"elType\":\"widget\",\"settings\":{\"title\":\"1234567 - 035\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"d31101a\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22the-price-of-this-project%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"f2afb90\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"1f762cb\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\"},\"elements\":[{\"id\":\"d32ed7a\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-6-5.svg\",\"id\":2502},\"library\":\"svg\"},\"title_text\":\"\\u0645\\u062f\\u062a \\u0632\\u0645\\u0627\\u0646 \\u0627\\u0646\\u062c\\u0627\\u0645:\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":12.5,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.3rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\"},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"9c52f6a\",\"elType\":\"widget\",\"settings\":{\"title\":\"1234567 - 035\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"166883d\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22the-duration-of-the-project%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"cba1f2e\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"ea703d6\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0647\\u062f\\u0647 \\u0622\\u0646\\u0644\\u0627\\u06cc\\u0646 \\u067e\\u0631\\u0648\\u0698\\u0647\",\"align\":\"justify\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_color_b\":\"#FF4B3D\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"28\",\"bottom\":\"12\",\"left\":\"30\",\"isLinked\":false},\"background_color\":\"#5E71FF\",\"_flex_align_self\":\"stretch\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"selected_icon\":{\"value\":\"fas fa-angle-double-left\",\"library\":\"fa-solid\"},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"500\",\"jedv_conditions\":[{\"_id\":\"f5287da\"}],\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"background_color_stop\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"text_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"1\",\"bottom\":\"0.7\",\"left\":\"1\",\"isLinked\":false},\"custom_css\":\"selector a {\\n    color: #fff;\\n}\\n\\nselector a:hover{\\n    color: #fff;\\n}\",\"__dynamic__\":{\"link\":\"[elementor-tag id=\\\"1315c7f\\\" name=\\\"jet-post-custom-field\\\" settings=\\\"%7B%22meta_field%22%3A%22project-link%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"7598e9a\",\"elType\":\"container\",\"settings\":{\"overflow\":\"hidden\",\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"jedv_conditions\":[{\"_id\":\"d152f94\"}]},\"elements\":[{\"id\":\"18ef200\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc \\u0647\\u0627\\u06cc \\u0627\\u0633\\u062a\\u0641\\u0627\\u062f\\u0647 \\u0634\\u062f\\u0647 :\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"jedv_conditions\":[{\"_id\":\"648d859\"}],\"_element_width_mobile\":\"inherit\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"63a00a5\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_source\":\"projects-technology\",\"dynamic_field_format\":\"<span>%technologies%<\\/span>\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0.425\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .jet-listing-dynamic-repeater__item span {\\n    display: inline-block;\\n    border: 1px solid #eceff1;\\n    padding: 0.4rem 0.8rem 0.1rem 0.8rem;\\n    border-radius: 6px;\\n    background: #eceff1;\\n}\\n\\nselector .jet-listing-dynamic-repeater__items {\\n    gap: 0.7rem;\\n    flex-wrap: wrap;\\n}\\n\\nselector .jet-listing-dynamic-repeater__item span {\\n    line-height: 1.2;\\n    font-size: 13px;\\n    padding-top: 0.5rem;\\n}\\n\\n@media screen and (max-width:830px){\\n    selector .jet-listing-dynamic-repeater__item span {\\n        font-size:10px;\\n        padding-bottom: 0.3rem;\\n    }\\n    \\n    selector .jet-listing-dynamic-repeater__items {\\n        gap: 0.4rem;\\n    }\\n}\",\"jedv_conditions\":[{\"_id\":\"10a6285\"}]},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-repeater\"}],\"isInner\":true},{\"id\":\"9b64c17\",\"elType\":\"container\",\"settings\":{\"min_height\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a7bc370\"}],\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"overflow\":\"hidden\"},\"elements\":[{\"id\":\"148143c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u062f\\u0631 \\u062e\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"jedv_conditions\":[{\"_id\":\"648d859\"}],\"_element_width_mobile\":\"inherit\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"6bf509c\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u062e\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \\u0635\\u0641\\u062d\\u0647 \\u062a\\u06a9\\u06cc \\u067e\\u0631\\u0648\\u0698\\u0647\",\"form_fields\":[{\"custom_id\":\"email\",\"field_type\":\"email\",\"required\":\"true\",\"placeholder\":\"\\u0622\\u062f\\u0631\\u0633 \\u0627\\u06cc\\u0645\\u06cc\\u0644\",\"width\":\"70\",\"_id\":\"ae8af82\",\"width_tablet\":\"60\",\"width_mobile\":\"70\"}],\"button_width\":\"30\",\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644\",\"email_to\":\"designer2@abzarwp.com\",\"email_subject\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content\":\"[all-fields]\",\"email_from\":\"email@halochin.ir\",\"email_from_name\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_to_2\":\"designer2@abzarwp.com\",\"email_subject_2\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content_2\":\"[all-fields]\",\"email_from_2\":\"email@halochin.ir\",\"email_from_name_2\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_reply_to_2\":\"designer2@abzarwp.com\",\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"success_message\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u0634\\u0645\\u0627 \\u0628\\u0627 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u062f :)\",\"error_message\":\"\\u06cc\\u06a9 \\u062e\\u0637\\u0627\\u06cc \\u0646\\u0627\\u0634\\u0646\\u0627\\u062e\\u062a\\u0647 \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a :(\",\"server_message\":\"\\u062e\\u0637\\u0627\\u06cc \\u0633\\u0631\\u0648\\u0631 \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a :(\",\"invalid_message\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648\\u0627\\u0631\\u062f \\u0634\\u062f\\u0647 \\u0635\\u062d\\u06cc\\u062d \\u0646\\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f :(\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_background_color\":\"#FFFFFF00\",\"field_border_color\":\"#FFFFFF14\",\"field_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"field_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"button_typography_typography\":\"custom\",\"button_typography_font_family\":\"Dana\",\"button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_typography_font_weight\":\"300\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"button_border_color\":\"#FFFFFF24\",\"previous_button_background_color\":\"#FFFFFF1A\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"success_message_color\":\"#49EB44\",\"error_message_color\":\"#F74D4D\",\"inline_message_color\":\"#F74D4D\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"84c02ce\"}],\"custom_css\":\"\\nselector .elementor-form {\\n    border: 1px solid var(--e-global-color-0c51d16);\\n    border-radius: 15px;\\n}\\n\\nselector input {\\n    outline: none !important;\\n}\\n\\n  selector .elementor-button , selector .elementor-field {\\n        min-height: 38px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n\\n\\n\\nselector .elementor-message {\\n        position: absolute;\\n    top: 33px;\\n    font-size: 11px;\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-button , selector .elementor-field {\\n        min-height: 0px;\\n        max-height:30px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n}\",\"__globals__\":{\"field_text_color\":\"globals\\/colors?id=text\",\"button_text_color\":\"globals\\/colors?id=5b191c6\",\"button_background_color\":\"globals\\/colors?id=46455ee\"},\"button_width_tablet\":\"40\",\"button_width_mobile\":\"30\",\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_messages\":\"yes\"},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"5aaa7d1\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4332d2a\"}]},\"elements\":[{\"id\":\"6248201\",\"elType\":\"widget\",\"settings\":{\"_skin\":\"theme_comments\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"custom_css\":\"selector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector a {\\r\\n    color: var(--e-global-color-primary)\\r\\n}\\r\\n\\r\\nselector .comment-reply-title{\\r\\n    font-family: \\\"Dana\\\";\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\nselector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FAt;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\n\\r\\nselector label{\\r\\n    color: #F7F8FA;\\r\\n    font-size: 12px\\r\\n}\\r\\n\\r\\n\\r\\nselector p.logged-in-as {\\r\\n    font-size: 13px;\\r\\n    margin: 0 0 1.5rem 0;\\r\\n}\\r\\n\\r\\nselector .comment-body{\\r\\n    background-color: #F7F8FA;\\r\\n    border-radius: 15px;\\r\\n    border: none !important;\\r\\n    margin-bottom: 1rem;\\r\\n    padding: 2rem 5rem 2rem 2rem !important;\\r\\n}\\r\\n\\r\\nselector .avatar{\\r\\n    right: 1.5% !important; \\r\\n}\\r\\n\\r\\nselector .submit{\\r\\n        border: none;\\r\\n    color: #fff;\\r\\n    font-size: 14px;\\r\\n    border-radius: 15px;\\r\\n}\\r\\n\\r\\n\\r\\nselector .title-comments{\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent label{\\r\\n    color: unset !important;\\r\\n}\\r\\n\\r\\nselector .submit {\\r\\n    padding: 7px 12px\\r\\n}\\r\\n\\r\\nselector .logged-in-as {\\r\\n    margin: 0 !important;\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent {\\r\\n        margin: 1.4rem 0 0.625rem 0;\\r\\n}\\r\\n\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n    margin: 0.8rem 0 0.5rem 0;\\r\\n}\\r\\n\\r\\n\\r\\n@media screen and (max-width:578px){\\r\\n    selector .comment-body{\\r\\n        padding:1rem !important;\\r\\n    }\\r\\n    \\r\\n    selector .fn{\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector time{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-edit-link{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .says{\\r\\n        font-size:10px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-content p {\\r\\n        font-size:11px;\\r\\n    }\\r\\n    \\r\\n    selector .title-comments{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-reply-title{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-notes span {\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent label{\\r\\n        font-size:11.5px;\\r\\n        line-height:1.3rem;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent{\\r\\n        display:flex;\\r\\n        gap:0.4rem;\\r\\n    }\\r\\n}\",\"_padding\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"1.4\",\"bottom\":\"1.4\",\"left\":\"1.4\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_background_background\":\"classic\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_border_color\":\"globals\\/colors?id=0c51d16\"},\"jedv_conditions\":[{\"_id\":\"c717043\"}]},\"elements\":[],\"widgetType\":\"post-comments\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("21294", "2407", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("21866", "1910", "project-employer", "آقای علی مرتضوی ");
INSERT INTO `wp_postmeta` VALUES("21867", "1910", "the-duration-of-the-project", "9 روز کاری");
INSERT INTO `wp_postmeta` VALUES("21868", "1910", "the-price-of-this-project", "18,000,000 تومان");
INSERT INTO `wp_postmeta` VALUES("21869", "1910", "---", "2023-10-17T00:00");
INSERT INTO `wp_postmeta` VALUES("21901", "2471", "_wp_attached_file", "2023/09/01.svg");
INSERT INTO `wp_postmeta` VALUES("21902", "2471", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:473;s:5:\"width\";i:24;s:6:\"height\";i:24;}");
INSERT INTO `wp_postmeta` VALUES("22179", "2497", "_wp_attached_file", "2023/09/user-icon-1.svg");
INSERT INTO `wp_postmeta` VALUES("22180", "2497", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1706;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22192", "2499", "_wp_attached_file", "2023/09/time-icon.svg");
INSERT INTO `wp_postmeta` VALUES("22193", "2499", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2002;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22195", "2500", "_wp_attached_file", "2023/09/user-icon-2.svg");
INSERT INTO `wp_postmeta` VALUES("22196", "2500", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1720;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22201", "2502", "_wp_attached_file", "2023/09/svgexport-6-5.svg");
INSERT INTO `wp_postmeta` VALUES("22202", "2502", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:773;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22213", "2504", "_wp_attached_file", "2023/09/svgexport-6-6.svg");
INSERT INTO `wp_postmeta` VALUES("22214", "2504", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1003;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22216", "2505", "_wp_attached_file", "2023/09/svgexport-6-7.svg");
INSERT INTO `wp_postmeta` VALUES("22217", "2505", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:949;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22219", "2506", "_wp_attached_file", "2023/09/svgexport-6-8.svg");
INSERT INTO `wp_postmeta` VALUES("22220", "2506", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:431;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("22380", "2523", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("22381", "2523", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("22382", "2523", "_elementor_template_type", "single-post");
INSERT INTO `wp_postmeta` VALUES("22383", "2523", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("22384", "2523", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("22385", "2523", "_edit_lock", "1697114832:4");
INSERT INTO `wp_postmeta` VALUES("22391", "2523", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("22392", "2523", "_elementor_data", "[{\"id\":\"f7646d4\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-shortcode , selector .fbc-items{\\n    width: 100%;\\n}\\n\\nselector .fbc-page .fbc-wrap .fbc-items {\\n    background: transparent;\\n    border: 1px solid  #b5b1b12e;\\n    padding:  0 0.5rem;\\n    border-radius: 15px;\\n}\\n\\nselector .fbc-items li {\\n    padding: 0.5rem 0.325rem;\\n    padding-top: 0.625rem;\\n    font-family: \\\"Dana\\\";\\n    font-weight: 300;\\n    font-size: 14px\\n}\\n\\nselector .fbc-items li.active span {\\n    font-weight: 300;\\n    font-size: 14px !important\\n}\"},\"elements\":[{\"id\":\"d2e9313\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[flexy_breadcrumb]\"},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false},{\"id\":\"e78855f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"1.4\"},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"9d8808f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":35},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"6a29972\",\"elType\":\"widget\",\"settings\":{\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%22fallback%22%3A%7B%22url%22%3A%22%22%2C%22id%22%3A%22%22%2C%22size%22%3A%22%22%7D%7D\\\"]\"},\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"height\":{\"unit\":\"px\",\"size\":300,\"sizes\":[]},\"object-fit\":\"cover\"},\"elements\":[],\"widgetType\":\"theme-post-featured-image\"}],\"isInner\":true},{\"id\":\"7057b41\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":65},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"_element_width\":\"initial\"},\"elements\":[{\"id\":\"b43e24b\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"item_label\":\"\\u062a\\u0648\\u0636\\u06cc\\u062d\\u0627\\u062a\",\"_id\":\"e591097\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-17-2.svg\",\"id\":2426},\"library\":\"svg\"},\"item_template_id\":\"2413\"},{\"item_label\":\"\\u0646\\u0638\\u0631\\u0627\\u062a\",\"_id\":\"bcc9c5f\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-17-4.svg\",\"id\":2429},\"library\":\"svg\"},\"item_template_id\":\"2418\"},{\"item_label\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0648 \\u0633\\u0641\\u0627\\u0631\\u0634\",\"_id\":\"9143cf9\",\"selected_item_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/svgexport-18-3.svg\",\"id\":2430},\"library\":\"svg\"},\"item_template_id\":\"2557\"}],\"tabs_control_wrapper_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"tabs_control_wrapper_border_radius\":{\"unit\":\"px\",\"top\":\"100\",\"right\":\"100\",\"bottom\":\"100\",\"left\":\"100\",\"isLinked\":true},\"tabs_controls_item_aligment_left_right_icon\":\"\",\"tabs_controls_item_aligment_top_icon\":\"\",\"tabs_control_icon_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"8\",\"isLinked\":false},\"tabs_control_image_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_control_icon_position\":\"right\",\"tabs_control_label_typography_typography\":\"custom\",\"tabs_control_label_typography_font_family\":\"Dana\",\"tabs_control_label_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"tabs_control_label_typography_font_weight\":\"400\",\"tabs_control_icon_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"tabs_control_background_background\":\"classic\",\"tabs_control_padding\":{\"unit\":\"px\",\"top\":\"7\",\"right\":\"25\",\"bottom\":\"5\",\"left\":\"25\",\"isLinked\":false},\"tabs_content_background_background\":\"classic\",\"tabs_content_background_color\":\"#B5B1B103\",\"tabs_content_padding\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":false},\"tabs_content_border_border\":\"solid\",\"tabs_content_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"tabs_content_border_color\":\"#B5B1B12E\",\"tabs_content_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .elementor-menu-anchor.active-tab{\\n    background: #fff !important;\\n    border-radius: 100px !important;\\n    transition: 0.6s;\\n        box-shadow: 0px 0px 13px #dddddda1;\\n}\\n\\nselector .elementor-menu-anchor{\\n      transition: 0.6s;\\n}\\n\\nselector .jet-tabs__control-wrapper{\\n    background-color: #EFF3F5;\\n    padding: 0.4rem !important;\\n    gap: 0.425rem;\\n}\\n\\nselector .jet-tabs{\\n    gap: 0.625rem\\n}\"},\"elements\":[],\"widgetType\":\"jet-tabs\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("22400", "2523", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("22401", "2523", "_elementor_conditions", "a:1:{i:0;s:29:\"include/singular/our-services\";}");
INSERT INTO `wp_postmeta` VALUES("22598", "1013", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22610", "1013", "_wp_old_slug", "%d9%be%d8%a7%d9%88%d8%b1%d9%82%db%8c-2");
INSERT INTO `wp_postmeta` VALUES("22611", "509", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22622", "509", "_wp_old_slug", "%d8%b3%d8%b1%d8%a8%d8%b1%da%af-2");
INSERT INTO `wp_postmeta` VALUES("22629", "2377", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22639", "2366", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22649", "1802", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22659", "2523", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22776", "934", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("22786", "934", "_wp_old_slug", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d8%b8%d8%b1%d8%a7%d8%aa-%d9%85%d8%b4%d8%aa%d8%b1%db%8c%d8%a7%d9%86-2");
INSERT INTO `wp_postmeta` VALUES("22792", "1044", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("22802", "1044", "_wp_old_slug", "%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c-2");
INSERT INTO `wp_postmeta` VALUES("22804", "1067", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("22814", "1067", "_wp_old_slug", "%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c-2-2");
INSERT INTO `wp_postmeta` VALUES("22824", "1529", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("22825", "1623", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("22855", "2523", "_elementor_screenshot_failed", "2023-09-27 07:57:38");
INSERT INTO `wp_postmeta` VALUES("22876", "2571", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("22877", "2571", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("22878", "2571", "_elementor_template_type", "archive");
INSERT INTO `wp_postmeta` VALUES("22879", "2571", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("22880", "2571", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("22881", "2571", "_edit_lock", "1697106597:4");
INSERT INTO `wp_postmeta` VALUES("22887", "2571", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("22888", "2571", "_elementor_data", "[{\"id\":\"a4b39eb\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1\",\"row\":\"1\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"jedv_conditions\":[{\"_id\":\"19f7942\"}]},\"elements\":[{\"id\":\"b73a69b\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a4422dc\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"447b4fb\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"jedv_conditions\":[{\"_id\":\"27e243b\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"eaea5c3\",\"elType\":\"widget\",\"settings\":{\"tabs\":[{\"item_label\":\"\\u0647\\u0645\\u0647 \\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\",\"_id\":\"1a7de6e\",\"selected_item_icon\":{\"value\":\"\",\"library\":\"\"},\"item_template_id\":\"1802\"},{\"item_label\":\"\\u0641\\u0631\\u0648\\u0634\\u06af\\u0627\\u0647\\u06cc\",\"_id\":\"0181625\",\"selected_item_icon\":{\"value\":\"\",\"library\":\"\"},\"item_template_id\":\"4456\"},{\"item_label\":\"\\u0634\\u0631\\u06a9\\u062a\\u06cc\",\"_id\":\"b3e3955\",\"selected_item_icon\":{\"value\":\"\",\"library\":\"\"},\"item_template_id\":\"4459\"},{\"item_label\":\"\\u062e\\u0644\\u0627\\u0642\\u0627\\u0646\\u0647\",\"selected_item_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"39263fe\",\"item_template_id\":\"4462\"},{\"item_label\":\"\\u0645\\u062c\\u0644\\u0647 \\u0627\\u06cc \",\"selected_item_icon\":{\"value\":\"\",\"library\":\"\"},\"_id\":\"7f53378\",\"item_template_id\":\"4465\"}],\"tabs_container_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_container_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_container_border_radius\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_controls_container_aligment\":\"center\",\"tabs_control_wrapper_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_control_wrapper_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"tabs_controls_item_aligment_left_right_icon\":\"\",\"tabs_control_label_typography_typography\":\"custom\",\"tabs_control_label_typography_font_family\":\"Dana\",\"tabs_control_label_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"tabs_control_label_typography_font_weight\":\"400\",\"tabs_control_padding\":{\"unit\":\"px\",\"top\":\"6\",\"right\":\"10\",\"bottom\":\"1\",\"left\":\"10\",\"isLinked\":false},\"tabs_control_border_border\":\"solid\",\"tabs_control_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"tabs_control_border_radius\":{\"unit\":\"px\",\"top\":\"5\",\"right\":\"5\",\"bottom\":\"5\",\"left\":\"5\",\"isLinked\":true},\"tabs_content_padding\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":false},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"custom_css\":\"selector .jet-tabs__control-wrapper{\\n    gap: 0.625rem\\n}\\n\\nselector .jet-tabs__content {\\n    background: #F5F5FF3B;\\n}\\n\\n\",\"__globals__\":{\"tabs_control_label_color_hover\":\"globals\\/colors?id=46455ee\",\"tabs_control_icon_color_hover\":\"globals\\/colors?id=46455ee\",\"tabs_control_label_color_active\":\"globals\\/colors?id=46455ee\",\"tabs_control_icon_color_active\":\"globals\\/colors?id=46455ee\",\"tabs_control_border_color\":\"globals\\/colors?id=8276d6d\"},\"tabs_controls_aligment_mobile\":\"center\",\"tabs_content_padding_tablet\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"16\",\"bottom\":\"0\",\"left\":\"16\",\"isLinked\":false},\"_background_background\":\"classic\",\"tabs_content_padding_mobile\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"3ace1d7\"}],\"_flex_align_self\":\"stretch\"},\"elements\":[],\"widgetType\":\"jet-tabs\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("22896", "2571", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("22897", "2571", "_elementor_conditions", "a:1:{i:0;s:32:\"include/archive/projects_archive\";}");
INSERT INTO `wp_postmeta` VALUES("22938", "2407", "_elementor_conditions", "a:1:{i:0;s:25:\"include/singular/projects\";}");
INSERT INTO `wp_postmeta` VALUES("23213", "2609", "_wp_attached_file", "2023/09/Group-31.svg");
INSERT INTO `wp_postmeta` VALUES("23214", "2609", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:47044;s:5:\"width\";i:160;s:6:\"height\";i:31;}");
INSERT INTO `wp_postmeta` VALUES("23221", "2612", "_wp_attached_file", "2023/09/svgexport-18-4.svg");
INSERT INTO `wp_postmeta` VALUES("23222", "2612", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:6062;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("23224", "2613", "_wp_attached_file", "2023/09/Group.png");
INSERT INTO `wp_postmeta` VALUES("23225", "2613", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:30;s:6:\"height\";i:30;s:4:\"file\";s:17:\"2023/09/Group.png\";s:8:\"filesize\";i:1593;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("23791", "2669", "_wp_attached_file", "2023/09/footer-bg-2.svg");
INSERT INTO `wp_postmeta` VALUES("23792", "2669", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:242;s:5:\"width\";i:1141;s:6:\"height\";i:575;}");
INSERT INTO `wp_postmeta` VALUES("23833", "2672", "_wp_attached_file", "2023/09/footer-logo.svg");
INSERT INTO `wp_postmeta` VALUES("23834", "2672", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:47654;s:5:\"width\";i:160;s:6:\"height\";i:31;}");
INSERT INTO `wp_postmeta` VALUES("23959", "2684", "_wp_attached_file", "2023/09/Ellipse-16.svg");
INSERT INTO `wp_postmeta` VALUES("23960", "2684", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:159;s:5:\"width\";i:13;s:6:\"height\";i:13;}");
INSERT INTO `wp_postmeta` VALUES("24273", "2714", "_wp_attached_file", "2023/09/Group-30.png");
INSERT INTO `wp_postmeta` VALUES("24274", "2714", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:86;s:6:\"height\";i:77;s:4:\"file\";s:20:\"2023/09/Group-30.png\";s:8:\"filesize\";i:1037;s:5:\"sizes\";a:0:{}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("26368", "2925", "_wp_attached_file", "2023/09/svgexport-17-5.svg");
INSERT INTO `wp_postmeta` VALUES("26369", "2925", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:2255;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("29729", "3274", "_wp_attached_file", "2023/09/svgexport-21-2.svg");
INSERT INTO `wp_postmeta` VALUES("29730", "3274", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1200;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("30046", "3306", "_wp_attached_file", "2023/10/placeholder.png");
INSERT INTO `wp_postmeta` VALUES("30047", "3306", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:23:\"2023/10/placeholder.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"placeholder-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:24:\"placeholder-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"placeholder-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:23:\"placeholder-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("30048", "3306", "_elementor_source_image_hash", "876f2c38331d8e1bb78e7778192b6937e24af609");
INSERT INTO `wp_postmeta` VALUES("30049", "3307", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("30050", "3307", "_elementor_template_type", "popup");
INSERT INTO `wp_postmeta` VALUES("30051", "3307", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("30052", "3307", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("30057", "3307", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("30058", "3307", "_elementor_page_settings", "a:13:{s:5:\"width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:300;s:5:\"sizes\";a:0:{}}s:11:\"height_type\";s:13:\"fit_to_screen\";s:19:\"horizontal_position\";s:4:\"left\";s:21:\"close_button_vertical\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";d:1.5;s:5:\"sizes\";a:0:{}}s:23:\"close_button_horizontal\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:-12;s:5:\"sizes\";a:0:{}}s:9:\"icon_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:20;s:5:\"sizes\";a:0:{}}s:7:\"padding\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:5:\"0.625\";s:5:\"right\";s:5:\"0.625\";s:6:\"bottom\";s:5:\"0.625\";s:4:\"left\";s:5:\"0.625\";s:8:\"isLinked\";b:0;}s:14:\"padding_tablet\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:8:\"isLinked\";b:1;}s:14:\"padding_mobile\";a:6:{s:4:\"unit\";s:3:\"rem\";s:3:\"top\";s:0:\"\";s:5:\"right\";s:0:\"\";s:6:\"bottom\";s:0:\"\";s:4:\"left\";s:0:\"\";s:8:\"isLinked\";b:1;}s:11:\"__globals__\";a:1:{s:18:\"close_button_color\";s:25:\"globals/colors?id=primary\";}s:18:\"entrance_animation\";s:11:\"fadeInRight\";s:14:\"exit_animation\";s:11:\"fadeInRight\";s:27:\"entrance_animation_duration\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.8000000000000000444089209850062616169452667236328125;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("30059", "3307", "_elementor_data", "[{\"id\":\"7d66cc84\",\"elType\":\"container\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"f16ee85\"}],\"flex_gap\":{\"column\":\"0\",\"row\":\"1\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null}},\"elements\":[{\"id\":\"3098fbc8\",\"elType\":\"widget\",\"settings\":{\"jedv_conditions\":[{\"_id\":\"fd9b3e4\"}],\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"42a6b92\\\" name=\\\"site-logo\\\" settings=\\\"%7B%7D\\\"]\"},\"height\":{\"unit\":\"px\",\"size\":55,\"sizes\":[]},\"object-fit\":\"contain\",\"image\":{\"id\":3306,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/placeholder.png\"}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"66649fd\",\"elType\":\"widget\",\"settings\":{\"placeholder\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0631\\u062f\\u0646...\",\"button_text\":\"\\u062c\\u0633\\u062a\\u062c\\u0648 \\u06a9\\u0631\\u062f\\u0646\",\"size\":{\"unit\":\"px\",\"size\":36,\"sizes\":[]},\"input_typography_typography\":\"custom\",\"input_typography_font_family\":\"Dana\",\"input_typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"input_typography_font_weight\":\"400\",\"input_background_color\":\"#F2F2F2\",\"border_radius\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"button_width\":{\"unit\":\"px\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"085d199\"}]},\"elements\":[],\"widgetType\":\"search-form\"},{\"id\":\"5cd72ed4\",\"elType\":\"widget\",\"settings\":{\"menu\":\"%d9%85%d9%86%d9%88%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84\",\"layout\":\"vertical\",\"pointer\":\"none\",\"dropdown\":\"none\",\"menu_typography_typography\":\"custom\",\"menu_typography_font_family\":\"Dana\",\"menu_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"menu_typography_font_weight\":\"400\",\"padding_horizontal_menu_item\":{\"unit\":\"px\",\"size\":1,\"sizes\":[]},\"padding_vertical_menu_item\":{\"unit\":\"rem\",\"size\":0.8000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"padding_vertical_menu_item_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"padding_vertical_menu_item_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"menu_space_between\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"6b1bb29\"}],\"__globals__\":{\"pointer_color_menu_item_hover\":\"globals\\/colors?id=secondary\",\"color_menu_item_hover\":\"globals\\/colors?id=text\",\"color_menu_item_active\":\"globals\\/colors?id=primary\"},\"menu_id\":35},\"elements\":[],\"widgetType\":\"nav-menu\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("30067", "3307", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:2:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";}}");
INSERT INTO `wp_postmeta` VALUES("30068", "3307", "_edit_lock", "1697114800:4");
INSERT INTO `wp_postmeta` VALUES("30069", "3310", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30070", "3310", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30071", "3310", "_menu_item_object_id", "3310");
INSERT INTO `wp_postmeta` VALUES("30072", "3310", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30073", "3310", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30074", "3310", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30075", "3310", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30076", "3310", "_menu_item_url", "https://halochin.ir/Technology/");
INSERT INTO `wp_postmeta` VALUES("30078", "3311", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30079", "3311", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30080", "3311", "_menu_item_object_id", "3311");
INSERT INTO `wp_postmeta` VALUES("30081", "3311", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30082", "3311", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30083", "3311", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30084", "3311", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30085", "3311", "_menu_item_url", "https://halochin.ir/Technology/blog");
INSERT INTO `wp_postmeta` VALUES("30087", "3312", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30088", "3312", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30089", "3312", "_menu_item_object_id", "3312");
INSERT INTO `wp_postmeta` VALUES("30090", "3312", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30091", "3312", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30092", "3312", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30093", "3312", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30094", "3312", "_menu_item_url", "https://halochin.ir/Technology/our-services");
INSERT INTO `wp_postmeta` VALUES("30096", "3313", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30097", "3313", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30098", "3313", "_menu_item_object_id", "3313");
INSERT INTO `wp_postmeta` VALUES("30099", "3313", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30100", "3313", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30101", "3313", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30102", "3313", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30103", "3313", "_menu_item_url", "https://halochin.ir/Technology/projects/");
INSERT INTO `wp_postmeta` VALUES("30105", "3314", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30106", "3314", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30107", "3314", "_menu_item_object_id", "3314");
INSERT INTO `wp_postmeta` VALUES("30108", "3314", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30109", "3314", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30110", "3314", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30111", "3314", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30112", "3314", "_menu_item_url", "https://halochin.ir/Technology/about-us");
INSERT INTO `wp_postmeta` VALUES("30114", "3315", "_menu_item_type", "custom");
INSERT INTO `wp_postmeta` VALUES("30115", "3315", "_menu_item_menu_item_parent", "0");
INSERT INTO `wp_postmeta` VALUES("30116", "3315", "_menu_item_object_id", "3315");
INSERT INTO `wp_postmeta` VALUES("30117", "3315", "_menu_item_object", "custom");
INSERT INTO `wp_postmeta` VALUES("30118", "3315", "_menu_item_target", "");
INSERT INTO `wp_postmeta` VALUES("30119", "3315", "_menu_item_classes", "a:1:{i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("30120", "3315", "_menu_item_xfn", "");
INSERT INTO `wp_postmeta` VALUES("30121", "3315", "_menu_item_url", "https://halochin.ir/Technology/contact-us");
INSERT INTO `wp_postmeta` VALUES("31486", "3443", "_wp_attached_file", "2023/10/Path-56.png");
INSERT INTO `wp_postmeta` VALUES("31487", "3443", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:782;s:6:\"height\";i:1323;s:4:\"file\";s:19:\"2023/10/Path-56.png\";s:8:\"filesize\";i:3292;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"Path-56-177x300.png\";s:5:\"width\";i:177;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3249;}s:5:\"large\";a:5:{s:4:\"file\";s:20:\"Path-56-605x1024.png\";s:5:\"width\";i:605;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13680;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"Path-56-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1666;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:20:\"Path-56-768x1299.png\";s:5:\"width\";i:768;s:6:\"height\";i:1299;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:17972;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("31560", "3446", "_wp_attached_file", "2023/10/dashed-shadow.png");
INSERT INTO `wp_postmeta` VALUES("31561", "3446", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:568;s:6:\"height\";i:1323;s:4:\"file\";s:25:\"2023/10/dashed-shadow.png\";s:8:\"filesize\";i:10013;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"dashed-shadow-129x300.png\";s:5:\"width\";i:129;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3364;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"dashed-shadow-440x1024.png\";s:5:\"width\";i:440;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13466;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"dashed-shadow-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1685;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("31562", "3447", "_wp_attached_file", "2023/10/dashed-shadow-1.png");
INSERT INTO `wp_postmeta` VALUES("31563", "3447", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:568;s:6:\"height\";i:1323;s:4:\"file\";s:27:\"2023/10/dashed-shadow-1.png\";s:8:\"filesize\";i:10013;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:27:\"dashed-shadow-1-129x300.png\";s:5:\"width\";i:129;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:3364;}s:5:\"large\";a:5:{s:4:\"file\";s:28:\"dashed-shadow-1-440x1024.png\";s:5:\"width\";i:440;s:6:\"height\";i:1024;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:13466;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:27:\"dashed-shadow-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1685;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("32379", "3524", "_wp_attached_file", "2023/10/img-2@2x-3.jpeg");
INSERT INTO `wp_postmeta` VALUES("32380", "3524", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:494;s:6:\"height\";i:584;s:4:\"file\";s:23:\"2023/10/img-2@2x-3.jpeg\";s:8:\"filesize\";i:26533;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"img-2@2x-3-254x300.jpeg\";s:5:\"width\";i:254;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:12092;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"img-2@2x-3-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:4499;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("32383", "3526", "_wp_attached_file", "2023/10/img-3@2x-3.jpeg");
INSERT INTO `wp_postmeta` VALUES("32384", "3526", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:494;s:6:\"height\";i:584;s:4:\"file\";s:23:\"2023/10/img-3@2x-3.jpeg\";s:8:\"filesize\";i:15240;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"img-3@2x-3-254x300.jpeg\";s:5:\"width\";i:254;s:6:\"height\";i:300;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:8132;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"img-3@2x-3-150x150.jpeg\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/jpeg\";s:8:\"filesize\";i:3517;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("33768", "3676", "_wp_attached_file", "2023/09/comment-icon-1.svg");
INSERT INTO `wp_postmeta` VALUES("33769", "3676", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1591;s:5:\"width\";i:41;s:6:\"height\";i:37;}");
INSERT INTO `wp_postmeta` VALUES("33897", "3690", "_wp_attached_file", "2023/10/svgexport-17-9.svg");
INSERT INTO `wp_postmeta` VALUES("33898", "3690", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1328;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("33899", "3690", "_elementor_source_image_hash", "e97dfa4b80b365f66400c047308d99f1610fa5a2");
INSERT INTO `wp_postmeta` VALUES("34028", "3704", "_wp_attached_file", "2023/10/map-min.png");
INSERT INTO `wp_postmeta` VALUES("34029", "3704", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:998;s:6:\"height\";i:354;s:4:\"file\";s:19:\"2023/10/map-min.png\";s:8:\"filesize\";i:141983;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:19:\"map-min-300x106.png\";s:5:\"width\";i:300;s:6:\"height\";i:106;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39782;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:19:\"map-min-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:26776;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:19:\"map-min-768x272.png\";s:5:\"width\";i:768;s:6:\"height\";i:272;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:219041;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("34323", "3739", "_wp_attached_file", "2023/10/plus-icon.svg");
INSERT INTO `wp_postmeta` VALUES("34324", "3739", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:471;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("34326", "3740", "_wp_attached_file", "2023/10/min-icon.svg");
INSERT INTO `wp_postmeta` VALUES("34327", "3740", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:349;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("34640", "2407", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("34651", "2407", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%aa%da%a9%db%8c-%d8%ae%d8%af%d9%85%d8%a7%d8%aa");
INSERT INTO `wp_postmeta` VALUES("34652", "2571", "_edit_last", "2");
INSERT INTO `wp_postmeta` VALUES("34663", "2571", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7");
INSERT INTO `wp_postmeta` VALUES("37225", "4052", "_wp_attached_file", "2023/10/Ellipse-2-1.png");
INSERT INTO `wp_postmeta` VALUES("37226", "4052", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:736;s:6:\"height\";i:736;s:4:\"file\";s:23:\"2023/10/Ellipse-2-1.png\";s:8:\"filesize\";i:51103;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:23:\"Ellipse-2-1-300x300.png\";s:5:\"width\";i:300;s:6:\"height\";i:300;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:32951;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:23:\"Ellipse-2-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:9193;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("37412", "3310", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37413", "3311", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37414", "3312", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37415", "3313", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37416", "3314", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37417", "3315", "_wp_old_date", "2023-10-01");
INSERT INTO `wp_postmeta` VALUES("37727", "1910", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("37728", "1910", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:12:\"Java Script \";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:3:\"Php\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:9:\"Bootstrap\";}}");
INSERT INTO `wp_postmeta` VALUES("37729", "1910", "project-date", "9 / 6 / 1400");
INSERT INTO `wp_postmeta` VALUES("39355", "28", "__elementor_forms_snapshot", "[{\"id\":\"1b6e83f\",\"name\":\"\\u0641\\u0631\\u0645 \\u062a\\u0645\\u0627\\u0633 \\u0628\\u0627 \\u0645\\u0627\",\"fields\":[{\"id\":\"name\",\"type\":\"text\",\"label\":\"\"},{\"id\":\"email\",\"type\":\"email\",\"label\":\"\"},{\"id\":\"field_e9eb707\",\"type\":\"tel\",\"label\":\"\"},{\"id\":\"field_da271b5\",\"type\":\"text\",\"label\":\"\"},{\"id\":\"message\",\"type\":\"textarea\",\"label\":\"\"},{\"id\":\"field_48a2293\",\"type\":\"honeypot\",\"label\":false}]}]");
INSERT INTO `wp_postmeta` VALUES("40158", "4325", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("40159", "4325", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("40160", "4325", "_elementor_template_type", "archive");
INSERT INTO `wp_postmeta` VALUES("40161", "4325", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("40162", "4325", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("40163", "4325", "_edit_lock", "1697101242:2");
INSERT INTO `wp_postmeta` VALUES("40171", "4325", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("40172", "4325", "_elementor_data", "[{\"id\":\"3826f5a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"4\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"cf1faed\"}]},\"elements\":[{\"id\":\"9ae1376\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"e3cf041\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"8727d84\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0622\\u062e\\u0631\\u06cc\\u0646 \\u0627\\u062e\\u0628\\u0627\\u0631 \\u0633\\u0627\\u06cc\\u062a\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"align_tablet\":\"center\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"8c53f0b\\\" name=\\\"archive-title\\\" settings=\\\"%7B%22include_context%22%3A%22%22%7D\\\"]\"},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":15,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"d0b3220\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"e6ad01f\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"z_index\":2,\"jedv_conditions\":[{\"_id\":\"f1909c4\"}]},\"elements\":[{\"id\":\"0c4eb2d\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_image\":{\"url\":\"\",\"id\":\"\",\"size\":\"\",\"alt\":\"\",\"source\":\"library\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"57628e0\"}]},\"elements\":[{\"id\":\"da0efc6\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1549\",\"columns\":\"2\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"posts_query\":[{\"_id\":\"1f48d8f\",\"offset\":1}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":2,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"posts_num\":4,\"columns_mobile\":\"1\",\"injection_items\":[],\"is_archive_template\":\"yes\",\"jedv_conditions\":[{\"_id\":\"81dedb6\"}]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("40180", "4325", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("40181", "4325", "_elementor_conditions", "a:1:{i:0;s:24:\"include/archive/category\";}");
INSERT INTO `wp_postmeta` VALUES("40336", "1013", "__elementor_forms_snapshot", "[{\"id\":\"fc0bd1c\",\"name\":\"\\u0641\\u0631\\u0645 \\u0641\\u0648\\u062a\\u0631\",\"fields\":[{\"id\":\"name\",\"type\":\"email\",\"label\":\"\"},{\"id\":\"field_370e224\",\"type\":\"honeypot\",\"label\":false}]}]");
INSERT INTO `wp_postmeta` VALUES("40398", "4347", "_wp_attached_file", "2023/10/placeholder-1.png");
INSERT INTO `wp_postmeta` VALUES("40399", "4347", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:25:\"2023/10/placeholder-1.png\";s:8:\"filesize\";i:6146;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:25:\"placeholder-1-300x200.png\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:2008;}s:5:\"large\";a:5:{s:4:\"file\";s:26:\"placeholder-1-1024x683.png\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:7510;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:25:\"placeholder-1-150x150.png\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1207;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:25:\"placeholder-1-768x512.png\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:5345;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("40400", "4347", "_elementor_source_image_hash", "779153082f1389b122b3b16290a54c33cab0d3fa");
INSERT INTO `wp_postmeta` VALUES("40401", "4348", "_wp_attached_file", "2023/10/single-post-banner-1.png");
INSERT INTO `wp_postmeta` VALUES("40402", "4348", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1184;s:6:\"height\";i:135;s:4:\"file\";s:32:\"2023/10/single-post-banner-1.png\";s:8:\"filesize\";i:29193;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-300x34.png\";s:5:\"width\";i:300;s:6:\"height\";i:34;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8477;}s:5:\"large\";a:5:{s:4:\"file\";s:33:\"single-post-banner-1-1024x117.png\";s:5:\"width\";i:1024;s:6:\"height\";i:117;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:61925;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:32:\"single-post-banner-1-150x135.png\";s:5:\"width\";i:150;s:6:\"height\";i:135;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:8224;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:31:\"single-post-banner-1-768x88.png\";s:5:\"width\";i:768;s:6:\"height\";i:88;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:39666;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("40403", "4348", "_elementor_source_image_hash", "3d9c539ebedb9aa651c76442dd34a0655c86a675");
INSERT INTO `wp_postmeta` VALUES("40404", "4349", "_wp_attached_file", "2023/10/blog-icon.svg");
INSERT INTO `wp_postmeta` VALUES("40405", "4349", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1097;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("40406", "4349", "_elementor_source_image_hash", "e81d087c176487c6db91f8fb4dfd69c3176dfed1");
INSERT INTO `wp_postmeta` VALUES("40407", "4350", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("40408", "4350", "_elementor_template_type", "single-post");
INSERT INTO `wp_postmeta` VALUES("40409", "4350", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("40410", "4350", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("40415", "4350", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("40416", "4350", "_elementor_page_settings", "a:2:{s:21:\"background_background\";s:7:\"classic\";s:11:\"__globals__\";a:1:{s:16:\"background_color\";s:25:\"globals/colors?id=e310cb1\";}}");
INSERT INTO `wp_postmeta` VALUES("40417", "4350", "_elementor_data", "[{\"id\":\"3bc762b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"margin\":{\"unit\":\"rem\",\"top\":\"3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector .elementor-widget-shortcode , selector .fbc-items{\\n    width: 100%;\\n}\\n\\nselector .fbc-page .fbc-wrap .fbc-items {\\n    background: #fff;\\n    border: 1px solid  #b5b1b12e;\\n    padding:  0 0.5rem;\\n    border-radius: 15px;\\n}\\n\\nselector .fbc-items li {\\n    padding: 0.5rem 0.325rem;\\n    padding-top: 0.625rem;\\n    font-family: \\\"Dana\\\";\\n    font-weight: 300;\\n    font-size: 14px\\n}\\n\\nselector .fbc-items li.active span {\\n    font-weight: 300;\\n    font-size: 14px !important\\n}\\n\\n@media screen and (max-width:830px){\\n    selector .fbc-items li {\\n\\n    font-size: 12px\\n}\\n\\nselector .fbc-items li.active span {\\n\\n    font-size: 12px !important\\n}\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .fbc-items li {\\n    padding: 0.2rem 0.3rem; \\n    }\\n    selector .fbc-page .fbc-wrap .fbc-items{\\n        padding:0.625rem;\\n    }\\n}\",\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"9cc70ad\"}]},\"elements\":[{\"id\":\"8f2189b\",\"elType\":\"widget\",\"settings\":{\"shortcode\":\"[flexy_breadcrumb]\",\"jedv_conditions\":[{\"_id\":\"c38b5c3\"}]},\"elements\":[],\"widgetType\":\"shortcode\"}],\"isInner\":false},{\"id\":\"add5f59\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"flex_gap_tablet\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"ed24b70\"}]},\"elements\":[{\"id\":\"4c7a101\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"size\":70,\"unit\":\"%\"},\"width_tablet\":{\"unit\":\"%\",\"size\":65},\"flex_gap\":{\"size\":15,\"unit\":\"px\",\"column\":\"15\",\"row\":\"15\",\"isLinked\":true},\"background_background\":\"classic\",\"background_color\":\"#FFFFFF\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"1.5\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_flex_size\":\"none\",\"jedv_conditions\":[{\"_id\":\"67bcc18\"}],\"_element_width\":\"initial\",\"__globals__\":{\"background_color\":\"\",\"border_color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[{\"id\":\"33838a0\",\"elType\":\"widget\",\"settings\":{\"image_size\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"height\":{\"unit\":\"px\",\"size\":365,\"sizes\":[]},\"object-fit\":\"cover\",\"image_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"953f392\"}],\"scroll_y\":-80,\"__dynamic__\":{\"image\":\"[elementor-tag id=\\\"a967682\\\" name=\\\"post-featured-image\\\" settings=\\\"%7B%7D\\\"]\"},\"height_mobile\":{\"unit\":\"px\",\"size\":210,\"sizes\":[]},\"image\":{\"id\":4347,\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/placeholder-1.png\"},\"height_tablet\":{\"unit\":\"px\",\"size\":270,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"image\"},{\"id\":\"f0ea91a\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_gap_mobile\":{\"unit\":\"px\",\"size\":1,\"sizes\":[],\"column\":\"1\",\"row\":\"1\",\"isLinked\":true},\"flex_wrap_mobile\":\"nowrap\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"b00f9d9\",\"quantity\":\"\",\"product_type\":\"\"}],\"flex_align_items\":\"center\",\"flex_gap\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"unit\":\"px\",\"size\":\"\",\"sizes\":[],\"column\":\"\",\"row\":\"\",\"isLinked\":true},\"margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2092a89\",\"elType\":\"widget\",\"settings\":{\"icon_list\":[{\"selected_icon\":{\"value\":\"far fa-calendar-alt\",\"library\":\"fa-regular\"},\"_id\":\"b527fbb\",\"custom_date_format\":\"j F, Y\",\"custom_time_format\":\"g:i a\",\"link\":\"\",\"show_icon\":\"custom\",\"date_format\":\"custom\"},{\"type\":\"comments\",\"selected_icon\":{\"value\":\"far fa-comment\",\"library\":\"fa-regular\"},\"_id\":\"8d70532\",\"custom_date_format\":\"F j, Y\",\"custom_time_format\":\"g:i a\",\"show_icon\":\"custom\"}],\"text_color\":\"#9D9D9D\",\"icon_typography_typography\":\"custom\",\"icon_typography_font_family\":\"iranyekanweblight_FaNum\",\"icon_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"icon_typography_font_weight\":\"normal\",\"_element_width\":\"auto\",\"jedv_conditions\":[{\"_id\":\"f8b229b\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"space_between_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"icon_typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_element_width_mobile\":\"initial\",\"_element_custom_width_mobile\":{\"unit\":\"px\",\"size\":184.667000000000001591615728102624416351318359375},\"_flex_size\":\"none\",\"__globals__\":{\"icon_color\":\"globals\\/colors?id=text\"},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"icon_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"post-info\"},{\"id\":\"68104d7\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"twitter\",\"_id\":\"e5e1423\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"left\",\"column_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.5500000000000000444089209850062616169452667236328125,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2.5,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height\":{\"unit\":\"em\",\"size\":3.600000000000000088817841970012523233890533447265625,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#02010100\",\"_element_width\":\"auto\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=text\",\"secondary_color_hover\":\"globals\\/colors?id=primary\"},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"row_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"em\",\"size\":2,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true},{\"id\":\"57e4a216\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"182571e\"}],\"scroll_y\":-80,\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"23f06801\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"header_size\":\"h1\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"em\",\"size\":1.5,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"c76fc3d\"}],\"scroll_y\":-80,\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"1b9a1da\\\" name=\\\"post-title\\\" settings=\\\"%7B%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=primary\"},\"typography_line_height_mobile\":{\"unit\":\"em\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":17,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"621d85e\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.6999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"52acd7a\"}],\"scroll_y\":-80,\"align_mobile\":\"right\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13.5,\"sizes\":[]},\"custom_css\":\"selector img {\\n    margin-bottom: 15px;\\n    border-radius: 6px;\\n}\\n\\nselector h2 {\\n    font-size: 22px;\\n}\\nselector h3 {\\n    font-size: 20px;\\n}\\n\\nselector P {\\n    font-size: 13.15px;\\n    font-weight: 300;\\n}\\n\\n@media screen and (max-width:830px){\\n    selector h2 {\\n    font-size: 17px;\\n}\\nselector h3 {\\n    font-size: 14px;\\n}\\n\\nselector P{\\n    font-size:12px;\\n\\n}\\n}\",\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"theme-post-content\"}],\"isInner\":true},{\"id\":\"bfb3432\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":\"50\"},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"bb7c14c\"}],\"flex_gap\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"1.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"sticky\":\"top\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"87172d0\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a7bc370\"}],\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"flex_gap\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"overflow\":\"hidden\",\"sticky_on\":[\"desktop\",\"tablet\"],\"sticky_parent\":\"yes\"},\"elements\":[{\"id\":\"e95f4f1\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0648 \\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0647\\u0645\\u06a9\\u0627\\u0631\\u06cc \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"jedv_conditions\":[{\"_id\":\"648d859\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"58e29ea\",\"elType\":\"widget\",\"settings\":{\"align\":\"justify\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"f98c988\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"align_tablet\":\"justify\"},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"9eee5cb\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\"},\"elements\":[{\"id\":\"55b1a26\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/09\\/Group-3.svg\",\"id\":4994},\"library\":\"svg\"},\"title_text\":\"\\u062a\\u0644\\u0641\\u0646 \\u062a\\u0645\\u0627\\u0633 :\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10.5,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.1rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\",\"icon_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"0b459bb\",\"elType\":\"widget\",\"settings\":{\"title\":\"1234567 - 035\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.3\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"fb04b39\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"536dd77\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0.4\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"bf22d7d\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/Group-4.svg\",\"id\":5209},\"library\":\"svg\"},\"title_text\":\"\\u0627\\u06cc\\u0645\\u06cc\\u0644 :\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10.5,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.1rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\",\"icon_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"cbbd366\",\"elType\":\"widget\",\"settings\":{\"title\":\"Info@yoursite.com\",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.4\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"79eb39f\"}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"f75e305\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"45ca363\",\"elType\":\"container\",\"settings\":{\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_flex_size\":\"none\",\"width_tablet\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"width_mobile\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"flex_direction_mobile\":\"row\",\"flex_justify_content_mobile\":\"space-between\",\"flex_gap_mobile\":{\"column\":\"7\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"px\",\"size\":7},\"flex_wrap_mobile\":\"nowrap\",\"flex_direction\":\"row\",\"flex_justify_content\":\"space-between\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"1.4\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":1},\"flex_gap_tablet\":{\"column\":\"0\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"jedv_conditions\":[{\"_id\":\"ad17b64\"}],\"flex_direction_tablet\":\"row\",\"flex_align_items_tablet\":\"flex-start\",\"flex_align_items_mobile\":\"center\",\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true}},\"elements\":[{\"id\":\"db8a2cc\",\"elType\":\"widget\",\"settings\":{\"selected_icon\":{\"value\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/Group-4-1.svg\",\"id\":5210},\"library\":\"svg\"},\"title_text\":\"\\u0634\\u0628\\u06a9\\u0647 \\u0647\\u0627\\u06cc \\u0627\\u062c\\u062a\\u0645\\u0627\\u0639\\u06cc :\",\"description_text\":\"\",\"position\":\"right\",\"content_vertical_alignment\":\"middle\",\"text_align\":\"right\",\"icon_space\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"title_bottom_space\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"title_typography_typography\":\"custom\",\"title_typography_font_family\":\"Dana\",\"title_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"title_typography_font_weight\":\"500\",\"description_typography_typography\":\"custom\",\"description_typography_font_family\":\"Dana\",\"description_typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"description_typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"jedv_conditions\":[{\"_id\":\"179a2eb\"}],\"position_tablet\":\"right\",\"position_mobile\":\"right\",\"icon_space_tablet\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"px\",\"size\":18,\"sizes\":[]},\"title_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10.5,\"sizes\":[]},\"custom_css\":\"\\n@media screen and (max-width:576px){\\n    selector .elementor-icon-box-icon {\\n    margin-top: 0.1rem;\\n}\\nselector .elementor-icon-box-wrapper{\\n    margin-bottom: -0.1rem\\n}\\n}\",\"icon_space_mobile\":{\"unit\":\"px\",\"size\":7,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"px\",\"size\":21,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"icon-box\"},{\"id\":\"a389142\",\"elType\":\"widget\",\"settings\":{\"share_buttons\":[{\"_id\":\"5824bcd\"},{\"button\":\"telegram\",\"_id\":\"f60fe89\"},{\"_id\":\"31d79c9\",\"button\":\"whatsapp\"}],\"view\":\"icon\",\"skin\":\"minimal\",\"shape\":\"rounded\",\"alignment\":\"right\",\"column_gap\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"row_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"button_size\":{\"unit\":\"px\",\"size\":0.59999999999999997779553950749686919152736663818359375,\"sizes\":[]},\"button_size_mobile\":{\"unit\":\"px\",\"size\":0.5,\"sizes\":[]},\"icon_size\":{\"unit\":\"em\",\"size\":2.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"icon_size_mobile\":{\"unit\":\"em\",\"size\":2.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"button_height_mobile\":{\"unit\":\"em\",\"size\":4,\"sizes\":[]},\"color_source\":\"custom\",\"primary_color\":\"#FECBF800\",\"_element_width\":\"initial\",\"_element_vertical_align\":\"center\",\"jedv_conditions\":[{\"_id\":\"8801cd3\",\"quantity\":\"\",\"product_type\":\"\"}],\"scroll_y\":-80,\"__globals__\":{\"secondary_color\":\"globals\\/colors?id=46455ee\",\"secondary_color_hover\":\"globals\\/colors?id=8276d6d\",\"primary_color\":\"\"},\"_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"column_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"row_gap_mobile\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"column_gap_tablet\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"secondary_color_hover\":\"#FECBF8\",\"_flex_align_self\":\"flex-start\",\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"alignment_mobile\":\"left\",\"button_size_tablet\":{\"unit\":\"px\",\"size\":0.40000000000000002220446049250313080847263336181640625,\"sizes\":[]},\"button_height\":{\"unit\":\"rem\",\"size\":1.5,\"sizes\":[]},\"button_height_tablet\":{\"unit\":\"rem\",\"size\":1.1999999999999999555910790149937383830547332763671875,\"sizes\":[]},\"secondary_color\":\"#5E71FF\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"-0.2\",\"left\":\"-0.4\",\"isLinked\":false},\"alignment_tablet\":\"left\",\"row_gap_tablet\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"icon_size_tablet\":{\"unit\":\"em\",\"size\":2.79999999999999982236431605997495353221893310546875,\"sizes\":[]},\"_element_custom_width_tablet\":{\"unit\":\"%\",\"size\":37,\"sizes\":[]},\"_element_custom_width_mobile\":{\"unit\":\"%\",\"size\":41,\"sizes\":[]},\"custom_css\":\"@media screen and (max-width:830px){\\n    selector .elementor-grid{\\n    gap: 0rem;\\n}\\n}\"},\"elements\":[],\"widgetType\":\"share-buttons\"}],\"isInner\":true},{\"id\":\"5600e73\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"align\":\"center\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"d9d3ebc\"}],\"__globals__\":{\"color\":\"globals\\/colors?id=0c51d16\"}},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"f6cfdc7\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u062f\\u0631\\u062e\\u0648\\u0627\\u0633\\u062a \\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0648 \\u0647\\u0645\\u06a9\\u0627\\u0631\\u06cc\",\"align\":\"justify\",\"__globals__\":{\"background_color\":\"\",\"button_text_color\":\"\"},\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"background_color_stop\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"background_color_b\":\"#FF4B3D\",\"background_gradient_angle\":{\"unit\":\"deg\",\"size\":102,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"12\",\"right\":\"12\",\"bottom\":\"12\",\"left\":\"12\",\"isLinked\":true},\"text_padding\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"28\",\"bottom\":\"12\",\"left\":\"30\",\"isLinked\":false},\"text_padding_tablet\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"24\",\"bottom\":\"9\",\"left\":\"24\",\"isLinked\":false},\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"},\"button_css_id\":\"\\u062a\\u0639\\u0631\\u0641\\u0647 \\u0647\\u0627 \",\"_flex_align_self\":\"stretch\",\"__dynamic__\":[],\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"500\",\"background_color\":\"#5E71FF\",\"jedv_conditions\":[{\"_id\":\"ce48b4e\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.4\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"text_padding_mobile\":{\"unit\":\"rem\",\"top\":\"0.8\",\"right\":\"0\",\"bottom\":\"0.7\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[],\"widgetType\":\"button\"}],\"isInner\":true},{\"id\":\"468df48\",\"elType\":\"container\",\"settings\":{\"min_height\":{\"unit\":\"px\",\"size\":90,\"sizes\":[]},\"background_background\":\"classic\",\"border_border\":\"solid\",\"border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"padding\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1.5\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"a7bc370\"}],\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\",\"border_color\":\"globals\\/colors?id=0c51d16\"},\"overflow\":\"hidden\",\"flex_gap_tablet\":{\"column\":\"12\",\"row\":\"12\",\"isLinked\":true,\"unit\":\"px\",\"size\":12}},\"elements\":[{\"id\":\"e3c5c0c\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u062f\\u0631 \\u062e\\u0628\\u0631\\u0646\\u0627\\u0645\\u0647 \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"_margin\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"header_size\":\"div\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0.8\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"custom_css\":\"selector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    position: absolute;\\n    content: \\\"\\\";\\n    width: 25px;\\n    height: 3px;\\n    background: var(--e-global-color-8276d6d);\\n    top:30%;\\n    right: -20px\\n}\",\"jedv_conditions\":[{\"_id\":\"648d859\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"44190ba\",\"elType\":\"widget\",\"settings\":{\"form_name\":\"\\u0641\\u0631\\u0645 \\u062c\\u062f\\u06cc\\u062f\",\"form_fields\":[{\"custom_id\":\"email\",\"field_type\":\"email\",\"required\":\"true\",\"placeholder\":\"\\u0622\\u062f\\u0631\\u0633 \\u0627\\u06cc\\u0645\\u06cc\\u0644\",\"width\":\"70\",\"_id\":\"ae8af82\",\"width_tablet\":\"60\",\"width_mobile\":\"70\"}],\"button_width\":\"30\",\"step_next_label\":\"\\u0628\\u0639\\u062f\\u06cc\",\"step_previous_label\":\"\\u0642\\u0628\\u0644\\u06cc\",\"button_text\":\"\\u0627\\u0631\\u0633\\u0627\\u0644\",\"email_to\":\"designer2@abzarwp.com\",\"email_subject\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content\":\"[all-fields]\",\"email_from\":\"email@halochin.ir\",\"email_from_name\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_to_2\":\"designer2@abzarwp.com\",\"email_subject_2\":\"\\u067e\\u06cc\\u0627\\u0645 \\u062c\\u062f\\u06cc\\u062f \\u0627\\u0632 \\u0637\\u0631\\u0641 &quot;\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc&quot;\",\"email_content_2\":\"[all-fields]\",\"email_from_2\":\"email@halochin.ir\",\"email_from_name_2\":\"\\u0633\\u0627\\u06cc\\u062a \\u0622\\u0645\\u0627\\u062f\\u0647 \\u0634\\u0631\\u06a9\\u062a\\u06cc \\u062a\\u06a9\\u0646\\u0648\\u0644\\u0648\\u0698\\u06cc\",\"email_reply_to_2\":\"designer2@abzarwp.com\",\"mailchimp_fields_map\":[],\"drip_fields_map\":[],\"activecampaign_fields_map\":[],\"getresponse_fields_map\":[],\"convertkit_fields_map\":[],\"mailerlite_fields_map\":[],\"success_message\":\"\\u0639\\u0636\\u0648\\u06cc\\u062a \\u0634\\u0645\\u0627 \\u0628\\u0627 \\u0645\\u0648\\u0641\\u0642\\u06cc\\u062a \\u0627\\u0646\\u062c\\u0627\\u0645 \\u0634\\u062f (:\",\"error_message\":\"\\u06cc\\u06a9 \\u062e\\u0637\\u0627\\u06cc \\u0646\\u0627\\u0634\\u0646\\u0627\\u062e\\u062a\\u0647 \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a :(\",\"server_message\":\"\\u062e\\u0637\\u0627\\u06cc \\u0633\\u0631\\u0648\\u0631 \\u0631\\u062e \\u062f\\u0627\\u062f\\u0647 \\u0627\\u0633\\u062a :(\",\"invalid_message\":\"\\u0627\\u0637\\u0644\\u0627\\u0639\\u0627\\u062a \\u0648\\u0627\\u0631\\u062f \\u0634\\u062f\\u0647 \\u0635\\u062d\\u06cc\\u062d \\u0646\\u0645\\u06cc\\u0628\\u0627\\u0634\\u062f :(\",\"required_field_message\":\"\\u0627\\u06cc\\u0646 \\u0641\\u06cc\\u0644\\u062f \\u0627\\u0644\\u0632\\u0627\\u0645\\u06cc \\u0627\\u0633\\u062a.\",\"field_typography_typography\":\"custom\",\"field_typography_font_family\":\"Dana\",\"field_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"field_typography_font_weight\":\"300\",\"field_background_color\":\"#FFFFFF00\",\"field_border_color\":\"#FFFFFF14\",\"field_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"field_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":false},\"button_typography_typography\":\"custom\",\"button_typography_font_family\":\"Dana\",\"button_typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"button_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"button_typography_font_weight\":\"300\",\"button_border_border\":\"solid\",\"button_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"1\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"button_border_color\":\"#FFFFFF24\",\"previous_button_background_color\":\"#FFFFFF1A\",\"button_border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"button_text_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"success_message_color\":\"#49EB44\",\"error_message_color\":\"#F74D4D\",\"inline_message_color\":\"#F74D4D\",\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"84c02ce\"}],\"custom_css\":\"\\nselector .elementor-form {\\n    border: 1px solid var(--e-global-color-0c51d16);\\n    border-radius: 15px;\\n}\\n\\nselector input {\\n    outline: none !important;\\n}\\n\\n  selector .elementor-button , selector .elementor-field {\\n        min-height: 38px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n\\n\\n\\nselector .elementor-message {\\n        position: absolute;\\n    top: 33px;\\n    font-size: 11px;\\n}\\n\\n@media (min-width:576px) and (max-width:830px) {\\n    selector .elementor-button , selector .elementor-field {\\n        min-height: 0px;\\n        max-height:30px;\\n    }\\n    \\n    selector .elementor-button {\\n        min-height:100%;\\n    }\\n}\",\"__globals__\":{\"field_text_color\":\"globals\\/colors?id=text\",\"button_text_color\":\"globals\\/colors?id=5b191c6\",\"button_background_color\":\"globals\\/colors?id=46455ee\"},\"button_width_tablet\":\"40\",\"button_width_mobile\":\"30\",\"field_typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"custom_messages\":\"yes\"},\"elements\":[],\"widgetType\":\"form\"}],\"isInner\":true}],\"isInner\":true}],\"isInner\":false},{\"id\":\"6d058d3\",\"elType\":\"container\",\"settings\":{\"margin\":{\"unit\":\"rem\",\"top\":\"2\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"cfb5a10\"}]},\"elements\":[{\"id\":\"0b5f1d5\",\"elType\":\"widget\",\"settings\":{\"_skin\":\"theme_comments\",\"_margin\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"custom_css\":\"selector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector a {\\r\\n    color: var(--e-global-color-primary)\\r\\n}\\r\\n\\r\\nselector .comment-reply-title{\\r\\n    font-family: \\\"Dana\\\";\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n    background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\nselector h3#reply-title {\\r\\n    display: none;\\r\\n}\\r\\n\\r\\nselector textarea#comment {\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n    margin-bottom: 8px;\\r\\n}\\r\\n\\r\\nselector input#author {\\r\\n    background: #F7F8FAt;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#email {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector input#url {\\r\\n background: #F7F8FA;\\r\\n    border: none;\\r\\n    border-radius: 10px;\\r\\n}\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n}\\r\\n\\r\\nselector .comment-form .submit {\\r\\n    border-radius: 8px;\\r\\n    font-weight: normal;\\r\\n    font-family: \'iranyekanwebbold_FaNum\'; \\r\\n} \\r\\n\\r\\nselector p.comment-notes {\\r\\n    font-size: 14px;\\r\\n}\\r\\n\\r\\nselector label{\\r\\n    color: #F7F8FA;\\r\\n    font-size: 12px\\r\\n}\\r\\n\\r\\n\\r\\nselector p.logged-in-as {\\r\\n    font-size: 13px;\\r\\n    margin: 0 0 1.5rem 0;\\r\\n}\\r\\n\\r\\nselector .comment-body{\\r\\n    background-color: #F7F8FA;\\r\\n    border-radius: 15px;\\r\\n    border: none !important;\\r\\n    margin-bottom: 1rem;\\r\\n    padding: 2rem 5rem 2rem 2rem !important;\\r\\n}\\r\\n\\r\\nselector .avatar{\\r\\n    right: 1.5% !important; \\r\\n}\\r\\n\\r\\nselector .submit{\\r\\n        border: none;\\r\\n    color: #fff;\\r\\n    font-size: 14px;\\r\\n    border-radius: 15px;\\r\\n}\\r\\n\\r\\n\\r\\nselector .title-comments{\\r\\n    font-size: 18px\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent label{\\r\\n    color: unset !important;\\r\\n}\\r\\n\\r\\nselector .submit {\\r\\n    padding: 7px 12px\\r\\n}\\r\\n\\r\\nselector .logged-in-as {\\r\\n    margin: 0 !important;\\r\\n}\\r\\n\\r\\nselector .comment-form-cookies-consent {\\r\\n        margin: 1.4rem 0 0.625rem 0;\\r\\n}\\r\\n\\r\\n\\r\\nselector label {\\r\\n    color: #909090;\\r\\n    margin: 0.8rem 0 0.5rem 0;\\r\\n}\\r\\n\\r\\n\\r\\n@media screen and (max-width:578px){\\r\\n    selector .comment-body{\\r\\n        padding:1rem !important;\\r\\n    }\\r\\n    \\r\\n    selector .fn{\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector time{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-edit-link{\\r\\n        font-size:9px;\\r\\n    }\\r\\n    \\r\\n    selector .says{\\r\\n        font-size:10px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-content p {\\r\\n        font-size:11px;\\r\\n    }\\r\\n    \\r\\n    selector .title-comments{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-reply-title{\\r\\n        font-size:14px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-notes span {\\r\\n        font-size:11.5px;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent label{\\r\\n        font-size:11.5px;\\r\\n        line-height:1.3rem;\\r\\n    }\\r\\n    \\r\\n    selector .comment-form-cookies-consent{\\r\\n        display:flex;\\r\\n        gap:0.4rem;\\r\\n    }\\r\\n}\",\"_padding\":{\"unit\":\"rem\",\"top\":\"1.4\",\"right\":\"1.4\",\"bottom\":\"1.4\",\"left\":\"1.4\",\"isLinked\":true},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_background_background\":\"classic\",\"_border_border\":\"solid\",\"_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"__globals__\":{\"_background_color\":\"globals\\/colors?id=5b191c6\",\"_border_color\":\"globals\\/colors?id=0c51d16\"},\"jedv_conditions\":[{\"_id\":\"0b2187e\"}]},\"elements\":[],\"widgetType\":\"post-comments\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("40426", "4350", "_elementor_page_assets", "a:1:{s:7:\"scripts\";a:1:{i:0;s:8:\"e-sticky\";}}");
INSERT INTO `wp_postmeta` VALUES("40427", "4350", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("40436", "4350", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87-%d8%aa%da%a9%db%8c-2");
INSERT INTO `wp_postmeta` VALUES("40437", "4350", "_edit_lock", "1697115093:4");
INSERT INTO `wp_postmeta` VALUES("40446", "4350", "_elementor_conditions", "a:1:{i:0;s:29:\"include/singular/our-services\";}");
INSERT INTO `wp_postmeta` VALUES("40782", "4350", "__elementor_forms_snapshot", "[{\"id\":\"cdf6533\",\"name\":\"\\u0641\\u0631\\u0645 \\u062b\\u0628\\u062a \\u0633\\u0641\\u0627\\u0631\\u0634\",\"fields\":[{\"id\":\"name\",\"type\":\"email\",\"label\":\"\"},{\"id\":\"field_370e224\",\"type\":\"honeypot\",\"label\":false},{\"id\":\"field_eabfefd\",\"type\":\"hidden\",\"label\":\"\\u0637\\u0631\\u0627\\u062d\\u06cc \\u0633\\u0627\\u06cc\\u062a \\u0627\\u062e\\u062a\\u0635\\u0627\\u0635\\u06cc\"}]},{\"id\":\"44190ba\",\"name\":\"\\u0641\\u0631\\u0645 \\u062c\\u062f\\u06cc\\u062f\",\"fields\":[{\"id\":\"email\",\"type\":\"email\",\"label\":\"\"}]}]");
INSERT INTO `wp_postmeta` VALUES("41069", "4423", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("41070", "4423", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("41071", "4423", "_elementor_template_type", "popup");
INSERT INTO `wp_postmeta` VALUES("41072", "4423", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("41073", "4423", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("41074", "4423", "_edit_lock", "1696510882:2");
INSERT INTO `wp_postmeta` VALUES("41298", "4423", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("41299", "4423", "_elementor_page_settings", "a:8:{s:18:\"entrance_animation\";s:6:\"fadeIn\";s:14:\"exit_animation\";s:6:\"fadeIn\";s:27:\"entrance_animation_duration\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";d:0.59999999999999997779553950749686919152736663818359375;s:5:\"sizes\";a:0:{}}s:13:\"border_radius\";a:6:{s:4:\"unit\";s:2:\"px\";s:3:\"top\";s:2:\"20\";s:5:\"right\";s:2:\"20\";s:6:\"bottom\";s:2:\"20\";s:4:\"left\";s:2:\"20\";s:8:\"isLinked\";b:1;}s:21:\"close_button_vertical\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:-5;s:5:\"sizes\";a:0:{}}s:23:\"close_button_horizontal\";a:3:{s:4:\"unit\";s:1:\"%\";s:4:\"size\";i:-4;s:5:\"sizes\";a:0:{}}s:9:\"icon_size\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:18;s:5:\"sizes\";a:0:{}}s:11:\"__globals__\";a:1:{s:18:\"close_button_color\";s:25:\"globals/colors?id=46455ee\";}}");
INSERT INTO `wp_postmeta` VALUES("41300", "4423", "_elementor_data", "[{\"id\":\"a72a9ef\",\"elType\":\"container\",\"settings\":{\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"22d1838\",\"elType\":\"widget\",\"settings\":{\"youtube_url\":\"https:\\/\\/www.youtube.com\\/watch?v=XHOmBV4js_E\",\"vimeo_url\":\"https:\\/\\/vimeo.com\\/235215203\",\"dailymotion_url\":\"https:\\/\\/www.dailymotion.com\\/video\\/x6tqhqb\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"20\",\"right\":\"20\",\"bottom\":\"20\",\"left\":\"20\",\"isLinked\":true},\"video_type\":\"hosted\",\"hosted_url\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/wp-content\\/uploads\\/2023\\/10\\/1661468732901-online-video-cutter.com_.mp4\",\"id\":4557,\"size\":\"\",\"alt\":\"\",\"source\":\"library\"}},\"elements\":[],\"widgetType\":\"video\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("41309", "4423", "_elementor_page_assets", "a:1:{s:6:\"styles\";a:2:{i:0;s:12:\"e-animations\";i:1;s:12:\"e-animations\";}}");
INSERT INTO `wp_postmeta` VALUES("41310", "4423", "_elementor_conditions", "a:1:{i:0;s:15:\"include/general\";}");
INSERT INTO `wp_postmeta` VALUES("41311", "4423", "_elementor_popup_display_settings", "a:2:{s:8:\"triggers\";a:0:{}s:6:\"timing\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("41382", "1013", "_elementor_oembed_cache", "{\"https://www.youtube.com/watch?v=XHOmBV4js_E\":{\"thumbnail_url\":\"https://i.ytimg.com/vi/XHOmBV4js_E/hqdefault.jpg\",\"title\":\"Video Placeholder\"}}");
INSERT INTO `wp_postmeta` VALUES("41384", "1583", "_elementor_oembed_cache", "{\"https://www.youtube.com/watch?v=XHOmBV4js_E\":{\"thumbnail_url\":\"https://i.ytimg.com/vi/XHOmBV4js_E/hqdefault.jpg\",\"title\":\"Video Placeholder\"}}");
INSERT INTO `wp_postmeta` VALUES("41386", "4456", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("41387", "4456", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("41388", "4456", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("41389", "4456", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("41390", "4456", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("41391", "4456", "_edit_lock", "1697114946:4");
INSERT INTO `wp_postmeta` VALUES("41397", "4456", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("41398", "4456", "_elementor_data", "[{\"id\":\"ff856a6\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F5F5FF3B\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"2f7667f\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"4aaf6c2\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"projects-categories\",\"tax_query_terms\":\"16\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns\":\"4\",\"posts_num\":12,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"f5bfaef\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"projects\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\",\"jedv_enabled\":\"\",\"jedv_type\":\"show\",\"jedv_relation\":\"AND\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("41406", "4456", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("41409", "4459", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("41410", "4459", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("41411", "4459", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("41412", "4459", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("41413", "4459", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("41414", "4459", "_edit_lock", "1697114937:4");
INSERT INTO `wp_postmeta` VALUES("41420", "4459", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("41421", "4459", "_elementor_data", "[{\"id\":\"1abcee0\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F5F5FF3B\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4b4981b\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"42b3f44\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"projects-categories\",\"tax_query_terms\":\"17\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns\":\"4\",\"posts_num\":12,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"29edec0\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"projects\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\",\"jedv_enabled\":\"\",\"jedv_type\":\"show\",\"jedv_relation\":\"AND\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("41429", "4459", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("41430", "4462", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("41431", "4462", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("41432", "4462", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("41433", "4462", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("41434", "4462", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("41435", "4462", "_edit_lock", "1697114930:4");
INSERT INTO `wp_postmeta` VALUES("41441", "4462", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("41442", "4462", "_elementor_data", "[{\"id\":\"77dbd18\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F5F5FF3B\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"da198c9\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"da106cb\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"projects-categories\",\"tax_query_terms\":\"18\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns\":\"4\",\"posts_num\":12,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"e1ae418\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"projects\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\",\"jedv_enabled\":\"\",\"jedv_type\":\"show\",\"jedv_relation\":\"AND\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("41450", "4462", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("41451", "4465", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("41452", "4465", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("41453", "4465", "_elementor_template_type", "section");
INSERT INTO `wp_postmeta` VALUES("41454", "4465", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("41455", "4465", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("41456", "4465", "_edit_lock", "1697114924:4");
INSERT INTO `wp_postmeta` VALUES("41462", "4465", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("41463", "4465", "_elementor_data", "[{\"id\":\"07edec4\",\"elType\":\"container\",\"settings\":{\"background_background\":\"classic\",\"background_color\":\"#F5F5FF3B\",\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false}},\"elements\":[{\"id\":\"4ee38ed\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"equal_columns_height\":\"yes\",\"posts_query\":[{\"_id\":\"4d01b71\",\"type\":\"tax_query\",\"tax_query_taxonomy\":\"projects-categories\",\"tax_query_terms\":\"19\"}],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":0,\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"columns\":\"4\",\"posts_num\":12,\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"injection_items\":[]},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"b38c4ad\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"query_id\":\"projects\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"jedv_conditions\":[{\"_id\":\"4c617ec\",\"jedv_condition\":\"\",\"jedv_user_role\":\"\",\"jedv_user_id\":\"\",\"jedv_field\":\"\",\"jedv_value\":\"\",\"jedv_context\":\"default\",\"quantity\":\"\",\"product_type\":\"\",\"query_id\":\"\",\"terms_taxonomy\":\"\",\"time_from\":\"\",\"time_to\":\"\",\"week_days\":[],\"item_number\":\"\",\"each_item_number\":\"\",\"jedv_data_type\":\"chars\"}],\"scroll_y\":-80,\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"apply_type\":\"reload\",\"load_more_text\":\"Load More\",\"pages_center_offset\":2,\"pagination_background_color\":\"#FFFFFF\",\"_element_width\":\"inherit\",\"jedv_enabled\":\"\",\"jedv_type\":\"show\",\"jedv_relation\":\"AND\"},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("41471", "4465", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("42036", "4527", "_wp_attached_file", "2023/10/svgexport-17-6.svg");
INSERT INTO `wp_postmeta` VALUES("42037", "4527", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:381;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("42341", "4423", "_oembed_7befe71c04536851b6485e7b012d3f0d", "<iframe title=\"Video Placeholder\" width=\"800\" height=\"450\" src=\"https://www.youtube.com/embed/XHOmBV4js_E?feature=oembed\" frameborder=\"0\" allow=\"accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share\" allowfullscreen></iframe>");
INSERT INTO `wp_postmeta` VALUES("42342", "4423", "_oembed_time_7befe71c04536851b6485e7b012d3f0d", "1696483393");
INSERT INTO `wp_postmeta` VALUES("42343", "4557", "_wp_attached_file", "2023/10/1661468732901-online-video-cutter.com_.mp4");
INSERT INTO `wp_postmeta` VALUES("42344", "4557", "_wp_attachment_metadata", "a:10:{s:8:\"filesize\";i:2153674;s:9:\"mime_type\";s:9:\"video/mp4\";s:6:\"length\";i:20;s:16:\"length_formatted\";s:4:\"0:20\";s:5:\"width\";i:960;s:6:\"height\";i:504;s:10:\"fileformat\";s:3:\"mp4\";s:10:\"dataformat\";s:9:\"quicktime\";s:5:\"audio\";a:7:{s:10:\"dataformat\";s:3:\"mp4\";s:5:\"codec\";s:19:\"ISO/IEC 14496-3 AAC\";s:11:\"sample_rate\";d:48000;s:8:\"channels\";i:2;s:15:\"bits_per_sample\";i:16;s:8:\"lossless\";b:0;s:11:\"channelmode\";s:6:\"stereo\";}s:17:\"created_timestamp\";i:-2082844800;}");
INSERT INTO `wp_postmeta` VALUES("42789", "4598", "_wp_attached_file", "2023/09/Group-35747-2-1.svg");
INSERT INTO `wp_postmeta` VALUES("42790", "4598", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:871;s:5:\"width\";i:1758;s:6:\"height\";i:578;}");
INSERT INTO `wp_postmeta` VALUES("42815", "4601", "_wp_attached_file", "2023/10/Group-29-1.svg");
INSERT INTO `wp_postmeta` VALUES("42816", "4601", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:43640;s:5:\"width\";i:244;s:6:\"height\";i:89;}");
INSERT INTO `wp_postmeta` VALUES("42936", "1912", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:1911;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-33-860x684-1.jpg\";}i:1;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}i:2;a:2:{s:2:\"id\";i:1909;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg\";}i:3;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:4;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("42937", "1912", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:9:\"Wordpress\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Php\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:6:\"Jquery\";}}");
INSERT INTO `wp_postmeta` VALUES("42938", "1912", "project-employer", "آقای مرتضی رحمانی ");
INSERT INTO `wp_postmeta` VALUES("42939", "1912", "the-duration-of-the-project", "6 روز کاری");
INSERT INTO `wp_postmeta` VALUES("42940", "1912", "the-price-of-this-project", "6,800,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("42941", "1912", "project-date", "8 / 4 / 1399");
INSERT INTO `wp_postmeta` VALUES("42977", "1908", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:771;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-36-860x762-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("42978", "1908", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:12:\"Java Script \";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:3:\"Vue\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:4:\"Nuxt\";}}");
INSERT INTO `wp_postmeta` VALUES("42979", "1908", "project-employer", "خانم لاله کریمی ");
INSERT INTO `wp_postmeta` VALUES("42980", "1908", "the-duration-of-the-project", "25 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("42981", "1908", "the-price-of-this-project", "26,000,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("42982", "1908", "project-date", "12 / 9 / 1401");
INSERT INTO `wp_postmeta` VALUES("42983", "1211", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}i:1;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("42984", "1211", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:12:\"Java Script \";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:5:\"React\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:4:\"Next\";}}");
INSERT INTO `wp_postmeta` VALUES("42985", "1211", "project-employer", "آقای سینا مجتهد");
INSERT INTO `wp_postmeta` VALUES("42986", "1211", "the-duration-of-the-project", "12 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("42987", "1211", "the-price-of-this-project", "20,000,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("42988", "1211", "project-date", "25 / 12 / 1398");
INSERT INTO `wp_postmeta` VALUES("42989", "1211", "_wp_old_slug", "%d8%aa%d8%af%d9%88%db%8c%d9%86-%d8%a7%d8%b3%d8%aa%d8%b1%d8%a7%d8%aa%da%98%db%8c-%d9%85%d9%86%d8%a7%d8%b3%d8%a8-%d8%a8%d8%b1%d8%a7%db%8c-%da%a9%d9%85%d9%be%db%8c%d9%86-%d8%aa%d8%a8%d9%84%db%8c%d8%ba");
INSERT INTO `wp_postmeta` VALUES("42990", "829", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("42991", "829", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:3:\"Php\";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:9:\"Wordpress\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:9:\"bootstrap\";}}");
INSERT INTO `wp_postmeta` VALUES("42992", "829", "project-employer", "خانم زهرا احمدی ");
INSERT INTO `wp_postmeta` VALUES("42993", "829", "the-duration-of-the-project", "7 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("42994", "829", "the-price-of-this-project", "8,000,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("42995", "829", "project-date", "7 / 7 / 1399");
INSERT INTO `wp_postmeta` VALUES("42996", "829", "_wp_old_slug", "%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a8%d8%b1%d8%a7%db%8c-%d9%85%d9%88%d8%aa%d9%88%d8%b1%d9%87%d8%a7%db%8c-%d8%ac%d8%b3%d8%aa-%d9%88-%d8%ac%d9%88-%da%af");
INSERT INTO `wp_postmeta` VALUES("42997", "816", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("42998", "816", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:12:\"Java Script \";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:7:\"Node Js\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:7:\"Express\";}}");
INSERT INTO `wp_postmeta` VALUES("42999", "816", "project-employer", "آقای محمود غفاری ");
INSERT INTO `wp_postmeta` VALUES("43000", "816", "the-duration-of-the-project", "18 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("43001", "816", "the-price-of-this-project", "24,000,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("43002", "816", "project-date", "12 / 7 / 1400");
INSERT INTO `wp_postmeta` VALUES("43003", "815", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:1913;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1909;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("43004", "815", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:12:\"Java Script \";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:3:\"Vue\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:4:\"Nuxt\";}}");
INSERT INTO `wp_postmeta` VALUES("43005", "815", "project-employer", "خانم فاطمه موسوی  ");
INSERT INTO `wp_postmeta` VALUES("43006", "815", "the-duration-of-the-project", "18 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("43007", "815", "the-price-of-this-project", "18,000,000");
INSERT INTO `wp_postmeta` VALUES("43008", "815", "project-date", "25 / 12 / 1398");
INSERT INTO `wp_postmeta` VALUES("43009", "767", "projects-gallery", "a:5:{i:0;a:2:{s:2:\"id\";i:768;s:3:\"url\";s:143:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg\";}i:1;a:2:{s:2:\"id\";i:769;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg\";}i:2;a:2:{s:2:\"id\";i:770;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg\";}i:3;a:2:{s:2:\"id\";i:1206;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg\";}i:4;a:2:{s:2:\"id\";i:1909;s:3:\"url\";s:85:\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg\";}}");
INSERT INTO `wp_postmeta` VALUES("43010", "767", "projects-technology", "a:5:{s:6:\"item-0\";a:1:{s:12:\"technologies\";s:4:\"Html\";}s:6:\"item-1\";a:1:{s:12:\"technologies\";s:3:\"Css\";}s:6:\"item-2\";a:1:{s:12:\"technologies\";s:3:\"Php\";}s:6:\"item-3\";a:1:{s:12:\"technologies\";s:7:\"Laravel\";}s:6:\"item-4\";a:1:{s:12:\"technologies\";s:9:\"bootstrap\";}}");
INSERT INTO `wp_postmeta` VALUES("43011", "767", "project-employer", "آقای محسن قانع");
INSERT INTO `wp_postmeta` VALUES("43012", "767", "the-duration-of-the-project", "25 روز کاری ");
INSERT INTO `wp_postmeta` VALUES("43013", "767", "the-price-of-this-project", "17,000,000 تومان ");
INSERT INTO `wp_postmeta` VALUES("43014", "767", "project-date", "7 / 7 / 1399");
INSERT INTO `wp_postmeta` VALUES("44439", "4771", "_wp_attached_file", "2023/10/Ellipse-23.png");
INSERT INTO `wp_postmeta` VALUES("44440", "4771", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:564;s:6:\"height\";i:107;s:4:\"file\";s:22:\"2023/10/Ellipse-23.png\";s:8:\"filesize\";i:2848;s:5:\"sizes\";a:2:{s:6:\"medium\";a:5:{s:4:\"file\";s:21:\"Ellipse-23-300x57.png\";s:5:\"width\";i:300;s:6:\"height\";i:57;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:6314;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:22:\"Ellipse-23-150x107.png\";s:5:\"width\";i:150;s:6:\"height\";i:107;s:9:\"mime-type\";s:9:\"image/png\";s:8:\"filesize\";i:1625;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("46560", "4992", "_wp_attached_file", "2023/09/svgexport-17-6.svg");
INSERT INTO `wp_postmeta` VALUES("46561", "4992", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:381;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("46566", "4994", "_wp_attached_file", "2023/09/Group-3.svg");
INSERT INTO `wp_postmeta` VALUES("46567", "4994", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1482;s:5:\"width\";i:52;s:6:\"height\";i:52;}");
INSERT INTO `wp_postmeta` VALUES("46698", "5007", "_wp_attached_file", "2023/09/Group-2.svg");
INSERT INTO `wp_postmeta` VALUES("46699", "5007", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1242;s:5:\"width\";i:1920;s:6:\"height\";i:916;}");
INSERT INTO `wp_postmeta` VALUES("46842", "5029", "_listing_data", "a:3:{s:6:\"source\";s:19:\"custom_content_type\";s:9:\"post_type\";s:7:\"tariffs\";s:3:\"tax\";s:8:\"category\";}");
INSERT INTO `wp_postmeta` VALUES("46843", "5029", "_listing_type", "elementor");
INSERT INTO `wp_postmeta` VALUES("46844", "5029", "_elementor_page_settings", "a:5:{s:14:\"listing_source\";s:19:\"custom_content_type\";s:17:\"listing_post_type\";s:7:\"tariffs\";s:11:\"listing_tax\";s:8:\"category\";s:8:\"cct_type\";s:7:\"tariffs\";s:13:\"preview_width\";a:3:{s:4:\"unit\";s:2:\"px\";s:4:\"size\";i:347;s:5:\"sizes\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("46845", "5029", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("46846", "5029", "_elementor_template_type", "jet-listing-items");
INSERT INTO `wp_postmeta` VALUES("46847", "5029", "_elementor_version", "3.16.2");
INSERT INTO `wp_postmeta` VALUES("46848", "5029", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("46849", "5029", "_edit_lock", "1697029339:2");
INSERT INTO `wp_postmeta` VALUES("46855", "5029", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("46856", "5029", "_elementor_data", "[{\"id\":\"d18f5bc\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.825\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"0.625\",\"row\":\"0.425\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_mobile\":{\"column\":\"0\",\"row\":\"0.625\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"background_background\":\"classic\",\"border_radius\":{\"unit\":\"px\",\"top\":\"15\",\"right\":\"15\",\"bottom\":\"15\",\"left\":\"15\",\"isLinked\":true},\"box_shadow_box_shadow_type\":\"yes\",\"box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":-2,\"blur\":20,\"spread\":0,\"color\":\"rgba(52, 54.000000000000014, 65, 0.04)\"},\"padding\":{\"unit\":\"rem\",\"top\":\"1.2\",\"right\":\"1\",\"bottom\":\"1.2\",\"left\":\"1\",\"isLinked\":false},\"padding_tablet\":{\"unit\":\"rem\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":false},\"padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=5b191c6\"},\"overflow\":\"hidden\",\"jedv_conditions\":[{\"_id\":\"7f903d6\"}],\"custom_css\":\"selector .elementor-price-table__ribbon-inner {\\n        text-align: center;\\n    width: 200%;\\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\\n    line-height: 2;\\n       background-color: var(--e-global-color-46455ee);\\n}\\n\\nselector {\\n    position: relative;\\n}\\n\\nselector:after {\\n    content: \\\"\\\";\\n    position: absolute;\\n    width: 25%;\\n    height: 18%;\\n    background: var(--e-global-color-46455ee);\\n    bottom: -5%;\\n    left: 0%;\\n     border-radius: 5px 60px 8px 48px;\\n     opacity: 0.05;\\n       transition: 0.6s;\\n}\\n\\nselector:hover:after{\\n        width: 115%;\\n        height: 110%;\\n        transition: 0.6s;\\n}\\n\"},\"elements\":[{\"id\":\"97dcee0\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":12,\"sizes\":[]},\"typography_font_weight\":\"600\",\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"7bd0f58\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22tariffs__tariffs_title%22%7D\\\"]\"},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\"},\"jedv_conditions\":[{\"_id\":\"7d816a0\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_z_index\":2,\"_z_index_tablet\":2,\"header_size\":\"div\"},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"56f6d83\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"row\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0.1\",\"row\":\"0\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"jedv_conditions\":[{\"_id\":\"a026c82\"}],\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"z_index\":2,\"z_index_tablet\":2},\"elements\":[{\"id\":\"527b3db\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062a\\u0646 \\u0633\\u0631\\u0628\\u0631\\u06af \\u062e\\u0648\\u062f \\u0631\\u0627 \\u0648\\u0627\\u0631\\u062f \\u06a9\\u0646\\u06cc\\u062f\",\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":23,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"9eca31b\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22tariffs__tariffs_price%22%7D\\\"]\"},\"jedv_conditions\":[{\"_id\":\"1a249af\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":19,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"244076d\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062a\\u0648\\u0645\\u0627\\u0646 \",\"header_size\":\"span\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"400\",\"__globals__\":{\"title_color\":\"globals\\/colors?id=text\"},\"jedv_conditions\":[{\"_id\":\"af66d59\"}],\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":9,\"sizes\":[]}},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":true},{\"id\":\"db51694\",\"elType\":\"widget\",\"settings\":{\"style\":\"dashed\",\"text\":\"\\u062c\\u062f\\u0627\\u06a9\\u0646\\u0646\\u062f\\u0647\",\"color\":\"#B5B1B12E\",\"gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"41bec49\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_z_index\":2,\"_z_index_tablet\":2},\"elements\":[],\"widgetType\":\"divider\"},{\"id\":\"cdca18c\",\"elType\":\"widget\",\"settings\":{\"align\":\"center\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"300\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":1.3000000000000000444089209850062616169452667236328125,\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":1.100000000000000088817841970012523233890533447265625,\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"46ef7d4\"}],\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"-0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_z_index\":2,\"_z_index_tablet\":2,\"__dynamic__\":{\"editor\":\"[elementor-tag id=\\\"7b63166\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22tariffs__tariffs_desc%22%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"text-editor\"},{\"id\":\"c9d41e9\",\"elType\":\"widget\",\"settings\":{\"dynamic_field_source\":\"tariffs__tariffs_abilities\",\"dynamic_field_format\":\"<img src=\\\"%tariffs-icon%\\\" \\/>\\n<p>%tariffs-ability%<\\/p>\\n\\n\",\"items_alignment\":\"\",\"delimiter_typography_font_size\":{\"unit\":\"px\",\"size\":5,\"sizes\":[]},\"_flex_align_self\":\"center\",\"custom_css\":\"selector .jet-listing-dynamic-repeater__items  {\\n   flex-direction: column;\\n   align-items: center;\\n   gap: 1rem;\\n}\\n\\nselector .jet-listing-dynamic-repeater__item {\\n    display: flex;\\n    gap: 0.325rem;\\n}\\n\\nselector .jet-listing-dynamic-repeater__item img {\\n    width: 17px;\\n}\\n\\nselector .jet-listing-dynamic-repeater__item p {\\n    font-size: 12.5px\\n}\\n\\n@media (min-width:576px) and (max-width:830px){\\n    selector .jet-listing-dynamic-repeater__items  {\\n   gap: 0.725rem;\\n}\\nselector .jet-listing-dynamic-repeater__item p{\\n    font-size:11px;\\n}\\nselector .jet-listing-dynamic-repeater__item img {\\n    width:14px;\\n}\\n}\\n\\n@media screen and (max-width:576px){\\n    selector .jet-listing-dynamic-repeater__item p{\\n    font-size:11.5px;\\n}\\nselector .jet-listing-dynamic-repeater__item img {\\n    width:13px;\\n}\\nselector .jet-listing-dynamic-repeater__items  {\\n   gap: 0.825rem;\\n}\\n}\",\"jedv_conditions\":[{\"_id\":\"6db1d0d\"}],\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_z_index\":2,\"_z_index_tablet\":2},\"elements\":[],\"widgetType\":\"jet-listing-dynamic-repeater\"},{\"id\":\"850071a\",\"elType\":\"widget\",\"settings\":{\"text\":\"\\u0645\\u0634\\u0627\\u0648\\u0631\\u0647 \\u0648 \\u0633\\u0641\\u0640\\u0627\\u0631\\u0634\",\"align\":\"center\",\"icon_indent\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"border_radius\":{\"unit\":\"px\",\"top\":\"8\",\"right\":\"8\",\"bottom\":\"8\",\"left\":\"8\",\"isLinked\":true},\"button_box_shadow_box_shadow_type\":\"yes\",\"button_box_shadow_box_shadow\":{\"horizontal\":0,\"vertical\":0,\"blur\":18,\"spread\":0,\"color\":\"rgba(94, 113.0000000000002, 255, 0.5803921568627451)\"},\"text_padding\":{\"unit\":\"rem\",\"top\":\"0.7\",\"right\":\"1.7\",\"bottom\":\"0.6\",\"left\":\"1.7\",\"isLinked\":false},\"text_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.55\",\"right\":\"1.5\",\"bottom\":\"0.5\",\"left\":\"1.5\",\"isLinked\":false},\"text_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"__globals__\":{\"background_color\":\"globals\\/colors?id=secondary\"},\"jedv_conditions\":[{\"_id\":\"1f44626\"}],\"_z_index\":2,\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_weight\":\"500\",\"__dynamic__\":[],\"link\":{\"url\":\"https:\\/\\/halochin.ir\\/Technology\\/contact-us\\/\",\"is_external\":\"\",\"nofollow\":\"\",\"custom_attributes\":\"\"}},\"elements\":[],\"widgetType\":\"button\"},{\"id\":\"5aed638\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0645\\u062d\\u0628\\u0648\\u0628\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"typography_font_weight\":\"500\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.3\",\"left\":\"0\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.3\",\"right\":\"0\",\"bottom\":\"0.3\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_position\":\"absolute\",\"_offset_orientation_h\":\"end\",\"_offset_x_end\":{\"unit\":\"%\",\"size\":-52,\"sizes\":[]},\"_offset_x_end_tablet\":{\"unit\":\"%\",\"size\":-55,\"sizes\":[]},\"_offset_x_end_mobile\":{\"unit\":\"%\",\"size\":-53,\"sizes\":[]},\"_offset_y\":{\"unit\":\"%\",\"size\":7,\"sizes\":[]},\"_offset_y_tablet\":{\"unit\":\"%\",\"size\":\"\",\"sizes\":[]},\"_offset_y_mobile\":{\"unit\":\"%\",\"size\":8,\"sizes\":[]},\"_css_classes\":\"elementor-price-table__ribbon-inner\",\"jedv_enabled\":\"yes\",\"jedv_conditions\":[{\"jedv_condition\":\"switcher-enabled\",\"_id\":\"ee5a51f\",\"__dynamic__\":{\"jedv_field\":\"[elementor-tag id=\\\"25d7f00\\\" name=\\\"jet-cct-field\\\" settings=\\\"%7B%22content_type_field%22%3A%22tariffs__tariffs_ispopular%22%7D\\\"]\"}}],\"__globals__\":{\"title_color\":\"globals\\/colors?id=5b191c6\"},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"typography_font_size_mobile\":{\"unit\":\"px\",\"size\":10,\"sizes\":[]},\"_z_index_tablet\":2},\"elements\":[],\"widgetType\":\"heading\"}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("46864", "5029", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("48702", "5209", "_wp_attached_file", "2023/10/Group-4.svg");
INSERT INTO `wp_postmeta` VALUES("48703", "5209", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1882;s:5:\"width\";i:52;s:6:\"height\";i:52;}");
INSERT INTO `wp_postmeta` VALUES("48705", "5210", "_wp_attached_file", "2023/10/Group-4-1.svg");
INSERT INTO `wp_postmeta` VALUES("48706", "5210", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:1339;s:5:\"width\";i:52;s:6:\"height\";i:52;}");
INSERT INTO `wp_postmeta` VALUES("52854", "5628", "_wp_attached_file", "2023/10/man-looking-attractive.webp");
INSERT INTO `wp_postmeta` VALUES("52855", "5628", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1000;s:6:\"height\";i:667;s:4:\"file\";s:35:\"2023/10/man-looking-attractive.webp\";s:8:\"filesize\";i:46560;s:5:\"sizes\";a:3:{s:6:\"medium\";a:5:{s:4:\"file\";s:35:\"man-looking-attractive-300x200.webp\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:5134;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:35:\"man-looking-attractive-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:3262;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:35:\"man-looking-attractive-768x512.webp\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:22718;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("52856", "5629", "_wp_attached_file", "2023/10/tp-best-mens-hairstyles.webp");
INSERT INTO `wp_postmeta` VALUES("52857", "5629", "_wp_attachment_metadata", "a:6:{s:5:\"width\";i:1200;s:6:\"height\";i:800;s:4:\"file\";s:36:\"2023/10/tp-best-mens-hairstyles.webp\";s:8:\"filesize\";i:44928;s:5:\"sizes\";a:4:{s:6:\"medium\";a:5:{s:4:\"file\";s:36:\"tp-best-mens-hairstyles-300x200.webp\";s:5:\"width\";i:300;s:6:\"height\";i:200;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:6992;}s:5:\"large\";a:5:{s:4:\"file\";s:37:\"tp-best-mens-hairstyles-1024x683.webp\";s:5:\"width\";i:1024;s:6:\"height\";i:683;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:46226;}s:9:\"thumbnail\";a:5:{s:4:\"file\";s:36:\"tp-best-mens-hairstyles-150x150.webp\";s:5:\"width\";i:150;s:6:\"height\";i:150;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:4436;}s:12:\"medium_large\";a:5:{s:4:\"file\";s:36:\"tp-best-mens-hairstyles-768x512.webp\";s:5:\"width\";i:768;s:6:\"height\";i:512;s:9:\"mime-type\";s:10:\"image/webp\";s:8:\"filesize\";i:28996;}}s:10:\"image_meta\";a:12:{s:8:\"aperture\";s:1:\"0\";s:6:\"credit\";s:0:\"\";s:6:\"camera\";s:0:\"\";s:7:\"caption\";s:0:\"\";s:17:\"created_timestamp\";s:1:\"0\";s:9:\"copyright\";s:0:\"\";s:12:\"focal_length\";s:1:\"0\";s:3:\"iso\";s:1:\"0\";s:13:\"shutter_speed\";s:1:\"0\";s:5:\"title\";s:0:\"\";s:11:\"orientation\";s:1:\"0\";s:8:\"keywords\";a:0:{}}}");
INSERT INTO `wp_postmeta` VALUES("52932", "2407", "__elementor_forms_snapshot", "[{\"id\":\"6bf509c\",\"name\":\"\\u0641\\u0631\\u0645 \\u062c\\u062f\\u06cc\\u062f\",\"fields\":[{\"id\":\"email\",\"type\":\"email\",\"label\":\"\"}]}]");
INSERT INTO `wp_postmeta` VALUES("53061", "3307", "_elementor_popup_display_settings", "a:2:{s:8:\"triggers\";a:0:{}s:6:\"timing\";a:0:{}}");
INSERT INTO `wp_postmeta` VALUES("54505", "1211", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("55402", "5870", "_wp_attached_file", "2023/10/check-.svg");
INSERT INTO `wp_postmeta` VALUES("55403", "5870", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:812;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("55405", "5871", "_wp_attached_file", "2023/10/svgexport-17-9-1.svg");
INSERT INTO `wp_postmeta` VALUES("55406", "5871", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:506;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("55408", "5872", "_wp_attached_file", "2023/10/svgexport-17-10.svg");
INSERT INTO `wp_postmeta` VALUES("55409", "5872", "_wp_attachment_metadata", "a:3:{s:8:\"filesize\";i:604;s:5:\"width\";i:512;s:6:\"height\";i:512;}");
INSERT INTO `wp_postmeta` VALUES("55439", "7", "_elementor_css", "a:6:{s:4:\"time\";i:1697030477;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55440", "509", "_elementor_css", "a:6:{s:4:\"time\";i:1697030477;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:3:{i:0;s:3:\"svg\";i:1;s:0:\"\";i:7;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:3:{i:0;s:7:\"3374568\";i:1;s:7:\"9454408\";i:2;s:7:\"9454408\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55443", "4423", "_elementor_css", "a:6:{s:4:\"time\";i:1697030478;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55444", "3274", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M18.5 10.75h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm-7 6h-3A2.067 2.067 0 0 1 3.25 8.5v-3A2.067 2.067 0 0 1 5.5 3.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm13 16h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm-7 6h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55445", "4994", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_86_29)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path><path d=\"M37.201 31.1514L35.3481 29.2984C34.8365 28.7871 34.1428 28.4999 33.4196 28.4999C32.6963 28.4999 32.0026 28.7871 31.491 29.2984L30.491 30.2984C29.8517 30.9377 28.9847 31.2968 28.0806 31.2968C27.1765 31.2968 26.3094 30.9377 25.67 30.2984L21.699 26.3274C21.0597 25.6881 20.7006 24.821 20.7006 23.9169C20.7006 23.0128 21.0597 22.1457 21.699 21.5064L22.699 20.5064C22.9523 20.2532 23.1533 19.9525 23.2903 19.6216C23.4274 19.2907 23.498 18.936 23.498 18.5779C23.498 18.2197 23.4274 17.8651 23.2903 17.5342C23.1533 17.2033 22.9523 16.9026 22.699 16.6494L20.8461 14.7974C20.5929 14.544 20.2923 14.343 19.9614 14.2058C19.6305 14.0687 19.2757 13.998 18.9175 13.998C18.5593 13.998 18.2047 14.0687 17.8738 14.2058C17.5429 14.343 17.2422 14.544 16.9891 14.7974C15.0739 16.7127 13.9979 19.3103 13.9979 22.0189C13.9979 24.7274 15.0739 27.3251 16.9891 29.2404L22.7551 35.0074C24.6705 36.9223 27.2681 37.9981 29.9766 37.9981C32.685 37.9981 35.2826 36.9223 37.1981 35.0074C37.7095 34.4963 37.997 33.803 37.9976 33.08C37.9981 32.357 37.7116 31.6633 37.201 31.1514Z\" fill=\"#676AF9\"></path></g><defs><clipPath id=\"clip0_86_29\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("55446", "2925", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 473.806 473.806\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M374.456 293.506c-9.7-10.1-21.4-15.5-33.8-15.5-12.3 0-24.1 5.3-34.2 15.4l-31.6 31.5c-2.6-1.4-5.2-2.7-7.7-4-3.6-1.8-7-3.5-9.9-5.3-29.6-18.8-56.5-43.3-82.3-75-12.5-15.8-20.9-29.1-27-42.6 8.2-7.5 15.8-15.3 23.2-22.8 2.8-2.8 5.6-5.7 8.4-8.5 21-21 21-48.2 0-69.2l-27.3-27.3c-3.1-3.1-6.3-6.3-9.3-9.5-6-6.2-12.3-12.6-18.8-18.6-9.7-9.6-21.3-14.7-33.5-14.7s-24 5.1-34 14.7l-.2.2-34 34.3c-12.8 12.8-20.1 28.4-21.7 46.5-2.4 29.2 6.2 56.4 12.8 74.2 16.2 43.7 40.4 84.2 76.5 127.6 43.8 52.3 96.5 93.6 156.7 122.7 23 10.9 53.7 23.8 88 26 2.1.1 4.3.2 6.3.2 23.1 0 42.5-8.3 57.7-24.8.1-.2.3-.3.4-.5 5.2-6.3 11.2-12 17.5-18.1 4.3-4.1 8.7-8.4 13-12.9 9.9-10.3 15.1-22.3 15.1-34.6 0-12.4-5.3-24.3-15.4-34.3l-54.9-55.1zm35.8 105.3c-.1 0-.1.1 0 0-3.9 4.2-7.9 8-12.2 12.2-6.5 6.2-13.1 12.7-19.3 20-10.1 10.8-22 15.9-37.6 15.9-1.5 0-3.1 0-4.6-.1-29.7-1.9-57.3-13.5-78-23.4-56.6-27.4-106.3-66.3-147.6-115.6-34.1-41.1-56.9-79.1-72-119.9-9.3-24.9-12.7-44.3-11.2-62.6 1-11.7 5.5-21.4 13.8-29.7l34.1-34.1c4.9-4.6 10.1-7.1 15.2-7.1 6.3 0 11.4 3.8 14.6 7l.3.3c6.1 5.7 11.9 11.6 18 17.9 3.1 3.2 6.3 6.4 9.5 9.7l27.3 27.3c10.6 10.6 10.6 20.4 0 31-2.9 2.9-5.7 5.8-8.6 8.6-8.4 8.6-16.4 16.6-25.1 24.4-.2.2-.4.3-.5.5-8.6 8.6-7 17-5.2 22.7l.3.9c7.1 17.2 17.1 33.4 32.3 52.7l.1.1c27.6 34 56.7 60.5 88.8 80.8 4.1 2.6 8.3 4.7 12.3 6.7 3.6 1.8 7 3.5 9.9 5.3.4.2.8.5 1.2.7 3.4 1.7 6.6 2.5 9.9 2.5 8.3 0 13.5-5.2 15.2-6.9l34.2-34.2c3.4-3.4 8.8-7.5 15.1-7.5 6.2 0 11.3 3.9 14.4 7.3l.2.2 55.1 55.1c10.3 10.2 10.3 20.7.1 31.3zM256.056 112.706c26.2 4.4 50 16.8 69 35.8s31.3 42.8 35.8 69c1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.4-1.2 12.3-8.2 11.1-15.6-5.4-31.7-20.4-60.6-43.3-83.5s-51.8-37.9-83.5-43.3c-7.4-1.2-14.3 3.7-15.6 11s3.5 14.4 10.9 15.6zM473.256 209.006c-8.9-52.2-33.5-99.7-71.3-137.5s-85.3-62.4-137.5-71.3c-7.3-1.3-14.2 3.7-15.5 11-1.2 7.4 3.7 14.3 11.1 15.6 46.6 7.9 89.1 30 122.9 63.7 33.8 33.8 55.8 76.3 63.7 122.9 1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.3-1.1 12.3-8.1 11-15.4z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55447", "1568", "_elementor_css", "a:6:{s:4:\"time\";i:1697030478;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"3dbcd67\";i:1;s:7:\"3dbcd67\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55449", "1549", "_elementor_css", "a:6:{s:4:\"time\";i:1697030478;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:2;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:5:{i:0;s:7:\"1072aa3\";i:1;s:7:\"1072aa3\";i:2;s:7:\"fb1c204\";i:3;s:7:\"fb1c204\";i:4;s:7:\"7487770\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55450", "2684", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>");
INSERT INTO `wp_postmeta` VALUES("55451", "3307", "_elementor_css", "a:6:{s:4:\"time\";i:1697030478;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:8:\"fa-solid\";i:1;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:8:\"3098fbc8\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55456", "2258", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 1000 100\" preserveAspectRatio=\"none\"><path class=\"elementor-shape-fill\" d=\"M1000,4.3V0H0v4.3C0.9,23.1,126.7,99.2,500,100S1000,22.7,1000,4.3z\"></path></svg>");
INSERT INTO `wp_postmeta` VALUES("55457", "2389", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 36117 36117\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\"><g><circle cx=\"18059\" cy=\"18059\" r=\"18059\" fill=\"#FFC42E\" opacity=\"1\" data-original=\"#ffc42e\"></circle><rect width=\"27873\" height=\"20698\" x=\"1884\" y=\"6433\" fill=\"#FFFFFF\" rx=\"1242\" ry=\"1375\" opacity=\"1\" data-original=\"#ffffff\"></rect><path fill=\"#1C3B5C\" d=\"M3259 6433h25123c756 0 1375 619 1375 1375v16149H1884V7808c0-756 619-1375 1375-1375z\" opacity=\"1\" data-original=\"#1c3b5c\"></path><path fill=\"#53B4ED\" d=\"M2901 7632h25840v15195H2901z\" opacity=\"1\" data-original=\"#53b4ed\"></path><circle cx=\"15821\" cy=\"25423\" r=\"690\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></circle><path fill=\"#FFFFFF\" d=\"M12904 27131h5834v2480h-5834z\" opacity=\"1\" data-original=\"#ffffff\"></path><g fill=\"#E1E3E8\"><path d=\"M12904 27131h5834v1013h-5834zM11869 31856h7940c404 0 597-504 327-787l-1399-1458h-5833l-1351 1396c-238 246-79 849 316 849z\" fill=\"#E1E3E8\" opacity=\"1\" data-original=\"#e1e3e8\"></path></g><path fill=\"#FFFFFF\" d=\"M4716 6127h16259v16700H4716z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#FF576B\" d=\"M5259 3667h15173c299 0 543 245 543 543v1917H4716V4210c0-298 244-543 543-543z\" opacity=\"1\" data-original=\"#ff576b\"></path><g fill=\"#FFFFFF\"><rect width=\"8008\" height=\"721\" x=\"6203\" y=\"4537\" rx=\"566\" ry=\"360\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></rect><circle cx=\"16150\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle><circle cx=\"17748\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle><circle cx=\"19346\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle></g><path fill=\"#C5C7CB\" d=\"M5793 14683h3689v2224H5793z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M5793 17423h2496v326H5793zM5793 18101h2957v163H5793zm0 977h2224v163H5793zm0-488h2957v163H5793z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#C5C7CB\" d=\"M11001 14683h3689v2224h-3689z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M11001 17423h2496v326h-2496zM11001 18101h2957v163h-2957zm0 977h2224v163h-2224zm0-488h2957v163h-2957z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#C5C7CB\" d=\"M16210 14683h3689v2224h-3689z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M16210 17423h2496v326h-2496zM16210 18101h2956v163h-2956zm0 977h2224v163h-2224zm0-488h2956v163h-2956z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#FFFFFF\" d=\"M4716 6127h16259v2440H4716z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#C5C7CB\" d=\"M4716 8567h16259v5450H4716z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><circle cx=\"12846\" cy=\"7161\" r=\"585\" fill=\"#C5C7CB\" opacity=\"1\" data-original=\"#c5c7cb\"></circle><path fill=\"#E1E3E8\" d=\"M12400 7973h961v144h-961z\" opacity=\"1\" data-original=\"#e1e3e8\"></path><g fill=\"#FFFFFF\"><path fill-rule=\"nonzero\" d=\"M6419 10444c233 0 445 95 598 248h1v1c153 153 248 365 248 598 0 234-95 446-248 599h-1c-153 154-365 249-598 249-234 0-446-95-599-249-153-153-248-365-248-599 0-233 95-445 248-598v-1c153-153 365-248 599-248zm504 343c-129-129-307-209-504-209s-376 80-504 209h-1c-128 129-208 307-208 504s80 376 208 504l1 1c128 129 307 208 504 208s375-79 504-208v-1c129-128 209-307 209-504s-80-375-209-504z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path d=\"m6133 11291 374-373v747z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill-rule=\"nonzero\" d=\"M18968 10444c-233 0-445 95-598 248l-1 1c-153 153-248 365-248 598 0 234 95 446 248 599h1c153 154 365 249 598 249 234 0 446-95 599-249 154-153 249-365 249-599 0-233-95-445-249-598v-1c-153-153-365-248-599-248zm-504 343c129-129 307-209 504-209 198 0 376 80 505 209s208 307 208 504-79 376-208 504v1c-129 129-307 208-505 208-197 0-375-79-504-208v-1c-129-128-208-307-208-504s79-375 208-504z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path d=\"m19254 11291-374-373v747z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path></g><path fill=\"#FFFFFF\" d=\"M27570 10893h-1580v565h1580zm0 3238h-1580v564h1580zm-2161 0h-2721v564h2721zm2161-1561h-2681v565h2681zm-3721 0h-1161v565h1161zm1560-1677h-2721v565h2721zm-1560-1561h-1161v565h1161zm3721 0h-2681v565h2681z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#FF576B\" d=\"M31751 3783h1281v10418h-1281z\" opacity=\"1\" data-original=\"#ff576b\"></path><path fill=\"#4D4D4D\" d=\"M31751 3783h1281v-867c0-148-122-269-270-269h-742c-148 0-269 121-269 269z\" opacity=\"1\" data-original=\"#4d4d4d\"></path><path fill=\"#FFFFFF\" d=\"M32071 15638h640l320-1436h-1280z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#4D4D4D\" d=\"m32391 16742-320-1104h640z\" opacity=\"1\" data-original=\"#4d4d4d\"></path><path fill=\"#E64E60\" d=\"M32639 3783h392v10418h-392z\" opacity=\"1\" data-original=\"#e64e60\"></path><path fill=\"#E1E3E8\" d=\"M32063 15638h156l-156-1436h-312z\" opacity=\"1\" data-original=\"#e1e3e8\"></path><path fill=\"#FF576B\" d=\"M20742.5 30923.3v-2542.581h13457.532V30923.3z\" opacity=\"1\" data-original=\"#ff576b\"></path><path fill=\"#FFFFFF\" d=\"M20972 30660v-433h301v433zm12562 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#E64E60\" d=\"M20742.5 30923.3v-210.887h13457.532v210.887z\" opacity=\"1\" data-original=\"#e64e60\"></path><path fill=\"#FFFFFF\" d=\"M27570 17267h-1580v565h1580zm0 3238h-1580v564h1580zm-2161 0h-2721v564h2721zm2161-1561h-2681v565h2681zm-3721 0h-1161v565h1161zm1560-1677h-2721v565h2721zm-1560-1561h-1161v565h1161zm3721 0h-2681v565h2681z\" opacity=\"1\" data-original=\"#ffffff\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55458", "2366", "_elementor_css", "a:6:{s:4:\"time\";i:1697031100;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55459", "5029", "_elementor_css", "a:6:{s:4:\"time\";i:1697031100;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"97dcee0\";i:1;s:7:\"527b3db\";i:2;s:7:\"cdca18c\";i:3;s:7:\"5aed638\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55460", "2393", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><g data-name=\"50-SEO copy\"><path fill=\"#EA4235\" d=\"M412 161a95 95 0 1 0 95 95 95 95 0 0 0-95-95zm0 153.46A58.46 58.46 0 1 1 470.46 256 58.52 58.52 0 0 1 412 314.46z\" opacity=\"1\" data-original=\"#ea4235\"></path><path fill=\"#4385F5\" d=\"M114.663 260.069a73.083 73.083 0 0 0-15.227-10.584l-42.73-22.469a36.621 36.621 0 0 1-7.624-5.243C45.491 218.5 52.861 202.822 64.905 201c7.637-1.15 26.714-1.565 38.974 19.438L135 199.43c-16.433-28.152-44.556-42.19-75.206-37.56-25.534 3.857-45.655 19.82-51.261 40.668-4.68 17.4 1.445 35.408 16.8 49.393a73.178 73.178 0 0 0 15.226 10.584l42.741 22.47a36.652 36.652 0 0 1 7.621 5.241C94.507 293.5 87.139 309.178 75.1 311c-7.634 1.152-26.714 1.565-38.974-19.438L5 312.57c13.517 23.155 34.938 36.764 59.177 38.287a75.523 75.523 0 0 0 16.028-.728c25.535-3.857 45.655-19.819 51.261-40.667 4.68-17.405-1.444-35.408-16.803-49.393z\" opacity=\"1\" data-original=\"#4385f5\"></path><path fill=\"#FABC05\" d=\"M219 198.688v35h66v40h-66v35h66v40H175v-190h110v40z\" opacity=\"1\" data-original=\"#fabc05\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55461", "2377", "_elementor_css", "a:6:{s:4:\"time\";i:1697031101;s:5:\"fonts\";a:0:{}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55462", "1434", "_elementor_css", "a:6:{s:4:\"time\";i:1697048333;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"624b43a\";i:1;s:7:\"b2b4431\";i:2;s:7:\"2a1a5fd\";i:3;s:7:\"809b007\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55463", "934", "_elementor_css", "a:6:{s:4:\"time\";i:1697048333;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"c696778\";i:1;s:7:\"f0726f5\";i:2;s:7:\"2f3a386\";i:3;s:7:\"3675f46\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55465", "3690", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\" class=\"\"></path>  </g></svg>");
INSERT INTO `wp_postmeta` VALUES("55467", "1651", "_elementor_css", "a:6:{s:4:\"time\";i:1697087073;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:1;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:5:{i:0;s:7:\"e894ee4\";i:1;s:7:\"e894ee4\";i:2;s:7:\"8b2dac2\";i:3;s:7:\"8b2dac2\";i:4;s:7:\"10a8268\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55469", "5209", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_93_15)\"><mask id=\"mask0_93_15\" style=\"mask-type:luminance\" maskUnits=\"userSpaceOnUse\" x=\"0\" y=\"0\" width=\"52\" height=\"52\"><path d=\"M52 0H0V52H52V0Z\" fill=\"white\"></path></mask><g mask=\"url(#mask0_93_15)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path></g><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M16.0078 18.0351L23.5213 25.027C25.16 26.5484 27.8386 26.5497 29.4787 25.027L36.9921 18.0351C37.0099 18.0187 37.0235 17.9988 37.0321 17.9769C37.0407 17.955 37.044 17.9316 37.0418 17.9084C37.0396 17.8852 37.0319 17.8627 37.0193 17.8426C37.0068 17.8225 36.9895 17.8051 36.969 17.7919C36.2026 17.2947 35.2702 17 34.2659 17H18.7341C17.7297 17 16.7973 17.2948 16.031 17.7919C16.0104 17.8051 15.9932 17.8225 15.9806 17.8426C15.968 17.8627 15.9603 17.8852 15.9581 17.9084C15.9559 17.9316 15.9592 17.955 15.9678 17.9769C15.9764 17.9988 15.9901 18.0187 16.0078 18.0351ZM14 21.4036C13.9994 20.6932 14.185 19.9933 14.5407 19.3647C14.5532 19.3425 14.571 19.3234 14.5929 19.3089C14.6148 19.2943 14.64 19.2848 14.6666 19.281C14.6931 19.2773 14.7203 19.2794 14.7458 19.2873C14.7713 19.2951 14.7944 19.3084 14.8134 19.3262L22.2317 26.2266C24.5808 28.4149 28.4178 28.4162 30.7683 26.2266L38.1866 19.3262C38.2056 19.3084 38.2287 19.2951 38.2542 19.2873C38.2797 19.2794 38.3069 19.2773 38.3334 19.281C38.36 19.2848 38.3853 19.2943 38.4071 19.3089C38.429 19.3234 38.4468 19.3425 38.4593 19.3647C38.815 19.9933 39.0006 20.6932 39 21.4036V30.5964C39 33.0264 36.875 35 34.2659 35H18.7341C16.1251 35 14 33.0264 14 30.5964V21.4036Z\" fill=\"#5E71FF\"></path></g><defs><clipPath id=\"clip0_93_15\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("55470", "5210", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_93_15)\"><mask id=\"mask0_93_15\" style=\"mask-type:luminance\" maskUnits=\"userSpaceOnUse\" x=\"0\" y=\"0\" width=\"52\" height=\"52\"><path d=\"M52 0H0V52H52V0Z\" fill=\"white\"></path></mask><g mask=\"url(#mask0_93_15)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path></g><path d=\"M33.5 30.5078C32.018 30.5078 30.712 31.2767 29.8917 32.4461L22.7995 28.6159C22.9173 28.1926 23 27.7539 23 27.291C23 26.6632 22.8779 26.0663 22.6671 25.5172L30.0893 20.8066C30.9153 21.829 32.1295 22.4922 33.5 22.4922C35.9815 22.4922 38 20.3632 38 17.7461C38 15.1289 35.9815 13 33.5 13C31.0186 13 29 15.1289 29 17.7461C29 18.3492 29.1177 18.9213 29.3131 19.4525L21.8688 24.1769C21.0435 23.1849 19.8469 22.5449 18.5 22.5449C16.0185 22.5449 14 24.6739 14 27.291C14 29.9082 16.0185 32.0371 18.5 32.0371C20.0065 32.0371 21.3346 31.2456 22.1518 30.0434L29.2206 33.8611C29.0904 34.3044 29 34.7661 29 35.2539C29 37.8711 31.0186 40 33.5 40C35.9815 40 38 37.8711 38 35.2539C38 32.6368 35.9815 30.5078 33.5 30.5078Z\" fill=\"#5E71FF\"></path></g><defs><clipPath id=\"clip0_93_15\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("55515", "2497", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 505 505\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M477.5 270.181v-90.362l-54.624-13.005a179.4 179.4 0 0 0-8.766-21.131l29.436-47.834-63.896-63.896-47.834 29.437a179.316 179.316 0 0 0-21.13-8.766L297.681 0H207.32l-13.006 54.624a179.316 179.316 0 0 0-21.13 8.766L125.35 33.953 61.453 97.849l29.436 47.834a179.4 179.4 0 0 0-8.766 21.131L27.5 179.818v90.362l54.624 13.006a179.4 179.4 0 0 0 8.766 21.131l-29.575 48.059 44.304 42.436a138.543 138.543 0 0 0-7.119 43.881V505h310v-66.307c0-14.506-2.274-28.8-6.658-42.435l41.487-44.461-29.218-47.479a179.4 179.4 0 0 0 8.766-21.131zM378.5 475h-250v-36.307c0-20.806 5.928-41.066 17.144-58.591C165.722 348.729 199.946 330 237.193 330h32.614c37.247 0 71.471 18.729 91.549 50.101a108.499 108.499 0 0 1 17.144 58.592zm-125-176.25c-38.253 0-69.375-31.122-69.375-69.375S215.247 160 253.5 160s69.375 31.122 69.375 69.375-31.122 69.375-69.375 69.375zm152.296 49.297-17.443 18.693c-.57-.94-1.135-1.883-1.729-2.81-17.205-26.883-42.557-46.474-71.744-56.455 23.122-18.211 37.994-46.451 37.994-78.1 0-54.795-44.58-99.375-99.375-99.375s-99.375 44.58-99.375 99.375c0 31.649 14.872 59.889 37.994 78.1-29.187 9.98-54.539 29.572-71.744 56.455-.462.722-.897 1.458-1.345 2.187l-19.47-18.649 25.939-42.151-19.62-47.312-48.378-11.52v-42.971l48.379-11.519 19.62-47.312-26.078-42.376 30.385-30.385L172.183 98l47.312-19.62L231.015 30h42.971l11.519 48.379L332.817 98l42.376-26.078 30.385 30.385-26.078 42.376 19.62 47.312 48.379 11.519v42.971l-48.379 11.519-19.62 47.312z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55516", "2506", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\"><g><path d=\"M391 91.5v-61h-30v61H151v-61h-30v61H0v390h512v-390H391zm91 360H30v-210h452v210zm0-240H30v-90h91v30h30v-30h210v30h30v-30h91v90z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\" class=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55517", "2505", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\"><g><path d=\"M274.973 70.811 139.87 60.479l-27.892 27.892L23.607 0 0 23.607l88.371 88.371-27.892 27.892 10.332 135.104L307.839 512 512 307.839 274.973 70.811zM103.156 260.104l-8.219-107.479 17.041-17.041 20.344 20.344c-7.407 16.885-4.222 37.333 9.581 51.136 8.982 8.983 20.782 13.474 32.58 13.474 11.798 0 23.599-4.491 32.58-13.474 17.966-17.966 17.966-47.196 0-65.162-13.802-13.804-34.252-16.989-51.137-9.581l-20.343-20.343 17.041-17.041 107.479 8.219 204.683 204.682-156.947 156.949-204.683-204.683zm62.352-94.595a12.65 12.65 0 0 1 8.975-3.711c3.251 0 6.5 1.236 8.974 3.711 4.948 4.949 4.948 13 0 17.949-4.949 4.949-13 4.949-17.949 0-4.947-4.948-4.947-13 0-17.949z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55518", "2502", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M27.689 181h58.8v30h-58.8zM27.689 301h58.8v30h-58.8zM0 241h86.49v30H0zM314.244 58.245c-109.042 0-197.755 88.713-197.755 197.755s88.712 197.755 197.755 197.755S512 365.042 512 256 423.287 58.245 314.244 58.245zm0 365.51c-92.5 0-167.755-75.255-167.755-167.755S221.744 88.245 314.244 88.245C406.745 88.245 482 163.5 482 256s-75.255 167.755-167.756 167.755z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path><path d=\"M323.93 263.454v-96.897h-30v112.756l77.308 52.683 16.895-24.791z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55667", "509", "_elementor_screenshot_failed", "2023-10-12 06:05:52");
INSERT INTO `wp_postmeta` VALUES("55671", "1802", "_elementor_css", "a:6:{s:4:\"time\";i:1697090788;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55672", "4456", "_elementor_css", "a:6:{s:4:\"time\";i:1697090788;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55673", "4459", "_elementor_css", "a:6:{s:4:\"time\";i:1697090788;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55674", "4462", "_elementor_css", "a:6:{s:4:\"time\";i:1697090788;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55675", "4465", "_elementor_css", "a:6:{s:4:\"time\";i:1697090788;s:5:\"fonts\";a:1:{i:0;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("55787", "3739", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M492 236H276V20c0-11.046-8.954-20-20-20s-20 8.954-20 20v216H20c-11.046 0-20 8.954-20 20s8.954 20 20 20h216v216c0 11.046 8.954 20 20 20s20-8.954 20-20V276h216c11.046 0 20-8.954 20-20s-8.954-20-20-20z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55788", "3740", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\" class=\"\"><g><path fill=\"\" d=\"M29 15H3a1 1 0 0 0 0 2h26a1 1 0 0 0 0-2z\" opacity=\"1\" data-original=\"\" class=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("55854", "5914", "_elementor_source", "post");
INSERT INTO `wp_postmeta` VALUES("55855", "5914", "_elementor_edit_mode", "builder");
INSERT INTO `wp_postmeta` VALUES("55856", "5914", "_elementor_template_type", "archive");
INSERT INTO `wp_postmeta` VALUES("55857", "5914", "_elementor_version", "3.16.5");
INSERT INTO `wp_postmeta` VALUES("55858", "5914", "_elementor_pro_version", "3.15.1");
INSERT INTO `wp_postmeta` VALUES("55859", "5914", "_edit_lock", "1697108597:2");
INSERT INTO `wp_postmeta` VALUES("55865", "5914", "_wp_page_template", "default");
INSERT INTO `wp_postmeta` VALUES("55866", "5914", "_elementor_data", "[{\"id\":\"fa6485b\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"flex_gap\":{\"unit\":\"rem\",\"size\":1,\"column\":\"1.4\",\"row\":\"0\"},\"margin\":{\"unit\":\"rem\",\"top\":\"4\",\"right\":\"0\",\"bottom\":\"6\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"jedv_conditions\":[{\"_id\":\"19f7942\"}]},\"elements\":[{\"id\":\"f4edaa9\",\"elType\":\"container\",\"settings\":{\"flex_direction\":\"column\",\"content_width\":\"full\",\"width\":{\"unit\":\"%\",\"size\":100},\"padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_size\":\"none\",\"z_index\":4,\"_element_width\":\"initial\",\"flex_justify_content\":\"center\",\"flex_align_items\":\"center\",\"flex_gap\":{\"column\":\"0\",\"row\":\"0.8\",\"isLinked\":false,\"unit\":\"rem\",\"size\":0},\"flex_gap_tablet\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"flex_gap_mobile\":{\"column\":\"\",\"row\":\"\",\"isLinked\":true,\"unit\":\"rem\",\"size\":null},\"jedv_conditions\":[{\"_id\":\"319c6e5\"}]},\"elements\":[{\"id\":\"fbbd2fe\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u062f\\u0633\\u062a\\u0647 \\u0628\\u0646\\u062f\\u06cc \",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":13,\"sizes\":[]},\"typography_font_weight\":\"400\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=46455ee\",\"_background_color\":\"globals\\/colors?id=8276d6d\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"auto\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"header_size\":\"span\",\"_padding\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.07\",\"left\":\"1.1\",\"isLinked\":false},\"_padding_tablet\":{\"unit\":\"rem\",\"top\":\"0.2\",\"right\":\"1\",\"bottom\":\"0.1\",\"left\":\"1\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_flex_align_self\":\"center\",\"_background_background\":\"classic\",\"_border_radius\":{\"unit\":\"px\",\"top\":\"50\",\"right\":\"50\",\"bottom\":\"50\",\"left\":\"50\",\"isLinked\":true},\"_margin\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"typography_font_size_tablet\":{\"unit\":\"px\",\"size\":11,\"sizes\":[]},\"jedv_conditions\":[{\"_id\":\"a4422dc\"}]},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b79b2b7\",\"elType\":\"widget\",\"settings\":{\"title\":\"\\u0628\\u0631\\u062e\\u06cc \\u0627\\u0632 \\u0646\\u0645\\u0648\\u0646\\u0647 \\u06a9\\u0627\\u0631\\u0647\\u0627\\u06cc \\u0645\\u0627\",\"typography_typography\":\"custom\",\"typography_font_family\":\"Dana\",\"typography_font_size\":{\"unit\":\"px\",\"size\":20,\"sizes\":[]},\"typography_font_weight\":\"500\",\"typography_line_height\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"typography_line_height_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"__globals__\":{\"title_color\":\"globals\\/colors?id=af9acf8\"},\"typography_word_spacing\":{\"unit\":\"em\",\"size\":0.1000000000000000055511151231257827021181583404541015625,\"sizes\":[]},\"_element_width\":\"initial\",\"_element_custom_width\":{\"unit\":\"%\",\"size\":100,\"sizes\":[]},\"custom_css\":\"selector h2 {\\n    font-weight: 620 !important\\n}\",\"align\":\"center\",\"jedv_conditions\":[{\"_id\":\"27e243b\"}],\"_margin\":{\"unit\":\"rem\",\"top\":\"0.5\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"__dynamic__\":{\"title\":\"[elementor-tag id=\\\"e6dbce9\\\" name=\\\"archive-title\\\" settings=\\\"%7B%7D\\\"]\"}},\"elements\":[],\"widgetType\":\"heading\"},{\"id\":\"b77d054\",\"elType\":\"widget\",\"settings\":{\"lisitng_id\":\"1623\",\"columns\":\"4\",\"columns_tablet\":\"2\",\"columns_mobile\":\"1\",\"not_found_message\":\"\\u0647\\u06cc\\u0686 \\u062f\\u0627\\u062f\\u0647 \\u0627\\u06cc \\u06cc\\u0627\\u0641\\u062a \\u0646\\u0634\\u062f\",\"injection_items\":[],\"posts_query\":[],\"terms_meta_query\":[],\"users_meta_query\":[],\"horizontal_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"horizontal_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"horizontal_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap\":{\"unit\":\"rem\",\"size\":1.399999999999999911182158029987476766109466552734375,\"sizes\":[]},\"vertical_gap_tablet\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"vertical_gap_mobile\":{\"unit\":\"rem\",\"size\":\"\",\"sizes\":[]},\"_margin\":{\"unit\":\"rem\",\"top\":\"0.625\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_margin_tablet\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"rem\",\"top\":\"\",\"right\":\"\",\"bottom\":\"\",\"left\":\"\",\"isLinked\":true},\"_element_width\":\"inherit\",\"jedv_conditions\":[{\"_id\":\"0f5cf09\"}],\"posts_num\":8,\"_element_id\":\"projectgriid\",\"custom_query\":\"yes\",\"custom_query_id\":\"10\"},\"elements\":[],\"widgetType\":\"jet-listing-grid\"},{\"id\":\"42b6a7f\",\"elType\":\"widget\",\"settings\":{\"content_provider\":\"jet-engine\",\"apply_type\":\"reload\",\"query_id\":\"projectgriid\",\"prev_text\":\"\\u0642\\u0628\\u0644\\u06cc\",\"next_text\":\"\\u0628\\u0639\\u062f\\u06cc\",\"load_more_text\":\"Load More\",\"jedv_conditions\":[{\"_id\":\"ca472a4\"}],\"pagination_background_color\":\"#FFFFFF\",\"pagination_border_border\":\"solid\",\"pagination_border_width\":{\"unit\":\"px\",\"top\":\"1\",\"right\":\"1\",\"bottom\":\"1\",\"left\":\"1\",\"isLinked\":true},\"pagination_border_color\":\"#B5B1B12E\",\"pagination_border_radius\":{\"unit\":\"px\",\"top\":\"10\",\"right\":\"10\",\"bottom\":\"10\",\"left\":\"10\",\"isLinked\":true},\"pagination_padding\":{\"unit\":\"px\",\"top\":\"11\",\"right\":\"0\",\"bottom\":\"11\",\"left\":\"0\",\"isLinked\":false},\"pagination_margin\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"13\",\"bottom\":\"0\",\"left\":\"13\",\"isLinked\":false},\"pagination_items_typography_typography\":\"custom\",\"pagination_items_typography_font_family\":\"iranyekanwebregular_FaNum\",\"pagination_items_typography_font_size\":{\"unit\":\"px\",\"size\":14,\"sizes\":[]},\"pagination_items_typography_font_weight\":\"normal\",\"pagination_items_padding\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"pagination_items_horizontal_gap\":{\"unit\":\"px\",\"size\":25,\"sizes\":[]},\"pagination_items_vertical_gap\":{\"unit\":\"px\",\"size\":0,\"sizes\":[]},\"pagination_items_border_width\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":true},\"_margin_mobile\":{\"unit\":\"px\",\"top\":\"-7\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_padding_mobile\":{\"unit\":\"px\",\"top\":\"0\",\"right\":\"0\",\"bottom\":\"0\",\"left\":\"0\",\"isLinked\":false},\"_element_width\":\"inherit\",\"__globals__\":{\"pagination_items_color\":\"globals\\/colors?id=text\",\"pagination_items_color_active\":\"globals\\/colors?id=primary\",\"pagination_items_color_hover\":\"globals\\/colors?id=primary\"}},\"elements\":[],\"widgetType\":\"jet-smart-filters-pagination\"}],\"isInner\":true}],\"isInner\":false}]");
INSERT INTO `wp_postmeta` VALUES("55874", "5914", "_elementor_page_assets", "a:0:{}");
INSERT INTO `wp_postmeta` VALUES("55875", "5914", "_elementor_conditions", "a:1:{i:0;s:35:\"include/archive/projects-categories\";}");
INSERT INTO `wp_postmeta` VALUES("55897", "1623", "_elementor_css", "a:6:{s:4:\"time\";i:1697099845;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:7:{i:0;s:7:\"3f9910c\";i:1;s:7:\"3f9910c\";i:2;s:7:\"42a9af6\";i:3;s:7:\"42a9af6\";i:4;s:7:\"cf02dc3\";i:5;s:7:\"cf02dc3\";i:6;s:7:\"20acf5f\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56353", "4325", "_elementor_css", "a:6:{s:4:\"time\";i:1697105374;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"8727d84\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56354", "4325", "_elementor_screenshot_failed", "2023-10-12 10:09:51");
INSERT INTO `wp_postmeta` VALUES("56425", "28", "_elementor_css", "a:6:{s:4:\"time\";i:1697106000;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:1;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56427", "26", "_elementor_css", "a:6:{s:4:\"time\";i:1697106024;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"77b525e\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56451", "1013", "_elementor_css", "a:6:{s:4:\"time\";i:1697106270;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:3:{i:0;s:0:\"\";i:1;s:3:\"svg\";i:13;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56485", "2571", "_elementor_css", "a:6:{s:4:\"time\";i:1697106592;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56486", "829", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56487", "1908", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56488", "815", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56489", "1910", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56490", "1912", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56491", "767", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56492", "816", "project-link", "#");
INSERT INTO `wp_postmeta` VALUES("56593", "2407", "_elementor_css", "a:6:{s:4:\"time\";i:1697107601;s:5:\"fonts\";a:2:{i:0;s:23:\"iranyekanweblight_FaNum\";i:1;s:4:\"Dana\";}s:5:\"icons\";a:4:{i:0;s:10:\"fa-regular\";i:2;s:0:\"\";i:3;s:3:\"svg\";i:7;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:7:{i:0;s:7:\"dab1ebd\";i:1;s:7:\"661c9c4\";i:2;s:7:\"d70f506\";i:3;s:7:\"63cdc5e\";i:4;s:7:\"a39ad06\";i:5;s:7:\"9c52f6a\";i:6;s:7:\"ea703d6\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56649", "5914", "_elementor_css", "a:6:{s:4:\"time\";i:1697108120;s:5:\"fonts\";a:2:{i:0;s:4:\"Dana\";i:2;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"b79b2b7\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56650", "4350", "_elementor_css", "a:6:{s:4:\"time\";i:1697108130;s:5:\"fonts\";a:2:{i:0;s:23:\"iranyekanweblight_FaNum\";i:1;s:4:\"Dana\";}s:5:\"icons\";a:3:{i:0;s:10:\"fa-regular\";i:2;s:3:\"svg\";i:5;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"33838a0\";i:1;s:8:\"23f06801\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56726", "1529", "_elementor_css", "a:6:{s:4:\"time\";i:1697108840;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:1:{i:0;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:3:{i:0;s:7:\"841b34f\";i:1;s:7:\"45789cb\";i:2;s:7:\"45789cb\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56728", "2187", "_elementor_css", "a:6:{s:4:\"time\";i:1697108912;s:5:\"fonts\";a:2:{i:0;s:4:\"Dana\";i:2;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56799", "1600", "_elementor_css", "a:6:{s:4:\"time\";i:1697113413;s:5:\"fonts\";a:3:{i:0;s:4:\"Dana\";i:1;s:23:\"iranyekanweblight_FaNum\";i:4;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:2:{i:0;s:10:\"fa-regular\";i:2;s:0:\"\";}s:20:\"dynamic_elements_ids\";a:2:{i:0;s:7:\"34f749c\";i:1;s:7:\"6cea4f0\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56911", "1044", "_elementor_css", "a:6:{s:4:\"time\";i:1697114444;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:2;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:4:{i:0;s:7:\"2a52e25\";i:1;s:7:\"e412a53\";i:2;s:7:\"e412a53\";i:3;s:7:\"d3d4ea8\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56930", "1067", "_elementor_css", "a:6:{s:4:\"time\";i:1697114475;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:2;s:8:\"fa-solid\";}s:20:\"dynamic_elements_ids\";a:3:{i:0;s:7:\"6dce57f\";i:1;s:7:\"6dce57f\";i:2;s:7:\"6b4d4b9\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56931", "5872", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\" class=\"\"><g transform=\"matrix(0.7400000000000001,0,0,0.7400000000000001,3.119999194145201,3.119999318122858)\"><path d=\"m12 10.586 7.293-7.293a1 1 0 0 1 1.414 1.414L13.414 12l7.293 7.293a1 1 0 0 1-1.414 1.414L12 13.414l-7.293 7.293a1 1 0 0 1-1.414-1.414L10.586 12 3.293 4.707a1 1 0 0 1 1.414-1.414z\" fill=\"#DB1D1D\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56932", "5871", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\" class=\"\"><g><path d=\"m12 10.586 7.293-7.293a1 1 0 0 1 1.414 1.414L13.414 12l7.293 7.293a1 1 0 0 1-1.414 1.414L12 13.414l-7.293 7.293a1 1 0 0 1-1.414-1.414L10.586 12 3.293 4.707a1 1 0 0 1 1.414-1.414z\" fill=\"#DB1D1D\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56933", "5870", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\"><g><path d=\"M21.634 47.186c-1.893-2.126-3.422-4.206-4.899-6.22a35.467 35.467 0 0 1-3.494-5.845c-.61-1.248-.88-2.51.441-3.323 3.787-2.327 4.563-.105 6.62 2.473 1.22 1.528 3.02 4.047 4.147 5.639 1.077 1.52 2.39-1.223 2.913-1.998 1.863-2.75 6.703-9.486 8.704-11.975 1.899-2.364 8.028-8.985 9.17-10.038.973-.897 3.027-2.863 4.408-1.778 1.45 1.14 2.16 3.307 1.14 4.716-1.777 2.453-4.567 4.786-6.498 7.122-3.908 4.728-7.608 9.824-11.16 14.899-1.207 1.724-2.901 4.612-3.953 6.482-1.968 3.499-3.696 4.164-7.54-.154z\" fill=\"#0B910F\" opacity=\"1\" data-original=\"#000000\" class=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56934", "5007", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"1920\" height=\"916\" viewBox=\"0 0 1920 916\" fill=\"none\"><g clip-path=\"url(#clip0_81_9)\"><mask id=\"mask0_81_9\" style=\"mask-type:luminance\" maskUnits=\"userSpaceOnUse\" x=\"0\" y=\"0\" width=\"1920\" height=\"916\"><path d=\"M1920 0H0V916H1920V0Z\" fill=\"white\"></path></mask><g mask=\"url(#mask0_81_9)\"><path d=\"M-209 1208C191.6 1287.54 337.431 1110.38 712 1114C1045.36 1117.22 1334.27 1221.3 1556 1209C1792.67 1195.87 1988.44 1107.52 1989 1110L1992 108.999C1736.77 -40.3527 220.7 -25.3007 -60 77.9993C-77.3 258.767 -207.253 1186.31 -209 1208Z\" fill=\"url(#paint0_linear_81_9)\"></path><path opacity=\"0.4\" d=\"M2015 1203C1609.82 1309.02 1473.51 1085.95 1099 1095C765.7 1103.05 613.77 1216.9 392 1228C182.259 1238.5 -14.458 1175.51 -15 1178L-29 140C224.793 -13.0551 1744.83 -45.2312 2026.5 53.9998C2045.52 234.521 2013.05 1181.33 2015 1203Z\" fill=\"#F5F5FF\" fill-opacity=\"0.5\"></path></g></g><defs><linearGradient id=\"paint0_linear_81_9\" x1=\"-224\" y1=\"-297.5\" x2=\"128\" y2=\"674.5\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#5E71FF\"></stop><stop offset=\"0.884619\" stop-color=\"#8412E4\"></stop></linearGradient><clipPath id=\"clip0_81_9\"><rect width=\"1920\" height=\"916\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("56935", "4992", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"m16.293 22.707-10-10a1 1 0 0 1 0-1.414l10-10a1 1 0 0 1 1.414 1.414L8.414 12l9.293 9.293a1 1 0 0 1-1.414 1.414z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56936", "4601", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"244\" height=\"89\" viewBox=\"0 0 244 89\" fill=\"none\"><g clip-path=\"url(#clip0_80_5)\"><path d=\"M2.76278e-07 1.811C3.3089e-07 2.16923 0.106243 2.5194 0.305283 2.81724C0.504322 3.11508 0.78722 3.3472 1.11819 3.48424C1.44917 3.62128 1.81335 3.65709 2.16468 3.58713C2.51601 3.51717 2.83869 3.34459 3.09193 3.09122C3.34516 2.83784 3.51756 2.51506 3.58733 2.1637C3.65709 1.81233 3.62109 1.44817 3.48386 1.11727C3.34664 0.786368 3.11436 0.503599 2.81641 0.304724C2.51847 0.105849 2.16823 -0.000197529 1.81001 2.76214e-07C1.57223 2.39925e-07 1.33678 0.0468513 1.11711 0.137875C0.897447 0.228898 0.697873 0.362311 0.529785 0.530491C0.361698 0.698671 0.228392 0.898322 0.13749 1.11804C0.0465874 1.33775 -0.000131092 1.57322 2.76278e-07 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 1.811C19.9602 2.16894 20.0665 2.51879 20.2655 2.81631C20.4645 3.11383 20.7472 3.34567 21.078 3.48251C21.4087 3.61935 21.7726 3.65505 22.1237 3.5851C22.4747 3.51515 22.7971 3.34268 23.0502 3.08951C23.3032 2.83634 23.4755 2.51382 23.5453 2.16275C23.615 1.81167 23.5791 1.44779 23.4421 1.11711C23.3051 0.786437 23.0731 0.503813 22.7754 0.304972C22.4778 0.106131 22.1279 5.46292e-08 21.77 0C21.5322 -3.62896e-08 21.2967 0.0468511 21.0771 0.137875C20.8574 0.228898 20.6578 0.362311 20.4897 0.530491C20.3217 0.698671 20.1884 0.898322 20.0975 1.11804C20.0066 1.33775 19.9598 1.57322 19.96 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 1.811C39.9189 2.16918 40.0252 2.51932 40.2242 2.81714C40.4232 3.11496 40.706 3.34708 41.0369 3.48415C41.3678 3.62122 41.732 3.65708 42.0833 3.5872C42.4346 3.51732 42.7572 3.34484 43.0105 3.09157C43.2638 2.8383 43.4363 2.51561 43.5061 2.16431C43.576 1.81301 43.5402 1.44888 43.4031 1.11796C43.266 0.787043 43.0339 0.504204 42.7361 0.305208C42.4383 0.106213 42.0881 2.7642e-07 41.73 2.7642e-07C41.4921 -0.000131175 41.2565 0.0466222 41.0368 0.137587C40.817 0.228552 40.6173 0.361943 40.4491 0.530136C40.2809 0.698329 40.1475 0.898026 40.0565 1.11781C39.9656 1.33759 39.9188 1.57314 39.9189 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M59.8779 1.811C59.8779 2.16923 59.9842 2.5194 60.1832 2.81724C60.3823 3.11508 60.6651 3.3472 60.9961 3.48424C61.3271 3.62128 61.6913 3.65709 62.0426 3.58713C62.3939 3.51717 62.7166 3.34459 62.9699 3.09122C63.2231 2.83784 63.3955 2.51506 63.4653 2.1637C63.535 1.81233 63.499 1.44817 63.3618 1.11727C63.2246 0.786368 62.9923 0.503599 62.6943 0.304724C62.3964 0.105849 62.0462 -0.000197529 61.6879 2.76214e-07C61.4502 2.39925e-07 61.2147 0.0468513 60.995 0.137875C60.7754 0.228898 60.5758 0.362311 60.4077 0.530491C60.2396 0.698671 60.1063 0.898322 60.0154 1.11804C59.9245 1.33775 59.8778 1.57322 59.8779 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M79.8379 1.811C79.8379 2.16918 79.9441 2.51932 80.1431 2.81714C80.3421 3.11496 80.6249 3.34708 80.9558 3.48415C81.2868 3.62122 81.6509 3.65708 82.0022 3.5872C82.3535 3.51732 82.6762 3.34484 82.9295 3.09157C83.1827 2.8383 83.3552 2.51561 83.4251 2.16431C83.495 1.81301 83.4591 1.44888 83.322 1.11796C83.185 0.787043 82.9528 0.504204 82.655 0.305208C82.3572 0.106213 82.0071 2.7642e-07 81.6489 2.7642e-07C81.411 -0.000131175 81.1755 0.0466222 80.9557 0.137587C80.7359 0.228552 80.5362 0.361943 80.368 0.530136C80.1998 0.698329 80.0664 0.898026 79.9755 1.11781C79.8845 1.33759 79.8378 1.57314 79.8379 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M99.7981 1.811C99.7981 2.16923 99.9043 2.5194 100.103 2.81724C100.302 3.11508 100.585 3.3472 100.916 3.48424C101.247 3.62128 101.611 3.65709 101.963 3.58713C102.314 3.51717 102.637 3.34459 102.89 3.09122C103.143 2.83784 103.316 2.51506 103.385 2.1637C103.455 1.81233 103.419 1.44817 103.282 1.11727C103.145 0.786368 102.912 0.503599 102.615 0.304724C102.317 0.105849 101.966 -0.000197529 101.608 2.76214e-07C101.37 2.39925e-07 101.135 0.0468513 100.915 0.137875C100.696 0.228898 100.496 0.362311 100.328 0.530491C100.16 0.698671 100.026 0.898322 99.9356 1.11804C99.8447 1.33775 99.798 1.57322 99.7981 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 1.811C119.758 2.16894 119.865 2.51879 120.064 2.81631C120.263 3.11383 120.545 3.34567 120.876 3.48251C121.207 3.61935 121.571 3.65505 121.922 3.5851C122.273 3.51515 122.595 3.34268 122.848 3.08951C123.101 2.83634 123.274 2.51382 123.343 2.16275C123.413 1.81167 123.377 1.44779 123.24 1.11711C123.103 0.786437 122.871 0.503813 122.574 0.304972C122.276 0.106131 121.926 5.46292e-08 121.568 0C121.33 -3.62896e-08 121.095 0.0468511 120.875 0.137875C120.656 0.228898 120.456 0.362311 120.288 0.530491C120.12 0.698671 119.986 0.898322 119.896 1.11804C119.805 1.33775 119.758 1.57322 119.758 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 1.811C139.717 2.16918 139.823 2.51932 140.022 2.81714C140.221 3.11496 140.504 3.34708 140.835 3.48415C141.166 3.62122 141.53 3.65708 141.881 3.5872C142.233 3.51732 142.555 3.34484 142.809 3.09157C143.062 2.8383 143.234 2.51561 143.304 2.16431C143.374 1.81301 143.338 1.44888 143.201 1.11796C143.064 0.787043 142.832 0.504204 142.534 0.305208C142.236 0.106213 141.886 2.7642e-07 141.528 2.7642e-07C141.29 -0.000131175 141.055 0.0466222 140.835 0.137587C140.615 0.228552 140.415 0.361943 140.247 0.530136C140.079 0.698329 139.946 0.898026 139.855 1.11781C139.764 1.33759 139.717 1.57314 139.717 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 1.811C159.678 2.16894 159.784 2.51879 159.984 2.81631C160.183 3.11383 160.465 3.34567 160.796 3.48251C161.127 3.61935 161.491 3.65505 161.842 3.5851C162.193 3.51515 162.515 3.34268 162.768 3.08951C163.021 2.83634 163.194 2.51382 163.263 2.16275C163.333 1.81167 163.297 1.44779 163.16 1.11711C163.023 0.786437 162.791 0.503813 162.493 0.304972C162.196 0.106131 161.846 5.46292e-08 161.488 0C161.25 -3.62896e-08 161.015 0.0468511 160.795 0.137875C160.575 0.228898 160.376 0.362311 160.208 0.530491C160.04 0.698671 159.906 0.898322 159.815 1.11804C159.725 1.33775 159.678 1.57322 159.678 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 1.811C179.636 2.16918 179.742 2.51932 179.941 2.81714C180.14 3.11496 180.423 3.34708 180.754 3.48415C181.085 3.62122 181.449 3.65708 181.8 3.5872C182.152 3.51732 182.474 3.34484 182.728 3.09157C182.981 2.8383 183.153 2.51561 183.223 2.16431C183.293 1.81301 183.257 1.44888 183.12 1.11796C182.983 0.787043 182.751 0.504204 182.453 0.305208C182.155 0.106213 181.805 2.7642e-07 181.447 2.7642e-07C181.209 -0.000131175 180.974 0.0466222 180.754 0.137587C180.534 0.228552 180.334 0.361943 180.166 0.530136C179.998 0.698329 179.865 0.898026 179.774 1.11781C179.683 1.33759 179.636 1.57314 179.636 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 1.811C199.596 2.16923 199.702 2.5194 199.901 2.81724C200.1 3.11508 200.383 3.3472 200.714 3.48424C201.045 3.62128 201.409 3.65709 201.761 3.58713C202.112 3.51717 202.435 3.34459 202.688 3.09122C202.941 2.83784 203.113 2.51506 203.183 2.1637C203.253 1.81233 203.217 1.44817 203.08 1.11727C202.943 0.786368 202.71 0.503599 202.412 0.304724C202.114 0.105849 201.764 -0.000197529 201.406 2.76214e-07C201.168 2.39925e-07 200.933 0.0468513 200.713 0.137875C200.493 0.228898 200.294 0.362311 200.126 0.530491C199.958 0.698671 199.824 0.898322 199.733 1.11804C199.643 1.33775 199.596 1.57322 199.596 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 1.811C219.556 2.16894 219.662 2.51879 219.861 2.81631C220.06 3.11383 220.343 3.34567 220.674 3.48251C221.005 3.61935 221.369 3.65505 221.72 3.5851C222.071 3.51515 222.393 3.34268 222.646 3.08951C222.899 2.83634 223.071 2.51382 223.141 2.16275C223.211 1.81167 223.175 1.44779 223.038 1.11711C222.901 0.786437 222.669 0.503813 222.371 0.304972C222.074 0.106131 221.724 5.46292e-08 221.366 0C221.128 -3.62896e-08 220.893 0.0468511 220.673 0.137875C220.453 0.228898 220.254 0.362311 220.086 0.530491C219.918 0.698671 219.784 0.898322 219.693 1.11804C219.603 1.33775 219.556 1.57322 219.556 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 1.811C239.515 2.16923 239.621 2.5194 239.82 2.81724C240.019 3.11508 240.302 3.3472 240.633 3.48424C240.964 3.62128 241.328 3.65709 241.68 3.58713C242.031 3.51717 242.354 3.34459 242.607 3.09122C242.86 2.83784 243.033 2.51506 243.102 2.1637C243.172 1.81233 243.136 1.44817 242.999 1.11727C242.862 0.786368 242.629 0.503599 242.332 0.304724C242.034 0.105849 241.683 -0.000197529 241.325 2.76214e-07C241.087 2.39925e-07 240.852 0.0468513 240.632 0.137875C240.413 0.228898 240.213 0.362311 240.045 0.530491C239.877 0.698671 239.744 0.898322 239.653 1.11804C239.562 1.33775 239.515 1.57322 239.515 1.811Z\" fill=\"#FECBF8\"></path><path d=\"M2.76059e-07 18.8168C-0.000197498 19.1751 0.105875 19.5254 0.304795 19.8233C0.503714 20.1213 0.786543 20.3536 1.1175 20.4908C1.44846 20.628 1.81267 20.6639 2.16406 20.5941C2.51546 20.5242 2.83824 20.3517 3.09157 20.0984C3.3449 19.8451 3.5174 19.5223 3.58725 19.1709C3.6571 18.8195 3.62115 18.4553 3.48396 18.1243C3.34676 17.7934 3.11448 17.5105 2.81651 17.3116C2.51854 17.1127 2.16827 17.0066 1.81001 17.0068C1.33004 17.0071 0.869817 17.1979 0.530434 17.5373C0.191051 17.8766 0.000265228 18.3369 2.76059e-07 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 18.8168C19.96 19.1748 20.0661 19.5248 20.265 19.8224C20.4639 20.1201 20.7466 20.3521 21.0773 20.4891C21.408 20.6261 21.772 20.6619 22.1231 20.5921C22.4742 20.5222 22.7967 20.3498 23.0498 20.0967C23.303 19.8436 23.4753 19.5211 23.5452 19.1699C23.615 18.8188 23.5792 18.4549 23.4422 18.1242C23.3052 17.7934 23.0732 17.5108 22.7755 17.3119C22.4779 17.113 22.128 17.0068 21.77 17.0068C21.2899 17.0068 20.8295 17.1975 20.4901 17.537C20.1507 17.8764 19.96 18.3368 19.96 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 18.8168C39.9187 19.1751 40.0248 19.5253 40.2237 19.8232C40.4225 20.1212 40.7053 20.3535 41.0362 20.4907C41.3671 20.6279 41.7313 20.6639 42.0826 20.5942C42.434 20.5244 42.7568 20.352 43.0102 20.0988C43.2635 19.8455 43.4361 19.5228 43.5061 19.1715C43.576 18.8202 43.5402 18.456 43.4032 18.125C43.2661 17.7941 43.034 17.5112 42.7362 17.3121C42.4384 17.1131 42.0882 17.0068 41.73 17.0068C41.2498 17.0068 40.7893 17.1975 40.4497 17.5369C40.1101 17.8763 39.9192 18.3367 39.9189 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M59.8779 18.8168C59.8777 19.1751 59.9838 19.5254 60.1827 19.8233C60.3816 20.1213 60.6645 20.3536 60.9954 20.4908C61.3264 20.628 61.6906 20.6639 62.042 20.5941C62.3934 20.5242 62.7162 20.3517 62.9695 20.0984C63.2228 19.8451 63.3953 19.5223 63.4652 19.1709C63.535 18.8195 63.4991 18.4553 63.3619 18.1243C63.2247 17.7934 62.9924 17.5105 62.6944 17.3116C62.3965 17.1127 62.0462 17.0066 61.6879 17.0068C61.2079 17.0068 60.7475 17.1975 60.4081 17.537C60.0686 17.8764 59.8779 18.3368 59.8779 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M79.8379 18.8168C79.8377 19.1751 79.9437 19.5253 80.1426 19.8232C80.3415 20.1212 80.6243 20.3535 80.9552 20.4907C81.2861 20.6279 81.6502 20.6639 82.0016 20.5942C82.353 20.5244 82.6757 20.352 82.9291 20.0988C83.1825 19.8455 83.3551 19.5228 83.425 19.1715C83.495 18.8202 83.4592 18.456 83.3221 18.125C83.1851 17.7941 82.953 17.5112 82.6551 17.3121C82.3573 17.1131 82.0071 17.0068 81.6489 17.0068C81.1687 17.0068 80.7083 17.1975 80.3687 17.5369C80.0291 17.8763 79.8382 18.3367 79.8379 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M99.7981 18.8168C99.7979 19.1751 99.904 19.5254 100.103 19.8233C100.302 20.1213 100.585 20.3536 100.916 20.4908C101.247 20.628 101.611 20.6639 101.962 20.5941C102.314 20.5242 102.636 20.3517 102.89 20.0984C103.143 19.8451 103.315 19.5223 103.385 19.1709C103.455 18.8195 103.419 18.4553 103.282 18.1243C103.145 17.7934 102.913 17.5105 102.615 17.3116C102.317 17.1127 101.966 17.0066 101.608 17.0068C101.128 17.0071 100.668 17.1979 100.329 17.5373C99.9892 17.8766 99.7984 18.3369 99.7981 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 18.8168C119.758 19.1748 119.864 19.5248 120.063 19.8224C120.262 20.1201 120.545 20.3521 120.875 20.4891C121.206 20.6261 121.57 20.6619 121.921 20.5921C122.272 20.5222 122.595 20.3498 122.848 20.0967C123.101 19.8436 123.273 19.5211 123.343 19.1699C123.413 18.8188 123.377 18.4549 123.24 18.1242C123.103 17.7934 122.871 17.5108 122.574 17.3119C122.276 17.113 121.926 17.0068 121.568 17.0068C121.088 17.0068 120.628 17.1975 120.288 17.537C119.949 17.8764 119.758 18.3368 119.758 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 18.8168C139.717 19.1751 139.823 19.5253 140.022 19.8232C140.221 20.1212 140.503 20.3535 140.834 20.4907C141.165 20.6279 141.529 20.6639 141.881 20.5942C142.232 20.5244 142.555 20.352 142.808 20.0988C143.062 19.8455 143.234 19.5228 143.304 19.1715C143.374 18.8202 143.338 18.456 143.201 18.125C143.064 17.7941 142.832 17.5112 142.534 17.3121C142.236 17.1131 141.886 17.0068 141.528 17.0068C141.048 17.0068 140.587 17.1975 140.248 17.5369C139.908 17.8763 139.717 18.3367 139.717 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 18.8168C159.678 19.1748 159.784 19.5248 159.983 19.8224C160.182 20.1201 160.465 20.3521 160.795 20.4891C161.126 20.6261 161.49 20.6619 161.841 20.5921C162.192 20.5222 162.515 20.3498 162.768 20.0967C163.021 19.8436 163.193 19.5211 163.263 19.1699C163.333 18.8188 163.297 18.4549 163.16 18.1242C163.023 17.7934 162.791 17.5108 162.494 17.3119C162.196 17.113 161.846 17.0068 161.488 17.0068C161.008 17.0068 160.548 17.1975 160.208 17.537C159.869 17.8764 159.678 18.3368 159.678 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 18.8168C179.636 19.1751 179.742 19.5253 179.941 19.8232C180.14 20.1212 180.422 20.3535 180.753 20.4907C181.084 20.6279 181.448 20.6639 181.8 20.5942C182.151 20.5244 182.474 20.352 182.727 20.0988C182.981 19.8455 183.153 19.5228 183.223 19.1715C183.293 18.8202 183.257 18.456 183.12 18.125C182.983 17.7941 182.751 17.5112 182.453 17.3121C182.155 17.1131 181.805 17.0068 181.447 17.0068C180.967 17.0068 180.506 17.1975 180.167 17.5369C179.827 17.8763 179.636 18.3367 179.636 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 18.8168C199.596 19.1751 199.702 19.5254 199.901 19.8233C200.1 20.1213 200.382 20.3536 200.713 20.4908C201.044 20.628 201.409 20.6639 201.76 20.5941C202.111 20.5242 202.434 20.3517 202.688 20.0984C202.941 19.8451 203.113 19.5223 203.183 19.1709C203.253 18.8195 203.217 18.4553 203.08 18.1243C202.943 17.7934 202.71 17.5105 202.412 17.3116C202.115 17.1127 201.764 17.0066 201.406 17.0068C200.926 17.0068 200.466 17.1975 200.126 17.537C199.787 17.8764 199.596 18.3368 199.596 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 18.8168C219.556 19.1748 219.662 19.5248 219.861 19.8224C220.06 20.1201 220.343 20.3521 220.673 20.4891C221.004 20.6261 221.368 20.6619 221.719 20.5921C222.07 20.5222 222.393 20.3498 222.646 20.0967C222.899 19.8436 223.071 19.5211 223.141 19.1699C223.211 18.8188 223.175 18.4549 223.038 18.1242C222.901 17.7934 222.669 17.5108 222.371 17.3119C222.074 17.113 221.724 17.0068 221.366 17.0068C220.886 17.0068 220.426 17.1975 220.086 17.537C219.747 17.8764 219.556 18.3368 219.556 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 18.8168C239.515 19.1751 239.621 19.5254 239.82 19.8233C240.019 20.1213 240.302 20.3536 240.633 20.4908C240.964 20.628 241.328 20.6639 241.679 20.5941C242.031 20.5242 242.353 20.3517 242.607 20.0984C242.86 19.8451 243.033 19.5223 243.102 19.1709C243.172 18.8195 243.136 18.4553 242.999 18.1243C242.862 17.7934 242.63 17.5105 242.332 17.3116C242.034 17.1127 241.683 17.0066 241.325 17.0068C240.845 17.0071 240.385 17.1979 240.046 17.5373C239.706 17.8766 239.515 18.3369 239.515 18.8168Z\" fill=\"#FECBF8\"></path><path d=\"M2.76278e-07 35.8237C3.3089e-07 36.1819 0.106243 36.5321 0.305283 36.8299C0.504322 37.1278 0.78722 37.3599 1.11819 37.4969C1.44917 37.634 1.81335 37.6698 2.16468 37.5998C2.51601 37.5299 2.83869 37.3573 3.09193 37.1039C3.34516 36.8505 3.51756 36.5278 3.58733 36.1764C3.65709 35.825 3.62109 35.4609 3.48386 35.13C3.34664 34.7991 3.11436 34.5163 2.81641 34.3174C2.51847 34.1185 2.16823 34.0125 1.81001 34.0127C1.57223 34.0127 1.33678 34.0595 1.11711 34.1506C0.897447 34.2416 0.697873 34.375 0.529785 34.5432C0.361698 34.7114 0.228392 34.911 0.13749 35.1307C0.0465874 35.3504 -0.000131092 35.5859 2.76278e-07 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 35.8237C19.9602 36.1816 20.0665 36.5315 20.2655 36.829C20.4645 37.1265 20.7472 37.3584 21.078 37.4952C21.4087 37.632 21.7726 37.6677 22.1237 37.5978C22.4747 37.5278 22.7971 37.3554 23.0502 37.1022C23.3032 36.849 23.4755 36.5265 23.5453 36.1754C23.615 35.8244 23.5791 35.4605 23.4421 35.1298C23.3051 34.7991 23.0731 34.5165 22.7754 34.3177C22.4778 34.1188 22.1279 34.0127 21.77 34.0127C21.5322 34.0127 21.2967 34.0595 21.0771 34.1506C20.8574 34.2416 20.6578 34.375 20.4897 34.5432C20.3217 34.7114 20.1884 34.911 20.0975 35.1307C20.0066 35.3504 19.9598 35.5859 19.96 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 35.8237C39.9189 36.1819 40.0252 36.532 40.2242 36.8298C40.4232 37.1277 40.706 37.3598 41.0369 37.4968C41.3678 37.6339 41.732 37.6698 42.0833 37.5999C42.4346 37.53 42.7572 37.3575 43.0105 37.1043C43.2638 36.851 43.4363 36.5283 43.5061 36.177C43.576 35.8257 43.5402 35.4616 43.4031 35.1307C43.266 34.7997 43.0339 34.5169 42.7361 34.3179C42.4383 34.1189 42.0881 34.0127 41.73 34.0127C41.4921 34.0126 41.2565 34.0593 41.0368 34.1503C40.817 34.2412 40.6173 34.3746 40.4491 34.5428C40.2809 34.711 40.1475 34.9107 40.0565 35.1305C39.9656 35.3503 39.9188 35.5858 39.9189 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M59.8779 35.8237C59.8779 36.1819 59.9842 36.5321 60.1832 36.8299C60.3823 37.1278 60.6651 37.3599 60.9961 37.4969C61.3271 37.634 61.6913 37.6698 62.0426 37.5998C62.3939 37.5299 62.7166 37.3573 62.9699 37.1039C63.2231 36.8505 63.3955 36.5278 63.4653 36.1764C63.535 35.825 63.499 35.4609 63.3618 35.13C63.2246 34.7991 62.9923 34.5163 62.6943 34.3174C62.3964 34.1185 62.0462 34.0125 61.6879 34.0127C61.4502 34.0127 61.2147 34.0595 60.995 34.1506C60.7754 34.2416 60.5758 34.375 60.4077 34.5432C60.2396 34.7114 60.1063 34.911 60.0154 35.1307C59.9245 35.3504 59.8778 35.5859 59.8779 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M79.8379 35.8237C79.8379 36.1819 79.9441 36.532 80.1431 36.8298C80.3421 37.1277 80.6249 37.3598 80.9558 37.4968C81.2868 37.6339 81.6509 37.6698 82.0022 37.5999C82.3535 37.53 82.6762 37.3575 82.9295 37.1043C83.1827 36.851 83.3552 36.5283 83.4251 36.177C83.495 35.8257 83.4591 35.4616 83.322 35.1307C83.185 34.7997 82.9528 34.5169 82.655 34.3179C82.3572 34.1189 82.0071 34.0127 81.6489 34.0127C81.411 34.0126 81.1755 34.0593 80.9557 34.1503C80.7359 34.2412 80.5362 34.3746 80.368 34.5428C80.1998 34.711 80.0664 34.9107 79.9755 35.1305C79.8845 35.3503 79.8378 35.5858 79.8379 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M99.7981 35.8237C99.7981 36.1819 99.9043 36.5321 100.103 36.8299C100.302 37.1278 100.585 37.3599 100.916 37.4969C101.247 37.634 101.611 37.6698 101.963 37.5998C102.314 37.5299 102.637 37.3573 102.89 37.1039C103.143 36.8505 103.316 36.5278 103.385 36.1764C103.455 35.825 103.419 35.4609 103.282 35.13C103.145 34.7991 102.912 34.5163 102.615 34.3174C102.317 34.1185 101.966 34.0125 101.608 34.0127C101.37 34.0127 101.135 34.0595 100.915 34.1506C100.696 34.2416 100.496 34.375 100.328 34.5432C100.16 34.7114 100.026 34.911 99.9356 35.1307C99.8447 35.3504 99.798 35.5859 99.7981 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 35.8237C119.758 36.1816 119.865 36.5315 120.064 36.829C120.263 37.1265 120.545 37.3584 120.876 37.4952C121.207 37.632 121.571 37.6677 121.922 37.5978C122.273 37.5278 122.595 37.3554 122.848 37.1022C123.101 36.849 123.274 36.5265 123.343 36.1754C123.413 35.8244 123.377 35.4605 123.24 35.1298C123.103 34.7991 122.871 34.5165 122.574 34.3177C122.276 34.1188 121.926 34.0127 121.568 34.0127C121.33 34.0127 121.095 34.0595 120.875 34.1506C120.656 34.2416 120.456 34.375 120.288 34.5432C120.12 34.7114 119.986 34.911 119.896 35.1307C119.805 35.3504 119.758 35.5859 119.758 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 35.8237C139.717 36.1819 139.823 36.532 140.022 36.8298C140.221 37.1277 140.504 37.3598 140.835 37.4968C141.166 37.6339 141.53 37.6698 141.881 37.5999C142.233 37.53 142.555 37.3575 142.809 37.1043C143.062 36.851 143.234 36.5283 143.304 36.177C143.374 35.8257 143.338 35.4616 143.201 35.1307C143.064 34.7997 142.832 34.5169 142.534 34.3179C142.236 34.1189 141.886 34.0127 141.528 34.0127C141.29 34.0126 141.055 34.0593 140.835 34.1503C140.615 34.2412 140.415 34.3746 140.247 34.5428C140.079 34.711 139.946 34.9107 139.855 35.1305C139.764 35.3503 139.717 35.5858 139.717 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 35.8237C159.678 36.1816 159.784 36.5315 159.984 36.829C160.183 37.1265 160.465 37.3584 160.796 37.4952C161.127 37.632 161.491 37.6677 161.842 37.5978C162.193 37.5278 162.515 37.3554 162.768 37.1022C163.021 36.849 163.194 36.5265 163.263 36.1754C163.333 35.8244 163.297 35.4605 163.16 35.1298C163.023 34.7991 162.791 34.5165 162.493 34.3177C162.196 34.1188 161.846 34.0127 161.488 34.0127C161.25 34.0127 161.015 34.0595 160.795 34.1506C160.575 34.2416 160.376 34.375 160.208 34.5432C160.04 34.7114 159.906 34.911 159.815 35.1307C159.725 35.3504 159.678 35.5859 159.678 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 35.8237C179.636 36.1819 179.742 36.532 179.941 36.8298C180.14 37.1277 180.423 37.3598 180.754 37.4968C181.085 37.6339 181.449 37.6698 181.8 37.5999C182.152 37.53 182.474 37.3575 182.728 37.1043C182.981 36.851 183.153 36.5283 183.223 36.177C183.293 35.8257 183.257 35.4616 183.12 35.1307C182.983 34.7997 182.751 34.5169 182.453 34.3179C182.155 34.1189 181.805 34.0127 181.447 34.0127C181.209 34.0126 180.974 34.0593 180.754 34.1503C180.534 34.2412 180.334 34.3746 180.166 34.5428C179.998 34.711 179.865 34.9107 179.774 35.1305C179.683 35.3503 179.636 35.5858 179.636 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 35.8237C199.596 36.1819 199.702 36.5321 199.901 36.8299C200.1 37.1278 200.383 37.3599 200.714 37.4969C201.045 37.634 201.409 37.6698 201.761 37.5998C202.112 37.5299 202.435 37.3573 202.688 37.1039C202.941 36.8505 203.113 36.5278 203.183 36.1764C203.253 35.825 203.217 35.4609 203.08 35.13C202.943 34.7991 202.71 34.5163 202.412 34.3174C202.114 34.1185 201.764 34.0125 201.406 34.0127C201.168 34.0127 200.933 34.0595 200.713 34.1506C200.493 34.2416 200.294 34.375 200.126 34.5432C199.958 34.7114 199.824 34.911 199.733 35.1307C199.643 35.3504 199.596 35.5859 199.596 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 35.8237C219.556 36.1816 219.662 36.5315 219.861 36.829C220.06 37.1265 220.343 37.3584 220.674 37.4952C221.005 37.632 221.369 37.6677 221.72 37.5978C222.071 37.5278 222.393 37.3554 222.646 37.1022C222.899 36.849 223.071 36.5265 223.141 36.1754C223.211 35.8244 223.175 35.4605 223.038 35.1298C222.901 34.7991 222.669 34.5165 222.371 34.3177C222.074 34.1188 221.724 34.0127 221.366 34.0127C221.128 34.0127 220.893 34.0595 220.673 34.1506C220.453 34.2416 220.254 34.375 220.086 34.5432C219.918 34.7114 219.784 34.911 219.693 35.1307C219.603 35.3504 219.556 35.5859 219.556 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 35.8237C239.515 36.1819 239.621 36.5321 239.82 36.8299C240.019 37.1278 240.302 37.3599 240.633 37.4969C240.964 37.634 241.328 37.6698 241.68 37.5998C242.031 37.5299 242.354 37.3573 242.607 37.1039C242.86 36.8505 243.033 36.5278 243.102 36.1764C243.172 35.825 243.136 35.4609 242.999 35.13C242.862 34.7991 242.629 34.5163 242.332 34.3174C242.034 34.1185 241.683 34.0125 241.325 34.0127C241.087 34.0127 240.852 34.0595 240.632 34.1506C240.413 34.2416 240.213 34.375 240.045 34.5432C239.877 34.7114 239.744 34.911 239.653 35.1307C239.562 35.3504 239.515 35.5859 239.515 35.8237Z\" fill=\"#FECBF8\"></path><path d=\"M2.76059e-07 52.8295C-0.000197498 53.1878 0.105875 53.5381 0.304795 53.836C0.503714 54.134 0.786543 54.3663 1.1175 54.5035C1.44846 54.6407 1.81267 54.6766 2.16406 54.6068C2.51546 54.5369 2.83824 54.3644 3.09157 54.1111C3.3449 53.8578 3.5174 53.535 3.58725 53.1836C3.6571 52.8322 3.62115 52.468 3.48396 52.137C3.34676 51.8061 3.11448 51.5232 2.81651 51.3243C2.51854 51.1254 2.16827 51.0193 1.81001 51.0195C1.33004 51.0198 0.869817 51.2106 0.530434 51.55C0.191051 51.8893 0.000265228 52.3496 2.76059e-07 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 52.8295C19.96 53.1875 20.0661 53.5375 20.265 53.8351C20.4639 54.1328 20.7466 54.3648 21.0773 54.5018C21.408 54.6387 21.772 54.6746 22.1231 54.6048C22.4742 54.5349 22.7967 54.3625 23.0498 54.1094C23.303 53.8563 23.4753 53.5338 23.5452 53.1826C23.615 52.8315 23.5792 52.4676 23.4422 52.1369C23.3052 51.8061 23.0732 51.5235 22.7755 51.3246C22.4779 51.1257 22.128 51.0195 21.77 51.0195C21.2899 51.0195 20.8295 51.2102 20.4901 51.5497C20.1507 51.8891 19.96 52.3495 19.96 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 52.8295C39.9187 53.1878 40.0248 53.538 40.2237 53.8359C40.4225 54.1339 40.7053 54.3662 41.0362 54.5034C41.3671 54.6406 41.7313 54.6766 42.0826 54.6069C42.434 54.5371 42.7568 54.3647 43.0102 54.1115C43.2635 53.8582 43.4361 53.5355 43.5061 53.1842C43.576 52.8329 43.5402 52.4687 43.4032 52.1377C43.2661 51.8068 43.034 51.5238 42.7362 51.3248C42.4384 51.1258 42.0882 51.0195 41.73 51.0195C41.2498 51.0195 40.7893 51.2102 40.4497 51.5496C40.1101 51.889 39.9192 52.3494 39.9189 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M59.8779 52.8295C59.8777 53.1878 59.9838 53.5381 60.1827 53.836C60.3816 54.134 60.6645 54.3663 60.9954 54.5035C61.3264 54.6407 61.6906 54.6766 62.042 54.6068C62.3934 54.5369 62.7162 54.3644 62.9695 54.1111C63.2228 53.8578 63.3953 53.535 63.4652 53.1836C63.535 52.8322 63.4991 52.468 63.3619 52.137C63.2247 51.8061 62.9924 51.5232 62.6944 51.3243C62.3965 51.1254 62.0462 51.0193 61.6879 51.0195C61.2079 51.0195 60.7475 51.2102 60.4081 51.5497C60.0686 51.8891 59.8779 52.3495 59.8779 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M79.8379 52.8295C79.8377 53.1878 79.9437 53.538 80.1426 53.8359C80.3415 54.1339 80.6243 54.3662 80.9552 54.5034C81.2861 54.6406 81.6502 54.6766 82.0016 54.6069C82.353 54.5371 82.6757 54.3647 82.9291 54.1115C83.1825 53.8582 83.3551 53.5355 83.425 53.1842C83.495 52.8329 83.4592 52.4687 83.3221 52.1377C83.1851 51.8068 82.953 51.5238 82.6551 51.3248C82.3573 51.1258 82.0071 51.0195 81.6489 51.0195C81.1687 51.0195 80.7083 51.2102 80.3687 51.5496C80.0291 51.889 79.8382 52.3494 79.8379 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M99.7981 52.8295C99.7979 53.1878 99.904 53.5381 100.103 53.836C100.302 54.134 100.585 54.3663 100.916 54.5035C101.247 54.6407 101.611 54.6766 101.962 54.6068C102.314 54.5369 102.636 54.3644 102.89 54.1111C103.143 53.8578 103.315 53.535 103.385 53.1836C103.455 52.8322 103.419 52.468 103.282 52.137C103.145 51.8061 102.913 51.5232 102.615 51.3243C102.317 51.1254 101.966 51.0193 101.608 51.0195C101.128 51.0198 100.668 51.2106 100.329 51.55C99.9892 51.8893 99.7984 52.3496 99.7981 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 52.8295C119.758 53.1875 119.864 53.5375 120.063 53.8351C120.262 54.1328 120.545 54.3648 120.875 54.5018C121.206 54.6387 121.57 54.6746 121.921 54.6048C122.272 54.5349 122.595 54.3625 122.848 54.1094C123.101 53.8563 123.273 53.5338 123.343 53.1826C123.413 52.8315 123.377 52.4676 123.24 52.1369C123.103 51.8061 122.871 51.5235 122.574 51.3246C122.276 51.1257 121.926 51.0195 121.568 51.0195C121.088 51.0195 120.628 51.2102 120.288 51.5497C119.949 51.8891 119.758 52.3495 119.758 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 52.8295C139.717 53.1878 139.823 53.538 140.022 53.8359C140.221 54.1339 140.503 54.3662 140.834 54.5034C141.165 54.6406 141.529 54.6766 141.881 54.6069C142.232 54.5371 142.555 54.3647 142.808 54.1115C143.062 53.8582 143.234 53.5355 143.304 53.1842C143.374 52.8329 143.338 52.4687 143.201 52.1377C143.064 51.8068 142.832 51.5238 142.534 51.3248C142.236 51.1258 141.886 51.0195 141.528 51.0195C141.048 51.0195 140.587 51.2102 140.248 51.5496C139.908 51.889 139.717 52.3494 139.717 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 52.8295C159.678 53.1875 159.784 53.5375 159.983 53.8351C160.182 54.1328 160.465 54.3648 160.795 54.5018C161.126 54.6387 161.49 54.6746 161.841 54.6048C162.192 54.5349 162.515 54.3625 162.768 54.1094C163.021 53.8563 163.193 53.5338 163.263 53.1826C163.333 52.8315 163.297 52.4676 163.16 52.1369C163.023 51.8061 162.791 51.5235 162.494 51.3246C162.196 51.1257 161.846 51.0195 161.488 51.0195C161.008 51.0195 160.548 51.2102 160.208 51.5497C159.869 51.8891 159.678 52.3495 159.678 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 52.8295C179.636 53.1878 179.742 53.538 179.941 53.8359C180.14 54.1339 180.422 54.3662 180.753 54.5034C181.084 54.6406 181.448 54.6766 181.8 54.6069C182.151 54.5371 182.474 54.3647 182.727 54.1115C182.981 53.8582 183.153 53.5355 183.223 53.1842C183.293 52.8329 183.257 52.4687 183.12 52.1377C182.983 51.8068 182.751 51.5238 182.453 51.3248C182.155 51.1258 181.805 51.0195 181.447 51.0195C180.967 51.0195 180.506 51.2102 180.167 51.5496C179.827 51.889 179.636 52.3494 179.636 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 52.8295C199.596 53.1878 199.702 53.5381 199.901 53.836C200.1 54.134 200.382 54.3663 200.713 54.5035C201.044 54.6407 201.409 54.6766 201.76 54.6068C202.111 54.5369 202.434 54.3644 202.688 54.1111C202.941 53.8578 203.113 53.535 203.183 53.1836C203.253 52.8322 203.217 52.468 203.08 52.137C202.943 51.8061 202.71 51.5232 202.412 51.3243C202.115 51.1254 201.764 51.0193 201.406 51.0195C200.926 51.0195 200.466 51.2102 200.126 51.5497C199.787 51.8891 199.596 52.3495 199.596 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 52.8295C219.556 53.1875 219.662 53.5375 219.861 53.8351C220.06 54.1328 220.343 54.3648 220.673 54.5018C221.004 54.6387 221.368 54.6746 221.719 54.6048C222.07 54.5349 222.393 54.3625 222.646 54.1094C222.899 53.8563 223.071 53.5338 223.141 53.1826C223.211 52.8315 223.175 52.4676 223.038 52.1369C222.901 51.8061 222.669 51.5235 222.371 51.3246C222.074 51.1257 221.724 51.0195 221.366 51.0195C220.886 51.0195 220.426 51.2102 220.086 51.5497C219.747 51.8891 219.556 52.3495 219.556 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 52.8295C239.515 53.1878 239.621 53.5381 239.82 53.836C240.019 54.134 240.302 54.3663 240.633 54.5035C240.964 54.6407 241.328 54.6766 241.679 54.6068C242.031 54.5369 242.353 54.3644 242.607 54.1111C242.86 53.8578 243.033 53.535 243.102 53.1836C243.172 52.8322 243.136 52.468 242.999 52.137C242.862 51.8061 242.63 51.5232 242.332 51.3243C242.034 51.1254 241.683 51.0193 241.325 51.0195C240.845 51.0198 240.385 51.2106 240.046 51.55C239.706 51.8893 239.515 52.3496 239.515 52.8295Z\" fill=\"#FECBF8\"></path><path d=\"M0 69.8422C5.4612e-08 70.2005 0.106243 70.5506 0.305283 70.8485C0.504322 71.1463 0.787219 71.3784 1.11819 71.5155C1.44917 71.6525 1.81335 71.6883 2.16468 71.6184C2.51601 71.5484 2.83869 71.3758 3.09193 71.1225C3.34516 70.8691 3.51756 70.5463 3.58733 70.1949C3.65709 69.8436 3.62109 69.4794 3.48386 69.1485C3.34664 68.8176 3.11436 68.5348 2.81641 68.336C2.51846 68.1371 2.16823 68.0311 1.81001 68.0313C1.32987 68.0315 0.869487 68.2224 0.530075 68.562C0.190663 68.9016 -7.31974e-08 69.3621 0 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 69.8422C19.9602 70.2002 20.0665 70.55 20.2655 70.8476C20.4645 71.1451 20.7472 71.3769 21.078 71.5138C21.4087 71.6506 21.7726 71.6863 22.1237 71.6163C22.4747 71.5464 22.7971 71.3739 23.0502 71.1208C23.3032 70.8676 23.4755 70.5451 23.5453 70.194C23.615 69.8429 23.5791 69.479 23.4421 69.1484C23.3051 68.8177 23.0731 68.5351 22.7754 68.3362C22.4778 68.1374 22.1279 68.0313 21.77 68.0313C21.5322 68.0312 21.2967 68.0781 21.0771 68.1691C20.8574 68.2601 20.6578 68.3936 20.4897 68.5617C20.3217 68.7299 20.1884 68.9296 20.0975 69.1493C20.0066 69.369 19.9598 69.6045 19.96 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 69.8422C39.9189 70.2004 40.0252 70.5506 40.2242 70.8484C40.4232 71.1462 40.706 71.3783 41.0369 71.5154C41.3678 71.6525 41.732 71.6883 42.0833 71.6185C42.4346 71.5486 42.7572 71.3761 43.0105 71.1228C43.2638 70.8695 43.4363 70.5469 43.5061 70.1956C43.576 69.8443 43.5402 69.4801 43.4031 69.1492C43.266 68.8183 43.0339 68.5355 42.7361 68.3365C42.4383 68.1375 42.0881 68.0313 41.7299 68.0312C41.2496 68.0312 40.789 68.222 40.4494 68.5617C40.1098 68.9013 39.9189 69.3619 39.9189 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M61.6889 71.6464C62.6885 71.6464 63.4989 70.836 63.4989 69.8364C63.4989 68.8367 62.6885 68.0264 61.6889 68.0264C60.6893 68.0264 59.8789 68.8367 59.8789 69.8364C59.8789 70.836 60.6893 71.6464 61.6889 71.6464Z\" fill=\"#FECBF8\"></path><path d=\"M81.6479 71.6464C82.6475 71.6464 83.4579 70.836 83.4579 69.8364C83.4579 68.8367 82.6475 68.0264 81.6479 68.0264C80.6483 68.0264 79.8379 68.8367 79.8379 69.8364C79.8379 70.836 80.6483 71.6464 81.6479 71.6464Z\" fill=\"#FECBF8\"></path><path d=\"M101.608 71.6464C102.608 71.6464 103.418 70.836 103.418 69.8364C103.418 68.8367 102.608 68.0264 101.608 68.0264C100.608 68.0264 99.7981 68.8367 99.7981 69.8364C99.7981 70.836 100.608 71.6464 101.608 71.6464Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 69.8422C119.758 70.2002 119.865 70.55 120.064 70.8476C120.263 71.1451 120.545 71.3769 120.876 71.5138C121.207 71.6506 121.571 71.6863 121.922 71.6163C122.273 71.5464 122.595 71.3739 122.848 71.1208C123.101 70.8676 123.274 70.5451 123.343 70.194C123.413 69.8429 123.377 69.479 123.24 69.1484C123.103 68.8177 122.871 68.5351 122.574 68.3362C122.276 68.1374 121.926 68.0313 121.568 68.0313C121.33 68.0312 121.095 68.0781 120.875 68.1691C120.656 68.2601 120.456 68.3936 120.288 68.5617C120.12 68.7299 119.986 68.9296 119.896 69.1493C119.805 69.369 119.758 69.6045 119.758 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 69.8422C139.717 70.2004 139.823 70.5506 140.022 70.8484C140.221 71.1462 140.504 71.3783 140.835 71.5154C141.166 71.6525 141.53 71.6883 141.881 71.6185C142.233 71.5486 142.555 71.3761 142.809 71.1228C143.062 70.8695 143.234 70.5469 143.304 70.1956C143.374 69.8443 143.338 69.4801 143.201 69.1492C143.064 68.8183 142.832 68.5355 142.534 68.3365C142.236 68.1375 141.886 68.0313 141.528 68.0312C141.048 68.0312 140.587 68.222 140.247 68.5617C139.908 68.9013 139.717 69.3619 139.717 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 69.8422C159.678 70.2002 159.784 70.55 159.984 70.8476C160.183 71.1451 160.465 71.3769 160.796 71.5138C161.127 71.6506 161.491 71.6863 161.842 71.6163C162.193 71.5464 162.515 71.3739 162.768 71.1208C163.021 70.8676 163.194 70.5451 163.263 70.194C163.333 69.8429 163.297 69.479 163.16 69.1484C163.023 68.8177 162.791 68.5351 162.493 68.3362C162.196 68.1374 161.846 68.0313 161.488 68.0313C161.25 68.0312 161.015 68.0781 160.795 68.1691C160.575 68.2601 160.376 68.3936 160.208 68.5617C160.04 68.7299 159.906 68.9296 159.815 69.1493C159.725 69.369 159.678 69.6045 159.678 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 69.8422C179.636 70.2004 179.742 70.5506 179.941 70.8484C180.14 71.1462 180.423 71.3783 180.754 71.5154C181.085 71.6525 181.449 71.6883 181.8 71.6185C182.152 71.5486 182.474 71.3761 182.728 71.1228C182.981 70.8695 183.153 70.5469 183.223 70.1956C183.293 69.8443 183.257 69.4801 183.12 69.1492C182.983 68.8183 182.751 68.5355 182.453 68.3365C182.155 68.1375 181.805 68.0312 181.447 68.0312C181.209 68.0312 180.974 68.0781 180.754 68.1691C180.534 68.2601 180.335 68.3935 180.166 68.5617C179.998 68.7298 179.865 68.9295 179.774 69.1492C179.683 69.3689 179.636 69.6044 179.636 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 69.8422C199.596 70.2005 199.702 70.5506 199.901 70.8485C200.1 71.1463 200.383 71.3784 200.714 71.5155C201.045 71.6525 201.409 71.6883 201.761 71.6184C202.112 71.5484 202.435 71.3758 202.688 71.1225C202.941 70.8691 203.113 70.5463 203.183 70.1949C203.253 69.8436 203.217 69.4794 203.08 69.1485C202.943 68.8176 202.71 68.5348 202.412 68.336C202.114 68.1371 201.764 68.0311 201.406 68.0313C201.168 68.0313 200.933 68.0781 200.713 68.1691C200.493 68.2601 200.294 68.3936 200.126 68.5617C199.958 68.7299 199.824 68.9296 199.733 69.1493C199.643 69.369 199.596 69.6045 199.596 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 69.8422C219.556 70.2002 219.662 70.55 219.861 70.8476C220.06 71.1451 220.343 71.3769 220.674 71.5138C221.005 71.6506 221.369 71.6863 221.72 71.6163C222.071 71.5464 222.393 71.3739 222.646 71.1208C222.899 70.8676 223.071 70.5451 223.141 70.194C223.211 69.8429 223.175 69.479 223.038 69.1484C222.901 68.8177 222.669 68.5351 222.371 68.3362C222.074 68.1374 221.724 68.0313 221.366 68.0313C221.128 68.0312 220.893 68.0781 220.673 68.1691C220.453 68.2601 220.254 68.3936 220.086 68.5617C219.918 68.7299 219.784 68.9296 219.693 69.1493C219.603 69.369 219.556 69.6045 219.556 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 69.8422C239.515 70.2005 239.621 70.5506 239.82 70.8485C240.019 71.1463 240.302 71.3784 240.633 71.5155C240.964 71.6525 241.328 71.6883 241.68 71.6184C242.031 71.5484 242.354 71.3758 242.607 71.1225C242.86 70.8691 243.033 70.5463 243.102 70.1949C243.172 69.8436 243.136 69.4794 242.999 69.1485C242.862 68.8176 242.629 68.5348 242.332 68.336C242.034 68.1371 241.683 68.0311 241.325 68.0313C240.845 68.0315 240.385 68.2224 240.045 68.562C239.706 68.9016 239.515 69.3621 239.515 69.8422Z\" fill=\"#FECBF8\"></path><path d=\"M2.76059e-07 86.8422C-0.000197498 87.2005 0.105875 87.5508 0.304795 87.8487C0.503714 88.1467 0.786543 88.379 1.1175 88.5162C1.44846 88.6534 1.81267 88.6893 2.16406 88.6195C2.51546 88.5496 2.83824 88.3771 3.09157 88.1238C3.3449 87.8705 3.5174 87.5477 3.58725 87.1963C3.6571 86.8449 3.62115 86.4807 3.48396 86.1497C3.34676 85.8188 3.11448 85.5359 2.81651 85.337C2.51854 85.1381 2.16827 85.032 1.81001 85.0322C1.33004 85.0325 0.869817 85.2233 0.530434 85.5627C0.191051 85.902 0.000265228 86.3623 2.76059e-07 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M19.96 86.8422C19.96 87.2002 20.0661 87.5502 20.265 87.8478C20.4639 88.1455 20.7466 88.3775 21.0773 88.5145C21.408 88.6514 21.772 88.6873 22.1231 88.6174C22.4742 88.5476 22.7967 88.3752 23.0498 88.1221C23.303 87.869 23.4753 87.5464 23.5452 87.1953C23.615 86.8442 23.5792 86.4803 23.4422 86.1496C23.3052 85.8188 23.0732 85.5362 22.7755 85.3373C22.4779 85.1384 22.128 85.0322 21.77 85.0322C21.2899 85.0322 20.8295 85.2229 20.4901 85.5624C20.1507 85.9018 19.96 86.3622 19.96 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M39.9189 86.8422C39.9187 87.2004 40.0248 87.5507 40.2237 87.8486C40.4225 88.1466 40.7053 88.3789 41.0362 88.5161C41.3671 88.6533 41.7313 88.6893 42.0826 88.6196C42.434 88.5498 42.7568 88.3774 43.0102 88.1242C43.2635 87.8709 43.4361 87.5482 43.5061 87.1969C43.576 86.8456 43.5402 86.4814 43.4032 86.1504C43.2661 85.8194 43.034 85.5365 42.7362 85.3375C42.4384 85.1385 42.0882 85.0322 41.73 85.0322C41.2498 85.0322 40.7893 85.2229 40.4497 85.5623C40.1101 85.9017 39.9192 86.3621 39.9189 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M59.8779 86.8422C59.8777 87.2005 59.9838 87.5508 60.1827 87.8487C60.3816 88.1467 60.6645 88.379 60.9954 88.5162C61.3264 88.6534 61.6906 88.6893 62.042 88.6195C62.3934 88.5496 62.7162 88.3771 62.9695 88.1238C63.2228 87.8705 63.3953 87.5477 63.4652 87.1963C63.535 86.8449 63.4991 86.4807 63.3619 86.1497C63.2247 85.8188 62.9924 85.5359 62.6944 85.337C62.3965 85.1381 62.0462 85.032 61.6879 85.0322C61.2079 85.0322 60.7475 85.2229 60.4081 85.5624C60.0686 85.9018 59.8779 86.3622 59.8779 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M79.8379 86.8422C79.8377 87.2004 79.9437 87.5507 80.1426 87.8486C80.3415 88.1466 80.6243 88.3789 80.9552 88.5161C81.2861 88.6533 81.6502 88.6893 82.0016 88.6196C82.353 88.5498 82.6757 88.3774 82.9291 88.1242C83.1825 87.8709 83.3551 87.5482 83.425 87.1969C83.495 86.8456 83.4592 86.4814 83.3221 86.1504C83.1851 85.8194 82.953 85.5365 82.6551 85.3375C82.3573 85.1385 82.0071 85.0322 81.6489 85.0322C81.1687 85.0322 80.7083 85.2229 80.3687 85.5623C80.0291 85.9017 79.8382 86.3621 79.8379 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M99.7981 86.8422C99.7979 87.2005 99.904 87.5508 100.103 87.8487C100.302 88.1467 100.585 88.379 100.916 88.5162C101.247 88.6534 101.611 88.6893 101.962 88.6195C102.314 88.5496 102.636 88.3771 102.89 88.1238C103.143 87.8705 103.315 87.5477 103.385 87.1963C103.455 86.8449 103.419 86.4807 103.282 86.1497C103.145 85.8188 102.913 85.5359 102.615 85.337C102.317 85.1381 101.966 85.032 101.608 85.0322C101.128 85.0325 100.668 85.2233 100.329 85.5627C99.9892 85.902 99.7984 86.3623 99.7981 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M119.758 86.8422C119.758 87.2002 119.864 87.5502 120.063 87.8478C120.262 88.1455 120.545 88.3775 120.875 88.5145C121.206 88.6514 121.57 88.6873 121.921 88.6174C122.272 88.5476 122.595 88.3752 122.848 88.1221C123.101 87.869 123.273 87.5464 123.343 87.1953C123.413 86.8442 123.377 86.4803 123.24 86.1496C123.103 85.8188 122.871 85.5362 122.574 85.3373C122.276 85.1384 121.926 85.0322 121.568 85.0322C121.088 85.0322 120.628 85.2229 120.288 85.5624C119.949 85.9018 119.758 86.3622 119.758 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M139.717 86.8422C139.717 87.2004 139.823 87.5507 140.022 87.8486C140.221 88.1466 140.503 88.3789 140.834 88.5161C141.165 88.6533 141.529 88.6893 141.881 88.6196C142.232 88.5498 142.555 88.3774 142.808 88.1242C143.062 87.8709 143.234 87.5482 143.304 87.1969C143.374 86.8456 143.338 86.4814 143.201 86.1504C143.064 85.8194 142.832 85.5365 142.534 85.3375C142.236 85.1385 141.886 85.0322 141.528 85.0322C141.048 85.0322 140.587 85.2229 140.248 85.5623C139.908 85.9017 139.717 86.3621 139.717 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M159.678 86.8422C159.678 87.2002 159.784 87.5502 159.983 87.8478C160.182 88.1455 160.465 88.3775 160.795 88.5145C161.126 88.6514 161.49 88.6873 161.841 88.6174C162.192 88.5476 162.515 88.3752 162.768 88.1221C163.021 87.869 163.193 87.5464 163.263 87.1953C163.333 86.8442 163.297 86.4803 163.16 86.1496C163.023 85.8188 162.791 85.5362 162.494 85.3373C162.196 85.1384 161.846 85.0322 161.488 85.0322C161.008 85.0322 160.548 85.2229 160.208 85.5624C159.869 85.9018 159.678 86.3622 159.678 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M179.636 86.8422C179.636 87.2004 179.742 87.5507 179.941 87.8486C180.14 88.1466 180.422 88.3789 180.753 88.5161C181.084 88.6533 181.448 88.6893 181.8 88.6196C182.151 88.5498 182.474 88.3774 182.727 88.1242C182.981 87.8709 183.153 87.5482 183.223 87.1969C183.293 86.8456 183.257 86.4814 183.12 86.1504C182.983 85.8194 182.751 85.5365 182.453 85.3375C182.155 85.1385 181.805 85.0322 181.447 85.0322C180.967 85.0322 180.506 85.2229 180.167 85.5623C179.827 85.9017 179.636 86.3621 179.636 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M199.596 86.8422C199.596 87.2005 199.702 87.5508 199.901 87.8487C200.1 88.1467 200.382 88.379 200.713 88.5162C201.044 88.6534 201.409 88.6893 201.76 88.6195C202.111 88.5496 202.434 88.3771 202.688 88.1238C202.941 87.8705 203.113 87.5477 203.183 87.1963C203.253 86.8449 203.217 86.4807 203.08 86.1497C202.943 85.8188 202.71 85.5359 202.412 85.337C202.115 85.1381 201.764 85.032 201.406 85.0322C200.926 85.0322 200.466 85.2229 200.126 85.5624C199.787 85.9018 199.596 86.3622 199.596 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M219.556 86.8422C219.556 87.2002 219.662 87.5502 219.861 87.8478C220.06 88.1455 220.343 88.3775 220.673 88.5145C221.004 88.6514 221.368 88.6873 221.719 88.6174C222.07 88.5476 222.393 88.3752 222.646 88.1221C222.899 87.869 223.071 87.5464 223.141 87.1953C223.211 86.8442 223.175 86.4803 223.038 86.1496C222.901 85.8188 222.669 85.5362 222.371 85.3373C222.074 85.1384 221.724 85.0322 221.366 85.0322C220.886 85.0322 220.426 85.2229 220.086 85.5624C219.747 85.9018 219.556 86.3622 219.556 86.8422Z\" fill=\"#FECBF8\"></path><path d=\"M239.515 86.8422C239.515 87.2005 239.621 87.5508 239.82 87.8487C240.019 88.1467 240.302 88.379 240.633 88.5162C240.964 88.6534 241.328 88.6893 241.679 88.6195C242.031 88.5496 242.353 88.3771 242.607 88.1238C242.86 87.8705 243.033 87.5477 243.102 87.1963C243.172 86.8449 243.136 86.4807 242.999 86.1497C242.862 85.8188 242.63 85.5359 242.332 85.337C242.034 85.1381 241.683 85.032 241.325 85.0322C240.845 85.0325 240.385 85.2233 240.046 85.5627C239.706 85.902 239.515 86.3623 239.515 86.8422Z\" fill=\"#FECBF8\"></path></g><defs><clipPath id=\"clip0_80_5\"><rect width=\"243.136\" height=\"88.654\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("56937", "4598", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"1758\" height=\"578\" viewBox=\"0 0 1758 578\"><defs><radialGradient id=\"a\" cx=\"0.5\" cy=\"0.5\" r=\"0.58\" gradientTransform=\"translate(0.023 1.022) rotate(-92.529)\" gradientUnits=\"objectBoundingBox\"><stop offset=\"0\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.256\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.507\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.719\" stop-color=\"#fff\" stop-opacity=\"0.153\"></stop><stop offset=\"1\" stop-color=\"#fff\"></stop></radialGradient></defs><g transform=\"translate(163 -4052.145)\"><circle cx=\"127\" cy=\"127\" r=\"127\" transform=\"translate(-163 4376.145)\" opacity=\"0.157\" fill=\"url(#a)\"></circle><circle cx=\"127\" cy=\"127\" r=\"127\" transform=\"translate(1341 4052.145)\" opacity=\"0.157\" fill=\"url(#a)\"></circle></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56938", "4527", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"m16.293 22.707-10-10a1 1 0 0 1 0-1.414l10-10a1 1 0 0 1 1.414 1.414L8.414 12l9.293 9.293a1 1 0 0 1-1.414 1.414z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56939", "4349", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 36 36\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M29.2 8.4V7.33A5.33 5.33 0 0 0 23.87 2H11.5a5.35 5.35 0 0 0-3.9 1.69L5 6.44a5.32 5.32 0 0 0-1.4 3.64v18.59A5.33 5.33 0 0 0 8.93 34h14.94a5.34 5.34 0 0 0 5.33-5.33V28l2.26-2.26a3.18 3.18 0 0 0 .94-2.26V11.6a3.2 3.2 0 0 0-3.2-3.2zm1.07 3.2v2.13H26V11.6a1.07 1.07 0 0 1 1.07-1.07h2.13a1.07 1.07 0 0 1 1.07 1.07zm-6.4 20.27H8.93a3.2 3.2 0 0 1-3.2-3.2V10.08a3.19 3.19 0 0 1 .86-2.18l2.57-2.75a3.21 3.21 0 0 1 2.34-1h12.37a3.2 3.2 0 0 1 3.2 3.2V8.4a3.2 3.2 0 0 0-3.2 3.2v11.92a3.18 3.18 0 0 0 .94 2.26L27.07 28v.63a3.2 3.2 0 0 1-3.2 3.24zm6.13-7.6-1.82 1.82-1.82-1.82a1.08 1.08 0 0 1-.31-.75v-7.65h4.27v7.65a1.08 1.08 0 0 1-.32.75z\" fill=\"\" data-original=\"#000000\"></path>    <path d=\"M8.93 10.53h6.4v2.13h-6.4zM8.93 15.87h11.73V18H8.93zM8.93 20.13h11.73v2.13H8.93zM8.93 24.4h11.73v2.13H8.93z\" fill=\"\" data-original=\"#000000\"></path>  </g></svg>");
INSERT INTO `wp_postmeta` VALUES("56940", "3676", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"41\" height=\"37\" viewBox=\"0 0 41 37\" fill=\"none\"><g clip-path=\"url(#clip0_78_3)\"><path d=\"M21.288 26.925C21.234 26.216 21.281 25.499 21.281 24.787C21.512 18.833 22.635 13.117 25.943 7.979C27.7358 5.3413 30.0649 3.11143 32.778 1.435C33.151 1.189 33.602 0.671 34.042 1.083C34.482 1.495 33.993 1.976 33.771 2.361C31.499 6.07755 29.7363 10.0823 28.53 14.268C27.965 16.438 27.956 16.436 30.203 16.378C31.48 16.2829 32.7631 16.4452 33.9762 16.8552C35.1893 17.2653 36.3077 17.9147 37.2651 18.7651C38.2225 19.6154 38.9994 20.6494 39.5498 21.8056C40.1001 22.9618 40.4127 24.2167 40.469 25.496C40.894 30.476 36.88 35.078 31.569 35.696C31.2807 35.7309 30.9905 35.749 30.7 35.75C28.3396 35.6338 26.0972 34.6826 24.3732 33.0661C22.6492 31.4496 21.5558 29.2731 21.288 26.925ZM7.02003 35.191C5.21497 34.6043 3.62914 33.4862 2.47022 31.9831C1.3113 30.48 0.633309 28.6619 0.525034 26.767C0.277034 18.941 1.82903 11.621 7.09303 5.45C8.82623 3.51693 10.9039 1.92315 13.22 0.75C13.49 1.862 12.864 2.45 12.52 3.094C10.4064 6.76229 8.73955 10.6704 7.55503 14.735C7.17903 16.21 7.43603 16.581 9.01003 16.422C10.9385 16.1275 12.9103 16.4726 14.624 17.4046C16.3378 18.3366 17.6992 19.8042 18.5 21.583C19.4196 23.2414 19.8102 25.1414 19.6195 27.0281C19.4288 28.9148 18.6659 30.6981 17.433 32.139C16.565 33.2531 15.4519 34.1521 14.1802 34.7664C12.9085 35.3807 11.5123 35.6936 10.1 35.681C9.05413 35.6788 8.01497 35.5135 7.02003 35.191Z\" fill=\"#5E71FF\"></path></g><defs><clipPath id=\"clip0_78_3\"><rect width=\"41\" height=\"36.249\" fill=\"white\"></rect></clipPath></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("56941", "2672", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"160\" height=\"31\" viewBox=\"0 0 160 31\" fill=\"none\"><path d=\"M5.42 30.124C5.156 30.184 4.898 30.214 4.646 30.214C4.196 30.214 3.806 30.112 3.476 29.908C3.146 29.71 2.891 29.425 2.711 29.053C2.537 28.687 2.45 28.255 2.45 27.757C2.45 27.193 2.564 26.59 2.792 25.948L3.44 26.209C3.236 26.797 3.134 27.322 3.134 27.784C3.134 28.312 3.263 28.723 3.521 29.017C3.785 29.311 4.154 29.458 4.628 29.458C4.82 29.458 5.033 29.431 5.267 29.377C5.789 29.257 6.203 29.119 6.509 28.963C6.821 28.807 6.977 28.669 6.977 28.549C6.977 28.483 6.923 28.426 6.815 28.378C6.713 28.336 6.5 28.264 6.176 28.162L5.861 28.072C5.471 27.946 5.177 27.799 4.979 27.631C4.787 27.463 4.691 27.22 4.691 26.902C4.691 26.722 4.727 26.512 4.799 26.272C4.871 26.026 4.991 25.78 5.159 25.534C5.327 25.288 5.54 25.081 5.798 24.913C6.056 24.739 6.347 24.652 6.671 24.652C6.833 24.652 6.995 24.673 7.157 24.715L7.742 24.877L7.571 25.615L6.986 25.453C6.89 25.423 6.779 25.408 6.653 25.408C6.407 25.408 6.197 25.477 6.023 25.615C5.855 25.753 5.723 25.906 5.627 26.074C5.537 26.242 5.48 26.377 5.456 26.479C5.42 26.605 5.402 26.71 5.402 26.794C5.402 26.956 5.459 27.073 5.573 27.145C5.687 27.217 5.888 27.295 6.176 27.379C6.59 27.505 6.881 27.601 7.049 27.667C7.223 27.727 7.361 27.811 7.463 27.919C7.565 28.021 7.631 28.165 7.661 28.351C7.667 28.381 7.67 28.429 7.67 28.495C7.67 28.849 7.472 29.167 7.076 29.449C6.68 29.737 6.128 29.962 5.42 30.124ZM8.22266 29.575L8.60066 29.467C8.95466 29.371 9.22766 29.281 9.41966 29.197C9.61766 29.119 9.77966 29.005 9.90566 28.855C10.0317 28.711 10.0947 28.513 10.0947 28.261C10.0947 28.213 10.0887 28.135 10.0767 28.027L9.71666 25.444L10.3917 25.336L10.6527 27.253L10.7517 27.937C10.7697 28.075 10.7787 28.201 10.7787 28.315C10.7787 28.681 10.6947 28.984 10.5267 29.224C10.3587 29.47 10.1307 29.665 9.84266 29.809C9.56066 29.953 9.20366 30.085 8.77166 30.205L8.40266 30.313L8.22266 29.575ZM8.71766 23.59H9.56366L9.57266 24.445H8.70866L8.71766 23.59ZM9.55466 22.465H10.3377V23.203H9.55466V22.465ZM10.3107 23.59H11.1567L11.1657 24.445H10.3107V23.59ZM12.145 29.566C12.865 29.416 13.378 29.296 13.684 29.206C13.99 29.122 14.215 29.008 14.359 28.864C14.503 28.726 14.575 28.525 14.575 28.261C14.575 28.213 14.569 28.135 14.557 28.027V28H13.378C12.916 28 12.547 27.859 12.271 27.577C12.001 27.295 11.866 26.911 11.866 26.425C11.866 26.119 11.932 25.831 12.064 25.561C12.196 25.291 12.379 25.075 12.613 24.913C12.853 24.745 13.129 24.661 13.441 24.661C13.879 24.661 14.245 24.832 14.539 25.174C14.839 25.51 15.022 25.954 15.088 26.506L15.169 27.244H15.718L15.763 27.622L15.718 28H15.7H15.25C15.256 28.066 15.259 28.162 15.259 28.288C15.259 28.714 15.157 29.047 14.953 29.287C14.749 29.527 14.446 29.716 14.044 29.854C13.642 29.998 13.054 30.151 12.28 30.313L12.145 29.566ZM12.559 26.416C12.559 26.968 12.832 27.244 13.378 27.244H14.476L14.404 26.587C14.362 26.221 14.257 25.936 14.089 25.732C13.921 25.522 13.705 25.417 13.441 25.417C13.165 25.417 12.949 25.516 12.793 25.714C12.637 25.906 12.559 26.14 12.559 26.416ZM15.6308 27.244H18.4208L18.4658 27.622L18.4208 28H15.6308V27.244ZM18.329 27.244H18.536C18.86 27.244 19.079 27.172 19.193 27.028C19.307 26.884 19.358 26.716 19.346 26.524L19.175 22.078L19.859 22.042L20.03 26.488C20.042 26.74 19.997 26.983 19.895 27.217C19.793 27.445 19.628 27.634 19.4 27.784C19.172 27.928 18.884 28 18.536 28H18.329V27.244ZM21.3384 29.566C22.0584 29.416 22.5714 29.296 22.8774 29.206C23.1834 29.122 23.4084 29.008 23.5524 28.864C23.6964 28.726 23.7684 28.525 23.7684 28.261C23.7684 28.213 23.7624 28.135 23.7504 28.027V28H22.5714C22.1094 28 21.7404 27.859 21.4644 27.577C21.1944 27.295 21.0594 26.911 21.0594 26.425C21.0594 26.119 21.1254 25.831 21.2574 25.561C21.3894 25.291 21.5724 25.075 21.8064 24.913C22.0464 24.745 22.3224 24.661 22.6344 24.661C23.0724 24.661 23.4384 24.832 23.7324 25.174C24.0324 25.51 24.2154 25.954 24.2814 26.506L24.3624 27.244H24.9114L24.9564 27.622L24.9114 28H24.8934H24.4434C24.4494 28.066 24.4524 28.162 24.4524 28.288C24.4524 28.714 24.3504 29.047 24.1464 29.287C23.9424 29.527 23.6394 29.716 23.2374 29.854C22.8354 29.998 22.2474 30.151 21.4734 30.313L21.3384 29.566ZM21.7524 26.416C21.7524 26.968 22.0254 27.244 22.5714 27.244H23.6694L23.5974 26.587C23.5554 26.221 23.4504 25.936 23.2824 25.732C23.1144 25.522 22.8984 25.417 22.6344 25.417C22.3584 25.417 22.1424 25.516 21.9864 25.714C21.8304 25.906 21.7524 26.14 21.7524 26.416ZM24.8241 27.244H25.3911C25.9671 27.244 26.2371 27.019 26.2011 26.569V26.542L26.1021 25.435L26.7861 25.372L26.8851 26.479V26.497C26.9091 26.767 26.9811 26.959 27.1011 27.073C27.2211 27.187 27.4191 27.244 27.6951 27.244L27.7401 27.622L27.6951 28C27.1911 28 26.8131 27.853 26.5611 27.559C26.2851 27.853 25.8951 28 25.3911 28H24.8241V27.244ZM25.5801 23.536H26.4801V24.436H25.5801V23.536ZM32.0925 28C31.8225 28 31.5705 27.937 31.3365 27.811C31.1085 27.685 30.8865 27.493 30.6705 27.235C30.6045 27.391 30.5145 27.52 30.4005 27.622C30.1665 27.874 29.8515 28 29.4555 28H27.6015V27.244H29.4645C29.6085 27.244 29.7255 27.208 29.8155 27.136C29.8935 27.082 29.9535 27.013 29.9955 26.929C30.0435 26.845 30.0675 26.758 30.0675 26.668C30.0675 26.56 30.0345 26.449 29.9685 26.335L27.9615 23.5L28.1145 22.924L31.3725 21.727L31.6065 22.438L28.8165 23.464L30.4815 25.876L30.5625 26.011C30.8685 26.479 31.1325 26.803 31.3545 26.983C31.5765 27.157 31.8225 27.244 32.0925 27.244H32.2185L32.2635 27.622L32.2185 28H32.0925ZM32.1279 27.244H33.4419C34.0899 27.244 34.4139 27.001 34.4139 26.515C34.4139 26.383 34.3929 26.242 34.3509 26.092L33.9999 24.751L34.6569 24.562L35.0259 25.939C35.0799 26.155 35.1069 26.35 35.1069 26.524C35.1069 26.992 34.9449 27.355 34.6209 27.613C34.3029 27.871 33.9099 28 33.4419 28H32.1279V27.244ZM32.5509 22.915H33.3519V23.716H32.5509V22.915ZM34.1439 22.915H34.9449V23.716H34.1439V22.915ZM41.2882 30.124C41.0242 30.184 40.7662 30.214 40.5142 30.214C40.0642 30.214 39.6742 30.112 39.3442 29.908C39.0142 29.71 38.7592 29.425 38.5792 29.053C38.4052 28.687 38.3182 28.255 38.3182 27.757C38.3182 27.193 38.4322 26.59 38.6602 25.948L39.3082 26.209C39.1042 26.797 39.0022 27.322 39.0022 27.784C39.0022 28.312 39.1312 28.723 39.3892 29.017C39.6532 29.311 40.0222 29.458 40.4962 29.458C40.6882 29.458 40.9012 29.431 41.1352 29.377C41.6572 29.257 42.0712 29.119 42.3772 28.963C42.6892 28.807 42.8452 28.669 42.8452 28.549C42.8452 28.483 42.7912 28.426 42.6832 28.378C42.5812 28.336 42.3682 28.264 42.0442 28.162L41.7292 28.072C41.3392 27.946 41.0452 27.799 40.8472 27.631C40.6552 27.463 40.5592 27.22 40.5592 26.902C40.5592 26.722 40.5952 26.512 40.6672 26.272C40.7392 26.026 40.8592 25.78 41.0272 25.534C41.1952 25.288 41.4082 25.081 41.6662 24.913C41.9242 24.739 42.2152 24.652 42.5392 24.652C42.7012 24.652 42.8632 24.673 43.0252 24.715L43.6102 24.877L43.4392 25.615L42.8542 25.453C42.7582 25.423 42.6472 25.408 42.5212 25.408C42.2752 25.408 42.0652 25.477 41.8912 25.615C41.7232 25.753 41.5912 25.906 41.4952 26.074C41.4052 26.242 41.3482 26.377 41.3242 26.479C41.2882 26.605 41.2702 26.71 41.2702 26.794C41.2702 26.956 41.3272 27.073 41.4412 27.145C41.5552 27.217 41.7562 27.295 42.0442 27.379C42.4582 27.505 42.7492 27.601 42.9172 27.667C43.0912 27.727 43.2292 27.811 43.3312 27.919C43.4332 28.021 43.4992 28.165 43.5292 28.351C43.5352 28.381 43.5382 28.429 43.5382 28.495C43.5382 28.849 43.3402 29.167 42.9442 29.449C42.5482 29.737 41.9962 29.962 41.2882 30.124ZM46.1416 28.009C45.8596 28.009 45.5986 27.94 45.3586 27.802C45.1246 27.658 44.9386 27.466 44.8006 27.226C44.6626 26.98 44.5936 26.716 44.5936 26.434C44.5936 26.188 44.6536 25.939 44.7736 25.687C44.8996 25.435 45.0706 25.201 45.2866 24.985L45.6556 24.625L45.3496 24.328L45.8266 23.779L46.8616 24.787C47.1556 25.075 47.3656 25.345 47.4916 25.597C47.6176 25.849 47.6806 26.128 47.6806 26.434C47.6806 26.716 47.6116 26.98 47.4736 27.226C47.3356 27.466 47.1466 27.658 46.9066 27.802C46.6726 27.94 46.4176 28.009 46.1416 28.009ZM45.2596 26.434C45.2596 26.662 45.3436 26.86 45.5116 27.028C45.6856 27.19 45.8956 27.271 46.1416 27.271C46.3876 27.271 46.5946 27.19 46.7626 27.028C46.9306 26.866 47.0146 26.668 47.0146 26.434C47.0146 26.26 46.9726 26.095 46.8886 25.939C46.8106 25.783 46.6486 25.585 46.4026 25.345L46.1506 25.102L45.7906 25.453C45.6046 25.639 45.4696 25.81 45.3856 25.966C45.3016 26.122 45.2596 26.278 45.2596 26.434ZM47.501 29.575L47.879 29.467C48.233 29.371 48.506 29.281 48.698 29.197C48.896 29.119 49.058 29.005 49.184 28.855C49.31 28.711 49.373 28.513 49.373 28.261C49.373 28.213 49.367 28.135 49.355 28.027L48.995 25.444L49.67 25.336L49.931 27.253L50.03 27.937C50.048 28.075 50.057 28.201 50.057 28.315C50.057 28.681 49.973 28.984 49.805 29.224C49.637 29.47 49.409 29.665 49.121 29.809C48.839 29.953 48.482 30.085 48.05 30.205L47.681 30.313L47.501 29.575ZM48.761 23.419H49.67V24.328H48.761V23.419ZM51.3618 29.566C52.0818 29.416 52.5948 29.296 52.9008 29.206C53.2068 29.122 53.4318 29.008 53.5758 28.864C53.7198 28.726 53.7918 28.525 53.7918 28.261C53.7918 28.213 53.7858 28.135 53.7738 28.027V28H52.5948C52.1328 28 51.7638 27.859 51.4878 27.577C51.2178 27.295 51.0828 26.911 51.0828 26.425C51.0828 26.119 51.1488 25.831 51.2808 25.561C51.4128 25.291 51.5958 25.075 51.8298 24.913C52.0698 24.745 52.3458 24.661 52.6578 24.661C53.0958 24.661 53.4618 24.832 53.7558 25.174C54.0558 25.51 54.2388 25.954 54.3048 26.506L54.3858 27.244H54.9348L54.9798 27.622L54.9348 28H54.9168H54.4668C54.4728 28.066 54.4758 28.162 54.4758 28.288C54.4758 28.714 54.3738 29.047 54.1698 29.287C53.9658 29.527 53.6628 29.716 53.2608 29.854C52.8588 29.998 52.2708 30.151 51.4968 30.313L51.3618 29.566ZM51.7758 26.416C51.7758 26.968 52.0488 27.244 52.5948 27.244H53.6928L53.6208 26.587C53.5788 26.221 53.4738 25.936 53.3058 25.732C53.1378 25.522 52.9218 25.417 52.6578 25.417C52.3818 25.417 52.1658 25.516 52.0098 25.714C51.8538 25.906 51.7758 26.14 51.7758 26.416ZM54.8476 27.244H54.9736C55.5076 27.244 55.9546 27.232 56.3146 27.208C56.6746 27.178 57.0436 27.109 57.4216 27.001L59.5366 26.434L57.7096 25.39C57.5296 25.282 57.3436 25.228 57.1516 25.228C56.9656 25.228 56.7886 25.282 56.6206 25.39C56.4526 25.492 56.3176 25.636 56.2156 25.822L56.0536 26.101L55.4596 25.732L55.6306 25.426C55.7986 25.12 56.0146 24.883 56.2786 24.715C56.5486 24.547 56.8366 24.463 57.1426 24.463C57.4546 24.463 57.7546 24.55 58.0426 24.724L60.3376 26.11L60.2296 26.992L57.5926 27.739C57.1726 27.853 56.7676 27.925 56.3776 27.955C55.9876 27.985 55.5166 28 54.9646 28H54.8476V27.244ZM67.1426 28C66.4646 28 65.9546 27.994 65.6126 27.982C65.2766 27.964 65.0246 27.94 64.8566 27.91C64.6946 27.874 64.5386 27.823 64.3886 27.757C64.1126 27.637 63.9026 27.463 63.7586 27.235C63.6206 27.007 63.5516 26.74 63.5516 26.434C63.5516 26.248 63.5786 26.053 63.6326 25.849L63.9656 24.58L64.6226 24.778L64.2896 26.074C64.2536 26.218 64.2356 26.344 64.2356 26.452C64.2356 26.596 64.2686 26.719 64.3346 26.821C64.4066 26.917 64.5146 26.998 64.6586 27.064C64.7606 27.112 64.8776 27.148 65.0096 27.172C65.1476 27.196 65.3846 27.214 65.7206 27.226C66.0566 27.238 66.5606 27.244 67.2326 27.244H67.2416C67.9016 27.244 68.3996 27.238 68.7356 27.226C69.0716 27.208 69.3026 27.187 69.4286 27.163C69.5546 27.139 69.6716 27.106 69.7796 27.064C69.9296 26.998 70.0406 26.914 70.1126 26.812C70.1846 26.71 70.2206 26.581 70.2206 26.425C70.2206 26.293 70.1996 26.152 70.1576 26.002L69.8156 24.751L70.4726 24.562L70.8146 25.813C70.8746 26.029 70.9046 26.242 70.9046 26.452C70.9046 26.758 70.8326 27.025 70.6886 27.253C70.5506 27.475 70.3436 27.643 70.0676 27.757C69.9176 27.823 69.7556 27.874 69.5816 27.91C69.4136 27.94 69.1526 27.964 68.7986 27.982C68.4506 27.994 67.9316 28 67.2416 28H67.2326H67.1426ZM66.0266 24.103H66.8276V24.904H66.0266V24.103ZM67.6196 24.103H68.4206V24.904H67.6196V24.103ZM73.7485 28C73.3585 28 73.0525 27.943 72.8305 27.829C72.6085 27.715 72.4465 27.532 72.3445 27.28C72.2425 27.022 72.1825 26.668 72.1645 26.218L72.0025 22.078L72.6865 22.042L72.8485 26.218C72.8605 26.524 72.8875 26.746 72.9295 26.884C72.9775 27.022 73.0615 27.118 73.1815 27.172C73.3015 27.22 73.4905 27.244 73.7485 27.244H73.8385L73.8835 27.622L73.8385 28H73.7485ZM73.7529 27.244H76.5429L76.5879 27.622L76.5429 28H73.7529V27.244ZM76.4511 27.244H76.5501C76.7481 27.244 76.9221 27.199 77.0721 27.109C77.2281 27.019 77.3481 26.893 77.4321 26.731L78.1071 25.435C78.2211 25.213 78.3831 25.042 78.5931 24.922C78.8031 24.796 79.0281 24.733 79.2681 24.733C79.4961 24.733 79.7001 24.784 79.8801 24.886C80.1321 25.018 80.3181 25.198 80.4381 25.426C80.5641 25.648 80.6271 25.906 80.6271 26.2C80.6271 26.59 80.5221 27.01 80.3121 27.46C80.2281 27.634 80.1051 27.775 79.9431 27.883C79.7811 27.991 79.6071 28.045 79.4211 28.045C79.2771 28.045 79.1331 28.009 78.9891 27.937L77.8371 27.343C77.6811 27.553 77.4921 27.715 77.2701 27.829C77.0541 27.943 76.8141 28 76.5501 28H76.4511V27.244ZM79.3851 27.289C79.4451 27.319 79.4991 27.334 79.5471 27.334C79.6071 27.334 79.6581 27.319 79.7001 27.289C79.7421 27.253 79.7721 27.211 79.7901 27.163L79.8711 27.001C79.9731 26.749 80.0241 26.518 80.0241 26.308C80.0241 26.128 79.9881 25.972 79.9161 25.84C79.8501 25.702 79.7481 25.597 79.6101 25.525C79.5021 25.471 79.3941 25.444 79.2861 25.444C79.1481 25.444 79.0191 25.483 78.8991 25.561C78.7791 25.633 78.6861 25.735 78.6201 25.867L78.1971 26.686L79.3851 27.289ZM83.0935 28C82.6495 28 82.2955 27.913 82.0315 27.739C81.7735 27.559 81.6295 27.325 81.5995 27.037C81.5695 26.911 81.5545 26.713 81.5545 26.443H82.1845C82.1845 26.629 82.1965 26.779 82.2205 26.893C82.2445 27.019 82.3165 27.109 82.4365 27.163C82.5625 27.217 82.7455 27.244 82.9855 27.244H83.5345C84.1645 27.244 84.4795 27.055 84.4795 26.677C84.4795 26.635 84.4675 26.56 84.4435 26.452V26.434L83.7685 23.788L84.4345 23.608L85.1095 26.263C85.1695 26.497 85.2235 26.68 85.2715 26.812C85.3255 26.938 85.3975 27.043 85.4875 27.127C85.5775 27.205 85.6975 27.244 85.8475 27.244H86.2885L86.3335 27.622L86.2885 28H85.8475C85.4455 28 85.1215 27.832 84.8755 27.496C84.5875 27.832 84.1105 28 83.4445 28H83.0935ZM86.1982 27.244H86.3242C86.8582 27.244 87.3052 27.232 87.6652 27.208C88.0252 27.178 88.3942 27.109 88.7722 27.001L90.8872 26.434L89.0602 25.39C88.8802 25.282 88.6942 25.228 88.5022 25.228C88.3162 25.228 88.1392 25.282 87.9712 25.39C87.8032 25.492 87.6682 25.636 87.5662 25.822L87.4042 26.101L86.8102 25.732L86.9812 25.426C87.1492 25.12 87.3652 24.883 87.6292 24.715C87.8992 24.547 88.1872 24.463 88.4932 24.463C88.8052 24.463 89.1052 24.55 89.3932 24.724L91.6882 26.11L91.5802 26.992L88.9432 27.739C88.5232 27.853 88.1182 27.925 87.7282 27.955C87.3382 27.985 86.8672 28 86.3152 28H86.1982V27.244ZM87.9622 22.69H88.8712V23.59H87.9622V22.69ZM96.5041 27.334C96.4681 27.34 96.4171 27.343 96.3511 27.343C96.0571 27.343 95.7781 27.244 95.5141 27.046C95.2501 26.842 95.0701 26.596 94.9741 26.308C94.9261 26.146 94.9021 25.993 94.9021 25.849C94.9021 25.531 94.9951 25.237 95.1811 24.967C95.3671 24.697 95.6101 24.511 95.9101 24.409L97.2331 23.968V23.563H97.9171V26.209C97.9171 26.497 98.0191 26.743 98.2231 26.947C98.4331 27.145 98.6881 27.244 98.9881 27.244H99.1591L99.2041 27.622L99.1591 28H98.9881C98.6821 28 98.3971 27.925 98.1331 27.775C97.8751 27.625 97.6651 27.424 97.5031 27.172L96.5041 27.334ZM95.6221 26.038C95.6701 26.206 95.7751 26.347 95.9371 26.461C96.0991 26.569 96.2701 26.608 96.4501 26.578L97.2511 26.443C97.2391 26.335 97.2331 26.257 97.2331 26.209V24.724L96.1261 25.102C95.9581 25.162 95.8261 25.258 95.7301 25.39C95.6341 25.516 95.5861 25.657 95.5861 25.813C95.5861 25.867 95.5981 25.942 95.6221 26.038ZM99.0654 27.244H101.855L101.9 27.622L101.855 28H99.0654V27.244ZM101.764 27.244H102.475C103.129 27.244 103.456 26.998 103.456 26.506C103.456 26.374 103.435 26.236 103.393 26.092L103.033 24.751L103.699 24.562L104.059 25.903C104.113 26.125 104.14 26.329 104.14 26.515C104.14 26.989 103.981 27.355 103.663 27.613C103.345 27.871 102.949 28 102.475 28H101.764V27.244ZM102.664 23.572C102.538 23.446 102.457 23.296 102.421 23.122C102.403 23.05 102.394 22.978 102.394 22.906C102.394 22.666 102.478 22.462 102.646 22.294C102.82 22.126 103.033 22.042 103.285 22.042C103.447 22.042 103.672 22.072 103.96 22.132L103.888 22.519C103.63 22.471 103.426 22.447 103.276 22.447C103.126 22.447 103 22.495 102.898 22.591C102.802 22.681 102.754 22.792 102.754 22.924C102.754 23.068 102.802 23.188 102.898 23.284C103 23.374 103.12 23.419 103.258 23.419C103.288 23.419 103.327 23.413 103.375 23.401L104.284 23.185L104.365 23.581L101.998 24.148L101.917 23.752L102.664 23.572ZM105.315 22.078L105.999 22.042L106.224 27.991L105.549 28.027L105.315 22.078ZM106.405 29.575L106.783 29.467C107.137 29.371 107.41 29.281 107.602 29.197C107.8 29.119 107.962 29.005 108.088 28.855C108.214 28.711 108.277 28.513 108.277 28.261C108.277 28.213 108.271 28.135 108.259 28.027L107.899 25.444L108.574 25.336L108.835 27.253L108.934 27.937C108.952 28.075 108.961 28.201 108.961 28.315C108.961 28.681 108.877 28.984 108.709 29.224C108.541 29.47 108.313 29.665 108.025 29.809C107.743 29.953 107.386 30.085 106.954 30.205L106.585 30.313L106.405 29.575ZM110.026 22.078L110.71 22.042L110.935 27.991L110.26 28.027L110.026 22.078ZM117.296 30.124C117.032 30.184 116.774 30.214 116.522 30.214C116.072 30.214 115.682 30.112 115.352 29.908C115.022 29.71 114.767 29.425 114.587 29.053C114.413 28.687 114.326 28.255 114.326 27.757C114.326 27.193 114.44 26.59 114.668 25.948L115.316 26.209C115.112 26.797 115.01 27.322 115.01 27.784C115.01 28.312 115.139 28.723 115.397 29.017C115.661 29.311 116.03 29.458 116.504 29.458C116.696 29.458 116.909 29.431 117.143 29.377C117.665 29.257 118.079 29.119 118.385 28.963C118.697 28.807 118.853 28.669 118.853 28.549C118.853 28.483 118.799 28.426 118.691 28.378C118.589 28.336 118.376 28.264 118.052 28.162L117.737 28.072C117.347 27.946 117.053 27.799 116.855 27.631C116.663 27.463 116.567 27.22 116.567 26.902C116.567 26.722 116.603 26.512 116.675 26.272C116.747 26.026 116.867 25.78 117.035 25.534C117.203 25.288 117.416 25.081 117.674 24.913C117.932 24.739 118.223 24.652 118.547 24.652C118.709 24.652 118.871 24.673 119.033 24.715L119.618 24.877L119.447 25.615L118.862 25.453C118.766 25.423 118.655 25.408 118.529 25.408C118.283 25.408 118.073 25.477 117.899 25.615C117.731 25.753 117.599 25.906 117.503 26.074C117.413 26.242 117.356 26.377 117.332 26.479C117.296 26.605 117.278 26.71 117.278 26.794C117.278 26.956 117.335 27.073 117.449 27.145C117.563 27.217 117.764 27.295 118.052 27.379C118.466 27.505 118.757 27.601 118.925 27.667C119.099 27.727 119.237 27.811 119.339 27.919C119.441 28.021 119.507 28.165 119.537 28.351C119.543 28.381 119.546 28.429 119.546 28.495C119.546 28.849 119.348 29.167 118.952 29.449C118.556 29.737 118.004 29.962 117.296 30.124ZM120.88 22.078L121.564 22.042L121.789 27.991L121.114 28.027L120.88 22.078ZM124.95 28C124.776 28 124.626 27.982 124.5 27.946C124.518 28.084 124.527 28.21 124.527 28.324C124.527 28.69 124.443 28.993 124.275 29.233C124.107 29.473 123.879 29.665 123.591 29.809C123.309 29.953 122.952 30.085 122.52 30.205L122.151 30.313L121.971 29.575L122.349 29.467C122.703 29.371 122.976 29.281 123.168 29.197C123.366 29.119 123.528 29.005 123.654 28.855C123.78 28.711 123.843 28.513 123.843 28.261C123.843 28.213 123.837 28.135 123.825 28.027L123.465 25.444L124.14 25.336L124.185 25.66C124.197 25.756 124.209 25.825 124.221 25.867L124.311 26.443C124.347 26.665 124.386 26.833 124.428 26.947C124.476 27.055 124.539 27.133 124.617 27.181C124.695 27.223 124.806 27.244 124.95 27.244H125.013L125.058 27.622L125.013 28H124.95ZM124.94 27.244H125.651C126.305 27.244 126.632 26.998 126.632 26.506C126.632 26.374 126.611 26.236 126.569 26.092L126.209 24.751L126.875 24.562L127.235 25.903C127.289 26.125 127.316 26.329 127.316 26.515C127.316 26.989 127.157 27.355 126.839 27.613C126.521 27.871 126.125 28 125.651 28H124.94V27.244ZM125.57 28.819H126.47V29.728H125.57V28.819Z\" fill=\"white\" fill-opacity=\"0.701961\"></path><path d=\"M5.2785 16.186C4.8375 16.285 4.437 16.3345 4.077 16.3345C3.375 16.3345 2.7675 16.177 2.2545 15.862C1.7505 15.547 1.359 15.1015 1.08 14.5255C0.81 13.9495 0.675 13.279 0.675 12.514C0.675 11.65 0.846 10.732 1.188 9.76L2.376 10.2325C2.079 11.1055 1.9305 11.8705 1.9305 12.5275C1.9305 13.2925 2.115 13.882 2.484 14.296C2.862 14.719 3.393 14.9305 4.077 14.9305C4.401 14.9305 4.707 14.8945 4.995 14.8225C5.742 14.6425 6.3405 14.449 6.7905 14.242C7.2495 14.044 7.4745 13.873 7.4655 13.729C7.4565 13.657 7.3755 13.5895 7.2225 13.5265C7.0785 13.4635 6.8085 13.3735 6.4125 13.2565L5.832 13.081C5.229 12.874 4.779 12.64 4.482 12.379C4.185 12.109 4.0365 11.731 4.0365 11.245C4.0365 10.957 4.095 10.624 4.212 10.246C4.338 9.841 4.5315 9.445 4.7925 9.058C5.0625 8.671 5.3955 8.3515 5.7915 8.0995C6.1875 7.8475 6.6285 7.7215 7.1145 7.7215C7.3845 7.7215 7.641 7.7575 7.884 7.8295L8.7615 8.0725L8.4375 9.4225L7.56 9.1795C7.416 9.1345 7.254 9.112 7.074 9.112C6.732 9.112 6.4395 9.211 6.1965 9.409C5.9625 9.607 5.778 9.823 5.643 10.057C5.517 10.282 5.436 10.471 5.4 10.624C5.355 10.804 5.3325 10.939 5.3325 11.029C5.3325 11.245 5.409 11.4025 5.562 11.5015C5.715 11.5915 5.994 11.6995 6.399 11.8255C7.047 12.0145 7.497 12.1585 7.749 12.2575C8.01 12.3475 8.2215 12.478 8.3835 12.649C8.5455 12.82 8.6535 13.0585 8.7075 13.3645C8.7165 13.4185 8.721 13.504 8.721 13.621C8.721 14.197 8.4195 14.7055 7.8165 15.1465C7.2135 15.5965 6.3675 15.943 5.2785 16.186ZM9.53174 15.106L10.1932 14.9305C10.6882 14.7955 11.0707 14.6695 11.3407 14.5525C11.6197 14.4355 11.8402 14.2735 12.0022 14.0665C12.1732 13.8685 12.2587 13.603 12.2587 13.27C12.2587 13.207 12.2497 13.0945 12.2317 12.9325L11.6917 9.0445L12.9337 8.8555L13.3252 11.7175L13.3657 12.001L13.4602 12.7705C13.4872 12.9865 13.5007 13.1845 13.5007 13.3645C13.5007 14.1745 13.2487 14.7955 12.7447 15.2275C12.2497 15.6595 11.5072 16.0105 10.5172 16.2805L9.85574 16.456L9.53174 15.106ZM10.1662 6.1285H11.5837V7.546H10.1527L10.1662 6.1285ZM11.5027 4.3195H12.7852V5.5345H11.5027V4.3195ZM12.6907 6.1285H14.0947L14.1082 7.546H12.6772L12.6907 6.1285ZM15.6407 15.106C16.7927 14.863 17.5892 14.6695 18.0302 14.5255C18.4802 14.3905 18.7907 14.2105 18.9617 13.9855C19.1417 13.7695 19.2137 13.441 19.1777 13H17.5172C16.7882 13 16.2077 12.775 15.7757 12.325C15.3437 11.866 15.1277 11.254 15.1277 10.489C15.1277 10.012 15.2312 9.562 15.4382 9.139C15.6452 8.707 15.9377 8.365 16.3157 8.113C16.6937 7.852 17.1212 7.7215 17.5982 7.7215C18.2912 7.7215 18.8717 7.9915 19.3397 8.5315C19.8077 9.0625 20.0912 9.7555 20.1902 10.6105L20.2982 11.596H21.1082L21.1892 12.298L21.1082 13H21.0677H20.4467L20.4602 13.297C20.4602 13.954 20.3027 14.4715 19.9877 14.8495C19.6817 15.2275 19.2182 15.529 18.5972 15.754C17.9762 15.988 17.0762 16.2265 15.8972 16.4695L15.6407 15.106ZM16.3832 10.489C16.3832 10.858 16.4732 11.137 16.6532 11.326C16.8332 11.506 17.1212 11.596 17.5172 11.596H19.0292L18.9347 10.7725C18.8807 10.2415 18.7367 9.8365 18.5027 9.5575C18.2687 9.2695 17.9672 9.1255 17.5982 9.1255C17.2202 9.1255 16.9232 9.2605 16.7072 9.5305C16.4912 9.8005 16.3832 10.12 16.3832 10.489ZM20.9735 11.596H25.1585L25.2395 12.298L25.1585 13H20.9735V11.596ZM25.0209 11.596H25.3314C26.0874 11.596 26.4564 11.281 26.4384 10.651L26.1819 3.982L27.4239 3.9145L27.6804 10.597C27.6984 11.011 27.6219 11.4025 27.4509 11.7715C27.2889 12.1405 27.0279 12.4375 26.6679 12.6625C26.3079 12.8875 25.8624 13 25.3314 13H25.0209V11.596ZM29.6944 15.106C30.8464 14.863 31.6429 14.6695 32.0839 14.5255C32.5339 14.3905 32.8444 14.2105 33.0154 13.9855C33.1954 13.7695 33.2674 13.441 33.2314 13H31.5709C30.8419 13 30.2614 12.775 29.8294 12.325C29.3974 11.866 29.1814 11.254 29.1814 10.489C29.1814 10.012 29.2849 9.562 29.4919 9.139C29.6989 8.707 29.9914 8.365 30.3694 8.113C30.7474 7.852 31.1749 7.7215 31.6519 7.7215C32.3449 7.7215 32.9254 7.9915 33.3934 8.5315C33.8614 9.0625 34.1449 9.7555 34.2439 10.6105L34.3519 11.596H35.1619L35.2429 12.298L35.1619 13H35.1214H34.5004L34.5139 13.297C34.5139 13.954 34.3564 14.4715 34.0414 14.8495C33.7354 15.2275 33.2719 15.529 32.6509 15.754C32.0299 15.988 31.1299 16.2265 29.9509 16.4695L29.6944 15.106ZM30.4369 10.489C30.4369 10.858 30.5269 11.137 30.7069 11.326C30.8869 11.506 31.1749 11.596 31.5709 11.596H33.0829L32.9884 10.7725C32.9344 10.2415 32.7904 9.8365 32.5564 9.5575C32.3224 9.2695 32.0209 9.1255 31.6519 9.1255C31.2739 9.1255 30.9769 9.2605 30.7609 9.5305C30.5449 9.8005 30.4369 10.12 30.4369 10.489ZM35.0272 11.596H35.8777C36.2917 11.596 36.5842 11.5285 36.7552 11.3935C36.9262 11.2495 37.0027 11.029 36.9847 10.732V10.705L36.8362 9.0445L38.0782 8.923L38.2267 10.5835V10.597C38.2627 10.975 38.3572 11.236 38.5102 11.38C38.6632 11.524 38.9377 11.596 39.3337 11.596L39.4147 12.298L39.3337 13C38.5957 13 38.0287 12.7975 37.6327 12.3925C37.2097 12.7975 36.6247 13 35.8777 13H35.0272V11.596ZM36.1072 6.0475H37.6057V7.546H36.1072V6.0475ZM45.9702 13C45.5742 13 45.2052 12.9145 44.8632 12.7435C44.5212 12.5635 44.1927 12.3025 43.8777 11.9605C43.8057 12.1045 43.7112 12.235 43.5942 12.352C43.2342 12.784 42.7122 13 42.0282 13H39.1932V11.596H42.0417C42.2487 11.596 42.4107 11.551 42.5277 11.461C42.7257 11.317 42.8247 11.1235 42.8247 10.8805C42.8247 10.7275 42.7797 10.579 42.6897 10.435L39.6927 6.196L39.9762 5.143L44.8497 3.3475L45.2952 4.657L41.2587 6.1285L43.6347 9.598L43.7292 9.7465C44.1792 10.4665 44.5617 10.957 44.8767 11.218C45.2007 11.47 45.5652 11.596 45.9702 11.596H46.1592L46.2402 12.298L46.1592 13H45.9702ZM46.0223 11.596H48.0203C48.4433 11.596 48.7718 11.524 49.0058 11.38C49.2488 11.227 49.3703 10.975 49.3703 10.624C49.3703 10.453 49.3388 10.2595 49.2758 10.0435L48.7493 8.032L49.9643 7.681L50.5043 9.76C50.5943 10.066 50.6393 10.372 50.6393 10.678C50.6393 11.164 50.5223 11.5825 50.2883 11.9335C50.0543 12.2845 49.7393 12.55 49.3433 12.73C48.9473 12.91 48.5063 13 48.0203 13H46.0223V11.596ZM46.5893 5.1025H47.9123V6.439H46.5893V5.1025ZM49.1003 5.1025H50.4368V6.439H49.1003V5.1025ZM57.7246 13.027C57.2836 13.027 56.8786 12.9145 56.5096 12.6895C56.1406 12.4645 55.8436 12.163 55.6186 11.785C55.4026 11.398 55.2946 10.9795 55.2946 10.5295C55.2946 10.1425 55.3891 9.751 55.5781 9.355C55.7671 8.959 56.0326 8.5945 56.3746 8.2615L56.8201 7.816L56.3881 7.411L57.2656 6.3985L58.8856 7.9645C59.3356 8.3965 59.6596 8.8105 59.8576 9.2065C60.0556 9.6025 60.1546 10.0435 60.1546 10.5295C60.1546 10.9795 60.0421 11.398 59.8171 11.785C59.6011 12.163 59.3086 12.4645 58.9396 12.6895C58.5706 12.9145 58.1656 13.027 57.7246 13.027ZM56.5096 10.5295C56.5096 10.8445 56.6266 11.1145 56.8606 11.3395C57.0946 11.5555 57.3826 11.6635 57.7246 11.6635C58.0666 11.6635 58.3501 11.5555 58.5751 11.3395C58.8091 11.1145 58.9261 10.8445 58.9261 10.5295C58.9261 10.2865 58.8676 10.057 58.7506 9.841C58.6336 9.616 58.3996 9.3325 58.0486 8.9905L57.7381 8.6935L57.2926 9.1255C57.0136 9.4045 56.8111 9.6565 56.6851 9.8815C56.5681 10.0975 56.5096 10.3135 56.5096 10.5295ZM63.8833 13C63.1993 13 62.6503 12.8515 62.2363 12.5545C61.8313 12.2575 61.6108 11.875 61.5748 11.407C61.5388 11.236 61.5208 10.9435 61.5208 10.5295H62.6818C62.6818 10.7905 62.6953 11.002 62.7223 11.164C62.7583 11.326 62.8483 11.4385 62.9923 11.5015C63.1363 11.5645 63.3613 11.596 63.6673 11.596H64.7878C65.5888 11.596 65.9893 11.353 65.9893 10.867C65.9893 10.813 65.9713 10.705 65.9353 10.543C65.7823 10.084 65.5078 9.517 65.1118 8.842C64.7248 8.167 64.2973 7.4965 63.8293 6.8305L64.8418 6.007C65.3728 6.745 65.8543 7.4965 66.2863 8.2615C66.7273 9.0265 67.0153 9.6835 67.1503 10.2325C67.2043 10.4575 67.2313 10.6825 67.2313 10.9075C67.2313 11.5285 67.0108 12.0325 66.5698 12.4195C66.1288 12.8065 65.4808 13 64.6258 13H63.8833ZM71.5537 13C70.9507 13 70.4737 12.91 70.1227 12.73C69.7717 12.55 69.5152 12.262 69.3532 11.866C69.1912 11.461 69.0967 10.903 69.0697 10.192L68.8267 3.982L70.0822 3.928L70.3252 10.192C70.3432 10.624 70.3792 10.9345 70.4332 11.1235C70.4962 11.3035 70.6042 11.4295 70.7572 11.5015C70.9192 11.5645 71.1847 11.596 71.5537 11.596H71.6887L71.7697 12.298L71.6887 13H71.5537ZM71.559 11.596H75.744L75.825 12.298L75.744 13H71.559V11.596ZM75.6063 11.596H75.7548C76.0248 11.596 76.2678 11.5375 76.4838 11.4205C76.6998 11.2945 76.8618 11.1235 76.9698 10.9075L77.9958 8.95C78.1758 8.599 78.4323 8.329 78.7653 8.14C79.0983 7.942 79.4538 7.843 79.8318 7.843C80.1828 7.843 80.5113 7.924 80.8173 8.086C81.2133 8.293 81.5058 8.572 81.6948 8.923C81.8928 9.274 81.9918 9.679 81.9918 10.138C81.9918 10.759 81.8298 11.416 81.5058 12.109C81.3708 12.406 81.1728 12.64 80.9118 12.811C80.6598 12.982 80.3808 13.0675 80.0748 13.0675C79.8228 13.0675 79.5843 13.009 79.3593 12.892L77.7123 12.0415C77.1993 12.6805 76.5468 13 75.7548 13H75.6063V11.596ZM80.1018 11.704C80.1648 11.74 80.2278 11.758 80.2908 11.758C80.4168 11.758 80.5023 11.695 80.5473 11.569L80.6823 11.272C80.8263 10.93 80.8983 10.6195 80.8983 10.3405C80.8983 10.0975 80.8488 9.8815 80.7498 9.6925C80.6508 9.4945 80.5068 9.3505 80.3178 9.2605C80.1828 9.1885 80.0298 9.1525 79.8588 9.1525C79.6698 9.1525 79.4898 9.2065 79.3188 9.3145C79.1568 9.4135 79.0263 9.562 78.9273 9.76L78.3873 10.84L80.1018 11.704ZM83.9854 5.359L85.2409 5.2915L85.5379 12.9865L84.2824 13.0405L83.9854 5.359ZM82.6084 4.6975C82.6084 4.3465 82.7119 4.0675 82.9189 3.8605C83.1259 3.6445 83.4004 3.5365 83.7424 3.5365C83.8144 3.5365 83.9134 3.5455 84.0394 3.5635L85.4029 3.82C85.4479 3.829 85.5064 3.8335 85.5784 3.8335C85.7314 3.8335 85.8484 3.793 85.9294 3.712C86.0104 3.631 86.0509 3.523 86.0509 3.388V3.3205L86.7124 3.2665V3.523C86.7124 3.874 86.6044 4.1575 86.3884 4.3735C86.1814 4.5895 85.9069 4.6975 85.5649 4.6975C85.5019 4.6975 85.4074 4.6885 85.2814 4.6705L83.9179 4.414C83.8729 4.405 83.8099 4.4005 83.7289 4.4005C83.5759 4.4005 83.4589 4.441 83.3779 4.522C83.3059 4.594 83.2699 4.6975 83.2699 4.8325V4.9135L82.6084 4.954V4.6975ZM96.2282 13C95.2112 13 94.4417 12.991 93.9197 12.973C93.4067 12.946 93.0152 12.91 92.7452 12.865C92.4842 12.811 92.2322 12.7345 91.9892 12.6355C91.5662 12.4465 91.2422 12.172 91.0172 11.812C90.7922 11.452 90.6797 11.0335 90.6797 10.5565C90.6797 10.2685 90.7202 9.9625 90.8012 9.6385L91.3007 7.708L92.5022 8.059L91.9892 10.0435C91.9442 10.1965 91.9217 10.363 91.9217 10.543C91.9217 10.741 91.9667 10.903 92.0567 11.029C92.1467 11.155 92.2907 11.263 92.4887 11.353C92.7047 11.443 93.0377 11.506 93.4877 11.542C93.9467 11.578 94.8872 11.596 96.3092 11.596H99.4817C99.8957 11.596 100.188 11.5285 100.359 11.3935C100.53 11.2495 100.607 11.029 100.589 10.732V10.705L100.44 9.0445L101.696 8.923L101.844 10.5835V10.624C101.88 10.993 101.975 11.2495 102.128 11.3935C102.29 11.5285 102.56 11.596 102.938 11.596H103.086L103.167 12.298L103.086 13H102.938C102.191 13 101.624 12.793 101.237 12.379C101.03 12.577 100.778 12.73 100.481 12.838C100.184 12.946 99.8507 13 99.4817 13H96.3092H96.2282ZM94.4327 6.898H95.7557V8.2345H94.4327V6.898ZM96.9437 6.898H98.2667V8.2345H96.9437V6.898ZM102.936 11.596H107.121L107.202 12.298L107.121 13H102.936V11.596ZM106.983 11.596H108.981C109.404 11.596 109.733 11.524 109.967 11.38C110.21 11.227 110.331 10.975 110.331 10.624C110.331 10.453 110.3 10.2595 110.237 10.0435L109.71 8.032L110.925 7.681L111.465 9.76C111.555 10.066 111.6 10.372 111.6 10.678C111.6 11.164 111.483 11.5825 111.249 11.9335C111.015 12.2845 110.7 12.55 110.304 12.73C109.908 12.91 109.467 13 108.981 13H106.983V11.596ZM106.376 14.296H107.699V15.6325H106.376V14.296ZM108.887 14.296H110.21V15.6325H108.887V14.296ZM115.916 13C115.313 13 114.836 12.91 114.485 12.73C114.134 12.55 113.878 12.262 113.716 11.866C113.554 11.461 113.459 10.903 113.432 10.192L113.189 3.982L114.445 3.928L114.688 10.192C114.706 10.624 114.742 10.9345 114.796 11.1235C114.859 11.3035 114.967 11.4295 115.12 11.5015C115.282 11.5645 115.547 11.596 115.916 11.596H116.051L116.132 12.298L116.051 13H115.916ZM123.185 13C122.51 13 121.965 12.766 121.551 12.298C121.146 12.766 120.584 13 119.864 13C119.531 13 119.225 12.937 118.946 12.811C118.676 12.685 118.442 12.5095 118.244 12.2845C117.83 12.7615 117.267 13 116.556 13H115.922V11.596H116.556C116.979 11.596 117.267 11.515 117.42 11.353C117.573 11.191 117.654 10.9795 117.663 10.7185V10.6375V8.9635H118.838V10.6375V10.7185C118.847 10.9975 118.937 11.2135 119.108 11.3665C119.279 11.5195 119.531 11.596 119.864 11.596C120.305 11.596 120.597 11.506 120.741 11.326C120.894 11.146 120.971 10.9165 120.971 10.6375V8.9635H122.145V10.6375V10.7185C122.145 10.9975 122.231 11.2135 122.402 11.3665C122.582 11.5195 122.843 11.596 123.185 11.596C123.923 11.596 124.292 11.2855 124.292 10.6645C124.292 10.4755 124.26 10.2685 124.197 10.0435L123.657 8.032L124.872 7.681L125.412 9.6925C125.502 10.0255 125.547 10.3495 125.547 10.6645C125.547 11.1415 125.439 11.56 125.223 11.92C125.016 12.271 124.733 12.541 124.373 12.73C124.022 12.91 123.626 13 123.185 13Z\" fill=\"white\"></path><path d=\"M140.923 30.5781H140.793C139.696 30.5204 138.665 30.0774 137.914 29.3409C137.164 28.6045 136.752 27.6313 136.763 26.6233V21.7477C136.755 21.3209 136.627 20.9033 136.389 20.536C136.152 20.1687 135.815 19.8645 135.41 19.6534C133.788 18.7916 132.437 17.5588 131.489 16.0752C130.541 14.5916 130.028 12.9078 130.002 11.1883C129.958 8.82586 130.827 6.52541 132.453 4.69324C134.08 2.86107 136.36 1.61503 138.891 1.17518C141.422 0.735329 144.041 1.12996 146.285 2.28937C148.53 3.44879 150.255 5.29841 151.157 7.5116C151.183 7.5706 151.195 7.6337 151.194 7.69721C151.193 7.76072 151.178 7.82334 151.15 7.88142C151.122 7.9395 151.081 7.99185 151.031 8.03542C150.98 8.07898 150.921 8.11287 150.856 8.13511C150.791 8.15734 150.722 8.16747 150.653 8.16491C150.584 8.16234 150.516 8.14712 150.453 8.12015C150.391 8.09318 150.334 8.055 150.288 8.00784C150.242 7.96068 150.206 7.90551 150.183 7.84554C149.449 6.03392 148.101 4.48573 146.338 3.42799C144.574 2.37025 142.488 1.85861 140.384 1.96811C137.838 2.11259 135.449 3.14796 133.711 4.86064C131.973 6.57331 131.017 8.83266 131.042 11.1726C131.066 12.7283 131.529 14.2517 132.386 15.5941C133.244 16.9365 134.466 18.052 135.934 18.8319C136.495 19.1269 136.962 19.551 137.29 20.0623C137.618 20.5737 137.794 21.1545 137.803 21.7477V26.6233C137.789 27.3841 138.096 28.1204 138.659 28.6793C139.222 29.2381 139.998 29.5765 140.826 29.624C141.243 29.6338 141.659 29.5676 142.049 29.4292C142.438 29.2908 142.794 29.083 143.096 28.8178C143.397 28.5515 143.636 28.232 143.799 27.8786C143.962 27.5253 144.045 27.1453 144.044 26.7616V21.7477C144.041 21.1657 144.206 20.5933 144.521 20.0883C144.837 19.5834 145.292 19.1638 145.841 18.8719C147.836 17.8192 149.37 16.1644 150.184 14.1895C150.207 14.13 150.243 14.0754 150.29 14.0287C150.336 13.9821 150.392 13.9445 150.455 13.918C150.518 13.8915 150.585 13.8767 150.654 13.8744C150.723 13.8721 150.792 13.8825 150.857 13.9048C150.921 13.9272 150.98 13.961 151.03 14.0045C151.08 14.0479 151.121 14.1001 151.148 14.158C151.176 14.2158 151.191 14.2781 151.193 14.3414C151.194 14.4046 151.182 14.4675 151.157 14.5263C150.259 16.7093 148.562 18.5384 146.357 19.7011C145.967 19.9095 145.645 20.2085 145.421 20.5678C145.198 20.9271 145.081 21.334 145.084 21.7477V26.7616C145.084 27.7738 144.646 28.7446 143.865 29.4603C143.085 30.176 142.027 30.5781 140.923 30.5781Z\" fill=\"url(#paint0_linear_58_19)\"></path><path d=\"M144.564 23.8992H137.283C137.145 23.8992 137.013 23.8489 136.915 23.7595C136.817 23.67 136.763 23.5487 136.763 23.4221C136.763 23.2956 136.817 23.1743 136.915 23.0848C137.013 22.9953 137.145 22.9451 137.283 22.9451H144.564C144.702 22.9451 144.834 22.9953 144.932 23.0848C145.029 23.1743 145.084 23.2956 145.084 23.4221C145.084 23.5487 145.029 23.67 144.932 23.7595C144.834 23.8489 144.702 23.8992 144.564 23.8992Z\" fill=\"url(#paint1_linear_58_19)\"></path><path d=\"M139.883 25.8075H137.283C137.145 25.8075 137.013 25.7572 136.915 25.6677C136.817 25.5783 136.763 25.4569 136.763 25.3304C136.763 25.2039 136.817 25.0825 136.915 24.9931C137.013 24.9036 137.145 24.8533 137.283 24.8533H139.883C140.021 24.8533 140.153 24.9036 140.251 24.9931C140.349 25.0825 140.403 25.2039 140.403 25.3304C140.403 25.4569 140.349 25.5783 140.251 25.6677C140.153 25.7572 140.021 25.8075 139.883 25.8075Z\" fill=\"url(#paint2_linear_58_19)\"></path><path d=\"M139.363 17.5304C139.323 17.5305 139.283 17.5263 139.243 17.518C137.93 17.2299 136.73 16.6138 135.775 15.7381C134.82 14.8623 134.149 13.7611 133.835 12.5566C133.819 12.4956 133.817 12.4324 133.828 12.3705C133.839 12.3087 133.863 12.2494 133.899 12.1962C133.935 12.1429 133.982 12.0966 134.037 12.0601C134.093 12.0235 134.155 11.9972 134.222 11.9829C134.288 11.9685 134.357 11.9664 134.425 11.9764C134.492 11.9865 134.557 12.0087 134.615 12.0417C134.673 12.0746 134.723 12.1178 134.763 12.1687C134.803 12.2195 134.832 12.2771 134.847 12.3381C135.117 13.3694 135.692 14.3122 136.509 15.0621C137.327 15.812 138.355 16.3397 139.479 16.5868C139.605 16.6115 139.717 16.6784 139.793 16.7745C139.868 16.8706 139.902 16.9891 139.888 17.1069C139.873 17.2246 139.811 17.3332 139.715 17.4115C139.618 17.4898 139.492 17.5322 139.363 17.5304Z\" fill=\"url(#paint3_linear_58_19)\"></path><path d=\"M142.484 17.5304C142.356 17.5301 142.234 17.4869 142.139 17.4091C142.044 17.3313 141.983 17.2242 141.968 17.1081C141.954 16.9921 141.986 16.8752 142.059 16.7795C142.132 16.6839 142.241 16.6161 142.365 16.5892C143.489 16.3421 144.517 15.8144 145.335 15.0645C146.152 14.3146 146.728 13.3718 146.997 12.3404C147.029 12.2173 147.112 12.1107 147.23 12.044C147.347 11.9774 147.488 11.9563 147.622 11.9853C147.757 12.0142 147.873 12.091 147.946 12.1985C148.018 12.3061 148.041 12.4358 148.01 12.5589C147.696 13.7635 147.024 14.8647 146.069 15.7405C145.114 16.6162 143.914 17.2323 142.601 17.5204C142.562 17.5277 142.523 17.5311 142.484 17.5304Z\" fill=\"url(#paint4_linear_58_19)\"></path><path d=\"M147.502 10.0644C147.385 10.0642 147.271 10.0278 147.18 9.96105C147.088 9.8943 147.023 9.8011 146.997 9.69654C146.727 8.6652 146.152 7.72238 145.334 6.97248C144.517 6.22258 143.489 5.69487 142.365 5.44781C142.298 5.43346 142.235 5.40724 142.18 5.37065C142.124 5.33405 142.077 5.2878 142.041 5.23453C142.006 5.18126 141.981 5.12202 141.97 5.06018C141.959 4.99834 141.962 4.93513 141.977 4.87414C141.993 4.81315 142.022 4.75558 142.061 4.70473C142.101 4.65387 142.152 4.61072 142.21 4.57774C142.268 4.54476 142.333 4.52259 142.4 4.51251C142.467 4.50242 142.536 4.50462 142.603 4.51896C143.916 4.80706 145.116 5.42316 146.071 6.29892C147.026 7.17468 147.698 8.27589 148.012 9.48043C148.043 9.60347 148.02 9.73283 147.947 9.84015C147.874 9.94747 147.758 10.024 147.624 10.0529C147.584 10.0609 147.543 10.0647 147.502 10.0644Z\" fill=\"url(#paint5_linear_58_19)\"></path><path d=\"M134.345 10.0644C134.305 10.0643 134.264 10.0601 134.225 10.052C134.091 10.0231 133.975 9.94655 133.902 9.83923C133.83 9.73191 133.807 9.60255 133.838 9.47952C134.152 8.27498 134.823 7.17377 135.778 6.298C136.733 5.42224 137.933 4.80615 139.247 4.51805C139.313 4.5037 139.382 4.50151 139.449 4.51159C139.517 4.52168 139.581 4.54384 139.64 4.57682C139.698 4.6098 139.748 4.65296 139.788 4.70381C139.828 4.75467 139.856 4.81223 139.872 4.87322C139.888 4.93421 139.89 4.99743 139.879 5.05926C139.868 5.1211 139.844 5.18035 139.808 5.23362C139.772 5.28689 139.725 5.33314 139.67 5.36973C139.614 5.40633 139.551 5.43255 139.485 5.44689C138.361 5.69396 137.333 6.22166 136.515 6.97156C135.698 7.72146 135.122 8.66429 134.853 9.69563C134.826 9.80076 134.761 9.89448 134.669 9.96146C134.577 10.0284 134.463 10.0647 134.345 10.0644Z\" fill=\"url(#paint6_linear_58_19)\"></path><path d=\"M140.923 13.4038C140.503 13.4041 140.088 13.3108 139.715 13.1318C139.343 12.9528 139.023 12.6935 138.783 12.3762C138.544 12.0589 138.392 11.693 138.341 11.3099C138.289 10.9269 138.34 10.5381 138.488 10.177C138.637 9.8159 138.878 9.49321 139.193 9.23664C139.507 8.98006 139.884 8.79728 140.293 8.70396C140.701 8.61064 141.128 8.60958 141.537 8.70087C141.945 8.79216 142.324 8.97307 142.64 9.22808C142.691 9.26933 142.733 9.31947 142.764 9.37564C142.794 9.43181 142.812 9.4929 142.816 9.55543C142.821 9.61796 142.812 9.6807 142.79 9.74007C142.768 9.79944 142.734 9.85428 142.689 9.90145C142.644 9.94863 142.589 9.98722 142.528 10.015C142.467 10.0428 142.4 10.0593 142.332 10.0635C142.264 10.0676 142.195 10.0595 142.131 10.0394C142.066 10.0193 142.006 9.98779 141.955 9.94654C141.73 9.76392 141.452 9.6448 141.155 9.60348C140.858 9.56216 140.554 9.6004 140.28 9.71361C140.006 9.82682 139.774 10.0102 139.611 10.2417C139.448 10.4731 139.361 10.7429 139.361 11.0185C139.361 11.2941 139.448 11.5639 139.611 11.7953C139.774 12.0268 140.006 12.2102 140.28 12.3234C140.554 12.4366 140.858 12.4748 141.155 12.4335C141.452 12.3922 141.73 12.2731 141.955 12.0905C142.059 12.0071 142.194 11.9651 142.332 11.9735C142.4 11.9777 142.467 11.9942 142.528 12.022C142.589 12.0498 142.644 12.0884 142.689 12.1355C142.734 12.1827 142.768 12.2376 142.79 12.2969C142.812 12.3563 142.821 12.419 142.816 12.4816C142.812 12.5441 142.794 12.6052 142.764 12.6614C142.733 12.7175 142.691 12.7677 142.64 12.8089C142.165 13.1914 141.555 13.4028 140.923 13.4038Z\" fill=\"url(#paint7_linear_58_19)\"></path><path d=\"M140.923 6.7249C140.785 6.7249 140.653 6.67464 140.556 6.58517C140.458 6.4957 140.403 6.37436 140.403 6.24784V3.38545C140.403 3.25893 140.458 3.13758 140.556 3.04812C140.653 2.95865 140.785 2.90839 140.923 2.90839C141.061 2.90839 141.194 2.95865 141.291 3.04812C141.389 3.13758 141.443 3.25893 141.443 3.38545V6.24784C141.443 6.37436 141.389 6.4957 141.291 6.58517C141.194 6.67464 141.061 6.7249 140.923 6.7249Z\" fill=\"url(#paint8_linear_58_19)\"></path><path d=\"M140.923 19.1286C140.785 19.1286 140.653 19.0783 140.556 18.9889C140.458 18.8994 140.403 18.778 140.403 18.6515V15.7891C140.403 15.6626 140.458 15.5413 140.556 15.4518C140.653 15.3623 140.785 15.3121 140.923 15.3121C141.061 15.3121 141.194 15.3623 141.291 15.4518C141.389 15.5413 141.443 15.6626 141.443 15.7891V18.6515C141.443 18.778 141.389 18.8994 141.291 18.9889C141.194 19.0783 141.061 19.1286 140.923 19.1286Z\" fill=\"url(#paint9_linear_58_19)\"></path><path d=\"M135.723 11.4956H132.602C132.464 11.4956 132.332 11.4453 132.234 11.3558C132.137 11.2664 132.082 11.145 132.082 11.0185C132.082 10.892 132.137 10.7706 132.234 10.6812C132.332 10.5917 132.464 10.5414 132.602 10.5414H135.723C135.86 10.5414 135.993 10.5917 136.09 10.6812C136.188 10.7706 136.243 10.892 136.243 11.0185C136.243 11.145 136.188 11.2664 136.09 11.3558C135.993 11.4453 135.86 11.4956 135.723 11.4956Z\" fill=\"url(#paint10_linear_58_19)\"></path><path d=\"M155.486 11.4956H140.923C140.785 11.4956 140.653 11.4453 140.556 11.3558C140.458 11.2664 140.403 11.145 140.403 11.0185C140.403 10.892 140.458 10.7706 140.556 10.6812C140.653 10.5917 140.785 10.5414 140.923 10.5414H155.486C155.624 10.5414 155.756 10.5917 155.854 10.6812C155.951 10.7706 156.006 10.892 156.006 11.0185C156.006 11.145 155.951 11.2664 155.854 11.3558C155.756 11.4453 155.624 11.4956 155.486 11.4956Z\" fill=\"url(#paint11_linear_58_19)\"></path><path d=\"M155.486 11.4955C155.383 11.4955 155.283 11.4675 155.197 11.4151C155.112 11.3627 155.045 11.2882 155.006 11.201C154.966 11.1139 154.956 11.018 154.976 10.9254C154.996 10.8329 155.045 10.7479 155.118 10.6812L157.351 8.63314H153.101L150.133 11.3558C150.035 11.4427 149.903 11.4907 149.767 11.4897C149.63 11.4886 149.5 11.4384 149.404 11.3499C149.307 11.2615 149.252 11.1418 149.251 11.0167C149.25 10.8917 149.302 10.7712 149.397 10.6812L152.518 7.8188C152.615 7.72932 152.748 7.67904 152.885 7.67902H158.606C158.709 7.67904 158.81 7.70703 158.895 7.75945C158.981 7.81187 159.047 7.88637 159.087 7.97353C159.126 8.06069 159.136 8.1566 159.116 8.24912C159.096 8.34165 159.047 8.42665 158.974 8.49337L155.854 11.3558C155.756 11.4452 155.624 11.4955 155.486 11.4955Z\" fill=\"url(#paint12_linear_58_19)\"></path><path d=\"M158.606 14.358H152.885C152.748 14.3579 152.615 14.3076 152.518 14.2182L149.397 11.3558C149.302 11.2658 149.25 11.1453 149.251 11.0202C149.252 10.8951 149.307 10.7755 149.404 10.687C149.5 10.5986 149.63 10.5484 149.767 10.5473C149.903 10.5462 150.035 10.5943 150.133 10.6812L153.101 13.4038H157.351L155.118 11.3558C155.023 11.2658 154.971 11.1453 154.972 11.0202C154.973 10.8951 155.028 10.7755 155.125 10.687C155.221 10.5986 155.351 10.5484 155.488 10.5473C155.624 10.5462 155.756 10.5943 155.854 10.6812L158.974 13.5436C159.047 13.6103 159.096 13.6953 159.116 13.7878C159.136 13.8804 159.126 13.9763 159.087 14.0634C159.047 14.1506 158.981 14.2251 158.895 14.2775C158.81 14.3299 158.709 14.3579 158.606 14.358Z\" fill=\"url(#paint13_linear_58_19)\"></path><defs><linearGradient id=\"paint0_linear_58_19\" x1=\"124.623\" y1=\"29.4775\" x2=\"154.15\" y2=\"-2.71187\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint1_linear_58_19\" x1=\"129.473\" y1=\"33.9257\" x2=\"158.999\" y2=\"1.73625\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint2_linear_58_19\" x1=\"129.343\" y1=\"33.8064\" x2=\"158.869\" y2=\"1.61698\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint3_linear_58_19\" x1=\"122.711\" y1=\"27.7239\" x2=\"152.238\" y2=\"-4.46555\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint4_linear_58_19\" x1=\"127.135\" y1=\"31.7818\" x2=\"156.662\" y2=\"-0.407643\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint5_linear_58_19\" x1=\"122.711\" y1=\"27.7238\" x2=\"152.238\" y2=\"-4.46557\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint6_linear_58_19\" x1=\"118.288\" y1=\"23.666\" x2=\"147.814\" y2=\"-8.52344\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint7_linear_58_19\" x1=\"122.709\" y1=\"27.7224\" x2=\"152.236\" y2=\"-4.4675\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint8_linear_58_19\" x1=\"119.331\" y1=\"24.6229\" x2=\"148.857\" y2=\"-7.56649\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint9_linear_58_19\" x1=\"126.092\" y1=\"30.8248\" x2=\"155.619\" y2=\"-1.36464\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"0.0001\" stop-color=\"white\"></stop><stop offset=\"0.463542\" stop-color=\"white\" stop-opacity=\"0.861862\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint10_linear_58_19\" x1=\"119.331\" y1=\"24.6229\" x2=\"148.857\" y2=\"-7.56646\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint11_linear_58_19\" x1=\"126.352\" y1=\"31.0633\" x2=\"155.879\" y2=\"-1.1261\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint12_linear_58_19\" x1=\"128.562\" y1=\"33.0908\" x2=\"158.089\" y2=\"0.901385\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient><linearGradient id=\"paint13_linear_58_19\" x1=\"130.123\" y1=\"34.522\" x2=\"159.649\" y2=\"2.33262\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"white\"></stop><stop offset=\"1\" stop-color=\"white\" stop-opacity=\"0.701961\"></stop></linearGradient></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("56942", "2669", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"1141.07\" height=\"575\" viewBox=\"0 0 1141.07 575\"><path d=\"M50,0c1269.614,0,1157.685,575,992,575H50A50,50,0,0,1,0,525V50A50,50,0,0,1,50,0Z\" opacity=\"0.08\" fill=\"url(#linear-gradient)\"></path></svg>");
INSERT INTO `wp_postmeta` VALUES("56943", "2612", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 64 64\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\"><defs><linearGradient id=\"a\" x1=\"-6.341\" x2=\"55.782\" y1=\"60.693\" y2=\"-1.43\" gradientUnits=\"userSpaceOnUse\"><stop offset=\"0\" stop-color=\"#ab20ec\"></stop><stop offset=\"1\" stop-color=\"#0071fc\"></stop></linearGradient><linearGradient xlink:href=\"#a\" id=\"b\" x1=\"2.983\" x2=\"65.106\" y1=\"70.017\" y2=\"7.894\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"c\" x1=\"2.733\" x2=\"64.856\" y1=\"69.767\" y2=\"7.644\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"d\" x1=\"-10.017\" x2=\"52.106\" y1=\"57.017\" y2=\"-5.106\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"e\" x1=\"-1.511\" x2=\"60.612\" y1=\"65.523\" y2=\"3.4\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"d\" x1=\"-10.017\" x2=\"52.106\" y1=\"57.017\" y2=\"-5.106\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"f\" x1=\"-18.523\" x2=\"43.6\" y1=\"48.511\" y2=\"-13.612\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"g\" x1=\"-10.021\" x2=\"52.103\" y1=\"57.014\" y2=\"-5.11\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"h\" x1=\"-16.517\" x2=\"45.606\" y1=\"50.517\" y2=\"-11.606\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"i\" x1=\"-3.517\" x2=\"58.606\" y1=\"63.517\" y2=\"1.394\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"h\" x1=\"-16.517\" x2=\"45.606\" y1=\"50.517\" y2=\"-11.606\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"j\" x1=\"-3.017\" x2=\"59.106\" y1=\"64.017\" y2=\"1.894\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"k\" x1=\"1.233\" x2=\"63.356\" y1=\"68.267\" y2=\"6.144\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"l\" x1=\"4.233\" x2=\"66.356\" y1=\"71.267\" y2=\"9.144\"></linearGradient></defs><g><linearGradient id=\"a\" x1=\"-6.341\" x2=\"55.782\" y1=\"60.693\" y2=\"-1.43\" gradientUnits=\"userSpaceOnUse\"><stop offset=\"0\" stop-color=\"#ab20ec\"></stop><stop offset=\"1\" stop-color=\"#0071fc\"></stop></linearGradient><linearGradient xlink:href=\"#a\" id=\"b\" x1=\"2.983\" x2=\"65.106\" y1=\"70.017\" y2=\"7.894\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"c\" x1=\"2.733\" x2=\"64.856\" y1=\"69.767\" y2=\"7.644\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"d\" x1=\"-10.017\" x2=\"52.106\" y1=\"57.017\" y2=\"-5.106\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"e\" x1=\"-1.511\" x2=\"60.612\" y1=\"65.523\" y2=\"3.4\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"f\" x1=\"-18.523\" x2=\"43.6\" y1=\"48.511\" y2=\"-13.612\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"g\" x1=\"-10.021\" x2=\"52.103\" y1=\"57.014\" y2=\"-5.11\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"h\" x1=\"-16.517\" x2=\"45.606\" y1=\"50.517\" y2=\"-11.606\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"i\" x1=\"-3.517\" x2=\"58.606\" y1=\"63.517\" y2=\"1.394\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"j\" x1=\"-3.017\" x2=\"59.106\" y1=\"64.017\" y2=\"1.894\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"k\" x1=\"1.233\" x2=\"63.356\" y1=\"68.267\" y2=\"6.144\"></linearGradient><linearGradient xlink:href=\"#a\" id=\"l\" x1=\"4.233\" x2=\"66.356\" y1=\"71.267\" y2=\"9.144\"></linearGradient><path fill=\"url(&quot;#a&quot;)\" d=\"M25 63h-.251A8.22 8.22 0 0 1 17 54.71V44.49a5.147 5.147 0 0 0-2.6-4.39A20.85 20.85 0 0 1 4 22.356a21.005 21.005 0 0 1 40.677-7.707 1 1 0 1 1-1.873.7 18.955 18.955 0 0 0-18.841-12.32A19.146 19.146 0 0 0 6 22.323a18.862 18.862 0 0 0 9.406 16.055A7.152 7.152 0 0 1 19 44.49v10.22A6.2 6.2 0 0 0 24.812 61a6.083 6.083 0 0 0 4.365-1.69A5.958 5.958 0 0 0 31 55V44.49a6.93 6.93 0 0 1 3.455-6.028 19.115 19.115 0 0 0 8.35-9.815 1 1 0 1 1 1.871.706A21.106 21.106 0 0 1 35.447 40.2 4.933 4.933 0 0 0 33 44.49V55a8 8 0 0 1-8 8z\" opacity=\"1\" data-original=\"url(#a)\"></path><path fill=\"url(&quot;#b&quot;)\" d=\"M32 49H18a1 1 0 0 1 0-2h14a1 1 0 0 1 0 2z\" opacity=\"1\" data-original=\"url(#b)\"></path><path fill=\"url(&quot;#c&quot;)\" d=\"M23 53h-5a1 1 0 0 1 0-2h5a1 1 0 0 1 0 2z\" opacity=\"1\" data-original=\"url(#c)\"></path><path fill=\"url(&quot;#d&quot;)\" d=\"M22 35.65a1.014 1.014 0 0 1-.23-.026 14.055 14.055 0 0 1-10.4-10.4 1 1 0 1 1 1.947-.458 12.043 12.043 0 0 0 8.906 8.906A1 1 0 0 1 22 35.65z\" opacity=\"1\" data-original=\"url(#d)\" class=\"\"></path><path fill=\"url(&quot;#e&quot;)\" d=\"M28 35.65a1 1 0 0 1-.228-1.973 12.043 12.043 0 0 0 8.906-8.906 1 1 0 1 1 1.947.458 14.055 14.055 0 0 1-10.4 10.4 1.014 1.014 0 0 1-.225.021z\" opacity=\"1\" data-original=\"url(#e)\"></path><path fill=\"url(&quot;#d&quot;)\" d=\"M37.649 20a1 1 0 0 1-.972-.771 12.043 12.043 0 0 0-8.906-8.906 1 1 0 1 1 .458-1.947 14.055 14.055 0 0 1 10.4 10.4 1 1 0 0 1-.745 1.2 1.06 1.06 0 0 1-.235.024z\" opacity=\"1\" data-original=\"url(#d)\" class=\"\"></path><path fill=\"url(&quot;#f&quot;)\" d=\"M12.351 20a1.06 1.06 0 0 1-.23-.026 1 1 0 0 1-.745-1.2 14.055 14.055 0 0 1 10.4-10.4 1 1 0 1 1 .458 1.947 12.043 12.043 0 0 0-8.906 8.906 1 1 0 0 1-.977.773z\" opacity=\"1\" data-original=\"url(#f)\"></path><path fill=\"url(&quot;#g&quot;)\" d=\"M25 27a5 5 0 1 1 3.3-8.753 1 1 0 1 1-1.317 1.506 3 3 0 1 0 0 4.494 1 1 0 1 1 1.317 1.506A5.014 5.014 0 0 1 25 27z\" opacity=\"1\" data-original=\"url(#g)\"></path><path fill=\"url(&quot;#h&quot;)\" d=\"M25 13a1 1 0 0 1-1-1V6a1 1 0 0 1 2 0v6a1 1 0 0 1-1 1z\" opacity=\"1\" data-original=\"url(#h)\"></path><path fill=\"url(&quot;#i&quot;)\" d=\"M25 39a1 1 0 0 1-1-1v-6a1 1 0 0 1 2 0v6a1 1 0 0 1-1 1z\" opacity=\"1\" data-original=\"url(#i)\"></path><path fill=\"url(&quot;#h&quot;)\" d=\"M15 23H9a1 1 0 0 1 0-2h6a1 1 0 0 1 0 2z\" opacity=\"1\" data-original=\"url(#h)\"></path><path fill=\"url(&quot;#j&quot;)\" d=\"M53 23H25a1 1 0 0 1 0-2h28a1 1 0 0 1 0 2z\" opacity=\"1\" data-original=\"url(#j)\"></path><path fill=\"url(&quot;#k&quot;)\" d=\"M53 23a1 1 0 0 1-.707-1.707L56.586 17h-8.172l-5.707 5.707a1 1 0 0 1-1.414-1.414l6-6A1 1 0 0 1 48 15h11a1 1 0 0 1 .707 1.707l-6 6A1 1 0 0 1 53 23z\" opacity=\"1\" data-original=\"url(#k)\"></path><path fill=\"url(&quot;#l&quot;)\" d=\"M59 29H48a1 1 0 0 1-.707-.293l-6-6a1 1 0 0 1 1.414-1.414L48.414 27h8.172l-4.293-4.293a1 1 0 0 1 1.414-1.414l6 6A1 1 0 0 1 59 29z\" opacity=\"1\" data-original=\"url(#l)\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56944", "2609", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"160\" height=\"31\" viewBox=\"0 0 160 31\" fill=\"none\"><path d=\"M5.42 30.124C5.156 30.184 4.898 30.214 4.646 30.214C4.196 30.214 3.806 30.112 3.476 29.908C3.146 29.71 2.891 29.425 2.711 29.053C2.537 28.687 2.45 28.255 2.45 27.757C2.45 27.193 2.564 26.59 2.792 25.948L3.44 26.209C3.236 26.797 3.134 27.322 3.134 27.784C3.134 28.312 3.263 28.723 3.521 29.017C3.785 29.311 4.154 29.458 4.628 29.458C4.82 29.458 5.033 29.431 5.267 29.377C5.789 29.257 6.203 29.119 6.509 28.963C6.821 28.807 6.977 28.669 6.977 28.549C6.977 28.483 6.923 28.426 6.815 28.378C6.713 28.336 6.5 28.264 6.176 28.162L5.861 28.072C5.471 27.946 5.177 27.799 4.979 27.631C4.787 27.463 4.691 27.22 4.691 26.902C4.691 26.722 4.727 26.512 4.799 26.272C4.871 26.026 4.991 25.78 5.159 25.534C5.327 25.288 5.54 25.081 5.798 24.913C6.056 24.739 6.347 24.652 6.671 24.652C6.833 24.652 6.995 24.673 7.157 24.715L7.742 24.877L7.571 25.615L6.986 25.453C6.89 25.423 6.779 25.408 6.653 25.408C6.407 25.408 6.197 25.477 6.023 25.615C5.855 25.753 5.723 25.906 5.627 26.074C5.537 26.242 5.48 26.377 5.456 26.479C5.42 26.605 5.402 26.71 5.402 26.794C5.402 26.956 5.459 27.073 5.573 27.145C5.687 27.217 5.888 27.295 6.176 27.379C6.59 27.505 6.881 27.601 7.049 27.667C7.223 27.727 7.361 27.811 7.463 27.919C7.565 28.021 7.631 28.165 7.661 28.351C7.667 28.381 7.67 28.429 7.67 28.495C7.67 28.849 7.472 29.167 7.076 29.449C6.68 29.737 6.128 29.962 5.42 30.124ZM8.22266 29.575L8.60066 29.467C8.95466 29.371 9.22766 29.281 9.41966 29.197C9.61766 29.119 9.77966 29.005 9.90566 28.855C10.0317 28.711 10.0947 28.513 10.0947 28.261C10.0947 28.213 10.0887 28.135 10.0767 28.027L9.71666 25.444L10.3917 25.336L10.6527 27.253L10.7517 27.937C10.7697 28.075 10.7787 28.201 10.7787 28.315C10.7787 28.681 10.6947 28.984 10.5267 29.224C10.3587 29.47 10.1307 29.665 9.84266 29.809C9.56066 29.953 9.20366 30.085 8.77166 30.205L8.40266 30.313L8.22266 29.575ZM8.71766 23.59H9.56366L9.57266 24.445H8.70866L8.71766 23.59ZM9.55466 22.465H10.3377V23.203H9.55466V22.465ZM10.3107 23.59H11.1567L11.1657 24.445H10.3107V23.59ZM12.145 29.566C12.865 29.416 13.378 29.296 13.684 29.206C13.99 29.122 14.215 29.008 14.359 28.864C14.503 28.726 14.575 28.525 14.575 28.261C14.575 28.213 14.569 28.135 14.557 28.027V28H13.378C12.916 28 12.547 27.859 12.271 27.577C12.001 27.295 11.866 26.911 11.866 26.425C11.866 26.119 11.932 25.831 12.064 25.561C12.196 25.291 12.379 25.075 12.613 24.913C12.853 24.745 13.129 24.661 13.441 24.661C13.879 24.661 14.245 24.832 14.539 25.174C14.839 25.51 15.022 25.954 15.088 26.506L15.169 27.244H15.718L15.763 27.622L15.718 28H15.7H15.25C15.256 28.066 15.259 28.162 15.259 28.288C15.259 28.714 15.157 29.047 14.953 29.287C14.749 29.527 14.446 29.716 14.044 29.854C13.642 29.998 13.054 30.151 12.28 30.313L12.145 29.566ZM12.559 26.416C12.559 26.968 12.832 27.244 13.378 27.244H14.476L14.404 26.587C14.362 26.221 14.257 25.936 14.089 25.732C13.921 25.522 13.705 25.417 13.441 25.417C13.165 25.417 12.949 25.516 12.793 25.714C12.637 25.906 12.559 26.14 12.559 26.416ZM15.6308 27.244H18.4208L18.4658 27.622L18.4208 28H15.6308V27.244ZM18.329 27.244H18.536C18.86 27.244 19.079 27.172 19.193 27.028C19.307 26.884 19.358 26.716 19.346 26.524L19.175 22.078L19.859 22.042L20.03 26.488C20.042 26.74 19.997 26.983 19.895 27.217C19.793 27.445 19.628 27.634 19.4 27.784C19.172 27.928 18.884 28 18.536 28H18.329V27.244ZM21.3384 29.566C22.0584 29.416 22.5714 29.296 22.8774 29.206C23.1834 29.122 23.4084 29.008 23.5524 28.864C23.6964 28.726 23.7684 28.525 23.7684 28.261C23.7684 28.213 23.7624 28.135 23.7504 28.027V28H22.5714C22.1094 28 21.7404 27.859 21.4644 27.577C21.1944 27.295 21.0594 26.911 21.0594 26.425C21.0594 26.119 21.1254 25.831 21.2574 25.561C21.3894 25.291 21.5724 25.075 21.8064 24.913C22.0464 24.745 22.3224 24.661 22.6344 24.661C23.0724 24.661 23.4384 24.832 23.7324 25.174C24.0324 25.51 24.2154 25.954 24.2814 26.506L24.3624 27.244H24.9114L24.9564 27.622L24.9114 28H24.8934H24.4434C24.4494 28.066 24.4524 28.162 24.4524 28.288C24.4524 28.714 24.3504 29.047 24.1464 29.287C23.9424 29.527 23.6394 29.716 23.2374 29.854C22.8354 29.998 22.2474 30.151 21.4734 30.313L21.3384 29.566ZM21.7524 26.416C21.7524 26.968 22.0254 27.244 22.5714 27.244H23.6694L23.5974 26.587C23.5554 26.221 23.4504 25.936 23.2824 25.732C23.1144 25.522 22.8984 25.417 22.6344 25.417C22.3584 25.417 22.1424 25.516 21.9864 25.714C21.8304 25.906 21.7524 26.14 21.7524 26.416ZM24.8241 27.244H25.3911C25.9671 27.244 26.2371 27.019 26.2011 26.569V26.542L26.1021 25.435L26.7861 25.372L26.8851 26.479V26.497C26.9091 26.767 26.9811 26.959 27.1011 27.073C27.2211 27.187 27.4191 27.244 27.6951 27.244L27.7401 27.622L27.6951 28C27.1911 28 26.8131 27.853 26.5611 27.559C26.2851 27.853 25.8951 28 25.3911 28H24.8241V27.244ZM25.5801 23.536H26.4801V24.436H25.5801V23.536ZM32.0925 28C31.8225 28 31.5705 27.937 31.3365 27.811C31.1085 27.685 30.8865 27.493 30.6705 27.235C30.6045 27.391 30.5145 27.52 30.4005 27.622C30.1665 27.874 29.8515 28 29.4555 28H27.6015V27.244H29.4645C29.6085 27.244 29.7255 27.208 29.8155 27.136C29.8935 27.082 29.9535 27.013 29.9955 26.929C30.0435 26.845 30.0675 26.758 30.0675 26.668C30.0675 26.56 30.0345 26.449 29.9685 26.335L27.9615 23.5L28.1145 22.924L31.3725 21.727L31.6065 22.438L28.8165 23.464L30.4815 25.876L30.5625 26.011C30.8685 26.479 31.1325 26.803 31.3545 26.983C31.5765 27.157 31.8225 27.244 32.0925 27.244H32.2185L32.2635 27.622L32.2185 28H32.0925ZM32.1279 27.244H33.4419C34.0899 27.244 34.4139 27.001 34.4139 26.515C34.4139 26.383 34.3929 26.242 34.3509 26.092L33.9999 24.751L34.6569 24.562L35.0259 25.939C35.0799 26.155 35.1069 26.35 35.1069 26.524C35.1069 26.992 34.9449 27.355 34.6209 27.613C34.3029 27.871 33.9099 28 33.4419 28H32.1279V27.244ZM32.5509 22.915H33.3519V23.716H32.5509V22.915ZM34.1439 22.915H34.9449V23.716H34.1439V22.915ZM41.2882 30.124C41.0242 30.184 40.7662 30.214 40.5142 30.214C40.0642 30.214 39.6742 30.112 39.3442 29.908C39.0142 29.71 38.7592 29.425 38.5792 29.053C38.4052 28.687 38.3182 28.255 38.3182 27.757C38.3182 27.193 38.4322 26.59 38.6602 25.948L39.3082 26.209C39.1042 26.797 39.0022 27.322 39.0022 27.784C39.0022 28.312 39.1312 28.723 39.3892 29.017C39.6532 29.311 40.0222 29.458 40.4962 29.458C40.6882 29.458 40.9012 29.431 41.1352 29.377C41.6572 29.257 42.0712 29.119 42.3772 28.963C42.6892 28.807 42.8452 28.669 42.8452 28.549C42.8452 28.483 42.7912 28.426 42.6832 28.378C42.5812 28.336 42.3682 28.264 42.0442 28.162L41.7292 28.072C41.3392 27.946 41.0452 27.799 40.8472 27.631C40.6552 27.463 40.5592 27.22 40.5592 26.902C40.5592 26.722 40.5952 26.512 40.6672 26.272C40.7392 26.026 40.8592 25.78 41.0272 25.534C41.1952 25.288 41.4082 25.081 41.6662 24.913C41.9242 24.739 42.2152 24.652 42.5392 24.652C42.7012 24.652 42.8632 24.673 43.0252 24.715L43.6102 24.877L43.4392 25.615L42.8542 25.453C42.7582 25.423 42.6472 25.408 42.5212 25.408C42.2752 25.408 42.0652 25.477 41.8912 25.615C41.7232 25.753 41.5912 25.906 41.4952 26.074C41.4052 26.242 41.3482 26.377 41.3242 26.479C41.2882 26.605 41.2702 26.71 41.2702 26.794C41.2702 26.956 41.3272 27.073 41.4412 27.145C41.5552 27.217 41.7562 27.295 42.0442 27.379C42.4582 27.505 42.7492 27.601 42.9172 27.667C43.0912 27.727 43.2292 27.811 43.3312 27.919C43.4332 28.021 43.4992 28.165 43.5292 28.351C43.5352 28.381 43.5382 28.429 43.5382 28.495C43.5382 28.849 43.3402 29.167 42.9442 29.449C42.5482 29.737 41.9962 29.962 41.2882 30.124ZM46.1416 28.009C45.8596 28.009 45.5986 27.94 45.3586 27.802C45.1246 27.658 44.9386 27.466 44.8006 27.226C44.6626 26.98 44.5936 26.716 44.5936 26.434C44.5936 26.188 44.6536 25.939 44.7736 25.687C44.8996 25.435 45.0706 25.201 45.2866 24.985L45.6556 24.625L45.3496 24.328L45.8266 23.779L46.8616 24.787C47.1556 25.075 47.3656 25.345 47.4916 25.597C47.6176 25.849 47.6806 26.128 47.6806 26.434C47.6806 26.716 47.6116 26.98 47.4736 27.226C47.3356 27.466 47.1466 27.658 46.9066 27.802C46.6726 27.94 46.4176 28.009 46.1416 28.009ZM45.2596 26.434C45.2596 26.662 45.3436 26.86 45.5116 27.028C45.6856 27.19 45.8956 27.271 46.1416 27.271C46.3876 27.271 46.5946 27.19 46.7626 27.028C46.9306 26.866 47.0146 26.668 47.0146 26.434C47.0146 26.26 46.9726 26.095 46.8886 25.939C46.8106 25.783 46.6486 25.585 46.4026 25.345L46.1506 25.102L45.7906 25.453C45.6046 25.639 45.4696 25.81 45.3856 25.966C45.3016 26.122 45.2596 26.278 45.2596 26.434ZM47.501 29.575L47.879 29.467C48.233 29.371 48.506 29.281 48.698 29.197C48.896 29.119 49.058 29.005 49.184 28.855C49.31 28.711 49.373 28.513 49.373 28.261C49.373 28.213 49.367 28.135 49.355 28.027L48.995 25.444L49.67 25.336L49.931 27.253L50.03 27.937C50.048 28.075 50.057 28.201 50.057 28.315C50.057 28.681 49.973 28.984 49.805 29.224C49.637 29.47 49.409 29.665 49.121 29.809C48.839 29.953 48.482 30.085 48.05 30.205L47.681 30.313L47.501 29.575ZM48.761 23.419H49.67V24.328H48.761V23.419ZM51.3618 29.566C52.0818 29.416 52.5948 29.296 52.9008 29.206C53.2068 29.122 53.4318 29.008 53.5758 28.864C53.7198 28.726 53.7918 28.525 53.7918 28.261C53.7918 28.213 53.7858 28.135 53.7738 28.027V28H52.5948C52.1328 28 51.7638 27.859 51.4878 27.577C51.2178 27.295 51.0828 26.911 51.0828 26.425C51.0828 26.119 51.1488 25.831 51.2808 25.561C51.4128 25.291 51.5958 25.075 51.8298 24.913C52.0698 24.745 52.3458 24.661 52.6578 24.661C53.0958 24.661 53.4618 24.832 53.7558 25.174C54.0558 25.51 54.2388 25.954 54.3048 26.506L54.3858 27.244H54.9348L54.9798 27.622L54.9348 28H54.9168H54.4668C54.4728 28.066 54.4758 28.162 54.4758 28.288C54.4758 28.714 54.3738 29.047 54.1698 29.287C53.9658 29.527 53.6628 29.716 53.2608 29.854C52.8588 29.998 52.2708 30.151 51.4968 30.313L51.3618 29.566ZM51.7758 26.416C51.7758 26.968 52.0488 27.244 52.5948 27.244H53.6928L53.6208 26.587C53.5788 26.221 53.4738 25.936 53.3058 25.732C53.1378 25.522 52.9218 25.417 52.6578 25.417C52.3818 25.417 52.1658 25.516 52.0098 25.714C51.8538 25.906 51.7758 26.14 51.7758 26.416ZM54.8476 27.244H54.9736C55.5076 27.244 55.9546 27.232 56.3146 27.208C56.6746 27.178 57.0436 27.109 57.4216 27.001L59.5366 26.434L57.7096 25.39C57.5296 25.282 57.3436 25.228 57.1516 25.228C56.9656 25.228 56.7886 25.282 56.6206 25.39C56.4526 25.492 56.3176 25.636 56.2156 25.822L56.0536 26.101L55.4596 25.732L55.6306 25.426C55.7986 25.12 56.0146 24.883 56.2786 24.715C56.5486 24.547 56.8366 24.463 57.1426 24.463C57.4546 24.463 57.7546 24.55 58.0426 24.724L60.3376 26.11L60.2296 26.992L57.5926 27.739C57.1726 27.853 56.7676 27.925 56.3776 27.955C55.9876 27.985 55.5166 28 54.9646 28H54.8476V27.244ZM67.1426 28C66.4646 28 65.9546 27.994 65.6126 27.982C65.2766 27.964 65.0246 27.94 64.8566 27.91C64.6946 27.874 64.5386 27.823 64.3886 27.757C64.1126 27.637 63.9026 27.463 63.7586 27.235C63.6206 27.007 63.5516 26.74 63.5516 26.434C63.5516 26.248 63.5786 26.053 63.6326 25.849L63.9656 24.58L64.6226 24.778L64.2896 26.074C64.2536 26.218 64.2356 26.344 64.2356 26.452C64.2356 26.596 64.2686 26.719 64.3346 26.821C64.4066 26.917 64.5146 26.998 64.6586 27.064C64.7606 27.112 64.8776 27.148 65.0096 27.172C65.1476 27.196 65.3846 27.214 65.7206 27.226C66.0566 27.238 66.5606 27.244 67.2326 27.244H67.2416C67.9016 27.244 68.3996 27.238 68.7356 27.226C69.0716 27.208 69.3026 27.187 69.4286 27.163C69.5546 27.139 69.6716 27.106 69.7796 27.064C69.9296 26.998 70.0406 26.914 70.1126 26.812C70.1846 26.71 70.2206 26.581 70.2206 26.425C70.2206 26.293 70.1996 26.152 70.1576 26.002L69.8156 24.751L70.4726 24.562L70.8146 25.813C70.8746 26.029 70.9046 26.242 70.9046 26.452C70.9046 26.758 70.8326 27.025 70.6886 27.253C70.5506 27.475 70.3436 27.643 70.0676 27.757C69.9176 27.823 69.7556 27.874 69.5816 27.91C69.4136 27.94 69.1526 27.964 68.7986 27.982C68.4506 27.994 67.9316 28 67.2416 28H67.2326H67.1426ZM66.0266 24.103H66.8276V24.904H66.0266V24.103ZM67.6196 24.103H68.4206V24.904H67.6196V24.103ZM73.7485 28C73.3585 28 73.0525 27.943 72.8305 27.829C72.6085 27.715 72.4465 27.532 72.3445 27.28C72.2425 27.022 72.1825 26.668 72.1645 26.218L72.0025 22.078L72.6865 22.042L72.8485 26.218C72.8605 26.524 72.8875 26.746 72.9295 26.884C72.9775 27.022 73.0615 27.118 73.1815 27.172C73.3015 27.22 73.4905 27.244 73.7485 27.244H73.8385L73.8835 27.622L73.8385 28H73.7485ZM73.7529 27.244H76.5429L76.5879 27.622L76.5429 28H73.7529V27.244ZM76.4511 27.244H76.5501C76.7481 27.244 76.9221 27.199 77.0721 27.109C77.2281 27.019 77.3481 26.893 77.4321 26.731L78.1071 25.435C78.2211 25.213 78.3831 25.042 78.5931 24.922C78.8031 24.796 79.0281 24.733 79.2681 24.733C79.4961 24.733 79.7001 24.784 79.8801 24.886C80.1321 25.018 80.3181 25.198 80.4381 25.426C80.5641 25.648 80.6271 25.906 80.6271 26.2C80.6271 26.59 80.5221 27.01 80.3121 27.46C80.2281 27.634 80.1051 27.775 79.9431 27.883C79.7811 27.991 79.6071 28.045 79.4211 28.045C79.2771 28.045 79.1331 28.009 78.9891 27.937L77.8371 27.343C77.6811 27.553 77.4921 27.715 77.2701 27.829C77.0541 27.943 76.8141 28 76.5501 28H76.4511V27.244ZM79.3851 27.289C79.4451 27.319 79.4991 27.334 79.5471 27.334C79.6071 27.334 79.6581 27.319 79.7001 27.289C79.7421 27.253 79.7721 27.211 79.7901 27.163L79.8711 27.001C79.9731 26.749 80.0241 26.518 80.0241 26.308C80.0241 26.128 79.9881 25.972 79.9161 25.84C79.8501 25.702 79.7481 25.597 79.6101 25.525C79.5021 25.471 79.3941 25.444 79.2861 25.444C79.1481 25.444 79.0191 25.483 78.8991 25.561C78.7791 25.633 78.6861 25.735 78.6201 25.867L78.1971 26.686L79.3851 27.289ZM83.0935 28C82.6495 28 82.2955 27.913 82.0315 27.739C81.7735 27.559 81.6295 27.325 81.5995 27.037C81.5695 26.911 81.5545 26.713 81.5545 26.443H82.1845C82.1845 26.629 82.1965 26.779 82.2205 26.893C82.2445 27.019 82.3165 27.109 82.4365 27.163C82.5625 27.217 82.7455 27.244 82.9855 27.244H83.5345C84.1645 27.244 84.4795 27.055 84.4795 26.677C84.4795 26.635 84.4675 26.56 84.4435 26.452V26.434L83.7685 23.788L84.4345 23.608L85.1095 26.263C85.1695 26.497 85.2235 26.68 85.2715 26.812C85.3255 26.938 85.3975 27.043 85.4875 27.127C85.5775 27.205 85.6975 27.244 85.8475 27.244H86.2885L86.3335 27.622L86.2885 28H85.8475C85.4455 28 85.1215 27.832 84.8755 27.496C84.5875 27.832 84.1105 28 83.4445 28H83.0935ZM86.1982 27.244H86.3242C86.8582 27.244 87.3052 27.232 87.6652 27.208C88.0252 27.178 88.3942 27.109 88.7722 27.001L90.8872 26.434L89.0602 25.39C88.8802 25.282 88.6942 25.228 88.5022 25.228C88.3162 25.228 88.1392 25.282 87.9712 25.39C87.8032 25.492 87.6682 25.636 87.5662 25.822L87.4042 26.101L86.8102 25.732L86.9812 25.426C87.1492 25.12 87.3652 24.883 87.6292 24.715C87.8992 24.547 88.1872 24.463 88.4932 24.463C88.8052 24.463 89.1052 24.55 89.3932 24.724L91.6882 26.11L91.5802 26.992L88.9432 27.739C88.5232 27.853 88.1182 27.925 87.7282 27.955C87.3382 27.985 86.8672 28 86.3152 28H86.1982V27.244ZM87.9622 22.69H88.8712V23.59H87.9622V22.69ZM96.5041 27.334C96.4681 27.34 96.4171 27.343 96.3511 27.343C96.0571 27.343 95.7781 27.244 95.5141 27.046C95.2501 26.842 95.0701 26.596 94.9741 26.308C94.9261 26.146 94.9021 25.993 94.9021 25.849C94.9021 25.531 94.9951 25.237 95.1811 24.967C95.3671 24.697 95.6101 24.511 95.9101 24.409L97.2331 23.968V23.563H97.9171V26.209C97.9171 26.497 98.0191 26.743 98.2231 26.947C98.4331 27.145 98.6881 27.244 98.9881 27.244H99.1591L99.2041 27.622L99.1591 28H98.9881C98.6821 28 98.3971 27.925 98.1331 27.775C97.8751 27.625 97.6651 27.424 97.5031 27.172L96.5041 27.334ZM95.6221 26.038C95.6701 26.206 95.7751 26.347 95.9371 26.461C96.0991 26.569 96.2701 26.608 96.4501 26.578L97.2511 26.443C97.2391 26.335 97.2331 26.257 97.2331 26.209V24.724L96.1261 25.102C95.9581 25.162 95.8261 25.258 95.7301 25.39C95.6341 25.516 95.5861 25.657 95.5861 25.813C95.5861 25.867 95.5981 25.942 95.6221 26.038ZM99.0654 27.244H101.855L101.9 27.622L101.855 28H99.0654V27.244ZM101.764 27.244H102.475C103.129 27.244 103.456 26.998 103.456 26.506C103.456 26.374 103.435 26.236 103.393 26.092L103.033 24.751L103.699 24.562L104.059 25.903C104.113 26.125 104.14 26.329 104.14 26.515C104.14 26.989 103.981 27.355 103.663 27.613C103.345 27.871 102.949 28 102.475 28H101.764V27.244ZM102.664 23.572C102.538 23.446 102.457 23.296 102.421 23.122C102.403 23.05 102.394 22.978 102.394 22.906C102.394 22.666 102.478 22.462 102.646 22.294C102.82 22.126 103.033 22.042 103.285 22.042C103.447 22.042 103.672 22.072 103.96 22.132L103.888 22.519C103.63 22.471 103.426 22.447 103.276 22.447C103.126 22.447 103 22.495 102.898 22.591C102.802 22.681 102.754 22.792 102.754 22.924C102.754 23.068 102.802 23.188 102.898 23.284C103 23.374 103.12 23.419 103.258 23.419C103.288 23.419 103.327 23.413 103.375 23.401L104.284 23.185L104.365 23.581L101.998 24.148L101.917 23.752L102.664 23.572ZM105.315 22.078L105.999 22.042L106.224 27.991L105.549 28.027L105.315 22.078ZM106.405 29.575L106.783 29.467C107.137 29.371 107.41 29.281 107.602 29.197C107.8 29.119 107.962 29.005 108.088 28.855C108.214 28.711 108.277 28.513 108.277 28.261C108.277 28.213 108.271 28.135 108.259 28.027L107.899 25.444L108.574 25.336L108.835 27.253L108.934 27.937C108.952 28.075 108.961 28.201 108.961 28.315C108.961 28.681 108.877 28.984 108.709 29.224C108.541 29.47 108.313 29.665 108.025 29.809C107.743 29.953 107.386 30.085 106.954 30.205L106.585 30.313L106.405 29.575ZM110.026 22.078L110.71 22.042L110.935 27.991L110.26 28.027L110.026 22.078ZM117.296 30.124C117.032 30.184 116.774 30.214 116.522 30.214C116.072 30.214 115.682 30.112 115.352 29.908C115.022 29.71 114.767 29.425 114.587 29.053C114.413 28.687 114.326 28.255 114.326 27.757C114.326 27.193 114.44 26.59 114.668 25.948L115.316 26.209C115.112 26.797 115.01 27.322 115.01 27.784C115.01 28.312 115.139 28.723 115.397 29.017C115.661 29.311 116.03 29.458 116.504 29.458C116.696 29.458 116.909 29.431 117.143 29.377C117.665 29.257 118.079 29.119 118.385 28.963C118.697 28.807 118.853 28.669 118.853 28.549C118.853 28.483 118.799 28.426 118.691 28.378C118.589 28.336 118.376 28.264 118.052 28.162L117.737 28.072C117.347 27.946 117.053 27.799 116.855 27.631C116.663 27.463 116.567 27.22 116.567 26.902C116.567 26.722 116.603 26.512 116.675 26.272C116.747 26.026 116.867 25.78 117.035 25.534C117.203 25.288 117.416 25.081 117.674 24.913C117.932 24.739 118.223 24.652 118.547 24.652C118.709 24.652 118.871 24.673 119.033 24.715L119.618 24.877L119.447 25.615L118.862 25.453C118.766 25.423 118.655 25.408 118.529 25.408C118.283 25.408 118.073 25.477 117.899 25.615C117.731 25.753 117.599 25.906 117.503 26.074C117.413 26.242 117.356 26.377 117.332 26.479C117.296 26.605 117.278 26.71 117.278 26.794C117.278 26.956 117.335 27.073 117.449 27.145C117.563 27.217 117.764 27.295 118.052 27.379C118.466 27.505 118.757 27.601 118.925 27.667C119.099 27.727 119.237 27.811 119.339 27.919C119.441 28.021 119.507 28.165 119.537 28.351C119.543 28.381 119.546 28.429 119.546 28.495C119.546 28.849 119.348 29.167 118.952 29.449C118.556 29.737 118.004 29.962 117.296 30.124ZM120.88 22.078L121.564 22.042L121.789 27.991L121.114 28.027L120.88 22.078ZM124.95 28C124.776 28 124.626 27.982 124.5 27.946C124.518 28.084 124.527 28.21 124.527 28.324C124.527 28.69 124.443 28.993 124.275 29.233C124.107 29.473 123.879 29.665 123.591 29.809C123.309 29.953 122.952 30.085 122.52 30.205L122.151 30.313L121.971 29.575L122.349 29.467C122.703 29.371 122.976 29.281 123.168 29.197C123.366 29.119 123.528 29.005 123.654 28.855C123.78 28.711 123.843 28.513 123.843 28.261C123.843 28.213 123.837 28.135 123.825 28.027L123.465 25.444L124.14 25.336L124.185 25.66C124.197 25.756 124.209 25.825 124.221 25.867L124.311 26.443C124.347 26.665 124.386 26.833 124.428 26.947C124.476 27.055 124.539 27.133 124.617 27.181C124.695 27.223 124.806 27.244 124.95 27.244H125.013L125.058 27.622L125.013 28H124.95ZM124.94 27.244H125.651C126.305 27.244 126.632 26.998 126.632 26.506C126.632 26.374 126.611 26.236 126.569 26.092L126.209 24.751L126.875 24.562L127.235 25.903C127.289 26.125 127.316 26.329 127.316 26.515C127.316 26.989 127.157 27.355 126.839 27.613C126.521 27.871 126.125 28 125.651 28H124.94V27.244ZM125.57 28.819H126.47V29.728H125.57V28.819Z\" fill=\"#716F87\"></path><path d=\"M5.2785 16.186C4.8375 16.285 4.437 16.3345 4.077 16.3345C3.375 16.3345 2.7675 16.177 2.2545 15.862C1.7505 15.547 1.359 15.1015 1.08 14.5255C0.81 13.9495 0.675 13.279 0.675 12.514C0.675 11.65 0.846 10.732 1.188 9.76L2.376 10.2325C2.079 11.1055 1.9305 11.8705 1.9305 12.5275C1.9305 13.2925 2.115 13.882 2.484 14.296C2.862 14.719 3.393 14.9305 4.077 14.9305C4.401 14.9305 4.707 14.8945 4.995 14.8225C5.742 14.6425 6.3405 14.449 6.7905 14.242C7.2495 14.044 7.4745 13.873 7.4655 13.729C7.4565 13.657 7.3755 13.5895 7.2225 13.5265C7.0785 13.4635 6.8085 13.3735 6.4125 13.2565L5.832 13.081C5.229 12.874 4.779 12.64 4.482 12.379C4.185 12.109 4.0365 11.731 4.0365 11.245C4.0365 10.957 4.095 10.624 4.212 10.246C4.338 9.841 4.5315 9.445 4.7925 9.058C5.0625 8.671 5.3955 8.3515 5.7915 8.0995C6.1875 7.8475 6.6285 7.7215 7.1145 7.7215C7.3845 7.7215 7.641 7.7575 7.884 7.8295L8.7615 8.0725L8.4375 9.4225L7.56 9.1795C7.416 9.1345 7.254 9.112 7.074 9.112C6.732 9.112 6.4395 9.211 6.1965 9.409C5.9625 9.607 5.778 9.823 5.643 10.057C5.517 10.282 5.436 10.471 5.4 10.624C5.355 10.804 5.3325 10.939 5.3325 11.029C5.3325 11.245 5.409 11.4025 5.562 11.5015C5.715 11.5915 5.994 11.6995 6.399 11.8255C7.047 12.0145 7.497 12.1585 7.749 12.2575C8.01 12.3475 8.2215 12.478 8.3835 12.649C8.5455 12.82 8.6535 13.0585 8.7075 13.3645C8.7165 13.4185 8.721 13.504 8.721 13.621C8.721 14.197 8.4195 14.7055 7.8165 15.1465C7.2135 15.5965 6.3675 15.943 5.2785 16.186ZM9.53174 15.106L10.1932 14.9305C10.6882 14.7955 11.0707 14.6695 11.3407 14.5525C11.6197 14.4355 11.8402 14.2735 12.0022 14.0665C12.1732 13.8685 12.2587 13.603 12.2587 13.27C12.2587 13.207 12.2497 13.0945 12.2317 12.9325L11.6917 9.0445L12.9337 8.8555L13.3252 11.7175L13.3657 12.001L13.4602 12.7705C13.4872 12.9865 13.5007 13.1845 13.5007 13.3645C13.5007 14.1745 13.2487 14.7955 12.7447 15.2275C12.2497 15.6595 11.5072 16.0105 10.5172 16.2805L9.85574 16.456L9.53174 15.106ZM10.1662 6.1285H11.5837V7.546H10.1527L10.1662 6.1285ZM11.5027 4.3195H12.7852V5.5345H11.5027V4.3195ZM12.6907 6.1285H14.0947L14.1082 7.546H12.6772L12.6907 6.1285ZM15.6407 15.106C16.7927 14.863 17.5892 14.6695 18.0302 14.5255C18.4802 14.3905 18.7907 14.2105 18.9617 13.9855C19.1417 13.7695 19.2137 13.441 19.1777 13H17.5172C16.7882 13 16.2077 12.775 15.7757 12.325C15.3437 11.866 15.1277 11.254 15.1277 10.489C15.1277 10.012 15.2312 9.562 15.4382 9.139C15.6452 8.707 15.9377 8.365 16.3157 8.113C16.6937 7.852 17.1212 7.7215 17.5982 7.7215C18.2912 7.7215 18.8717 7.9915 19.3397 8.5315C19.8077 9.0625 20.0912 9.7555 20.1902 10.6105L20.2982 11.596H21.1082L21.1892 12.298L21.1082 13H21.0677H20.4467L20.4602 13.297C20.4602 13.954 20.3027 14.4715 19.9877 14.8495C19.6817 15.2275 19.2182 15.529 18.5972 15.754C17.9762 15.988 17.0762 16.2265 15.8972 16.4695L15.6407 15.106ZM16.3832 10.489C16.3832 10.858 16.4732 11.137 16.6532 11.326C16.8332 11.506 17.1212 11.596 17.5172 11.596H19.0292L18.9347 10.7725C18.8807 10.2415 18.7367 9.8365 18.5027 9.5575C18.2687 9.2695 17.9672 9.1255 17.5982 9.1255C17.2202 9.1255 16.9232 9.2605 16.7072 9.5305C16.4912 9.8005 16.3832 10.12 16.3832 10.489ZM20.9735 11.596H25.1585L25.2395 12.298L25.1585 13H20.9735V11.596ZM25.0209 11.596H25.3314C26.0874 11.596 26.4564 11.281 26.4384 10.651L26.1819 3.982L27.4239 3.9145L27.6804 10.597C27.6984 11.011 27.6219 11.4025 27.4509 11.7715C27.2889 12.1405 27.0279 12.4375 26.6679 12.6625C26.3079 12.8875 25.8624 13 25.3314 13H25.0209V11.596ZM29.6944 15.106C30.8464 14.863 31.6429 14.6695 32.0839 14.5255C32.5339 14.3905 32.8444 14.2105 33.0154 13.9855C33.1954 13.7695 33.2674 13.441 33.2314 13H31.5709C30.8419 13 30.2614 12.775 29.8294 12.325C29.3974 11.866 29.1814 11.254 29.1814 10.489C29.1814 10.012 29.2849 9.562 29.4919 9.139C29.6989 8.707 29.9914 8.365 30.3694 8.113C30.7474 7.852 31.1749 7.7215 31.6519 7.7215C32.3449 7.7215 32.9254 7.9915 33.3934 8.5315C33.8614 9.0625 34.1449 9.7555 34.2439 10.6105L34.3519 11.596H35.1619L35.2429 12.298L35.1619 13H35.1214H34.5004L34.5139 13.297C34.5139 13.954 34.3564 14.4715 34.0414 14.8495C33.7354 15.2275 33.2719 15.529 32.6509 15.754C32.0299 15.988 31.1299 16.2265 29.9509 16.4695L29.6944 15.106ZM30.4369 10.489C30.4369 10.858 30.5269 11.137 30.7069 11.326C30.8869 11.506 31.1749 11.596 31.5709 11.596H33.0829L32.9884 10.7725C32.9344 10.2415 32.7904 9.8365 32.5564 9.5575C32.3224 9.2695 32.0209 9.1255 31.6519 9.1255C31.2739 9.1255 30.9769 9.2605 30.7609 9.5305C30.5449 9.8005 30.4369 10.12 30.4369 10.489ZM35.0272 11.596H35.8777C36.2917 11.596 36.5842 11.5285 36.7552 11.3935C36.9262 11.2495 37.0027 11.029 36.9847 10.732V10.705L36.8362 9.0445L38.0782 8.923L38.2267 10.5835V10.597C38.2627 10.975 38.3572 11.236 38.5102 11.38C38.6632 11.524 38.9377 11.596 39.3337 11.596L39.4147 12.298L39.3337 13C38.5957 13 38.0287 12.7975 37.6327 12.3925C37.2097 12.7975 36.6247 13 35.8777 13H35.0272V11.596ZM36.1072 6.0475H37.6057V7.546H36.1072V6.0475ZM45.9702 13C45.5742 13 45.2052 12.9145 44.8632 12.7435C44.5212 12.5635 44.1927 12.3025 43.8777 11.9605C43.8057 12.1045 43.7112 12.235 43.5942 12.352C43.2342 12.784 42.7122 13 42.0282 13H39.1932V11.596H42.0417C42.2487 11.596 42.4107 11.551 42.5277 11.461C42.7257 11.317 42.8247 11.1235 42.8247 10.8805C42.8247 10.7275 42.7797 10.579 42.6897 10.435L39.6927 6.196L39.9762 5.143L44.8497 3.3475L45.2952 4.657L41.2587 6.1285L43.6347 9.598L43.7292 9.7465C44.1792 10.4665 44.5617 10.957 44.8767 11.218C45.2007 11.47 45.5652 11.596 45.9702 11.596H46.1592L46.2402 12.298L46.1592 13H45.9702ZM46.0223 11.596H48.0203C48.4433 11.596 48.7718 11.524 49.0058 11.38C49.2488 11.227 49.3703 10.975 49.3703 10.624C49.3703 10.453 49.3388 10.2595 49.2758 10.0435L48.7493 8.032L49.9643 7.681L50.5043 9.76C50.5943 10.066 50.6393 10.372 50.6393 10.678C50.6393 11.164 50.5223 11.5825 50.2883 11.9335C50.0543 12.2845 49.7393 12.55 49.3433 12.73C48.9473 12.91 48.5063 13 48.0203 13H46.0223V11.596ZM46.5893 5.1025H47.9123V6.439H46.5893V5.1025ZM49.1003 5.1025H50.4368V6.439H49.1003V5.1025ZM57.7246 13.027C57.2836 13.027 56.8786 12.9145 56.5096 12.6895C56.1406 12.4645 55.8436 12.163 55.6186 11.785C55.4026 11.398 55.2946 10.9795 55.2946 10.5295C55.2946 10.1425 55.3891 9.751 55.5781 9.355C55.7671 8.959 56.0326 8.5945 56.3746 8.2615L56.8201 7.816L56.3881 7.411L57.2656 6.3985L58.8856 7.9645C59.3356 8.3965 59.6596 8.8105 59.8576 9.2065C60.0556 9.6025 60.1546 10.0435 60.1546 10.5295C60.1546 10.9795 60.0421 11.398 59.8171 11.785C59.6011 12.163 59.3086 12.4645 58.9396 12.6895C58.5706 12.9145 58.1656 13.027 57.7246 13.027ZM56.5096 10.5295C56.5096 10.8445 56.6266 11.1145 56.8606 11.3395C57.0946 11.5555 57.3826 11.6635 57.7246 11.6635C58.0666 11.6635 58.3501 11.5555 58.5751 11.3395C58.8091 11.1145 58.9261 10.8445 58.9261 10.5295C58.9261 10.2865 58.8676 10.057 58.7506 9.841C58.6336 9.616 58.3996 9.3325 58.0486 8.9905L57.7381 8.6935L57.2926 9.1255C57.0136 9.4045 56.8111 9.6565 56.6851 9.8815C56.5681 10.0975 56.5096 10.3135 56.5096 10.5295ZM63.8833 13C63.1993 13 62.6503 12.8515 62.2363 12.5545C61.8313 12.2575 61.6108 11.875 61.5748 11.407C61.5388 11.236 61.5208 10.9435 61.5208 10.5295H62.6818C62.6818 10.7905 62.6953 11.002 62.7223 11.164C62.7583 11.326 62.8483 11.4385 62.9923 11.5015C63.1363 11.5645 63.3613 11.596 63.6673 11.596H64.7878C65.5888 11.596 65.9893 11.353 65.9893 10.867C65.9893 10.813 65.9713 10.705 65.9353 10.543C65.7823 10.084 65.5078 9.517 65.1118 8.842C64.7248 8.167 64.2973 7.4965 63.8293 6.8305L64.8418 6.007C65.3728 6.745 65.8543 7.4965 66.2863 8.2615C66.7273 9.0265 67.0153 9.6835 67.1503 10.2325C67.2043 10.4575 67.2313 10.6825 67.2313 10.9075C67.2313 11.5285 67.0108 12.0325 66.5698 12.4195C66.1288 12.8065 65.4808 13 64.6258 13H63.8833ZM71.5537 13C70.9507 13 70.4737 12.91 70.1227 12.73C69.7717 12.55 69.5152 12.262 69.3532 11.866C69.1912 11.461 69.0967 10.903 69.0697 10.192L68.8267 3.982L70.0822 3.928L70.3252 10.192C70.3432 10.624 70.3792 10.9345 70.4332 11.1235C70.4962 11.3035 70.6042 11.4295 70.7572 11.5015C70.9192 11.5645 71.1847 11.596 71.5537 11.596H71.6887L71.7697 12.298L71.6887 13H71.5537ZM71.559 11.596H75.744L75.825 12.298L75.744 13H71.559V11.596ZM75.6063 11.596H75.7548C76.0248 11.596 76.2678 11.5375 76.4838 11.4205C76.6998 11.2945 76.8618 11.1235 76.9698 10.9075L77.9958 8.95C78.1758 8.599 78.4323 8.329 78.7653 8.14C79.0983 7.942 79.4538 7.843 79.8318 7.843C80.1828 7.843 80.5113 7.924 80.8173 8.086C81.2133 8.293 81.5058 8.572 81.6948 8.923C81.8928 9.274 81.9918 9.679 81.9918 10.138C81.9918 10.759 81.8298 11.416 81.5058 12.109C81.3708 12.406 81.1728 12.64 80.9118 12.811C80.6598 12.982 80.3808 13.0675 80.0748 13.0675C79.8228 13.0675 79.5843 13.009 79.3593 12.892L77.7123 12.0415C77.1993 12.6805 76.5468 13 75.7548 13H75.6063V11.596ZM80.1018 11.704C80.1648 11.74 80.2278 11.758 80.2908 11.758C80.4168 11.758 80.5023 11.695 80.5473 11.569L80.6823 11.272C80.8263 10.93 80.8983 10.6195 80.8983 10.3405C80.8983 10.0975 80.8488 9.8815 80.7498 9.6925C80.6508 9.4945 80.5068 9.3505 80.3178 9.2605C80.1828 9.1885 80.0298 9.1525 79.8588 9.1525C79.6698 9.1525 79.4898 9.2065 79.3188 9.3145C79.1568 9.4135 79.0263 9.562 78.9273 9.76L78.3873 10.84L80.1018 11.704ZM83.9854 5.359L85.2409 5.2915L85.5379 12.9865L84.2824 13.0405L83.9854 5.359ZM82.6084 4.6975C82.6084 4.3465 82.7119 4.0675 82.9189 3.8605C83.1259 3.6445 83.4004 3.5365 83.7424 3.5365C83.8144 3.5365 83.9134 3.5455 84.0394 3.5635L85.4029 3.82C85.4479 3.829 85.5064 3.8335 85.5784 3.8335C85.7314 3.8335 85.8484 3.793 85.9294 3.712C86.0104 3.631 86.0509 3.523 86.0509 3.388V3.3205L86.7124 3.2665V3.523C86.7124 3.874 86.6044 4.1575 86.3884 4.3735C86.1814 4.5895 85.9069 4.6975 85.5649 4.6975C85.5019 4.6975 85.4074 4.6885 85.2814 4.6705L83.9179 4.414C83.8729 4.405 83.8099 4.4005 83.7289 4.4005C83.5759 4.4005 83.4589 4.441 83.3779 4.522C83.3059 4.594 83.2699 4.6975 83.2699 4.8325V4.9135L82.6084 4.954V4.6975ZM96.2282 13C95.2112 13 94.4417 12.991 93.9197 12.973C93.4067 12.946 93.0152 12.91 92.7452 12.865C92.4842 12.811 92.2322 12.7345 91.9892 12.6355C91.5662 12.4465 91.2422 12.172 91.0172 11.812C90.7922 11.452 90.6797 11.0335 90.6797 10.5565C90.6797 10.2685 90.7202 9.9625 90.8012 9.6385L91.3007 7.708L92.5022 8.059L91.9892 10.0435C91.9442 10.1965 91.9217 10.363 91.9217 10.543C91.9217 10.741 91.9667 10.903 92.0567 11.029C92.1467 11.155 92.2907 11.263 92.4887 11.353C92.7047 11.443 93.0377 11.506 93.4877 11.542C93.9467 11.578 94.8872 11.596 96.3092 11.596H99.4817C99.8957 11.596 100.188 11.5285 100.359 11.3935C100.53 11.2495 100.607 11.029 100.589 10.732V10.705L100.44 9.0445L101.696 8.923L101.844 10.5835V10.624C101.88 10.993 101.975 11.2495 102.128 11.3935C102.29 11.5285 102.56 11.596 102.938 11.596H103.086L103.167 12.298L103.086 13H102.938C102.191 13 101.624 12.793 101.237 12.379C101.03 12.577 100.778 12.73 100.481 12.838C100.184 12.946 99.8507 13 99.4817 13H96.3092H96.2282ZM94.4327 6.898H95.7557V8.2345H94.4327V6.898ZM96.9437 6.898H98.2667V8.2345H96.9437V6.898ZM102.936 11.596H107.121L107.202 12.298L107.121 13H102.936V11.596ZM106.983 11.596H108.981C109.404 11.596 109.733 11.524 109.967 11.38C110.21 11.227 110.331 10.975 110.331 10.624C110.331 10.453 110.3 10.2595 110.237 10.0435L109.71 8.032L110.925 7.681L111.465 9.76C111.555 10.066 111.6 10.372 111.6 10.678C111.6 11.164 111.483 11.5825 111.249 11.9335C111.015 12.2845 110.7 12.55 110.304 12.73C109.908 12.91 109.467 13 108.981 13H106.983V11.596ZM106.376 14.296H107.699V15.6325H106.376V14.296ZM108.887 14.296H110.21V15.6325H108.887V14.296ZM115.916 13C115.313 13 114.836 12.91 114.485 12.73C114.134 12.55 113.878 12.262 113.716 11.866C113.554 11.461 113.459 10.903 113.432 10.192L113.189 3.982L114.445 3.928L114.688 10.192C114.706 10.624 114.742 10.9345 114.796 11.1235C114.859 11.3035 114.967 11.4295 115.12 11.5015C115.282 11.5645 115.547 11.596 115.916 11.596H116.051L116.132 12.298L116.051 13H115.916ZM123.185 13C122.51 13 121.965 12.766 121.551 12.298C121.146 12.766 120.584 13 119.864 13C119.531 13 119.225 12.937 118.946 12.811C118.676 12.685 118.442 12.5095 118.244 12.2845C117.83 12.7615 117.267 13 116.556 13H115.922V11.596H116.556C116.979 11.596 117.267 11.515 117.42 11.353C117.573 11.191 117.654 10.9795 117.663 10.7185V10.6375V8.9635H118.838V10.6375V10.7185C118.847 10.9975 118.937 11.2135 119.108 11.3665C119.279 11.5195 119.531 11.596 119.864 11.596C120.305 11.596 120.597 11.506 120.741 11.326C120.894 11.146 120.971 10.9165 120.971 10.6375V8.9635H122.145V10.6375V10.7185C122.145 10.9975 122.231 11.2135 122.402 11.3665C122.582 11.5195 122.843 11.596 123.185 11.596C123.923 11.596 124.292 11.2855 124.292 10.6645C124.292 10.4755 124.26 10.2685 124.197 10.0435L123.657 8.032L124.872 7.681L125.412 9.6925C125.502 10.0255 125.547 10.3495 125.547 10.6645C125.547 11.1415 125.439 11.56 125.223 11.92C125.016 12.271 124.733 12.541 124.373 12.73C124.022 12.91 123.626 13 123.185 13Z\" fill=\"#5E71FF\"></path><path d=\"M140.923 30.5781H140.793C139.696 30.5204 138.665 30.0774 137.914 29.3409C137.164 28.6045 136.752 27.6313 136.763 26.6233V21.7477C136.755 21.3209 136.627 20.9033 136.389 20.536C136.152 20.1687 135.815 19.8645 135.41 19.6534C133.788 18.7916 132.437 17.5588 131.489 16.0752C130.541 14.5916 130.028 12.9078 130.002 11.1883C129.958 8.82586 130.827 6.52541 132.453 4.69324C134.08 2.86107 136.36 1.61503 138.891 1.17518C141.422 0.735329 144.041 1.12996 146.285 2.28937C148.53 3.44879 150.255 5.29841 151.157 7.5116C151.183 7.5706 151.195 7.6337 151.194 7.69721C151.193 7.76072 151.178 7.82334 151.15 7.88142C151.122 7.9395 151.081 7.99185 151.031 8.03542C150.98 8.07898 150.921 8.11287 150.856 8.13511C150.791 8.15734 150.722 8.16747 150.653 8.16491C150.584 8.16234 150.516 8.14712 150.453 8.12015C150.391 8.09318 150.334 8.055 150.288 8.00784C150.242 7.96068 150.206 7.90551 150.183 7.84554C149.449 6.03392 148.101 4.48573 146.338 3.42799C144.574 2.37025 142.488 1.85861 140.384 1.96811C137.838 2.11259 135.449 3.14796 133.711 4.86064C131.973 6.57331 131.017 8.83265 131.042 11.1726C131.066 12.7283 131.529 14.2517 132.386 15.5941C133.244 16.9365 134.466 18.052 135.934 18.8319C136.495 19.1269 136.962 19.551 137.29 20.0623C137.618 20.5737 137.794 21.1545 137.803 21.7477V26.6233C137.789 27.3841 138.096 28.1204 138.659 28.6793C139.222 29.2381 139.998 29.5765 140.826 29.624C141.243 29.6338 141.659 29.5676 142.049 29.4292C142.438 29.2908 142.794 29.083 143.096 28.8178C143.397 28.5515 143.636 28.232 143.799 27.8786C143.962 27.5253 144.045 27.1453 144.044 26.7616V21.7477C144.041 21.1657 144.206 20.5933 144.521 20.0883C144.837 19.5834 145.292 19.1638 145.841 18.8719C147.836 17.8192 149.37 16.1644 150.184 14.1895C150.207 14.13 150.243 14.0754 150.29 14.0287C150.336 13.9821 150.392 13.9445 150.455 13.918C150.518 13.8915 150.585 13.8767 150.654 13.8744C150.723 13.8721 150.792 13.8825 150.857 13.9048C150.921 13.9272 150.98 13.961 151.03 14.0045C151.08 14.0479 151.121 14.1001 151.148 14.158C151.176 14.2158 151.191 14.2781 151.193 14.3414C151.194 14.4046 151.182 14.4675 151.157 14.5263C150.259 16.7093 148.562 18.5384 146.357 19.7011C145.967 19.9095 145.645 20.2085 145.421 20.5678C145.198 20.9271 145.081 21.334 145.084 21.7477V26.7616C145.084 27.7738 144.646 28.7446 143.865 29.4603C143.085 30.176 142.027 30.5781 140.923 30.5781Z\" fill=\"url(#paint0_linear_58_19)\"></path><path d=\"M144.564 23.8992H137.283C137.145 23.8992 137.013 23.8489 136.915 23.7595C136.817 23.67 136.763 23.5487 136.763 23.4221C136.763 23.2956 136.817 23.1743 136.915 23.0848C137.013 22.9953 137.145 22.9451 137.283 22.9451H144.564C144.702 22.9451 144.834 22.9953 144.932 23.0848C145.029 23.1743 145.084 23.2956 145.084 23.4221C145.084 23.5487 145.029 23.67 144.932 23.7595C144.834 23.8489 144.702 23.8992 144.564 23.8992Z\" fill=\"url(#paint1_linear_58_19)\"></path><path d=\"M139.883 25.8075H137.283C137.145 25.8075 137.013 25.7572 136.915 25.6677C136.817 25.5783 136.763 25.4569 136.763 25.3304C136.763 25.2039 136.817 25.0825 136.915 24.9931C137.013 24.9036 137.145 24.8533 137.283 24.8533H139.883C140.021 24.8533 140.153 24.9036 140.251 24.9931C140.349 25.0825 140.403 25.2039 140.403 25.3304C140.403 25.4569 140.349 25.5783 140.251 25.6677C140.153 25.7572 140.021 25.8075 139.883 25.8075Z\" fill=\"url(#paint2_linear_58_19)\"></path><path d=\"M139.363 17.5304C139.323 17.5305 139.283 17.5263 139.243 17.518C137.93 17.2299 136.73 16.6138 135.775 15.7381C134.82 14.8623 134.149 13.7611 133.835 12.5566C133.819 12.4956 133.817 12.4324 133.828 12.3705C133.839 12.3087 133.863 12.2494 133.899 12.1962C133.935 12.1429 133.982 12.0966 134.037 12.0601C134.093 12.0235 134.155 11.9972 134.222 11.9829C134.288 11.9685 134.357 11.9664 134.425 11.9764C134.492 11.9865 134.557 12.0087 134.615 12.0417C134.673 12.0746 134.723 12.1178 134.763 12.1687C134.803 12.2195 134.832 12.2771 134.847 12.3381C135.117 13.3694 135.692 14.3122 136.509 15.0621C137.327 15.812 138.355 16.3397 139.479 16.5868C139.605 16.6115 139.717 16.6784 139.793 16.7745C139.868 16.8706 139.902 16.9891 139.888 17.1069C139.873 17.2246 139.811 17.3332 139.715 17.4115C139.618 17.4898 139.492 17.5322 139.363 17.5304Z\" fill=\"url(#paint3_linear_58_19)\"></path><path d=\"M142.484 17.5304C142.356 17.5301 142.234 17.4869 142.139 17.4091C142.044 17.3313 141.983 17.2242 141.968 17.1081C141.954 16.9921 141.986 16.8752 142.059 16.7795C142.132 16.6839 142.241 16.6161 142.365 16.5892C143.489 16.3421 144.517 15.8144 145.335 15.0645C146.152 14.3146 146.728 13.3718 146.997 12.3404C147.029 12.2173 147.112 12.1107 147.23 12.044C147.347 11.9774 147.488 11.9563 147.622 11.9853C147.757 12.0142 147.873 12.091 147.946 12.1985C148.018 12.3061 148.041 12.4358 148.01 12.5589C147.696 13.7635 147.024 14.8647 146.069 15.7405C145.114 16.6162 143.914 17.2323 142.601 17.5204C142.562 17.5277 142.523 17.5311 142.484 17.5304Z\" fill=\"url(#paint4_linear_58_19)\"></path><path d=\"M147.502 10.0644C147.385 10.0642 147.271 10.0278 147.18 9.96105C147.088 9.8943 147.023 9.8011 146.996 9.69654C146.727 8.6652 146.152 7.72238 145.334 6.97248C144.517 6.22258 143.489 5.69487 142.365 5.44781C142.298 5.43346 142.235 5.40724 142.18 5.37065C142.124 5.33405 142.077 5.2878 142.041 5.23453C142.006 5.18126 141.981 5.12202 141.97 5.06018C141.959 4.99834 141.962 4.93513 141.977 4.87414C141.993 4.81315 142.022 4.75558 142.061 4.70473C142.101 4.65387 142.152 4.61072 142.21 4.57774C142.268 4.54476 142.333 4.52259 142.4 4.51251C142.467 4.50242 142.536 4.50462 142.603 4.51896C143.916 4.80706 145.116 5.42316 146.071 6.29892C147.026 7.17468 147.698 8.27589 148.012 9.48043C148.043 9.60347 148.02 9.73283 147.947 9.84015C147.874 9.94747 147.758 10.024 147.624 10.0529C147.584 10.0609 147.543 10.0647 147.502 10.0644Z\" fill=\"url(#paint5_linear_58_19)\"></path><path d=\"M134.345 10.0644C134.305 10.0643 134.264 10.0601 134.225 10.052C134.091 10.0231 133.975 9.94655 133.902 9.83923C133.83 9.73191 133.807 9.60255 133.838 9.47952C134.152 8.27498 134.823 7.17377 135.778 6.298C136.733 5.42224 137.933 4.80615 139.247 4.51805C139.313 4.5037 139.382 4.50151 139.449 4.51159C139.517 4.52168 139.581 4.54384 139.64 4.57682C139.698 4.6098 139.748 4.65296 139.788 4.70381C139.828 4.75467 139.856 4.81223 139.872 4.87322C139.888 4.93421 139.89 4.99743 139.879 5.05926C139.868 5.1211 139.844 5.18035 139.808 5.23362C139.772 5.28689 139.725 5.33314 139.67 5.36973C139.614 5.40633 139.551 5.43255 139.485 5.44689C138.361 5.69396 137.333 6.22166 136.515 6.97156C135.698 7.72146 135.122 8.66429 134.853 9.69563C134.826 9.80076 134.761 9.89448 134.669 9.96146C134.577 10.0284 134.463 10.0647 134.345 10.0644Z\" fill=\"url(#paint6_linear_58_19)\"></path><path d=\"M140.923 13.4038C140.503 13.4041 140.088 13.3108 139.715 13.1318C139.343 12.9528 139.023 12.6935 138.783 12.3762C138.544 12.0589 138.392 11.693 138.341 11.3099C138.289 10.9269 138.34 10.5381 138.488 10.177C138.637 9.8159 138.878 9.49321 139.193 9.23664C139.507 8.98006 139.884 8.79728 140.293 8.70396C140.701 8.61064 141.128 8.60958 141.537 8.70087C141.945 8.79216 142.324 8.97307 142.64 9.22808C142.691 9.26933 142.733 9.31947 142.764 9.37564C142.794 9.43181 142.812 9.4929 142.816 9.55543C142.821 9.61796 142.812 9.6807 142.79 9.74007C142.768 9.79944 142.734 9.85428 142.689 9.90145C142.644 9.94863 142.589 9.98722 142.528 10.015C142.467 10.0428 142.4 10.0593 142.332 10.0635C142.264 10.0676 142.195 10.0595 142.131 10.0394C142.066 10.0193 142.006 9.98779 141.955 9.94654C141.73 9.76392 141.452 9.6448 141.155 9.60348C140.858 9.56216 140.554 9.6004 140.28 9.71361C140.006 9.82682 139.774 10.0102 139.611 10.2417C139.448 10.4731 139.361 10.7429 139.361 11.0185C139.361 11.2941 139.448 11.5639 139.611 11.7953C139.774 12.0268 140.006 12.2102 140.28 12.3234C140.554 12.4366 140.858 12.4748 141.155 12.4335C141.452 12.3922 141.73 12.2731 141.955 12.0905C142.059 12.0071 142.194 11.9651 142.332 11.9735C142.4 11.9777 142.467 11.9942 142.528 12.022C142.589 12.0498 142.644 12.0884 142.689 12.1355C142.734 12.1827 142.768 12.2376 142.79 12.2969C142.812 12.3563 142.821 12.419 142.816 12.4816C142.812 12.5441 142.794 12.6052 142.764 12.6614C142.733 12.7175 142.691 12.7677 142.64 12.8089C142.165 13.1914 141.555 13.4028 140.923 13.4038Z\" fill=\"url(#paint7_linear_58_19)\"></path><path d=\"M140.923 6.7249C140.785 6.7249 140.653 6.67464 140.556 6.58517C140.458 6.4957 140.403 6.37436 140.403 6.24784V3.38545C140.403 3.25893 140.458 3.13758 140.556 3.04812C140.653 2.95865 140.785 2.90839 140.923 2.90839C141.061 2.90839 141.194 2.95865 141.291 3.04812C141.389 3.13758 141.443 3.25893 141.443 3.38545V6.24784C141.443 6.37436 141.389 6.4957 141.291 6.58517C141.194 6.67464 141.061 6.7249 140.923 6.7249Z\" fill=\"url(#paint8_linear_58_19)\"></path><path d=\"M140.923 19.1286C140.785 19.1286 140.653 19.0783 140.556 18.9889C140.458 18.8994 140.403 18.778 140.403 18.6515V15.7891C140.403 15.6626 140.458 15.5413 140.556 15.4518C140.653 15.3623 140.785 15.3121 140.923 15.3121C141.061 15.3121 141.194 15.3623 141.291 15.4518C141.389 15.5413 141.443 15.6626 141.443 15.7891V18.6515C141.443 18.778 141.389 18.8994 141.291 18.9889C141.194 19.0783 141.061 19.1286 140.923 19.1286Z\" fill=\"url(#paint9_linear_58_19)\"></path><path d=\"M135.723 11.4956H132.602C132.464 11.4956 132.332 11.4453 132.234 11.3558C132.137 11.2664 132.082 11.145 132.082 11.0185C132.082 10.892 132.137 10.7706 132.234 10.6812C132.332 10.5917 132.464 10.5414 132.602 10.5414H135.723C135.86 10.5414 135.993 10.5917 136.09 10.6812C136.188 10.7706 136.243 10.892 136.243 11.0185C136.243 11.145 136.188 11.2664 136.09 11.3558C135.993 11.4453 135.86 11.4956 135.723 11.4956Z\" fill=\"url(#paint10_linear_58_19)\"></path><path d=\"M155.486 11.4956H140.923C140.785 11.4956 140.653 11.4453 140.556 11.3558C140.458 11.2664 140.403 11.145 140.403 11.0185C140.403 10.892 140.458 10.7706 140.556 10.6812C140.653 10.5917 140.785 10.5414 140.923 10.5414H155.486C155.624 10.5414 155.756 10.5917 155.854 10.6812C155.951 10.7706 156.006 10.892 156.006 11.0185C156.006 11.145 155.951 11.2664 155.854 11.3558C155.756 11.4453 155.624 11.4956 155.486 11.4956Z\" fill=\"url(#paint11_linear_58_19)\"></path><path d=\"M155.486 11.4955C155.383 11.4955 155.283 11.4675 155.197 11.4151C155.112 11.3627 155.045 11.2882 155.006 11.201C154.966 11.1139 154.956 11.018 154.976 10.9254C154.996 10.8329 155.045 10.7479 155.118 10.6812L157.351 8.63314H153.101L150.133 11.3558C150.035 11.4427 149.903 11.4907 149.767 11.4897C149.63 11.4886 149.5 11.4384 149.404 11.3499C149.307 11.2615 149.252 11.1418 149.251 11.0167C149.25 10.8917 149.302 10.7712 149.397 10.6812L152.518 7.8188C152.615 7.72932 152.748 7.67904 152.885 7.67902H158.606C158.709 7.67904 158.81 7.70703 158.895 7.75945C158.981 7.81187 159.047 7.88637 159.087 7.97353C159.126 8.06069 159.136 8.1566 159.116 8.24912C159.096 8.34165 159.047 8.42665 158.974 8.49337L155.854 11.3558C155.756 11.4452 155.624 11.4955 155.486 11.4955Z\" fill=\"url(#paint12_linear_58_19)\"></path><path d=\"M158.606 14.358H152.885C152.748 14.3579 152.615 14.3076 152.518 14.2182L149.397 11.3558C149.302 11.2658 149.25 11.1453 149.251 11.0202C149.252 10.8951 149.307 10.7755 149.404 10.687C149.5 10.5986 149.63 10.5484 149.767 10.5473C149.903 10.5462 150.035 10.5943 150.133 10.6812L153.101 13.4038H157.351L155.118 11.3558C155.023 11.2658 154.971 11.1453 154.972 11.0202C154.973 10.8951 155.028 10.7755 155.125 10.687C155.221 10.5986 155.351 10.5484 155.488 10.5473C155.624 10.5462 155.756 10.5943 155.854 10.6812L158.974 13.5436C159.047 13.6103 159.096 13.6953 159.116 13.7878C159.136 13.8804 159.126 13.9763 159.087 14.0634C159.047 14.1506 158.981 14.2251 158.895 14.2775C158.81 14.3299 158.709 14.3579 158.606 14.358Z\" fill=\"url(#paint13_linear_58_19)\"></path><defs><linearGradient id=\"paint0_linear_58_19\" x1=\"124.623\" y1=\"29.4775\" x2=\"154.15\" y2=\"-2.71187\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint1_linear_58_19\" x1=\"129.473\" y1=\"33.9257\" x2=\"158.999\" y2=\"1.73625\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint2_linear_58_19\" x1=\"129.343\" y1=\"33.8064\" x2=\"158.869\" y2=\"1.61698\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint3_linear_58_19\" x1=\"122.711\" y1=\"27.7239\" x2=\"152.238\" y2=\"-4.46555\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint4_linear_58_19\" x1=\"127.135\" y1=\"31.7818\" x2=\"156.662\" y2=\"-0.407643\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint5_linear_58_19\" x1=\"122.711\" y1=\"27.7238\" x2=\"152.238\" y2=\"-4.46557\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint6_linear_58_19\" x1=\"118.288\" y1=\"23.666\" x2=\"147.814\" y2=\"-8.52344\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint7_linear_58_19\" x1=\"122.709\" y1=\"27.7224\" x2=\"152.236\" y2=\"-4.4675\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint8_linear_58_19\" x1=\"119.331\" y1=\"24.6229\" x2=\"148.857\" y2=\"-7.56649\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint9_linear_58_19\" x1=\"126.092\" y1=\"30.8248\" x2=\"155.619\" y2=\"-1.36464\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint10_linear_58_19\" x1=\"119.331\" y1=\"24.6229\" x2=\"148.857\" y2=\"-7.56646\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint11_linear_58_19\" x1=\"126.352\" y1=\"31.0633\" x2=\"155.879\" y2=\"-1.1261\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint12_linear_58_19\" x1=\"128.562\" y1=\"33.0908\" x2=\"158.089\" y2=\"0.901385\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient><linearGradient id=\"paint13_linear_58_19\" x1=\"130.123\" y1=\"34.522\" x2=\"159.649\" y2=\"2.33262\" gradientUnits=\"userSpaceOnUse\"><stop stop-color=\"#AB20EC\"></stop><stop offset=\"1\" stop-color=\"#0071FC\"></stop></linearGradient></defs></svg>");
INSERT INTO `wp_postmeta` VALUES("56945", "2504", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512.145 512.145\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\"><g><circle cx=\"256.073\" cy=\"256.073\" r=\"181.022\" style=\"stroke-miterlimit: 10;\" fill=\"none\" stroke=\"#5E71FF\" stroke-width=\"30px\" stroke-miterlimit=\"10\" data-original=\"#000000\" opacity=\"1\"></circle><circle cx=\"256.073\" cy=\"256.073\" r=\"241.073\" style=\"stroke-miterlimit: 10;\" fill=\"none\" stroke=\"#5E71FF\" stroke-width=\"30px\" stroke-miterlimit=\"10\" data-original=\"#000000\" opacity=\"1\"></circle><path d=\"M193.327 323.878h83.066c19.095 0 34.575-15.48 34.575-34.575 0-19.095-15.48-34.575-34.575-34.575h-42.721c-18.352 0-33.23-14.878-33.23-33.23 0-18.352 14.878-33.23 33.23-33.23h71.24M256.05 188.268v-41.62M256.05 365.497v-41.619\" style=\"stroke-miterlimit: 10;\" fill=\"none\" stroke=\"#5E71FF\" stroke-width=\"30px\" stroke-miterlimit=\"10\" data-original=\"#000000\" opacity=\"1\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56946", "2500", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 505 505\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M477.5 270.181v-90.362l-54.624-13.005a179.4 179.4 0 0 0-8.766-21.131l29.436-47.834-63.896-63.896-47.834 29.437a179.316 179.316 0 0 0-21.13-8.766L297.681 0H207.32l-13.006 54.624a179.316 179.316 0 0 0-21.13 8.766L125.35 33.953 61.453 97.849l29.436 47.834a179.4 179.4 0 0 0-8.766 21.131L27.5 179.818v90.362l54.624 13.006a179.4 179.4 0 0 0 8.766 21.131l-29.575 48.059 44.304 42.436a138.543 138.543 0 0 0-7.119 43.881V505h310v-66.307c0-14.506-2.274-28.8-6.658-42.435l41.487-44.461-29.218-47.479a179.4 179.4 0 0 0 8.766-21.131zM378.5 475h-250v-36.307c0-20.806 5.928-41.066 17.144-58.591C165.722 348.729 199.946 330 237.193 330h32.614c37.247 0 71.471 18.729 91.549 50.101a108.499 108.499 0 0 1 17.144 58.592zm-125-176.25c-38.253 0-69.375-31.122-69.375-69.375S215.247 160 253.5 160s69.375 31.122 69.375 69.375-31.122 69.375-69.375 69.375zm152.296 49.297-17.443 18.693c-.57-.94-1.135-1.883-1.729-2.81-17.205-26.883-42.557-46.474-71.744-56.455 23.122-18.211 37.994-46.451 37.994-78.1 0-54.795-44.58-99.375-99.375-99.375s-99.375 44.58-99.375 99.375c0 31.649 14.872 59.889 37.994 78.1-29.187 9.98-54.539 29.572-71.744 56.455-.462.722-.897 1.458-1.345 2.187l-19.47-18.649 25.939-42.151-19.62-47.312-48.378-11.52v-42.971l48.379-11.519 19.62-47.312-26.078-42.376 30.385-30.385L172.183 98l47.312-19.62L231.015 30h42.971l11.519 48.379L332.817 98l42.376-26.078 30.385 30.385-26.078 42.376 19.62 47.312 48.379 11.519v42.971l-48.379 11.519-19.62 47.312z\" fill=\"#000000\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56947", "2499", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 682.667 682.667\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><defs><clipPath id=\"a\" clipPathUnits=\"userSpaceOnUse\"><path d=\"M0 512h512V0H0Z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></clipPath></defs><g clip-path=\"url(#a)\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\"><path d=\"M0 0c0-74.559-60.441-135-135-135S-270-74.559-270 0s60.441 135 135 135S0 74.559 0 0Z\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(436 256)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path><path d=\"M0 0c-43.002.116-82.784-13.626-115.152-37H-222.03c-16.85 0-30.51-13.659-30.51-30.509s13.66-30.509 30.51-30.509h51.707a194.768 194.768 0 0 1-21.58-55.472h-64.127c-16.85 0-30.51-13.659-30.51-30.51 0-16.85 13.66-30.509 30.51-30.509h60.366a194.821 194.821 0 0 1 13.583-55.471h-21.792c-16.85 0-30.509-13.66-30.509-30.51S-220.723-331-203.873-331h61.243c35.709-37.573 86.163-61 142.09-61 108.248 0 196 87.752 196 196C195.461-87.708 108.292-.292 0 0Z\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(301.54 452)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path><path d=\"M0 0v-85h57\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(301 341)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56948", "2471", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 24 24\" width=\"24\" height=\"24\"><path fill=\"none\" d=\"M0 0h24v24H0z\"></path><path d=\"M12 4c6.075 0 11 2.686 11 6v4c0 3.314-4.925 6-11 6-5.967 0-10.824-2.591-10.995-5.823L1 14v-4c0-3.314 4.925-6 11-6zm0 12c-3.72 0-7.01-1.007-9-2.55V14c0 1.882 3.883 4 9 4 5.01 0 8.838-2.03 8.995-3.882L21 14l.001-.55C19.011 14.992 15.721 16 12 16zm0-10c-5.117 0-9 2.118-9 4 0 1.882 3.883 4 9 4s9-2.118 9-4c0-1.882-3.883-4-9-4z\"></path></svg>");
INSERT INTO `wp_postmeta` VALUES("56949", "2344", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"1758\" height=\"578\" viewBox=\"0 0 1758 578\"><defs><radialGradient id=\"a\" cx=\"0.5\" cy=\"0.5\" r=\"0.58\" gradientTransform=\"translate(0.023 1.022) rotate(-92.529)\" gradientUnits=\"objectBoundingBox\"><stop offset=\"0\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.256\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.507\" stop-color=\"#fff\" stop-opacity=\"0\"></stop><stop offset=\"0.719\" stop-color=\"#fff\" stop-opacity=\"0.153\"></stop><stop offset=\"1\" stop-color=\"#fff\"></stop></radialGradient></defs><g transform=\"translate(163 -4052.145)\"><circle cx=\"127\" cy=\"127\" r=\"127\" transform=\"translate(-163 4376.145)\" opacity=\"0.157\" fill=\"url(#a)\"></circle><circle cx=\"127\" cy=\"127\" r=\"127\" transform=\"translate(1341 4052.145)\" opacity=\"0.157\" fill=\"url(#a)\"></circle></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56950", "2334", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 520 520\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path fill=\"#BF0411\" d=\"M395 150.389 369.611 125 260 234.611 150.389 125 125 150.389 234.611 260 125 369.611 150.389 395 260 285.389 369.611 395 395 369.611 285.389 260z\" data-name=\"29-Close\" opacity=\"1\" data-original=\"#bf0411\"></path><g fill=\"#828282\" data-name=\"13-Cancel\"><circle cx=\"259.868\" cy=\"43.663\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"259.868\" cy=\"476.238\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"43.815\" cy=\"259.951\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"475.922\" cy=\"259.951\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"412.807\" cy=\"107.012\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"106.93\" cy=\"412.889\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"107.096\" cy=\"107.178\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"412.641\" cy=\"412.723\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"72.558\" cy=\"151.807\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"447.179\" cy=\"368.095\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"151.842\" cy=\"447.058\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"367.895\" cy=\"72.843\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"203.889\" cy=\"51.033\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"315.848\" cy=\"468.869\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"51.177\" cy=\"315.869\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"468.56\" cy=\"204.032\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"447.179\" cy=\"151.807\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"72.558\" cy=\"368.095\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"367.895\" cy=\"447.058\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"151.842\" cy=\"72.843\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"315.848\" cy=\"51.033\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"203.889\" cy=\"468.869\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"468.56\" cy=\"315.869\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"51.177\" cy=\"204.032\" r=\"10\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56951", "1758", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 520 520\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path fill=\"#009045\" d=\"m213.114 419.861-4.378-7.457C175.9 356.458 88.55 237.607 87.672 236.413l-2.562-3.481 32.854-32.463L212 266.132c58.937-76.169 113.841-128.59 149.758-159.312 39.678-33.939 64.8-49.127 65.845-49.757l1.188-.713h57.9l-9.805 8.734C353.065 175.369 218.736 409.99 217.393 412.348z\" data-name=\"30-Checked\" opacity=\"1\" data-original=\"#009045\"></path><g fill=\"#828282\" data-name=\"13-Cancel\"><circle cx=\"213.125\" cy=\"111.604\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"213.125\" cy=\"455.695\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"41.266\" cy=\"283.65\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"384.984\" cy=\"283.65\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"91.471\" cy=\"405.304\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"91.603\" cy=\"162.127\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"334.648\" cy=\"405.172\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"64.129\" cy=\"197.627\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"362.121\" cy=\"369.672\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"127.196\" cy=\"432.484\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"168.597\" cy=\"117.466\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"257.654\" cy=\"449.833\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"47.122\" cy=\"328.13\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"379.128\" cy=\"239.169\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"64.129\" cy=\"369.672\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"299.055\" cy=\"432.484\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"127.196\" cy=\"134.815\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"257.654\" cy=\"117.466\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"168.597\" cy=\"449.833\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"379.128\" cy=\"328.13\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle><circle cx=\"47.122\" cy=\"239.169\" r=\"7.954\" fill=\"#828282\" opacity=\"1\" data-original=\"#828282\"></circle></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56952", "1650", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"55.88\" height=\"63.964\" viewBox=\"0 0 55.88 63.964\"><g id=\"Layer_2\" data-name=\"Layer 2\" transform=\"translate(0.005)\"><g id=\"diamond\"><path id=\"Path_1685\" d=\"M55.67,27.73a1,1,0,0,0-.16-1.38L41.59,14.88a1,1,0,0,0-.64-.23H13.86a1,1,0,0,0-.67.25L.33,26.37a1,1,0,0,0-.14,1.34L26.61,63.59h0a1,1,0,0,0,1.56,0h0Zm-40,.39,9,29.57L3,28.12ZM30.79,16.65l5.78,9.47H18.25L24,16.65ZM52.86,28.12,30,58l9.1-29.88ZM37,28.12,27.4,59.57,17.8,28.12Zm15.09-2H38.92l-5.78-9.47H40.6ZM14.24,16.65h7.44L15.9,26.12H3.62Z\" fill=\"#fff\"></path><path id=\"Path_1686\" d=\"M27.42,8.13a1,1,0,0,0,1-1V1a1,1,0,0,0-2,0V7.13A1,1,0,0,0,27.42,8.13Z\" fill=\"#fff\"></path><path id=\"Path_1687\" d=\"M18.47,8.74a1,1,0,1,0,1.62-1.18L16.23,2.25a1,1,0,1,0-1.62,1.18Z\" fill=\"#fff\"></path><path id=\"Path_1688\" d=\"M35.16,9.15A1,1,0,0,0,36,8.74l3.86-5.31a1,1,0,0,0-1.62-1.18L34.35,7.56a1,1,0,0,0,.81,1.59Z\" fill=\"#fff\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56953", "1275", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 682.667 682.667\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><defs><clipPath id=\"b\" clipPathUnits=\"userSpaceOnUse\"><path d=\"M0 512h512V0H0Z\" fill=\"\" data-original=\"\"></path></clipPath></defs><mask id=\"a\"><rect width=\"100%\" height=\"100%\" fill=\"#FFFFFF\" data-original=\"#ffffff\"></rect></mask><g mask=\"url(#a)\"><g clip-path=\"url(#b)\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\"><path d=\"m0 0-161.986-481.252-98.283 219.066-220.776 102.342z\" style=\"stroke-linecap: round; stroke-linejoin: round; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(496.36 496.439)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path><path d=\"m0 0 260.269 262.186\" style=\"stroke-linecap: round; stroke-linejoin: round; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(236.091 234.253)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path></g></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56954", "1274", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 682.667 682.667\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><defs><clipPath id=\"a\" clipPathUnits=\"userSpaceOnUse\"><path d=\"M0 512h512V0H0Z\" fill=\"\" data-original=\"\"></path></clipPath></defs><g clip-path=\"url(#a)\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\"><path d=\"m0 0 257.067 257.067M0 0l-201.802 57.658c-13.692 3.912-23.131 16.425-23.131 30.666v.008a32.437 32.437 0 0 0 23.118 31.07l458.882 137.665-137.665-458.882a32.437 32.437 0 0 0-31.07-23.118h-.008c-14.241 0-26.754 9.439-30.666 23.131L0 0Z\" style=\"stroke-linecap: round; stroke-linejoin: round; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(239.933 239.933)\" fill=\"none\" stroke=\"\" stroke-width=\"30px\" stroke-linecap=\"round\" stroke-linejoin=\"round\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56955", "1272", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M371.643 0H140.357C62.964 0 0 62.964 0 140.358v231.285C0 449.037 62.964 512 140.357 512h231.286C449.037 512 512 449.037 512 371.643V140.358C512 62.964 449.037 0 371.643 0zm110.121 371.643c0 60.721-49.399 110.121-110.121 110.121H140.357c-60.721 0-110.121-49.399-110.121-110.121V140.358c0-60.722 49.4-110.122 110.121-110.122h231.286c60.722 0 110.121 49.4 110.121 110.122v231.285z\" fill=\"\" data-original=\"\"></path><path d=\"M256 115.57c-77.434 0-140.431 62.997-140.431 140.431S178.565 396.432 256 396.432c77.434 0 140.432-62.998 140.432-140.432S333.434 115.57 256 115.57zm0 250.627c-60.762 0-110.196-49.435-110.196-110.197S195.238 145.804 256 145.804c60.763 0 110.197 49.435 110.197 110.197S316.763 366.197 256 366.197zM404.831 64.503c-23.526 0-42.666 19.141-42.666 42.667 0 23.526 19.14 42.666 42.666 42.666 23.526 0 42.666-19.141 42.666-42.667s-19.14-42.666-42.666-42.666zm0 55.096c-6.853 0-12.43-5.576-12.43-12.43s5.577-12.43 12.43-12.43c6.854 0 12.43 5.577 12.43 12.43s-5.576 12.43-12.43 12.43z\" fill=\"\" data-original=\"\"></path></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56956", "544", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"1361.113\" height=\"947.152\" viewBox=\"0 0 1361.113 947.152\"><path id=\"Path_29\" data-name=\"Path 29\" d=\"M0,571.712H470.953A601.332,601.332,0,0,0,926.345,363.084L1239.445,0\" transform=\"translate(187.402 1.659) rotate(19)\" fill=\"none\" stroke=\"#fecbf8\" stroke-linecap=\"round\" stroke-miterlimit=\"10\" stroke-width=\"2\" stroke-dasharray=\"12\"></path></svg>");
INSERT INTO `wp_postmeta` VALUES("56957", "400", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" preserveAspectRatio=\"none\" width=\"2191\" height=\"596\" viewBox=\"0 0 2191 596\"><defs><style>.a,.c{fill:#fff;}.a{stroke:#707070;}.b{clip-path:url(#a);}.d{filter:url(#b);}</style><clipPath id=\"a\"><rect class=\"a\" width=\"2191\" height=\"596\" transform=\"translate(-136 427)\"></rect></clipPath><filter id=\"b\" x=\"61\" y=\"10.359\" width=\"2070.001\" height=\"714.643\" filterUnits=\"userSpaceOnUse\"><feGaussianBlur stdDeviation=\"25\"></feGaussianBlur></filter></defs><g class=\"b\" transform=\"translate(136 -427)\"><g class=\"d\" transform=\"matrix(1, 0, 0, 1, -136, 427)\"><path class=\"c\" d=\"M1761,1752H-159V1187.359a1213.165,1213.165,0,0,0,416.021,345.525,1201.468,1201.468,0,0,0,259.916,95.531c22.758,5.485,45.992,10.367,69.058,14.51,23.247,4.176,46.948,7.714,70.445,10.516,23.695,2.826,47.821,4.979,71.709,6.4,24.1,1.433,48.612,2.16,72.85,2.16s48.749-.727,72.85-2.16c23.888-1.421,48.014-3.574,71.709-6.4,23.5-2.8,47.2-6.34,70.445-10.516,23.066-4.144,46.3-9.026,69.058-14.51a1201.451,1201.451,0,0,0,259.916-95.531A1213.164,1213.164,0,0,0,1761,1187.359V1752Z\" transform=\"translate(295 -1099)\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56958", "158", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" preserveAspectRatio=\"none\" width=\"2191\" height=\"596\" viewBox=\"0 0 2191 596\"><defs><style>.a,.c{fill:#fff;}.a{stroke:#707070;}.b{clip-path:url(#a);}.d{filter:url(#b);}</style><clipPath id=\"a\"><rect class=\"a\" width=\"2191\" height=\"596\" transform=\"translate(-136 427)\"></rect></clipPath><filter id=\"b\" x=\"61\" y=\"10.359\" width=\"2070.001\" height=\"714.643\" filterUnits=\"userSpaceOnUse\"><feGaussianBlur stdDeviation=\"25\"></feGaussianBlur></filter></defs><g class=\"b\" transform=\"translate(136 -427)\"><g class=\"d\" transform=\"matrix(1, 0, 0, 1, -136, 427)\"><path class=\"c\" d=\"M1761,1752H-159V1187.359a1213.165,1213.165,0,0,0,416.021,345.525,1201.468,1201.468,0,0,0,259.916,95.531c22.758,5.485,45.992,10.367,69.058,14.51,23.247,4.176,46.948,7.714,70.445,10.516,23.695,2.826,47.821,4.979,71.709,6.4,24.1,1.433,48.612,2.16,72.85,2.16s48.749-.727,72.85-2.16c23.888-1.421,48.014-3.574,71.709-6.4,23.5-2.8,47.2-6.34,70.445-10.516,23.066-4.144,46.3-9.026,69.058-14.51a1201.451,1201.451,0,0,0,259.916-95.531A1213.164,1213.164,0,0,0,1761,1187.359V1752Z\" transform=\"translate(295 -1099)\"></path></g></g></svg>");
INSERT INTO `wp_postmeta` VALUES("56959", "157", "_elementor_inline_svg", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" class=\"\">  <g>    <path d=\"M76.802 0C34.703 0 .125 34.828.125 76.927v76.678c0 42.101 34.577 76.877 76.678 76.877h76.678c42.1 0 76.927-34.777 76.927-76.877V76.927C230.407 34.828 195.58 0 153.48 0zM358.27 0c-42.1 0-76.678 34.828-76.678 76.927v76.678c0 42.101 34.577 76.877 76.678 76.877h76.927c42.1 0 76.678-34.777 76.678-76.877V76.927c0-42.1-34.577-76.927-76.678-76.927zM76.802 281.717c-42.1 0-76.678 34.578-76.678 76.678v76.728c0 42.1 34.577 76.877 76.678 76.877h76.678c42.1 0 76.927-34.778 76.927-76.877v-76.728c0-42.1-34.827-76.678-76.927-76.678zm281.468 0c-42.1 0-76.678 34.578-76.678 76.678v76.728c0 42.1 34.577 76.877 76.678 76.877h76.927c42.1 0 76.678-34.778 76.678-76.877v-76.728c0-42.1-34.577-76.678-76.678-76.678z\" fill=\"\" data-original=\"#000000\" class=\"\"></path>  </g></svg>");
INSERT INTO `wp_postmeta` VALUES("56960", "6024", "_elementor_is_screenshot", "1");
INSERT INTO `wp_postmeta` VALUES("56961", "6024", "_wp_attached_file", "elementor/screenshots/Elementor-post-screenshot_1013_2023-10-12-12-46-35_5442b39e.png");
INSERT INTO `wp_postmeta` VALUES("56962", "1013", "_elementor_screenshot", "a:2:{s:2:\"id\";i:6024;s:3:\"url\";s:135:\"https://halochin.ir/Technology/wp-content/uploads/elementor/screenshots/Elementor-post-screenshot_1013_2023-10-12-12-46-35_5442b39e.png\";}");
INSERT INTO `wp_postmeta` VALUES("56963", "1523", "_elementor_css", "a:6:{s:4:\"time\";i:1697114795;s:5:\"fonts\";a:2:{i:0;s:4:\"Dana\";i:2;s:25:\"iranyekanwebregular_FaNum\";}s:5:\"icons\";a:0:{}s:20:\"dynamic_elements_ids\";a:0:{}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");
INSERT INTO `wp_postmeta` VALUES("56964", "3307", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("56975", "6026", "_elementor_is_screenshot", "1");
INSERT INTO `wp_postmeta` VALUES("56976", "6026", "_wp_attached_file", "elementor/screenshots/Elementor-post-screenshot_1523_2023-10-12-12-46-43_56296bff.png");
INSERT INTO `wp_postmeta` VALUES("56977", "1523", "_elementor_screenshot", "a:2:{s:2:\"id\";i:6026;s:3:\"url\";s:135:\"https://halochin.ir/Technology/wp-content/uploads/elementor/screenshots/Elementor-post-screenshot_1523_2023-10-12-12-46-43_56296bff.png\";}");
INSERT INTO `wp_postmeta` VALUES("56988", "4350", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%aa%da%a9%db%8c-%d8%ae%d8%af%d9%85%d8%a7%d8%aa");
INSERT INTO `wp_postmeta` VALUES("56999", "2523", "_wp_old_slug", "%d8%b5%d9%81%d8%ad%d9%87-%d8%aa%da%a9%db%8c-%d8%ae%d8%af%d9%85%d8%a7%d8%aa-%d9%85%d8%a7");
INSERT INTO `wp_postmeta` VALUES("57010", "2407", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d8%aa%da%a9%db%8c-%d9%be%d8%b1%d9%88%da%98%d9%87-%d9%87%d8%a7");
INSERT INTO `wp_postmeta` VALUES("57011", "1600", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("57022", "1600", "_wp_old_slug", "%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87-%d8%aa%da%a9%db%8c");
INSERT INTO `wp_postmeta` VALUES("57035", "1013", "_wp_old_slug", "%d9%be%d8%a7%d9%88%d8%b1%d9%82%db%8c");
INSERT INTO `wp_postmeta` VALUES("57047", "509", "_wp_old_slug", "%d8%b3%d8%b1%d8%a8%d8%b1%da%af");
INSERT INTO `wp_postmeta` VALUES("57048", "4465", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("57058", "4465", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d9%85%d8%ac%d9%84%d9%87-%d8%a7%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b1");
INSERT INTO `wp_postmeta` VALUES("57059", "4462", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("57069", "4462", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d8%ae%d9%84%d8%a7%d9%82%d8%a7%d9%86%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7");
INSERT INTO `wp_postmeta` VALUES("57070", "4459", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("57080", "4459", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d8%b4%d8%b1%da%a9%d8%aa%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b1%d8%b4%db%8c");
INSERT INTO `wp_postmeta` VALUES("57081", "4456", "_edit_last", "4");
INSERT INTO `wp_postmeta` VALUES("57091", "4456", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7");
INSERT INTO `wp_postmeta` VALUES("57109", "1600", "_elementor_screenshot_failed", "2023-10-12 12:51:02");
INSERT INTO `wp_postmeta` VALUES("57110", "2187", "_elementor_screenshot_failed", "2023-10-12 12:51:20");
INSERT INTO `wp_postmeta` VALUES("57111", "2407", "_elementor_screenshot_failed", "2023-10-12 12:51:37");
INSERT INTO `wp_postmeta` VALUES("57112", "2571", "_elementor_screenshot_failed", "2023-10-12 12:51:55");
INSERT INTO `wp_postmeta` VALUES("57125", "4350", "_elementor_screenshot_failed", "2023-10-12 12:52:12");
INSERT INTO `wp_postmeta` VALUES("57135", "2377", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7%db%8c-%d8%b3%d8%a6%d9%88");
INSERT INTO `wp_postmeta` VALUES("57145", "2366", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7%db%8c-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa");
INSERT INTO `wp_postmeta` VALUES("57146", "5914", "_elementor_screenshot_failed", "2023-10-12 12:52:30");
INSERT INTO `wp_postmeta` VALUES("57156", "1802", "_wp_old_slug", "%d8%a8%d8%ae%d8%b4-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d8%aa%d9%85%d8%a7%d9%85%db%8c-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7");
INSERT INTO `wp_postmeta` VALUES("57268", "507", "_elementor_css", "a:6:{s:4:\"time\";i:1697432870;s:5:\"fonts\";a:1:{i:0;s:4:\"Dana\";}s:5:\"icons\";a:2:{i:0;s:0:\"\";i:9;s:3:\"svg\";}s:20:\"dynamic_elements_ids\";a:1:{i:0;s:7:\"6f0d0a7\";}s:6:\"status\";s:4:\"file\";i:0;s:0:\"\";}");

/* INSERT TABLE DATA: wp_posts */
INSERT INTO `wp_posts` VALUES("2", "4", "2023-09-12 09:46:17", "2023-09-12 06:16:17", "<!-- wp:paragraph -->\n<p>این یک برگهٔ نمونه است. این از یک نوشتهٔ وبلاگ متفاوت است زیرا در یک مکان باقی خواهد ماند و در راهبری سایتتان (در بیشتر پوسته‌ها) نشان داده خواهد شد. بیشتر مردم با یک برگه درباره که آن‌ها را به بازدیدکنندگان بالقوهٔ سایت معرفی می‌کند، آغاز می‌کنند. که ممکن است چیزی همانند این باشد:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>سلام! من یک پیام‌رسان دوچرخه‌سوار در روز، بازیگر مشتاق در شب هستم، و این وب‌سایت من است. من در لس آنجلس زندگی می‌کنم، یک سگ بزرگ به نام جک دارم، و من پینیا کولادا دوست دارم. (همچنین گرفتار شدن در باران را دوست دارم.)</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>...یا چیزهایی مانند این:</p>\n<!-- /wp:paragraph -->\n\n<!-- wp:quote -->\n<blockquote class=\"wp-block-quote\"><p>شرکت XYZ در سال ۱۹۷۱ تأسیس شد، و تا کنون چیزهای با کیفیتی را به عموم عرضه کرده است. این شرکت در شهر گاتهام واقع شده است، بیش از ۲۰۰۰ نفر در آن کار می‌کنند و همه نوع چیز عالی برای جامعه گاتهام انجام می‌دهد.</p></blockquote>\n<!-- /wp:quote -->\n\n<!-- wp:paragraph -->\n<p>به عنوان یک کاربر جدید وردپرس، برای حذف این برگه و ایجاد برگه‌های جدید برای محتوای خود شما باید به <a href=\"https://halochin.ir/Technology/wp-admin/\">پیشخوان</a> بروید. خوش بگذره!</p>\n<!-- /wp:paragraph -->", "برگه نمونه", "", "publish", "closed", "open", "", "برگه-نمونه", "", "", "2023-09-12 09:46:17", "2023-09-12 06:16:17", "", "0", "https://halochin.ir/Technology/?page_id=2", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("4", "0", "2023-09-12 09:46:17", "2023-09-12 06:16:17", "<!-- wp:page-list /-->", "راهبری", "", "publish", "closed", "closed", "", "navigation", "", "", "2023-09-12 09:46:17", "2023-09-12 06:16:17", "", "0", "https://halochin.ir/Technology/2023/09/12/navigation/", "0", "wp_navigation", "", "0");
INSERT INTO `wp_posts` VALUES("7", "4", "2023-09-12 09:51:23", "2023-09-12 06:21:23", "", "Kit پیش‌ فرض", "", "publish", "closed", "closed", "", "kit-%d9%be%db%8c%d8%b4-%d9%81%d8%b1%d8%b6", "", "", "2023-10-12 16:15:07", "2023-10-12 12:45:07", "", "0", "https://halochin.ir/Technology/?p=7", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("20", "4", "2023-09-12 10:13:29", "2023-09-12 06:43:29", "", "وبلاگ", "", "publish", "closed", "closed", "", "blog", "", "", "2023-09-12 10:14:37", "2023-09-12 06:44:37", "", "0", "https://halochin.ir/Technology/?page_id=20", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("26", "4", "2023-09-12 10:18:47", "2023-09-12 06:48:47", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>یک تجربه استثنایی  <br/> و منحصر به فرد برای شما عزیزان</h2>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود است.</p>		\n			<a href=\"https://halochin.ir/Technology/our-services/\">\n						مشاهده خدمات \n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:left;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:right;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style><figure><img width=\"55\" height=\"56\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Play.png\" alt=\"\" loading=\"lazy\" /></figure>ویدیو معرفی		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"800\" height=\"623\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/newworkhome.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/newworkhome.png 946w, https://halochin.ir/Technology/wp-content/uploads/2023/09/newworkhome-300x234.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/09/newworkhome-768x598.png 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n															<img width=\"250\" height=\"239\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-8.png\" alt=\"\" loading=\"lazy\" />															\n															<img width=\"225\" height=\"264\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-10.png\" alt=\"\" loading=\"lazy\" />															\n															<img width=\"210\" height=\"210\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45.png 210w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45-150x150.png 150w\" sizes=\"(max-width: 210px) 100vw, 210px\" />															\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container{height:100%;width:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty,.e-con>.elementor-widget-spacer.elementor-widget-empty{position:relative;min-height:22px;min-width:22px}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon,.e-con>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto;padding:0;width:22px;height:22px}</style>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-counter .elementor-counter-number-wrapper{display:flex;font-size:69px;font-weight:600;line-height:1}.elementor-counter .elementor-counter-number-prefix,.elementor-counter .elementor-counter-number-suffix{flex-grow:1;white-space:pre-wrap}.elementor-counter .elementor-counter-number-prefix{text-align:left}.elementor-counter .elementor-counter-number-suffix{text-align:right}.elementor-counter .elementor-counter-title{text-align:center;font-size:19px;font-weight:400;line-height:2.5}</style>		\n				0\n				+\n							پروژه های انجام شده \n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده میباشد.</p>		\n				0\n				+\n							کارفرماهای راضی \n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده میباشد.</p>		\n				0\n				+\n							نظرات مشتریان  \n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده میباشد.</p>		\n			<style>.elementor-1434 .elementor-element.elementor-element-8a94ab7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a{--display:flex;--min-height:270px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:15px 15px 15px 15px;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1434 .elementor-element.elementor-element-624b43a::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:#FECBF870;}.elementor-1434 .elementor-element.elementor-element-624b43a, .elementor-1434 .elementor-element.elementor-element-624b43a::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--display:flex;--gap:0.2rem 0rem;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;box-shadow:0px 5px 25px 0px rgba(0, 0, 0, 0.05);--margin-block-start:-2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0.9rem;--padding-block-end:0.7rem;--padding-inline-start:1.1rem;--padding-inline-end:1.1rem;--z-index:2;}.elementor-1434 .elementor-element.elementor-element-f5de59e:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-f5de59e > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1434 .elementor-element.elementor-element-f5de59e, .elementor-1434 .elementor-element.elementor-element-f5de59e::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:300;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-right{margin-left:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-left{margin-right:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:400;line-height:1.7em;fill:var( --e-global-color-af9acf8 );color:var( --e-global-color-af9acf8 );background-color:#EE377200;padding:0px 0px 0px 0px;}body:not(.rtl) .elementor-1434 .elementor-element.elementor-element-809b007{right:7%;}body.rtl .elementor-1434 .elementor-element.elementor-element-809b007{left:7%;}.elementor-1434 .elementor-element.elementor-element-809b007{bottom:30%;}.jet-listing-item.single-jet-engine.elementor-page-1434 > .elementor{width:367px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:80%;}}@media(max-width:1024px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:215px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--gap:0.1rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:13px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:12px;}}@media(max-width:767px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:190px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:95%;}.elementor-1434 .elementor-element.elementor-element-f5de59e.e-con{--align-self:center;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:12px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:11px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-size:11px;}}/* Start custom CSS for button, class: .elementor-element-809b007 */.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n    width: 15px;\n    height: auto;\n    margin-bottom: -3px\n}\n@media screen and (max-width:576px){\n    .elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n        width:12px;\n    }\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\"></path>  </g></svg>			\n					</a>\n		<style>.elementor-1434 .elementor-element.elementor-element-8a94ab7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a{--display:flex;--min-height:270px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:15px 15px 15px 15px;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1434 .elementor-element.elementor-element-624b43a::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:#FECBF870;}.elementor-1434 .elementor-element.elementor-element-624b43a, .elementor-1434 .elementor-element.elementor-element-624b43a::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--display:flex;--gap:0.2rem 0rem;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;box-shadow:0px 5px 25px 0px rgba(0, 0, 0, 0.05);--margin-block-start:-2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0.9rem;--padding-block-end:0.7rem;--padding-inline-start:1.1rem;--padding-inline-end:1.1rem;--z-index:2;}.elementor-1434 .elementor-element.elementor-element-f5de59e:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-f5de59e > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1434 .elementor-element.elementor-element-f5de59e, .elementor-1434 .elementor-element.elementor-element-f5de59e::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:300;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-right{margin-left:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-left{margin-right:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:400;line-height:1.7em;fill:var( --e-global-color-af9acf8 );color:var( --e-global-color-af9acf8 );background-color:#EE377200;padding:0px 0px 0px 0px;}body:not(.rtl) .elementor-1434 .elementor-element.elementor-element-809b007{right:7%;}body.rtl .elementor-1434 .elementor-element.elementor-element-809b007{left:7%;}.elementor-1434 .elementor-element.elementor-element-809b007{bottom:30%;}.jet-listing-item.single-jet-engine.elementor-page-1434 > .elementor{width:367px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:80%;}}@media(max-width:1024px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:215px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--gap:0.1rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:13px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:12px;}}@media(max-width:767px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:190px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:95%;}.elementor-1434 .elementor-element.elementor-element-f5de59e.e-con{--align-self:center;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:12px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:11px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-size:11px;}}/* Start custom CSS for button, class: .elementor-element-809b007 */.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n    width: 15px;\n    height: auto;\n    margin-bottom: -3px\n}\n@media screen and (max-width:576px){\n    .elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n        width:12px;\n    }\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\"></path>  </g></svg>			\n					</a>\n		<style>.elementor-1434 .elementor-element.elementor-element-8a94ab7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a{--display:flex;--min-height:270px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:15px 15px 15px 15px;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1434 .elementor-element.elementor-element-624b43a::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:#FECBF870;}.elementor-1434 .elementor-element.elementor-element-624b43a, .elementor-1434 .elementor-element.elementor-element-624b43a::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--display:flex;--gap:0.2rem 0rem;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;box-shadow:0px 5px 25px 0px rgba(0, 0, 0, 0.05);--margin-block-start:-2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0.9rem;--padding-block-end:0.7rem;--padding-inline-start:1.1rem;--padding-inline-end:1.1rem;--z-index:2;}.elementor-1434 .elementor-element.elementor-element-f5de59e:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-f5de59e > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1434 .elementor-element.elementor-element-f5de59e, .elementor-1434 .elementor-element.elementor-element-f5de59e::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:300;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-right{margin-left:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-left{margin-right:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:400;line-height:1.7em;fill:var( --e-global-color-af9acf8 );color:var( --e-global-color-af9acf8 );background-color:#EE377200;padding:0px 0px 0px 0px;}body:not(.rtl) .elementor-1434 .elementor-element.elementor-element-809b007{right:7%;}body.rtl .elementor-1434 .elementor-element.elementor-element-809b007{left:7%;}.elementor-1434 .elementor-element.elementor-element-809b007{bottom:30%;}.jet-listing-item.single-jet-engine.elementor-page-1434 > .elementor{width:367px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:80%;}}@media(max-width:1024px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:215px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--gap:0.1rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:13px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:12px;}}@media(max-width:767px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:190px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:95%;}.elementor-1434 .elementor-element.elementor-element-f5de59e.e-con{--align-self:center;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:12px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:11px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-size:11px;}}/* Start custom CSS for button, class: .elementor-element-809b007 */.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n    width: 15px;\n    height: auto;\n    margin-bottom: -3px\n}\n@media screen and (max-width:576px){\n    .elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n        width:12px;\n    }\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\"></path>  </g></svg>			\n					</a>\n		<style>.elementor-1434 .elementor-element.elementor-element-8a94ab7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a{--display:flex;--min-height:270px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:15px 15px 15px 15px;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1434 .elementor-element.elementor-element-624b43a:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1434 .elementor-element.elementor-element-624b43a::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-video-container::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .e-con-inner > .elementor-background-slideshow::before, .elementor-1434 .elementor-element.elementor-element-624b43a > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';background-color:#FECBF870;}.elementor-1434 .elementor-element.elementor-element-624b43a, .elementor-1434 .elementor-element.elementor-element-624b43a::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--display:flex;--gap:0.2rem 0rem;--background-transition:0.3s;--border-radius:10px 10px 10px 10px;box-shadow:0px 5px 25px 0px rgba(0, 0, 0, 0.05);--margin-block-start:-2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0.9rem;--padding-block-end:0.7rem;--padding-inline-start:1.1rem;--padding-inline-end:1.1rem;--z-index:2;}.elementor-1434 .elementor-element.elementor-element-f5de59e:not(.elementor-motion-effects-element-type-background), .elementor-1434 .elementor-element.elementor-element-f5de59e > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1434 .elementor-element.elementor-element-f5de59e, .elementor-1434 .elementor-element.elementor-element-f5de59e::before{--border-transition:0.3s;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:300;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-right{margin-left:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button .elementor-align-icon-left{margin-right:3px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:400;line-height:1.7em;fill:var( --e-global-color-af9acf8 );color:var( --e-global-color-af9acf8 );background-color:#EE377200;padding:0px 0px 0px 0px;}body:not(.rtl) .elementor-1434 .elementor-element.elementor-element-809b007{right:7%;}body.rtl .elementor-1434 .elementor-element.elementor-element-809b007{left:7%;}.elementor-1434 .elementor-element.elementor-element-809b007{bottom:30%;}.jet-listing-item.single-jet-engine.elementor-page-1434 > .elementor{width:367px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:80%;}}@media(max-width:1024px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:215px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--gap:0.1rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:13px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:12px;}}@media(max-width:767px){.elementor-1434 .elementor-element.elementor-element-624b43a{--min-height:190px;}.elementor-1434 .elementor-element.elementor-element-f5de59e{--width:95%;}.elementor-1434 .elementor-element.elementor-element-f5de59e.e-con{--align-self:center;}.elementor-1434 .elementor-element.elementor-element-b2b4431 .elementor-heading-title{font-size:12px;}.elementor-1434 .elementor-element.elementor-element-2a1a5fd .elementor-heading-title{font-size:11px;}.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button{font-size:11px;}}/* Start custom CSS for button, class: .elementor-element-809b007 */.elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n    width: 15px;\n    height: auto;\n    margin-bottom: -3px\n}\n@media screen and (max-width:576px){\n    .elementor-1434 .elementor-element.elementor-element-809b007 .elementor-button-icon svg {\n        width:12px;\n    }\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\"></path>  </g></svg>			\n					</a>\n			نظرات شما		\n			<h2>نظرات مشتریان ما </h2>		\n			<style>.elementor-934 .elementor-element.elementor-element-f38a29d{--display:flex;--min-height:80px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:1rem 0rem;--background-transition:0.3s;--border-radius:25px 25px 25px 25px;box-shadow:0px 3px 15px 0px rgba(0, 0, 0, 0.06);--margin-block-start:2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );background-position:0px 0px;background-repeat:no-repeat;background-size:auto;}.elementor-934 .elementor-element.elementor-element-f38a29d, .elementor-934 .elementor-element.elementor-element-f38a29d::before{--border-transition:0.3s;}.elementor-934 .elementor-element.elementor-element-c696778{text-align:center;z-index:2;}.elementor-934 .elementor-element.elementor-element-c696778 img{width:98%;height:75px;object-fit:contain;border-radius:100px 100px 100px 100px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-c696778.elementor-element{--align-self:center;}.elementor-934 .elementor-element.elementor-element-f0726f5{text-align:center;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-934 .elementor-element.elementor-element-2f3a386{text-align:center;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:-1rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{text-align:center;font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:300;line-height:1.9em;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:-0.825rem 0rem -0.4rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b{text-align:center;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:13px;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-right:2px;}body.rtl .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-left:2px;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:before{color:var( --e-global-color-46455ee );}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-146e686 img{width:100%;}.elementor-934 .elementor-element.elementor-element-146e686{width:var( --container-widget-width, 6.5% );max-width:6.5%;--container-widget-width:6.5%;--container-widget-flex-grow:0;top:0%;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:4%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:4%;}.jet-listing-item.single-jet-engine.elementor-page-934 > .elementor{width:447px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-934 .elementor-element.elementor-element-f38a29d{--gap:0rem 0rem;--margin-block-start:2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-c696778 img{height:60px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{font-size:13px;}.elementor-934 .elementor-element.elementor-element-f0726f5 > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{font-size:11px;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:12px;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:10px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}}@media(max-width:767px){.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:11.5px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0.1rem 0rem 0rem 0rem;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:3%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:3%;}.elementor-934 .elementor-element.elementor-element-146e686{top:-1%;}}/* Start custom CSS for image, class: .elementor-element-c696778 */.elementor-934 .elementor-element.elementor-element-c696778 img {\n    clip-path: circle();\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-f38a29d */.elementor-934 .elementor-element.elementor-element-f38a29d {\n    position: relative;\n}\n.elementor-934 .elementor-element.elementor-element-f38a29d:after {\n    content: \"\";\n    position: absolute;\n    width: 12%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: 0%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n}/* End custom CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 5/5		\n															<img width=\"41\" height=\"37\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg\" alt=\"\" loading=\"lazy\" />															\n		<style>.elementor-934 .elementor-element.elementor-element-f38a29d{--display:flex;--min-height:80px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:1rem 0rem;--background-transition:0.3s;--border-radius:25px 25px 25px 25px;box-shadow:0px 3px 15px 0px rgba(0, 0, 0, 0.06);--margin-block-start:2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );background-position:0px 0px;background-repeat:no-repeat;background-size:auto;}.elementor-934 .elementor-element.elementor-element-f38a29d, .elementor-934 .elementor-element.elementor-element-f38a29d::before{--border-transition:0.3s;}.elementor-934 .elementor-element.elementor-element-c696778{text-align:center;z-index:2;}.elementor-934 .elementor-element.elementor-element-c696778 img{width:98%;height:75px;object-fit:contain;border-radius:100px 100px 100px 100px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-c696778.elementor-element{--align-self:center;}.elementor-934 .elementor-element.elementor-element-f0726f5{text-align:center;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-934 .elementor-element.elementor-element-2f3a386{text-align:center;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:-1rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{text-align:center;font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:300;line-height:1.9em;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:-0.825rem 0rem -0.4rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b{text-align:center;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:13px;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-right:2px;}body.rtl .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-left:2px;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:before{color:var( --e-global-color-46455ee );}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-146e686 img{width:100%;}.elementor-934 .elementor-element.elementor-element-146e686{width:var( --container-widget-width, 6.5% );max-width:6.5%;--container-widget-width:6.5%;--container-widget-flex-grow:0;top:0%;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:4%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:4%;}.jet-listing-item.single-jet-engine.elementor-page-934 > .elementor{width:447px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-934 .elementor-element.elementor-element-f38a29d{--gap:0rem 0rem;--margin-block-start:2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-c696778 img{height:60px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{font-size:13px;}.elementor-934 .elementor-element.elementor-element-f0726f5 > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{font-size:11px;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:12px;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:10px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}}@media(max-width:767px){.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:11.5px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0.1rem 0rem 0rem 0rem;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:3%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:3%;}.elementor-934 .elementor-element.elementor-element-146e686{top:-1%;}}/* Start custom CSS for image, class: .elementor-element-c696778 */.elementor-934 .elementor-element.elementor-element-c696778 img {\n    clip-path: circle();\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-f38a29d */.elementor-934 .elementor-element.elementor-element-f38a29d {\n    position: relative;\n}\n.elementor-934 .elementor-element.elementor-element-f38a29d:after {\n    content: \"\";\n    position: absolute;\n    width: 12%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: 0%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n}/* End custom CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 5/5		\n															<img width=\"41\" height=\"37\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg\" alt=\"\" loading=\"lazy\" />															\n		<style>.elementor-934 .elementor-element.elementor-element-f38a29d{--display:flex;--min-height:80px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:1rem 0rem;--background-transition:0.3s;--border-radius:25px 25px 25px 25px;box-shadow:0px 3px 15px 0px rgba(0, 0, 0, 0.06);--margin-block-start:2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );background-position:0px 0px;background-repeat:no-repeat;background-size:auto;}.elementor-934 .elementor-element.elementor-element-f38a29d, .elementor-934 .elementor-element.elementor-element-f38a29d::before{--border-transition:0.3s;}.elementor-934 .elementor-element.elementor-element-c696778{text-align:center;z-index:2;}.elementor-934 .elementor-element.elementor-element-c696778 img{width:98%;height:75px;object-fit:contain;border-radius:100px 100px 100px 100px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-c696778.elementor-element{--align-self:center;}.elementor-934 .elementor-element.elementor-element-f0726f5{text-align:center;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-934 .elementor-element.elementor-element-2f3a386{text-align:center;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:-1rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{text-align:center;font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:300;line-height:1.9em;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:-0.825rem 0rem -0.4rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b{text-align:center;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:13px;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-right:2px;}body.rtl .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-left:2px;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:before{color:var( --e-global-color-46455ee );}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-146e686 img{width:100%;}.elementor-934 .elementor-element.elementor-element-146e686{width:var( --container-widget-width, 6.5% );max-width:6.5%;--container-widget-width:6.5%;--container-widget-flex-grow:0;top:0%;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:4%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:4%;}.jet-listing-item.single-jet-engine.elementor-page-934 > .elementor{width:447px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-934 .elementor-element.elementor-element-f38a29d{--gap:0rem 0rem;--margin-block-start:2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-c696778 img{height:60px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{font-size:13px;}.elementor-934 .elementor-element.elementor-element-f0726f5 > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{font-size:11px;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:12px;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:10px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}}@media(max-width:767px){.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:11.5px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0.1rem 0rem 0rem 0rem;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:3%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:3%;}.elementor-934 .elementor-element.elementor-element-146e686{top:-1%;}}/* Start custom CSS for image, class: .elementor-element-c696778 */.elementor-934 .elementor-element.elementor-element-c696778 img {\n    clip-path: circle();\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-f38a29d */.elementor-934 .elementor-element.elementor-element-f38a29d {\n    position: relative;\n}\n.elementor-934 .elementor-element.elementor-element-f38a29d:after {\n    content: \"\";\n    position: absolute;\n    width: 12%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: 0%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n}/* End custom CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 5/5		\n															<img width=\"41\" height=\"37\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg\" alt=\"\" loading=\"lazy\" />															\n		<style>.elementor-934 .elementor-element.elementor-element-f38a29d{--display:flex;--min-height:80px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:1rem 0rem;--background-transition:0.3s;--border-radius:25px 25px 25px 25px;box-shadow:0px 3px 15px 0px rgba(0, 0, 0, 0.06);--margin-block-start:2.5rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );background-position:0px 0px;background-repeat:no-repeat;background-size:auto;}.elementor-934 .elementor-element.elementor-element-f38a29d, .elementor-934 .elementor-element.elementor-element-f38a29d::before{--border-transition:0.3s;}.elementor-934 .elementor-element.elementor-element-c696778{text-align:center;z-index:2;}.elementor-934 .elementor-element.elementor-element-c696778 img{width:98%;height:75px;object-fit:contain;border-radius:100px 100px 100px 100px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-c696778.elementor-element{--align-self:center;}.elementor-934 .elementor-element.elementor-element-f0726f5{text-align:center;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:600;}.elementor-934 .elementor-element.elementor-element-2f3a386{text-align:center;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:-1rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{text-align:center;font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:300;line-height:1.9em;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:-0.825rem 0rem -0.4rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b{text-align:center;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:13px;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-right:2px;}body.rtl .elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:not(:last-of-type){margin-left:2px;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating i:before{color:var( --e-global-color-46455ee );}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-146e686 img{width:100%;}.elementor-934 .elementor-element.elementor-element-146e686{width:var( --container-widget-width, 6.5% );max-width:6.5%;--container-widget-width:6.5%;--container-widget-flex-grow:0;top:0%;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:4%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:4%;}.jet-listing-item.single-jet-engine.elementor-page-934 > .elementor{width:447px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-934 .elementor-element.elementor-element-f38a29d{--gap:0rem 0rem;--margin-block-start:2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-c696778 img{height:60px;}.elementor-934 .elementor-element.elementor-element-c696778 > .elementor-widget-container{margin:-2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-f0726f5 .elementor-heading-title{font-size:13px;}.elementor-934 .elementor-element.elementor-element-f0726f5 > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-2f3a386 .elementor-heading-title{font-size:11px;}.elementor-934 .elementor-element.elementor-element-2f3a386 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:12px;}.elementor-934 .elementor-element.elementor-element-3675f46 > .elementor-widget-container{margin:0.2rem 0rem 0rem 0rem;}.elementor-934 .elementor-element.elementor-element-70f253b .elementor-star-rating{font-size:10px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}}@media(max-width:767px){.elementor-934 .elementor-element.elementor-element-f38a29d:not(.elementor-motion-effects-element-type-background), .elementor-934 .elementor-element.elementor-element-f38a29d > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:0px 0px;}.elementor-934 .elementor-element.elementor-element-3675f46{font-size:11.5px;}.elementor-934 .elementor-element.elementor-element-70f253b > .elementor-widget-container{margin:0.1rem 0rem 0rem 0rem;}body:not(.rtl) .elementor-934 .elementor-element.elementor-element-146e686{left:3%;}body.rtl .elementor-934 .elementor-element.elementor-element-146e686{right:3%;}.elementor-934 .elementor-element.elementor-element-146e686{top:-1%;}}/* Start custom CSS for image, class: .elementor-element-c696778 */.elementor-934 .elementor-element.elementor-element-c696778 img {\n    clip-path: circle();\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-f38a29d */.elementor-934 .elementor-element.elementor-element-f38a29d {\n    position: relative;\n}\n.elementor-934 .elementor-element.elementor-element-f38a29d:after {\n    content: \"\";\n    position: absolute;\n    width: 12%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: 0%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n}/* End custom CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 5/5		\n															<img width=\"41\" height=\"37\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg\" alt=\"\" loading=\"lazy\" />															\n			<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 2.5px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n			<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 2.5px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 2.5px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:58:09+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:56:52+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 2.5px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T10:18:47+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n			<h2>آخرین مقالات ما</h2>		\n			مقالات", "درباره ما", "", "publish", "closed", "closed", "", "about-us", "", "", "2023-10-12 13:43:14", "2023-10-12 10:13:14", "", "0", "https://halochin.ir/Technology/?page_id=26", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("28", "4", "2023-09-12 10:20:14", "2023-09-12 06:50:14", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تماس با ما		\n			<h2>آیا سوال یا درخواستی از ما دارید ؟</h2>		\n		<p>از طریق فرم ارتباطی زیر میتوانید سوالات ، نظرات و درخواست های خودتون رو با ما به اشتراک بگذارید و کارشناسان ما در اسرع وقت به شما پاسخ خواهند داد :)</p>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-13.png\" title=\"\" alt=\"\" loading=\"lazy\" />															\n															<img width=\"104\" height=\"103\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-6.png\" alt=\"\" loading=\"lazy\" />															\n															<img width=\"210\" height=\"210\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45.png 210w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45-150x150.png 150w\" sizes=\"(max-width: 210px) 100vw, 210px\" />															\n															<img width=\"800\" height=\"284\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/map-min.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/map-min.png 998w, https://halochin.ir/Technology/wp-content/uploads/2023/10/map-min-300x106.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/10/map-min-768x272.png 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n								<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M492 236H276V20c0-11.046-8.954-20-20-20s-20 8.954-20 20v216H20c-11.046 0-20 8.954-20 20s8.954 20 20 20h216v216c0 11.046 8.954 20 20 20s20-8.954 20-20V276h216c11.046 0 20-8.954 20-20s-8.954-20-20-20z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg><svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\"><g><path fill=\"\" d=\"M29 15H3a1 1 0 0 0 0 2h26a1 1 0 0 0 0-2z\" opacity=\"1\" data-original=\"\"></path></g></svg>حداکثر زمان تحویل پروژه چقدر است ؟							\n								<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n								<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M492 236H276V20c0-11.046-8.954-20-20-20s-20 8.954-20 20v216H20c-11.046 0-20 8.954-20 20s8.954 20 20 20h216v216c0 11.046 8.954 20 20 20s20-8.954 20-20V276h216c11.046 0 20-8.954 20-20s-8.954-20-20-20z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg><svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\"><g><path fill=\"\" d=\"M29 15H3a1 1 0 0 0 0 2h26a1 1 0 0 0 0-2z\" opacity=\"1\" data-original=\"\"></path></g></svg>نحوه قیمت گذاری روی پروژه به چه شکل است ؟							\n								<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>\n								<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M492 236H276V20c0-11.046-8.954-20-20-20s-20 8.954-20 20v216H20c-11.046 0-20 8.954-20 20s8.954 20 20 20h216v216c0 11.046 8.954 20 20 20s20-8.954 20-20V276h216c11.046 0 20-8.954 20-20s-8.954-20-20-20z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg><svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 32 32\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\"><g><path fill=\"\" d=\"M29 15H3a1 1 0 0 0 0 2h26a1 1 0 0 0 0-2z\" opacity=\"1\" data-original=\"\"></path></g></svg>آیا تضمین کیفیت کار را میدهید ؟							\n								<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>", "تماس با ما", "", "publish", "closed", "closed", "", "contact-us", "", "", "2023-10-12 13:38:15", "2023-10-12 10:08:15", "", "0", "https://halochin.ir/Technology/?page_id=28", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("37", "4", "2023-09-12 10:40:32", "2023-09-12 07:10:32", "", "Dana", "", "publish", "closed", "closed", "", "dana", "", "", "2023-09-12 10:40:32", "2023-09-12 07:10:32", "", "0", "https://halochin.ir/Technology/?post_type=elementor_font&#038;p=37", "0", "elementor_font", "", "0");
INSERT INTO `wp_posts` VALUES("38", "4", "2023-09-12 10:36:01", "2023-09-12 07:06:01", "", "DanaFaNum-Thin", "", "inherit", "open", "closed", "", "danafanum-thin", "", "", "2023-09-12 10:36:01", "2023-09-12 07:06:01", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("39", "4", "2023-09-12 10:36:13", "2023-09-12 07:06:13", "", "DanaFaNum-Thin", "", "inherit", "open", "closed", "", "danafanum-thin-2", "", "", "2023-09-12 10:36:13", "2023-09-12 07:06:13", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("40", "4", "2023-09-12 10:36:32", "2023-09-12 07:06:32", "", "DanaFaNum-Light", "", "inherit", "open", "closed", "", "danafanum-light", "", "", "2023-09-12 10:36:32", "2023-09-12 07:06:32", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("41", "4", "2023-09-12 10:36:45", "2023-09-12 07:06:45", "", "DanaFaNum-Light", "", "inherit", "open", "closed", "", "danafanum-light-2", "", "", "2023-09-12 10:36:45", "2023-09-12 07:06:45", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("42", "4", "2023-09-12 10:37:03", "2023-09-12 07:07:03", "", "DanaFaNum-Regular", "", "inherit", "open", "closed", "", "danafanum-regular", "", "", "2023-09-12 10:37:03", "2023-09-12 07:07:03", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("43", "4", "2023-09-12 10:37:13", "2023-09-12 07:07:13", "", "DanaFaNum-Regular", "", "inherit", "open", "closed", "", "danafanum-regular-2", "", "", "2023-09-12 10:37:13", "2023-09-12 07:07:13", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("44", "4", "2023-09-12 10:37:28", "2023-09-12 07:07:28", "", "DanaFaNum-Medium", "", "inherit", "open", "closed", "", "danafanum-medium", "", "", "2023-09-12 10:37:28", "2023-09-12 07:07:28", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("45", "4", "2023-09-12 10:37:38", "2023-09-12 07:07:38", "", "DanaFaNum-Medium", "", "inherit", "open", "closed", "", "danafanum-medium-2", "", "", "2023-09-12 10:37:38", "2023-09-12 07:07:38", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("46", "4", "2023-09-12 10:38:00", "2023-09-12 07:08:00", "", "DanaFaNum-DemiBold", "", "inherit", "open", "closed", "", "danafanum-demibold", "", "", "2023-09-12 10:38:00", "2023-09-12 07:08:00", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("47", "4", "2023-09-12 10:38:12", "2023-09-12 07:08:12", "", "DanaFaNum-DemiBold", "", "inherit", "open", "closed", "", "danafanum-demibold-2", "", "", "2023-09-12 10:38:12", "2023-09-12 07:08:12", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("48", "4", "2023-09-12 10:38:29", "2023-09-12 07:08:29", "", "DanaFaNum-Bold", "", "inherit", "open", "closed", "", "danafanum-bold", "", "", "2023-09-12 10:38:29", "2023-09-12 07:08:29", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("49", "4", "2023-09-12 10:38:40", "2023-09-12 07:08:40", "", "DanaFaNum-Bold", "", "inherit", "open", "closed", "", "danafanum-bold-2", "", "", "2023-09-12 10:38:40", "2023-09-12 07:08:40", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("50", "4", "2023-09-12 10:39:02", "2023-09-12 07:09:02", "", "DanaFaNum-ExtraBold", "", "inherit", "open", "closed", "", "danafanum-extrabold", "", "", "2023-09-12 10:39:02", "2023-09-12 07:09:02", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("51", "4", "2023-09-12 10:39:16", "2023-09-12 07:09:16", "", "DanaFaNum-ExtraBold", "", "inherit", "open", "closed", "", "danafanum-extrabold-2", "", "", "2023-09-12 10:39:16", "2023-09-12 07:09:16", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("52", "4", "2023-09-12 10:39:36", "2023-09-12 07:09:36", "", "DanaFaNum-Black", "", "inherit", "open", "closed", "", "danafanum-black", "", "", "2023-09-12 10:39:36", "2023-09-12 07:09:36", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("53", "4", "2023-09-12 10:39:48", "2023-09-12 07:09:48", "", "DanaFaNum-Black", "", "inherit", "open", "closed", "", "danafanum-black-2", "", "", "2023-09-12 10:39:48", "2023-09-12 07:09:48", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("54", "4", "2023-09-12 10:40:06", "2023-09-12 07:10:06", "", "DanaFaNum-ExtraBlack", "", "inherit", "open", "closed", "", "danafanum-extrablack", "", "", "2023-09-12 10:40:06", "2023-09-12 07:10:06", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff", "0", "attachment", "font/woff", "0");
INSERT INTO `wp_posts` VALUES("55", "4", "2023-09-12 10:40:18", "2023-09-12 07:10:18", "", "DanaFaNum-ExtraBlack", "", "inherit", "open", "closed", "", "danafanum-extrablack-2", "", "", "2023-09-12 10:40:18", "2023-09-12 07:10:18", "", "37", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2", "0", "attachment", "font/woff2", "0");
INSERT INTO `wp_posts` VALUES("157", "4", "2023-09-12 13:22:25", "2023-09-12 09:52:25", "", "category-icon", "", "inherit", "open", "closed", "", "category-icon", "", "", "2023-09-12 13:22:25", "2023-09-12 09:52:25", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/category-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("158", "4", "2023-09-12 13:22:42", "2023-09-12 09:52:42", "", "download", "", "inherit", "open", "closed", "", "download", "", "", "2023-09-12 13:22:42", "2023-09-12 09:52:42", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/download.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("400", "4", "2023-09-13 14:02:20", "2023-09-13 10:32:20", "", "download", "", "inherit", "open", "closed", "", "download-2", "", "", "2023-09-13 14:02:20", "2023-09-13 10:32:20", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/download-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("461", "4", "2023-09-13 15:30:10", "2023-09-13 12:00:10", "", "user-avatar2-min-300x300", "", "inherit", "open", "closed", "", "user-avatar2-min-300x300", "", "", "2023-09-13 15:30:10", "2023-09-13 12:00:10", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar2-min-300x300-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("462", "4", "2023-09-13 15:30:12", "2023-09-13 12:00:12", "", "user-avatar3-min-300x300", "", "inherit", "open", "closed", "", "user-avatar3-min-300x300", "", "", "2023-09-13 15:30:12", "2023-09-13 12:00:12", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar3-min-300x300-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("463", "4", "2023-09-13 15:30:14", "2023-09-13 12:00:14", "", "user-avatar4-min-300x188", "", "inherit", "open", "closed", "", "user-avatar4-min-300x188", "", "", "2023-09-13 15:30:14", "2023-09-13 12:00:14", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar4-min-300x188-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("464", "4", "2023-09-13 15:30:19", "2023-09-13 12:00:19", "", "user-avatar5-min-300x300", "", "inherit", "open", "closed", "", "user-avatar5-min-300x300", "", "", "2023-09-13 15:30:19", "2023-09-13 12:00:19", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-avatar5-min-300x300-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("507", "4", "2023-09-18 13:24:53", "2023-09-18 09:54:53", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"564\" height=\"107\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/Ellipse-23.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/Ellipse-23.png 564w, https://halochin.ir/Technology/wp-content/uploads/2023/10/Ellipse-23-300x57.png 300w\" sizes=\"(max-width: 564px) 100vw, 564px\" />															\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><h2>ما رویاهای شما عزیزان <br/> را خلق و به واقعـیت تبدیل میکنیم</h2>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارهای مناسب میباشد.</p>		\n			<a href=\"https://halochin.ir/Technology/about-us\">\n						بیشتر بخوانید\n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image-box .elementor-image-box-content{width:100%}@media (min-width:768px){.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper,.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{display:flex}.elementor-widget-image-box.elementor-position-right .elementor-image-box-wrapper{text-align:left;flex-direction:row}.elementor-widget-image-box.elementor-position-left .elementor-image-box-wrapper{text-align:right;flex-direction:row-reverse}.elementor-widget-image-box.elementor-position-top .elementor-image-box-img{margin:auto}.elementor-widget-image-box.elementor-vertical-align-top .elementor-image-box-wrapper{align-items:flex-start}.elementor-widget-image-box.elementor-vertical-align-middle .elementor-image-box-wrapper{align-items:center}.elementor-widget-image-box.elementor-vertical-align-bottom .elementor-image-box-wrapper{align-items:flex-end}}@media (max-width:767px){.elementor-widget-image-box .elementor-image-box-img{margin-left:auto!important;margin-right:auto!important;margin-bottom:15px}}.elementor-widget-image-box .elementor-image-box-img{display:inline-block}.elementor-widget-image-box .elementor-image-box-title a{color:inherit}.elementor-widget-image-box .elementor-image-box-wrapper{text-align:center}.elementor-widget-image-box .elementor-image-box-description{margin:0}</style><figure><img width=\"55\" height=\"56\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Play.png\" alt=\"\" loading=\"lazy\" /></figure>ویدیو معرفی		\n															<img width=\"800\" height=\"800\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2.png 957w, https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2-300x300.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2-150x150.png 150w, https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2-768x768.png 768w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n			<p>بازدید از شما</p>		\n															<img width=\"163\" height=\"162\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-21.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-21.png 163w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-21-150x150.png 150w\" sizes=\"(max-width: 163px) 100vw, 163px\" />															\n			<p>به مرز انفجار خواهد رسید</p>		\n			<h3>شرکت هایی که به ما اعتماد کردند!</h3>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image-carousel .swiper,.elementor-widget-image-carousel .swiper-container{position:static}.elementor-widget-image-carousel .swiper-container .swiper-slide figure,.elementor-widget-image-carousel .swiper .swiper-slide figure{line-height:inherit}.elementor-widget-image-carousel .swiper-slide{text-align:center}.elementor-image-carousel-wrapper:not(.swiper-container-initialized):not(.swiper-initialized) .swiper-slide{max-width:calc(100% / var(--e-image-carousel-slides-to-show, 3))}</style>		\n								<figure><img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-4.png\" alt=\"clienty-4\" /></figure><figure><img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-2.png\" alt=\"clienty-2\" /></figure><figure><img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/client-5.png\" alt=\"client-5\" /></figure><figure><img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/client-1.png\" alt=\"client-1\" /></figure><figure><img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-3.png\" alt=\"clienty-3\" /></figure>			\n			خدمات ما		\n			<h2>برخی از خدماتی که ما به شما ارائه میدهیم</h2>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد کتابهای زیادی در شصت و سه درصد گذشته حال و آینده شناخت فراوان جامعه و متخصصان را می طلبد.</p>		\n			<a href=\"https://halochin.ir/Technology/our-services/\">\n						مشاهده همه خدمات \n					</a>\n			<figure><img width=\"151\" height=\"151\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/55.-Briefcase.png\" alt=\"\" loading=\"lazy\" /></figure>بهینه سازی سرعت<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"136\" height=\"136\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/30.-Palette.png\" alt=\"\" loading=\"lazy\" /></figure>طراحی سایت شما<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"148\" height=\"148\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/28.-Upload.png\" alt=\"\" loading=\"lazy\" /></figure>افزایش رتبه سایت<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<figure><img width=\"172\" height=\"173\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/13.-Target.png\" alt=\"\" loading=\"lazy\" /></figure>تبلیغات هدفمند <p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			نمونه کارها		\n			<h2>برخی از نمونه کارهای ما </h2>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n			<h2>آیا شماهم به فکر داشتن یک وبسایت هستین ؟</h2>		\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد.</p>		\n			01		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n						صرفه جویی در وفت 					\n				</h3>\n									<p>\n						لورم ایپسوم متن ساختگی با تولید میباشد.					</p>\n			02		\n				<h3>\n						کیفیت بالای خروجی					\n				</h3>\n									<p>\n						لورم ایپسوم متن ساختگی با تولید میباشد.					</p>\n			03		\n				<h3>\n						آموزش مدیریت سایت					\n				</h3>\n									<p>\n						لورم ایپسوم متن ساختگی با تولید میباشد.					</p>\n			04		\n				<h3>\n						پشتیبانی چند ماهه					\n				</h3>\n									<p>\n						لورم ایپسوم متن ساختگی با تولید میباشد.					</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						دریافت مشاوره و ثبت سفارش\n					</a>\n															<img width=\"445\" height=\"445\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-28.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-28.png 445w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-28-300x300.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-28-150x150.png 150w\" sizes=\"(max-width: 445px) 100vw, 445px\" />															\n															<img width=\"157\" height=\"157\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-29.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-29.png 157w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-29-150x150.png 150w\" sizes=\"(max-width: 157px) 100vw, 157px\" />															\n															<img width=\"800\" height=\"701\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28-1024x897.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28-1024x897.png 1024w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28-300x263.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28-768x673.png 768w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28.png 1038w\" sizes=\"(max-width: 800px) 100vw, 800px\" />															\n			<p>تیم خلاق ما </p>		\n															<img width=\"307\" height=\"93\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-969.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-969.png 307w, https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-969-300x91.png 300w\" sizes=\"(max-width: 307px) 100vw, 307px\" />															\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container{height:100%;width:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty,.e-con>.elementor-widget-spacer.elementor-widget-empty{position:relative;min-height:22px;min-width:22px}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon,.e-con>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto;padding:0;width:22px;height:22px}</style>		\n			تعرفه ها		\n			<h2>تعرفه‌ی خدمات ما </h2>		\n				خدمات طراحی سایت<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 36117 36117\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\" fill-rule=\"evenodd\"><g><circle cx=\"18059\" cy=\"18059\" r=\"18059\" fill=\"#FFC42E\" opacity=\"1\" data-original=\"#ffc42e\"></circle><rect width=\"27873\" height=\"20698\" x=\"1884\" y=\"6433\" fill=\"#FFFFFF\" rx=\"1242\" ry=\"1375\" opacity=\"1\" data-original=\"#ffffff\"></rect><path fill=\"#1C3B5C\" d=\"M3259 6433h25123c756 0 1375 619 1375 1375v16149H1884V7808c0-756 619-1375 1375-1375z\" opacity=\"1\" data-original=\"#1c3b5c\"></path><path fill=\"#53B4ED\" d=\"M2901 7632h25840v15195H2901z\" opacity=\"1\" data-original=\"#53b4ed\"></path><circle cx=\"15821\" cy=\"25423\" r=\"690\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></circle><path fill=\"#FFFFFF\" d=\"M12904 27131h5834v2480h-5834z\" opacity=\"1\" data-original=\"#ffffff\"></path><g fill=\"#E1E3E8\"><path d=\"M12904 27131h5834v1013h-5834zM11869 31856h7940c404 0 597-504 327-787l-1399-1458h-5833l-1351 1396c-238 246-79 849 316 849z\" fill=\"#E1E3E8\" opacity=\"1\" data-original=\"#e1e3e8\"></path></g><path fill=\"#FFFFFF\" d=\"M4716 6127h16259v16700H4716z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#FF576B\" d=\"M5259 3667h15173c299 0 543 245 543 543v1917H4716V4210c0-298 244-543 543-543z\" opacity=\"1\" data-original=\"#ff576b\"></path><g fill=\"#FFFFFF\"><rect width=\"8008\" height=\"721\" x=\"6203\" y=\"4537\" rx=\"566\" ry=\"360\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></rect><circle cx=\"16150\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle><circle cx=\"17748\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle><circle cx=\"19346\" cy=\"4897\" r=\"449\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></circle></g><path fill=\"#C5C7CB\" d=\"M5793 14683h3689v2224H5793z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M5793 17423h2496v326H5793zM5793 18101h2957v163H5793zm0 977h2224v163H5793zm0-488h2957v163H5793z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#C5C7CB\" d=\"M11001 14683h3689v2224h-3689z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M11001 17423h2496v326h-2496zM11001 18101h2957v163h-2957zm0 977h2224v163h-2224zm0-488h2957v163h-2957z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#C5C7CB\" d=\"M16210 14683h3689v2224h-3689z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><g fill=\"#AFB0B5\"><path d=\"M16210 17423h2496v326h-2496zM16210 18101h2956v163h-2956zm0 977h2224v163h-2224zm0-488h2956v163h-2956z\" fill=\"#AFB0B5\" opacity=\"1\" data-original=\"#afb0b5\"></path></g><path fill=\"#FFFFFF\" d=\"M4716 6127h16259v2440H4716z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#C5C7CB\" d=\"M4716 8567h16259v5450H4716z\" opacity=\"1\" data-original=\"#c5c7cb\"></path><circle cx=\"12846\" cy=\"7161\" r=\"585\" fill=\"#C5C7CB\" opacity=\"1\" data-original=\"#c5c7cb\"></circle><path fill=\"#E1E3E8\" d=\"M12400 7973h961v144h-961z\" opacity=\"1\" data-original=\"#e1e3e8\"></path><g fill=\"#FFFFFF\"><path fill-rule=\"nonzero\" d=\"M6419 10444c233 0 445 95 598 248h1v1c153 153 248 365 248 598 0 234-95 446-248 599h-1c-153 154-365 249-598 249-234 0-446-95-599-249-153-153-248-365-248-599 0-233 95-445 248-598v-1c153-153 365-248 599-248zm504 343c-129-129-307-209-504-209s-376 80-504 209h-1c-128 129-208 307-208 504s80 376 208 504l1 1c128 129 307 208 504 208s375-79 504-208v-1c129-128 209-307 209-504s-80-375-209-504z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path d=\"m6133 11291 374-373v747z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill-rule=\"nonzero\" d=\"M18968 10444c-233 0-445 95-598 248l-1 1c-153 153-248 365-248 598 0 234 95 446 248 599h1c153 154 365 249 598 249 234 0 446-95 599-249 154-153 249-365 249-599 0-233-95-445-249-598v-1c-153-153-365-248-599-248zm-504 343c129-129 307-209 504-209 198 0 376 80 505 209s208 307 208 504-79 376-208 504v1c-129 129-307 208-505 208-197 0-375-79-504-208v-1c-129-128-208-307-208-504s79-375 208-504z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path><path d=\"m19254 11291-374-373v747z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path></g><path fill=\"#FFFFFF\" d=\"M27570 10893h-1580v565h1580zm0 3238h-1580v564h1580zm-2161 0h-2721v564h2721zm2161-1561h-2681v565h2681zm-3721 0h-1161v565h1161zm1560-1677h-2721v565h2721zm-1560-1561h-1161v565h1161zm3721 0h-2681v565h2681z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#FF576B\" d=\"M31751 3783h1281v10418h-1281z\" opacity=\"1\" data-original=\"#ff576b\"></path><path fill=\"#4D4D4D\" d=\"M31751 3783h1281v-867c0-148-122-269-270-269h-742c-148 0-269 121-269 269z\" opacity=\"1\" data-original=\"#4d4d4d\"></path><path fill=\"#FFFFFF\" d=\"M32071 15638h640l320-1436h-1280z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#4D4D4D\" d=\"m32391 16742-320-1104h640z\" opacity=\"1\" data-original=\"#4d4d4d\"></path><path fill=\"#E64E60\" d=\"M32639 3783h392v10418h-392z\" opacity=\"1\" data-original=\"#e64e60\"></path><path fill=\"#E1E3E8\" d=\"M32063 15638h156l-156-1436h-312z\" opacity=\"1\" data-original=\"#e1e3e8\"></path><path fill=\"#FF576B\" d=\"M20742.5 30923.3v-2542.581h13457.532V30923.3z\" opacity=\"1\" data-original=\"#ff576b\"></path><path fill=\"#FFFFFF\" d=\"M20972 30660v-433h301v433zm12562 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433zm-669 0v-433h301v433zm-618 0v-1267h300v1267zm-669 0v-433h300v433zm-670 0v-433h301v433zm-669 0v-433h301v433z\" opacity=\"1\" data-original=\"#ffffff\"></path><path fill=\"#E64E60\" d=\"M20742.5 30923.3v-210.887h13457.532v210.887z\" opacity=\"1\" data-original=\"#e64e60\"></path><path fill=\"#FFFFFF\" d=\"M27570 17267h-1580v565h1580zm0 3238h-1580v564h1580zm-2161 0h-2721v564h2721zm2161-1561h-2681v565h2681zm-3721 0h-1161v565h1161zm1560-1677h-2721v565h2721zm-1560-1561h-1161v565h1161zm3721 0h-2681v565h2681z\" opacity=\"1\" data-original=\"#ffffff\"></path></g></svg>خدمات سئو<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><g data-name=\"50-SEO copy\"><path fill=\"#EA4235\" d=\"M412 161a95 95 0 1 0 95 95 95 95 0 0 0-95-95zm0 153.46A58.46 58.46 0 1 1 470.46 256 58.52 58.52 0 0 1 412 314.46z\" opacity=\"1\" data-original=\"#ea4235\"></path><path fill=\"#4385F5\" d=\"M114.663 260.069a73.083 73.083 0 0 0-15.227-10.584l-42.73-22.469a36.621 36.621 0 0 1-7.624-5.243C45.491 218.5 52.861 202.822 64.905 201c7.637-1.15 26.714-1.565 38.974 19.438L135 199.43c-16.433-28.152-44.556-42.19-75.206-37.56-25.534 3.857-45.655 19.82-51.261 40.668-4.68 17.4 1.445 35.408 16.8 49.393a73.178 73.178 0 0 0 15.226 10.584l42.741 22.47a36.652 36.652 0 0 1 7.621 5.241C94.507 293.5 87.139 309.178 75.1 311c-7.634 1.152-26.714 1.565-38.974-19.438L5 312.57c13.517 23.155 34.938 36.764 59.177 38.287a75.523 75.523 0 0 0 16.028-.728c25.535-3.857 45.655-19.819 51.261-40.667 4.68-17.405-1.444-35.408-16.803-49.393z\" opacity=\"1\" data-original=\"#4385f5\"></path><path fill=\"#FABC05\" d=\"M219 198.688v35h66v40h-66v35h66v40H175v-190h110v40z\" opacity=\"1\" data-original=\"#fabc05\"></path></g></g></svg>			\n				<style>.elementor-2366 .elementor-element.elementor-element-7b3a54b{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:0rem 2rem;--background-transition:0.3s;--margin-block-start:1rem;--margin-block-end:1rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:3;}:is( .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(2rem / 2);padding-right:calc(2rem / 2);}:is( .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-2rem / 2);margin-right:calc(-2rem / 2);width:calc(100% + 2rem);}@media(min-width:768px){.elementor-2366 .elementor-element.elementor-element-7b3a54b{--content-width:1100px;}}@media(max-width:1024px){.elementor-2366 .elementor-element.elementor-element-7b3a54b{--gap:0rem 1rem;--margin-block-start:1rem;--margin-block-end:1rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:3;}:is( .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1rem / 2);padding-right:calc(1rem / 2);}:is( .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1rem / 2);margin-right:calc(-1rem / 2);width:calc(100% + 1rem);}}@media(max-width:767px){.elementor-2366 .elementor-element.elementor-element-7b3a54b{--gap:1.4rem 0rem;}.elementor-2366 .elementor-element.elementor-element-57a0ff7 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}}</style>		\n			<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p> طراحی گرافیک</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>خرید هاست و دامین</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>خرید هاست و دامین</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p> طراحی گرافیک</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>خرید هاست و دامین</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p> طراحی گرافیک</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-2377 .elementor-element.elementor-element-f6070f2{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--gap:0rem 2rem;--background-transition:0.3s;--margin-block-start:1rem;--margin-block-end:1rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:3;}:is( .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(2rem / 2);padding-right:calc(2rem / 2);}:is( .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-2rem / 2);margin-right:calc(-2rem / 2);width:calc(100% + 2rem);}@media(min-width:768px){.elementor-2377 .elementor-element.elementor-element-f6070f2{--content-width:1100px;}}@media(max-width:1024px){.elementor-2377 .elementor-element.elementor-element-f6070f2{--gap:0rem 1rem;--margin-block-start:1rem;--margin-block-end:1rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:3;}:is( .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1rem / 2);padding-right:calc(1rem / 2);}:is( .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1rem / 2);margin-right:calc(-1rem / 2);width:calc(100% + 1rem);}}@media(max-width:767px){.elementor-2377 .elementor-element.elementor-element-f6070f2{--gap:1.4rem 0rem;}.elementor-2377 .elementor-element.elementor-element-bbc03ab > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}}</style>		\n			<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-53%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-53%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:8%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n			<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;text-shadow:0px 0px 6px rgba(0, 0, 0, 0.29);}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 4px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n			<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;text-shadow:0px 0px 6px rgba(0, 0, 0, 0.29);}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 4px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;text-shadow:0px 0px 6px rgba(0, 0, 0, 0.29);}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 4px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:58:09+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1067 .elementor-element.elementor-element-e71d1d2{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:center;--gap:0.425rem 0rem;--background-transition:0.3s;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item, .elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0rem 0rem 0.2rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;padding:0rem 0rem 0rem 0rem;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9{width:auto;max-width:auto;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1067 > .elementor{width:394px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--gap:0.2rem 0rem;--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1067 .elementor-element.elementor-element-6dce57f .elementor-heading-title{font-size:12px;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{font-size:11px;}}@media(max-width:767px){.elementor-1067 .elementor-element.elementor-element-e71d1d2{--min-height:0px;}.elementor-1067 .elementor-element.elementor-element-f43fffd .jet-listing-dynamic-meta{text-align:right;}.elementor-1067 .elementor-element.elementor-element-6dce57f{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content{text-align:right;}.elementor-1067 .elementor-element.elementor-element-59bf15d{width:var( --container-widget-width, 100% );max-width:100%;--container-widget-width:100%;--container-widget-flex-grow:0;}.elementor-1067 .elementor-element.elementor-element-59bf15d.elementor-element{--align-self:center;}.elementor-1067 .elementor-element.elementor-element-6b4d4b9.elementor-element{--align-self:flex-start;}}/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-59bf15d */.elementor-1067 .elementor-element.elementor-element-59bf15d .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-e71d1d2 */.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper:before {\ncontent: \"\";\n    position: absolute;\n    background: linear-gradient(45deg, #636cfb, #9048db);\n    width: 98%;\n    height: 2px;\n    right: -100%;\n    bottom: -0%;\n    transition: 0.6s;\n    border-radius: 2px;\n} \n.elementor-1067 .elementor-element.elementor-element-e71d1d2 .elementor-button-wrapper {\n    position: relative;\n    overflow: hidden;\n}\n.elementor-1067 .elementor-element.elementor-element-e71d1d2:hover .elementor-button-wrapper:before {\n    right: 0;\n    transition: 0.6s;\n} {\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:56:52+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1044 .elementor-element.elementor-element-2a52e25{--display:flex;--min-height:220px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0.4rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1044 .elementor-element.elementor-element-2a52e25:not(.elementor-motion-effects-element-type-background), .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1044 .elementor-element.elementor-element-2a52e25::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-video-container::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .e-con-inner > .elementor-background-slideshow::before, .elementor-1044 .elementor-element.elementor-element-2a52e25 > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1044 .elementor-element.elementor-element-2a52e25, .elementor-1044 .elementor-element.elementor-element-2a52e25::before{--border-transition:0.3s;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1044 .elementor-element.elementor-element-e412a53{text-align:right;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;text-shadow:0px 0px 6px rgba(0, 0, 0, 0.29);}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1em;fill:var( --e-global-color-5b191c6 );color:var( --e-global-color-5b191c6 );background-color:transparent;background-image:linear-gradient(102deg, #5E71FF 0%, #9e77cc 100%);border-radius:9px 9px 9px 9px;padding:8px 14px 4px 14px;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 > .elementor-widget-container{margin:0.425rem 0rem 0rem 0rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8{width:auto;max-width:auto;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1044 > .elementor{width:270px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:220px;--gap:0.2rem 0rem;--padding-block-start:0.825rem;--padding-block-end:0.825rem;--padding-inline-start:0.825rem;--padding-inline-end:0.825rem;}.elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item, .elementor-1044 .elementor-element.elementor-element-ebab569 .jet-listing-dynamic-meta__item-val{font-size:10px;}.elementor-1044 .elementor-element.elementor-element-e412a53 .elementor-heading-title{font-size:12px;line-height:1.4rem;}.elementor-1044 .elementor-element.elementor-element-5c3bd15 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.3rem;}.elementor-1044 .elementor-element.elementor-element-d3d4ea8 .elementor-button{font-size:10px;padding:6px 10px 2px 10px;}}@media(max-width:767px){.elementor-1044 .elementor-element.elementor-element-2a52e25{--min-height:185px;}}/* Start custom CSS for heading, class: .elementor-element-e412a53 */.elementor-1044 .elementor-element.elementor-element-e412a53 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 2;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-2a52e25 */.elementor-1044 .elementor-element.elementor-element-2a52e25:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1044 .elementor-element.elementor-element-2a52e25:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T10:18:47+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n			<h2>آخرین مقالات ما</h2>		\n			مقالات", "صفحه اصلی", "", "publish", "closed", "closed", "", "home-page-2", "", "", "2023-10-16 08:36:07", "2023-10-16 05:06:07", "", "0", "https://halochin.ir/Technology/?page_id=507", "0", "page", "", "0");
INSERT INTO `wp_posts` VALUES("509", "4", "2023-09-18 13:26:33", "2023-09-18 09:56:33", "<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 24 24\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M18.5 10.75h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm-7 6h-3A2.067 2.067 0 0 1 3.25 8.5v-3A2.067 2.067 0 0 1 5.5 3.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm13 16h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75zm-7 6h-3a2.067 2.067 0 0 1-2.25-2.25v-3a2.067 2.067 0 0 1 2.25-2.25h3a2.067 2.067 0 0 1 2.25 2.25v3a2.067 2.067 0 0 1-2.25 2.25zm-3-6c-.589 0-.75.161-.75.75v3c0 .589.161.75.75.75h3c.589 0 .75-.161.75-.75v-3c0-.589-.161-.75-.75-.75z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>			\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-mega-menu-rtl.min.css\">		<nav>\n			فهرست\n				<a href=\"https://halochin.ir/Technology/\">										\n						صفحه اصلی					\n								</a>\n				<a href=\"https://halochin.ir/Technology/blog\">										\n						وبلاگ 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/our-services\">										\n						خدمات 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/projects/\">										\n						پروژه ها 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/about-us\">										\n						درباره ما					\n								</a>\n				<a href=\"https://halochin.ir/Technology/contact-us\">										\n						تماس با ما					\n								</a>\n				<a href=\"https://halochin.ir/Technology/\">										\n						صفحه اصلی					\n								</a>\n				<a href=\"https://halochin.ir/Technology/blog\">										\n						وبلاگ 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/our-services\">										\n						خدمات 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/projects/\">										\n						پروژه ها 					\n								</a>\n				<a href=\"https://halochin.ir/Technology/about-us\">										\n						درباره ما					\n								</a>\n				<a href=\"https://halochin.ir/Technology/contact-us\">										\n						تماس با ما					\n								</a>\n		</nav>\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_86_29)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path><path d=\"M37.201 31.1514L35.3481 29.2984C34.8365 28.7871 34.1428 28.4999 33.4196 28.4999C32.6963 28.4999 32.0026 28.7871 31.491 29.2984L30.491 30.2984C29.8517 30.9377 28.9847 31.2968 28.0806 31.2968C27.1765 31.2968 26.3094 30.9377 25.67 30.2984L21.699 26.3274C21.0597 25.6881 20.7006 24.821 20.7006 23.9169C20.7006 23.0128 21.0597 22.1457 21.699 21.5064L22.699 20.5064C22.9523 20.2532 23.1533 19.9525 23.2903 19.6216C23.4274 19.2907 23.498 18.936 23.498 18.5779C23.498 18.2197 23.4274 17.8651 23.2903 17.5342C23.1533 17.2033 22.9523 16.9026 22.699 16.6494L20.8461 14.7974C20.5929 14.544 20.2923 14.343 19.9614 14.2058C19.6305 14.0687 19.2757 13.998 18.9175 13.998C18.5593 13.998 18.2047 14.0687 17.8738 14.2058C17.5429 14.343 17.2422 14.544 16.9891 14.7974C15.0739 16.7127 13.9979 19.3103 13.9979 22.0189C13.9979 24.7274 15.0739 27.3251 16.9891 29.2404L22.7551 35.0074C24.6705 36.9223 27.2681 37.9981 29.9766 37.9981C32.685 37.9981 35.2826 36.9223 37.1981 35.0074C37.7095 34.4963 37.997 33.803 37.9976 33.08C37.9981 32.357 37.7116 31.6633 37.201 31.1514Z\" fill=\"#676AF9\"></path></g><defs><clipPath id=\"clip0_86_29\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<h3>\n						تلفن تماس :					\n				</h3>\n									<p>\n						1234567 - 035					</p>\n			<a href=\"https://halochin.ir/Technology/#Tariffs\" id=\"تعرفه ها \">\n						لیست تعرفه های ما\n					</a>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n			<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 473.806 473.806\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M374.456 293.506c-9.7-10.1-21.4-15.5-33.8-15.5-12.3 0-24.1 5.3-34.2 15.4l-31.6 31.5c-2.6-1.4-5.2-2.7-7.7-4-3.6-1.8-7-3.5-9.9-5.3-29.6-18.8-56.5-43.3-82.3-75-12.5-15.8-20.9-29.1-27-42.6 8.2-7.5 15.8-15.3 23.2-22.8 2.8-2.8 5.6-5.7 8.4-8.5 21-21 21-48.2 0-69.2l-27.3-27.3c-3.1-3.1-6.3-6.3-9.3-9.5-6-6.2-12.3-12.6-18.8-18.6-9.7-9.6-21.3-14.7-33.5-14.7s-24 5.1-34 14.7l-.2.2-34 34.3c-12.8 12.8-20.1 28.4-21.7 46.5-2.4 29.2 6.2 56.4 12.8 74.2 16.2 43.7 40.4 84.2 76.5 127.6 43.8 52.3 96.5 93.6 156.7 122.7 23 10.9 53.7 23.8 88 26 2.1.1 4.3.2 6.3.2 23.1 0 42.5-8.3 57.7-24.8.1-.2.3-.3.4-.5 5.2-6.3 11.2-12 17.5-18.1 4.3-4.1 8.7-8.4 13-12.9 9.9-10.3 15.1-22.3 15.1-34.6 0-12.4-5.3-24.3-15.4-34.3l-54.9-55.1zm35.8 105.3c-.1 0-.1.1 0 0-3.9 4.2-7.9 8-12.2 12.2-6.5 6.2-13.1 12.7-19.3 20-10.1 10.8-22 15.9-37.6 15.9-1.5 0-3.1 0-4.6-.1-29.7-1.9-57.3-13.5-78-23.4-56.6-27.4-106.3-66.3-147.6-115.6-34.1-41.1-56.9-79.1-72-119.9-9.3-24.9-12.7-44.3-11.2-62.6 1-11.7 5.5-21.4 13.8-29.7l34.1-34.1c4.9-4.6 10.1-7.1 15.2-7.1 6.3 0 11.4 3.8 14.6 7l.3.3c6.1 5.7 11.9 11.6 18 17.9 3.1 3.2 6.3 6.4 9.5 9.7l27.3 27.3c10.6 10.6 10.6 20.4 0 31-2.9 2.9-5.7 5.8-8.6 8.6-8.4 8.6-16.4 16.6-25.1 24.4-.2.2-.4.3-.5.5-8.6 8.6-7 17-5.2 22.7l.3.9c7.1 17.2 17.1 33.4 32.3 52.7l.1.1c27.6 34 56.7 60.5 88.8 80.8 4.1 2.6 8.3 4.7 12.3 6.7 3.6 1.8 7 3.5 9.9 5.3.4.2.8.5 1.2.7 3.4 1.7 6.6 2.5 9.9 2.5 8.3 0 13.5-5.2 15.2-6.9l34.2-34.2c3.4-3.4 8.8-7.5 15.1-7.5 6.2 0 11.3 3.9 14.4 7.3l.2.2 55.1 55.1c10.3 10.2 10.3 20.7.1 31.3zM256.056 112.706c26.2 4.4 50 16.8 69 35.8s31.3 42.8 35.8 69c1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.4-1.2 12.3-8.2 11.1-15.6-5.4-31.7-20.4-60.6-43.3-83.5s-51.8-37.9-83.5-43.3c-7.4-1.2-14.3 3.7-15.6 11s3.5 14.4 10.9 15.6zM473.256 209.006c-8.9-52.2-33.5-99.7-71.3-137.5s-85.3-62.4-137.5-71.3c-7.3-1.3-14.2 3.7-15.5 11-1.2 7.4 3.7 14.3 11.1 15.6 46.6 7.9 89.1 30 122.9 63.7 33.8 33.8 55.8 76.3 63.7 122.9 1.1 6.6 6.8 11.2 13.3 11.2.8 0 1.5-.1 2.3-.2 7.3-1.1 12.3-8.1 11-15.4z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>			</a>", "هدر اصلی سایت", "", "publish", "closed", "closed", "", "%d9%87%d8%af%d8%b1-%d8%a7%d8%b5%d9%84%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-10-12 16:17:53", "2023-10-12 12:47:53", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=509", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("523", "4", "2023-09-18 14:05:33", "2023-09-18 10:35:33", "", "workspace2", "", "inherit", "open", "closed", "", "workspace2", "", "", "2023-09-18 14:05:33", "2023-09-18 10:35:33", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/workspace2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("527", "4", "2023-09-18 14:07:20", "2023-09-18 10:37:20", "", "Ellipse-72", "", "inherit", "open", "closed", "", "ellipse-72", "", "", "2023-09-18 14:07:20", "2023-09-18 10:37:20", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-72.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("540", "4", "2023-09-18 14:17:42", "2023-09-18 10:47:42", "", "Path-56", "", "inherit", "open", "closed", "", "path-56", "", "", "2023-09-18 14:17:42", "2023-09-18 10:47:42", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Path-56.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("544", "4", "2023-09-18 14:53:03", "2023-09-18 11:23:03", "", "Path-29", "", "inherit", "open", "closed", "", "path-29", "", "", "2023-09-18 14:53:03", "2023-09-18 11:23:03", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Path-29.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("598", "4", "2023-09-18 15:37:07", "2023-09-18 12:07:07", "", "Group-971-e1636894866692", "", "inherit", "open", "closed", "", "group-971-e1636894866692", "", "", "2023-09-18 15:37:07", "2023-09-18 12:07:07", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-971-e1636894866692.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("634", "4", "2023-09-18 16:18:26", "2023-09-18 12:48:26", "", "Group-21", "", "inherit", "open", "closed", "", "group-21", "", "", "2023-09-18 16:18:26", "2023-09-18 12:48:26", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-21.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("644", "4", "2023-09-18 16:26:11", "2023-09-18 12:56:11", "", "Group-970", "", "inherit", "open", "closed", "", "group-970", "", "", "2023-09-18 16:26:11", "2023-09-18 12:56:11", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-970.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("654", "4", "2023-09-19 08:38:55", "2023-09-19 05:08:55", "", "Rectangle-45", "", "inherit", "open", "closed", "", "rectangle-45", "", "", "2023-09-19 08:38:55", "2023-09-19 05:08:55", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-45.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("664", "4", "2023-09-19 08:51:30", "2023-09-19 05:21:30", "", "client-1", "", "inherit", "open", "closed", "", "client-1", "", "", "2023-09-19 08:51:30", "2023-09-19 05:21:30", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/client-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("665", "4", "2023-09-19 08:51:30", "2023-09-19 05:21:30", "", "client-5", "", "inherit", "open", "closed", "", "client-5", "", "", "2023-09-19 08:51:30", "2023-09-19 05:21:30", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/client-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("666", "4", "2023-09-19 08:51:31", "2023-09-19 05:21:31", "", "clienty-2", "", "inherit", "open", "closed", "", "clienty-2", "", "", "2023-09-19 08:51:31", "2023-09-19 05:21:31", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("667", "4", "2023-09-19 08:51:32", "2023-09-19 05:21:32", "", "clienty-3", "", "inherit", "open", "closed", "", "clienty-3", "", "", "2023-09-19 08:51:32", "2023-09-19 05:21:32", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-3.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("668", "4", "2023-09-19 08:51:32", "2023-09-19 05:21:32", "", "clienty-4", "", "inherit", "open", "closed", "", "clienty-4", "", "", "2023-09-19 08:51:32", "2023-09-19 05:21:32", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/clienty-4.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("710", "4", "2023-09-19 09:29:14", "2023-09-19 05:59:14", "", "13.-Target", "", "inherit", "open", "closed", "", "13-target", "", "", "2023-09-19 09:29:14", "2023-09-19 05:59:14", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/13.-Target.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("711", "4", "2023-09-19 09:29:15", "2023-09-19 05:59:15", "", "28.-Upload", "", "inherit", "open", "closed", "", "28-upload", "", "", "2023-09-19 09:29:15", "2023-09-19 05:59:15", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/28.-Upload.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("712", "4", "2023-09-19 09:29:16", "2023-09-19 05:59:16", "", "30.-Palette", "", "inherit", "open", "closed", "", "30-palette", "", "", "2023-09-19 09:29:16", "2023-09-19 05:59:16", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/30.-Palette.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("713", "4", "2023-09-19 09:29:17", "2023-09-19 05:59:17", "", "55.-Briefcase", "", "inherit", "open", "closed", "", "55-briefcase", "", "", "2023-09-19 09:29:17", "2023-09-19 05:59:17", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/55.-Briefcase.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("726", "4", "2023-09-19 09:49:51", "2023-09-19 06:19:51", "", "Play", "", "inherit", "open", "closed", "", "play", "", "", "2023-09-19 09:49:51", "2023-09-19 06:19:51", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Play.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("760", "4", "2023-09-19 10:18:46", "2023-09-19 06:48:46", "", "Path-46-e1632381561683", "", "inherit", "open", "closed", "", "path-46-e1632381561683", "", "", "2023-09-19 10:18:46", "2023-09-19 06:48:46", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Path-46-e1632381561683.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("767", "4", "2023-09-19 10:35:58", "2023-09-19 07:05:58", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی وبسایت فروشگاهی در زمینه فروش لباس", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c-%d8%af%d8%b1-%d8%b2%d9%85%db%8c%d9%86%d9%87-%d9%81%d8%b1%d9%88%d8%b4-%d9%84%d8%a8", "", "", "2023-10-12 14:26:13", "2023-10-12 10:56:13", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=767", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("768", "4", "2023-09-19 10:35:44", "2023-09-19 07:05:44", "", "5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762", "", "inherit", "open", "closed", "", "5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762", "", "", "2023-09-19 10:35:44", "2023-09-19 07:05:44", "", "767", "https://halochin.ir/Technology/wp-content/uploads/2023/09/5c2b29031110ec6855051b37_scene_generator_psd_objects_freebie_ohmy_cover-860x762-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("769", "4", "2023-09-19 10:35:44", "2023-09-19 07:05:44", "", "Mask-Group-30-860x762", "", "inherit", "open", "closed", "", "mask-group-30-860x762", "", "", "2023-09-19 10:35:44", "2023-09-19 07:05:44", "", "767", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-30-860x762-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("770", "4", "2023-09-19 10:35:45", "2023-09-19 07:05:45", "", "Mask-Group-35-860x762", "", "inherit", "open", "closed", "", "mask-group-35-860x762", "", "", "2023-09-19 10:35:45", "2023-09-19 07:05:45", "", "767", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-35-860x762-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("771", "4", "2023-09-19 10:35:46", "2023-09-19 07:05:46", "", "Mask-Group-36-860x762", "", "inherit", "open", "closed", "", "mask-group-36-860x762", "", "", "2023-09-19 10:35:46", "2023-09-19 07:05:46", "", "767", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-36-860x762-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("815", "4", "2023-09-19 11:07:00", "2023-09-19 07:37:00", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی سایت شرکتی با قابلیت مشاوره آنلاین", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d8%b1%da%a9%d8%aa%db%8c-%d8%a8%d8%a7-%d9%82%d8%a7%d8%a8%d9%84%db%8c%d8%aa-%d9%85%d8%b4%d8%a7%d9%88%d8%b1%d9%87-%d8%a2%d9%86%d9%84%d8%a7", "", "", "2023-10-12 14:01:43", "2023-10-12 10:31:43", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=815", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("816", "4", "2023-09-19 11:07:49", "2023-09-19 07:37:49", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی وبسایت فروشگاهی لباس های بچگانه", "", "publish", "open", "closed", "", "%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d9%88-%d8%a7%d9%81%d8%b2%d8%a7%db%8c%d8%b4-%d8%b3%d8%b1%d8%b9%d8%aa-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-10-12 14:26:20", "2023-10-12 10:56:20", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=816", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("829", "4", "2023-09-19 11:31:51", "2023-09-19 08:01:51", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی وبسایت موزیک با قابلیت پخش آنلاین و دانلود آهنگ", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%85%d9%88%d8%b2%db%8c%da%a9-%d8%a8%d8%a7-%d9%82%d8%a7%d8%a8%d9%84%db%8c%d8%aa-%d9%be%d8%ae%d8%b4-%d8%a2%d9%86%d9%84%d8%a7%db%8c", "", "", "2023-10-12 14:26:33", "2023-10-12 10:56:33", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=829", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("846", "4", "2023-09-19 11:49:24", "2023-09-19 08:19:24", "", "Group-28", "", "inherit", "open", "closed", "", "group-28", "", "", "2023-09-19 11:49:24", "2023-09-19 08:19:24", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-28.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("847", "4", "2023-09-19 11:50:07", "2023-09-19 08:20:07", "", "Ellipse-2-1", "", "inherit", "open", "closed", "", "ellipse-2-1", "", "", "2023-09-19 11:50:07", "2023-09-19 08:20:07", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("854", "4", "2023-09-19 11:55:43", "2023-09-19 08:25:43", "", "Group-969", "", "inherit", "open", "closed", "", "group-969", "", "", "2023-09-19 11:55:43", "2023-09-19 08:25:43", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-969.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("855", "4", "2023-09-19 11:58:00", "2023-09-19 08:28:00", "", "Rectangle-28", "", "inherit", "open", "closed", "", "rectangle-28", "", "", "2023-09-19 11:58:00", "2023-09-19 08:28:00", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-28.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("856", "4", "2023-09-19 11:58:01", "2023-09-19 08:28:01", "", "Rectangle-29", "", "inherit", "open", "closed", "", "rectangle-29", "", "", "2023-09-19 11:58:01", "2023-09-19 08:28:01", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-29.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("867", "4", "2023-09-19 12:07:25", "2023-09-19 08:37:25", "", "Group-972-e1636894613216", "", "inherit", "open", "closed", "", "group-972-e1636894613216", "", "", "2023-09-19 12:07:25", "2023-09-19 08:37:25", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-972-e1636894613216.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("871", "4", "2023-09-19 12:09:37", "2023-09-19 08:39:37", "", "Ellipse-49-e1636894783299", "", "inherit", "open", "closed", "", "ellipse-49-e1636894783299", "", "", "2023-09-19 12:09:37", "2023-09-19 08:39:37", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-49-e1636894783299.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("885", "4", "2023-09-19 12:36:14", "2023-09-19 09:06:14", "", "Ellipse-2", "", "inherit", "open", "closed", "", "ellipse-2", "", "", "2023-09-19 12:36:14", "2023-09-19 09:06:14", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-2.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("911", "4", "2023-09-19 13:22:53", "2023-09-19 09:52:53", "", "Mask-Group-7", "", "inherit", "open", "closed", "", "mask-group-7", "", "", "2023-09-19 13:22:53", "2023-09-19 09:52:53", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-7.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("916", "4", "2023-09-19 13:25:47", "2023-09-19 09:55:47", "", "Mask-Group-5", "", "inherit", "open", "closed", "", "mask-group-5", "", "", "2023-09-19 13:25:47", "2023-09-19 09:55:47", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("917", "4", "2023-09-19 13:26:57", "2023-09-19 09:56:57", "", "Mask-Group-6", "", "inherit", "open", "closed", "", "mask-group-6", "", "", "2023-09-19 13:26:57", "2023-09-19 09:56:57", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-6.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("934", "4", "2023-09-19 14:23:56", "2023-09-19 10:53:56", "<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 5/5		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"41\" height=\"37\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg\" alt=\"\" loading=\"lazy\" />", "گرید نظرات مشتریان", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d8%b8%d8%b1%d8%a7%d8%aa-%d9%85%d8%b4%d8%aa%d8%b1%db%8c%d8%a7%d9%86", "", "", "2023-10-05 14:58:04", "2023-10-05 11:28:04", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%86%d8%b8%d8%b1%d8%a7%d8%aa-%d9%85%d8%b4%d8%aa%d8%b1%db%8c%d8%a7%d9%86-2", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1013", "4", "2023-09-19 16:04:47", "2023-09-19 12:34:47", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"160\" height=\"31\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/footer-logo.svg\" alt=\"\" loading=\"lazy\" />															\n		<p>لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است و برای شرایط فعلی تکنولوژی مورد نیاز و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد.</p>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style><p>عضویت در خبرنامه</p>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<p>خدمات ما</p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-list-rtl.min.css\">		<ul>\n							<li>\n											<a href=\"https://halochin.ir/Technology/our-services/content-marketing/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										بازاریابی محتوا\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services/%d8%b3%d8%a6%d9%88-%d9%88-%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%a7%db%8c%d8%aa/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										سئو و بهینه سازی \n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services/%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										طراحی سایت \n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services/%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%b1%d8%b9%d8%aa/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										بهینه سازی سرعت\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services/%d8%aa%d8%a8%d9%84%db%8c%d8%ba%d8%a7%d8%aa-%da%a9%d9%84%db%8c%da%a9%db%8c/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										تبلیغات کلیکی\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services/%d9%be%d8%b4%d8%aa%db%8c%d8%a8%d8%a7%d9%86%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d9%85%d8%a7/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										پشتیبانی وبسایت\n											</a>\n									</li>\n						</ul>\n			<p>لینک های مفید</p>		\n					<ul>\n							<li>\n											<a href=\"https://halochin.ir/Technology/\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										صفحه اصلی \n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/blog\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										آخرین مقالات \n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/our-services\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										خدمات ما\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/projects\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										پروژه های ما\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/about-us\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										درباره‌ی ما\n											</a>\n									</li>\n								<li>\n											<a href=\"https://halochin.ir/Technology/contact-us\">\n							<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"13\" height=\"13\" viewBox=\"0 0 13 13\" fill=\"none\"><circle cx=\"6.5\" cy=\"6.5\" r=\"6.5\" fill=\"#FECBF8\"></circle></svg>						\n										تماس با ما\n											</a>\n									</li>\n						</ul>\n			لینک های مفید		\n															<img width=\"86\" height=\"77\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-30.png\" alt=\"\" loading=\"lazy\" />															\n															<img width=\"86\" height=\"77\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-30.png\" alt=\"\" loading=\"lazy\" />															\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<h3>\n				</h3>\n									<p>\n						<strong style=\" \">آدرس:</strong> یزد ، خیابان خوبان ، کوچه طراحان سایت ، پ 22					</p>\n				<h3>\n				</h3>\n									<p>\n						<strong style=\"  \">تلفن تماس:</strong> 1234567 - 035					</p>\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">		\n			<p>تمامی حقوق برای سایت آماده تکنولوژی محفوظ میباشد.</p>", "فوتر اصلی سایت", "", "publish", "closed", "closed", "", "%d9%81%d9%88%d8%aa%d8%b1-%d8%a7%d8%b5%d9%84%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-10-12 16:17:46", "2023-10-12 12:47:46", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=1013", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("1029", "4", "2023-09-20 09:11:16", "2023-09-20 05:41:16", "", "Ellipse-68", "", "inherit", "open", "closed", "", "ellipse-68", "", "", "2023-09-20 09:11:16", "2023-09-20 05:41:16", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-68.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1030", "4", "2023-09-20 09:16:57", "2023-09-20 05:46:57", "", "57.-Location-Pin", "", "inherit", "open", "closed", "", "57-location-pin", "", "", "2023-09-20 09:16:57", "2023-09-20 05:46:57", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/57.-Location-Pin.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1031", "4", "2023-09-20 09:17:57", "2023-09-20 05:47:57", "", "Rectangle-5", "", "inherit", "open", "closed", "", "rectangle-5", "", "", "2023-09-20 09:17:57", "2023-09-20 05:47:57", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-5.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1032", "4", "2023-09-20 09:19:19", "2023-09-20 05:49:19", "", "4.-Phone", "", "inherit", "open", "closed", "", "4-phone", "", "", "2023-09-20 09:19:19", "2023-09-20 05:49:19", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/4.-Phone.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1033", "4", "2023-09-20 09:20:57", "2023-09-20 05:50:57", "", "Rectangle-22-1-e1632989849434", "", "inherit", "open", "closed", "", "rectangle-22-1-e1632989849434", "", "", "2023-09-20 09:20:57", "2023-09-20 05:50:57", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Rectangle-22-1-e1632989849434.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1044", "4", "2023-09-20 10:08:44", "2023-09-20 06:38:44", "<time datetime=\"2023-09-20T10:08:44+03:30\">20 سپتامبر 2023</time>		\n			20 سپتامبر 2023 مشاهده بیشتـر		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>", "گرید نوشته ها صفحه اصلی (با بک گراند)", "", "publish", "closed", "closed", "", "%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-10-12 16:10:40", "2023-10-12 12:40:40", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c-2", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1048", "4", "2023-09-20 10:09:58", "2023-09-20 06:39:58", "", "753-1970x1103", "", "inherit", "open", "closed", "", "753-1970x1103", "", "", "2023-09-20 10:09:58", "2023-09-20 06:39:58", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/753-1970x1103-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1049", "4", "2023-09-20 10:18:47", "2023-09-20 06:48:47", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "4 استراتژی لینک سازی خارجی که باعث بهبود سئو می‌شود", "", "publish", "open", "open", "", "4-%d8%a7%d8%b3%d8%aa%d8%b1%d8%a7%d8%aa%da%98%db%8c-%d9%84%db%8c%d9%86%da%a9-%d8%b3%d8%a7%d8%b2%db%8c-%d8%ae%d8%a7%d8%b1%d8%ac%db%8c-%da%a9%d9%87-%d8%a8%d8%a7%d8%b9%d8%ab-%d8%a8%d9%87%d8%a8%d9%88%d8%af", "", "", "2023-10-05 15:45:25", "2023-10-05 12:15:25", "", "0", "https://halochin.ir/Technology/?p=1049", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1067", "4", "2023-09-20 10:44:03", "2023-09-20 07:14:03", "<time datetime=\"2023-09-20T10:44:03+03:30\">20 سپتامبر 2023</time>		\n			20 سپتامبر 2023 مشاهده بیشتـر		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>", "گرید نوشته ها صفحه اصلی (بدون بک گراند)", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-10-12 16:11:10", "2023-10-12 12:41:10", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c-2-2", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1115", "4", "2023-09-20 11:56:52", "2023-09-20 08:26:52", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "در طراحی سایت باید به چه نکاتی توجه کنیم ؟", "", "publish", "open", "open", "", "%d8%af%d8%b1-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a8%d8%a7%db%8c%d8%af-%d8%a8%d9%87-%da%86%d9%87-%d9%86%da%a9%d8%a7%d8%aa%db%8c-%d8%aa%d9%88%d8%ac%d9%87-%da%a9%d9%86%db%8c%d9%85", "", "", "2023-09-21 14:48:25", "2023-09-21 11:18:25", "", "0", "https://halochin.ir/Technology/?p=1115", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1116", "4", "2023-09-20 11:56:42", "2023-09-20 08:26:42", "", "business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216", "", "inherit", "open", "closed", "", "business-people-with-wheelchair-in-the-office-p9m4rx3-1970x2216", "", "", "2023-09-20 11:56:42", "2023-09-20 08:26:42", "", "1115", "https://halochin.ir/Technology/wp-content/uploads/2023/09/business-people-with-wheelchair-in-the-office-P9M4RX3-1970x2216-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1117", "4", "2023-09-20 11:56:45", "2023-09-20 08:26:45", "", "happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216", "", "inherit", "open", "closed", "", "happy-colleagues-sitting-in-office-coworking-phya6tg-1970x2216", "", "", "2023-09-20 11:56:45", "2023-09-20 08:26:45", "", "1115", "https://halochin.ir/Technology/wp-content/uploads/2023/09/happy-colleagues-sitting-in-office-coworking-PHYA6TG-1970x2216-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1119", "4", "2023-09-20 11:58:09", "2023-09-20 08:28:09", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "چند نکته برای لینک سازی داخلی که در افزایش رتبه سایت شما جادو میکند !", "", "publish", "open", "open", "", "%d9%84%db%8c%d9%86%da%a9-%d8%b3%d8%a7%d8%b2%db%8c-%d8%af%d8%a7%d8%ae%d9%84%db%8c-%d8%af%d8%b1-%d8%b3%d8%a6%d9%88-%d8%a8%d9%87-%da%86%d9%87-%d9%85%d8%b9%d9%86%d8%a7%d8%b3%d8%aa-%d8%9f", "", "", "2023-09-21 14:58:23", "2023-09-21 11:28:23", "", "0", "https://halochin.ir/Technology/?p=1119", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1206", "4", "2023-09-20 13:52:49", "2023-09-20 10:22:49", "", "Mask-Group-37-860x684", "", "inherit", "open", "closed", "", "mask-group-37-860x684", "", "", "2023-09-20 13:52:49", "2023-09-20 10:22:49", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-37-860x684-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1211", "4", "2023-09-20 13:55:05", "2023-09-20 10:25:05", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد", "طراحی پلتفرم کتاب و کتابخوانی تحت وب", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%be%d9%84%d8%aa%d9%81%d8%b1%d9%85-%da%a9%d8%aa%d8%a7%d8%a8-%d9%88-%da%a9%d8%aa%d8%a7%d8%a8%d8%ae%d9%88%d8%a7%d9%86%db%8c-%d8%aa%d8%ad%d8%aa-%d9%88%d8%a8", "", "", "2023-10-12 14:26:37", "2023-10-12 10:56:37", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=1211", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("1248", "4", "2023-09-20 14:53:49", "2023-09-20 11:23:49", "", "Path-52-e1633770877284", "", "inherit", "open", "closed", "", "path-52-e1633770877284", "", "", "2023-09-20 14:53:49", "2023-09-20 11:23:49", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Path-52-e1633770877284.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1272", "4", "2023-09-20 15:27:12", "2023-09-20 11:57:12", "", "instagram", "", "inherit", "open", "closed", "", "instagram", "", "", "2023-09-20 15:27:12", "2023-09-20 11:57:12", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/instagram.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("1274", "4", "2023-09-20 15:30:07", "2023-09-20 12:00:07", "", "telegram-icon", "", "inherit", "open", "closed", "", "telegram-icon", "", "", "2023-09-20 15:30:07", "2023-09-20 12:00:07", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/telegram-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("1275", "4", "2023-09-20 15:32:31", "2023-09-20 12:02:31", "", "svgexport-10 (1)", "", "inherit", "open", "closed", "", "svgexport-10-1", "", "", "2023-09-20 15:32:31", "2023-09-20 12:02:31", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-10-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("1286", "4", "2023-09-20 16:04:11", "2023-09-20 12:34:11", "", "Mask-Group-8", "", "inherit", "open", "closed", "", "mask-group-8", "", "", "2023-09-20 16:04:11", "2023-09-20 12:34:11", "", "26", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-8.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1287", "4", "2023-09-20 16:05:52", "2023-09-20 12:35:52", "", "Mask-Group-10", "", "inherit", "open", "closed", "", "mask-group-10", "", "", "2023-09-20 16:05:52", "2023-09-20 12:35:52", "", "26", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-10.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1335", "4", "2023-09-21 09:15:14", "2023-09-21 05:45:14", "", "Mask-Group-13", "", "inherit", "open", "closed", "", "mask-group-13", "", "", "2023-09-21 09:15:14", "2023-09-21 05:45:14", "", "28", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-13.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1377", "4", "2023-09-21 09:46:03", "2023-09-21 06:16:03", "", "WorkHome", "", "inherit", "open", "closed", "", "workhome", "", "", "2023-09-21 09:46:03", "2023-09-21 06:16:03", "", "26", "https://halochin.ir/Technology/wp-content/uploads/2023/09/WorkHome.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1381", "4", "2023-09-21 09:47:12", "2023-09-21 06:17:12", "", "newworkhome", "", "inherit", "open", "closed", "", "newworkhome", "", "", "2023-09-21 09:47:12", "2023-09-21 06:17:12", "", "26", "https://halochin.ir/Technology/wp-content/uploads/2023/09/newworkhome.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1434", "4", "2023-09-21 11:11:25", "2023-09-21 07:41:25", "<a role=\"button\">\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" xmlns:svgjs=\"http://svgjs.com/svgjs\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 511.987 511\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\">  <g>    <path d=\"M114.594 491.14c-5.61 0-11.18-1.75-15.934-5.187a27.223 27.223 0 0 1-10.582-28.094l32.938-145.09L9.312 214.81a27.188 27.188 0 0 1-7.976-28.907 27.208 27.208 0 0 1 23.402-18.71l147.797-13.419L230.97 17.027C235.277 6.98 245.089.492 255.992.492s20.715 6.488 25.024 16.512l58.433 136.77 147.774 13.417c10.882.98 20.054 8.344 23.425 18.711 3.372 10.368.254 21.739-7.957 28.907L390.988 312.75l32.938 145.086c2.414 10.668-1.727 21.7-10.578 28.098-8.832 6.398-20.61 6.89-29.91 1.3l-127.446-76.16-127.445 76.203c-4.309 2.559-9.11 3.864-13.953 3.864zm141.398-112.874c4.844 0 9.64 1.3 13.953 3.859l120.278 71.938-31.086-136.942a27.21 27.21 0 0 1 8.62-26.516l105.473-92.5-139.543-12.671a27.18 27.18 0 0 1-22.613-16.493L255.992 39.895 200.844 168.96c-3.883 9.195-12.524 15.512-22.547 16.43L38.734 198.062l105.47 92.5c7.554 6.614 10.858 16.77 8.62 26.54l-31.062 136.937 120.277-71.914c4.309-2.559 9.11-3.86 13.953-3.86zm-84.586-221.848s0 .023-.023.043zm169.13-.063.023.043c0-.023 0-.023-.024-.043zm0 0\" fill=\"#F0AD4E\" data-original=\"#000000\"></path>  </g></svg>			\n					</a>", "گرید نمایش اعضای تیم", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d8%a7%d8%b9%d8%b6%d8%a7%db%8c-%d8%aa%db%8c%d9%85", "", "", "2023-10-10 14:46:07", "2023-10-10 11:16:07", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d8%a7%d8%b9%d8%b6%d8%a7%db%8c-%d8%aa%db%8c%d9%85", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1523", "4", "2023-09-21 13:26:55", "2023-09-21 09:56:55", "<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n		<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n		<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n		<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n		<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n		<style>.elementor-1568 .elementor-element.elementor-element-f68ae75{--display:flex;--flex-direction:row;--container-widget-width:initial;--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 0px 0px 0px;--padding-block-start:0rem;--padding-block-end:0.4rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1568 .elementor-element.elementor-element-f68ae75, .elementor-1568 .elementor-element.elementor-element-f68ae75::before{--border-transition:0.3s;}.elementor-1568 .elementor-element.elementor-element-3dbcd67{text-align:right;}.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{color:#716F87;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:300;line-height:1.7rem;}.jet-listing-item.single-jet-engine.elementor-page-1568 > .elementor{width:300px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1568 .elementor-element.elementor-element-3dbcd67 .elementor-heading-title{font-size:13px;}}/* Start custom CSS for heading, class: .elementor-element-3dbcd67 */.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:hover {\n    color: var(--e-global-color-af9acf8) !important;\n    transition: 0.5s;\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span {\n    transition: 0.5s;\n    padding-right: 1rem\n}\n.elementor-1568 .elementor-element.elementor-element-3dbcd67 span:before{\n    content: \"\";\n    position: absolute;\n    width: 5px;\n    height: 5px;\n    border-radius: 100px;\n    background-color: var(--e-global-color-46455ee);\n    top: 50%;\n    transform: translateY(-50%);\n    right: -0.1%;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>.elementor-1529 .elementor-element.elementor-element-841b34f{--display:flex;--min-height:180px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1529 .elementor-element.elementor-element-841b34f:not(.elementor-motion-effects-element-type-background), .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1529 .elementor-element.elementor-element-841b34f::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1529 .elementor-element.elementor-element-841b34f, .elementor-1529 .elementor-element.elementor-element-841b34f::before{--border-transition:0.3s;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item, .elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1529 .elementor-element.elementor-element-45789cb{text-align:right;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.5rem;}.jet-listing-item.single-jet-engine.elementor-page-1529 > .elementor{width:411px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:105px;--padding-block-start:0.625rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{font-size:13px;line-height:1.3rem;}}@media(max-width:767px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:160px;}}/* Start custom CSS for container, class: .elementor-element-841b34f */.elementor-1529 .elementor-element.elementor-element-841b34f:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1529 .elementor-element.elementor-element-841b34f:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			<style>.elementor-1529 .elementor-element.elementor-element-841b34f{--display:flex;--min-height:180px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1529 .elementor-element.elementor-element-841b34f:not(.elementor-motion-effects-element-type-background), .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1529 .elementor-element.elementor-element-841b34f::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1529 .elementor-element.elementor-element-841b34f, .elementor-1529 .elementor-element.elementor-element-841b34f::before{--border-transition:0.3s;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item, .elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1529 .elementor-element.elementor-element-45789cb{text-align:right;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.5rem;}.jet-listing-item.single-jet-engine.elementor-page-1529 > .elementor{width:411px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:105px;--padding-block-start:0.625rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{font-size:13px;line-height:1.3rem;}}@media(max-width:767px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:160px;}}/* Start custom CSS for container, class: .elementor-element-841b34f */.elementor-1529 .elementor-element.elementor-element-841b34f:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1529 .elementor-element.elementor-element-841b34f:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			<style>.elementor-1529 .elementor-element.elementor-element-841b34f{--display:flex;--min-height:180px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1529 .elementor-element.elementor-element-841b34f:not(.elementor-motion-effects-element-type-background), .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1529 .elementor-element.elementor-element-841b34f::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1529 .elementor-element.elementor-element-841b34f, .elementor-1529 .elementor-element.elementor-element-841b34f::before{--border-transition:0.3s;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item, .elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1529 .elementor-element.elementor-element-45789cb{text-align:right;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.5rem;}.jet-listing-item.single-jet-engine.elementor-page-1529 > .elementor{width:411px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:105px;--padding-block-start:0.625rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{font-size:13px;line-height:1.3rem;}}@media(max-width:767px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:160px;}}/* Start custom CSS for container, class: .elementor-element-841b34f */.elementor-1529 .elementor-element.elementor-element-841b34f:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1529 .elementor-element.elementor-element-841b34f:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n		<style>.elementor-1529 .elementor-element.elementor-element-841b34f{--display:flex;--min-height:180px;--flex-direction:column;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:flex-end;--align-items:flex-start;--gap:0rem 0rem;--overflow:hidden;--background-transition:0.3s;--overlay-opacity:0.5;--border-radius:20px 20px 20px 20px;box-shadow:-20px 20px 50px 0px rgba(8, 20, 32, 0.14901960784313725);--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1.2rem;--padding-inline-end:1.2rem;}.elementor-1529 .elementor-element.elementor-element-841b34f:not(.elementor-motion-effects-element-type-background), .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-position:center center;background-repeat:no-repeat;background-size:cover;}.elementor-1529 .elementor-element.elementor-element-841b34f::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-video-container::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .e-con-inner > .elementor-background-slideshow::before, .elementor-1529 .elementor-element.elementor-element-841b34f > .elementor-motion-effects-container > .elementor-motion-effects-layer::before{--background-overlay:\'\';}.elementor-1529 .elementor-element.elementor-element-841b34f, .elementor-1529 .elementor-element.elementor-element-841b34f::before{--border-transition:0.3s;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item, .elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1529 .elementor-element.elementor-element-995aca9 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-5b191c6 );}.elementor-1529 .elementor-element.elementor-element-45789cb{text-align:right;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{color:#FFFFFF;font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.5rem;}.jet-listing-item.single-jet-engine.elementor-page-1529 > .elementor{width:411px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:105px;--padding-block-start:0.625rem;--padding-block-end:0.625rem;--padding-inline-start:0.625rem;--padding-inline-end:0.625rem;}.elementor-1529 .elementor-element.elementor-element-45789cb .elementor-heading-title{font-size:13px;line-height:1.3rem;}}@media(max-width:767px){.elementor-1529 .elementor-element.elementor-element-841b34f{--min-height:160px;}}/* Start custom CSS for container, class: .elementor-element-841b34f */.elementor-1529 .elementor-element.elementor-element-841b34f:before{\n    transition: 0.6s;\n     content: \"\";\n    position: absolute;\n    top: -5%;\n    right: 0;\n    width: 100%;\n    height: 110%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #050d4a, transparent 100%);\n    opacity: 0.65;\n    border-radius: 20px;\n}\n.elementor-1529 .elementor-element.elementor-element-841b34f:hover:before{\n    transition: 0.6s;\n    top: 0;\n    height: 100%;\n    opacity: 0.85\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:58:09+03:30\">20 سپتامبر 2023</time>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>مقالات		\n			<h2>آخرین اخبار سایت</h2>		\n			<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:03:32+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T15:01:03+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-21T14:56:40+03:30\">21 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:58:09+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T11:56:52+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n		<style>.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--align-items:center;--gap:0px 0px;--background-transition:0.3s;--margin-block-start:0rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1549 .elementor-element.elementor-element-ad2eba0.e-con{--flex-grow:0;--flex-shrink:0;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{width:100%;height:195px;object-fit:cover;object-position:center center;border-radius:20px 20px 20px 20px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--display:flex;--min-height:174.36px;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--justify-content:space-between;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:25px 0px 0px 25px;box-shadow:0px 3px 35px 0px rgba(0, 0, 0, 0.0784313725490196);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-da545d7:not(.elementor-motion-effects-element-type-background), .elementor-1549 .elementor-element.elementor-element-da545d7 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1549 .elementor-element.elementor-element-da545d7, .elementor-1549 .elementor-element.elementor-element-da545d7::before{--border-transition:0.3s;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta{text-align:flex-start;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item, .elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{font-family:\"Dana\", Sans-serif;font-size:11px;}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-57556d1 .jet-listing-dynamic-meta__item-val{color:var( --e-global-color-text );}.elementor-1549 .elementor-element.elementor-element-fb1c204{text-align:right;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{color:var( --e-global-color-accent );font-family:\"Dana\", Sans-serif;font-size:15px;font-weight:500;line-height:1.7rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:13px;font-weight:300;line-height:1.3rem;text-align:right;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1549 .elementor-element.elementor-element-7487770 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1549 .elementor-element.elementor-element-7487770 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-7487770{width:auto;max-width:auto;}.elementor-1549 .elementor-element.elementor-element-7487770.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1549 > .elementor{width:496px;margin-left:auto;margin-right:auto;}@media(min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:32%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:68%;}}@media(max-width:1024px) and (min-width:768px){.elementor-1549 .elementor-element.elementor-element-ad2eba0{--width:100%;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:92%;}}@media(max-width:1024px){.elementor-1549 .elementor-element.elementor-element-cdd4bd1{--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;}.elementor-1549 .elementor-element.elementor-element-ad2eba0{--z-index:3;}.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:175px;}.elementor-1549 .elementor-element.elementor-element-1072aa3{z-index:2;}.elementor-1549 .elementor-element.elementor-element-da545d7{--min-height:0;--gap:0rem 0rem;--border-radius:0px 0px 25px 25px;--margin-block-start:-0.4rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--padding-block-start:1.4rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1549 .elementor-element.elementor-element-fb1c204 .elementor-heading-title{font-size:14px;}.elementor-1549 .elementor-element.elementor-element-fb1c204 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1549 .elementor-element.elementor-element-1072aa3 img{height:160px;}.elementor-1549 .elementor-element.elementor-element-da545d7{--width:95%;--margin-block-start:-0.7rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;}}/* Start custom CSS for image, class: .elementor-element-1072aa3 */.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    width: 100%\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a {\n    position: relative;\n}\n.elementor-1549 .elementor-element.elementor-element-1072aa3 a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #5e71ff, transparent);\n    opacity: 0.5;\n    border-radius: 20px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-fb1c204 */.elementor-1549 .elementor-element.elementor-element-fb1c204 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for jet-listing-dynamic-field, class: .elementor-element-9a14910 */.elementor-1549 .elementor-element.elementor-element-9a14910 .jet-listing-dynamic-field__content {\n    text-align: justify !important; \n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-cdd4bd1 */.elementor-1549 .elementor-element.elementor-element-cdd4bd1 {\n    transition: 0.6s;\n}\n.elementor-1549 .elementor-element.elementor-element-cdd4bd1:hover {\n    transition: 0.6s;\n    transform: translateY(-15px)\n}/* End custom CSS */</style>		\n			<time datetime=\"2023-09-20T10:18:47+03:30\">20 سپتامبر 2023</time>		\n			در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی...		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"1184\" height=\"135\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1.png 1184w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-300x34.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-1024x117.png 1024w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-768x88.png 768w\" sizes=\"(max-width: 1184px) 100vw, 1184px\" />", "قالب آرشیو مقالات", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa", "", "", "2023-10-12 15:45:51", "2023-10-12 12:15:51", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=1523", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("1529", "4", "2023-09-21 13:43:11", "2023-09-21 10:13:11", "<time datetime=\"2023-09-21T13:43:11+03:30\">21 سپتامبر 2023</time>", "گرید نوشته ها وبلاگ (بک گراند عکس)", "", "publish", "closed", "closed", "", "%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-10-12 16:25:22", "2023-10-12 12:55:22", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%a9%d8%a7%d8%b4%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87-%d9%87%d8%a7-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1541", "4", "2023-09-21 14:04:51", "2023-09-21 10:34:51", "", "single-post-banner-1", "", "inherit", "open", "closed", "", "single-post-banner-1", "", "", "2023-09-21 14:04:51", "2023-09-21 10:34:51", "", "1523", "https://halochin.ir/Technology/wp-content/uploads/2023/09/single-post-banner-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("1549", "4", "2023-09-21 14:17:10", "2023-09-21 10:47:10", "<time datetime=\"2023-09-21T14:17:10+03:30\">21 سپتامبر 2023</time>		\n			21 سپتامبر 2023 مشاهده بیشتـر		\n			<a role=\"button\">\n						مشاهده بیشتـر\n					</a>", "گرید مقالات صفحه وبلاگ", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-10-11 11:34:52", "2023-10-11 08:04:52", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa-%d8%b5%d9%81%d8%ad%d9%87-%d9%88%d8%a8%d9%84%d8%a7%da%af", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1568", "4", "2023-09-21 14:49:23", "2023-09-21 11:19:23", "", "گرید دسته بندی مقالات", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa", "", "", "2023-10-11 11:17:32", "2023-10-11 07:47:32", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%85%d9%82%d8%a7%d9%84%d8%a7%d8%aa", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1575", "4", "2023-09-21 14:56:40", "2023-09-21 11:26:40", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "مواردی که قبل از طراحی سایت باید بدانید !", "", "publish", "open", "open", "", "%d9%85%d9%88%d8%a7%d8%b1%d8%af%db%8c-%da%a9%d9%87-%d9%82%d8%a8%d9%84-%d8%a7%d8%b2-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a8%d8%a7%db%8c%d8%af-%d8%a8%d8%af%d8%a7%d9%86%db%8c%d8%af", "", "", "2023-09-21 14:58:31", "2023-09-21 11:28:31", "", "0", "https://halochin.ir/Technology/?p=1575", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1576", "4", "2023-09-21 14:56:37", "2023-09-21 11:26:37", "", "post-1", "", "inherit", "open", "closed", "", "post-1", "", "", "2023-09-21 14:56:37", "2023-09-21 11:26:37", "", "1575", "https://halochin.ir/Technology/wp-content/uploads/2023/09/post-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1579", "4", "2023-09-21 15:01:03", "2023-09-21 11:31:03", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "نکاتی در رابطه با بستن قرارداد طراحی گرافیک و تعیین مبلغ طراحی", "", "publish", "open", "open", "", "%d9%86%da%a9%d8%a7%d8%aa%db%8c-%d8%af%d8%b1-%d8%b1%d8%a7%d8%a8%d8%b7%d9%87-%d8%a8%d8%a7-%d8%a8%d8%b3%d8%aa%d9%86-%d9%82%d8%b1%d8%a7%d8%b1%d8%af%d8%a7%d8%af-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%da%af%d8%b1", "", "", "2023-09-21 15:01:25", "2023-09-21 11:31:25", "", "0", "https://halochin.ir/Technology/?p=1579", "0", "post", "", "0");
INSERT INTO `wp_posts` VALUES("1581", "4", "2023-09-21 15:01:21", "2023-09-21 11:31:21", "", "p", "", "inherit", "open", "closed", "", "p", "", "", "2023-09-21 15:01:21", "2023-09-21 11:31:21", "", "1579", "https://halochin.ir/Technology/wp-content/uploads/2023/09/p.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1583", "4", "2023-09-21 15:03:32", "2023-09-21 11:33:32", "در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.\r\n\r\nاستراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.\r\n\r\nدوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.\r\n\r\n&nbsp;\r\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\r\nپیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.\r\n\r\nاما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.\r\n\r\nاما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.\r\n\r\nاما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.\r\n\r\nبا این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.\r\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\r\nحالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.\r\n\r\nاما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.\r\n\r\n&nbsp;\r\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\r\nهرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.\r\n\r\nبنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.\r\n\r\n&nbsp;\r\n<h3>۲- شبکه‌سازی کنید</h3>\r\nساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.\r\n\r\nبه این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.\r\n\r\n&nbsp;\r\n<h3>۳- پست مهمان بنویسید</h3>\r\nیکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.\r\n\r\nبه این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.\r\n\r\n&nbsp;\r\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\r\nدر این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.\r\n\r\nانتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.\r\n\r\nنکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.", "معرفی پنج ایده جدید برای طراحی Ui , Ux", "", "publish", "open", "open", "", "%d9%85%d8%b9%d8%b1%d9%81%db%8c-%d9%be%d9%86%d8%ac-%d8%a7%db%8c%d8%af%d9%87-%d8%ac%d8%af%db%8c%d8%af-%d8%a8%d8%b1%d8%a7%db%8c-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-ui-ux-%d8%b3%d8%a7%db%8c%d8%aa-%d9%81", "", "", "2023-10-02 11:38:32", "2023-10-02 08:08:32", "", "0", "https://halochin.ir/Technology/?p=1583", "0", "post", "", "1");
INSERT INTO `wp_posts` VALUES("1585", "4", "2023-09-21 15:03:53", "2023-09-21 11:33:53", "", "njanja-kovac-3532-62002-original-protected-1-637x383", "", "inherit", "open", "closed", "", "njanja-kovac-3532-62002-original-protected-1-637x383", "", "", "2023-09-21 15:03:53", "2023-09-21 11:33:53", "", "1583", "https://halochin.ir/Technology/wp-content/uploads/2023/09/njanja-kovac-3532-62002-original-protected-1-637x383-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1600", "4", "2023-09-21 16:04:31", "2023-09-21 12:34:31", "[flexy_breadcrumb]		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>آنچه در این مطلب میخوانید !		\n			<style>/*! elementor-pro - v3.15.0 - 09-08-2023 */\n.elementor-widget-table-of-contents .elementor-toc__header-title{color:var(--header-color)}.elementor-widget-table-of-contents.elementor-toc--collapsed .elementor-toc__toggle-button--collapse,.elementor-widget-table-of-contents:not(.elementor-toc--collapsed) .elementor-toc__toggle-button--expand{display:none}.elementor-widget-table-of-contents .elementor-widget-container{min-height:var(--box-min-height);border:var(--box-border-width,1px) solid var(--box-border-color,#9da5ae);border-radius:var(--box-border-radius,3px);background-color:var(--box-background-color);transition:min-height .4s;overflow:hidden}.elementor-toc__header{display:flex;align-items:center;justify-content:space-between;padding:var(--box-padding,20px);background-color:var(--header-background-color);border-bottom:var(--separator-width,1px) solid var(--box-border-color,#9da5ae)}.elementor-toc__header-title{font-size:18px;margin:0;color:var(--header-color)}.elementor-toc__toggle-button{cursor:pointer;display:inline-flex}.elementor-toc__toggle-button i{color:var(--toggle-button-color)}.elementor-toc__toggle-button svg{height:1em;width:1em;fill:var(--toggle-button-color)}.elementor-toc__spinner-container{text-align:center}.elementor-toc__spinner{font-size:2em}.elementor-toc__spinner.e-font-icon-svg{height:1em;width:1em}.elementor-toc__body{padding:var(--box-padding,20px);max-height:var(--toc-body-max-height);overflow-y:auto}.elementor-toc__body::-webkit-scrollbar{width:7px}.elementor-toc__body::-webkit-scrollbar-thumb{background-color:#babfc5;border-radius:10px}.elementor-toc__list-wrapper{list-style:none;padding:0}.elementor-toc__list-item{margin-bottom:.5em}.elementor-toc__list-item.elementor-item-active{font-weight:700}.elementor-toc__list-item .elementor-toc__list-wrapper{margin-top:.5em;margin-right:var(--nested-list-indent,1em)}.elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}.elementor-toc__list-item-text-wrapper{display:flex;align-items:center}.elementor-toc__list-item-text-wrapper:before,.elementor-toc__list-item-text-wrapper i{margin-left:8px;color:var(--marker-color)}.elementor-toc__list-item-text-wrapper svg{margin-left:8px;fill:var(--marker-color);height:var(--marker-size,.5em);width:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper i{font-size:var(--marker-size,.5em)}.elementor-toc__list-item-text-wrapper:before{font-size:var(--marker-size,1em)}.elementor-toc--content-ellipsis .elementor-toc__list-item-text{white-space:nowrap;overflow:hidden;text-overflow:ellipsis}.elementor-toc__list-items--collapsible>.elementor-toc__list-wrapper>.elementor-toc__list-item>.elementor-toc__list-wrapper{display:none}.elementor-toc__heading-anchor{position:absolute}.elementor-toc__body .elementor-toc__list-item-text{color:var(--item-text-color);-webkit-text-decoration:var(--item-text-decoration);text-decoration:var(--item-text-decoration)}.elementor-toc__body .elementor-toc__list-item-text:hover{color:var(--item-text-hover-color);-webkit-text-decoration:var(--item-text-hover-decoration);text-decoration:var(--item-text-hover-decoration)}.elementor-toc__body .elementor-toc__list-item-text.elementor-item-active{color:var(--item-text-active-color);-webkit-text-decoration:var(--item-text-active-decoration);text-decoration:var(--item-text-active-decoration)}ol.elementor-toc__list-wrapper{counter-reset:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item{counter-increment:item}ol.elementor-toc__list-wrapper .elementor-toc__list-item-text-wrapper:before{content:counters(item,\".\") \". \"}</style>		\n			<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container{height:100%;width:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty,.e-con>.elementor-widget-spacer.elementor-widget-empty{position:relative;min-height:22px;min-width:22px}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon,.e-con>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto;padding:0;width:22px;height:22px}</style>		\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-image{text-align:center}.elementor-widget-image a{display:inline-block}.elementor-widget-image a img[src$=\".svg\"]{width:48px}.elementor-widget-image img{vertical-align:middle;display:inline-block}</style>												<img width=\"1184\" height=\"135\" src=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1.png\" alt=\"\" loading=\"lazy\" srcset=\"https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1.png 1184w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-300x34.png 300w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-1024x117.png 1024w, https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1-768x88.png 768w\" sizes=\"(max-width: 1184px) 100vw, 1184px\" />", "قالب صفحه مقاله تکی", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d9%85%d9%82%d8%a7%d9%84%d9%87-%d8%aa%da%a9%db%8c", "", "", "2023-10-12 16:17:33", "2023-10-12 12:47:33", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=1600", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("1623", "4", "2023-09-23 08:54:26", "2023-09-23 05:24:26", "<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "گرید نمونه کارها", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b1%d8%b4%db%8c%d9%88", "", "", "2023-10-12 12:07:17", "2023-10-12 08:37:17", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b1%d8%b4%db%8c%d9%88", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1649", "4", "2023-09-23 13:44:07", "2023-09-23 10:14:07", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "بازاریابی محتوا", "", "publish", "open", "closed", "", "content-marketing", "", "", "2023-09-26 15:10:28", "2023-09-26 11:40:28", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=1649", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("1650", "4", "2023-09-23 13:44:02", "2023-09-23 10:14:02", "", "media-marketing", "", "inherit", "open", "closed", "", "media-marketing", "", "", "2023-09-23 13:44:02", "2023-09-23 10:14:02", "", "1649", "https://halochin.ir/Technology/wp-content/uploads/2023/09/media-marketing.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("1651", "4", "2023-09-23 13:45:37", "2023-09-23 10:15:37", "درخواسـت پـروژه		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>", "گرید خدمات", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%ae%d8%af%d9%85%d8%a7%d8%aa", "", "", "2023-10-10 15:08:02", "2023-10-10 11:38:02", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%ae%d8%af%d9%85%d8%a7%d8%aa", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("1758", "4", "2023-09-23 16:15:33", "2023-09-23 12:45:33", "", "svgexport-6 (3)", "", "inherit", "open", "closed", "", "svgexport-6-3", "", "", "2023-09-23 16:15:33", "2023-09-23 12:45:33", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("1802", "4", "2023-09-25 09:04:54", "2023-09-25 05:34:54", "<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:12px 12px 12px 12px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:0rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14.5px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.3rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "زبانه نمایش تمامی نمونه کارها - صفحه ارشیو نمونه کارها", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d8%aa%d9%85%d8%a7%d9%85%db%8c-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7", "", "", "2023-10-12 16:22:42", "2023-10-12 12:52:42", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=1802", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("1908", "4", "2023-09-25 10:13:55", "2023-09-25 06:43:55", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد", "طراحی سایت شرکتی ، صنعتی با قابلیت فرم استخدام", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d8%b1%da%a9%d8%aa%db%8c-%d8%8c-%d8%b5%d9%86%d8%b9%d8%aa%db%8c-%d8%a8%d8%a7-%d9%82%d8%a7%d8%a8%d9%84%db%8c%d8%aa-%d9%81%d8%b1%d9%85-%d8%a7", "", "", "2023-10-12 14:26:00", "2023-10-12 10:56:00", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=1908", "0", "projects", "", "1");
INSERT INTO `wp_posts` VALUES("1909", "4", "2023-09-25 10:13:52", "2023-09-25 06:43:52", "", "Mask-Group-31-860x684", "", "inherit", "open", "closed", "", "mask-group-31-860x684", "", "", "2023-09-25 10:13:52", "2023-09-25 06:43:52", "", "1908", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-31-860x684-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1910", "4", "2023-09-25 10:15:41", "2023-09-25 06:45:41", "<div class=\"elementor-element elementor-element-7566e77 elementor-widget elementor-widget-theme-post-content\" data-id=\"7566e77\" data-element_type=\"widget\" data-widget_type=\"theme-post-content.default\">\r\n<div class=\"elementor-widget-container\">\r\n\r\nلورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد.\r\n\r\n</div>\r\n</div>", "طراحی سایت فروشگاهی ابزارآلات ساختمانی", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c-%d8%a7%d8%a8%d8%b2%d8%a7%d8%b1%d8%a2%d9%84%d8%a7%d8%aa-%d8%b3%d8%a7%d8%ae%d8%aa%d9%85%d8%a7", "", "", "2023-10-12 14:26:07", "2023-10-12 10:56:07", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=1910", "0", "projects", "", "1");
INSERT INTO `wp_posts` VALUES("1911", "4", "2023-09-25 10:15:39", "2023-09-25 06:45:39", "", "Mask-Group-33-860x684", "", "inherit", "open", "closed", "", "mask-group-33-860x684", "", "", "2023-09-25 10:15:39", "2023-09-25 06:45:39", "", "1910", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-33-860x684-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("1912", "4", "2023-09-25 10:16:35", "2023-09-25 06:46:35", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد", "طراحی وب اپلیکیشن برای ارائه خدمات اینستاگرام", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8-%d8%a7%d9%be%d9%84%db%8c%da%a9%db%8c%d8%b4%d9%86-%d8%a8%d8%b1%d8%a7%db%8c-%d8%a7%d8%b1%d8%a7%d8%a6%d9%87-%d8%ae%d8%af%d9%85%d8%a7%d8%aa-%d8%a7%db%8c%d9%86", "", "", "2023-10-12 14:26:27", "2023-10-12 10:56:27", "", "0", "https://halochin.ir/Technology/?post_type=sample-project&#038;p=1912", "0", "projects", "", "0");
INSERT INTO `wp_posts` VALUES("1913", "4", "2023-09-25 10:16:31", "2023-09-25 06:46:31", "", "Mask-Group-34-860x684", "", "inherit", "open", "closed", "", "mask-group-34-860x684", "", "", "2023-09-25 10:16:31", "2023-09-25 06:46:31", "", "1912", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Mask-Group-34-860x684-1.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("2178", "4", "2023-09-26 09:50:48", "2023-09-26 06:20:48", "", "20161019052135-Content-Marketing", "", "inherit", "open", "closed", "", "20161019052135-content-marketing", "", "", "2023-09-26 09:50:48", "2023-09-26 06:20:48", "", "1649", "https://halochin.ir/Technology/wp-content/uploads/2023/09/20161019052135-Content-Marketing.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("2187", "4", "2023-09-26 09:55:13", "2023-09-26 06:25:13", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>خدمات ما		\n			<h2>برخی از خدماتی که ما به شما ارائه میدهیم</h2>		\n			<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-column .elementor-spacer-inner{height:var(--spacer-size)}.e-con{--container-widget-width:100%}.e-con-inner>.elementor-widget-spacer,.e-con>.elementor-widget-spacer{width:var(--container-widget-width,var(--spacer-size));--align-self:var(--container-widget-align-self,initial);--flex-shrink:0}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container,.e-con>.elementor-widget-spacer>.elementor-widget-container{height:100%;width:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer{height:100%}.e-con-inner>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner,.e-con>.elementor-widget-spacer>.elementor-widget-container>.elementor-spacer>.elementor-spacer-inner{height:var(--container-widget-height,var(--spacer-size))}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty,.e-con>.elementor-widget-spacer.elementor-widget-empty{position:relative;min-height:22px;min-width:22px}.e-con-inner>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon,.e-con>.elementor-widget-spacer.elementor-widget-empty .elementor-widget-empty-icon{position:absolute;top:0;bottom:0;left:0;right:0;margin:auto;padding:0;width:22px;height:22px}</style>		\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>\n		<style>.elementor-1651 .elementor-element.elementor-element-5b640c7{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0px 0px;--background-transition:0.3s;border-style:none;--border-style:none;--border-radius:12px 12px 12px 12px;--margin-block-start:0px;--margin-block-end:0px;--margin-inline-start:0px;--margin-inline-end:0px;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1651 .elementor-element.elementor-element-5b640c7, .elementor-1651 .elementor-element.elementor-element-5b640c7::before{--border-transition:0.3s;}.elementor-1651 .elementor-element.elementor-element-e894ee4 img{width:100%;height:210px;object-fit:cover;object-position:center center;border-radius:10px 10px 0px 10px;}.elementor-1651 .elementor-element.elementor-element-6b776f0{--display:flex;--gap:0rem 0rem;--background-transition:0.3s;border-style:solid;--border-style:solid;border-width:0px 0px 0px 0px;--border-block-start-width:0px;--border-inline-end-width:0px;--border-block-end-width:0px;--border-inline-start-width:0px;border-color:#B5B1B12E;--border-color:#B5B1B12E;--border-radius:0px 15px 15px 15px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.07);--padding-block-start:0.8rem;--padding-block-end:0.8rem;--padding-inline-start:0.8rem;--padding-inline-end:0.8rem;--position:absolute;bottom:6%;--z-index:2;}.elementor-1651 .elementor-element.elementor-element-6b776f0:not(.elementor-motion-effects-element-type-background), .elementor-1651 .elementor-element.elementor-element-6b776f0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-1651 .elementor-element.elementor-element-6b776f0, .elementor-1651 .elementor-element.elementor-element-6b776f0::before{--border-transition:0.3s;}body:not(.rtl) .elementor-1651 .elementor-element.elementor-element-6b776f0{right:0%;}body.rtl .elementor-1651 .elementor-element.elementor-element-6b776f0{left:0%;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:15.5px;font-weight:400;line-height:1.5rem;}.elementor-1651 .elementor-element.elementor-element-8b2dac2 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{color:#716F87;font-size:12.5px;font-weight:300;line-height:1.37rem;text-align:right;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__inline-wrap{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field .jet-listing-dynamic-field__content{width:auto;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field{justify-content:flex-start;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1651 .elementor-element.elementor-element-10a8268 .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1651 .elementor-element.elementor-element-10a8268 > .elementor-widget-container{margin:0.3rem 0rem -0.2rem 0rem;}.elementor-1651 .elementor-element.elementor-element-10a8268{width:auto;max-width:auto;}.elementor-1651 .elementor-element.elementor-element-10a8268.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.elementor-1651 .elementor-element.elementor-element-01c51bc{--spacer-size:100px;width:var( --container-widget-width, 94% );max-width:94%;--container-widget-width:94%;--container-widget-flex-grow:0;}.elementor-1651 .elementor-element.elementor-element-01c51bc > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;background-color:var( --e-global-color-5b191c6 );border-style:solid;border-width:0px 0px 0px 0px;border-color:#B5B1B12E;border-radius:0px 0px 10px 10px;box-shadow:0px 0px 20px 0px rgba(0, 0, 0, 0.06);}.elementor-1651 .elementor-element.elementor-element-01c51bc.elementor-element{--align-self:flex-start;}.jet-listing-item.single-jet-engine.elementor-page-1651 > .elementor{width:377px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-1651 .elementor-element.elementor-element-8b2dac2 .elementor-heading-title{font-size:15px;}.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:12px;}}@media(max-width:767px){.elementor-1651 .elementor-element.elementor-element-95f9b77 .jet-listing-dynamic-field__content{font-size:11px;line-height:1.4rem;}}/* Start custom CSS for image, class: .elementor-element-e894ee4 */.elementor-1651 .elementor-element.elementor-element-e894ee4 a{\n    position: relative;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 a:before{\n    position: absolute;\n    content: \"\";\n    width: 100%;\n    height: 100%;\n    top: 0;\n    right: 0;\n    background-image: linear-gradient(360deg, #5c4ff594, transparent);\n    z-index: 0;\n}\n.elementor-1651 .elementor-element.elementor-element-e894ee4 .elementor-widget-container{\n    height: 210px;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-8b2dac2 */.elementor-1651 .elementor-element.elementor-element-8b2dac2 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-6b776f0 */.elementor-1651 .elementor-element.elementor-element-6b776f0 {\n    width: 94%;\n}/* End custom CSS */\n/* Start custom CSS for spacer, class: .elementor-element-01c51bc */.elementor-1651 .elementor-element.elementor-element-01c51bc {\n    opacity: 0.8\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-5b640c7 */.elementor-1651 .elementor-element.elementor-element-5b640c7 a {\n    width: 100%;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7{\n    transition: 0.6s;\n}\n.elementor-1651 .elementor-element.elementor-element-5b640c7:hover {\n    transform: translateY(-15px);\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از...		\n			<a role=\"button\">\n						درخواسـت پـروژه\n					</a>", "قالب آرشیو خدمات", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d8%ae%d8%af%d9%85%d8%a7%d8%aa", "", "", "2023-10-12 14:26:35", "2023-10-12 10:56:35", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2187", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2208", "4", "2023-09-26 10:38:57", "2023-09-26 07:08:57", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "تبلیغات کلیکی", "", "publish", "open", "closed", "", "%d8%aa%d8%a8%d9%84%db%8c%d8%ba%d8%a7%d8%aa-%da%a9%d9%84%db%8c%da%a9%db%8c", "", "", "2023-09-26 15:10:20", "2023-09-26 11:40:20", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2208", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("2209", "4", "2023-09-26 10:38:54", "2023-09-26 07:08:54", "", "PPC marketing", "", "inherit", "open", "closed", "", "ppc-marketing", "", "", "2023-09-26 10:38:54", "2023-09-26 07:08:54", "", "2208", "https://halochin.ir/Technology/wp-content/uploads/2023/09/PPC-marketing.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("2218", "4", "2023-09-26 10:59:30", "2023-09-26 07:29:30", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "سئو و بهینه سازی سایت", "", "publish", "open", "closed", "", "%d8%b3%d8%a6%d9%88-%d9%88-%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-09-26 15:10:12", "2023-09-26 11:40:12", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2218", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("2219", "4", "2023-09-26 10:59:26", "2023-09-26 07:29:26", "", "images", "", "inherit", "open", "closed", "", "images", "", "", "2023-09-26 10:59:26", "2023-09-26 07:29:26", "", "2218", "https://halochin.ir/Technology/wp-content/uploads/2023/09/images.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("2220", "4", "2023-09-26 11:05:01", "2023-09-26 07:35:01", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "بهینه سازی سرعت", "", "publish", "open", "closed", "", "%d8%a8%d9%87%db%8c%d9%86%d9%87-%d8%b3%d8%a7%d8%b2%db%8c-%d8%b3%d8%b1%d8%b9%d8%aa", "", "", "2023-09-26 15:10:05", "2023-09-26 11:40:05", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2220", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("2221", "4", "2023-09-26 11:04:58", "2023-09-26 07:34:58", "", "9", "", "inherit", "open", "closed", "", "9", "", "", "2023-09-26 11:04:58", "2023-09-26 07:34:58", "", "2220", "https://halochin.ir/Technology/wp-content/uploads/2023/09/9.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("2222", "4", "2023-09-26 11:08:09", "2023-09-26 07:38:09", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی وبسایت وردپرس", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d9%88%d8%b1%d8%af%d9%be%d8%b1%d8%b3", "", "", "2023-09-26 15:09:57", "2023-09-26 11:39:57", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2222", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("2223", "4", "2023-09-26 11:08:06", "2023-09-26 07:38:06", "", "ZGM_FrontEndBackEndDev-955x500", "", "inherit", "open", "closed", "", "zgm_frontendbackenddev-955x500", "", "", "2023-09-26 11:08:06", "2023-09-26 07:38:06", "", "2222", "https://halochin.ir/Technology/wp-content/uploads/2023/09/ZGM_FrontEndBackEndDev-955x500-1.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("2225", "4", "2023-09-26 11:10:50", "2023-09-26 07:40:50", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی اپلیکیشن موبایل", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%a7%d9%be%d9%84%db%8c%da%a9%db%8c%d8%b4%d9%86-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "", "", "2023-09-26 15:09:50", "2023-09-26 11:39:50", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2225", "0", "our-services", "", "0");
INSERT INTO `wp_posts` VALUES("2226", "4", "2023-09-26 11:10:46", "2023-09-26 07:40:46", "", "how-to-design-mobile-app-ui-like-a-professional", "", "inherit", "open", "closed", "", "how-to-design-mobile-app-ui-like-a-professional", "", "", "2023-09-26 11:10:46", "2023-09-26 07:40:46", "", "2225", "https://halochin.ir/Technology/wp-content/uploads/2023/09/how-to-design-mobile-app-ui-like-a-professional.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("2227", "4", "2023-09-26 11:14:04", "2023-09-26 07:44:04", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "طراحی سایت اختصاصی", "", "publish", "open", "closed", "", "%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa-%d8%a7%d8%ae%d8%aa%d8%b5%d8%a7%d8%b5%db%8c", "", "", "2023-09-26 15:09:40", "2023-09-26 11:39:40", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2227", "0", "our-services", "", "2");
INSERT INTO `wp_posts` VALUES("2228", "4", "2023-09-26 11:14:00", "2023-09-26 07:44:00", "", "download", "", "inherit", "open", "closed", "", "download-3", "", "", "2023-09-26 11:14:00", "2023-09-26 07:44:00", "", "2227", "https://halochin.ir/Technology/wp-content/uploads/2023/09/download.jpg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("2230", "4", "2023-09-26 11:17:43", "2023-09-26 07:47:43", "لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ، و با استفاده از طراحان گرافیک است، چاپگرها و متون بلکه روزنامه و مجله در ستون و سطرآنچنان که لازم است، و برای شرایط فعلی تکنولوژی مورد نیاز، و کاربردهای متنوع با هدف بهبود ابزارهای کاربردی می باشد، کتابهای زیادی در شصت و سه درصد گذشته حال و آینده، شناخت فراوان جامعه و متخصصان را می طلبد، تا با نرم افزارها شناخت بیشتری را برای طراحان رایانه ای علی الخصوص طراحان خلاقی، و فرهنگ پیشرو در زبان فارسی ایجاد کرد، در این صورت می توان امید داشت که تمام و دشواری موجود در ارائه راهکارها، و شرایط سخت تایپ به پایان رسد و زمان مورد نیاز شامل حروفچینی دستاوردهای اصلی، و جوابگوی سوالات پیوسته اهل دنیای موجود طراحی اساسا مورد استفاده قرار گیرد.", "پشتیبانی وبسایت شما", "", "publish", "open", "closed", "", "%d9%be%d8%b4%d8%aa%db%8c%d8%a8%d8%a7%d9%86%db%8c-%d9%88%d8%a8%d8%b3%d8%a7%db%8c%d8%aa-%d8%b4%d9%85%d8%a7", "", "", "2023-09-26 15:08:33", "2023-09-26 11:38:33", "", "0", "https://halochin.ir/Technology/?post_type=our-services&#038;p=2230", "0", "our-services", "", "1");
INSERT INTO `wp_posts` VALUES("2231", "4", "2023-09-26 11:17:40", "2023-09-26 07:47:40", "", "DSCF3903-scaled-2", "", "inherit", "open", "closed", "", "dscf3903-scaled-2", "", "", "2023-09-26 11:17:40", "2023-09-26 07:47:40", "", "2230", "https://halochin.ir/Technology/wp-content/uploads/2023/09/DSCF3903-scaled-2.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("2258", "4", "2023-09-26 12:14:41", "2023-09-26 08:44:41", "", "overlay", "", "inherit", "open", "closed", "", "overlay", "", "", "2023-09-26 12:14:41", "2023-09-26 08:44:41", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/overlay.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2334", "4", "2023-09-26 13:40:04", "2023-09-26 10:10:04", "", "svgexport-21 (1)", "", "inherit", "open", "closed", "", "svgexport-21-1", "", "", "2023-09-26 13:40:04", "2023-09-26 10:10:04", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2344", "4", "2023-09-26 13:47:45", "2023-09-26 10:17:45", "", "Group-35747-2", "", "inherit", "open", "closed", "", "group-35747-2", "", "", "2023-09-26 13:47:45", "2023-09-26 10:17:45", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-35747-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2366", "4", "2023-09-26 14:08:04", "2023-09-26 10:38:04", "<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان 		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>", "زبانه تعرفه های طراحی سایت - صفحه اصلی", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7%db%8c-%d8%b7%d8%b1%d8%a7%d8%ad%db%8c-%d8%b3%d8%a7%db%8c%d8%aa", "", "", "2023-10-12 16:22:23", "2023-10-12 12:52:23", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2366", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2377", "4", "2023-09-26 14:16:56", "2023-09-26 10:46:56", "<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان 		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-text-editor.elementor-drop-cap-view-stacked .elementor-drop-cap{background-color:#69727d;color:#fff}.elementor-widget-text-editor.elementor-drop-cap-view-framed .elementor-drop-cap{color:#69727d;border:3px solid;background-color:transparent}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap{margin-top:8px}.elementor-widget-text-editor:not(.elementor-drop-cap-view-default) .elementor-drop-cap-letter{width:1em;height:1em}.elementor-widget-text-editor .elementor-drop-cap{float:right;text-align:center;line-height:1;font-size:50px}.elementor-widget-text-editor .elementor-drop-cap-letter{display:inline-block}</style>										\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p> طراحی گرافیک</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>خرید هاست و دامین</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>خرید هاست و دامین</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> طراحی گرافیک</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n		<style>.elementor-5029 .elementor-element.elementor-element-d18f5bc{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0.825rem 0rem;--overflow:hidden;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px -2px 20px 0px rgba(52, 54.000000000000014, 65, 0.04);--padding-block-start:1.2rem;--padding-block-end:1.2rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-d18f5bc:not(.elementor-motion-effects-element-type-background), .elementor-5029 .elementor-element.elementor-element-d18f5bc > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:var( --e-global-color-5b191c6 );}.elementor-5029 .elementor-element.elementor-element-d18f5bc, .elementor-5029 .elementor-element.elementor-element-d18f5bc::before{--border-transition:0.3s;}.elementor-5029 .elementor-element.elementor-element-97dcee0{text-align:center;z-index:2;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:600;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--display:flex;--flex-direction:row;--container-widget-width:calc( ( 1 - var( --container-widget-flex-grow ) ) * 100% );--container-widget-height:100%;--container-widget-flex-grow:1;--container-widget-align-self:stretch;--justify-content:center;--align-items:center;--gap:0rem 0.1rem;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db{text-align:center;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:23px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{color:var( --e-global-color-text );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:400;}.elementor-5029 .elementor-element.elementor-element-db51694{--divider-border-style:dashed;--divider-color:#B5B1B12E;--divider-border-width:1px;z-index:2;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider-separator{width:100%;}.elementor-5029 .elementor-element.elementor-element-db51694 .elementor-divider{padding-top:0px;padding-bottom:0px;}.elementor-5029 .elementor-element.elementor-element-db51694 > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-cdca18c{text-align:center;font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:300;line-height:1.3rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c > .elementor-widget-container{margin:-0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items{flex-direction:flex-start;}.elementor-5029 .elementor-element.elementor-element-c9d41e9.elementor-element{--align-self:center;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-right{margin-left:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button .elementor-align-icon-left{margin-right:0px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-family:\"Dana\", Sans-serif;font-weight:500;background-color:var( --e-global-color-secondary );border-radius:8px 8px 8px 8px;box-shadow:0px 0px 18px 0px rgba(94, 113.0000000000002, 255, 0.5803921568627451);padding:0.7rem 1.7rem 0.6rem 1.7rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-850071a{z-index:2;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{color:var( --e-global-color-5b191c6 );font-family:\"Dana\", Sans-serif;font-size:11px;font-weight:500;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-52%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-52%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:7%;}.jet-listing-item.single-jet-engine.elementor-page-5029 > .elementor{width:347px;margin-left:auto;margin-right:auto;}@media(max-width:1024px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.425rem 0.625rem;--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:11px;}.elementor-5029 .elementor-element.elementor-element-97dcee0{z-index:2;}.elementor-5029 .elementor-element.elementor-element-56f6d83{--margin-block-start:0.2rem;--margin-block-end:0rem;--margin-inline-start:0rem;--margin-inline-end:0rem;--z-index:2;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-db51694{z-index:2;}.elementor-5029 .elementor-element.elementor-element-cdca18c{font-size:10px;line-height:1.1rem;z-index:2;}.elementor-5029 .elementor-element.elementor-element-c9d41e9 > .elementor-widget-container{margin:0.3rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-c9d41e9{z-index:2;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:11px;padding:0.55rem 1.5rem 0.5rem 1.5rem;}.elementor-5029 .elementor-element.elementor-element-850071a > .elementor-widget-container{margin:0.5rem 0rem 0rem 0rem;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 > .elementor-widget-container{padding:0.3rem 0rem 0.3rem 0rem;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{z-index:2;}}@media(max-width:767px){.elementor-5029 .elementor-element.elementor-element-d18f5bc{--gap:0.625rem 0rem;}.elementor-5029 .elementor-element.elementor-element-97dcee0 .elementor-heading-title{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-527b3db .elementor-heading-title{font-size:19px;}.elementor-5029 .elementor-element.elementor-element-244076d .elementor-heading-title{font-size:9px;}.elementor-5029 .elementor-element.elementor-element-850071a .elementor-button{font-size:10px;}.elementor-5029 .elementor-element.elementor-element-5aed638 .elementor-heading-title{font-size:10px;}body:not(.rtl) .elementor-5029 .elementor-element.elementor-element-5aed638{right:-55%;}body.rtl .elementor-5029 .elementor-element.elementor-element-5aed638{left:-55%;}.elementor-5029 .elementor-element.elementor-element-5aed638{top:6%;}}/* Start custom CSS for jet-listing-dynamic-repeater, class: .elementor-element-c9d41e9 */.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   flex-direction: column;\n   align-items: center;\n   gap: 1rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item {\n    display: flex;\n    gap: 0.325rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width: 17px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p {\n    font-size: 12.5px\n}\n@media (min-width:576px) and (max-width:830px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.725rem;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:14px;\n}\n}\n@media screen and (max-width:576px){\n    .elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item p{\n    font-size:11.5px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__item img {\n    width:13px;\n}\n.elementor-5029 .elementor-element.elementor-element-c9d41e9 .jet-listing-dynamic-repeater__items  {\n   gap: 0.825rem;\n}\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-d18f5bc */.elementor-5029 .elementor-element.elementor-element-d18f5bc .elementor-price-table__ribbon-inner {\n        text-align: center;\n    width: 200%;\n    transform: translateY(-50%) translateX(0) translateX(35px) rotate(-45deg);\n    line-height: 2;\n       background-color: var(--e-global-color-46455ee);\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc {\n    position: relative;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:after {\n    content: \"\";\n    position: absolute;\n    width: 25%;\n    height: 18%;\n    background: var(--e-global-color-46455ee);\n    bottom: -5%;\n    left: 0%;\n     border-radius: 5px 60px 8px 48px;\n     opacity: 0.05;\n       transition: 0.6s;\n}\n.elementor-5029 .elementor-element.elementor-element-d18f5bc:hover:after{\n        width: 115%;\n        height: 110%;\n        transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			تومان 		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> سرعت مناسب</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p> طراحی Ui , Ux اختصاصی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> پشتیبانی ماهانه</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>خرید هاست و دامین</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p> اضافه کردن محصولات</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p> طراحی گرافیک</p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>", "زبانه تعرفه های سئو - صفحه اصلی", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7%db%8c-%d8%b3%d8%a6%d9%88", "", "", "2023-10-12 16:22:16", "2023-10-12 12:52:16", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2377", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2389", "4", "2023-09-26 14:25:48", "2023-09-26 10:55:48", "", "svgexport-18 (1)", "", "inherit", "open", "closed", "", "svgexport-18-1", "", "", "2023-09-26 14:25:48", "2023-09-26 10:55:48", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-18-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2393", "4", "2023-09-26 14:28:44", "2023-09-26 10:58:44", "", "svgexport-18 (2)", "", "inherit", "open", "closed", "", "svgexport-18-2", "", "", "2023-09-26 14:28:44", "2023-09-26 10:58:44", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-18-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2407", "4", "2023-09-26 14:54:42", "2023-09-26 11:24:42", "[flexy_breadcrumb]		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n				گالری تصاویر پروژه				\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>اطلاعات پروژه :		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 505 505\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M477.5 270.181v-90.362l-54.624-13.005a179.4 179.4 0 0 0-8.766-21.131l29.436-47.834-63.896-63.896-47.834 29.437a179.316 179.316 0 0 0-21.13-8.766L297.681 0H207.32l-13.006 54.624a179.316 179.316 0 0 0-21.13 8.766L125.35 33.953 61.453 97.849l29.436 47.834a179.4 179.4 0 0 0-8.766 21.131L27.5 179.818v90.362l54.624 13.006a179.4 179.4 0 0 0 8.766 21.131l-29.575 48.059 44.304 42.436a138.543 138.543 0 0 0-7.119 43.881V505h310v-66.307c0-14.506-2.274-28.8-6.658-42.435l41.487-44.461-29.218-47.479a179.4 179.4 0 0 0 8.766-21.131zM378.5 475h-250v-36.307c0-20.806 5.928-41.066 17.144-58.591C165.722 348.729 199.946 330 237.193 330h32.614c37.247 0 71.471 18.729 91.549 50.101a108.499 108.499 0 0 1 17.144 58.592zm-125-176.25c-38.253 0-69.375-31.122-69.375-69.375S215.247 160 253.5 160s69.375 31.122 69.375 69.375-31.122 69.375-69.375 69.375zm152.296 49.297-17.443 18.693c-.57-.94-1.135-1.883-1.729-2.81-17.205-26.883-42.557-46.474-71.744-56.455 23.122-18.211 37.994-46.451 37.994-78.1 0-54.795-44.58-99.375-99.375-99.375s-99.375 44.58-99.375 99.375c0 31.649 14.872 59.889 37.994 78.1-29.187 9.98-54.539 29.572-71.744 56.455-.462.722-.897 1.458-1.345 2.187l-19.47-18.649 25.939-42.151-19.62-47.312-48.378-11.52v-42.971l48.379-11.519 19.62-47.312-26.078-42.376 30.385-30.385L172.183 98l47.312-19.62L231.015 30h42.971l11.519 48.379L332.817 98l42.376-26.078 30.385 30.385-26.078 42.376 19.62 47.312 48.379 11.519v42.971l-48.379 11.519-19.62 47.312z\" fill=\"\" opacity=\"1\" data-original=\"\"></path></g></svg>				\n				<h3>\n						کارفرمای محترم:					\n				</h3>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M391 91.5v-61h-30v61H151v-61h-30v61H0v390h512v-390H391zm91 360H30v-210h452v210zm0-240H30v-90h91v30h30v-30h210v30h30v-30h91v90z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>				\n				<h3>\n						تاریخ شروع:					\n				</h3>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M274.973 70.811 139.87 60.479l-27.892 27.892L23.607 0 0 23.607l88.371 88.371-27.892 27.892 10.332 135.104L307.839 512 512 307.839 274.973 70.811zM103.156 260.104l-8.219-107.479 17.041-17.041 20.344 20.344c-7.407 16.885-4.222 37.333 9.581 51.136 8.982 8.983 20.782 13.474 32.58 13.474 11.798 0 23.599-4.491 32.58-13.474 17.966-17.966 17.966-47.196 0-65.162-13.802-13.804-34.252-16.989-51.137-9.581l-20.343-20.343 17.041-17.041 107.479 8.219 204.683 204.682-156.947 156.949-204.683-204.683zm62.352-94.595a12.65 12.65 0 0 1 8.975-3.711c3.251 0 6.5 1.236 8.974 3.711 4.948 4.949 4.948 13 0 17.949-4.949 4.949-13 4.949-17.949 0-4.947-4.948-4.947-13 0-17.949z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>				\n				<h3>\n						قیمت پروژه:					\n				</h3>\n				<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path d=\"M27.689 181h58.8v30h-58.8zM27.689 301h58.8v30h-58.8zM0 241h86.49v30H0zM314.244 58.245c-109.042 0-197.755 88.713-197.755 197.755s88.712 197.755 197.755 197.755S512 365.042 512 256 423.287 58.245 314.244 58.245zm0 365.51c-92.5 0-167.755-75.255-167.755-167.755S221.744 88.245 314.244 88.245C406.745 88.245 482 163.5 482 256s-75.255 167.755-167.756 167.755z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path><path d=\"M323.93 263.454v-96.897h-30v112.756l77.308 52.683 16.895-24.791z\" fill=\"#5E71FF\" opacity=\"1\" data-original=\"#000000\"></path></g></svg>				\n				<h3>\n						مدت زمان انجام:					\n				</h3>\n			<a role=\"button\">\n						مشاهده آنلاین پروژه\n					</a>\n			تکنولوژی های استفاده شده :		\n			عضویت در خبرنامه", "قالب صفحه تکی پروژه ها", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d8%aa%da%a9%db%8c-%d9%be%d8%b1%d9%88%da%98%d9%87-%d9%87%d8%a7", "", "", "2023-10-12 16:17:18", "2023-10-12 12:47:18", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2407", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2471", "4", "2023-09-27 08:55:34", "2023-09-27 05:25:34", "", "01", "", "inherit", "open", "closed", "", "01", "", "", "2023-09-27 08:55:34", "2023-09-27 05:25:34", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/01.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2497", "4", "2023-09-27 09:32:21", "2023-09-27 06:02:21", "", "user-icon (1)", "", "inherit", "open", "closed", "", "user-icon-1", "", "", "2023-09-27 09:32:21", "2023-09-27 06:02:21", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-icon-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2499", "4", "2023-09-27 09:34:59", "2023-09-27 06:04:59", "", "time-icon", "", "inherit", "open", "closed", "", "time-icon", "", "", "2023-09-27 09:34:59", "2023-09-27 06:04:59", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/time-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2500", "4", "2023-09-27 09:35:34", "2023-09-27 06:05:34", "", "user-icon (2)", "", "inherit", "open", "closed", "", "user-icon-2", "", "", "2023-09-27 09:35:34", "2023-09-27 06:05:34", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/user-icon-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2502", "4", "2023-09-27 09:36:59", "2023-09-27 06:06:59", "", "svgexport-6 (5)", "", "inherit", "open", "closed", "", "svgexport-6-5", "", "", "2023-09-27 09:36:59", "2023-09-27 06:06:59", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2504", "4", "2023-09-27 09:38:19", "2023-09-27 06:08:19", "", "svgexport-6 (6)", "", "inherit", "open", "closed", "", "svgexport-6-6", "", "", "2023-09-27 09:38:19", "2023-09-27 06:08:19", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-6.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2505", "4", "2023-09-27 09:38:55", "2023-09-27 06:08:55", "", "svgexport-6 (7)", "", "inherit", "open", "closed", "", "svgexport-6-7", "", "", "2023-09-27 09:38:55", "2023-09-27 06:08:55", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-7.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2506", "4", "2023-09-27 09:40:29", "2023-09-27 06:10:29", "", "svgexport-6 (8)", "", "inherit", "open", "closed", "", "svgexport-6-8", "", "", "2023-09-27 09:40:29", "2023-09-27 06:10:29", "", "2407", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-8.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2523", "4", "2023-09-27 10:25:33", "2023-09-27 06:55:33", "[flexy_breadcrumb]		\n				توضیحات<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 682.667 682.667\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><defs><clipPath id=\"a\" clipPathUnits=\"userSpaceOnUse\"><path d=\"M0 512h512V0H0Z\" fill=\"#000000\" opacity=\"1\" data-original=\"#000000\"></path></clipPath><clipPath id=\"b\" clipPathUnits=\"userSpaceOnUse\"><path d=\"M0 512h512V0H0Z\" fill=\"#000000\" opacity=\"1\" data-original=\"#000000\"></path></clipPath></defs><path d=\"M0 0v-415.312h-399.338v495.18h319.471Z\" style=\"fill-opacity:1;fill-rule:nonzero;stroke:none\" transform=\"matrix(1.33333 0 0 -1.33333 607.237 117.704)\" fill=\"#FFE451\" data-original=\"#ffe451\"></path><path d=\"M127.971 8.41H56.09v495.18h71.881z\" style=\"fill-opacity:1;fill-rule:nonzero;stroke:none\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\" fill=\"#FBB040\" data-original=\"#fbb040\"></path><g clip-path=\"url(#a)\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\"><path d=\"M0 0h135.775v415.312l-31.947 31.947\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(319.652 8.41)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0v-255.576h239.603\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(56.09 263.986)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"m0 0-31.946 31.947h-319.471v-215.642\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(407.507 471.643)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path></g><path d=\"M0 0h319.471\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 128.031 469.121)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h319.471\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 128.031 511.717)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path><path d=\"M0 0h319.471\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 128.031 554.314)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h143.762\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 362.31 596.91)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 128.031 596.91)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path><path d=\"M0 0h15.973\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 170.628 596.91)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h-31.947v-55.907\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"matrix(1.33333 0 0 -1.33333 159.979 53.81)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path><g clip-path=\"url(#b)\" transform=\"matrix(1.33333 0 0 -1.33333 0 682.667)\"><path d=\"M0 0c22.043 0 39.934-32.187 39.934-71.881S22.043-143.762 0-143.762s-39.934 32.187-39.934 71.881S-22.043 0 0 0\" style=\"fill-opacity:1;fill-rule:nonzero;stroke:none\" transform=\"translate(255.759 399.762)\" fill=\"#D9EEF7\" data-original=\"#d9eef7\"></path><path d=\"M0 0c50.636 0 93.845-29.791 111.415-71.881C93.845-113.971 50.636-143.762 0-143.762c22.043 0 39.934 32.187 39.934 71.881S22.043 0 0 0M0 0c-22.043 0-39.934-32.187-39.934-71.881S-22.043-143.762 0-143.762c-50.636 0-93.845 29.791-111.416 71.881C-93.845-29.791-50.636 0 0 0\" style=\"fill-opacity:1;fill-rule:nonzero;stroke:none\" transform=\"translate(255.759 399.762)\" fill=\"#69F0F7\" data-original=\"#69f0f7\"></path><path d=\"M0 0c50.636 0 93.845 29.791 111.415 71.881C93.845 113.971 50.636 143.762 0 143.762s-93.845-29.791-111.416-71.881C-93.845 29.791-50.636 0 0 0Z\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(255.759 256)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0c-7.166-19.263-19.367-31.946-33.205-31.946-22.044 0-39.934 32.186-39.934 71.881 0 39.694 17.89 71.88 39.934 71.88 22.043 0 39.934-32.186 39.934-71.88 0-8.402-.802-16.466-2.274-23.961\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(288.964 287.946)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(319.652 327.88)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(175.891 327.88)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(96.023 192.106)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(399.52 192.106)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path><path d=\"M0 0h15.974\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(367.573 192.106)\" fill=\"none\" stroke=\"#231F20\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#231f20\"></path><path d=\"M0 0h159.735\" style=\"stroke-linecap: butt; stroke-linejoin: miter; stroke-miterlimit: 10; stroke-dasharray: none; stroke-opacity: 1;\" transform=\"translate(191.865 192.106)\" fill=\"none\" stroke=\"#FFFFFF\" stroke-width=\"15px\" stroke-linecap=\"butt\" stroke-linejoin=\"miter\" stroke-miterlimit=\"10\" stroke-dasharray=\"none\" stroke-opacity=\"\" data-original=\"#ffffff\"></path></g></g></svg>نظرات<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><g fill-rule=\"evenodd\" clip-rule=\"evenodd\"><path fill=\"#FD9200\" d=\"m283.59 313.41-2.95 101.42c7.09 5.7 16.07 9.1 25.8 9.1h77.33l68.6 53.63c.65.51 1.47.57 2.18.17.71-.37 1.11-1.11 1.05-1.9l-4.34-51.9h4c22.76 0 41.39-18.62 41.39-41.41V275.37c0-22.76-18.62-41.39-41.39-41.39h-46.74z\" opacity=\"1\" data-original=\"#fd9200\"></path><path fill=\"#FFBF00\" d=\"M350.97 91.57c76.76 76.79 76.76 201.26 0 278.05-63.61 63.58-159.9 74.49-234.74 32.74l-36.43 9.78-40.99 10.97c-.71.2-1.42 0-1.93-.51-.54-.51-.71-1.22-.54-1.93l11-40.99 8.05-30.13C-3.3 272.48 2.53 161.99 72.95 91.57c76.76-76.76 201.23-76.76 278.02 0z\" opacity=\"1\" data-original=\"#ffbf00\"></path><g fill=\"#FFFFFF\"><path d=\"M96.56 256.01c13.49 0 24.49-11.03 24.49-24.52S110.05 207 96.56 207s-24.52 11-24.52 24.49 11.03 24.52 24.52 24.52zM211.96 256.01c13.49 0 24.49-11.03 24.49-24.52s-11-24.49-24.49-24.49-24.49 11-24.49 24.49 11 24.52 24.49 24.52zM327.36 256.01c13.49 0 24.49-11.03 24.49-24.52s-11-24.49-24.49-24.49-24.49 11-24.49 24.49 10.99 24.52 24.49 24.52z\" fill=\"#FFFFFF\" opacity=\"1\" data-original=\"#ffffff\"></path></g></g></g></svg>مشاوره و سفارش<svg xmlns=\"http://www.w3.org/2000/svg\" xmlns:xlink=\"http://www.w3.org/1999/xlink\" width=\"512\" height=\"512\" x=\"0\" y=\"0\" viewBox=\"0 0 512 512\" style=\"enable-background:new 0 0 512 512\" xml:space=\"preserve\"><g><path fill=\"#FFA001\" d=\"M419.68 163.97V387H47.97V163.97L233.83 52.46z\" opacity=\"1\" data-original=\"#ffa001\"></path><path fill=\"#F87F02\" d=\"M419.68 163.97V387H233.83V52.46z\" opacity=\"1\" data-original=\"#f87f02\"></path><path fill=\"#FFDA2D\" d=\"M0 163.971 47.968 52.456h185.858l-47.968 111.515z\" opacity=\"1\" data-original=\"#ffda2d\"></path><path fill=\"#FCBE00\" d=\"M467.651 163.971 419.683 52.456H233.826l47.968 111.515z\" opacity=\"1\" data-original=\"#fcbe00\"></path><path fill=\"#FFDA2D\" d=\"M107.714 293.542h30v30h-30z\" opacity=\"1\" data-original=\"#ffda2d\"></path><path fill=\"#83E470\" d=\"M512 349.834c0 60.59-49.12 109.71-109.71 109.71-60.6 0-109.72-49.12-109.72-109.71 0-60.6 49.12-109.72 109.72-109.72 60.59 0 109.71 49.119 109.71 109.72z\" opacity=\"1\" data-original=\"#83e470\"></path><path fill=\"#01B763\" d=\"M512 349.834c0 60.59-49.12 109.71-109.71 109.71v-219.43c60.59 0 109.71 49.119 109.71 109.72z\" opacity=\"1\" data-original=\"#01b763\"></path><path fill=\"#F3FDFF\" d=\"m459.7 332.064-57.41 57.409-9.95 9.951-47.47-47.471 21.22-21.21 26.25 26.25 9.95-9.949 36.19-36.19z\" opacity=\"1\" data-original=\"#f3fdff\"></path><path fill=\"#D7F3F7\" d=\"m459.7 332.064-57.41 57.409v-42.429l36.19-36.19z\" opacity=\"1\" data-original=\"#d7f3f7\"></path></g></svg>			\n				<style>.elementor-2413 .elementor-element.elementor-element-b1138c3{--display:flex;--background-transition:0.3s;}.elementor-2413 .elementor-element.elementor-element-7f845aa{text-align:justify;font-family:\"Dana\", Sans-serif;font-size:13.5px;font-weight:300;line-height:1.7rem;}.elementor-2413 .elementor-element.elementor-element-7f845aa > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}@media(max-width:767px){.elementor-2413 .elementor-element.elementor-element-7f845aa{text-align:right;}}/* Start custom CSS for theme-post-content, class: .elementor-element-7f845aa */.elementor-2413 .elementor-element.elementor-element-7f845aa img {\n    margin-bottom: 15px;\n    border-radius: 6px;\n}\n.elementor-2413 .elementor-element.elementor-element-7f845aa h2 {\n    font-size: 22px;\n}\n.elementor-2413 .elementor-element.elementor-element-7f845aa h3 {\n    font-size: 20px;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<p>در نظر بگیرید که یک گردشگر وارد شهر شده و به اماکن تاریخی، فرهنگی و دیدنی شهر شما هم آشنایی ندارد؛ اما این شهر دارای آثار بسیار معروفی است که شهره عام و خاص شده و همه را از تمام نقاط به آنجا می‌کشاند! گردشگر دوست دارد جاهای دیدنی شهر را ببیند؛ اما اطلاع درستی ندارد؛ به همین خاطر شروع می‌کند به پرسیدن از مردم شهر و آنها نشانی یک مکان دیدنی را به او می‌دهند! توریست با خودش فکر می‌کند که اینجا حتماً ارزش دیدن را دارد.</p>\n<p>استراتژی لینک سازی خارجی هم دقیقاً همین کارکرد را برای موتورهای جستجو دارد! گوگل از سایر وب‌سایت‌ها درباره سایت و محتوای شما نظرسنجی می‌کند و بر اساس آرایی که آنها در قالب بک‌لینک به شما می‌دهند، جایگاه و رتبه‌تان را تعیین می‌کند.</p>\n<p>دوست دارید در این زمینه بیشتر بدانید مثل همیشه با ما همراه باشید.</p>\n<p>&nbsp;</p>\n<h2>استراتژی لینک سازی خارجی چیست؟</h2>\n<p>پیش‌ازاین از اهمیت لینک‌سازی در افزایش سئوی وب‌سایت و بهینه‌سازی آن برای موتورهای جستجو و کاربران در مقاله‌های چگونه لینک سازی داخلی انجام دهیم و لینک سازی داخلی در وردپرس صحبت کردیم.</p>\n<p>اما استراتژی لینک سازی خارجی چیست و چطور می‌تواند به بهبود سئوی سایت شما کمک کند؟ برای اینکه درک بهتری از لینک‌های خارجی داشته باشید، تفاوت آن با لینک داخلی را برایتان شرح می‌دهم: لینک داخلی از یک محتوا در سایت شما به محتوای دیگر باز هم در سایت خودتان اشاره دارد؛ و در واقع ارزش و اعتباری است که خودتان از یک محتوا به محتواهای دیگر می‌دهید.</p>\n<p>اما لینک خارجی [External Links] به معنی ایجاد پیوند و ارتباط از یک محتوای وب‌سایت به محتوای یک وب‌سایت دیگر است که دامنه‌ای کاملاً متفاوت با نام دامنه وب‌سایت شما دارد. البته همیشه این‌طور نیست که شما به یک وب‌سایت دیگر لینک بدهید؛ بلکه ممکن است از یک وب‌سایت دیگر با دامنه متفاوت به مطلبی در وب‌سایت شما لینک داده شود.</p>\n<p>اما چرا لینک‌های خارجی برای ما اهمیت دارند و باید برای ایجاد آنها استراتژی تدوین و تنظیم کنیم؟ در مورد لینک‌های داخلی گفتیم که لینک‌سازی باعث بهبود تجربه کاربری و تشخیص بهتر موتورهای جستجو از موضوع محتوا می‌شود. در واقع این کارایی درباره لینک‌های خارجی هم وجود دارد؛ و باعث اعتماد بیشتر گوگل به محتوای شما می‌شود.</p>\n<p>با این تفاوت که لینک‌های خارجی چون از طرف سایر افراد و کسب‌وکارهای فعال در سطح وب ایجاد می‌شوند در نزد گوگل و سایر موتورهای جستجو از اهمیت دوچندانی برخوردار هستند. در حقیقت گوگل هم دقیقاً مثل ما آدم‌هاست! گوگل هم به حرف دیگران بیشتر از تعریف خودمان اهمیت می‌دهد! به همین خاطر وقتی وب‌سایت‌های دیگر به محتوای ما لینک می‌دهند و لینک خارجی دریافت می‌کنیم باعث بهبود رتبه ما در موتورهای جستجو می‌شود.</p>\n<h2>تنظیم استراتژی لینک سازی خارجی</h2>\n<p>حالا که با اهمیت استراتژی لینک سازی خارجی آشنا شدیم، باید ببینیم از چه روش‌هایی می‌توان بک‌لینک دریافت کرد تا باعث بهبود SEO وب‌سایت شود. ازآنجایی‌که متخصصان سئو، دریافت بک‌لینک را از مهم‌ترین فاکتورهای رتبه دهی موتورهای جستجو می‌دانند؛ تدوین یک استراتژی برای دریافت لینک‌های خارجی اهمیت زیادی دارد.</p>\n<p>اما به یاد داشته باشید که در راه دریافت بک‌لینک از راه درست اقدام کنید تا به نتایج دائمی دست پیدا کنید. در این جا 4 روش برای دریافت لینک خارجی را با شما در میان می‌گذارم که ممکن است نیازمند صرف زمان باشند؛ اما به‌طورقطع تأثیرگذار هستند.</p>\n<p>&nbsp;</p>\n<h3>۱- محتوای یونیک و منحصربه‌فرد تولید کنید</h3>\n<p>هرچه وقت بیشتری را برای تولید محتوای غنی، باکیفیت و بی‌همتا صرف کنید، شانس دریافت لینک از همکارانتان در حوزه کاری خود را به‌صورت کاملاً طبیعی بالا می‌برید؛ زمانی که شما محتوایی تولید می‌کنید که منحصربه‌فرد است و مخاطبان بی‌شماری دارد، سایر تولیدکنندگان محتوا هم برای اعتبار بخشیدن به وب‌سایتشان به محتوای شما لینک می‌دهند تا منبع معتبری برای مقالات خود ارائه دهند.</p>\n<p>بنابراین، شما باید بتوانید به‌صورت ارگانیک مخاطبان و سایر صاحبان کسب‌وکار را به خود جذب کنید. به این منظور می‌توانید از محتواهای همیشه سبز و بلند مانند آموزش تکنیک آسمان خراش در محتوا استفاده کنید تا امکان دریافت بک‌لینک را بالا ببرید.</p>\n<p>&nbsp;</p>\n<h3>۲- شبکه‌سازی کنید</h3>\n<p>ساختن ارتباطات با افراد چه در فضای کسب‌وکارهای حضوری و چه در بستر مجازی و برای کسب‌وکارهای آنلاین امری حیاتی است؛ فرقی نمی‌کند که شما روی برند شخصیتان کار می‌کنید یا دارای یک تیم و شرکت هستید؛ درهرحال ایجاد ارتباط با کسب‌وکارهای موفق در حوزه کاری‌تان می‌تواند بسیار مثمر ثمر باشد.</p>\n<p>به این شیوه افراد خود تمایل پیدا می‌کنند که در محتوایشان به شما لینک بدهند؛ و حتی شما می‌توانید در عالم دوستی و رفاقت از آنها بخواهید تا موقعیتی فراهم کنند که به یکدیگر لینک بدهید و به رشد و توسعه شما کمک کنند.</p>\n<p>&nbsp;</p>\n<h3>۳- پست مهمان بنویسید</h3>\n<p>یکی از راه‌هایی که به‌نوعی به استراتژی دوم نیز برمی‌گردد نوشتن پست مهمان در وب‌سایت‌های دیگران است. به این منظور شما باید ابتدا شبکه‌سازی خوبی کرده و با کسب‌وکارهای مطرح در زمینه موضوعیتان ارتباط برقرار کرده باشید.</p>\n<p>به این شیوه می‌توانید در وب‌سایت‌های دیگران پست با کیفیت و جذابی بنویسید که به‌نوعی تبلیغ کسب‌وکارتان باشد و حق مهمانی را نیز در برابر میزبان به جا بیاورد؛ چنین فضایی به شما امکان می‌دهد که در قالب پست مهمان به وبلاگ خودتان لینک بدهید؛ و یک لینک تروتمیز طبیعی دریافت کنید.</p>\n<p>&nbsp;</p>\n<h3>۴- رپورتاژ آگهی منتشر کنید</h3>\n<p>در این مطلب من به 4 استراتژی اشاره کردم که به شما کمک می‌کند به طور طبیعی دریافت‌کننده لینک خارجی باشید، اما مورد چهارم در واقع ترکیبی از روش طبیعی و پرداخت هزینه است. اما برخلاف روش‌های غیراصولی این شیوه قاعده‌مند و ساختاریافته است.</p>\n<p>انتشار رپورتاژ آگهی یک استراتژی لینک سازی خارجی مؤثر است. اما شما برای آن باید هزینه کنید. بااین‌حال اگر به‌درستی انجام شود تأثیر دریافت لینک به‌صورت طبیعی را دارد. شیوه کار در رپورتاژ آگهی به‌این‌ترتیب است که شما محتوایی درباره خودتان می‌نویسید که در یک وب‌سایت معتبر و مرتبط با حوزه کاری شما در ازای دریافت هزینه منتشر می‌شود.</p>\n<p>نکته مهم در این باره این است که تولید رپورتاژ باید به‌صورت طبیعی باشد و لحن پیام حاوی تبلیغات مستقیم نباشد؛ در غیر این صورت تأثیر معکوسی دارد.</p>\n		<style>.elementor-2418 .elementor-element.elementor-element-9649dd0{--display:flex;--background-transition:0.3s;}.elementor-2418 .elementor-element.elementor-element-f098404 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}/* Start custom CSS for post-comments, class: .elementor-element-f098404 */.elementor-2418 .elementor-element.elementor-element-f098404 h3#reply-title {\n    display: none;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 a {\n    color: var(--e-global-color-primary)\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-reply-title{\n    font-family: \"Dana\";\n    font-size: 18px\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 textarea#comment {\n    background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n    margin-bottom: 8px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#author {\n    background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#email {\n    background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#url {\n    background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 label {\n    color: #909090;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-form .submit {\n    border-radius: 8px;\n    font-weight: normal;\n    font-family: \'iranyekanwebbold_FaNum\'; \n} \n.elementor-2418 .elementor-element.elementor-element-f098404 p.comment-notes {\n    font-size: 14px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 h3#reply-title {\n    display: none;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 textarea#comment {\n    border: none;\n    border-radius: 10px;\n    margin-bottom: 8px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#author {\n    background: #F7F8FAt;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#email {\n background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 input#url {\n background: #F7F8FA;\n    border: none;\n    border-radius: 10px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 label {\n    color: #909090;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-form .submit {\n    border-radius: 8px;\n    font-weight: normal;\n    font-family: \'iranyekanwebbold_FaNum\'; \n} \n.elementor-2418 .elementor-element.elementor-element-f098404 p.comment-notes {\n    font-size: 14px;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 label{\n    color: #F7F8FA;\n    font-size: 12px\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 p.logged-in-as {\n    font-size: 13px;\n    margin: 0 0 1.5rem 0;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-body{\n    background-color: #F7F8FA;\n    border-radius: 15px;\n    border: none !important;\n    margin-bottom: 1rem;\n    padding: 2rem 5rem 2rem 2rem !important;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .avatar{\n    right: 1.5% !important; \n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .submit{\n        border: none;\n    color: #fff;\n    font-size: 14px;\n    border-radius: 15px;\n}\n@media screen and (max-width:578px){\n    .elementor-2418 .elementor-element.elementor-element-f098404 .comment-body{\n        padding:1rem !important;\n    }\n    .elementor-2418 .elementor-element.elementor-element-f098404 .fn{\n        font-size:11.5px;\n    }\n    .elementor-2418 .elementor-element.elementor-element-f098404 time{\n        font-size:9px;\n    }\n    .elementor-2418 .elementor-element.elementor-element-f098404 .comment-edit-link{\n        font-size:9px;\n    }\n    .elementor-2418 .elementor-element.elementor-element-f098404 .says{\n        font-size:10px;\n    }\n    .elementor-2418 .elementor-element.elementor-element-f098404 .comment-content p {\n        font-size:11px;\n    }\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .title-comments{\n    font-size: 18px\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-form-cookies-consent label{\n    color: unset !important;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .submit {\n    padding: 7px 12px\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .logged-in-as {\n    margin: 0 !important;\n}\n.elementor-2418 .elementor-element.elementor-element-f098404 .comment-form-cookies-consent {\n        margin: 1.4rem 0 0.625rem 0;\n}/* End custom CSS */</style>		\n		<style>.elementor-2557 .elementor-element.elementor-element-0e856df{--display:flex;--background-transition:0.3s;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group{padding-right:calc( 10px/2 );padding-left:calc( 10px/2 );margin-bottom:10px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-form-fields-wrapper{margin-left:calc( -10px/2 );margin-right:calc( -10px/2 );margin-bottom:-10px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group.recaptcha_v3-bottomleft, .elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group.recaptcha_v3-bottomright{margin-bottom:0;}body.rtl .elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-labels-inline .elementor-field-group > label{padding-left:0px;}body:not(.rtl) .elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-labels-inline .elementor-field-group > label{padding-right:0px;}body .elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-labels-above .elementor-field-group > label{padding-bottom:0px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-type-html{padding-bottom:0px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group:not(.elementor-field-type-upload) .elementor-field:not(.elementor-select-wrapper){background-color:#F2F2F2;border-color:#F2F2F2;border-radius:10px 10px 10px 10px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group .elementor-select-wrapper select{background-color:#F2F2F2;border-color:#F2F2F2;border-radius:10px 10px 10px 10px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-field-group .elementor-select-wrapper::before{color:#F2F2F2;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .e-form__buttons__wrapper__button-next{background-color:var( --e-global-color-46455ee );color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-button[type=\"submit\"]{background-color:var( --e-global-color-46455ee );color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-button[type=\"submit\"] svg *{fill:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .e-form__buttons__wrapper__button-previous{color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .e-form__buttons__wrapper__button-next:hover{color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-button[type=\"submit\"]:hover{color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-button[type=\"submit\"]:hover svg *{fill:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .e-form__buttons__wrapper__button-previous:hover{color:#ffffff;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e .elementor-button{border-radius:15px 15px 15px 15px;padding:2px 35px 0px 35px;}.elementor-2557 .elementor-element.elementor-element-1ab4e9e{--e-form-steps-indicators-spacing:20px;--e-form-steps-indicator-padding:30px;--e-form-steps-indicator-inactive-secondary-color:#ffffff;--e-form-steps-indicator-active-secondary-color:#ffffff;--e-form-steps-indicator-completed-secondary-color:#ffffff;--e-form-steps-divider-width:1px;--e-form-steps-divider-gap:10px;}/* Start custom CSS for form, class: .elementor-element-1ab4e9e */.elementor-2557 .elementor-element.elementor-element-1ab4e9e input:not([type=submit]) {\n    min-height: 45px;\n    padding: 0.625rem 1rem;\n}\n.elementor-2557 .elementor-element.elementor-element-1ab4e9e textarea {\n    min-height: 160px;\n    padding: 0.625rem 1rem;\n}\n.elementor-2557 .elementor-element.elementor-element-1ab4e9e input::placeholder , textarea::placeholder {\n    font-size: 14px;\n    font-weight: 300;\n}/* End custom CSS */</style>		\n			<style>/*! elementor-pro - v3.15.0 - 09-08-2023 */\n.elementor-button.elementor-hidden,.elementor-hidden{display:none}.e-form__step{width:100%}.e-form__step:not(.elementor-hidden){display:flex;flex-wrap:wrap}.e-form__buttons{flex-wrap:wrap}.e-form__buttons,.e-form__buttons__wrapper{display:flex}.e-form__indicators{display:flex;justify-content:space-between;align-items:center;flex-wrap:nowrap;font-size:13px;margin-bottom:var(--e-form-steps-indicators-spacing)}.e-form__indicators__indicator{display:flex;flex-direction:column;align-items:center;justify-content:center;flex-basis:0;padding:0 var(--e-form-steps-divider-gap)}.e-form__indicators__indicator__progress{width:100%;position:relative;background-color:var(--e-form-steps-indicator-progress-background-color);border-radius:var(--e-form-steps-indicator-progress-border-radius);overflow:hidden}.e-form__indicators__indicator__progress__meter{width:var(--e-form-steps-indicator-progress-meter-width,0);height:var(--e-form-steps-indicator-progress-height);line-height:var(--e-form-steps-indicator-progress-height);padding-right:15px;border-radius:var(--e-form-steps-indicator-progress-border-radius);background-color:var(--e-form-steps-indicator-progress-color);color:var(--e-form-steps-indicator-progress-meter-color);text-align:right;transition:width .1s linear}.e-form__indicators__indicator:first-child{padding-left:0}.e-form__indicators__indicator:last-child{padding-right:0}.e-form__indicators__indicator--state-inactive{color:var(--e-form-steps-indicator-inactive-primary-color,#c2cbd2)}.e-form__indicators__indicator--state-inactive [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-inactive-secondary-color,#fff)}.e-form__indicators__indicator--state-inactive object,.e-form__indicators__indicator--state-inactive svg{fill:var(--e-form-steps-indicator-inactive-primary-color,#c2cbd2)}.e-form__indicators__indicator--state-active{color:var(--e-form-steps-indicator-active-primary-color,#39b54a);border-color:var(--e-form-steps-indicator-active-secondary-color,#fff)}.e-form__indicators__indicator--state-active [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-active-secondary-color,#fff)}.e-form__indicators__indicator--state-active object,.e-form__indicators__indicator--state-active svg{fill:var(--e-form-steps-indicator-active-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed{color:var(--e-form-steps-indicator-completed-secondary-color,#fff)}.e-form__indicators__indicator--state-completed [class*=indicator--shape-]:not(.e-form__indicators__indicator--shape-none){background-color:var(--e-form-steps-indicator-completed-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed .e-form__indicators__indicator__label{color:var(--e-form-steps-indicator-completed-primary-color,#39b54a)}.e-form__indicators__indicator--state-completed .e-form__indicators__indicator--shape-none{color:var(--e-form-steps-indicator-completed-primary-color,#39b54a);background-color:initial}.e-form__indicators__indicator--state-completed object,.e-form__indicators__indicator--state-completed svg{fill:var(--e-form-steps-indicator-completed-secondary-color,#fff)}.e-form__indicators__indicator__icon{width:var(--e-form-steps-indicator-padding,30px);height:var(--e-form-steps-indicator-padding,30px);font-size:var(--e-form-steps-indicator-icon-size);border-width:1px;border-style:solid;display:flex;justify-content:center;align-items:center;overflow:hidden;margin-bottom:10px}.e-form__indicators__indicator__icon img,.e-form__indicators__indicator__icon object,.e-form__indicators__indicator__icon svg{width:var(--e-form-steps-indicator-icon-size);height:auto}.e-form__indicators__indicator__icon .e-font-icon-svg{height:1em}.e-form__indicators__indicator__number{width:var(--e-form-steps-indicator-padding,30px);height:var(--e-form-steps-indicator-padding,30px);border-width:1px;border-style:solid;display:flex;justify-content:center;align-items:center;margin-bottom:10px}.e-form__indicators__indicator--shape-circle{border-radius:50%}.e-form__indicators__indicator--shape-square{border-radius:0}.e-form__indicators__indicator--shape-rounded{border-radius:5px}.e-form__indicators__indicator--shape-none{border:0}.e-form__indicators__indicator__label{text-align:center}.e-form__indicators__indicator__separator{width:100%;height:var(--e-form-steps-divider-width);background-color:#babfc5}.e-form__indicators--type-icon,.e-form__indicators--type-icon_text,.e-form__indicators--type-number,.e-form__indicators--type-number_text{align-items:flex-start}.e-form__indicators--type-icon .e-form__indicators__indicator__separator,.e-form__indicators--type-icon_text .e-form__indicators__indicator__separator,.e-form__indicators--type-number .e-form__indicators__indicator__separator,.e-form__indicators--type-number_text .e-form__indicators__indicator__separator{margin-top:calc(var(--e-form-steps-indicator-padding, 30px) / 2 - var(--e-form-steps-divider-width, 1px) / 2)}.elementor-field-type-hidden{display:none}.elementor-field-type-html{display:inline-block}.elementor-login .elementor-lost-password,.elementor-login .elementor-remember-me{font-size:.85em}.elementor-field-type-recaptcha_v3 .elementor-field-label{display:none}.elementor-field-type-recaptcha_v3 .grecaptcha-badge{z-index:1}.elementor-button .elementor-form-spinner{order:3}.elementor-form .elementor-button>span{display:flex;justify-content:center;align-items:center}.elementor-form .elementor-button .elementor-button-text{white-space:normal;flex-grow:0}.elementor-form .elementor-button svg{height:auto}.elementor-form .elementor-button .e-font-icon-svg{height:1em}.elementor-select-wrapper .select-caret-down-wrapper{position:absolute;top:50%;transform:translateY(-50%);inset-inline-end:10px;pointer-events:none;font-size:11px}.elementor-select-wrapper .select-caret-down-wrapper svg{display:unset;width:1em;aspect-ratio:unset;fill:currentColor}.elementor-select-wrapper .select-caret-down-wrapper i{font-size:19px;line-height:2}.elementor-select-wrapper.remove-before:before{content:\"\"!important}</style>		<form method=\"post\" name=\"فرم جدید\">\n			<input type=\"hidden\" name=\"post_id\" value=\"2557\"/>\n			<input type=\"hidden\" name=\"form_id\" value=\"1ab4e9e\"/>\n			<input type=\"hidden\" name=\"referer_title\" value=\"\" />\n													<input size=\"1\" type=\"text\" name=\"form_fields[name]\" id=\"form-field-name\" placeholder=\"نام شما:\">\n													<input size=\"1\" type=\"email\" name=\"form_fields[email]\" id=\"form-field-email\" placeholder=\"ایمیل شما:\" required=\"required\" aria-required=\"true\">\n					<textarea name=\"form_fields[message]\" id=\"form-field-message\" rows=\"4\" placeholder=\"پیغام شما :)\"></textarea>				\n					<input size=\"1\" type=\"text\" name=\"form_fields[field_48a2293]\" id=\"form-field-field_48a2293\" style=\"display:none !important;\">				\n					<button type=\"submit\">\n																						ارسال\n					</button>\n		</form>", "قالب صفحه تکی خدمات ما", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d8%aa%da%a9%db%8c-%d8%ae%d8%af%d9%85%d8%a7%d8%aa-%d9%85%d8%a7", "", "", "2023-10-12 16:17:12", "2023-10-12 12:47:12", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2523", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2571", "4", "2023-09-27 11:35:17", "2023-09-27 08:05:17", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>نمونه کارها		\n			<h2>برخی از نمونه کارهای ما</h2>		\n				همه نمونه کارهافروشگاهیشرکتیخلاقانهمجله ای 			\n				<style>.elementor-1802 .elementor-element.elementor-element-f29f042{--display:flex;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1802 .elementor-element.elementor-element-f29f042:not(.elementor-motion-effects-element-type-background), .elementor-1802 .elementor-element.elementor-element-f29f042 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#F5F5FF3B;}.elementor-1802 .elementor-element.elementor-element-f29f042, .elementor-1802 .elementor-element.elementor-element-f29f042::before{--border-transition:0.3s;}.elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:4;}:is( .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1.4rem / 2);padding-right:calc(1.4rem / 2);padding-top:calc(1.4rem / 2);padding-bottom:calc(1.4rem / 2);}:is( .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1.4rem / 2);margin-right:calc(-1.4rem / 2);width:calc(100% + 1.4rem);}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination{background-color:#FFFFFF;border-style:solid;border-width:1px 1px 1px 1px;border-color:#B5B1B12E;border-radius:10px 10px 10px 10px;overflow:hidden;padding:11px 0px 11px 0px;margin-right:calc(-25px/2);margin-left:calc(-25px/2);margin-top:calc(-0px/2);margin-bottom:calc(-0px/2);justify-content:center;}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-smart-filters-pagination{margin:0px 13px 0px 13px;}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__link, .elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__dots{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__link{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__dots{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__link:hover{color:var( --e-global-color-primary );}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__current .jet-filters-pagination__link{color:var( --e-global-color-primary );}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__item{margin-right:calc(25px/2);margin-left:calc(25px/2);margin-top:calc(0px/2);margin-bottom:calc(0px/2);}.elementor-1802 .elementor-element.elementor-element-44be693 .jet-filters-pagination__load-more{order:initial;}.elementor-1802 .elementor-element.elementor-element-44be693{width:100%;max-width:100%;}@media(max-width:1024px){.elementor-1802 .elementor-element.elementor-element-f29f042{--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:2;}}@media(max-width:767px){.elementor-1802 .elementor-element.elementor-element-f29f042{--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}:is( .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(0rem / 2);padding-right:calc(0rem / 2);}:is( .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-1802 .elementor-element.elementor-element-fecf847 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-0rem / 2);margin-right:calc(-0rem / 2);width:calc(100% + 0rem);}.elementor-1802 .elementor-element.elementor-element-44be693 > .elementor-widget-container{margin:-7px 0px 0px 0px;padding:0px 0px 0px 0px;}}</style>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-4456 .elementor-element.elementor-element-ff856a6{--display:flex;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4456 .elementor-element.elementor-element-ff856a6:not(.elementor-motion-effects-element-type-background), .elementor-4456 .elementor-element.elementor-element-ff856a6 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#F5F5FF3B;}.elementor-4456 .elementor-element.elementor-element-ff856a6, .elementor-4456 .elementor-element.elementor-element-ff856a6::before{--border-transition:0.3s;}.elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:4;}:is( .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1.4rem / 2);padding-right:calc(1.4rem / 2);padding-top:calc(1.4rem / 2);padding-bottom:calc(1.4rem / 2);}:is( .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1.4rem / 2);margin-right:calc(-1.4rem / 2);width:calc(100% + 1.4rem);}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination{background-color:#FFFFFF;border-style:solid;border-width:1px 1px 1px 1px;border-color:#B5B1B12E;border-radius:10px 10px 10px 10px;overflow:hidden;padding:11px 0px 11px 0px;margin-right:calc(-25px/2);margin-left:calc(-25px/2);margin-top:calc(-0px/2);margin-bottom:calc(-0px/2);justify-content:center;}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-smart-filters-pagination{margin:0px 13px 0px 13px;}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__link, .elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__dots{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__link{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__dots{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__link:hover{color:var( --e-global-color-primary );}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__current .jet-filters-pagination__link{color:var( --e-global-color-primary );}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__item{margin-right:calc(25px/2);margin-left:calc(25px/2);margin-top:calc(0px/2);margin-bottom:calc(0px/2);}.elementor-4456 .elementor-element.elementor-element-f5bfaef .jet-filters-pagination__load-more{order:initial;}.elementor-4456 .elementor-element.elementor-element-f5bfaef{width:100%;max-width:100%;}@media(max-width:1024px){.elementor-4456 .elementor-element.elementor-element-ff856a6{--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:2;}}@media(max-width:767px){.elementor-4456 .elementor-element.elementor-element-ff856a6{--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}:is( .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(0rem / 2);padding-right:calc(0rem / 2);}:is( .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4456 .elementor-element.elementor-element-2f7667f > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-0rem / 2);margin-right:calc(-0rem / 2);width:calc(100% + 0rem);}.elementor-4456 .elementor-element.elementor-element-f5bfaef > .elementor-widget-container{margin:-7px 0px 0px 0px;padding:0px 0px 0px 0px;}}</style>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-4459 .elementor-element.elementor-element-1abcee0{--display:flex;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4459 .elementor-element.elementor-element-1abcee0:not(.elementor-motion-effects-element-type-background), .elementor-4459 .elementor-element.elementor-element-1abcee0 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#F5F5FF3B;}.elementor-4459 .elementor-element.elementor-element-1abcee0, .elementor-4459 .elementor-element.elementor-element-1abcee0::before{--border-transition:0.3s;}.elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:4;}:is( .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1.4rem / 2);padding-right:calc(1.4rem / 2);padding-top:calc(1.4rem / 2);padding-bottom:calc(1.4rem / 2);}:is( .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1.4rem / 2);margin-right:calc(-1.4rem / 2);width:calc(100% + 1.4rem);}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination{background-color:#FFFFFF;border-style:solid;border-width:1px 1px 1px 1px;border-color:#B5B1B12E;border-radius:10px 10px 10px 10px;overflow:hidden;padding:11px 0px 11px 0px;margin-right:calc(-25px/2);margin-left:calc(-25px/2);margin-top:calc(-0px/2);margin-bottom:calc(-0px/2);justify-content:center;}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-smart-filters-pagination{margin:0px 13px 0px 13px;}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__link, .elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__dots{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__link{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__dots{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__link:hover{color:var( --e-global-color-primary );}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__current .jet-filters-pagination__link{color:var( --e-global-color-primary );}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__item{margin-right:calc(25px/2);margin-left:calc(25px/2);margin-top:calc(0px/2);margin-bottom:calc(0px/2);}.elementor-4459 .elementor-element.elementor-element-29edec0 .jet-filters-pagination__load-more{order:initial;}.elementor-4459 .elementor-element.elementor-element-29edec0{width:100%;max-width:100%;}@media(max-width:1024px){.elementor-4459 .elementor-element.elementor-element-1abcee0{--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:2;}}@media(max-width:767px){.elementor-4459 .elementor-element.elementor-element-1abcee0{--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}:is( .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(0rem / 2);padding-right:calc(0rem / 2);}:is( .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4459 .elementor-element.elementor-element-4b4981b > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-0rem / 2);margin-right:calc(-0rem / 2);width:calc(100% + 0rem);}.elementor-4459 .elementor-element.elementor-element-29edec0 > .elementor-widget-container{margin:-7px 0px 0px 0px;padding:0px 0px 0px 0px;}}</style>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-4462 .elementor-element.elementor-element-77dbd18{--display:flex;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4462 .elementor-element.elementor-element-77dbd18:not(.elementor-motion-effects-element-type-background), .elementor-4462 .elementor-element.elementor-element-77dbd18 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#F5F5FF3B;}.elementor-4462 .elementor-element.elementor-element-77dbd18, .elementor-4462 .elementor-element.elementor-element-77dbd18::before{--border-transition:0.3s;}.elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:4;}:is( .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1.4rem / 2);padding-right:calc(1.4rem / 2);padding-top:calc(1.4rem / 2);padding-bottom:calc(1.4rem / 2);}:is( .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1.4rem / 2);margin-right:calc(-1.4rem / 2);width:calc(100% + 1.4rem);}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination{background-color:#FFFFFF;border-style:solid;border-width:1px 1px 1px 1px;border-color:#B5B1B12E;border-radius:10px 10px 10px 10px;overflow:hidden;padding:11px 0px 11px 0px;margin-right:calc(-25px/2);margin-left:calc(-25px/2);margin-top:calc(-0px/2);margin-bottom:calc(-0px/2);justify-content:center;}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-smart-filters-pagination{margin:0px 13px 0px 13px;}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__link, .elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__dots{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__link{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__dots{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__link:hover{color:var( --e-global-color-primary );}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__current .jet-filters-pagination__link{color:var( --e-global-color-primary );}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__item{margin-right:calc(25px/2);margin-left:calc(25px/2);margin-top:calc(0px/2);margin-bottom:calc(0px/2);}.elementor-4462 .elementor-element.elementor-element-e1ae418 .jet-filters-pagination__load-more{order:initial;}.elementor-4462 .elementor-element.elementor-element-e1ae418{width:100%;max-width:100%;}@media(max-width:1024px){.elementor-4462 .elementor-element.elementor-element-77dbd18{--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:2;}}@media(max-width:767px){.elementor-4462 .elementor-element.elementor-element-77dbd18{--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}:is( .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(0rem / 2);padding-right:calc(0rem / 2);}:is( .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4462 .elementor-element.elementor-element-da198c9 > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-0rem / 2);margin-right:calc(-0rem / 2);width:calc(100% + 0rem);}.elementor-4462 .elementor-element.elementor-element-e1ae418 > .elementor-widget-container{margin:-7px 0px 0px 0px;padding:0px 0px 0px 0px;}}</style>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-4465 .elementor-element.elementor-element-07edec4{--display:flex;--background-transition:0.3s;--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4465 .elementor-element.elementor-element-07edec4:not(.elementor-motion-effects-element-type-background), .elementor-4465 .elementor-element.elementor-element-07edec4 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#F5F5FF3B;}.elementor-4465 .elementor-element.elementor-element-07edec4, .elementor-4465 .elementor-element.elementor-element-07edec4::before{--border-transition:0.3s;}.elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:4;}:is( .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(1.4rem / 2);padding-right:calc(1.4rem / 2);padding-top:calc(1.4rem / 2);padding-bottom:calc(1.4rem / 2);}:is( .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-1.4rem / 2);margin-right:calc(-1.4rem / 2);width:calc(100% + 1.4rem);}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination{background-color:#FFFFFF;border-style:solid;border-width:1px 1px 1px 1px;border-color:#B5B1B12E;border-radius:10px 10px 10px 10px;overflow:hidden;padding:11px 0px 11px 0px;margin-right:calc(-25px/2);margin-left:calc(-25px/2);margin-top:calc(-0px/2);margin-bottom:calc(-0px/2);justify-content:center;}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-smart-filters-pagination{margin:0px 13px 0px 13px;}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__link, .elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__dots{font-family:\"iranyekanwebregular_FaNum\", Sans-serif;font-size:14px;font-weight:normal;}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__link{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__dots{color:var( --e-global-color-text );padding:0px 0px 0px 0px;}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__link:hover{color:var( --e-global-color-primary );}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__current .jet-filters-pagination__link{color:var( --e-global-color-primary );}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__item{margin-right:calc(25px/2);margin-left:calc(25px/2);margin-top:calc(0px/2);margin-bottom:calc(0px/2);}.elementor-4465 .elementor-element.elementor-element-b38c4ad .jet-filters-pagination__load-more{order:initial;}.elementor-4465 .elementor-element.elementor-element-b38c4ad{width:100%;max-width:100%;}@media(max-width:1024px){.elementor-4465 .elementor-element.elementor-element-07edec4{--padding-block-start:0px;--padding-block-end:0px;--padding-inline-start:0px;--padding-inline-end:0px;}.elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:2;}}@media(max-width:767px){.elementor-4465 .elementor-element.elementor-element-07edec4{--padding-block-start:0rem;--padding-block-end:0rem;--padding-inline-start:0rem;--padding-inline-end:0rem;}.elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items{--columns:1;}:is( .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__items, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider > .jet-listing-grid__items > .slick-list > .slick-track, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider > .jet-listing-grid__items ) > .jet-listing-grid__item{padding-left:calc(0rem / 2);padding-right:calc(0rem / 2);}:is( .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__slider, .elementor-4465 .elementor-element.elementor-element-4ee38ed > .elementor-widget-container > .jet-listing-grid > .jet-listing-grid__scroll-slider ) > .jet-listing-grid__items{margin-left:calc(-0rem / 2);margin-right:calc(-0rem / 2);width:calc(100% + 0rem);}.elementor-4465 .elementor-element.elementor-element-b38c4ad > .elementor-widget-container{margin:-7px 0px 0px 0px;padding:0px 0px 0px 0px;}}</style>		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "قالب آرشیو پروژه ها", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d9%be%d8%b1%d9%88%da%98%d9%87-%d9%87%d8%a7", "", "", "2023-10-12 13:59:28", "2023-10-12 10:29:28", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=2571", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("2609", "4", "2023-09-27 14:02:46", "2023-09-27 10:32:46", "", "Group 31", "", "inherit", "open", "closed", "", "group-31", "", "", "2023-09-27 14:02:46", "2023-09-27 10:32:46", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-31.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2612", "4", "2023-09-27 14:08:32", "2023-09-27 10:38:32", "", "svgexport-18 (4)", "", "inherit", "open", "closed", "", "svgexport-18-4", "", "", "2023-09-27 14:08:32", "2023-09-27 10:38:32", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-18-4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2613", "4", "2023-09-27 14:11:48", "2023-09-27 10:41:48", "", "Group", "", "inherit", "open", "closed", "", "group", "", "", "2023-09-27 14:11:48", "2023-09-27 10:41:48", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2669", "4", "2023-09-27 16:05:44", "2023-09-27 12:35:44", "", "footer-bg-2", "", "inherit", "open", "closed", "", "footer-bg-2", "", "", "2023-09-27 16:05:44", "2023-09-27 12:35:44", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/footer-bg-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2672", "4", "2023-09-27 16:25:18", "2023-09-27 12:55:18", "", "footer-logo", "", "inherit", "open", "closed", "", "footer-logo", "", "", "2023-09-27 16:25:18", "2023-09-27 12:55:18", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/footer-logo.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2684", "4", "2023-09-28 09:32:15", "2023-09-28 06:02:15", "", "Ellipse 16", "", "inherit", "open", "closed", "", "ellipse-16", "", "", "2023-09-28 09:32:15", "2023-09-28 06:02:15", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Ellipse-16.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("2714", "4", "2023-09-28 10:54:56", "2023-09-28 07:24:56", "", "Group 30", "", "inherit", "open", "closed", "", "group-30", "", "", "2023-09-28 10:54:56", "2023-09-28 07:24:56", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-30.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("2925", "4", "2023-09-28 14:48:41", "2023-09-28 11:18:41", "", "svgexport-17 (5)", "", "inherit", "open", "closed", "", "svgexport-17-5", "", "", "2023-09-28 14:48:41", "2023-09-28 11:18:41", "", "509", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-17-5.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("3274", "4", "2023-10-01 09:44:37", "2023-10-01 06:14:37", "", "svgexport-21 (2)", "", "inherit", "open", "closed", "", "svgexport-21-2", "", "", "2023-10-01 09:44:37", "2023-10-01 06:14:37", "", "509", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("3306", "4", "2023-10-01 10:00:58", "2023-10-01 06:30:58", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png", "", "", "2023-10-01 10:00:58", "2023-10-01 06:30:58", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/placeholder.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3307", "4", "2023-10-01 10:00:58", "2023-10-01 06:30:58", "", "پاپ آپ منوی موبایل", "", "publish", "closed", "closed", "", "%d9%be%d8%a7%d9%be-%d8%a2%d9%be-%d9%85%d9%86%d9%88%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "", "", "2023-10-12 16:16:40", "2023-10-12 12:46:40", "", "0", "https://halochin.ir/Technology/?elementor_library=%d9%be%d8%a7%d9%be-%d8%a2%d9%be-%d9%85%d9%86%d9%88%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("3310", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "صفحه اصلی", "", "publish", "closed", "closed", "", "%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b5%d9%84%db%8c", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3310", "1", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3311", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "وبلاگ", "", "publish", "closed", "closed", "", "%d9%88%d8%a8%d9%84%d8%a7%da%af", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3311", "2", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3312", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "خدمات ما", "", "publish", "closed", "closed", "", "%d8%ae%d8%af%d9%85%d8%a7%d8%aa-%d9%85%d8%a7", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3312", "3", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3313", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "پروژه‌ها", "", "publish", "closed", "closed", "", "%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3313", "4", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3314", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "درباره ما", "", "publish", "closed", "closed", "", "%d8%af%d8%b1%d8%a8%d8%a7%d8%b1%d9%87-%d9%85%d8%a7", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3314", "5", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3315", "4", "2023-10-02 12:46:53", "2023-10-01 06:34:49", "", "تماس با ما", "", "publish", "closed", "closed", "", "%d8%aa%d9%85%d8%a7%d8%b3-%d8%a8%d8%a7-%d9%85%d8%a7", "", "", "2023-10-02 12:46:53", "2023-10-02 09:16:53", "", "0", "https://halochin.ir/Technology/?p=3315", "6", "nav_menu_item", "", "0");
INSERT INTO `wp_posts` VALUES("3443", "4", "2023-10-01 11:57:08", "2023-10-01 08:27:08", "", "Path-56", "", "inherit", "open", "closed", "", "path-56-2", "", "", "2023-10-01 11:57:08", "2023-10-01 08:27:08", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Path-56.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3446", "4", "2023-10-01 12:08:18", "2023-10-01 08:38:18", "", "dashed-shadow", "", "inherit", "open", "closed", "", "dashed-shadow", "", "", "2023-10-01 12:08:18", "2023-10-01 08:38:18", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/dashed-shadow.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3447", "4", "2023-10-01 12:08:23", "2023-10-01 08:38:23", "", "dashed-shadow", "", "inherit", "open", "closed", "", "dashed-shadow-2", "", "", "2023-10-01 12:08:23", "2023-10-01 08:38:23", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/dashed-shadow-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3524", "4", "2023-10-01 13:05:55", "2023-10-01 09:35:55", "", "img-2@2x-3", "", "inherit", "open", "closed", "", "img-22x-3", "", "", "2023-10-01 13:05:55", "2023-10-01 09:35:55", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/img-2@2x-3.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3526", "4", "2023-10-01 13:06:53", "2023-10-01 09:36:53", "", "img-3@2x-3", "", "inherit", "open", "closed", "", "img-32x-3", "", "", "2023-10-01 13:06:53", "2023-10-01 09:36:53", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/img-3@2x-3.jpeg", "0", "attachment", "image/jpeg", "0");
INSERT INTO `wp_posts` VALUES("3676", "4", "2023-10-01 15:13:53", "2023-10-01 11:43:53", "", "comment-icon 1", "", "inherit", "open", "closed", "", "comment-icon-1", "", "", "2023-10-01 15:13:53", "2023-10-01 11:43:53", "", "934", "https://halochin.ir/Technology/wp-content/uploads/2023/09/comment-icon-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("3690", "4", "2023-10-01 15:27:12", "2023-10-01 11:57:12", "", "svgexport-17-9.svg", "", "inherit", "open", "closed", "", "svgexport-17-9-svg", "", "", "2023-10-01 15:27:12", "2023-10-01 11:57:12", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-9.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("3704", "4", "2023-10-01 15:55:04", "2023-10-01 12:25:04", "", "map-min", "", "inherit", "open", "closed", "", "map-min", "", "", "2023-10-01 15:55:04", "2023-10-01 12:25:04", "", "28", "https://halochin.ir/Technology/wp-content/uploads/2023/10/map-min.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("3739", "4", "2023-10-02 08:59:35", "2023-10-02 05:29:35", "", "plus-icon", "", "inherit", "open", "closed", "", "plus-icon", "", "", "2023-10-02 08:59:35", "2023-10-02 05:29:35", "", "28", "https://halochin.ir/Technology/wp-content/uploads/2023/10/plus-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("3740", "4", "2023-10-02 08:59:35", "2023-10-02 05:29:35", "", "min-icon", "", "inherit", "open", "closed", "", "min-icon", "", "", "2023-10-02 08:59:35", "2023-10-02 05:29:35", "", "28", "https://halochin.ir/Technology/wp-content/uploads/2023/10/min-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4052", "4", "2023-10-02 12:32:31", "2023-10-02 09:02:31", "", "Ellipse-2-1", "", "inherit", "open", "closed", "", "ellipse-2-1-2", "", "", "2023-10-02 12:32:31", "2023-10-02 09:02:31", "", "28", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Ellipse-2-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("4325", "4", "2023-10-04 11:48:38", "2023-10-04 08:18:38", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>دسته بندی		\n			هیچ داده ای یافت نشد", "قالب آرشیو دسته بندی های نوشته", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%87%d8%a7%db%8c-%d9%86%d9%88%d8%b4%d8%aa%d9%87", "", "", "2023-10-12 12:30:37", "2023-10-12 09:00:37", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4325", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4347", "4", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "placeholder.png", "", "inherit", "open", "closed", "", "placeholder-png-2", "", "", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/placeholder-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("4348", "4", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "single-post-banner-1.png", "", "inherit", "open", "closed", "", "single-post-banner-1-png", "", "", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/single-post-banner-1.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("4349", "4", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "blog-icon.svg", "", "inherit", "open", "closed", "", "blog-icon-svg", "", "", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/blog-icon.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4350", "4", "2023-10-04 12:16:20", "2023-10-04 08:46:20", "[flexy_breadcrumb]		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor-pro/assets/css/widget-share-buttons-rtl.min.css\">		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>مشاوره و درخواست همکاری 		\n		<p>برای تغییر این متن بر روی دکمه ویرایش کلیک کنید. لورم ایپسوم متن ساختگی با تولید سادگی نامفهوم از صنعت چاپ و با استفاده از طراحان گرافیک است.</p>		\n			<link rel=\"stylesheet\" href=\"https://halochin.ir/Technology/wp-content/plugins/elementor/assets/css/widget-icon-box-rtl.min.css\">		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_86_29)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path><path d=\"M37.201 31.1514L35.3481 29.2984C34.8365 28.7871 34.1428 28.4999 33.4196 28.4999C32.6963 28.4999 32.0026 28.7871 31.491 29.2984L30.491 30.2984C29.8517 30.9377 28.9847 31.2968 28.0806 31.2968C27.1765 31.2968 26.3094 30.9377 25.67 30.2984L21.699 26.3274C21.0597 25.6881 20.7006 24.821 20.7006 23.9169C20.7006 23.0128 21.0597 22.1457 21.699 21.5064L22.699 20.5064C22.9523 20.2532 23.1533 19.9525 23.2903 19.6216C23.4274 19.2907 23.498 18.936 23.498 18.5779C23.498 18.2197 23.4274 17.8651 23.2903 17.5342C23.1533 17.2033 22.9523 16.9026 22.699 16.6494L20.8461 14.7974C20.5929 14.544 20.2923 14.343 19.9614 14.2058C19.6305 14.0687 19.2757 13.998 18.9175 13.998C18.5593 13.998 18.2047 14.0687 17.8738 14.2058C17.5429 14.343 17.2422 14.544 16.9891 14.7974C15.0739 16.7127 13.9979 19.3103 13.9979 22.0189C13.9979 24.7274 15.0739 27.3251 16.9891 29.2404L22.7551 35.0074C24.6705 36.9223 27.2681 37.9981 29.9766 37.9981C32.685 37.9981 35.2826 36.9223 37.1981 35.0074C37.7095 34.4963 37.997 33.803 37.9976 33.08C37.9981 32.357 37.7116 31.6633 37.201 31.1514Z\" fill=\"#676AF9\"></path></g><defs><clipPath id=\"clip0_86_29\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<h3>\n						تلفن تماس :					\n				</h3>\n			1234567 - 035		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_93_15)\"><mask id=\"mask0_93_15\" style=\"mask-type:luminance\" maskUnits=\"userSpaceOnUse\" x=\"0\" y=\"0\" width=\"52\" height=\"52\"><path d=\"M52 0H0V52H52V0Z\" fill=\"white\"></path></mask><g mask=\"url(#mask0_93_15)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path></g><path fill-rule=\"evenodd\" clip-rule=\"evenodd\" d=\"M16.0078 18.0351L23.5213 25.027C25.16 26.5484 27.8386 26.5497 29.4787 25.027L36.9921 18.0351C37.0099 18.0187 37.0235 17.9988 37.0321 17.9769C37.0407 17.955 37.044 17.9316 37.0418 17.9084C37.0396 17.8852 37.0319 17.8627 37.0193 17.8426C37.0068 17.8225 36.9895 17.8051 36.969 17.7919C36.2026 17.2947 35.2702 17 34.2659 17H18.7341C17.7297 17 16.7973 17.2948 16.031 17.7919C16.0104 17.8051 15.9932 17.8225 15.9806 17.8426C15.968 17.8627 15.9603 17.8852 15.9581 17.9084C15.9559 17.9316 15.9592 17.955 15.9678 17.9769C15.9764 17.9988 15.9901 18.0187 16.0078 18.0351ZM14 21.4036C13.9994 20.6932 14.185 19.9933 14.5407 19.3647C14.5532 19.3425 14.571 19.3234 14.5929 19.3089C14.6148 19.2943 14.64 19.2848 14.6666 19.281C14.6931 19.2773 14.7203 19.2794 14.7458 19.2873C14.7713 19.2951 14.7944 19.3084 14.8134 19.3262L22.2317 26.2266C24.5808 28.4149 28.4178 28.4162 30.7683 26.2266L38.1866 19.3262C38.2056 19.3084 38.2287 19.2951 38.2542 19.2873C38.2797 19.2794 38.3069 19.2773 38.3334 19.281C38.36 19.2848 38.3853 19.2943 38.4071 19.3089C38.429 19.3234 38.4468 19.3425 38.4593 19.3647C38.815 19.9933 39.0006 20.6932 39 21.4036V30.5964C39 33.0264 36.875 35 34.2659 35H18.7341C16.1251 35 14 33.0264 14 30.5964V21.4036Z\" fill=\"#5E71FF\"></path></g><defs><clipPath id=\"clip0_93_15\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<h3>\n						ایمیل :					\n				</h3>\n			Info@yoursite.com		\n				<svg xmlns=\"http://www.w3.org/2000/svg\" width=\"52\" height=\"52\" viewBox=\"0 0 52 52\" fill=\"none\"><g clip-path=\"url(#clip0_93_15)\"><mask id=\"mask0_93_15\" style=\"mask-type:luminance\" maskUnits=\"userSpaceOnUse\" x=\"0\" y=\"0\" width=\"52\" height=\"52\"><path d=\"M52 0H0V52H52V0Z\" fill=\"white\"></path></mask><g mask=\"url(#mask0_93_15)\"><path d=\"M26 52C40.3594 52 52 40.3594 52 26C52 11.6406 40.3594 0 26 0C11.6406 0 0 11.6406 0 26C0 40.3594 11.6406 52 26 52Z\" fill=\"#676AF9\" fill-opacity=\"0.21\"></path></g><path d=\"M33.5 30.5078C32.018 30.5078 30.712 31.2767 29.8917 32.4461L22.7995 28.6159C22.9173 28.1926 23 27.7539 23 27.291C23 26.6632 22.8779 26.0663 22.6671 25.5172L30.0893 20.8066C30.9153 21.829 32.1295 22.4922 33.5 22.4922C35.9815 22.4922 38 20.3632 38 17.7461C38 15.1289 35.9815 13 33.5 13C31.0186 13 29 15.1289 29 17.7461C29 18.3492 29.1177 18.9213 29.3131 19.4525L21.8688 24.1769C21.0435 23.1849 19.8469 22.5449 18.5 22.5449C16.0185 22.5449 14 24.6739 14 27.291C14 29.9082 16.0185 32.0371 18.5 32.0371C20.0065 32.0371 21.3346 31.2456 22.1518 30.0434L29.2206 33.8611C29.0904 34.3044 29 34.7661 29 35.2539C29 37.8711 31.0186 40 33.5 40C35.9815 40 38 37.8711 38 35.2539C38 32.6368 35.9815 30.5078 33.5 30.5078Z\" fill=\"#5E71FF\"></path></g><defs><clipPath id=\"clip0_93_15\"><rect width=\"52\" height=\"52\" fill=\"white\"></rect></clipPath></defs></svg>				\n				<h3>\n						شبکه های اجتماعی :					\n				</h3>\n			<a href=\"https://halochin.ir/Technology/contact-us/\" id=\"تعرفه ها \">\n						درخواست مشاوره و همکاری\n					</a>\n			عضویت در خبرنامه", "قالب صفحه تکی خدمات", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%b5%d9%81%d8%ad%d9%87-%d8%aa%da%a9%db%8c-%d8%ae%d8%af%d9%85%d8%a7%d8%aa", "", "", "2023-10-12 16:16:55", "2023-10-12 12:46:55", "", "0", "https://halochin.ir/Technology/?elementor_library=%d9%82%d8%a7%d9%84%d8%a8-%d9%85%d9%82%d8%a7%d9%84%d9%87-%d8%aa%da%a9%db%8c-2", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4423", "4", "2023-10-04 13:38:04", "2023-10-04 10:08:04", "https://halochin.ir/Technology/wp-content/uploads/2023/10/1661468732901-online-video-cutter.com_.mp4", "پاپ آپ ویدیو معرفی", "", "publish", "closed", "closed", "", "%d9%be%d8%a7%d9%be-%d8%a2%d9%be-%d9%88%db%8c%d8%af%db%8c%d9%88-%d9%85%d8%b9%d8%b1%d9%81%db%8c", "", "", "2023-10-05 15:55:52", "2023-10-05 12:25:52", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4423", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4456", "4", "2023-10-04 14:41:38", "2023-10-04 11:11:38", "<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "زبانه نمایش نمونه کارهای فروشگاهی - صفحه ارشیو نمونه کارها", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c-%d8%b5%d9%81%d8%ad", "", "", "2023-10-12 16:19:06", "2023-10-12 12:49:06", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4456", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4459", "4", "2023-10-04 14:42:27", "2023-10-04 11:12:27", "<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "زبانه نمایش نمونه کارهای شرکتی - صفحه ارشیو نمونه کارها", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d8%b4%d8%b1%da%a9%d8%aa%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7%d8%b1", "", "", "2023-10-12 16:18:57", "2023-10-12 12:48:57", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4459", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4462", "4", "2023-10-04 14:43:18", "2023-10-04 11:13:18", "<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "زبانه نمایش  نمونه کارهای خلاقانه - صفحه ارشیو نمونه کارها", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d8%ae%d9%84%d8%a7%d9%82%d8%a7%d9%86%d9%87-%d8%b5%d9%81%d8%ad%d9%87", "", "", "2023-10-12 16:18:50", "2023-10-12 12:48:50", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4462", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4465", "4", "2023-10-04 14:43:57", "2023-10-04 11:13:57", "<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-2674aac{text-align:center;width:auto;max-width:auto;z-index:2;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating{font-size:11px;}body:not(.rtl) .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-right:3.3px;}body.rtl .elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:not(:last-of-type){margin-left:3.3px;}.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating i:before{color:#FFD65E;}.elementor-1623 .elementor-element.elementor-element-2674aac > .elementor-widget-container{margin:-0.1rem 0rem -2.5rem 0rem;padding:1.2rem 0.7rem 0.2rem 0.7rem;background-color:#FFFFFF;border-radius:0px 0px 7px 7px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-2674aac.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-46455ee );color:var( --e-global-color-46455ee );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for star-rating, class: .elementor-element-2674aac */.elementor-1623 .elementor-element.elementor-element-2674aac .elementor-star-rating {\n    margin-top: -1.1rem\n}/* End custom CSS */\n/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    scale: 1.02;\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n@charset \"UTF-8\";.elementor-star-rating{color:#ccd6df;font-family:eicons;display:inline-block}.elementor-star-rating i{display:inline-block;position:relative;font-style:normal;cursor:default}.elementor-star-rating i:before{content:\"e934\";display:block;font-size:inherit;font-family:inherit;position:absolute;overflow:hidden;color:#f0ad4e;top:0;right:0}.elementor-star-rating .elementor-star-empty:before{content:none}.elementor-star-rating .elementor-star-1:before{width:10%}.elementor-star-rating .elementor-star-2:before{width:20%}.elementor-star-rating .elementor-star-3:before{width:30%}.elementor-star-rating .elementor-star-4:before{width:40%}.elementor-star-rating .elementor-star-5:before{width:50%}.elementor-star-rating .elementor-star-6:before{width:60%}.elementor-star-rating .elementor-star-7:before{width:70%}.elementor-star-rating .elementor-star-8:before{width:80%}.elementor-star-rating .elementor-star-9:before{width:90%}.elementor-star-rating__wrapper{display:flex;align-items:center}.elementor-star-rating__title{margin-left:10px}.elementor-star-rating--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating--align-justify .elementor-star-rating__title{margin-left:auto}@media (max-width:1024px){.elementor-star-rating-tablet--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-tablet--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-tablet--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-tablet--align-justify .elementor-star-rating__title{margin-left:auto}}@media (max-width:767px){.elementor-star-rating-mobile--align-right .elementor-star-rating__wrapper{text-align:right;justify-content:flex-start}.elementor-star-rating-mobile--align-left .elementor-star-rating__wrapper{text-align:left;justify-content:flex-end}.elementor-star-rating-mobile--align-center .elementor-star-rating__wrapper{text-align:center;justify-content:center}.elementor-star-rating-mobile--align-justify .elementor-star-rating__title{margin-left:auto}}.last-star{letter-spacing:0}.elementor--star-style-star_unicode .elementor-star-rating{font-family:Arial,Helvetica,sans-serif}.elementor--star-style-star_unicode .elementor-star-rating i:not(.elementor-star-empty):before{content:\"★\"}</style>\n						<i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i><i>&#xE934;</i> 2/5		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "زبانه نمایش نمونه کارهای مجله ای - صفحه ارشیو نمونه کارها", "", "publish", "closed", "closed", "", "%d8%b2%d8%a8%d8%a7%d9%86%d9%87-%d9%86%d9%85%d8%a7%db%8c%d8%b4-%d9%86%d9%85%d9%88%d9%86%d9%87-%da%a9%d8%a7%d8%b1%d9%87%d8%a7%db%8c-%d9%85%d8%ac%d9%84%d9%87-%d8%a7%db%8c-%d8%b5%d9%81%d8%ad%d9%87-%d8%a7", "", "", "2023-10-12 16:18:44", "2023-10-12 12:48:44", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=4465", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("4527", "4", "2023-10-04 15:38:11", "2023-10-04 12:08:11", "", "svgexport-17 (6)", "", "inherit", "open", "closed", "", "svgexport-17-6", "", "", "2023-10-04 15:38:11", "2023-10-04 12:08:11", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-6.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4557", "4", "2023-10-05 08:53:36", "2023-10-05 05:23:36", "", "1661468732901 (online-video-cutter.com)", "", "inherit", "open", "closed", "", "1661468732901-online-video-cutter-com", "", "", "2023-10-05 08:53:36", "2023-10-05 05:23:36", "", "4423", "https://halochin.ir/Technology/wp-content/uploads/2023/10/1661468732901-online-video-cutter.com_.mp4", "0", "attachment", "video/mp4", "0");
INSERT INTO `wp_posts` VALUES("4598", "4", "2023-10-05 09:39:13", "2023-10-05 06:09:13", "", "Group-35747-2", "", "inherit", "open", "closed", "", "group-35747-2-2", "", "", "2023-10-05 09:39:13", "2023-10-05 06:09:13", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-35747-2-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4601", "4", "2023-10-05 10:05:47", "2023-10-05 06:35:47", "", "Group-29 1", "", "inherit", "open", "closed", "", "group-29-1", "", "", "2023-10-05 10:05:47", "2023-10-05 06:35:47", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Group-29-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4771", "4", "2023-10-08 11:33:44", "2023-10-08 08:03:44", "", "Ellipse-23", "", "inherit", "open", "closed", "", "ellipse-23", "", "", "2023-10-08 11:33:44", "2023-10-08 08:03:44", "", "507", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Ellipse-23.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("4992", "4", "2023-10-09 11:25:12", "2023-10-09 07:55:12", "", "svgexport-17 (6)", "", "inherit", "open", "closed", "", "svgexport-17-6-2", "", "", "2023-10-09 11:25:12", "2023-10-09 07:55:12", "", "509", "https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-17-6.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("4994", "4", "2023-10-09 11:25:32", "2023-10-09 07:55:32", "", "Group 3", "", "inherit", "open", "closed", "", "group-3", "", "", "2023-10-09 11:25:32", "2023-10-09 07:55:32", "", "509", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-3.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5007", "4", "2023-10-09 11:50:15", "2023-10-09 08:20:15", "", "Group 2", "", "inherit", "open", "closed", "", "group-2", "", "", "2023-10-09 11:50:15", "2023-10-09 08:20:15", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/2023/09/Group-2.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5029", "4", "2023-10-09 12:16:20", "2023-10-09 08:46:20", "<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>تومان 		\n			<style>/*! elementor - v3.16.0 - 13-09-2023 */\n.elementor-widget-divider{--divider-border-style:none;--divider-border-width:1px;--divider-color:#0c0d0e;--divider-icon-size:20px;--divider-element-spacing:10px;--divider-pattern-height:24px;--divider-pattern-size:20px;--divider-pattern-url:none;--divider-pattern-repeat:repeat-x}.elementor-widget-divider .elementor-divider{display:flex}.elementor-widget-divider .elementor-divider__text{font-size:15px;line-height:1;max-width:95%}.elementor-widget-divider .elementor-divider__element{margin:0 var(--divider-element-spacing);flex-shrink:0}.elementor-widget-divider .elementor-icon{font-size:var(--divider-icon-size)}.elementor-widget-divider .elementor-divider-separator{display:flex;margin:0;direction:ltr}.elementor-widget-divider--view-line_icon .elementor-divider-separator,.elementor-widget-divider--view-line_text .elementor-divider-separator{align-items:center}.elementor-widget-divider--view-line_icon .elementor-divider-separator:after,.elementor-widget-divider--view-line_icon .elementor-divider-separator:before,.elementor-widget-divider--view-line_text .elementor-divider-separator:after,.elementor-widget-divider--view-line_text .elementor-divider-separator:before{display:block;content:\"\";border-bottom:0;flex-grow:1;border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--element-align-left .elementor-divider .elementor-divider-separator>.elementor-divider__svg:first-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-left .elementor-divider-separator:before{content:none}.elementor-widget-divider--element-align-left .elementor-divider__element{margin-left:0}.elementor-widget-divider--element-align-right .elementor-divider .elementor-divider-separator>.elementor-divider__svg:last-of-type{flex-grow:0;flex-shrink:100}.elementor-widget-divider--element-align-right .elementor-divider-separator:after{content:none}.elementor-widget-divider--element-align-right .elementor-divider__element{margin-right:0}.elementor-widget-divider:not(.elementor-widget-divider--view-line_text):not(.elementor-widget-divider--view-line_icon) .elementor-divider-separator{border-top:var(--divider-border-width) var(--divider-border-style) var(--divider-color)}.elementor-widget-divider--separator-type-pattern{--divider-border-style:none}.elementor-widget-divider--separator-type-pattern.elementor-widget-divider--view-line .elementor-divider-separator,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:after,.elementor-widget-divider--separator-type-pattern:not(.elementor-widget-divider--view-line) .elementor-divider-separator:before,.elementor-widget-divider--separator-type-pattern:not([class*=elementor-widget-divider--view]) .elementor-divider-separator{width:100%;min-height:var(--divider-pattern-height);-webkit-mask-size:var(--divider-pattern-size) 100%;mask-size:var(--divider-pattern-size) 100%;-webkit-mask-repeat:var(--divider-pattern-repeat);mask-repeat:var(--divider-pattern-repeat);background-color:var(--divider-color);-webkit-mask-image:var(--divider-pattern-url);mask-image:var(--divider-pattern-url)}.elementor-widget-divider--no-spacing{--divider-pattern-size:auto}.elementor-widget-divider--bg-round{--divider-pattern-repeat:round}.rtl .elementor-widget-divider .elementor-divider__text{direction:rtl}.e-con-inner>.elementor-widget-divider,.e-con>.elementor-widget-divider{width:var(--container-widget-width,100%);--flex-grow:var(--container-widget-flex-grow)}</style>		\n			<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهینه سازی سایت </p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>بهبود سئوی داخلی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-6-3.svg\" />\n<p>تعیین استراتژی هدفمند</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>لینک سازی خارجی</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>بهبود سئوی تکنیکال</p>\n<img src=\"https://halochin.ir/Technology/wp-content/uploads/2023/09/svgexport-21-1.svg\" />\n<p>محتوا نویسی </p>\n			<a href=\"https://halochin.ir/Technology/contact-us/\">\n						مشاوره و سفـارش\n					</a>\n			<h2>محبوب</h2>", "گرید تعرفه ها", "", "publish", "closed", "closed", "", "%da%af%d8%b1%db%8c%d8%af-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7", "", "", "2023-10-11 16:11:26", "2023-10-11 12:41:26", "", "0", "https://halochin.ir/Technology/?jet-engine=%da%af%d8%b1%db%8c%d8%af-%d8%aa%d8%b9%d8%b1%d9%81%d9%87-%d9%87%d8%a7", "0", "jet-engine", "", "0");
INSERT INTO `wp_posts` VALUES("5209", "4", "2023-10-10 10:14:55", "2023-10-10 06:44:55", "", "Group 4", "", "inherit", "open", "closed", "", "group-4-2", "", "", "2023-10-10 10:14:55", "2023-10-10 06:44:55", "", "4350", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Group-4.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5210", "4", "2023-10-10 10:19:12", "2023-10-10 06:49:12", "", "Group 4", "", "inherit", "open", "closed", "", "group-4-3", "", "", "2023-10-10 10:19:12", "2023-10-10 06:49:12", "", "4350", "https://halochin.ir/Technology/wp-content/uploads/2023/10/Group-4-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5628", "4", "2023-10-11 08:57:00", "2023-10-11 05:27:00", "", "man-looking-attractive", "", "inherit", "open", "closed", "", "man-looking-attractive", "", "", "2023-10-11 08:57:00", "2023-10-11 05:27:00", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/man-looking-attractive.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("5629", "4", "2023-10-11 08:59:24", "2023-10-11 05:29:24", "", "tp-best-mens-hairstyles", "", "inherit", "open", "closed", "", "tp-best-mens-hairstyles", "", "", "2023-10-11 08:59:24", "2023-10-11 05:29:24", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/tp-best-mens-hairstyles.webp", "0", "attachment", "image/webp", "0");
INSERT INTO `wp_posts` VALUES("5870", "4", "2023-10-11 16:17:50", "2023-10-11 12:47:50", "", "check", "", "inherit", "open", "closed", "", "check", "", "", "2023-10-11 16:17:50", "2023-10-11 12:47:50", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/check-.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5871", "4", "2023-10-11 16:21:11", "2023-10-11 12:51:11", "", "svgexport-17 (9)", "", "inherit", "open", "closed", "", "svgexport-17-9", "", "", "2023-10-11 16:21:11", "2023-10-11 12:51:11", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-9-1.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5872", "4", "2023-10-11 16:22:24", "2023-10-11 12:52:24", "", "svgexport-17 (10)", "", "inherit", "open", "closed", "", "svgexport-17-10", "", "", "2023-10-11 16:22:24", "2023-10-11 12:52:24", "", "0", "https://halochin.ir/Technology/wp-content/uploads/2023/10/svgexport-17-10.svg", "0", "attachment", "image/svg+xml", "0");
INSERT INTO `wp_posts` VALUES("5914", "4", "2023-10-12 12:04:44", "2023-10-12 08:34:44", "<style>/*! elementor - v3.16.0 - 09-10-2023 */\n.elementor-heading-title{padding:0;margin:0;line-height:1}.elementor-widget-heading .elementor-heading-title[class*=elementor-size-]>a{color:inherit;font-size:inherit;line-height:inherit}.elementor-widget-heading .elementor-heading-title.elementor-size-small{font-size:15px}.elementor-widget-heading .elementor-heading-title.elementor-size-medium{font-size:19px}.elementor-widget-heading .elementor-heading-title.elementor-size-large{font-size:29px}.elementor-widget-heading .elementor-heading-title.elementor-size-xl{font-size:39px}.elementor-widget-heading .elementor-heading-title.elementor-size-xxl{font-size:59px}</style>دسته بندی 		\n			<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>\n		<style>.elementor-1623 .elementor-element.elementor-element-78d0560{--display:flex;--flex-direction:column;--container-widget-width:100%;--container-widget-height:initial;--container-widget-flex-grow:0;--container-widget-align-self:initial;--gap:0rem 0rem;--background-transition:0.3s;--border-radius:15px 15px 15px 15px;box-shadow:0px 0px 10px 0px rgba(0, 0, 0, 0.055);--padding-block-start:1rem;--padding-block-end:1rem;--padding-inline-start:1rem;--padding-inline-end:1rem;}.elementor-1623 .elementor-element.elementor-element-78d0560:not(.elementor-motion-effects-element-type-background), .elementor-1623 .elementor-element.elementor-element-78d0560 > .elementor-motion-effects-container > .elementor-motion-effects-layer{background-color:#FFFFFF;}.elementor-1623 .elementor-element.elementor-element-78d0560, .elementor-1623 .elementor-element.elementor-element-78d0560::before{--border-transition:0.3s;}.elementor-1623 .elementor-element.elementor-element-3f9910c img{width:100%;height:205px;object-fit:cover;object-position:center center;border-radius:10px 10px 10px 10px;}.elementor-1623 .elementor-element.elementor-element-3f9910c > .elementor-widget-container{margin:0rem 0rem 0.625rem 0rem;}.elementor-1623 .elementor-element.elementor-element-42a9af6 .elementor-heading-title{color:var( --e-global-color-46455ee );font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;}.elementor-1623 .elementor-element.elementor-element-42a9af6 > .elementor-widget-container{margin:-0.2rem 0rem 0rem 0rem;padding:0rem 0.5rem 0.15rem 0.5rem;background-color:var( --e-global-color-5b191c6 );border-radius:0px 0px 6px 6px;box-shadow:0px 15px 20px 0px rgba(153, 64.00000000000007, 212.00000000000006, 0.11);}.elementor-1623 .elementor-element.elementor-element-42a9af6.elementor-element{--align-self:center;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 .elementor-heading-title{color:var( --e-global-color-af9acf8 );font-family:\"Dana\", Sans-serif;font-size:14px;font-weight:400;line-height:1.5rem;}.elementor-1623 .elementor-element.elementor-element-cf02dc3 > .elementor-widget-container{margin:0rem 0rem 0rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-right{margin-left:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button .elementor-align-icon-left{margin-right:7px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button{font-family:\"Dana\", Sans-serif;font-size:12px;font-weight:400;fill:var( --e-global-color-text );color:var( --e-global-color-text );background-color:#5E71FF00;border-radius:12px 12px 12px 12px;padding:0px 0px 0px 0px;}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus{color:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:hover svg, .elementor-1623 .elementor-element.elementor-element-20acf5f .elementor-button:focus svg{fill:var( --e-global-color-46455ee );}.elementor-1623 .elementor-element.elementor-element-20acf5f > .elementor-widget-container{margin:0.1rem 0rem -0.3rem 0rem;}.elementor-1623 .elementor-element.elementor-element-20acf5f{width:auto;max-width:auto;}.elementor-1623 .elementor-element.elementor-element-20acf5f.elementor-element{--align-self:flex-start;--flex-grow:0;--flex-shrink:1;}.jet-listing-item.single-jet-engine.elementor-page-1623 > .elementor{width:351px;margin-left:auto;margin-right:auto;}/* Start custom CSS for image, class: .elementor-element-3f9910c */.elementor-1623 .elementor-element.elementor-element-3f9910c a {\n    position: relative;\n    width: 100%;\n}\n.elementor-1623 .elementor-element.elementor-element-3f9910c a:before {\n    content: \"\";\n    position: absolute;\n    top: 0;\n    right: 0;\n    width: 100%;\n    height: 100%;\n    border-radius: 10px;\n    background: linear-gradient(0deg, #9940d4, transparent);\n    opacity: 0.5\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-42a9af6 */.elementor-1623 .elementor-element.elementor-element-42a9af6 span {\n    min-width: 70px;\n    display: inline-block;\n    text-align: center;\n    position: relative;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:after {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    right: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}\n.elementor-1623 .elementor-element.elementor-element-42a9af6 span:before {\n    content: \"\";\n    position: absolute;\n    background: var(--e-global-color-46455ee);\n    border-radius: 100px;\n    width: 4px;\n    height: 4px;\n    left: -2%;\n    transform: translateY(-85%);\n    top: 50%;\n}/* End custom CSS */\n/* Start custom CSS for heading, class: .elementor-element-cf02dc3 */.elementor-1623 .elementor-element.elementor-element-cf02dc3 span {\n    display: -webkit-box;\n    -webkit-line-clamp: 1;\n    -webkit-box-orient: vertical;\n    overflow: hidden;\n}/* End custom CSS */\n/* Start custom CSS for container, class: .elementor-element-78d0560 */.elementor-1623 .elementor-element.elementor-element-78d0560:hover {\n    transform: translateY(-7px);\n    transition: 0.6s;\n}\n.elementor-1623 .elementor-element.elementor-element-78d0560 {\n    transition: 0.6s;\n}/* End custom CSS */\n/* Start Custom Fonts CSS */@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 100;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Thin.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 200;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Light.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 300;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Regular.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 400;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Medium.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 500;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-DemiBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 600;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Bold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 700;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBold.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 800;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-Black.woff\') format(\'woff\');\n}\n@font-face {\n	font-family: \'Dana\';\n	font-style: normal;\n	font-weight: 900;\n	font-display: auto;\n	src: url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff2\') format(\'woff2\'),\n		url(\'https://halochin.ir/Technology/wp-content/uploads/2023/09/DanaFaNum-ExtraBlack.woff\') format(\'woff\');\n}\n/* End Custom Fonts CSS */</style>		\n			<a role=\"button\">\n						مشاهده جزئیـات\n					</a>", "قالب آرشیو دسته بندی های پروژه", "", "publish", "closed", "closed", "", "%d9%82%d8%a7%d9%84%d8%a8-%d8%a2%d8%b1%d8%b4%db%8c%d9%88-%d8%af%d8%b3%d8%aa%d9%87-%d8%a8%d9%86%d8%af%db%8c-%d9%87%d8%a7%db%8c-%d9%be%d8%b1%d9%88%da%98%d9%87", "", "", "2023-10-12 14:25:18", "2023-10-12 10:55:18", "", "0", "https://halochin.ir/Technology/?post_type=elementor_library&#038;p=5914", "0", "elementor_library", "", "0");
INSERT INTO `wp_posts` VALUES("6024", "4", "2023-10-12 16:16:35", "2023-10-12 12:46:35", "", "Elementor-post-screenshot_1013_2023-10-12-12-46-35_5442b39e.png", "", "inherit", "open", "closed", "", "elementor-post-screenshot_1013_2023-10-12-12-46-35_5442b39e-png", "", "", "2023-10-12 16:16:35", "2023-10-12 12:46:35", "", "1013", "https://halochin.ir/Technology/wp-content/uploads/elementor/screenshots/Elementor-post-screenshot_1013_2023-10-12-12-46-35_5442b39e.png", "0", "attachment", "image/png", "0");
INSERT INTO `wp_posts` VALUES("6026", "4", "2023-10-12 16:16:43", "2023-10-12 12:46:43", "", "Elementor-post-screenshot_1523_2023-10-12-12-46-43_56296bff.png", "", "inherit", "open", "closed", "", "elementor-post-screenshot_1523_2023-10-12-12-46-43_56296bff-png", "", "", "2023-10-12 16:16:43", "2023-10-12 12:46:43", "", "1523", "https://halochin.ir/Technology/wp-content/uploads/elementor/screenshots/Elementor-post-screenshot_1523_2023-10-12-12-46-43_56296bff.png", "0", "attachment", "image/png", "0");

/* INSERT TABLE DATA: wp_term_relationships */
INSERT INTO `wp_term_relationships` VALUES("37", "4", "0");
INSERT INTO `wp_term_relationships` VALUES("93", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("509", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("517", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("767", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("815", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("816", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("829", "19", "0");
INSERT INTO `wp_term_relationships` VALUES("1013", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("1026", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("1049", "6", "0");
INSERT INTO `wp_term_relationships` VALUES("1115", "9", "0");
INSERT INTO `wp_term_relationships` VALUES("1119", "7", "0");
INSERT INTO `wp_term_relationships` VALUES("1211", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("1258", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("1273", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("1523", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("1575", "10", "0");
INSERT INTO `wp_term_relationships` VALUES("1579", "11", "0");
INSERT INTO `wp_term_relationships` VALUES("1583", "8", "0");
INSERT INTO `wp_term_relationships` VALUES("1600", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("1602", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("1802", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("1908", "17", "0");
INSERT INTO `wp_term_relationships` VALUES("1910", "16", "0");
INSERT INTO `wp_term_relationships` VALUES("1912", "18", "0");
INSERT INTO `wp_term_relationships` VALUES("2028", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2038", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2042", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2057", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2071", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2110", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2187", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("2366", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("2377", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("2407", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2411", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2427", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2503", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2523", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("2571", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("2671", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2676", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2683", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2687", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2689", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2700", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2713", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2722", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2863", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("2924", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("3201", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("3307", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("3310", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3311", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3312", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3313", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3314", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3315", "15", "0");
INSERT INTO `wp_term_relationships` VALUES("3383", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("4086", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("4098", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("4325", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("4350", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("4423", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("4456", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("4459", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("4462", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("4465", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("4539", "12", "0");
INSERT INTO `wp_term_relationships` VALUES("4597", "3", "0");
INSERT INTO `wp_term_relationships` VALUES("4802", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("4986", "2", "0");
INSERT INTO `wp_term_relationships` VALUES("5070", "13", "0");
INSERT INTO `wp_term_relationships` VALUES("5769", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("5772", "14", "0");
INSERT INTO `wp_term_relationships` VALUES("5914", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("5997", "5", "0");
INSERT INTO `wp_term_relationships` VALUES("6001", "12", "0");

/* INSERT TABLE DATA: wp_term_taxonomy */
INSERT INTO `wp_term_taxonomy` VALUES("1", "1", "category", "", "0", "0");
INSERT INTO `wp_term_taxonomy` VALUES("2", "2", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("3", "3", "elementor_library_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("4", "4", "elementor_font_type", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("5", "5", "elementor_library_type", "", "0", "5");
INSERT INTO `wp_term_taxonomy` VALUES("6", "6", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("7", "7", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("8", "8", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("9", "9", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("10", "10", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("11", "11", "category", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("12", "12", "elementor_library_type", "", "0", "4");
INSERT INTO `wp_term_taxonomy` VALUES("13", "13", "elementor_library_type", "", "0", "7");
INSERT INTO `wp_term_taxonomy` VALUES("14", "14", "elementor_library_type", "", "0", "2");
INSERT INTO `wp_term_taxonomy` VALUES("15", "15", "nav_menu", "", "0", "6");
INSERT INTO `wp_term_taxonomy` VALUES("16", "16", "projects-categories", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("17", "17", "projects-categories", "", "0", "3");
INSERT INTO `wp_term_taxonomy` VALUES("18", "18", "projects-categories", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("19", "19", "projects-categories", "", "0", "1");
INSERT INTO `wp_term_taxonomy` VALUES("20", "20", "elementor_library_type", "", "0", "0");

/* INSERT TABLE DATA: wp_terms */
INSERT INTO `wp_terms` VALUES("1", "دسته‌بندی نشده", "%d8%af%d8%b3%d8%aa%d9%87%d8%a8%d9%86%d8%af%db%8c-%d9%86%d8%b4%d8%af%d9%87", "0");
INSERT INTO `wp_terms` VALUES("2", "header", "header", "0");
INSERT INTO `wp_terms` VALUES("3", "footer", "footer", "0");
INSERT INTO `wp_terms` VALUES("4", "custom", "custom", "0");
INSERT INTO `wp_terms` VALUES("5", "archive", "archive", "0");
INSERT INTO `wp_terms` VALUES("6", "بازاریابی دیجیتال", "digital-marketing", "0");
INSERT INTO `wp_terms` VALUES("7", "طراحی سایت", "web-design", "0");
INSERT INTO `wp_terms` VALUES("8", "طراحی Ui , Ux", "ui-ux-design", "0");
INSERT INTO `wp_terms` VALUES("9", "برنامه نویسی", "programming", "0");
INSERT INTO `wp_terms` VALUES("10", "آموزش سئو", "seo-training", "0");
INSERT INTO `wp_terms` VALUES("11", "طراحی گرافیک", "graphic-design", "0");
INSERT INTO `wp_terms` VALUES("12", "single-post", "single-post", "0");
INSERT INTO `wp_terms` VALUES("13", "section", "section", "0");
INSERT INTO `wp_terms` VALUES("14", "popup", "popup", "0");
INSERT INTO `wp_terms` VALUES("15", "فهرست پاپ اپ منوی موبایل", "%d9%81%d9%87%d8%b1%d8%b3%d8%aa-%d9%be%d8%a7%d9%be-%d8%a7%d9%be-%d9%85%d9%86%d9%88%db%8c-%d9%85%d9%88%d8%a8%d8%a7%db%8c%d9%84", "0");
INSERT INTO `wp_terms` VALUES("16", "فروشگاهی", "%d9%81%d8%b1%d9%88%d8%b4%da%af%d8%a7%d9%87%db%8c", "0");
INSERT INTO `wp_terms` VALUES("17", "شرکتی", "%d8%b4%d8%b1%da%a9%d8%aa%db%8c", "0");
INSERT INTO `wp_terms` VALUES("18", "خلاقانه", "%d8%ae%d9%84%d8%a7%d9%82%d8%a7%d9%86%d9%87", "0");
INSERT INTO `wp_terms` VALUES("19", "مجله ای", "%d9%85%d8%ac%d9%84%d9%87-%d8%a7%db%8c", "0");
INSERT INTO `wp_terms` VALUES("20", "container", "container", "0");

/* INSERT TABLE DATA: wp_usermeta */
INSERT INTO `wp_usermeta` VALUES("75", "4", "nickname", "designer");
INSERT INTO `wp_usermeta` VALUES("76", "4", "first_name", "");
INSERT INTO `wp_usermeta` VALUES("77", "4", "last_name", "");
INSERT INTO `wp_usermeta` VALUES("78", "4", "description", "");
INSERT INTO `wp_usermeta` VALUES("79", "4", "rich_editing", "true");
INSERT INTO `wp_usermeta` VALUES("80", "4", "syntax_highlighting", "true");
INSERT INTO `wp_usermeta` VALUES("81", "4", "comment_shortcuts", "false");
INSERT INTO `wp_usermeta` VALUES("82", "4", "admin_color", "fresh");
INSERT INTO `wp_usermeta` VALUES("83", "4", "use_ssl", "0");
INSERT INTO `wp_usermeta` VALUES("84", "4", "show_admin_bar_front", "true");
INSERT INTO `wp_usermeta` VALUES("85", "4", "locale", "");
INSERT INTO `wp_usermeta` VALUES("86", "4", "wp_capabilities", "a:1:{s:13:\"administrator\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("87", "4", "wp_user_level", "10");
INSERT INTO `wp_usermeta` VALUES("88", "4", "dismissed_wp_pointers", "");
INSERT INTO `wp_usermeta` VALUES("89", "4", "session_tokens", "a:1:{s:64:\"35f4a4a17d42f2f419153f7486833d4041d467e1ac712501abbc7867bfad0c25\";a:4:{s:10:\"expiration\";i:1697605142;s:2:\"ip\";s:11:\"78.39.83.10\";s:2:\"ua\";s:111:\"Mozilla/5.0 (Windows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/117.0.0.0 Safari/537.36\";s:5:\"login\";i:1697432342;}}");
INSERT INTO `wp_usermeta` VALUES("90", "4", "wp_dashboard_quick_press_last_post_id", "6046");
INSERT INTO `wp_usermeta` VALUES("91", "4", "community-events-location", "a:1:{s:2:\"ip\";s:10:\"78.39.83.0\";}");
INSERT INTO `wp_usermeta` VALUES("92", "4", "closedpostboxes_dashboard", "a:0:{}");
INSERT INTO `wp_usermeta` VALUES("93", "4", "metaboxhidden_dashboard", "a:6:{i:0;s:20:\"e-dashboard-overview\";i:1;s:21:\"dashboard_site_health\";i:2;s:19:\"dashboard_right_now\";i:3;s:18:\"dashboard_activity\";i:4;s:21:\"dashboard_quick_press\";i:5;s:17:\"dashboard_primary\";}");
INSERT INTO `wp_usermeta` VALUES("94", "4", "elementor_admin_notices", "a:1:{s:20:\"experiment_promotion\";s:4:\"true\";}");
INSERT INTO `wp_usermeta` VALUES("95", "4", "nav_menu_recently_edited", "15");
INSERT INTO `wp_usermeta` VALUES("96", "4", "managenav-menuscolumnshidden", "a:5:{i:0;s:11:\"link-target\";i:1;s:11:\"css-classes\";i:2;s:3:\"xfn\";i:3;s:11:\"description\";i:4;s:15:\"title-attribute\";}");
INSERT INTO `wp_usermeta` VALUES("97", "4", "metaboxhidden_nav-menus", "a:5:{i:0;s:28:\"add-post-type-e-landing-page\";i:1;s:22:\"add-post-type-projects\";i:2;s:26:\"add-post-type-our-services\";i:3;s:12:\"add-post_tag\";i:4;s:23:\"add-projects-categories\";}");
INSERT INTO `wp_usermeta` VALUES("98", "4", "elementor_introduction", "a:2:{s:27:\"ai-get-started-announcement\";b:1;s:20:\"globals_introduction\";b:1;}");
INSERT INTO `wp_usermeta` VALUES("99", "4", "wp_user-settings", "editor=tinymce&posts_list_mode=list");
INSERT INTO `wp_usermeta` VALUES("100", "4", "wp_user-settings-time", "1697106711");

/* INSERT TABLE DATA: wp_users */
INSERT INTO `wp_users` VALUES("4", "designer", "$P$B4DHNd8KJvWKQ95AiRcSKpVp1Vzz8J0", "designer", "designer@abzarwp.com", "", "2023-10-11 09:37:27", "", "0", "designer");

SET FOREIGN_KEY_CHECKS = 1; 

/* Duplicator WordPress Timestamp: 2023-10-16 05:21:53*/
/* DUPLICATOR_MYSQLDUMP_EOF */
